package fr.unedic.cali.asu.caa14.p01.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class MajCi
{
  private static final int CINQUANTE_ANS = 50;
  
  public static ConstituantsIndemnisation miseAJourConstituantsIndemnisation(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateDeMiseAjour)
    throws CoucheLogiqueException
  {
    QuantiteDroitSpec dureeDroit = null;
    Collection collectionDurees = null;
    Iterator iterator = null;
    String codeFormuleMontant = null;
    
    codeFormuleMontant = p_constituantsIndemnisation.getCodeFormuleMontant();
    if (codeFormuleMontant != null) {
      miseAJourParametres(p_attribution, p_constituantsIndemnisation, p_dateDeMiseAjour);
    }
    collectionDurees = p_constituantsIndemnisation.getCollectionQuantiteDroit();
    if (collectionDurees != null)
    {
      iterator = collectionDurees.iterator();
      while (iterator.hasNext())
      {
        dureeDroit = (QuantiteDroitSpec)iterator.next();
        if ((dureeDroit instanceof QuantiteIndemnisationSpec)) {
          miseAJourParametres(p_attribution, p_constituantsIndemnisation, p_dateDeMiseAjour);
        }
      }
    }
    return p_constituantsIndemnisation;
  }
  
  private static void miseAJourParametres(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateDeMiseAjour)
    throws CoucheLogiqueException
  {
    ParametresIndemnisation parametresIndemnisation = null;
    BigDecimal tauxAvantageViellesse = null;
    ElementBaseIndemnisation elementBaseIndemnisation = null;
    Sjr nouveauSjr = null;
    Sjc nouveauSjc = null;
    Attribution attribution = (Attribution)p_attribution;
    
    parametresIndemnisation = ParametresIndemnisation.getParametresIndemnisation();
    
    elementBaseIndemnisation = (ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    
    tauxAvantageViellesse = parametresIndemnisation.getTauxAvantageViellesse(p_attribution.getDemandeur().getAgeALaDate(p_dateDeMiseAjour));
    if (tauxAvantageViellesse != null) {
      ((ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).setTauxAvantageVieillesse(tauxAvantageViellesse);
    }
    nouveauSjr = RevalorisationSalaire.revaloriserSjr(attribution, p_dateDeMiseAjour);
    
    nouveauSjc = RevalorisationSalaire.revaloriserSjc(attribution.getSJC(), p_dateDeMiseAjour);
    if (nouveauSjr.getSalaire().doubleValue() != elementBaseIndemnisation.getSjr().getSalaire().doubleValue()) {
      elementBaseIndemnisation.setMontantAvantageVieillesse(elementBaseIndemnisation.getCoefficientAvantageVieillesse().multiply(nouveauSjr.getSalaire()));
    }
    elementBaseIndemnisation.getSjr().setSalaire(nouveauSjr.getSalaire());
    
    elementBaseIndemnisation.getSjc().setSalaire(nouveauSjc.getSalaire());
    if ((elementBaseIndemnisation.getCoefficientSaisonnier() != null) && 
      (elementBaseIndemnisation.getCoefficientSaisonnier().intValue() != 1) && (p_attribution.getDemandeur().getAgeALaDate(p_dateDeMiseAjour).getAnnees() >= 50)) {
      if ((elementBaseIndemnisation.getTypeCaractereSaisonnierRetenu() == 1) && (elementBaseIndemnisation.isConditionCaractereSaisonnierParRythme())) {
        elementBaseIndemnisation.setCoefficientSaisonnier(new BigDecimal("1.00"));
      }
    }
  }
}

/* Location:
 * Qualified Name:     MajCi
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */