package fr.unedic.cali.asu.cge01.avant.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.outilsfonctionnels.ActiviteReduite;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.DefinitionStatutUtTraitementActiviteReduite;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques.FabriqueStrategieConvention2014;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaireMayotte;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.avant.FacadeAvantProduitFactory;
import fr.unedic.cali.avant.FacadeAvantProduitSpec;
import fr.unedic.cali.calcul.OutillageCalculADate;
import fr.unedic.cali.calcul.TraitementPeriodes;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.ConsommationPeriodes;
import fr.unedic.cali.calcul.dom.DureeConsommableAvant;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.calcul.dom.UniteTraitementForcee;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravail;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoRemplissage;
import fr.unedic.cali.calcul.outilsfonctionnels.DecoupageProratisation;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminationActiviteConserveeReprise;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminerJustificatifsRevenusAR;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionForcage;
import fr.unedic.cali.calcul.outilsfonctionnels.OutilGestionPoursuite;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.calcul.outilsfonctionnels.filtres.FiltrePeriodePrimeCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.filtres.FiltrePeriodeTravailCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.proratisation.PeriodeProratisationFactory;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.OdAssuranceSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.affectation.LigneSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuAbstrait;
import fr.unedic.cali.dom.affectation.ProduitAsuDelegueSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuMay17P02;
import fr.unedic.cali.dom.affectation.ProduitAsuMay17P03;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltreDebutDansBornes;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;
import java.util.Iterator;

public final class TraitementPeriodesAnalyseAvant
{
  private static final int DELAI_ATTENTE = 7;
  
  public static void traitementDesPeriodesAnalyses(AttributionSpec attribution, UniteTraitementAvant utAvant, ChronologiePeriodes periodesAnalyse, QualificationPeriodes qualificationPeriodes, ArretProduitAvecRaison arretProduitAvecRaison)
    throws CoucheLogiqueException
  {
    Quantite quantiteAImputerSurLaPA = null;
    DureeConsommableAvant dureePmc = (DureeConsommableAvant)utAvant.getDureePmcEnDebutUT().copie();
    DureeConsommableAvant dureePreavisLegal = (DureeConsommableAvant)utAvant.getDureePreavisLegalEnDebutUT().copie();
    DureeConsommableAvant dureeDiffereStandard = (DureeConsommableAvant)utAvant.getDureeDiffereStandardEnDebutUT().copie();
    DureeConsommableAvant dureeDiffereSpecifique = (DureeConsommableAvant)utAvant.getDureeDiffereSpecifiqueEnDebutUT().copie();
    DureeConsommableAvant dureeDelaiAttente = (DureeConsommableAvant)utAvant.getDureeDelaiAttenteEnDebutUT().copie();
    Quantite nombreDeJourDecalageAr = null;
    
    PeriodeAnalyseSpec pa = null;
    Damj dateDebutConsommationSurPa = null;
    
    Iterator ite = periodesAnalyse.iterer();
    while (ite.hasNext())
    {
      Quantite quantiteRestante = null;
      pa = (PeriodeAnalyseSpec)ite.next();
      pa.setQuantiteIndemnisable(new QuantiteJour(new BigDecimal(pa.getDuree())));
      dateDebutConsommationSurPa = pa.getDateDebut();
      quantiteAImputerSurLaPA = pa.getQuantiteIndemnisable().soustraire(pa.getQuantiteNonIndemnisee());
      quantiteRestante = new Quantite(quantiteAImputerSurLaPA.getValeur(), quantiteAImputerSurLaPA.getUnite());
      if (dureePmc.getEtat() != 2) {
        if ((dureePreavisLegal.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDiffereSpecifique.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDiffereStandard.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() == 0)) {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantiteEtTerminerProduit(quantiteRestante, pa, dureePmc, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison, attribution.getDateAttribution());
        } else {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantite(quantiteAImputerSurLaPA, pa, dureePmc, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison);
        }
      }
      if ((quantiteRestante.getValeur().compareTo(BigDecimal.valueOf(0L)) > 0) && (dureePreavisLegal.getQuantiteInitial().getValeurEntiere() > 0) && (dureePreavisLegal.getEtat() != 2))
      {
        DureeCalendaire d = new DureeCalendaire(0, 0, quantiteAImputerSurLaPA.soustraire(quantiteRestante).getValeurEntiere());
        dateDebutConsommationSurPa = pa.getDateDebut().deplacerVersAvant(d);
        if (dureePreavisLegal.getEtat() != 1)
        {
          dureePreavisLegal.activer();
          if (dureePreavisLegal.getQuantiteInitial().getValeurEntiere() > 0)
          {
            Periode p = new Periode(dateDebutConsommationSurPa);
            utAvant.getConsommationPeriodes().setPeriodePreavisLegal(p);
          }
        }
        if ((dureeDiffereSpecifique.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDiffereStandard.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() == 0)) {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantiteEtTerminerProduit(quantiteRestante, pa, dureePreavisLegal, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison, attribution.getDateAttribution());
        } else {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantite(quantiteRestante, pa, dureePreavisLegal, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison);
        }
      }
      if ((quantiteRestante.getValeur().compareTo(BigDecimal.valueOf(0L)) > 0) && (dureeDiffereStandard.getQuantiteInitial().getValeurEntiere() > 0) && (dureeDiffereStandard.getEtat() != 2))
      {
        DureeCalendaire d = new DureeCalendaire(0, 0, quantiteAImputerSurLaPA.soustraire(quantiteRestante).getValeurEntiere());
        dateDebutConsommationSurPa = pa.getDateDebut().deplacerVersAvant(d);
        if (dureeDiffereStandard.getEtat() != 1)
        {
          dureeDiffereStandard.activer();
          if (dureeDiffereStandard.getQuantiteInitial().getValeurEntiere() > 0)
          {
            Periode p = new Periode(dateDebutConsommationSurPa);
            utAvant.getConsommationPeriodes().setPeriodeDiffereStandard(p);
          }
        }
        if ((dureeDiffereSpecifique.getQuantiteInitial().getValeurEntiere() == 0) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() == 0)) {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantiteEtTerminerProduit(quantiteRestante, pa, dureeDiffereStandard, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison, attribution.getDateAttribution());
        } else {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantite(quantiteRestante, pa, dureeDiffereStandard, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison);
        }
      }
      if ((quantiteRestante.getValeur().compareTo(BigDecimal.valueOf(0L)) > 0) && (dureeDiffereSpecifique.getQuantiteInitial().getValeurEntiere() > 0) && (dureeDiffereSpecifique.getEtat() != 2))
      {
        DureeCalendaire d = new DureeCalendaire(0, 0, quantiteAImputerSurLaPA.soustraire(quantiteRestante).getValeurEntiere());
        dateDebutConsommationSurPa = pa.getDateDebut().deplacerVersAvant(d);
        if (dureeDiffereSpecifique.getEtat() != 1)
        {
          dureeDiffereSpecifique.activer();
          if (dureeDiffereSpecifique.getQuantiteInitial().getValeurEntiere() > 0)
          {
            Periode p = new Periode(dateDebutConsommationSurPa);
            utAvant.getConsommationPeriodes().setPeriodeDiffereSpecifique(p);
          }
        }
        if (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() == 0) {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantiteEtTerminerProduit(quantiteRestante, pa, dureeDiffereSpecifique, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison, attribution.getDateAttribution());
        } else {
          quantiteRestante = TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantite(quantiteRestante, pa, dureeDiffereSpecifique, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison);
        }
      }
      if ((quantiteRestante.getValeur().compareTo(BigDecimal.valueOf(0L)) > 0) && (dureeDelaiAttente.getEtat() != 2) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() > 0))
      {
        DureeCalendaire d = new DureeCalendaire(0, 0, quantiteAImputerSurLaPA.soustraire(quantiteRestante).getValeurEntiere());
        dateDebutConsommationSurPa = pa.getDateDebut().deplacerVersAvant(d);
        if ((!OutilDemande.estUneDemandeFinancement(attribution.getDemande())) && (dateDebutConsommationSurPa.estAvant(attribution.getDateAttribution())))
        {
          if (!attribution.getDateAttribution().estContenueDans(pa.getPeriode())) {
            continue;
          }
          quantiteRestante = quantiteRestante.soustraire(new QuantiteJour(BigDecimal.valueOf(attribution.getDateAttribution().joursEntre(dateDebutConsommationSurPa))));
          
          dateDebutConsommationSurPa = attribution.getDateAttribution();
        }
        Periode periodePa = new Periode(dateDebutConsommationSurPa, pa.getDateFin());
        if (!utAvant.isTraitementArEffectue()) {
          nombreDeJourDecalageAr = traitementActiviteReduiteSurUt(utAvant, periodesAnalyse, dateDebutConsommationSurPa, attribution, qualificationPeriodes, dureeDelaiAttente);
        }
        Quantite quantiteDecale = getDureeDecalageLieASuspention(periodePa, qualificationPeriodes, quantiteRestante, nombreDeJourDecalageAr);
        pa.setQuantiteDecalee(quantiteDecale);
        nombreDeJourDecalageAr = nombreDeJourDecalageAr.soustraire(quantiteDecale).max(new QuantiteJour(BigDecimal.ZERO));
        if (quantiteRestante.getValeurEntiere() > nombreDeJourDecalageAr.getValeurEntiere())
        {
          ChronologiePeriodes chronologieRemplissage = null;
          chronologieRemplissage = OutillageCalculADate.retourneLesTrous((ChronologiePeriodes)qualificationPeriodes.getPeriodesSuspensives().copier(new FiltreChevauchePeriode(periodePa)), ObjetChronoRemplissage.class, periodePa.getDebut(), periodePa.getFin());
          if ((utAvant.getQuantiteDecale() != null) && (utAvant.getQuantiteDecale().getValeur() != null) && (utAvant.getQuantiteDecale().getValeur().compareTo(BigDecimal.ZERO) > 0) && (!chronologieRemplissage.estVide()) && (pa.getQuantiteDecalee() != null) && (pa.getQuantiteDecalee().getValeurEntiere() != 0))
          {
            dateDebutConsommationSurPa = OutillageCalculADate.remplirTrousChronologieParDecalageEtRetourneDate(chronologieRemplissage, pa.getQuantiteDecalee(), periodePa).lendemain();
            if (dateDebutConsommationSurPa.estAvantOuCoincideAvec(periodePa.getFin())) {
              chronologieRemplissage = OutillageCalculADate.retourneLesTrous((ChronologiePeriodes)qualificationPeriodes.getPeriodesSuspensives().copier(new FiltreChevauchePeriode(new Periode(dateDebutConsommationSurPa, periodePa.getFin()))), ObjetChronoRemplissage.class, dateDebutConsommationSurPa, periodePa.getFin());
            } else {
              chronologieRemplissage.vider();
            }
          }
          if (dureeDelaiAttente.getEtat() == 0) {
            dateDebutConsommationSurPa = chronologieRemplissage.estVide() ? periodePa.getFin().lendemain() : chronologieRemplissage.premierElement().getDateDebut();
          } else if (dureeDelaiAttente.getEtat() == 1) {
            dateDebutConsommationSurPa = periodePa.getDebut();
          }
          int nbJourEntreDateEffectiveEtDateTheorique = dateDebutConsommationSurPa.joursEntre(periodePa.getDebut());
          quantiteRestante = quantiteRestante.soustraire(new QuantiteJour(new BigDecimal(nbJourEntreDateEffectiveEtDateTheorique)));
          if (quantiteRestante.getValeur().compareTo(BigDecimal.valueOf(0L)) > 0) {
            if ((!TraitementPeriodesAvant.traitementPeriodesSuspensivesPourDebutConsommationDelaiAttente(pa, qualificationPeriodes, utAvant.getConsommationPeriodes().getPeriodeDelaiAttente() == null ? dateDebutConsommationSurPa : utAvant.getConsommationPeriodes().getPeriodeDelaiAttente().getDebut())) || ((dureeDelaiAttente != null) && (dureeDelaiAttente.getQuantiteInitial() != null) && (dureeDelaiAttente.getQuantiteCourante() != null) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() != dureeDelaiAttente.getQuantiteCourante().getValeurEntiere())))
            {
              if (dureeDelaiAttente.getEtat() != 1)
              {
                dureeDelaiAttente.activer();
                if (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() > 0)
                {
                  Periode p = new Periode(dateDebutConsommationSurPa);
                  utAvant.getConsommationPeriodes().setPeriodeDelaiAttente(p);
                }
              }
              TraitementDureeConsommableAvant.simulerImputationEtImputerLaQuantiteEtTerminerProduit(quantiteRestante, pa, dureeDelaiAttente, utAvant, dateDebutConsommationSurPa, arretProduitAvecRaison, attribution.getDateAttribution());
            }
          }
        }
      }
      postTraitementPa(utAvant, pa);
    }
    if (pa != null) {
      traitementPeriodesAlertantes(attribution, utAvant, qualificationPeriodes, arretProduitAvecRaison, pa);
    }
    utAvant.setDureePmcEnFinUT(dureePmc);
    utAvant.setDureePreavisLegalEnFinUT(dureePreavisLegal);
    utAvant.setDureeDiffereStandardEnFinUT(dureeDiffereStandard);
    utAvant.setDureeDiffereSpecifiqueEnFinUT(dureeDiffereSpecifique);
    utAvant.setDureeDelaiAttenteEnFinUT(dureeDelaiAttente);
    
    utAvant.setPmcConsomme(pmcConsomme(utAvant));
    utAvant.setPreavisLegalConsomme(preavisLegalConsomme(utAvant));
    utAvant.setDiffereStandardConsomme(differeStandardConsomme(utAvant));
    utAvant.setDiffereSpecifiqueConsomme(differeSpecifiqueConsomme(utAvant));
    utAvant.setDelaiAttenteConsomme(delaiAttenteConsomme(utAvant));
  }
  
  public static Quantite getDureeDecalageLieASuspention(Periode periodePa, QualificationPeriodes qualificationPeriodes, Quantite quantiteRestante, Quantite nombreDeJourDecalageAr)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoSusp = DecoupageProratisation.decoupageEtProratisationPeriodesActivites(periodePa, (ChronologiePeriodes)qualificationPeriodes.getPeriodesSuspensives().copier(new FiltreChevauchePeriode(periodePa)));
    
    Quantite quantiteSuspensive = TraitementPeriodes.getQuantiteSuspensive(periodePa, new QuantiteJour(new BigDecimal(periodePa.getDuree())), chronoSusp);
    
    Quantite quantiteRestanteAvecSuspensif = quantiteRestante.soustraire(quantiteSuspensive);
    return quantiteRestanteAvecSuspensif.min(nombreDeJourDecalageAr).max(new QuantiteJour(BigDecimal.ZERO));
  }
  
  private static void traitementPeriodesAlertantes(AttributionSpec attribution, UniteTraitementAvant utAvant, QualificationPeriodes qualificationPeriodes, ArretProduitAvecRaison arretProduitAvecRaison, PeriodeAnalyseSpec pa)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoPeriodesAlertantes = qualificationPeriodes.getPeriodesAlertantes();
    
    ChronologiePeriodes chronoPeriodesAlertantesSurUT = (ChronologiePeriodes)chronoPeriodesAlertantes.copier(new FiltreDebutDansBornes(utAvant.getPeriode()));
    FacadeAvantProduitSpec facadeAvantProduitSpec = FacadeAvantProduitFactory.getInstance().getInstanceFacadeAvantProduit(attribution.getProduitExecution());
    
    ObjetChronoPeriode periodeAlertante = null;
    chronoPeriodesAlertantesSurUT.iterer();
    while (chronoPeriodesAlertantesSurUT.encoreSuivant())
    {
      periodeAlertante = (ObjetChronoPeriode)chronoPeriodesAlertantesSurUT.elementSuivant();
      facadeAvantProduitSpec.traitementPeriodesAlertantes(attribution, periodeAlertante, pa, arretProduitAvecRaison);
    }
  }
  
  private static void postTraitementPa(UniteTraitementAvant utAvant, PeriodeAnalyseSpec pa)
    throws CoucheLogiqueException
  {
    if (pa.isProduitATerminerApresPA()) {
      utAvant.setProduitATerminerApresUT(pa.isProduitATerminerApresPA());
    }
  }
  
  private static Quantite pmcConsomme(UniteTraitementAvant utAvant)
  {
    Quantite pmcConsomme;
    Quantite pmcConsomme;
    if (utAvant.getDureePmcEnFinUT().getEtat() == 0)
    {
      pmcConsomme = new QuantiteJour("0");
    }
    else
    {
      Quantite pmcConsomme;
      if (utAvant.getDureePmcEnDebutUT().getEtat() == 0) {
        pmcConsomme = utAvant.getDureePmcEnDebutUT().getQuantiteInitial().soustraire(utAvant.getDureePmcEnFinUT().getQuantiteCourante());
      } else {
        pmcConsomme = utAvant.getDureePmcEnDebutUT().getQuantiteCourante().soustraire(utAvant.getDureePmcEnFinUT().getQuantiteCourante());
      }
    }
    return pmcConsomme;
  }
  
  private static Quantite preavisLegalConsomme(UniteTraitementAvant utAvant)
  {
    Quantite preavisLegalConsomme;
    Quantite preavisLegalConsomme;
    if (utAvant.getDureePreavisLegalEnFinUT().getEtat() == 0)
    {
      preavisLegalConsomme = new QuantiteJour("0");
    }
    else
    {
      Quantite preavisLegalConsomme;
      if (utAvant.getDureePreavisLegalEnDebutUT().getEtat() == 0) {
        preavisLegalConsomme = utAvant.getDureePreavisLegalEnDebutUT().getQuantiteInitial().soustraire(utAvant.getDureePreavisLegalEnFinUT().getQuantiteCourante());
      } else {
        preavisLegalConsomme = utAvant.getDureePreavisLegalEnDebutUT().getQuantiteCourante().soustraire(utAvant.getDureePreavisLegalEnFinUT().getQuantiteCourante());
      }
    }
    return preavisLegalConsomme;
  }
  
  private static Quantite differeStandardConsomme(UniteTraitementAvant utAvant)
  {
    Quantite differeStandardConsomme;
    Quantite differeStandardConsomme;
    if (utAvant.getDureeDiffereStandardEnFinUT().getEtat() == 0)
    {
      differeStandardConsomme = new QuantiteJour("0");
    }
    else
    {
      Quantite differeStandardConsomme;
      if (utAvant.getDureeDiffereStandardEnDebutUT().getEtat() == 0) {
        differeStandardConsomme = utAvant.getDureeDiffereStandardEnDebutUT().getQuantiteInitial().soustraire(utAvant.getDureeDiffereStandardEnFinUT().getQuantiteCourante());
      } else {
        differeStandardConsomme = utAvant.getDureeDiffereStandardEnDebutUT().getQuantiteCourante().soustraire(utAvant.getDureeDiffereStandardEnFinUT().getQuantiteCourante());
      }
    }
    return differeStandardConsomme;
  }
  
  private static Quantite differeSpecifiqueConsomme(UniteTraitementAvant utAvant)
  {
    Quantite differeSpecifiqueConsomme;
    Quantite differeSpecifiqueConsomme;
    if (utAvant.getDureeDiffereSpecifiqueEnFinUT().getEtat() == 0)
    {
      differeSpecifiqueConsomme = new QuantiteJour("0");
    }
    else
    {
      Quantite differeSpecifiqueConsomme;
      if (utAvant.getDureeDiffereSpecifiqueEnDebutUT().getEtat() == 0) {
        differeSpecifiqueConsomme = utAvant.getDureeDiffereSpecifiqueEnDebutUT().getQuantiteInitial().soustraire(utAvant.getDureeDiffereSpecifiqueEnFinUT().getQuantiteCourante());
      } else {
        differeSpecifiqueConsomme = utAvant.getDureeDiffereSpecifiqueEnDebutUT().getQuantiteCourante().soustraire(utAvant.getDureeDiffereSpecifiqueEnFinUT().getQuantiteCourante());
      }
    }
    return differeSpecifiqueConsomme;
  }
  
  private static Quantite delaiAttenteConsomme(UniteTraitementAvant utAvant)
  {
    Quantite delaiAttenteConsomme;
    Quantite delaiAttenteConsomme;
    if (utAvant.getDureeDelaiAttenteEnFinUT().getEtat() == 0)
    {
      delaiAttenteConsomme = new QuantiteJour("0");
    }
    else
    {
      Quantite delaiAttenteConsomme;
      if (utAvant.getDureeDelaiAttenteEnDebutUT().getEtat() == 0) {
        delaiAttenteConsomme = utAvant.getDureeDelaiAttenteEnDebutUT().getQuantiteInitial().soustraire(utAvant.getDureeDelaiAttenteEnFinUT().getQuantiteCourante());
      } else {
        delaiAttenteConsomme = utAvant.getDureeDelaiAttenteEnDebutUT().getQuantiteCourante().soustraire(utAvant.getDureeDelaiAttenteEnFinUT().getQuantiteCourante());
      }
    }
    return delaiAttenteConsomme;
  }
  
  private static BigDecimal calculerGainRetenu(Chronologie periodesEmploi)
  {
    BigDecimal gainRetenu = BigDecimal.ZERO;
    Chronologie chronoFiltree = periodesEmploi.copier(new FiltrePeriodeTravailCalcul());
    PeriodeTravail periodeCourante = null;
    chronoFiltree.iterer();
    while (chronoFiltree.encoreSuivant())
    {
      periodeCourante = (PeriodeTravail)chronoFiltree.elementSuivant();
      
      gainRetenu = gainRetenu.add(periodeCourante.getGain());
    }
    return gainRetenu;
  }
  
  private static Quantite traitementARSurPeriodeAvant(Periode periodePa, Periode paAvecDateDebutConso, QualificationPeriodes qualificationPeriodes, ChronologiePeriodes chronoDecalage, Quantite quantite, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    Damj dateCalculMontant = OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(attribution);
    dateCalculMontant = Damj.max(dateCalculMontant, paAvecDateDebutConso.getDebut());
    Quantite quantiteRestante = quantite;
    Periode periodePriseEncompteSuspensif = new Periode(Damj.max(periodePa.getDebut(), paAvecDateDebutConso.getDebut()), paAvecDateDebutConso.getFin());
    
    ChronologiePeriodes chronologiePeriodesSuspensivesSurPeriode = PeriodeProratisationFactory.decoupeEtProratiseParDefaut(qualificationPeriodes.getPeriodesSuspensives(), periodePriseEncompteSuspensif);
    
    ChronologiePeriodes chronologiePeriodesSegmentanteSurPeriode = PeriodeProratisationFactory.decoupeEtProratiseParDefaut(qualificationPeriodes.getPeriodesSegmentantes(), periodePa);
    
    Quantite quantiteSuspensive = TraitementPeriodes.getQuantiteSuspensive(periodePriseEncompteSuspensif, new QuantiteJour(new BigDecimal(paAvecDateDebutConso.getDuree())), chronologiePeriodesSuspensivesSurPeriode);
    
    quantiteRestante = quantiteRestante.soustraire(quantiteSuspensive);
    
    DeterminerJustificatifsRevenusAR.traitementRevenusBS(chronoDecalage, periodePa.getDebut(), attribution);
    
    Chronologie periodesEmploiCourantes = chronoDecalage.copier(new FiltrePeriodeTravailCalcul());
    Chronologie periodesPrime = chronoDecalage.copier(new FiltrePeriodePrimeCalcul());
    BigDecimal cumulGainPrimes = BigDecimal.ZERO;
    BigDecimal cumulGainPA = BigDecimal.ZERO;
    PeriodePrime prime = null;
    
    DonneesEntreesRecuperationMontant donneesEntrees = ((GammeAsuSpec)attribution.getGamme()).mapperDonneesEntreesRecuperationMontant(attribution);
    donneesEntrees.setDateCalculMontant(dateCalculMontant);
    
    traiterPeriodeSegmentante(donneesEntrees, chronologiePeriodesSegmentanteSurPeriode);
    if (estUneAttributionMayotte(attribution)) {
      affecterProduitContexteMayotte(donneesEntrees, attribution);
    }
    MontantAsuSpec montantAAttribution = DeterminationMontant.determinerMontant(donneesEntrees);
    
    periodesPrime.iterer();
    while (periodesPrime.encoreSuivant())
    {
      prime = (PeriodePrime)periodesPrime.elementSuivant();
      cumulGainPrimes = cumulGainPrimes.add(prime.getMontant().getValeur());
    }
    cumulGainPA = calculerGainRetenu(periodesEmploiCourantes);
    cumulGainPA = cumulGainPA.add(cumulGainPrimes);
    
    ResultatActiviteReduite res = null;
    Sjr sjrRevalorise = null;
    if (estUneAttributionMayotte(attribution))
    {
      if (attribution.getProduitExecution().getNom().equals("ASU_MAY17_02"))
      {
        res = new ResultatActiviteReduite();
        res.setQuantiteIndemnise(BigDecimal.ZERO);
      }
      else
      {
        sjrRevalorise = RevalorisationSalaireMayotte.revaloriserSjrMayotte((AttributionAssuranceSpec)attribution, dateCalculMontant);
        res = ActiviteReduite.calculActiviteReduite(montantAAttribution.getMontantBrut().getValeur(), cumulGainPA, montantAAttribution.getMontantBrut().getValeur().multiply(quantiteRestante.getValeur()), sjrRevalorise.getSalaire(), montantAAttribution.getJustificationCalculMontant(), periodePa);
      }
    }
    else
    {
      sjrRevalorise = RevalorisationSalaire.revalorisationSjr((AttributionAssuranceSpec)attribution, dateCalculMontant);
      ProduitAsuAbstrait produit = (ProduitAsuAbstrait)attribution.getProduit();
      ProduitAsuDelegueSpec produitDelegue = (ProduitAsuDelegueSpec)produit.getProduitDelegue();
      res = produitDelegue.calculActiviteReduite(montantAAttribution.getMontantBrut().getValeur(), cumulGainPA, montantAAttribution.getMontantBrut().getValeur().multiply(quantiteRestante.getValeur()), sjrRevalorise.getSalaire(), montantAAttribution.getJustificationCalculMontant(), periodePa);
    }
    Quantite qteDec = quantiteRestante.soustraire(new QuantiteJour(res.getQuantiteIndemnise()));
    
    return qteDec;
  }
  
  private static ChronologiePeriodes recupererPeriodesJustifiees(ChronologiePeriodes chronoPeriode, AttributionSpec attribution, UniteTraitementAvant utAvant)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoPeriodeJustifiee = new ChronologiePeriodes();
    PeriodeTravail periodeCourante = null;
    PeriodePrime prime = null;
    
    Chronologie periodesEmploiCourantes = chronoPeriode.copier(new FiltrePeriodeTravailCalcul());
    periodesEmploiCourantes = periodesEmploiCourantes.copier(new FiltreChevauchePeriode(utAvant.getPeriode()));
    Chronologie periodesPrime = chronoPeriode.copier(new FiltrePeriodePrimeCalcul());
    periodesPrime = periodesPrime.copier(new FiltreChevauchePeriode(utAvant.getPeriode()));
    
    periodesPrime.iterer();
    while (periodesPrime.encoreSuivant())
    {
      prime = (PeriodePrime)periodesPrime.elementSuivant();
      chronoPeriodeJustifiee.ajouter(prime);
    }
    periodesEmploiCourantes.iterer();
    while (periodesEmploiCourantes.encoreSuivant())
    {
      periodeCourante = (PeriodeTravail)periodesEmploiCourantes.elementSuivant();
      if (!(periodeCourante instanceof DsmTravail)) {
        chronoPeriodeJustifiee.ajouter(periodeCourante);
      }
    }
    return filtrerActiviteConserveeSurJustifiee(chronoPeriodeJustifiee, attribution);
  }
  
  private static ChronologiePeriodes filtrerActiviteConserveeSurJustifiee(ChronologiePeriodes chronoJustifiee, AttributionSpec attribution)
  {
    ChronologiePeriodes chronoPeriodeJustifieeFiltree = new ChronologiePeriodes();
    chronoJustifiee.iterer();
    ObjetChronoPeriodeCalcul periodeCourante = null;
    while (chronoJustifiee.encoreSuivant())
    {
      periodeCourante = (ObjetChronoPeriodeCalcul)chronoJustifiee.elementSuivant();
      boolean periodeAIgnorer = DeterminationActiviteConserveeReprise.determinerTypeActivitePourAvant(((AttributionAssuranceSpec)attribution).getListeActiviteConservee(), periodeCourante, attribution);
      if (!periodeAIgnorer) {
        chronoPeriodeJustifieeFiltree.ajouter(periodeCourante);
      }
    }
    return chronoPeriodeJustifieeFiltree;
  }
  
  private static Periode recupererPeriodePriseEnCompte(AttributionSpec attribution, Periode periodePa)
  {
    Damj dateAttribOuPjp = OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(attribution);
    Damj dateDebutPriseEnCompte = periodePa.getDebut();
    Damj dateFinPriseEnCompte = periodePa.getFin();
    Damj dateOuvertureDroitAttribution = ((AttributionAssuranceSpec)attribution).getOuvertureDroit().getDateAttribution();
    Periode utPeriodePa = new Periode(periodePa.getDebut().getDebutMois(), periodePa.getDebut().getFinMois());
    if ((((AttributionAssuranceSpec)attribution).estDemandeSuiteFinDeDroit()) && (!(attribution instanceof RepriseSpec)) && (utPeriodePa.contient(dateOuvertureDroitAttribution)) && (!dateOuvertureDroitAttribution.coincideAvec(utPeriodePa.getDebut())))
    {
      dateDebutPriseEnCompte = utPeriodePa.getFin().lendemain();
      return new Periode(dateDebutPriseEnCompte, dateDebutPriseEnCompte);
    }
    dateDebutPriseEnCompte = Damj.max(dateDebutPriseEnCompte, dateAttribOuPjp);
    
    Chronologie periodesPEC = OutillagePEC.getChronologiePecsDemandeurEmploiSurPeriode(attribution.getDemandeur(), periodePa);
    periodesPEC.iterer();
    while (periodesPEC.encoreSuivant())
    {
      ObjetChronoPeriodePriseEnCharge pec = (ObjetChronoPeriodePriseEnCharge)periodesPEC.elementSuivant();
      Periode periodePec = new Periode(pec.getDateDebut(), pec.getDateFin());
      if (periodePec.contient(dateAttribOuPjp)) {
        dateFinPriseEnCompte = Damj.min(dateFinPriseEnCompte, periodePec.getFin());
      }
    }
    return new Periode(dateDebutPriseEnCompte, dateFinPriseEnCompte);
  }
  
  private static Quantite traitementActiviteReduiteSurUt(UniteTraitementAvant utAvant, ChronologiePeriodes chronoPeriodesAnalyse, Damj dateDebutConsoSurPa, AttributionSpec attribution, QualificationPeriodes qualificationPeriodes, DureeConsommableAvant dureeDelaiAttente)
    throws CoucheLogiqueException
  {
    Periode periodePriseEnCompteSurUT = null;
    Quantite qteDec = new QuantiteJour("0");
    PeriodeAnalyseSpec pa = null;
    
    Periode periodeDebutConsoUtTheorique = new Periode(dateDebutConsoSurPa, utAvant.getDateFin());
    utAvant.setDateDebutConsoDATheorique(utAvant.getDateDebutConsoDATheorique() == null ? periodeDebutConsoUtTheorique.getDebut() : Damj.min(periodeDebutConsoUtTheorique.getDebut(), utAvant.getDateDebutConsoDATheorique()));
    Iterator ite = chronoPeriodesAnalyse.iterer();
    while (ite.hasNext())
    {
      pa = (PeriodeAnalyseSpec)ite.next();
      Periode paAvecDateDebutConso = new Periode(dateDebutConsoSurPa, pa.getDateFin());
      
      periodePriseEnCompteSurUT = recupererPeriodePriseEnCompte(attribution, pa.getPeriode());
      boolean estPecValide = (periodePriseEnCompteSurUT != null) && (periodePriseEnCompteSurUT.getDebut().estContenueDans(utAvant.getPeriode()));
      
      Periode periodeRestante = new Periode(Damj.max(periodeDebutConsoUtTheorique.getDebut(), periodePriseEnCompteSurUT.getDebut()), periodePriseEnCompteSurUT.getFin());
      Quantite quantiteRestante = new QuantiteJour(BigDecimal.valueOf(periodeRestante.getDuree()));
      ChronologiePeriodes chronoDecalage = DecoupageProratisation.decoupageEtProratisationPeriodesActivites(periodePriseEnCompteSurUT, qualificationPeriodes.getPeriodesDecalantes());
      if (estUtAvantStatutDefinitif(chronoDecalage, attribution, utAvant))
      {
        chronoDecalage = recupererPeriodesJustifiees(chronoDecalage, attribution, utAvant);
        
        UniteTraitementForcee uniteTraitementForcee = GestionForcage.getUniteTraitementForcee(attribution.getDemande(), utAvant.getDateDebut(), utAvant.getDateFin(), false);
        
        boolean quantiteForceSurUt = (uniteTraitementForcee != null) && (uniteTraitementForcee.isCreditDecalageForce());
        
        boolean traitementAR = !chronoDecalage.estVide();
        boolean delaiAttentePresentEtNonActif = (dureeDelaiAttente.getEtat() != 1) && (dureeDelaiAttente.getQuantiteInitial() != null) && (dureeDelaiAttente.getQuantiteInitial().getValeurEntiere() == 7);
        if ((quantiteForceSurUt) && (dureeDelaiAttente.getEtat() != 1) && (utAvant.getDateDebut().estApresOuCoincideAvec(FabriqueStrategieConvention2014.DATE_APPLICATION)))
        {
          qteDec = uniteTraitementForcee.getCreditDecalage();
          utAvant.setQuantiteDecale(qteDec);
          utAvant.setTraitementArEffectue(true);
          utAvant.setDebutPeriodePECEvenementReducteurs(Damj.max(OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(attribution), utAvant.getDateDebutConsoDATheorique().getDebutMois()));
        }
        else if ((estPecValide) && (traitementAR) && (delaiAttentePresentEtNonActif))
        {
          qteDec = traitementARSurPeriodeAvant(pa.getPeriode(), paAvecDateDebutConso, qualificationPeriodes, chronoDecalage, quantiteRestante, attribution);
          utAvant.setQuantiteDecale(utAvant.getQuantiteDecale() != null ? utAvant.getQuantiteDecale().ajouter(qteDec) : qteDec);
          utAvant.setTraitementArEffectue(true);
          utAvant.setDebutPeriodePECEvenementReducteurs(Damj.max(OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(attribution), utAvant.getDateDebutConsoDATheorique().getDebutMois()));
        }
      }
      else if (estPecValide)
      {
        utAvant.setQuantiteDecale(new Quantite(paAvecDateDebutConso.getDuree(), UniteDuree.JOUR));
        utAvant.setTraitementArEffectue(true);
        utAvant.setDebutPeriodePECEvenementReducteurs(Damj.max(OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(attribution), utAvant.getDateDebutConsoDATheorique().getDebutMois()));
      }
    }
    return utAvant.getQuantiteDecale() != null ? utAvant.getQuantiteDecale() : qteDec;
  }
  
  private static boolean estUtAvantStatutDefinitif(ChronologiePeriodes chronoPeriode, AttributionSpec attribution, UniteTraitementAvant utAvant)
    throws CoucheLogiqueException
  {
    int statutUT = DefinitionStatutUtTraitementActiviteReduite.definirStatutUtPourCasGeneral(chronoPeriode, utAvant.getPeriode(), attribution);
    
    utAvant.setStatut(statutUT);
    if (statutUT == 3) {
      return true;
    }
    UniteTraitementForcee uniteTraitementForcee = GestionForcage.getUniteTraitementForcee(attribution.getDemande(), utAvant.getDateDebut(), utAvant.getDateFin(), false);
    
    boolean statutForceSurUt = (uniteTraitementForcee != null) && (uniteTraitementForcee.isStatutForce());
    if (statutForceSurUt) {
      utAvant.setStatut(uniteTraitementForcee.getStatut());
    }
    return (statutForceSurUt) && (uniteTraitementForcee.getStatut() == 3);
  }
  
  private static void traiterPeriodeSegmentante(DonneesEntreesRecuperationMontant donneesEntrees, ChronologiePeriodes chronoPeriodeSegmentante)
  {
    Iterator ite = chronoPeriodeSegmentante.iterer();
    while (ite.hasNext())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)ite.next();
      if (((periode instanceof PeriodeFormation)) && (((PeriodeFormation)periode).estEffective())) {
        donneesEntrees.getDonneesCalculMontant().setContexteFormation(true);
      }
    }
  }
  
  private static boolean estUneAttributionMayotte(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return attribution.getProduitExecution().getLigne().getNomUnique().equals("ASU_MAY17");
  }
  
  private static void affecterProduitContexteMayotte(DonneesEntreesRecuperationMontant donneesEntrees, AttributionSpec attribution)
  {
    if (attribution.getProduitExecution().getNom().equals("ASU_MAY17_02")) {
      donneesEntrees.getDonneesCalculMontant().setProduit(ProduitAsuMay17P02.getInstance());
    } else {
      donneesEntrees.getDonneesCalculMontant().setProduit(ProduitAsuMay17P03.getInstance());
    }
  }
}

/* Location:
 * Qualified Name:     TraitementPeriodesAnalyseAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */