package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieFiltreNatureEvenementPersonnelAssimilablesApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieFiltreNatureEvenementPersonnelAssimilablesAvant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieFiltreNatureEvenementPersonnelAssimilablesSpec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.DelaiRechercheProduit;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.outilsaffiliation.OutilPeriodeAffiliation;
import fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologieCarences;
import fr.unedic.cali.asu.outilsfonctionnels.filtre.FiltreActiviteConserveePerdue;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeActiviteNonSalariePeriodique;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEtatNonProfessionnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnelIndemnisable;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.DecorReglementaire;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.conteneurs.DonneesEntreeConstructionChronologie;
import fr.unedic.cali.fabriques.outilsfonctionnels.FabriqueStrategieGenerique;
import fr.unedic.cali.outilsfonctionnels.ComparateurTemporelSurDateFinDecroissante;
import fr.unedic.cali.outilsfonctionnels.RechercherDernierSinistre;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieAutreQueFormationCifCdd;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieEtantFCT;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieeMotifDvNonLegitime;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreFinActivite;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreFormation;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreMemeRegime;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreNatureEvementPersonnel;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreNegation;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteNonSalarieePeriodique;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeContratServiceCivique;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeDsmTravailActiviteConservee;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeFormationAssimilable;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeFormationImputableSurDuree;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesAttestees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesQualifiables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSansConflit;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSurFiltresExclusifs;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreRegimeDifferent;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreTravailSalarie;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ComparateurTemporelsSurDateFin;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltreDebutAvantDate;
import fr.unedic.util.temps.FiltreFinApresOuCoincideAvecDate;
import fr.unedic.util.temps.FiltreFinDansBornes;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.util.Collection;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;

public class ConstructionChronologie
  extends fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ConstructionChronologie
{
  public static final String CHRONO_ALLONGEMENT_DF_SI_1_JOUR_INDEMNISE = "AllongementDelaiForclusionSi1JourIndemnise";
  public static final String CHRONO_ALLONGEMENT_DF_SANS_CHEVAUCHEMENT_CT = "AllongementDFSansChevauchementCT";
  public static final String CHRONO_ALLONGEMENT_DF_SANS_CONDITION = "AllongementDFSansCondition";
  public static final String CHRONO_ALLONGEMENT_DF_CHEVAUCHE_CT_ALERTE = "AllongementDFChevaucheCTPourAlerte";
  public static final String CHRONO_ALLONGEMENT_DF_SANS_CONDITION_ALERTE = "AllongementDFSansConditionPourAlerte";
  public static final int DUREE_MINIMALE_INCARCERATION_APRES_FCT = 1095;
  
  private static Chronologie determinerChronoActiviteSalarieSpecDansPeriode(Periode periodeRecherche, Chronologie chronoActivitesDom)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarie());
    filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
    filtres.ajouterFiltre(new FiltreFinDansBornes(periodeRecherche));
    
    Chronologie chronologieActivitesParticipantes = chronoActivitesDom.copier(filtres);
    
    chronologieActivitesParticipantes.setComparateur(new ComparateurTemporelsSurDateFin());
    
    return chronologieActivitesParticipantes;
  }
  
  public static Chronologie determinerChronoActivitesSalarieesConservees(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesEntreeConstructionChronologie donneesEntree = fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.mapperDemandeDonneesEntreeConstructionChronologie(demande);
    Chronologie chronoActivitesConservees = determinerChronoActivitesConservees(donneesEntree);
    
    Chronologie chronoActivitesSalarieesRetenues = chronoActivitesConservees.copier(new FiltreActiviteSalarie());
    
    return chronoActivitesSalarieesRetenues;
  }
  
  public static Chronologie determinerChronoActivitesParticipantCarences(Periode periodeReference, Demande demande)
  {
    return ConstructionChronologieCarences.determinerChronoActivitesParticipantCarences(periodeReference, demande);
  }
  
  public static Chronologie determinerChronoActivitesParticipantPMC(Periode periodeReference, Demande demande, Chronologie chronoCarences)
  {
    Chronologie chronoActivitesRetenuesPMC = determinerChronoActivitesParticipantCarences(periodeReference, demande);
    
    chronoCarences.iterer();
    while (chronoCarences.encoreSuivant())
    {
      ActiviteSalarie periodeTraitee = (ActiviteSalarie)chronoCarences.elementSuivant();
      if (chronoActivitesRetenuesPMC.contientElement(periodeTraitee)) {
        chronoActivitesRetenuesPMC.supprimer(periodeTraitee);
      }
    }
    return chronoActivitesRetenuesPMC;
  }
  
  public static Chronologie determinerChronoActivitesPrtp(Demande demande, Periode prtp)
  {
    return determinerChronoActivitesPrc(demande, prtp);
  }
  
  public static Chronologie determinerChronoActivitesPrs(Demande demande, Periode prs)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarie());
    filtres.ajouterFiltre(new FiltreChevauchePeriode(prs));
    
    filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
    filtres.ajouterFiltre(new FiltrePeriodesQualifiables());
    filtres.ajouterFiltre(new FiltrePeriodesSansConflit());
    
    Chronologie chronoActivitesRetenuesPrs = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    
    return chronoActivitesRetenuesPrs;
  }
  
  public static Chronologie determinerChronoActivitesPrcPourRevision(Demande demande, Periode prc)
  {
    return determinerChronoActivitesPrcPourRevision(alimenterDonneesEntree(demande, prc));
  }
  
  public static Chronologie determinerChronoActivitesPrcPourRevision(DonneesEntreeConstructionChronologie donneesEntree)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    completerFiltresTypeActivitesPrc(filtres);
    
    completerFiltresBorneActivitesPrc(donneesEntree, filtres, new Periode(donneesEntree.getPeriodePrc().getDebut(), donneesEntree.getDateExamen().veille()));
    
    Chronologie chronoActivitesRetenuesPourPrc = donneesEntree.getIndividu().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    chronoActivitesRetenuesPourPrc = traiterRegimeDifferentA2bEtA7(chronoActivitesRetenuesPourPrc);
    
    return chronoActivitesRetenuesPourPrc;
  }
  
  public static Chronologie determinerChronoActivitesReglementApplicable(Periode periodeRechercheReglement, Chronologie chronoActivitesDom)
  {
    return determinerChronoActiviteSalarieSpecDansPeriode(periodeRechercheReglement, chronoActivitesDom);
  }
  
  public static Chronologie determinerChronoAssimilablePra(Demande demande, Periode pra, Chronologie chronoActivitesDom)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    
    filtres.ajouterFiltre(fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.filtreChevauchePeriodeAvecPriseEnComptePmvs(demande.getListContexteDemande(), pra, true));
    
    FiltreFinActivite filterFinActivite = new FiltreFinActivite();
    filtres.ajouterFiltre(filterFinActivite);
    
    FiltrePeriodeFormationAssimilable filtrePeriodeFormationAssimilable = new FiltrePeriodeFormationAssimilable();
    filtres.ajouterFiltre(filtrePeriodeFormationAssimilable);
    
    return chronoActivitesDom.copier(filtres);
  }
  
  public static Chronologie determinerChronoFormationAImputer(Periode periodeRecherche, Chronologie chronoActivitesDom)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    
    FiltreFinDansBornes filtreFinDansPeriode = new FiltreFinDansBornes(periodeRecherche);
    filtres.ajouterFiltre(filtreFinDansPeriode);
    
    FiltrePeriodeFormationImputableSurDuree filtrePeriodeFormationImputableSurDuree = new FiltrePeriodeFormationImputableSurDuree();
    filtres.ajouterFiltre(filtrePeriodeFormationImputableSurDuree);
    
    Chronologie chronologieActivitesParticipantes = chronoActivitesDom.copier(filtres);
    
    Comparator<?> comparateursurDateFin = new ComparateurTemporelsSurDateFin();
    chronologieActivitesParticipantes.setComparateur(comparateursurDateFin);
    
    return chronologieActivitesParticipantes;
  }
  
  public static Chronologie determinerChronoActiviteSalarieMemeReglement(Chronologie chronoActivitesDom, String reglementPropose, Periode pra, Demande demande)
  {
    Chronologie activiteSalarieTousReglements = determinerChronoActiviteSalarieTousReglements(demande, chronoActivitesDom, pra);
    
    DecorReglementaire decor = ((DossierAffectation)demande.getDossierAffectation()).getDecorReglementaire();
    FiltreMemeRegime filtreMemeRegime = new FiltreMemeRegime(reglementPropose, decor);
    return activiteSalarieTousReglements.copier(filtreMemeRegime);
  }
  
  public static Chronologie determinerChronoActiviteSalarieTousReglements(Demande demande, Chronologie chronoActivitesDom, Periode pra)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    FiltreFinActivite filterFinActivite = new FiltreFinActivite();
    filtres.ajouterFiltre(filterFinActivite);
    
    filtres.ajouterFiltre(fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.filtreChevauchePeriodeAvecPriseEnComptePmvs(demande.getListContexteDemande(), pra, true));
    
    FiltreActiviteSalarie filtreActiviteSalarie = new FiltreActiviteSalarie();
    filtres.ajouterFiltre(filtreActiviteSalarie);
    filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
    
    return chronoActivitesDom.copier(filtres);
  }
  
  public static Chronologie determinerChronoPeriodesDeductiblesSpecifiques(Demande demande, Periode prc)
  {
    Chronologie chronoPeriodesDeductibles = new ChronologiePeriodes();
    
    DecorReglementaire decor = ((DossierAffectation)demande.getDossierAffectation()).getDecorReglementaire();
    
    Reglement reglementApplicableCourant = ((DossierExamen)demande.getDossierExamen()).getReglementApplicable().getReglement();
    Chronologie chronoPeriodesConcerneesFiltreSpecifique;
    Chronologie chronoPeriodesConcerneesFiltreSpecifique;
    if (reglementApplicableCourant.estNomReglementIdentique("A3"))
    {
      chronoPeriodesConcerneesFiltreSpecifique = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    }
    else
    {
      FiltresTemporel filtres = new FiltresTemporel();
      filtres.ajouterFiltre(new FiltreActiviteSalarie());
      filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
      filtres.ajouterFiltre(new FiltreMemeRegime("A3", decor));
      chronoPeriodesConcerneesFiltreSpecifique = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    }
    FiltrePeriodesSurFiltresExclusifs listeFiltresExclusifs = new FiltrePeriodesSurFiltresExclusifs();
    
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(listeFiltresExclusifs);
    filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
    Chronologie chronoPeriodesFiltrees = chronoPeriodesConcerneesFiltreSpecifique.copier(filtres);
    if (!chronoPeriodesFiltrees.estVide()) {
      chronoPeriodesDeductibles.ajouter(chronoPeriodesFiltrees);
    }
    if (reglementApplicableCourant.estNomReglementIdentique("A4"))
    {
      chronoPeriodesConcerneesFiltreSpecifique = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    }
    else
    {
      filtres = new FiltresTemporel();
      filtres.ajouterFiltre(new FiltreActiviteSalarie());
      filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
      filtres.ajouterFiltre(new FiltreMemeRegime("A4", decor));
      chronoPeriodesConcerneesFiltreSpecifique = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    }
    filtres = new FiltresTemporel();
    
    filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
    chronoPeriodesFiltrees = chronoPeriodesConcerneesFiltreSpecifique.copier(filtres);
    if (!chronoPeriodesFiltrees.estVide()) {
      chronoPeriodesDeductibles.ajouter(chronoPeriodesFiltrees);
    }
    return chronoPeriodesDeductibles;
  }
  
  public static Chronologie determinerChronoActivitesDV(Demande demande)
    throws CoucheLogiqueException
  {
    Damj dateFG = demande.getDateFaitGenerateurOuFinDernierContratTravailRompu();
    Damj dateDebutPraLaPlusLongue;
    Damj dateDebutPraLaPlusLongue;
    if ((((DossierAffectation)demande.getDossierAffectation()).getValidationProduit() != null) && (((DossierAffectation)demande.getDossierAffectation()).getValidationProduit().isEstProduitValide()))
    {
      ActiviteSalarie periodeValidationProduit = ((DossierAffectation)demande.getDossierAffectation()).getValidationProduit().getPeriodeValidationProduit();
      
      Pra praLaPlusLongue = ConstructionPra.determinerPraLaPlusLongue(demande, periodeValidationProduit);
      dateDebutPraLaPlusLongue = praLaPlusLongue.getDebut();
    }
    else
    {
      dateDebutPraLaPlusLongue = Damj.NUIT_DES_TEMPS;
    }
    if (demande.getDateFaitGenerateurOdPrecedente() != null) {
      dateDebutPraLaPlusLongue = Damj.max(Damj.NUIT_DES_TEMPS, demande.getDateFaitGenerateurOdPrecedente());
    }
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarieAutreQueFormationCifCdd());
    filtres.ajouterFiltre(new FiltreActiviteSalarieeMotifDvNonLegitime());
    filtres.ajouterFiltre(new FiltreFinDansBornes(dateDebutPraLaPlusLongue, dateFG));
    
    filtres.ajouterFiltre(new FiltrePeriodesQualifiables());
    
    Chronologie chronoActivitesDV = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    
    chronoActivitesDV.setComparateur(new ComparateurTemporelSurDateFinDecroissante());
    return chronoActivitesDV;
  }
  
  public static Chronologie determinerChronoActivitesPrcPourFinAsr(Demande demande, Periode prc)
  {
    DecorReglementaire decor = ((DossierAffectation)demande.getDossierAffectation()).getDecorReglementaire();
    
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarie());
    filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
    
    Damj dateDeb = prc.getDebut();
    Damj dateFin = demande.getAttribution().getDateAttribution();
    filtres.ajouterFiltre(new FiltreFinDansBornes(dateDeb, dateFin));
    
    filtres.ajouterFiltre(new FiltrePeriodesAttestees());
    filtres.ajouterFiltre(new FiltrePeriodesSansConflit());
    filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
    
    filtres.ajouterFiltre(new FiltreNegation(new FiltreActiviteSalarieeMotifDvNonLegitime()));
    
    Chronologie chronoActivitesRetenuesPourPrc = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    
    FiltresTemporel filtresRegimeDifferentA2bEtA7 = new FiltresTemporel();
    filtresRegimeDifferentA2bEtA7.ajouterFiltre(new FiltreRegimeDifferent("A2b", decor));
    filtresRegimeDifferentA2bEtA7.ajouterFiltre(new FiltreRegimeDifferent("A7", decor));
    chronoActivitesRetenuesPourPrc = chronoActivitesRetenuesPourPrc.copier(filtresRegimeDifferentA2bEtA7);
    
    return chronoActivitesRetenuesPourPrc;
  }
  
  public static boolean determinerTopRevise(Demande demande, Periode prc)
  {
    boolean topRevise = false;
    Chronologie chronoActivitesChronologie = determinerChronoActivitesPrcPourFinAsr(demande, prc);
    if ((chronoActivitesChronologie != null) && (chronoActivitesChronologie.getTaille() > 0))
    {
      FiltresTemporel filtres = new FiltresTemporel();
      filtres.ajouterFiltre(new FiltreChevauchePeriode(prc));
      filtres.ajouterFiltre(new FiltreFinDansBornes(demande.getDateExamen(), demande.getAttribution().getDateAttribution()));
      Chronologie chronoResultante = chronoActivitesChronologie.copier(filtres);
      if ((chronoResultante != null) && (chronoResultante.getTaille() > 0)) {
        topRevise = true;
      }
    }
    return topRevise;
  }
  
  public static Chronologie determinerChronoActivitesConserveesPourFinAsr(Demande demande)
  {
    Chronologie chronoActivitesConservees = new ChronologiePeriodes();
    
    ActiviteSalarie pas = null;
    if ((((DossierAffecte)demande.getDossierAffectation()).getValidationProduit() != null) && (((DossierAffecte)demande.getDossierAffectation()).getValidationProduit().isEstProduitValide()) && (((DossierAffecte)demande.getDossierAffectation()).getValidationProduit().getPeriodeValidationProduit() != null)) {
      pas = ((DossierAffecte)demande.getDossierAffectation()).getValidationProduit().getPeriodeValidationProduit();
    }
    if (pas != null)
    {
      Damj dateMin = pas.getDateFin().veille();
      Damj dateMax = demande.getAttribution().getDateAttribution();
      FiltresTemporel filtresDates = new FiltresTemporel();
      filtresDates.ajouterFiltre(new FiltreFinApresOuCoincideAvecDate(dateMax));
      filtresDates.ajouterFiltre(new FiltreDebutAvantDate(dateMin));
      
      FiltrePeriodesSurFiltresExclusifs filtreTypesPeriodes = new FiltrePeriodesSurFiltresExclusifs();
      
      filtreTypesPeriodes.ajouterFiltre(new FiltreTravailSalarie());
      
      filtreTypesPeriodes.ajouterFiltre(new FiltrePeriodeDsmTravailActiviteConservee());
      
      Chronologie chronoPassePro = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
      chronoActivitesConservees = chronoPassePro.copier(filtreTypesPeriodes);
      chronoActivitesConservees = chronoActivitesConservees.copier(filtresDates);
      
      chronoActivitesConservees.ajouter(determinerPansPeriodiquesActivitesConservees(chronoPassePro, dateMin, dateMax));
    }
    return chronoActivitesConservees;
  }
  
  private static Chronologie determinerPansPeriodiquesActivitesConservees(Chronologie chronoPassePro, Damj borneExclusiveDebutActiviteConservee, Damj borneExclusiveFinActiviteConservee)
  {
    Chronologie chronoActivitesConservees = new ChronologiePeriodes();
    
    Chronologie chronoPansPeriodiques = chronoPassePro.copier(new FiltrePeriodeActiviteNonSalarieePeriodique());
    
    chronoPansPeriodiques.iterer();
    while (chronoPansPeriodiques.encoreSuivant())
    {
      PeriodeActiviteNonSalariePeriodique pansPeriodiqueCourante = (PeriodeActiviteNonSalariePeriodique)chronoPansPeriodiques.elementSuivant();
      
      boolean pansPeriodiqueARetenir = false;
      
      Collection<?> listeSousPeriodes = pansPeriodiqueCourante.getCollectionPeriodeEtatNonProfessionnel();
      Iterator<?> iterSp = listeSousPeriodes.iterator();
      while ((iterSp.hasNext()) && (!pansPeriodiqueARetenir))
      {
        PeriodeEtatNonProfessionnel periodeEtatNonProPansPeriodiqueCourante = (PeriodeEtatNonProfessionnel)iterSp.next();
        if ((periodeEtatNonProPansPeriodiqueCourante.isEtatProfessionnel()) && (periodeEtatNonProPansPeriodiqueCourante.getDateDebut().estAvant(borneExclusiveDebutActiviteConservee)) && (periodeEtatNonProPansPeriodiqueCourante.getDateFin().estApres(borneExclusiveFinActiviteConservee))) {
          pansPeriodiqueARetenir = true;
        }
      }
      if (pansPeriodiqueARetenir) {
        chronoActivitesConservees.ajouter(pansPeriodiqueCourante);
      }
    }
    return chronoActivitesConservees;
  }
  
  public static Chronologie determinerChronoActivitesSalarieesConserveesPourFinAsr(Demande demande)
  {
    Chronologie chronoActivitesConservees = determinerChronoActivitesConserveesPourFinAsr(demande);
    
    return chronoActivitesConservees.copier(new FiltreActiviteSalarie());
  }
  
  public static Chronologie determinerChronoActivitesConserveesPerdues(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesEntreeConstructionChronologie donneesEntree = fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.mapperDemandeDonneesEntreeConstructionChronologie(demande);
    Chronologie chronoActivitesConserveesPerdues = determinerChronoActivitesConservees(donneesEntree);
    FiltresTemporel filtresActivitePerdues = new FiltresTemporel();
    filtresActivitePerdues.ajouterFiltre(new FiltreActiviteConserveePerdue());
    chronoActivitesConserveesPerdues = chronoActivitesConserveesPerdues.copier(filtresActivitePerdues);
    return chronoActivitesConserveesPerdues;
  }
  
  public static Chronologie determinerChronoActivitesConservees(DonneesEntreeConstructionChronologie donneesEntreeConstructionChronologie)
    throws CoucheLogiqueException
  {
    return fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.determinerChronoActivitesConservees(donneesEntreeConstructionChronologie);
  }
  
  public static Map<String, Chronologie> determinerChronologiesAllongementDelaiForclusion(Demande demande, DelaiRechercheProduit periodeForclusion)
    throws CoucheLogiqueException
  {
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreChevauchePeriode(periodeForclusion));
    Map<String, Chronologie> map = new HashMap();
    Chronologie chronologie = demande.getDemandeur().getChronoPeriodePasseProfessionnel();
    Chronologie pensionInvalidite = demande.getDemandeur().getPeriodePensionInvalidite();
    TravailSpec dernierSinistre = RechercherDernierSinistre.rechercherDateDernierSinistre(demande.getDateExamen().veille(), demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation());
    
    map.put("AllongementDelaiForclusionSi1JourIndemnise", determinerActivitesAllongementDelaiForclusionSi1JourIndemnise(chronologie).copier(filtres));
    map.put("AllongementDFSansChevauchementCT", determinerActivitesAllongementDelaiForclusionSansChevauchementCT(chronologie).copier(filtres));
    map.put("AllongementDFSansCondition", determinerActivitesAllongementDelaiForclusionSansCondition(pensionInvalidite, chronologie).copier(filtres));
    map.put("AllongementDFChevaucheCTPourAlerte", determinerActivitesAllongementDelaiForclusionChevaucheCTPourAlerte(chronologie, dernierSinistre).copier(filtres));
    map.put("AllongementDFSansConditionPourAlerte", determinerActivitesAllongementDelaiForclusionSansConditionPourAlerte(chronologie).copier(filtres));
    
    return map;
  }
  
  public static Chronologie determinerActivitesAllongementDelaiForclusionSi1JourIndemnise(Chronologie chronologie)
  {
    Chronologie resultat = new ChronologiePeriodes();
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(21);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(22);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(23);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(25);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(27);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(26);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(28);
    
    FiltresTemporel filtrePEP = new FiltresTemporel();
    filtrePEP.ajouterFiltre(filtreNatureEvenementPersonnel);
    Chronologie chronoPEP = chronologie.copier(filtrePEP);
    
    ListIterator<?> iterator = chronoPEP.iterer();
    while (iterator.hasNext())
    {
      PeriodeEvenementPersonnelIndemnisable pep = (PeriodeEvenementPersonnelIndemnisable)iterator.next();
      if (!pep.getListePeriodeIndemnisation().isEmpty())
      {
        Collection<?> indemnisations = pep.getListePeriodeIndemnisation();
        
        Iterator<?> iteratorIndemnisations = indemnisations.iterator();
        while (iteratorIndemnisations.hasNext())
        {
          Temporel periode = new ObjetChronoPeriodeConcrete((Periode)iteratorIndemnisations.next());
          resultat.ajouter(periode);
        }
      }
    }
    return resultat;
  }
  
  public static Chronologie determinerActivitesAllongementDelaiForclusionSansChevauchementCT(Chronologie chronologie)
  {
    Chronologie resultat = new ChronologiePeriodes();
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(32);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(33);
    
    FiltreActiviteSalarie filtreActiviteSalarie = new FiltreActiviteSalarieEtantFCT();
    
    FiltresTemporel filtrePEP = new FiltresTemporel();
    filtrePEP.ajouterFiltre(filtreNatureEvenementPersonnel);
    Chronologie chronoPEP = chronologie.copier(filtrePEP);
    
    FiltresTemporel filtreAS = new FiltresTemporel();
    filtreAS.ajouterFiltre(filtreActiviteSalarie);
    ChronologiePeriodes chronoAS = OutilPeriodeAffiliation.construireChronologiePeriode(chronologie.copier(filtreAS));
    
    ListIterator<?> iterator = chronoPEP.iterer();
    while (iterator.hasNext())
    {
      PeriodeEvenementPersonnel pep = (PeriodeEvenementPersonnel)iterator.next();
      if (pep.inter(chronoAS) == 0) {
        resultat.ajouter(pep);
      }
    }
    return resultat;
  }
  
  public static Chronologie determinerActivitesAllongementDelaiForclusionSansCondition(Chronologie pensionInvalidite, Chronologie chronologie)
    throws CoucheLogiqueException
  {
    Chronologie resultat = new ChronologiePeriodes();
    resultat.ajouter(pensionInvalidite);
    
    FiltresTemporel filtreTemporel = new FiltresTemporel();
    filtreTemporel.ajouterFiltre(new FiltreFormation());
    resultat.ajouter(chronologie.copier(filtreTemporel));
    
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(43);
    filtreTemporel.vider();
    filtreTemporel.ajouterFiltre(filtreNatureEvenementPersonnel);
    resultat.ajouter(chronologie.copier(filtreTemporel));
    
    filtreTemporel.vider();
    filtreTemporel.ajouterFiltre(new FiltrePeriodeContratServiceCivique());
    resultat.ajouter(chronologie.copier(filtreTemporel));
    
    return resultat;
  }
  
  public static Chronologie determinerActivitesAllongementDelaiForclusionChevaucheCTPourAlerte(Chronologie chronologie, TravailSpec dernierSinistre)
    throws CoucheLogiqueException
  {
    Chronologie resultat = new ChronologiePeriodes();
    if (dernierSinistre != null)
    {
      StrategieFiltreNatureEvenementPersonnelAssimilablesSpec strategie = (StrategieFiltreNatureEvenementPersonnelAssimilablesSpec)FabriqueStrategieGenerique.choisirStrategie(dernierSinistre.getDateFin(), "Date d'application des changements ARE17 à partir du 1er janvier 2018", new StrategieFiltreNatureEvenementPersonnelAssimilablesAvant(), new StrategieFiltreNatureEvenementPersonnelAssimilablesApres());
      
      FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = strategie.recupererFiltreNatureEvenementPersonnel();
      
      FiltresTemporel filtrePEP = new FiltresTemporel();
      filtrePEP.ajouterFiltre(filtreNatureEvenementPersonnel);
      Chronologie chronoPEP = chronologie.copier(filtrePEP);
      
      FiltresTemporel filtreAS = new FiltresTemporel();
      
      filtreAS.ajouterFiltre(new FiltreActiviteSalarieEtantFCT());
      filtreAS.ajouterFiltre(new FiltreFinActivite());
      ChronologiePeriodes chronoCTFermes = OutilPeriodeAffiliation.construireChronologiePeriode(chronologie.copier(filtreAS));
      
      FiltresTemporel filtrePourIncarceration = new FiltresTemporel();
      
      ListIterator<?> iterator = chronoPEP.iterer();
      while (iterator.hasNext())
      {
        PeriodeEvenementPersonnel pep = (PeriodeEvenementPersonnel)iterator.next();
        if (pep.inter(chronoCTFermes) > 0) {
          traiterPeriodeIncarceration(resultat, chronoCTFermes, filtrePourIncarceration, pep);
        }
      }
      iterator = chronoCTFermes.iterer();
      while (iterator.hasNext())
      {
        ActiviteSalarie ct = (ActiviteSalarie)iterator.next();
        Chronologie incidents = ct.getListePeriodesIncident();
        Chronologie incidentsPourAlerte = incidents.copier(filtrePEP);
        ListIterator<?> iteratorPEP = incidentsPourAlerte.iterer();
        while (iteratorPEP.hasNext())
        {
          Temporel pep = (Temporel)iteratorPEP.next();
          resultat.ajouter(pep);
        }
      }
    }
    return resultat;
  }
  
  private static void traiterPeriodeIncarceration(Chronologie resultat, ChronologiePeriodes chronoCTFermes, FiltresTemporel filtrePourIncarceration, PeriodeEvenementPersonnel pep)
  {
    if (pep.getNature() == 38)
    {
      FiltreChevauchePeriode filtreIncarceration = new FiltreChevauchePeriode(new Periode(pep.getDateDebut(), pep.getDateFin()));
      filtrePourIncarceration.vider();
      filtrePourIncarceration.ajouterFiltre(filtreIncarceration);
      Chronologie chevaucheIncarceration = chronoCTFermes.copier(filtrePourIncarceration);
      
      Damj dateFCT = Damj.NUIT_DES_TEMPS;
      ListIterator<?> iteratorCT = chevaucheIncarceration.iterer();
      while (iteratorCT.hasNext())
      {
        Temporel ct = (Temporel)iteratorCT.next();
        if (dateFCT.estAvant(ct.getDateFin())) {
          dateFCT = ct.getDateFin();
        }
      }
      if ((dateFCT.estAvant(pep.getDateFin())) && (dateFCT.joursEntre(pep.getDateFin()) < 1095)) {
        resultat.ajouter(pep);
      }
    }
    else
    {
      resultat.ajouter(pep);
    }
  }
  
  public static Chronologie determinerActivitesAllongementDelaiForclusionSansConditionPourAlerte(Chronologie chronologie)
  {
    Chronologie resultat = new ChronologiePeriodes();
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(36);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(37);
    
    FiltresTemporel filtreTemporel = new FiltresTemporel();
    filtreTemporel.ajouterFiltre(filtreNatureEvenementPersonnel);
    resultat.ajouter(chronologie.copier(filtreTemporel));
    
    filtreTemporel.vider();
    filtreTemporel.ajouterFiltre(new FiltrePeriodeActiviteNonSalarieePeriodique());
    resultat.ajouter(chronologie.copier(filtreTemporel));
    
    return resultat;
  }
}

/* Location:
 * Qualified Name:     ConstructionChronologie
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */