package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategiePriseEnCompteRemunerationSrSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueOutilFonctionnelDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueStrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilDeterminationSrPraeSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilJustificationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.CriteresStrategiePriseEnCompteRemunerationSrSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.cali.asu.parametres.OutilAccesListeUnitesReglement;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPlafondsParEmployeur;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSrPeriodeActiviteRetenue;
import fr.unedic.cali.asu.produits.liquidation.dom.Prae;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.Prce;
import fr.unedic.cali.asu.produits.liquidation.dom.conteneurs.DonneesResultatDeterminationSjr;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.OutilSjrPnds;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeIntensite;
import fr.unedic.cali.autresdoms.ga.dom.Prime;
import fr.unedic.cali.autresdoms.ga.dom.Salaire;
import fr.unedic.cali.autresdoms.ga.dom.spec.ConstantesPeriodeActivite;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.cali.dom.ObjetAlertesNonBloquantes;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.conteneurs.DonneeEntreeParametre;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeComportementSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDemandeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeProduitDeterminationSjrSpec;
import fr.unedic.cali.outilsfonctionnels.DeterminationRemuneration;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parametres.EvenementParametre;
import fr.unedic.cali.parametres.ParametresIndemnisation;
import fr.unedic.cali.util.OutillageChronologiePeriodes;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;

public class OutilDeterminationSrPrae
  implements OutilDeterminationSrPraeSpec
{
  private static final BigDecimal ZERO = BigDecimal.ZERO;
  private static final BigDecimal UN = BigDecimal.ONE;
  private static final BigDecimal NOMBRE_JOURS_MOIS = new BigDecimal("30");
  private static final int PRECISION_DEUX_CHIFFRES = 2;
  private static OutilDeterminationSrPrae instance = new OutilDeterminationSrPrae();
  
  public static OutilDeterminationSrPrae getInstance()
  {
    return instance;
  }
  
  public OutilJustificationSjrSpec recupererOutilJustificationSjr(DonneesEntreeComportementSpec donneesEntreeComportement)
  {
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOutilFonctionnel = (FabriqueOutilFonctionnelDeterminationSjrSpec)donneesEntreeComportement.getFabriqueOutilFonctionnel();
    
    return fabriqueOutilFonctionnel.getOutilJustificationSjr(donneesEntreeComportement);
  }
  
  public BigDecimal determinerSrae(Prae resultatPrae, DonneesEntreeDeterminationSjrSpec donneesEntree, DonneesResultatDeterminationSjr donneesResultat)
    throws CoucheLogiqueException
  {
    BigDecimal cumulSrae = ZERO;
    
    OutilJustificationSjrSpec outilJustificationSjr = recupererOutilJustificationSjr(donneesEntree.getDonneesEntreeComportement());
    
    JustificationSr resultatJustificationSr = donneesResultat.getJustificationSjr().getJustificationSr();
    
    ActiviteSalarie activiteSalarieCourante = resultatPrae.getPeriodeActiviteSalarie();
    JustificationSrPeriodeActiviteRetenue resultatJustifSrPeriodeActiviteRetenue = null;
    if (outilJustificationSjr != null) {
      resultatJustifSrPeriodeActiviteRetenue = outilJustificationSjr.initialiserJustificationSrPeriodeActiviteRetenue(resultatJustificationSr, activiteSalarieCourante);
    }
    CriteresStrategiePriseEnCompteRemunerationSrSjr criteresStrategie = new CriteresStrategiePriseEnCompteRemunerationSrSjr();
    criteresStrategie.setReglementAppartenanceActiviteSalarie(activiteSalarieCourante.getReglement());
    StrategiePriseEnCompteRemunerationSrSjrSpec strategiePriseEnCompteRemunerationSr = (StrategiePriseEnCompteRemunerationSrSjrSpec)recupererFabriqueStrategiePriseEnCompteRemunerationSrSjr().getStrategie(criteresStrategie);
    
    BigDecimal montantRemunerationsRetenues = determinerRemunerationSalaires(resultatPrae, donneesEntree, donneesResultat, strategiePriseEnCompteRemunerationSr, outilJustificationSjr, resultatJustifSrPeriodeActiviteRetenue);
    
    cumulSrae = cumulSrae.add(montantRemunerationsRetenues);
    if (outilJustificationSjr != null)
    {
      BigDecimal resultatTotalSalaires = resultatJustificationSr.getTotalSalairesRetenus().add(montantRemunerationsRetenues);
      outilJustificationSjr.justifierSrMontant(resultatJustificationSr, 3, resultatTotalSalaires);
    }
    montantRemunerationsRetenues = determinerRemunerationPrimesNormales(resultatPrae, donneesEntree, strategiePriseEnCompteRemunerationSr, outilJustificationSjr, resultatJustifSrPeriodeActiviteRetenue, donneesResultat);
    
    cumulSrae = cumulSrae.add(montantRemunerationsRetenues);
    if (outilJustificationSjr != null)
    {
      BigDecimal resultatTotalPrimesNormales = resultatJustificationSr.getTotalPrimesNormalesRetenues().add(montantRemunerationsRetenues);
      outilJustificationSjr.justifierSrMontant(resultatJustificationSr, 4, resultatTotalPrimesNormales);
    }
    montantRemunerationsRetenues = determinerRemunerationPrimesExceptionnelles(resultatPrae, donneesEntree, strategiePriseEnCompteRemunerationSr, outilJustificationSjr, resultatJustifSrPeriodeActiviteRetenue, donneesResultat);
    
    cumulSrae = cumulSrae.add(montantRemunerationsRetenues);
    if (outilJustificationSjr != null)
    {
      BigDecimal resultatTotalPrimesExceptionnelles = resultatJustificationSr.getTotalPrimesExceptionnellesRetenues().add(montantRemunerationsRetenues);
      
      outilJustificationSjr.justifierSrMontant(resultatJustificationSr, 5, resultatTotalPrimesExceptionnelles);
    }
    montantRemunerationsRetenues = determinerRemunerationPrimesICRS(resultatPrae, strategiePriseEnCompteRemunerationSr, outilJustificationSjr, resultatJustifSrPeriodeActiviteRetenue);
    
    cumulSrae = cumulSrae.add(montantRemunerationsRetenues);
    if (outilJustificationSjr != null)
    {
      BigDecimal resultatTotalSalaires = resultatJustificationSr.getTotalSalairesRetenus().add(montantRemunerationsRetenues);
      outilJustificationSjr.justifierSrMontant(resultatJustificationSr, 3, resultatTotalSalaires);
    }
    if (outilJustificationSjr != null)
    {
      BigDecimal resultatSri = resultatJustificationSr.getSalaireReferenceNonPlafonne().add(cumulSrae);
      outilJustificationSjr.justifierSrMontant(resultatJustificationSr, 2, resultatSri);
    }
    if (cumulSrae.compareTo(ZERO) > 0)
    {
      Chronologie listePeriodeParticipantes = resultatPrae.getPrce().getPrc().getChronoActiviteSalarieParticipantSr();
      if (!listePeriodeParticipantes.contientElement(activiteSalarieCourante)) {
        resultatPrae.getPrce().getPrc().ajouterActiviteSalarieParticipantSr(activiteSalarieCourante);
      }
    }
    return cumulSrae;
  }
  
  public BigDecimal determinerPae(Prae resultatPrae, DonneesEntreeDeterminationSjrSpec donneesEntree, DonneesResultatDeterminationSjr donneesResultat, JustificationPlafondsParEmployeur justificationPlafondsParEmployeur)
    throws CoucheLogiqueException
  {
    BigDecimal cumulPae = ZERO;
    
    OutilJustificationSjrSpec outilJustificationSjr = recupererOutilJustificationSjr(donneesEntree.getDonneesEntreeComportement());
    
    ActiviteSalarie activiteSalarie = resultatPrae.getPeriodeActiviteSalarie();
    boolean estPeriodeMayotte = activiteSalarie.isEstPeriodeMayotte();
    Chronologie chronoPeriodesIntensite = resultatPrae.getPeriodeActiviteSalarie().getListePeriodeIntensite();
    
    List<?> listePeriodesMoisCivils = resultatPrae.decouperEnMoisCivils();
    for (int boucle = 0; boucle < listePeriodesMoisCivils.size(); boucle++)
    {
      Periode periodeMoisCivilCourant = (Periode)listePeriodesMoisCivils.get(boucle);
      DonneeEntreeParametre parametreActif;
      DonneeEntreeParametre parametreActif;
      if (estPeriodeMayotte) {
        parametreActif = recupererParametreActif(donneesEntree, periodeMoisCivilCourant, "PLAFOND MENSUEL SR SJR MAYOTTE");
      } else {
        parametreActif = recupererParametreActif(donneesEntree, periodeMoisCivilCourant, "PLAFOND MENSUEL SR SJR");
      }
      BigDecimal plafondMensuelApplicable = parametreActif.getValeurParametre();
      
      BigDecimal cptpApplicable = determinerCptpApplicable(chronoPeriodesIntensite, periodeMoisCivilCourant);
      
      plafondMensuelApplicable = plafondMensuelApplicable.multiply(cptpApplicable);
      if ((!periodeMoisCivilCourant.getDebut().estLeDebutDuMois()) || (!periodeMoisCivilCourant.getFin().estLaFinDuMois()))
      {
        BigDecimal nominateur1 = plafondMensuelApplicable;
        BigDecimal nominateur2 = new BigDecimal(String.valueOf(periodeMoisCivilCourant.getDuree()));
        BigDecimal denominateur = NOMBRE_JOURS_MOIS;
        plafondMensuelApplicable = Mathematiques.proratiser(nominateur1, nominateur2, denominateur);
      }
      cumulPae = cumulPae.add(plafondMensuelApplicable);
      if (outilJustificationSjr != null) {
        outilJustificationSjr.justifierPlafondsDetailParExerciceEtEmployeur(justificationPlafondsParEmployeur, periodeMoisCivilCourant, cptpApplicable, plafondMensuelApplicable);
      }
    }
    return Mathematiques.tronque(cumulPae, 2);
  }
  
  private DonneeEntreeParametre recupererParametreActif(DonneesEntreeDeterminationSjrSpec donneesEntree, Periode periodeMoisCivilCourant, String paramPlafondMensuelActif)
  {
    return donneesEntree.getDonneesEntreeProduit().getParametreActif(paramPlafondMensuelActif, periodeMoisCivilCourant.getDebut());
  }
  
  private BigDecimal determinerCptpApplicable(Chronologie chronoPeriodesIntensite, Periode periodeMoisCivilCourant)
  {
    BigDecimal cptpApplicable = BigDecimal.ONE;
    
    chronoPeriodesIntensite.iterer();
    while (chronoPeriodesIntensite.encoreSuivant())
    {
      PeriodeIntensite periodeIntensiteCourante = (PeriodeIntensite)chronoPeriodesIntensite.elementSuivant();
      if (periodeIntensiteCourante.chevauche(periodeMoisCivilCourant)) {
        if (periodeIntensiteCourante.getHorairesSalarie().compareTo(periodeIntensiteCourante.getHorairesEntreprise()) < 0)
        {
          cptpApplicable = Mathematiques.diviseParDefaut(periodeIntensiteCourante.getHorairesSalarie(), periodeIntensiteCourante.getHorairesEntreprise());
          
          cptpApplicable = Mathematiques.tronque(cptpApplicable, 2);
        }
      }
    }
    return cptpApplicable;
  }
  
  protected FabriqueStrategiePriseEnCompteRemunerationSrSjrSpec recupererFabriqueStrategiePriseEnCompteRemunerationSrSjr()
  {
    return FabriqueStrategiePriseEnCompteRemunerationSrSjr.getInstance();
  }
  
  private void detecterLeveeANBSalaireExcluAutoOuIncoherent(Hashtable resultatListeAlertesNonBloquantes, String codeAlerteNonBloquante, ActiviteSalarie periodeActiviteSalarie, String natureExclusion)
  {
    boolean doitLeverANB = (ConstantesPeriodeActivite.AEXCLURE_EXCLU_AUTO.equals(natureExclusion)) || (ConstantesPeriodeActivite.AEXCLURE_INCOHERENT.equals(natureExclusion));
    if (doitLeverANB) {
      leverAlerteNonBloquante(resultatListeAlertesNonBloquantes, codeAlerteNonBloquante, periodeActiviteSalarie);
    }
  }
  
  private void leverAlerteNonBloquante(Hashtable resultatListeAlertesNonBloquantes, String codeAlerteNonBloquante, ActiviteSalarie periodeActiviteSalarie)
  {
    if (resultatListeAlertesNonBloquantes.containsKey(codeAlerteNonBloquante))
    {
      Collection listeActivitesSalariees = (Collection)resultatListeAlertesNonBloquantes.get(codeAlerteNonBloquante);
      
      ObjetAlertesNonBloquantes objetAlertesNonBloquantes = new ObjetAlertesNonBloquantes(periodeActiviteSalarie);
      if (!listeActivitesSalariees.contains(objetAlertesNonBloquantes)) {
        listeActivitesSalariees.add(objetAlertesNonBloquantes);
      }
    }
    else
    {
      Collection listeActivitesSalariees = new ArrayList();
      listeActivitesSalariees.add(new ObjetAlertesNonBloquantes(periodeActiviteSalarie));
      resultatListeAlertesNonBloquantes.put(codeAlerteNonBloquante, listeActivitesSalariees);
    }
  }
  
  private String determinerCodeAlerteNonBloquanteSurAbsenceSalaire(DonneesEntreeComportementSpec donneesEntreeComportement)
  {
    String codeAlerteNonBloquanteSurAbsenceSalaire = null;
    switch (donneesEntreeComportement.getTypeTraitementAppelant())
    {
    case 1: 
      codeAlerteNonBloquanteSurAbsenceSalaire = "A11MNB5";
      break;
    case 2: 
      codeAlerteNonBloquanteSurAbsenceSalaire = "A11MNB6";
      break;
    }
    return codeAlerteNonBloquanteSurAbsenceSalaire;
  }
  
  private BigDecimal determinerRemunerationSalaires(Prae resultatPrae, DonneesEntreeDeterminationSjrSpec donneesEntree, DonneesResultatDeterminationSjr donneesResultat, StrategiePriseEnCompteRemunerationSrSjrSpec strategiePriseEnCompteRemunerationSr, OutilJustificationSjrSpec outilJustificationSjr, JustificationSrPeriodeActiviteRetenue resultatJustifSrPeriodeActiviteRetenue)
    throws CoucheLogiqueException
  {
    BigDecimal cumulSalaires = ZERO;
    
    DonneesEntreeDemandeDeterminationSjrSpec donneesEntreeDemande = donneesEntree.getDonneesEntreeDemande();
    DonneesEntreeComportementSpec donneesEntreeComportement = donneesEntree.getDonneesEntreeComportement();
    
    ActiviteSalarie activiteSalarieCourante = resultatPrae.getPeriodeActiviteSalarie();
    Chronologie chronoSalaires = OutilSjrPnds.determinerChronoPeriodesSalaire(donneesEntreeDemande.getIndividu(), activiteSalarieCourante, donneesEntreeDemande.getDateFaitGenerateurDroitCourant(), donneesEntreeDemande.getDateExamen());
    
    String codeAlerteNonBloquanteSurAbsenceSalaire = determinerCodeAlerteNonBloquanteSurAbsenceSalaire(donneesEntreeComportement);
    
    Collection listePlafonnementAffiliation = donneesEntreeDemande.getListePlafonnementAffiliation();
    boolean estCoefficientReducteurApplicable = (estActiviteCandidatePlafonnementAffiliation(activiteSalarieCourante, donneesEntreeDemande.getProduit())) && (estAffiliationPlafonnee(listePlafonnementAffiliation));
    
    Prc resultatPrc = donneesResultat.getPrc();
    
    Periode periodeReference = new Periode(resultatPrae.getDateDebut(), resultatPrae.getDateFin());
    
    chronoSalaires.iterer();
    while (chronoSalaires.encoreSuivant())
    {
      Salaire periodeSalaireCourant = (Salaire)chronoSalaires.elementSuivant();
      if (strategiePriseEnCompteRemunerationSr.prendreEnCompteSourceRemuneration(resultatPrae, periodeSalaireCourant))
      {
        if (!periodeSalaireCourant.estExclus())
        {
          if (activiteSalarieCourante.estContratApprenti())
          {
            Periode periodeMoisCivilCourant = new Periode(periodeSalaireCourant.getDateDebut().getDebutMois(), periodeSalaireCourant.getDateDebut().getFinMois());
            if (!periodeMoisCivilCourant.contient(new Periode(periodeSalaireCourant.getDateDebut(), periodeSalaireCourant.getDateFin())))
            {
              OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Periode salaire Apprenti retenue non inclue dans mois civil" });
              
              fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_CEPA06_SJR_SALAIRE_NON_MENSUEL");
            }
            Damj dateDebutAnneeSalaireCourant = new Damj(periodeSalaireCourant.getDateFin().getAnnee(), 1, 1);
            BigDecimal valeurSmicMensuelCourant = ParametresIndemnisation.getParametresIndemnisation().getElementActif(dateDebutAnneeSalaireCourant).getSmicMensuelBase35h();
            if (valeurSmicMensuelCourant == null) {
              leverAlerteNonBloquante(donneesResultat.getListeAlertesNonBloquantes(), "A11MNB7", activiteSalarieCourante);
            }
          }
          if (donneesEntreeDemande.getReglementApplicable().estNomReglementIdentique("A3")) {
            periodeSalaireCourant.calculerMontantSoumisContributionRaA3();
          }
          Periode periodeApplicationReductionSalaire;
          BigDecimal montantSalaire;
          Periode periodeApplicationReductionSalaire;
          if (strategiePriseEnCompteRemunerationSr.proratiserSourceRemuneration())
          {
            BigDecimal montantSalaire = DeterminationRemuneration.determinerRemunerationProratiseeDansPeriodeRef(periodeSalaireCourant, periodeReference);
            
            periodeApplicationReductionSalaire = periodeSalaireCourant.periodeIntersection(periodeReference);
          }
          else
          {
            montantSalaire = DeterminationRemuneration.determinerRemuneration(periodeSalaireCourant);
            
            periodeApplicationReductionSalaire = periodeSalaireCourant.getPeriode();
          }
          if ((estCoefficientReducteurApplicable) && (montantSalaire.compareTo(ZERO) > 0)) {
            montantSalaire = determinerMontantRemunerationReduitParPlafonnementMensuel(listePlafonnementAffiliation, periodeApplicationReductionSalaire, montantSalaire, 1, resultatPrc);
          }
          cumulSalaires = cumulSalaires.add(montantSalaire);
          if (outilJustificationSjr != null) {
            outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, periodeSalaireCourant.getDateDebut(), periodeSalaireCourant.getDateFin(), periodeSalaireCourant, 1, montantSalaire);
          }
        }
        else if (outilJustificationSjr != null)
        {
          outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, periodeSalaireCourant.getDateDebut(), periodeSalaireCourant.getDateFin(), periodeSalaireCourant, 1, ZERO);
        }
        detecterLeveeANBSalaireExcluAutoOuIncoherent(donneesResultat.getListeAlertesNonBloquantes(), codeAlerteNonBloquanteSurAbsenceSalaire, activiteSalarieCourante, periodeSalaireCourant.getNatureAExclure());
      }
    }
    ChronologiePeriodes chronoPeriodesComplementaires = OutillageChronologiePeriodes.donnerPeriodesComplementaires((ChronologiePeriodes)chronoSalaires, periodeReference);
    if ((chronoPeriodesComplementaires != null) && (chronoPeriodesComplementaires.getTaille() > 0))
    {
      leverAlerteNonBloquante(donneesResultat.getListeAlertesNonBloquantes(), "A11MNB5_BIS", activiteSalarieCourante);
      
      chronoPeriodesComplementaires.iterer();
      while (chronoPeriodesComplementaires.encoreSuivant())
      {
        ObjetChronoPeriode periodeComplementaireCourante = (ObjetChronoPeriode)chronoPeriodesComplementaires.elementSuivant();
        if (outilJustificationSjr != null) {
          outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, periodeComplementaireCourante.getDateDebut(), periodeComplementaireCourante.getDateFin(), null, 1, ZERO);
        }
      }
    }
    return cumulSalaires;
  }
  
  private BigDecimal determinerRemunerationPrimesNormales(Prae resultatPrae, DonneesEntreeDeterminationSjrSpec donneesEntree, StrategiePriseEnCompteRemunerationSrSjrSpec strategiePriseEnCompteRemunerationSr, OutilJustificationSjrSpec outilJustificationSjr, JustificationSrPeriodeActiviteRetenue resultatJustifSrPeriodeActiviteRetenue, DonneesResultatDeterminationSjr donneesResultat)
    throws CoucheLogiqueException
  {
    BigDecimal cumulPrimeNormale = ZERO;
    
    Reglement reglementApplicable = donneesEntree.getDonneesEntreeDemande().getReglementApplicable();
    ActiviteSalarie activiteSalarieCourante = resultatPrae.getPeriodeActiviteSalarie();
    Reglement reglementAppartenanceActiviteSalarie = activiteSalarieCourante.getReglement();
    
    Periode periodeReference = new Periode(resultatPrae.getDateDebut(), resultatPrae.getDateFin());
    Chronologie chronoPrimesNormales = activiteSalarieCourante.getListePrimesNormales();
    
    chronoPrimesNormales.iterer();
    while (chronoPrimesNormales.encoreSuivant())
    {
      Prime periodePrimeNormaleCourante = (Prime)chronoPrimesNormales.elementSuivant();
      if (strategiePriseEnCompteRemunerationSr.prendreEnCompteSourceRemuneration(resultatPrae, periodePrimeNormaleCourante))
      {
        BigDecimal montantPrimeNormale;
        if (strategiePriseEnCompteRemunerationSr.proratiserSourceRemuneration()) {
          montantPrimeNormale = DeterminationRemuneration.determinerRemunerationProratiseeDansPeriodeRef(periodePrimeNormaleCourante, periodeReference);
        } else {
          montantPrimeNormale = DeterminationRemuneration.determinerRemuneration(periodePrimeNormaleCourante);
        }
        BigDecimal montantPrimeNormale = montantPrimeNormale.multiply(determinerCoeffPrimeNormale(resultatPrae.getPrce().getPrc(), reglementApplicable, reglementAppartenanceActiviteSalarie, donneesResultat, donneesEntree.getDonneesEntreeDemande().getDiviseurCasGeneralForcee() != null));
        
        cumulPrimeNormale = cumulPrimeNormale.add(montantPrimeNormale);
        if (outilJustificationSjr != null) {
          outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, periodePrimeNormaleCourante.getDateDebut(), periodePrimeNormaleCourante.getDateFin(), periodePrimeNormaleCourante, 2, montantPrimeNormale);
        }
      }
    }
    return cumulPrimeNormale;
  }
  
  private BigDecimal determinerRemunerationPrimesExceptionnelles(Prae resultatPrae, DonneesEntreeDeterminationSjrSpec donneesEntree, StrategiePriseEnCompteRemunerationSrSjrSpec strategiePriseEnCompteRemunerationSr, OutilJustificationSjrSpec outilJustificationSjr, JustificationSrPeriodeActiviteRetenue resultatJustifSrPeriodeActiviteRetenue, DonneesResultatDeterminationSjr donneesResultat)
    throws CoucheLogiqueException
  {
    BigDecimal cumulPrimeExceptionnelle = ZERO;
    
    Reglement reglementApplicable = donneesEntree.getDonneesEntreeDemande().getReglementApplicable();
    ActiviteSalarie activiteSalarieCourante = resultatPrae.getPeriodeActiviteSalarie();
    Reglement reglementAppartenanceActiviteSalarie = activiteSalarieCourante.getReglement();
    
    Chronologie chronoPrimesExceptionnelles = activiteSalarieCourante.getListePrimesExceptionnelles();
    chronoPrimesExceptionnelles.iterer();
    while (chronoPrimesExceptionnelles.encoreSuivant())
    {
      Prime primeExceptionnelleCourante = (Prime)chronoPrimesExceptionnelles.elementSuivant();
      if (strategiePriseEnCompteRemunerationSr.prendreEnCompteSourceRemuneration(resultatPrae, primeExceptionnelleCourante))
      {
        Periode periodeActiviteSalariee = new Periode(activiteSalarieCourante.getDateDebut(), activiteSalarieCourante.getDateFin());
        int nombreJoursCommuns = resultatPrae.getPrce().getPrc().inter(periodeActiviteSalariee);
        if (nombreJoursCommuns > 0)
        {
          BigDecimal montantPrimeExceptionnelle = DeterminationRemuneration.determinerRemuneration(primeExceptionnelleCourante);
          
          BigDecimal nominateur1 = new BigDecimal(String.valueOf(resultatPrae.getDuree()));
          BigDecimal nominateur2 = montantPrimeExceptionnelle;
          BigDecimal denominateur = new BigDecimal(String.valueOf(nombreJoursCommuns));
          montantPrimeExceptionnelle = Mathematiques.proratiser(nominateur1, nominateur2, denominateur);
          
          montantPrimeExceptionnelle = montantPrimeExceptionnelle.multiply(determinerCoeffDureePrcPourPrimeExceptionnelle(donneesEntree.getDonneesEntreeDemande().getContexteDemande()));
          
          montantPrimeExceptionnelle = montantPrimeExceptionnelle.multiply(determinerCoeffPrimeExceptionnelle(resultatPrae.getPrce().getPrc(), reglementApplicable, reglementAppartenanceActiviteSalarie, donneesResultat));
          
          cumulPrimeExceptionnelle = cumulPrimeExceptionnelle.add(montantPrimeExceptionnelle);
          if (outilJustificationSjr != null) {
            outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, primeExceptionnelleCourante.getDatePaie(), primeExceptionnelleCourante.getDatePaie(), primeExceptionnelleCourante, 3, montantPrimeExceptionnelle);
          }
        }
      }
    }
    return cumulPrimeExceptionnelle;
  }
  
  private BigDecimal determinerRemunerationPrimesICRS(Prae resultatPrae, StrategiePriseEnCompteRemunerationSrSjrSpec strategiePriseEnCompteRemunerationSr, OutilJustificationSjrSpec outilJustificationSjr, JustificationSrPeriodeActiviteRetenue resultatJustifSrPeriodeActiviteRetenue)
    throws CoucheLogiqueException
  {
    BigDecimal cumulPrimesICRS = ZERO;
    
    Periode periodeReference = new Periode(resultatPrae.getDateDebut(), resultatPrae.getDateFin());
    Chronologie chronoPrimesICRS = resultatPrae.getPeriodeActiviteSalarie().getListePrimesICRS();
    
    chronoPrimesICRS.iterer();
    while (chronoPrimesICRS.encoreSuivant())
    {
      RemunerationSpec primeICRSCourante = (RemunerationSpec)chronoPrimesICRS.elementSuivant();
      if (strategiePriseEnCompteRemunerationSr.prendreEnCompteSourceRemuneration(resultatPrae, primeICRSCourante))
      {
        BigDecimal montantPrimeICRS;
        BigDecimal montantPrimeICRS;
        if (strategiePriseEnCompteRemunerationSr.proratiserSourceRemuneration()) {
          montantPrimeICRS = DeterminationRemuneration.determinerRemunerationProratiseeDansPeriodeRef(primeICRSCourante, periodeReference);
        } else {
          montantPrimeICRS = DeterminationRemuneration.determinerRemuneration(primeICRSCourante);
        }
        cumulPrimesICRS = cumulPrimesICRS.add(montantPrimeICRS);
        if (outilJustificationSjr != null) {
          outilJustificationSjr.justifierSrPeriodeRemunerationParticipante(resultatJustifSrPeriodeActiviteRetenue, primeICRSCourante.getDateDebut(), primeICRSCourante.getDateFin(), primeICRSCourante, 4, montantPrimeICRS);
        }
      }
    }
    return cumulPrimesICRS;
  }
  
  public BigDecimal determinerCoeffDureePrcPourPrimeExceptionnelle(String contexte)
  {
    BigDecimal coeffDureePrcPourPrimeExceptionnelle = BigDecimal.ONE;
    if ("AREMAYOTTE".equals(contexte)) {
      coeffDureePrcPourPrimeExceptionnelle = new BigDecimal("0.5");
    }
    return coeffDureePrcPourPrimeExceptionnelle;
  }
  
  public BigDecimal determinerCoeffPrimeExceptionnelle(Prc resultatPrc, Reglement reglementApplicable, Reglement reglementAppartenance, DonneesResultatDeterminationSjr donneesResultatDeterminationSjr)
  {
    BigDecimal coefficientPrimeExceptionnelleCourant = BigDecimal.ONE;
    
    boolean estReglementAppartenanceOk = (estReglementRG(reglementAppartenance)) || (estReglementAnnexe2Aet6(reglementAppartenance));
    
    boolean estReglementApplicableOk = (estReglementRG(reglementApplicable)) || (reglementApplicable.estNomReglementIdentique("A1")) || (estReglementAnnexe2Aet6(reglementApplicable));
    if ((estReglementAppartenanceOk) && (estReglementApplicableOk)) {
      coefficientPrimeExceptionnelleCourant = Mathematiques.diviseParDefaut(resultatPrc.getDiviseur(), new BigDecimal(String.valueOf(resultatPrc.getDureePrc())));
    }
    return coefficientPrimeExceptionnelleCourant;
  }
  
  public BigDecimal determinerCoeffPrimeNormale(Prc resultatPrc, Reglement reglementApplicable, Reglement reglementAppartenance, DonneesResultatDeterminationSjr donneesResultatDeterminationSjr, boolean estDiviseurSjrForce)
    throws CoucheLogiqueException
  {
    BigDecimal coefficientPrimeNormaleCourant = BigDecimal.ONE;
    
    boolean estReglementAppartenanceOk = (estReglementRG(reglementAppartenance)) || (estReglementAnnexe2Aet6(reglementAppartenance));
    
    boolean estReglementApplicableOk = (estReglementRG(reglementApplicable)) || (reglementApplicable.estNomReglementIdentique("A1")) || (estReglementAnnexe2Aet6(reglementApplicable));
    if ((estReglementAppartenanceOk) && (estReglementApplicableOk))
    {
      BigDecimal nominateur = resultatPrc.getDiviseur();
      BigDecimal denominateur = new BigDecimal(String.valueOf(resultatPrc.getDureePrc())).subtract(new BigDecimal(String.valueOf(resultatPrc.getNombreJourInappartenance())));
      
      coefficientPrimeNormaleCourant = Mathematiques.diviseParDefaut(nominateur, denominateur);
    }
    return coefficientPrimeNormaleCourant;
  }
  
  protected boolean estReglementRG(Reglement reglement)
  {
    return (reglement.estNomReglementIdentique("RG")) || (reglement.estNomReglementIdentique("OP"));
  }
  
  protected boolean estReglementAnnexe2Aet6(Reglement reglement)
  {
    return (reglement.estNomReglementIdentique("A2a")) || (reglement.estNomReglementIdentique("A6"));
  }
  
  protected boolean estActiviteCandidatePlafonnementAffiliation(ActiviteSalarie activiteSalarie, ProduitSpec produit)
  {
    Reglement reglementAppartenance = activiteSalarie.getReglement();
    if (reglementAppartenance != null)
    {
      List<Unite> listeUnitesAffiliationPossibles = OutilAccesListeUnitesReglement.getInstance().recupererListeUniteRechercheReglementApplicable(reglementAppartenance.getNomReglement(), false, produit);
      if ((listeUnitesAffiliationPossibles != null) && (listeUnitesAffiliationPossibles.contains(UniteAffiliation.HEURE_TRAVAIL))) {
        return true;
      }
    }
    return false;
  }
  
  private boolean estAffiliationPlafonnee(Collection listePlafonnementAffiliation)
  {
    Iterator<?> iterateurPlafonnementAffiliation;
    if (listePlafonnementAffiliation != null) {
      for (iterateurPlafonnementAffiliation = listePlafonnementAffiliation.iterator(); iterateurPlafonnementAffiliation.hasNext();)
      {
        PlafonnementAffiliation plafonnementAffiliationCourant = (PlafonnementAffiliation)iterateurPlafonnementAffiliation.next();
        if (plafonnementAffiliationCourant.getCoefficientReducteurAffiliation().compareTo(UN) < 0) {
          return true;
        }
      }
    }
    return false;
  }
  
  private BigDecimal determinerMontantRemunerationReduitParPlafonnementMensuel(Collection listePlafonnementAffiliation, Periode periodeApplicationReductionRemuneration, BigDecimal montantRemuneration, int natureRemuneration, Prc prcResultat)
  {
    BigDecimal montantRemunerationReduitCumule = ZERO;
    boolean applicationCoefficientReducteur = false;
    
    Collection collectionRemunerationsSurMoisCivils = DeterminationRemuneration.decouperRemunerationSurMoisCivils(periodeApplicationReductionRemuneration, montantRemuneration, natureRemuneration);
    for (Iterator<?> iterateurRemunerations = collectionRemunerationsSurMoisCivils.iterator(); iterateurRemunerations.hasNext();)
    {
      RemunerationSpec remunerationSurMoisCivilCourant = (RemunerationSpec)iterateurRemunerations.next();
      periodeRemunerationSurMoisCivilCourant = new Periode(remunerationSurMoisCivilCourant.getDateDebut(), remunerationSurMoisCivilCourant.getDateFin());
      
      montantRemunerationSurMoisCivilCourant = remunerationSurMoisCivilCourant.getMontantSoumisAContribution().getValeurMontant();
      for (iterateurPlafonnementAffiliation = listePlafonnementAffiliation.iterator(); iterateurPlafonnementAffiliation.hasNext();)
      {
        PlafonnementAffiliation plafonnementAffiliationCourant = (PlafonnementAffiliation)iterateurPlafonnementAffiliation.next();
        if (plafonnementAffiliationCourant.getMoisCivil().chevauche(periodeRemunerationSurMoisCivilCourant))
        {
          if (plafonnementAffiliationCourant.getCoefficientReducteurAffiliation().compareTo(UN) < 0)
          {
            applicationCoefficientReducteur = true;
            montantRemunerationSurMoisCivilCourant = montantRemunerationSurMoisCivilCourant.multiply(plafonnementAffiliationCourant.getCoefficientReducteurAffiliation());
          }
          montantRemunerationReduitCumule = montantRemunerationReduitCumule.add(montantRemunerationSurMoisCivilCourant);
        }
      }
    }
    Periode periodeRemunerationSurMoisCivilCourant;
    BigDecimal montantRemunerationSurMoisCivilCourant;
    Iterator<?> iterateurPlafonnementAffiliation;
    if (applicationCoefficientReducteur)
    {
      prcResultat.setEstSripReduit(true);
      return montantRemunerationReduitCumule;
    }
    return montantRemuneration;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationSrPrae
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */