package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence;

import fr.pe.cali.reglementaire.dom.impl.CriteresFabriqueReglementaire;
import fr.pe.cali.reglementaire.regles.assurance.affiliation.fabrique.FabriqueCorpsReglePeriodesSuspensionsNonAssimilables;
import fr.pe.cali.reglementaire.regles.assurance.affiliation.outils.spec.IOutilPeriodeNonAssimilable;
import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurInfosEmployeur;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieConventionGestionPE;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieDeterminationCompetenceSecteurPublic;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieConventionGestionPESpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieDeterminationCompetenceSecteurPublicSpec;
import fr.unedic.cali.asu.cge01.p07.liquidation.outilsfonctionnels.affiliation.OutilFonctionnelAffiliationJoursTravailles;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Metier;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeIntensite;
import fr.unedic.cali.autresdoms.ga.dom.spec.IncidentSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.ConteneurConventionGestion;
import fr.unedic.cali.dom.ConventionGestion;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.outilsfonctionnels.OutilConventionGestion;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteContenuDansPra;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteNonSalariee;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieHorsFrance;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeE301;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPrive;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPriveCaCae;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPublicAffilie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPublicAutoAssurance;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPublicConventionGestion;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPublicFonctionnaire;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeDsmTravail;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesAvecConflit;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesCertifiees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesJustifiees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesQualifiables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSansConflit;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSurFiltresExclusifs;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ComparateurTemporelsSurDateFin;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltreFinAvantOuCoincideAvecDate;
import fr.unedic.util.temps.FiltreMemeDateFin;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.math.BigDecimal;

public class DeterminationCompetenceCge
{
  private static final BigDecimal MI_TEMPS = new BigDecimal("0.5");
  
  public static DeterminationCompetenceCge getInstance()
  {
    return new DeterminationCompetenceCge();
  }
  
  public ResultatDeterminationCompetence determinationCompetencesProduitCourant(Demande demandeCourante)
    throws CoucheLogiqueException
  {
    ResultatDeterminationCompetence resultatDeterminationCompetence = new ResultatDeterminationCompetence();
    
    determinerChargeIndemnisationDroitCourant(demandeCourante, resultatDeterminationCompetence);
    
    determinerCompetenceFinanciere(demandeCourante, resultatDeterminationCompetence);
    
    determinerCompetenceAdministrativeDroitCourant(demandeCourante, resultatDeterminationCompetence);
    
    return resultatDeterminationCompetence;
  }
  
  public void determinerChargeIndemnisationDroitCourant(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    Periode pra = ((DossierExamen)demande.getDossierExamen()).getConstitutionQuantiteAffiliation().getPeriodePRA();
    
    ChronologiePeriodes chronoPasseProfessionnel = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    
    constituerDureeActiviteSpEtRacSurDroitCourant(resultatDeterminationCompetence, pra, chronoPasseProfessionnel, demande);
    
    int dureeActiviteRelevantSecteurPrive = resultatDeterminationCompetence.getDureeActiviteSecteurPrive() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicAffilie() + resultatDeterminationCompetence.getDureeActiviteSecteurPriveCaCae();
    
    int dureeActiviteRelevantSecteurPublic = resultatDeterminationCompetence.getDureeActiviteSecteurPublicAutoAssurance() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicConventionGestion();
    if ((dureeActiviteRelevantSecteurPrive != 0) && (dureeActiviteRelevantSecteurPublic != 0)) {
      verifierOriginePAS((DossierAffecte)demande.getDossierAffectation(), chronoPasseProfessionnel);
    }
    if (dureeActiviteRelevantSecteurPrive > dureeActiviteRelevantSecteurPublic)
    {
      resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(1);
    }
    else if (dureeActiviteRelevantSecteurPrive < dureeActiviteRelevantSecteurPublic)
    {
      resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(2);
    }
    else
    {
      ActiviteSalarie dernierePeriodeActivite = ((DossierExamen)demande.getDossierExamen()).getFaitGenerateur().getPeriodeFaitGenerateur();
      int champApplicationDernierContrat = dernierePeriodeActivite.getMetier().getChampApplication();
      switch (champApplicationDernierContrat)
      {
      case 3: 
      case 4: 
        resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(2);
        break;
      case 9: 
        traiterChampApplicationDernierContratCaCae(resultatDeterminationCompetence);
        
        break;
      case 8: 
        traiterChampApplicationFonctionnaire(resultatDeterminationCompetence);
        
        break;
      case 5: 
      case 6: 
      case 7: 
      default: 
        resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(1);
      }
    }
  }
  
  public void determinerCompetenceFinanciere(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    determinerChargeIndemnisationDroitExecutable(demande, resultatDeterminationCompetence);
    if (resultatDeterminationCompetence.getCompetenceFinanciere() == 2) {
      determinerEmployeurCompetentSecteurPublic(demande, resultatDeterminationCompetence);
    } else {
      determinerRegimeFinancementSecteurPrive(demande, resultatDeterminationCompetence);
    }
  }
  
  protected void determinerEmployeurCompetentSecteurPublic(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(demande.getAttribution().getDateFaitGenerateur());
    FabriqueStrategieDeterminationCompetenceSecteurPublic fabrique = FabriqueStrategieDeterminationCompetenceSecteurPublic.getInstance();
    StrategieDeterminationCompetenceSecteurPublicSpec strategie = (StrategieDeterminationCompetenceSecteurPublicSpec)fabrique.getStrategie(critere);
    
    ConteneurInfosEmployeur conteneurInfosEmployeur = strategie.determinerEmployeurCompetentSecteurPublic(demande, resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPublicRetenues(), resultatDeterminationCompetence);
    ChronologiePeriodes chronoEmployeur = conteneurInfosEmployeur.getChronoEmployeur();
    chronoEmployeur.setComparateur(new ComparateurTemporelsSurDateFin());
    if (conteneurInfosEmployeur.getDerniereConventionGestionEmployeur() != null)
    {
      ConventionGestion conventionGestionEnrichie = determinerConventionGestionEnrichie(demande, conteneurInfosEmployeur.getDerniereConventionGestionEmployeur());
      
      OutilDeterminationCompetence.alimenterConventionGestion(resultatDeterminationCompetence, conventionGestionEnrichie);
    }
    else
    {
      String numeroConventionGestion = resultatDeterminationCompetence.getNumeroConventionGestion();
      if (numeroConventionGestion != null)
      {
        CritereStrategie criterePE = new CritereStrategie();
        criterePE.setDatePivot(demande.getAttribution().getDateExamen());
        FabriqueStrategieConventionGestionPE fabriquePE = new FabriqueStrategieConventionGestionPE();
        StrategieConventionGestionPESpec strategiePE = (StrategieConventionGestionPESpec)fabriquePE.getStrategie(criterePE);
        strategiePE.verifierConventionGestionPoleEmploiForcee(resultatDeterminationCompetence, demande);
      }
    }
    resultatDeterminationCompetence.setIdExterneEmployeurSp(determinerIdExterneEmployeurPublic(demande, conteneurInfosEmployeur));
    if (resultatDeterminationCompetence.getNumeroConventionGestion() != null)
    {
      ConventionGestionSpec conventionGestionOrigine = OutilDeterminationCompetence.mapperResultatSurConventionGestion(resultatDeterminationCompetence);
      
      boolean precompteCrc = true;
      if (OutilConventionGestion.estTypeConventionGestionEtSignataireUnedic("555", true, conventionGestionOrigine)) {
        precompteCrc = false;
      } else if (OutilConventionGestion.estConventionGestionFraisReel(conventionGestionOrigine)) {
        precompteCrc = conventionGestionOrigine.estPrecompteCRC();
      }
      resultatDeterminationCompetence.setPrecompteCrc(precompteCrc);
    }
    resultatDeterminationCompetence.setConteneurInfosEmployeur(conteneurInfosEmployeur);
  }
  
  protected void determinerRegimeFinancementSecteurPrive(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    ((Attribution)demande.getAttribution()).setRegimeFinancementParticulierCaCae(false);
    if (resultatDeterminationCompetence != null)
    {
      int dureeActiviteSecteurPrive = resultatDeterminationCompetence.getDureeActiviteSecteurPrive() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicAffilie();
      
      int dureeActiviteSecteurPriveCaCae = resultatDeterminationCompetence.getDureeActiviteSecteurPriveCaCae();
      if (dureeActiviteSecteurPriveCaCae > dureeActiviteSecteurPrive)
      {
        ((Attribution)demande.getAttribution()).setRegimeFinancementParticulierCaCae(true);
      }
      else if (dureeActiviteSecteurPriveCaCae == dureeActiviteSecteurPrive)
      {
        Damj dateFaitGenerateur = demande.getDossierAffectationAdmission().getSinistre().getDateFin();
        
        ChronologiePeriodes chronoPeriodesActiviteSecteurPriveRetenues = (ChronologiePeriodes)resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPriveRetenues().copier(new FiltreFinAvantOuCoincideAvecDate(dateFaitGenerateur));
        
        chronoPeriodesActiviteSecteurPriveRetenues.setComparateur(new ComparateurTemporelsSurDateFin());
        if (!chronoPeriodesActiviteSecteurPriveRetenues.estVide())
        {
          ActiviteSalarie derniereActiviteSecteurPrive = (ActiviteSalarie)chronoPeriodesActiviteSecteurPriveRetenues.premierElement();
          
          ChronologiePeriodes chronoActiviteMemeDateFin = (ChronologiePeriodes)chronoPeriodesActiviteSecteurPriveRetenues.copier(new FiltreMemeDateFin(derniereActiviteSecteurPrive.getDateFin()));
          if (chronoActiviteMemeDateFin.getTaille() > 1)
          {
            ChronologiePeriodes chronoActiviteMemeDateFinEtCaCae = (ChronologiePeriodes)chronoActiviteMemeDateFin.copier(new FiltrePeriodeActiviteSalarieeSecteurPriveCaCae());
            if ((chronoActiviteMemeDateFinEtCaCae != null) && (!chronoActiviteMemeDateFinEtCaCae.estVide())) {
              ((Attribution)demande.getAttribution()).setRegimeFinancementParticulierCaCae(true);
            }
          }
          else
          {
            int champApplicationDernierContrat = derniereActiviteSecteurPrive.getMetier().getChampApplication();
            if (champApplicationDernierContrat == 9) {
              ((Attribution)demande.getAttribution()).setRegimeFinancementParticulierCaCae(true);
            }
          }
        }
      }
    }
  }
  
  public void determinerCompetenceAdministrativeDroitCourant(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    
    critere.setDatePivot(demande.getDossierAffectationAdmission().getSinistre().getDateFin());
    FabriqueStrategieDeterminationCompetenceSecteurPublic fabrique = FabriqueStrategieDeterminationCompetenceSecteurPublic.getInstance();
    StrategieDeterminationCompetenceSecteurPublicSpec strategie = (StrategieDeterminationCompetenceSecteurPublicSpec)fabrique.getStrategie(critere);
    strategie.determinerCompetenceAdministrativeDroitCourant(demande, resultatDeterminationCompetence);
  }
  
  protected void determinerChargeIndemnisationDroitExecutable(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    CompetenceSpec competenceDroitPrecedent = null;
    if (demande.estEnContexteDroitAnterieurSecteurPublicValide())
    {
      competenceDroitPrecedent = new Competence();
      competenceDroitPrecedent.setCompetenceFinanciere(2);
    }
    else
    {
      AttributionAssuranceSpec attributionPrecedente = demande.rechercherAttributionPrecedenteDuMemeType();
      if (attributionPrecedente != null) {
        competenceDroitPrecedent = attributionPrecedente.getCompetence();
      }
    }
    if ((competenceDroitPrecedent == null) || (competenceDroitPrecedent.getCompetenceFinanciere() == resultatDeterminationCompetence.getChargeIndemnisationDroitCourant()))
    {
      resultatDeterminationCompetence.setCompetenceFinanciere(resultatDeterminationCompetence.getChargeIndemnisationDroitCourant());
    }
    else
    {
      boolean readmissionDroitCourant = (demande.getObjectifCourant().getSousType() == 12) || (demande.getObjectifCourant().getSousType() == 44) || ((OutilDemande.estUneDemandeFinDroitAsr(demande)) && (demande.getObjectifCourant().getSousType() == 10)) || ((OutilDemande.estUneDemandeAspOuPap(demande)) && (demande.getObjectifCourant().getSousType() == 10));
      
      Periode periodeRechercheAffiliation = ((DossierExamen)demande.getDossierExamen()).getConstitutionQuantiteAffiliation().getPeriodePRA();
      
      ChronologiePeriodes chronoPasseProfessionnel = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
      
      constituerDureeActiviteSpEtRacSurDroitCourant(resultatDeterminationCompetence, periodeRechercheAffiliation, chronoPasseProfessionnel, demande);
      
      int dureeActiviteRelevantSecteurPrive = resultatDeterminationCompetence.getDureeActiviteSecteurPrive() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicAffilie() + resultatDeterminationCompetence.getDureeActiviteSecteurPriveCaCae();
      
      int dureeActiviteRelevantSecteurPublic = resultatDeterminationCompetence.getDureeActiviteSecteurPublicAutoAssurance() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicConventionGestion();
      if (competenceDroitPrecedent.getCompetenceFinanciere() == 2)
      {
        if (readmissionDroitCourant)
        {
          if ((dureeActiviteRelevantSecteurPrive != 0) && (dureeActiviteRelevantSecteurPublic != 0)) {
            verifierOriginePAS((DossierAffecte)demande.getDossierAffectation(), demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation());
          }
          resultatDeterminationCompetence.setCompetenceFinanciere(1);
        }
        else
        {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_SP");
        }
      }
      else
      {
        if ((dureeActiviteRelevantSecteurPrive != 0) && (dureeActiviteRelevantSecteurPublic != 0)) {
          verifierOriginePAS((DossierAffecte)demande.getDossierAffectation(), demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation());
        }
        if (readmissionDroitCourant) {
          resultatDeterminationCompetence.setCompetenceFinanciere(2);
        } else {
          resultatDeterminationCompetence.setCompetenceFinanciere(1);
        }
      }
    }
  }
  
  protected void constituerDureeActiviteSpEtRacSurDroitCourant(ResultatDeterminationCompetence resultatDeterminationCompetence, Periode periodeRechercheAffiliation, ChronologiePeriodes chronoPasseProfessionnel, Demande demande)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoPeriodesActiviteSecteurPrive = new ChronologiePeriodes();
    ChronologiePeriodes chronoPeriodesActiviteSecteurPublic = new ChronologiePeriodes();
    
    Damj dateExamen = demande.getDateExamen();
    
    FiltresTemporel listeFiltres = new FiltresTemporel();
    
    listeFiltres.ajouterFiltre(new FiltrePeriodesLiquidables());
    listeFiltres.ajouterFiltre(new FiltrePeriodesSansConflit());
    
    listeFiltres.ajouterFiltre(new FiltreFinAvantOuCoincideAvecDate(dateExamen));
    
    listeFiltres.ajouterFiltre(new FiltreActiviteContenuDansPra(periodeRechercheAffiliation));
    
    listeFiltres.ajouterFiltre(new FiltrePeriodeActiviteSalarieeE301(false));
    
    listeFiltres.ajouterFiltre(new FiltrePeriodeActiviteSalarieHorsFrance(false));
    
    ChronologiePeriodes chronoActivitesParticipantes = (ChronologiePeriodes)chronoPasseProfessionnel.copier(listeFiltres);
    
    resultatDeterminationCompetence.setActiviteParticipantes(chronoActivitesParticipantes);
    
    FiltresTemporel filtreActivitesChampPrive = new FiltresTemporel();
    filtreActivitesChampPrive.ajouterFiltre(new FiltrePeriodeActiviteSalarieeSecteurPrive());
    
    ChronologiePeriodes chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(filtreActivitesChampPrive);
    chronoPeriodesActiviteSecteurPrive.ajouter(chronoPeriodesFiltrees);
    resultatDeterminationCompetence.setDureeActiviteSecteurPrive(calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesFiltrees, true, resultatDeterminationCompetence, demande));
    
    chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(new FiltrePeriodeActiviteSalarieeSecteurPublicAffilie());
    
    chronoPeriodesActiviteSecteurPrive.ajouter(chronoPeriodesFiltrees);
    resultatDeterminationCompetence.setDureeActiviteSecteurPublicAffilie(calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesFiltrees, true, resultatDeterminationCompetence, demande));
    
    ChronologiePeriodes chronoActivitesAutoAssurance = new ChronologiePeriodes();
    chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(new FiltrePeriodeActiviteSalarieeSecteurPublicAutoAssurance());
    
    chronoActivitesAutoAssurance.ajouter(chronoPeriodesFiltrees);
    chronoPeriodesActiviteSecteurPublic.ajouter(chronoPeriodesFiltrees);
    
    chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(new FiltrePeriodeActiviteSalarieeSecteurPublicFonctionnaire());
    
    chronoActivitesAutoAssurance.ajouter(chronoPeriodesFiltrees);
    chronoPeriodesActiviteSecteurPublic.ajouter(chronoPeriodesFiltrees);
    resultatDeterminationCompetence.setDureeActiviteSecteurPublicAutoAssurance(calculerDureeActivite(periodeRechercheAffiliation, chronoActivitesAutoAssurance, false, resultatDeterminationCompetence, demande));
    
    chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(new FiltrePeriodeActiviteSalarieeSecteurPublicConventionGestion());
    
    chronoPeriodesActiviteSecteurPublic.ajouter(chronoPeriodesFiltrees);
    resultatDeterminationCompetence.setDureeActiviteSecteurPublicConventionGestion(calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesFiltrees, false, resultatDeterminationCompetence, demande));
    
    resultatDeterminationCompetence.setChronoPeriodesActiviteSecteurPriveRetenues(chronoPeriodesActiviteSecteurPrive);
    resultatDeterminationCompetence.setChronoPeriodesActiviteSecteurPublicRetenues(chronoPeriodesActiviteSecteurPublic);
    
    chronoPeriodesFiltrees = (ChronologiePeriodes)chronoActivitesParticipantes.copier(new FiltrePeriodeActiviteSalarieeSecteurPriveCaCae());
    
    int quantiteActiviteCaCae = calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesFiltrees, true, resultatDeterminationCompetence, demande);
    
    traiterActiviteCaCae(quantiteActiviteCaCae, chronoPeriodesFiltrees, resultatDeterminationCompetence);
  }
  
  private int calculerDureeActivite(Periode periodeRechercheAffiliation, ChronologiePeriodes chronoPeriodesActiviteFiltrees, boolean estActiviteSecteurPrive, ResultatDeterminationCompetence resultatDeterminationCompetence, Demande demande)
    throws CoucheLogiqueException
  {
    int dureeActiviteRetournee = 0;
    if ((chronoPeriodesActiviteFiltrees != null) && (!chronoPeriodesActiviteFiltrees.estVide()))
    {
      chronoPeriodesActiviteFiltrees.iterer();
      while (chronoPeriodesActiviteFiltrees.encoreSuivant())
      {
        ActiviteSalarie periodeActiviteSalarieCourante = (ActiviteSalarie)chronoPeriodesActiviteFiltrees.elementSuivant();
        
        Chronologie chronoPeriodesIntensites = periodeActiviteSalarieCourante.getListePeriodeIntensite();
        Chronologie chronoListeIncident = periodeActiviteSalarieCourante.getListePeriodesIncident();
        chronoPeriodesIntensites.iterer();
        if (chronoPeriodesIntensites.getTaille() == 0)
        {
          Periode periodeCourante = periodeActiviteSalarieCourante.getPeriode();
          int dureeIntensiteDansPra = retourneDureeIntensiteDansPra(chronoListeIncident, periodeRechercheAffiliation, periodeCourante, demande);
          dureeActiviteRetournee += dureeIntensiteDansPra;
        }
        else
        {
          while (chronoPeriodesIntensites.encoreSuivant())
          {
            PeriodeIntensite periodeIntensiteCourante = (PeriodeIntensite)chronoPeriodesIntensites.elementSuivant();
            Periode periodeCourante = new Periode(periodeIntensiteCourante.getDateDebut(), periodeIntensiteCourante.getDateFin());
            
            int dureeIntensiteDansPra = retourneDureeIntensiteDansPra(chronoListeIncident, periodeRechercheAffiliation, periodeCourante, demande);
            
            BigDecimal tempsPartiel = Mathematiques.diviseParDefaut(periodeIntensiteCourante.getHorairesSalarie(), periodeIntensiteCourante.getHorairesEntreprise());
            if (tempsPartiel.compareTo(MI_TEMPS) < 0)
            {
              BigDecimal equivalentJoursTempsPlein = new BigDecimal(dureeIntensiteDansPra).multiply(tempsPartiel);
              dureeIntensiteDansPra = Mathematiques.arrondiASup(equivalentJoursTempsPlein, 0).intValue();
              if (estActiviteSecteurPrive) {
                resultatDeterminationCompetence.setEstCoeffTPAppliqueRAC(true);
              } else {
                resultatDeterminationCompetence.setEstCoeffTPAppliqueSP(true);
              }
            }
            dureeActiviteRetournee += dureeIntensiteDansPra;
          }
        }
      }
    }
    return dureeActiviteRetournee;
  }
  
  protected int retourneDureeIntensiteDansPra(Chronologie listeIncident, Periode periodeRechercheAffiliation, Periode periodeCourante, Demande demande)
    throws CoucheLogiqueException
  {
    int dureeIntensiteDansPra = periodeCourante.inter(periodeRechercheAffiliation);
    if ((demande.getDateFaitGenerateurOuDernierSinistre().estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Date d'application des changements ARE17 à partir du 1er janvier 2018"))) && (listeIncident != null))
    {
      listeIncident.iterer();
      while (listeIncident.encoreSuivant())
      {
        IncidentSpec incident = (IncidentSpec)listeIncident.elementSuivant();
        if (!estSuspensionAssimilable(incident, demande))
        {
          int dureeIncident = incident.inter(periodeRechercheAffiliation);
          dureeIntensiteDansPra -= dureeIncident;
        }
      }
    }
    return dureeIntensiteDansPra;
  }
  
  protected boolean estSuspensionAssimilable(IncidentSpec incident, Demande demande)
    throws CoucheLogiqueException
  {
    FabriqueCorpsReglePeriodesSuspensionsNonAssimilables fabriquePeriodeAssimilable = FabriqueCorpsReglePeriodesSuspensionsNonAssimilables.getInstance();
    CriteresFabriqueReglementaire criteresFabriquePeriodeAssimilable = new CriteresFabriqueReglementaire();
    criteresFabriquePeriodeAssimilable.setCodeProduit(demande.getDossierAffectation().getProduit().getNomUnique());
    criteresFabriquePeriodeAssimilable.setDate(demande.getDateFaitGenerateurOuDernierSinistre());
    
    return fabriquePeriodeAssimilable.recupererOutilCorpsRegle(criteresFabriquePeriodeAssimilable).estAssimilable(incident, new OutilFonctionnelAffiliationJoursTravailles(demande.getDemandeur()));
  }
  
  protected void traiterActiviteCaCae(int quantiteActiviteCaCae, ChronologiePeriodes chronoPeriodesActiviteCaCae, ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPriveRetenues().ajouter(chronoPeriodesActiviteCaCae);
    resultatDeterminationCompetence.setDureeActiviteSecteurPriveCaCae(quantiteActiviteCaCae);
  }
  
  protected void verifierOriginePAS(DossierAffecte dossierAffectation, Chronologie chronoPasseProfessionnel)
    throws CoucheLogiqueException
  {
    Periode praLaPlusLongue = ((ProduitAsuSpec)dossierAffectation.getProduit()).determinerPraLaPlusLongue(dossierAffectation.getDemande(), dossierAffectation.getValidationProduit().getPeriodeValidationProduit());
    
    FiltresTemporel listeFiltres = new FiltresTemporel();
    listeFiltres.ajouterFiltre(new FiltreChevauchePeriode(praLaPlusLongue));
    
    FiltrePeriodesSurFiltresExclusifs filtre = new FiltrePeriodesSurFiltresExclusifs();
    filtre.ajouterFiltre(new FiltrePeriodeDsmTravail());
    
    listeFiltres.ajouterFiltre(new FiltreFinAvantOuCoincideAvecDate(dossierAffectation.getDemande().getDateExamen()));
    
    listeFiltres.ajouterFiltre(filtre);
    Chronologie chronoPeriodeDNJ = chronoPasseProfessionnel.copier(listeFiltres);
    if (!chronoPeriodeDNJ.estVide()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A14MB1_DNJ", new Object[] { chronoPeriodeDNJ.dernierElement().getDateFin() });
    }
    filtre = new FiltrePeriodesSurFiltresExclusifs();
    FiltresTemporel filtreCertifieeNonQualifiee = new FiltresTemporel();
    filtreCertifieeNonQualifiee.ajouterFiltre(new FiltrePeriodesCertifiees());
    filtreCertifieeNonQualifiee.ajouterFiltre(new FiltrePeriodesQualifiables(false));
    filtre.ajouterFiltre(filtreCertifieeNonQualifiee);
    
    listeFiltres.vider();
    listeFiltres.ajouterFiltre(new FiltreChevauchePeriode(praLaPlusLongue));
    
    listeFiltres.ajouterFiltre(new FiltrePeriodeActiviteNonSalariee(false));
    listeFiltres.ajouterFiltre(new FiltreFinAvantOuCoincideAvecDate(dossierAffectation.getDemande().getDateExamen()));
    
    listeFiltres.ajouterFiltre(filtre);
    Chronologie chronoPeriodeCNQ = chronoPasseProfessionnel.copier(listeFiltres);
    if (!chronoPeriodeCNQ.estVide()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A14MB1_CNQ", new Object[] { chronoPeriodeCNQ.dernierElement().getDateFin() });
    }
    filtre = new FiltrePeriodesSurFiltresExclusifs();
    FiltrePeriodesSurFiltresExclusifs filtreOu = new FiltrePeriodesSurFiltresExclusifs();
    FiltresTemporel filtreConflitJustifiee = new FiltresTemporel();
    filtreConflitJustifiee.ajouterFiltre(new FiltrePeriodesAvecConflit());
    filtreOu.ajouterFiltre(new FiltrePeriodesJustifiees());
    filtreOu.ajouterFiltre(new FiltrePeriodesCertifiees());
    filtreConflitJustifiee.ajouterFiltre(filtreOu);
    filtre.ajouterFiltre(filtreConflitJustifiee);
    
    listeFiltres.vider();
    listeFiltres.ajouterFiltre(new FiltreChevauchePeriode(praLaPlusLongue));
    listeFiltres.ajouterFiltre(filtre);
    Chronologie chronoPeriodeNDNJC = chronoPasseProfessionnel.copier(listeFiltres);
    if (!chronoPeriodeNDNJC.estVide()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A14MB1_NDNJC", new Object[] { chronoPeriodeNDNJC.dernierElement().getDateFin() });
    }
  }
  
  protected void traiterChampApplicationFonctionnaire(ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(2);
  }
  
  protected void traiterChampApplicationDernierContratCaCae(ResultatDeterminationCompetence resultatDeterminationCompetente)
  {
    resultatDeterminationCompetente.setChargeIndemnisationDroitCourant(1);
  }
  
  public ConventionGestion determinerConventionGestionEnrichie(Demande demande, ConventionGestion conventionGestionParametre)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesTemporaires = demande.getDonneesTemporaires();
    String numeroConventionPEForce = donneesTemporaires.getNumeroConventionPE();
    String codeAffectation = donneesTemporaires.getCodeAffectationConvention();
    ConventionGestion conventionGestion;
    ConventionGestion conventionGestion;
    if (numeroConventionPEForce != null)
    {
      conventionGestion = new ConventionGestion(numeroConventionPEForce, codeAffectation, false, false, false, false, false, "556", false, null, null, null, false);
    }
    else
    {
      conventionGestion = conventionGestionParametre;
      codeAffectation = conventionGestion.getCodeAffectation();
    }
    ConventionGestion conventionGestionEnrichie = (ConventionGestion)OutilConventionGestion.getInstance().trouverConventionGestion(new ConteneurConventionGestion(conventionGestion.getNumeroConventionGestion(), conventionGestion.getCodeAffectation(), demande.getDateDepot(), demande.getCommentaire()));
    
    conventionGestionEnrichie.setCodeAffectation(codeAffectation);
    return conventionGestionEnrichie;
  }
  
  private String determinerIdExterneEmployeurPublic(Demande demande, ConteneurInfosEmployeur conteneurInfosEmployeur)
  {
    String identifiant = null;
    demande.getDonneesTemporaires().getNumeroConventionPE();
    if (demande.getDonneesTemporaires().getNumeroConventionPE() != null) {
      identifiant = demande.getDonneesTemporaires().getIdExterneEmployeurSp();
    } else if ((conteneurInfosEmployeur != null) && (conteneurInfosEmployeur.getActiviteSalarie() != null) && (conteneurInfosEmployeur.getActiviteSalarie().getContrat() != null)) {
      identifiant = conteneurInfosEmployeur.getActiviteSalarie().getContrat().getIdExterneEmployeurPublic();
    }
    return identifiant;
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetenceCge
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */