package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence;

import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.dom.ConventionGestion;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;

public final class OutilDeterminationCompetence
{
  private static final int CINQUANTE = 50;
  
  public static void alimenterConventionGestion(ResultatDeterminationCompetence resultatDeterminationCompetence, ConventionGestionSpec conventionGestionEnrichie)
  {
    resultatDeterminationCompetence.setNumeroConventionGestion(conventionGestionEnrichie.getNumeroConventionGestion());
    resultatDeterminationCompetence.setCodeAffectationConvention(conventionGestionEnrichie.getCodeAffectation());
    resultatDeterminationCompetence.setApplicationDesAides(conventionGestionEnrichie.getApplicationAides());
    resultatDeterminationCompetence.setEstAideAdr(conventionGestionEnrichie.isEstAideAdr());
    resultatDeterminationCompetence.setEstAideAllocationDeces(conventionGestionEnrichie.isEstAideAllocationDeces());
    resultatDeterminationCompetence.setEstAideArce(conventionGestionEnrichie.isEstAideArce());
    resultatDeterminationCompetence.setEstAideCongeNonPaye(conventionGestionEnrichie.isEstAideCongeNonPaye());
    resultatDeterminationCompetence.setEstAideFinDroit(conventionGestionEnrichie.isEstAideFinDroit());
    resultatDeterminationCompetence.setPrecompteCrc(conventionGestionEnrichie.estPrecompteCRC());
    resultatDeterminationCompetence.setSignataireConvention(conventionGestionEnrichie.getSignataire());
    String libelleConvention = conventionGestionEnrichie.getLibelleAffectation();
    String libelleConventionTronque = "";
    if (libelleConvention != null)
    {
      int taille = libelleConvention.length();
      if (taille > 50) {
        taille = 50;
      }
      libelleConventionTronque = libelleConvention.substring(0, taille);
    }
    resultatDeterminationCompetence.setLibelleAffectationConventionGestion(libelleConventionTronque);
    resultatDeterminationCompetence.setDebutValiditeConventionGestion(conventionGestionEnrichie.getDebutValidite());
    resultatDeterminationCompetence.setFinValiditeConventionGestion(conventionGestionEnrichie.getFinValidite());
    resultatDeterminationCompetence.setIdExterneObligatoire(conventionGestionEnrichie.estIdExterneObligatoire());
  }
  
  public static ConventionGestionSpec mapperResultatSurConventionGestion(ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    ConventionGestion conventionGestionEnrichie = new ConventionGestion(resultatDeterminationCompetence.getNumeroConventionGestion(), resultatDeterminationCompetence.getCodeAffectationConvention(), resultatDeterminationCompetence.isEstAideArce(), resultatDeterminationCompetence.isEstAideAdr(), resultatDeterminationCompetence.isEstAideCongeNonPaye(), resultatDeterminationCompetence.isEstAideFinDroit(), resultatDeterminationCompetence.isEstAideAllocationDeces(), resultatDeterminationCompetence.getSignataireConvention(), resultatDeterminationCompetence.isPrecompteCrc(), resultatDeterminationCompetence.getDebutValiditeConventionGestion(), resultatDeterminationCompetence.getFinValiditeConventionGestion(), resultatDeterminationCompetence.getLibelleAffectationConventionGestion(), resultatDeterminationCompetence.isIdExterneObligatoire());
    
    return conventionGestionEnrichie;
  }
  
  public static void mapperResultatSurCompetence(ResultatDeterminationCompetence resultatDeterminationCompetence, CompetenceSpec competence)
  {
    competence.setCodeAffectationConvention(resultatDeterminationCompetence.getCodeAffectationConvention());
    competence.setCompetenceAdministrative(resultatDeterminationCompetence.getCompetenceAdministrative());
    competence.setCompetenceAdministrativeDroitCourant(resultatDeterminationCompetence.getCompetenceAdministrativeDroitCourant());
    competence.setCompetenceFinanciere(resultatDeterminationCompetence.getCompetenceFinanciere());
    competence.setCompetenceFinanciereDroitCourant(resultatDeterminationCompetence.getCompetenceAdministrativeDroitCourant());
    competence.setDateDepotDemande(resultatDeterminationCompetence.getDateDepotDemande());
    competence.setDebutValiditeConventionGestion(resultatDeterminationCompetence.getDebutValiditeConventionGestion());
    competence.setEstAideAdr(resultatDeterminationCompetence.isEstAideAdr());
    competence.setEstAideAllocationDeces(resultatDeterminationCompetence.isEstAideAllocationDeces());
    competence.setEstAideArce(resultatDeterminationCompetence.isEstAideArce());
    competence.setEstAideCongeNonPaye(resultatDeterminationCompetence.isEstAideCongeNonPaye());
    competence.setEstAideFinDroit(resultatDeterminationCompetence.isEstAideFinDroit());
    competence.setFinValiditeConventionGestion(resultatDeterminationCompetence.getFinValiditeConventionGestion());
    competence.setIdentifiantEmployeurCompetent(resultatDeterminationCompetence.getIdentifiantEmployeurCompetent());
    competence.setIdExterneEmployeurSp(resultatDeterminationCompetence.getIdExterneEmployeurSp());
    competence.setIdExterneObligatoire(resultatDeterminationCompetence.isIdExterneObligatoire());
    competence.setIdFctEmployeurCompetent(resultatDeterminationCompetence.getIdFctEmployeurCompetent());
    competence.setLibelleAffectationConventionGestion(resultatDeterminationCompetence.getLibelleAffectationConventionGestion());
    competence.setLibelleEmployeurCompetent(resultatDeterminationCompetence.getLibelleEmployeurCompetent());
    competence.setNumeroConventionGestion(resultatDeterminationCompetence.getNumeroConventionGestion());
    competence.setPrecompteCrc(resultatDeterminationCompetence.isPrecompteCrc());
    competence.setSignataireConvention(resultatDeterminationCompetence.getSignataireConvention());
    competence.setChargeIndemnisationDroitCourant(resultatDeterminationCompetence.getChargeIndemnisationDroitCourant());
    competence.setActivitesParticipantes(resultatDeterminationCompetence.getActiviteParticipantes());
    competence.setChronoPeriodesActiviteSecteurPriveRetenues(resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPriveRetenues());
    competence.setChronoPeriodesActiviteSecteurPublicRetenues(resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPublicRetenues());
    if ((competence instanceof Competence))
    {
      Competence competenceAsuProduit = (Competence)competence;
      competenceAsuProduit.setApplicationDesAides(resultatDeterminationCompetence.getApplicationDesAides());
      competenceAsuProduit.setDureeActiviteSecteurPrive(resultatDeterminationCompetence.getDureeActiviteSecteurPrive());
      competenceAsuProduit.setDureeActiviteSecteurPriveCaCae(resultatDeterminationCompetence.getDureeActiviteSecteurPriveCaCae());
      competenceAsuProduit.setDureeActiviteSecteurPublicAffilie(resultatDeterminationCompetence.getDureeActiviteSecteurPublicAffilie());
      competenceAsuProduit.setDureeActiviteSecteurPublicAutoAssurance(resultatDeterminationCompetence.getDureeActiviteSecteurPublicAutoAssurance());
      competenceAsuProduit.setDureeActiviteSecteurPublicConventionGestion(resultatDeterminationCompetence.getDureeActiviteSecteurPublicConventionGestion());
      competenceAsuProduit.setEstPCRCForce(resultatDeterminationCompetence.isEstPCRCForce());
      competenceAsuProduit.setEstCoeffTPAppliqueSP(resultatDeterminationCompetence.isEstCoeffTPAppliqueSP());
      competenceAsuProduit.setEstCoeffTPAppliqueRAC(resultatDeterminationCompetence.isEstCoeffTPAppliqueRAC());
    }
  }
  
  public static void mapperCompetenceSurResultat(CompetenceSpec competence, ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    resultatDeterminationCompetence.setCodeAffectationConvention(competence.getCodeAffectationConvention());
    resultatDeterminationCompetence.setCompetenceAdministrative(competence.getCompetenceAdministrative());
    resultatDeterminationCompetence.setCompetenceAdministrativeDroitCourant(competence.getCompetenceAdministrativeDroitCourant());
    resultatDeterminationCompetence.setCompetenceFinanciere(competence.getCompetenceFinanciere());
    resultatDeterminationCompetence.setCompetenceFinanciereDroitCourant(competence.getCompetenceAdministrativeDroitCourant());
    resultatDeterminationCompetence.setDateDepotDemande(competence.getDateDepotDemande());
    resultatDeterminationCompetence.setDebutValiditeConventionGestion(competence.getDebutValiditeConventionGestion());
    resultatDeterminationCompetence.setEstAideAdr(competence.isEstAideAdr());
    resultatDeterminationCompetence.setEstAideAllocationDeces(competence.isEstAideAllocationDeces());
    resultatDeterminationCompetence.setEstAideArce(competence.isEstAideArce());
    resultatDeterminationCompetence.setEstAideCongeNonPaye(competence.isEstAideCongeNonPaye());
    resultatDeterminationCompetence.setEstAideFinDroit(competence.isEstAideFinDroit());
    resultatDeterminationCompetence.setFinValiditeConventionGestion(competence.getFinValiditeConventionGestion());
    resultatDeterminationCompetence.setIdentifiantEmployeurCompetent(competence.getIdentifiantEmployeurCompetent());
    resultatDeterminationCompetence.setIdExterneEmployeurSp(competence.getIdExterneEmployeurSp());
    resultatDeterminationCompetence.setIdExterneObligatoire(competence.estIdExterneObligatoire());
    resultatDeterminationCompetence.setIdFctEmployeurCompetent(competence.getIdFctEmployeurCompetent());
    resultatDeterminationCompetence.setLibelleAffectationConventionGestion(competence.getLibelleAffectationConventionGestion());
    resultatDeterminationCompetence.setLibelleEmployeurCompetent(competence.getLibelleEmployeurCompetent());
    resultatDeterminationCompetence.setNumeroConventionGestion(competence.getNumeroConventionGestion());
    resultatDeterminationCompetence.setPrecompteCrc(competence.isPrecompteCrc());
    resultatDeterminationCompetence.setSignataireConvention(competence.getSignataireConvention());
    resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(competence.getChargeIndemnisationDroitCourant());
    resultatDeterminationCompetence.setActiviteParticipantes(competence.getActivitesParticipantes());
    resultatDeterminationCompetence.setChronoPeriodesActiviteSecteurPriveRetenues(competence.getChronoPeriodesActiviteSecteurPriveRetenues());
    resultatDeterminationCompetence.setChronoPeriodesActiviteSecteurPublicRetenues(competence.getChronoPeriodesActiviteSecteurPublicRetenues());
    if ((competence instanceof Competence))
    {
      Competence competenceAsuProduit = (Competence)competence;
      resultatDeterminationCompetence.setApplicationDesAides(competenceAsuProduit.getApplicationDesAides());
      resultatDeterminationCompetence.setDureeActiviteSecteurPrive(competenceAsuProduit.getDureeActiviteSecteurPrive());
      resultatDeterminationCompetence.setDureeActiviteSecteurPriveCaCae(competenceAsuProduit.getDureeActiviteSecteurPriveCaCae());
      resultatDeterminationCompetence.setDureeActiviteSecteurPublicAffilie(competenceAsuProduit.getDureeActiviteSecteurPublicAffilie());
      resultatDeterminationCompetence.setDureeActiviteSecteurPublicAutoAssurance(competenceAsuProduit.getDureeActiviteSecteurPublicAutoAssurance());
      resultatDeterminationCompetence.setDureeActiviteSecteurPublicConventionGestion(competenceAsuProduit.getDureeActiviteSecteurPublicConventionGestion());
      resultatDeterminationCompetence.setEstCoeffTPAppliqueRAC(competenceAsuProduit.isEstCoeffTPAppliqueRAC());
      resultatDeterminationCompetence.setEstCoeffTPAppliqueSP(competenceAsuProduit.isEstCoeffTPAppliqueSP());
      resultatDeterminationCompetence.setEstPCRCForce(competenceAsuProduit.isEstPCRCForce());
      resultatDeterminationCompetence.setEstCoeffTPAppliqueSP(competenceAsuProduit.isEstCoeffTPAppliqueSP());
      resultatDeterminationCompetence.setEstCoeffTPAppliqueRAC(competenceAsuProduit.isEstCoeffTPAppliqueRAC());
    }
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationCompetence
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */