package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurInfosEmployeur;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieIdentifiantEmployeur;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieIdentifiantEmployeurSpec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ConteneurInfosEmployeurSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.dom.ConventionGestion;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ComparateurTemporelsSurDateFin;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;

public class StrategieDeterminationCompetenceSecteurPublicApres
  extends StrategieDeterminationCompetenceSecteurPublicAbstrait
{
  public ConteneurInfosEmployeur determinerEmployeurCompetentSecteurPublic(Demande demande, ChronologiePeriodes chronoPeriodesActiviteSecteurPublicRetenues, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    String identifiantEmployeurCourant = null;
    
    Periode periodeRechercheAffiliation = ((DossierExamen)demande.getDossierExamen()).getConstitutionQuantiteAffiliation().getPeriodePRA();
    
    Hashtable tableEmployeursActivites = new Hashtable();
    ArrayList listeEmployeursActivites = new ArrayList();
    
    ChronologiePeriodes chronoPeriodesActiviteSecteurPublicRetenuesPra = new ChronologiePeriodes();
    chronoPeriodesActiviteSecteurPublicRetenuesPra.setComparateur(new ComparateurTemporelsSurDateFin());
    chronoPeriodesActiviteSecteurPublicRetenuesPra.ajouter(chronoPeriodesActiviteSecteurPublicRetenues);
    
    chronoPeriodesActiviteSecteurPublicRetenuesPra.iterer();
    ActiviteSalarie activiteSalarieeCourante = null;
    
    ConteneurInfosEmployeur conteneurInfosEmployeur = null;
    ChronologiePeriodes chronoPeriodesActiviteParEmployeur = null;
    while (chronoPeriodesActiviteSecteurPublicRetenuesPra.encoreSuivant())
    {
      activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteSecteurPublicRetenuesPra.elementSuivant();
      
      identifiantEmployeurCourant = recupererIdentifiantEmployeur(demande, activiteSalarieeCourante);
      if (tableEmployeursActivites.containsKey(identifiantEmployeurCourant))
      {
        conteneurInfosEmployeur = recupererConteneurInfoEmployeur(identifiantEmployeurCourant, tableEmployeursActivites);
        conteneurInfosEmployeur.getChronoEmployeur().ajouter(activiteSalarieeCourante);
      }
      else
      {
        conteneurInfosEmployeur = new ConteneurInfosEmployeur();
        chronoPeriodesActiviteParEmployeur = new ChronologiePeriodes();
        conteneurInfosEmployeur.setChronoEmployeur(chronoPeriodesActiviteParEmployeur);
        
        chronoPeriodesActiviteParEmployeur.ajouter(activiteSalarieeCourante);
        tableEmployeursActivites.put(identifiantEmployeurCourant, conteneurInfosEmployeur);
        listeEmployeursActivites.add(identifiantEmployeurCourant);
      }
      if ((activiteSalarieeCourante.getNumeroConventionGestion() != null) && (conteneurInfosEmployeur.getDerniereConventionGestionEmployeur() == null))
      {
        ConventionGestion conventionGestion = new ConventionGestion(activiteSalarieeCourante.getNumeroConventionGestion(), activiteSalarieeCourante.getContrat().getCodeAffectation(), false, false, false, false, false, "2", false, null, null, null, false);
        
        conteneurInfosEmployeur.setDerniereConventionGestionEmployeur(conventionGestion);
      }
    }
    Hashtable tableEmployeursDureeActiviteDansPra = new Hashtable();
    
    Iterator it = listeEmployeursActivites.iterator();
    while (it.hasNext())
    {
      identifiantEmployeurCourant = (String)it.next();
      chronoPeriodesActiviteParEmployeur = recupererChronologiesEmployeur(identifiantEmployeurCourant, tableEmployeursActivites);
      int dureeActiviteParEmployeur = calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesActiviteParEmployeur);
      tableEmployeursDureeActiviteDansPra.put(identifiantEmployeurCourant, Integer.valueOf(dureeActiviteParEmployeur));
    }
    int dureeActiviteLaPlusGrande = 0;
    String identifiantEmployeurCompetent = null;
    
    Iterator itEmployeur = listeEmployeursActivites.iterator();
    while (itEmployeur.hasNext())
    {
      identifiantEmployeurCourant = (String)itEmployeur.next();
      int dureeActiviteParEmployeur = ((Integer)tableEmployeursDureeActiviteDansPra.get(identifiantEmployeurCourant)).intValue();
      if ((dureeActiviteLaPlusGrande == 0) || (dureeActiviteParEmployeur > dureeActiviteLaPlusGrande))
      {
        dureeActiviteLaPlusGrande = dureeActiviteParEmployeur;
        identifiantEmployeurCompetent = identifiantEmployeurCourant;
        
        ChronologiePeriodes chronoPeriodesActiviteTrieesSurDateFin = new ChronologiePeriodes();
        chronoPeriodesActiviteTrieesSurDateFin.setComparateur(new ComparateurTemporelsSurDateFin());
        chronoPeriodesActiviteTrieesSurDateFin.ajouter(recupererChronologiesEmployeur(identifiantEmployeurCourant, tableEmployeursActivites));
        
        activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteTrieesSurDateFin.premierElement();
      }
    }
    resultatDeterminationCompetence.setIdentifiantEmployeurCompetent(identifiantEmployeurCompetent);
    resultatDeterminationCompetence.setIdFctEmployeurCompetent(activiteSalarieeCourante.getIdentifiant());
    
    ConteneurInfosEmployeur conteneurEmployeurCompetent = recupererConteneurInfoEmployeur(identifiantEmployeurCompetent, tableEmployeursActivites);
    
    conteneurInfosEmployeur = recupererConteneurInfoEmployeur(identifiantEmployeurCompetent, tableEmployeursActivites);
    chronoPeriodesActiviteParEmployeur = conteneurInfosEmployeur.getChronoEmployeur();
    chronoPeriodesActiviteParEmployeur.setComparateur(new ComparateurTemporelsSurDateFin());
    activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteParEmployeur.premierElement();
    resultatDeterminationCompetence.setLibelleEmployeurCompetent(activiteSalarieeCourante.getEntreprise().getLibelleEntreprise());
    conteneurEmployeurCompetent.setActiviteSalarie(activiteSalarieeCourante);
    if (conteneurEmployeurCompetent.getDerniereConventionGestionEmployeur() == null)
    {
      resultatDeterminationCompetence.setNumeroConventionGestion(activiteSalarieeCourante.getEntreprise().getNumeroConventionGestion());
      resultatDeterminationCompetence.setSignataireConvention("1");
    }
    return conteneurEmployeurCompetent;
  }
  
  public void determinerCompetenceAdministrativeDroitCourant(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    ConteneurInfosEmployeurSpec conteneurInfosEmployeur = resultatDeterminationCompetence.getConteneurInfosEmployeur();
    if (resultatDeterminationCompetence.getCompetenceFinanciere() == 1)
    {
      resultatDeterminationCompetence.setCompetenceAdministrative(1);
    }
    else if ((conteneurInfosEmployeur.getActiviteSalarie().getChampApplication() == 4) || (conteneurInfosEmployeur.getDerniereConventionGestionEmployeur() != null))
    {
      resultatDeterminationCompetence.setCompetenceAdministrative(1);
    }
    else
    {
      resultatDeterminationCompetence.setCompetenceAdministrative(2);
      resultatDeterminationCompetence.setEstPCRCForce(demande.getDonneesTemporaires().isEstPCRCForceDroitCourant());
    }
  }
  
  public String recupererIdentifiantEmployeur(Demande demande, ActiviteSalarie activiteSalariee)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(demande.getAttribution().getDateFaitGenerateur());
    FabriqueStrategieIdentifiantEmployeur fabrique = FabriqueStrategieIdentifiantEmployeur.getInstance();
    StrategieIdentifiantEmployeurSpec strategie = (StrategieIdentifiantEmployeurSpec)fabrique.getStrategie(critere);
    return strategie.recupererIdentifiantEntreprise(activiteSalariee.getEntreprise());
  }
}

/* Location:
 * Qualified Name:     StrategieDeterminationCompetenceSecteurPublicApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */