package fr.unedic.cali.asu.cge01.p02;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.CalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.PostTraitementJustificationAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionPra;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilSimulationAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheValiditeProduit;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.OutilCalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.dom.ComportementAffiliation;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cge01.p02.antecedent.GrapheAntecedent;
import fr.unedic.cali.asu.cge01.p02.calcul.dom.CalendrierExecutionCalcul;
import fr.unedic.cali.asu.cge01.p02.calcul.outilsfonctionnels.ActiviteReduite;
import fr.unedic.cali.asu.cge01.p02.calcul.outilsfonctionnels.TraitementActiviteReduite;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Examen;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.FabriqueObjectifExamen;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ObjectifExamenSpec;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.AlimenterBaseEchanges;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.AlimenterElementsJustification;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.ComparateurDecision;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.ConstitutionCREMConstituant;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DelaiRechercheSinistres;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationDateMinPraPrcPrs;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationSituationParticuliere;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.OutilConstructionPRA;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.RechercheConditionDureeIndemnisationMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.RechercheConditionNombreTrimestresMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.strategies.StrategieConditionChomageInvolontaireAre14Avant;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionActivitePourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionAgePourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionAppartenancePourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionDecisionCPPourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionDureeIndemnisationPourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionNombreTrimestresPourMaintien;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ParcoursDeterminationOrdreObjectifs;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ParcoursValiderObjectif;
import fr.unedic.cali.asu.cge01.p02.migration.FabriqueGraphe;
import fr.unedic.cali.asu.cge01.p02.occasionnel.FabriqueExecutionPopulation;
import fr.unedic.cali.asu.cge01.p02.parametres.Parametres;
import fr.unedic.cali.asu.cge01.parametres.ParametresDerniersJoursFevrier;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.OutilsMaintien;
import fr.unedic.cali.asu.occasionnel.FabriqueTraitementPopulation;
import fr.unedic.cali.asu.outilsfonctionnels.AppelCalculParLiquidationAsu;
import fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie;
import fr.unedic.cali.asu.outilsfonctionnels.OutilDeterminationObjectifReprise;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionCoordinationEuropeenne;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursContexteExamen;
import fr.unedic.cali.asu.parcours.ResultatTraitementReliquat;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DomSimulationAffiliation;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.DureeIndemnisationAbstraite;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.JustificationAppelGaecReduit;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.ResultatSimulationAffiliation;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.DelaiRechercheProduitSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P02;
import fr.unedic.cali.dom.affectation.ProduitAsuDelegueSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesResultatDeterminationSjrSpec;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.cali.dom.spec.CalculAppartenanceSpec;
import fr.unedic.cali.dom.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.spec.ConstructionPRASpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.dom.spec.ParametresAffiliationSpec;
import fr.unedic.cali.fabriques.FabriqueOutilFonctionnelSpec;
import fr.unedic.cali.migration.GrapheLiquidationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresExecutionPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ExecutionPopulationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.outilsfonctionnels.ConvertisseurUniteAffiliation;
import fr.unedic.cali.outilsfonctionnels.OutilReliquat;
import fr.unedic.cali.outilsfonctionnels.RechercherDernierSinistre;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parcours.DomCali;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.cali.util.TableQuantites;
import fr.unedic.util.Convertisseur;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.PasAssezInformationException;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.FiltreFinAvantOuCoincideAvecDate;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.List;

public class ProduitDelegue
  implements ProduitAsuDelegueSpec
{
  private FabriqueExecutionPopulation fabriqueExecutionPopulation;
  public static final String CODE_FORMULE_MONTANT = "1";
  public static final String CODE_FORMULE_MONTANT_AREF = "2";
  public static final int NB_JOUR_STANDARD_MAINTIEN = 364;
  public static final int DUREE_PRS_TROIS = 3;
  
  private Resultat effectuerParcours(Parcours parcours, Contexte contexte)
    throws ApplicativeException
  {
    Resultat resultat = null;
    if (parcours != null) {
      resultat = parcours.effectuerParcours(contexte);
    }
    return resultat;
  }
  
  private ObjectifExamenSpec recupererObjectifCourant(Contexte contexte)
  {
    ObjectifExamen objectifCourant = null;
    if ((contexte != null) && (contexte.getDonnees() != null)) {
      objectifCourant = DomLiquidationAssurance.getDemande(contexte).getObjectifCourant();
    }
    return (ObjectifExamenSpec)objectifCourant;
  }
  
  public Resultat constituerCoefficientSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCoefficientSaisonnier();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerCaractereSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCaractereSaisonnier();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerCoefficientTempsPartiel(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCoefficientTempsPartiel();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDelaisReports(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDelaisReports();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDureesReglementaires(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDureesReglementaires();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerMontantsBruts(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursMontantsBruts();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursQuantiteAffiliation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerReglementApplicable(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursReglementApplicable();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerSalaireJournalierConserve(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursSalaireJournalierConserve();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerSalaireJournalierDeReference(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursSalaireJournalierDeReference();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerProduitResultant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursProduitResultant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerPointDeDepart(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursPointDeDepart();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDureeEffective();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerCapitalAvecDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCapitalAvecDureeEffective();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerNbHeuresTravaillees(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat verifierConditionCumulPrestationFamiliale(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionCumulPrestationFamiliale();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAge(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionAge();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionChomageInvolontaire(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionChomageInvolontaire();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionChomageTotal(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionChomageTotal();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionCumulActiviteConservee(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionCumulActiviteConservee();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionFaitGenerateur(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionFaitGenerateur();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionMontant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionMontant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionQuantiteAffiliation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDureeNonNulle(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionRechercheEmploi(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionRechercheEmploi();
    return effectuerParcours(parcours, contexte);
  }
  
  public DelaiRechercheProduitSpec obtenirDelaiRechercheProduit(DossierAffectationSpec dossierAffectation, DureeCalendaire delaiAllongement)
    throws PasAssezInformationException
  {
    return DelaiRechercheSinistres.determinerDelaiRechercheSinistre(dossierAffectation, delaiAllongement);
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie activiteSalarie, IndividuSpec individu, DemandeSpec demande, boolean avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    return RechercheValiditeProduit.validerProduit(activiteSalarie, (DemandeAssuranceSpec)demande, avecPeriodeNonAttestee, ProduitAsuCge01P02.getInstance());
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    return FabriqueObjectifExamen.creerObjectif(sousType, contexteDemande);
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec resultatExecutionCalcul, Damj dateEtude)
    throws ApplicativeException
  {
    ResultatTraitementReliquat resultatTraitementReliquat = fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.OutilTraitementReliquat.getInstance().traiterReliquat(resultatExecutionCalcul, dateEtude);
    
    return resultatTraitementReliquat;
  }
  
  public void initialiserDossierExamen(DossierAffectationSpec dossierAffecte)
  {
    dossierAffecte.setDossierExamen(new Examen());
  }
  
  public void miseAJourDossierExamen(DossierExamenSpec dossier, AttributionSpec attribution)
  {
    ((fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)dossier).setAttributionPrecedente((AttributionAssuranceSpec)attribution);
  }
  
  public Resultat constituerDateAttribution(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateAttribution();
    return effectuerParcours(parcours, contexte);
  }
  
  public Damj recupererDJIParEpuisement(DemandeSpec demande, AttributionSpec attribution, boolean verifierEpuisementHPec)
    throws ApplicativeException
  {
    return OutilReliquat.recupererDJIParEpuisement(demande, attribution, verifierEpuisementHPec);
  }
  
  public boolean estFiliereCourte(AttributionSpec attribution)
  {
    Attribution attributionAsu = (Attribution)attribution;
    if (attributionAsu.getConstitutionQuantiteAffiliation() != null) {
      return attributionAsu.getConstitutionQuantiteAffiliation().getArticle3().equalsIgnoreCase("a");
    }
    DecisionSpec odOrigine = ((AttributionAssuranceSpec)attribution).getOuvertureDroit();
    return ((Attribution)odOrigine).getConstitutionQuantiteAffiliation().getArticle3().equalsIgnoreCase("a");
  }
  
  public boolean estCompetenceAdministrativeRac(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetence().getCompetenceAdministrative() == 1;
  }
  
  public Damj getDateFaitGenerateur(AttributionSpec attribution)
  {
    Attribution attributionAsu = (Attribution)attribution;
    if (attributionAsu.getFaitGenerateur() != null) {
      return attributionAsu.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public void determinerOrdreObjectifs(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDeterminationOrdreObjectifs parcours = new ParcoursDeterminationOrdreObjectifs();
    parcours.effectuerParcours(contexte);
  }
  
  public void verifierValiditeObjectif(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursValiderObjectif parcours = new ParcoursValiderObjectif();
    parcours.effectuerParcours(contexte);
  }
  
  public void sauvegardeElementsJustificatifs(DossierExamenSpec decision)
    throws CoucheLogiqueException
  {
    AlimenterElementsJustification.alimenterDonnees(decision);
  }
  
  public boolean comparerDecisions(DecisionSpec decision1, DecisionSpec decision2)
  {
    return ComparateurDecision.estEgal(decision1, decision2);
  }
  
  public void determinerCompetencesDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDeterminationCompetenceFinanceAdmDroitCourant();
    parcours.effectuerParcours(contexte);
  }
  
  public BigDecimal getSJR(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getElementBaseIndemnisation().getSjr().getSalaire();
  }
  
  public void determinerCompetencesDroitResultant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDeterminationCompetenceAdministrative();
    parcours.effectuerParcours(contexte);
  }
  
  public Resultat detecterContributionParticuliere(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    Parcours parcours = objectifCourant.creerParcoursDetectionContributionParticuliere(demande);
    return effectuerParcours(parcours, contexte);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    AlimentationBasePivot.alimenterDonneesProduit(dossierExamen, demandePivot);
  }
  
  public ArrayList alimenterDecisionsReexamen(Contexte contexte)
    throws CoucheLogiqueException
  {
    if ((contexte != null) && (contexte.getDonnees() != null))
    {
      DomLiquidationAssurance domCourant = (DomLiquidationAssurance)contexte.getDonnees();
      DecisionSpec decisionAvantReexamen = (DecisionSpec)domCourant.getDemandeAvantReexamen().getDossierAffectation().getDossierExamen();
      DecisionSpec decisionApresReexamen = (DecisionSpec)domCourant.getDemande().getDossierAffectation().getDossierExamen();
      return ComparateurDecision.rechercheDifferencesComparaisonDecision(decisionAvantReexamen, decisionApresReexamen);
    }
    return null;
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    return ConstructionPra.determinerPraLaPlusLongue(demandeCourante, periodeFctCourante);
  }
  
  public void postTraiterPourJustificationAffiliation(DemandeSpec demandeSpec)
  {
    PostTraitementJustificationAffiliation.postTraiter((Demande)demandeSpec);
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec dossierExamen, fr.unedic.cali.dom.echange.Decision demandeEchange)
    throws CoucheLogiqueException
  {
    AlimenterBaseEchanges.alimenterDonneesProduit(dossierExamen, demandeEchange);
  }
  
  public boolean verifierCapasPreliminaires(Contexte contexte)
    throws ApplicativeException
  {
    return true;
  }
  
  public Hashtable recupererElementsConstituant(DossierExamenSpec dossierExamen)
    throws CoucheLogiqueException
  {
    return ConstitutionCREMConstituant.recupererElementsConstituant(dossierExamen);
  }
  
  public Resultat verifierConditionAgePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionAgePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionNombreTrimestresPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionNombreTrimestresPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionActivitePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionActivitePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAppartenancePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionAppartenancePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDureeIndemnisationPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionDureeIndemnisationPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDecisionCPPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionDecisionCPPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public GrapheLiquidationSpec creerGraphe(int natureDecision, boolean classement)
  {
    return FabriqueGraphe.creegraphe(natureDecision, classement);
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public Damj getDateObtentionAgePourMaintien(DemandeSpec demande)
  {
    return demande.getDemandeur().getDateNaissance().deplacerVersAvant(getAgeMinimumObtentionMaintien(demande));
  }
  
  public Damj getDateObtentionDesTrimestres(DemandeSpec demande)
  {
    return RechercheConditionNombreTrimestresMaintien.getDateObtentionConditionTrimestres((DemandeMaintien)demande);
  }
  
  public Damj getDateObtentionIndemnisation(DemandeSpec demande)
    throws ApplicativeException
  {
    return RechercheConditionDureeIndemnisationMaintien.getDateObtentionIndemnisation((DemandeMaintien)demande);
  }
  
  public Quantite determinerReliquatHorsMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    ResultatExecutionCalculSpec resultat = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit(attribution, dateCalcul, true, true);
    
    Quantite reliquatAre = null;
    if ((resultat.getReliquatDureeIndemnisation() == null) && (dateCalcul.estAvant(resultat.getPji()))) {
      reliquatAre = getDureeAServirEffective(attribution);
    } else {
      reliquatAre = resultat.getReliquatDureeIndemnisation();
    }
    return reliquatAre;
  }
  
  public Quantite determinerReliquatAvecMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    ResultatExecutionCalculSpec resultat = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit(attribution, dateCalcul, true, true);
    
    Quantite reliquatAre = null;
    if ((resultat.getReliquatAREAvecMaintien() == null) && (dateCalcul.estAvant(resultat.getPji()))) {
      reliquatAre = getDureeAServirEffective(attribution);
    } else {
      reliquatAre = resultat.getReliquatAREAvecMaintien();
    }
    return reliquatAre;
  }
  
  public Damj getDateRuptureContratTravail(AttributionSpec attribution)
  {
    Damj dateRuptureContratTravail = null;
    if ((attribution != null) && (attribution.getDossierAffecte() != null))
    {
      FaitGenerateurSpec cdtFaitGenerateur = ((fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)attribution).getConditionFaitGenerateur();
      if ((cdtFaitGenerateur != null) && (cdtFaitGenerateur.getPeriodeFaitGenerateur() != null))
      {
        ContratTravail contrat = cdtFaitGenerateur.getPeriodeFaitGenerateur().getContrat();
        if (contrat != null) {
          dateRuptureContratTravail = contrat.getDateRuptureContratTravail();
        }
      }
    }
    return dateRuptureContratTravail;
  }
  
  public boolean estRejetChomageVolontaire(DecisionSpec decision)
  {
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)decision;
    return dossierExamen.estRejetDV();
  }
  
  public Resultat verifierConditionCSRAccordCP(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public ArrayList getParametres()
  {
    return null;
  }
  
  public Resultat verifierConditionCSRDateAttributionPendantSuspension(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public void controlerContexteDonneesForcees(Contexte contexte)
    throws CoucheLogiqueException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    DomCali domCali = (DomCali)contexte.getDonnees();
    Damj dateTraitement = domCali.getContexteService().getDateTraitement();
    VerificationDonneesForcees.getInstance().verifierDonneesForcees(demande, dateTraitement);
  }
  
  public void controlerContexteDonneesForceesPostLiquidation(Contexte contexte)
    throws ContexteException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    try
    {
      VerificationDonneesForcees.getInstance().verifierDonneesForceesPostLiquidation(demande);
    }
    catch (CoucheLogiqueException ex)
    {
      throw new ContexteException(ex.getCode(), ex.getLibelle(), ex);
    }
  }
  
  public Quantite getDureeAServirTheorique(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeTheorique();
  }
  
  public Quantite getDureeAServirEffective(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeIndemnisationEffective();
  }
  
  public boolean estReexecutable(CriteresExecutionPopulation criteres)
  {
    ExecutionPopulationSpec outil = getFabriqueExecutionPopulation().getInstance(criteres.getNomPopulation());
    if (outil != null) {
      return outil.estExecutable(criteres);
    }
    return false;
  }
  
  private FabriqueExecutionPopulation getFabriqueExecutionPopulation()
  {
    if (fabriqueExecutionPopulation == null) {
      fabriqueExecutionPopulation = new FabriqueExecutionPopulation();
    }
    return fabriqueExecutionPopulation;
  }
  
  public Resultat verifierCondition28JoursSuspension(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Quantite getDureeInitiale(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeInitiale();
  }
  
  public boolean determinerRepriseInvalide(DemandeSpec demande)
  {
    return true;
  }
  
  public void installerCompetenceConventionGestion(AttributionSpec attribution)
  {
    if (attribution.getDemande().estMigree())
    {
      fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)attribution;
      if (((dossierExamen instanceof RepriseSpec)) || (((DecisionSpec)dossierExamen).getNatureDecision() == 11))
      {
        DossierExamenAssuranceSpec dossierExamenAssurancePrec = dossierExamen.getAttributionPrecedente();
        
        dossierExamen.setCompetence((CompetenceSpec)dossierExamenAssurancePrec.getCompetence().copie());
      }
      else
      {
        ActiviteSalarie periodeFgd = dossierExamen.getFaitGenerateur().getPeriodeFaitGenerateur();
        
        CompetenceSpec competence = dossierExamen.getCompetence();
        
        competence.setNumeroConventionGestion(periodeFgd.getEntreprise().getNumeroConventionGestion());
        if (periodeFgd.getEntreprise().getNumeroConventionGestion() != null)
        {
          competence.setCompetenceAdministrative(1);
          competence.setCompetenceFinanciere(2);
        }
        dossierExamen.setCompetence(competence);
      }
    }
  }
  
  public void recalculerSurAnnulerReexamen(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)demande.getDossierAffectation().getDossierExamen();
    
    Chronologie chronoPassePro = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    chronoPassePro = (ChronologiePeriodes)chronoPassePro.copier(new FiltreFinAvantOuCoincideAvecDate(demande.getDateExamen()));
    
    TravailSpec dernierSinistre = RechercherDernierSinistre.rechercherDernierSinistre(demande.getDateExamen().veille(), chronoPassePro);
    if (dernierSinistre != null) {
      ((DossierAffecte)dossierExamen.getDossierAffecte()).setSinistre(dernierSinistre);
    }
  }
  
  public boolean estEntameDiffereStandard(DemandeSpec demande)
    throws ApplicativeException
  {
    boolean estConsommeDiffere = false;
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)((Demande)demande).getDossierExamen();
    if ((dossierExamen != null) && (dossierExamen.getConstitutionDelais() != null))
    {
      ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamen, null, true);
      
      estConsommeDiffere = resultatCalcul.isDiffereEntame();
    }
    return estConsommeDiffere;
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public ObjetMetierSpec recupererSJRPourDelaisReport(DemandeSpec demande)
  {
    return null;
  }
  
  public ConstructionPRASpec getOutilConstructionPRA()
  {
    return new OutilConstructionPRA();
  }
  
  public Resultat executerSimulationAffiliation(DomSimulationAffiliation domSimulationAffiliation)
    throws ApplicativeException
  {
    domSimulationAffiliation.setProduitAppelant(ProduitAsuCge01P02.getInstance());
    Resultat result = OutilSimulationAffiliation.calculAffi(domSimulationAffiliation);
    if (result != null)
    {
      ((ResultatSimulationAffiliation)result).setProduit(ProduitAsuCge01P02.getInstance());
      ((ResultatSimulationAffiliation)result).setProduitPropose(ProduitAsuCge01P02.getInstance().getLibelleCourt());
    }
    return result;
  }
  
  public void positionnerQuantiteAssimilationMaximum(Periode periode, TableQuantites tableQuantitesAffiliationAcquises) {}
  
  public int getDureeMinimumPourImputationFormation()
  {
    return 700;
  }
  
  public BigDecimal plafonnerDiviseurPrc(BigDecimal dureePRC)
  {
    return dureePRC;
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec ebi, Damj date)
  {
    return RevalorisationSalaire.revaloriserSjr(((ElementBaseIndemnisation)ebi).getSjr(), date);
  }
  
  public void recalculerActivitesConserveesPourDemandeMigree(DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  public int getNombreJoursIndemnisationNecessairesMaintien()
  {
    return 364;
  }
  
  public boolean estCompetenceFinanciereSecteurPublic(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetenceFinanciere() == 2;
  }
  
  public MontantBaseSpec obtenirMontantDroitPrecedentSecteurPublicProduitResultant(DemandeSpec demande, DossierExamenSpec dossierExamen, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public Resultat constituerDateLimiteIndemnisation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateLimiteIndemnisation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAnciennete(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public boolean estCapitalPrecedentRetenu(AttributionSpec attribution)
  {
    switch (attribution.getNatureDecision())
    {
    }
    return false;
  }
  
  public Resultat constituerRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public DureeCalendaire getAgeMinimumObtentionMaintien(DemandeSpec demande)
  {
    boolean casAre2001Migre = false;
    
    AttributionAssuranceSpec attribution = null;
    if ((demande instanceof DemandeMaintien)) {
      attribution = ((DemandeMaintien)demande).getAttributionAssurance();
    } else {
      attribution = (AttributionAssuranceSpec)((DemandeAssuranceSpec)demande).getDossierExamen();
    }
    if ("1".equals(attribution.getSituationParticuliere())) {
      casAre2001Migre = true;
    }
    if (casAre2001Migre) {
      return Parametres.AGE_MINIMUM_MAINTIEN_ARE2001;
    }
    return Parametres.AGE_MINIMUM_MAINTIEN;
  }
  
  public Reglement recupererReglementApplicable(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    Reglement reglement = null;
    if (attributionAssurance.getReglementApplicable() != null) {
      reglement = attributionAssurance.getReglementApplicable().getReglement();
    }
    return reglement;
  }
  
  public boolean estPresenceDiffere(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).estPresenceDiffere();
  }
  
  public SalaireJournalierSpec getSalaireJournalier(AttributionSpec attribution, Damj date)
  {
    SalaireJournalierSpec salaireJournalier = null;
    if (((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande()))
    {
      salaireJournalier = RevalorisationSalaire.revaloriserSjrTranche(attribution, date);
    }
    else
    {
      ElementBaseIndemnisation ebi = ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation();
      salaireJournalier = revaloriserSalaireJournalier(ebi, date);
    }
    return salaireJournalier;
  }
  
  public Chronologie getListeActivitesConserveesAttributionAreLiee(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getListeActiviteConservee();
  }
  
  public String getCodeSirenEmployeurFaitGenerateur(AttributionSpec attribution)
  {
    if ((attribution instanceof RepriseSpec))
    {
      AttributionAssuranceSpec attributionPrecedente = ((Attribution)attribution).getAttributionPrecedente();
      ProduitAsuSpec produitDelegue = (ProduitAsuSpec)attributionPrecedente.getProduit();
      return produitDelegue.getCodeSirenEmployeurFaitGenerateur(attributionPrecedente);
    }
    return ((Attribution)attribution).getFaitGenerateur().getPeriodeFaitGenerateur().getEntreprise().getSiren();
  }
  
  public BigDecimal recupererCoeficientTempsPartielMontantRetenu(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getElementBaseIndemnisation().getCoefficientTempsPartiel();
  }
  
  public int getCodeEmploiA2b(DemandeSpec demande)
  {
    return 0;
  }
  
  public int getCodeEmploiA2b(DonneesEntreeDeterminationSjrSpec donneesEntreeDeterminationSjr)
  {
    return 0;
  }
  
  public BigDecimal recupererSeuilMensuelHoraireActiviteReduite()
  {
    return ActiviteReduite.SEUIL_HORAIRE_BIG;
  }
  
  public int recupererNombreMoisCumulMaxActiviteReduite()
  {
    return 18;
  }
  
  public int recupererNombreMoisCumulCourrierKC6F()
  {
    return 16;
  }
  
  public int recupererNombreMoisIndemnisation(AttributionSpec attribution, Damj dateEtude)
    throws ApplicativeException
  {
    return AppelCalculParLiquidationAsu.determinerNombreMoisIndemnise(attribution, dateEtude);
  }
  
  public Damj getDateFaitGenerateurAttributionMaitre(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAsu = (AttributionAssuranceSpec)attribution;
    Attribution attributionOrigine = (Attribution)attributionAsu.getOuvertureDroit();
    if (attributionOrigine != null) {
      return attributionOrigine.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public List recupererParametresPourLiquidationSimplifiee(Periode periode)
  {
    return null;
  }
  
  public BigDecimal recupererSeuilRemuneration(AttributionSpec attribution, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    return AppelCalculParLiquidationAsu.getSeuilRenumeration(attribution, dateCalcul);
  }
  
  public JustificationAppelGaecReduit getDateDebutFenetrageAppelGaec(DemandeSpec demande)
  {
    if (demande != null) {
      return DeterminationDateMinPraPrcPrs.calculerDateMinimum(demande);
    }
    return null;
  }
  
  public boolean recupererLeverBornageRetraite(AttributionSpec attribution)
  {
    boolean leverBornageRetraite = false;
    DonneesTemporaires donneesForcees = ((Demande)attribution.getDemande()).getDonneesTemporaires();
    if (donneesForcees != null) {
      leverBornageRetraite = donneesForcees.isLeverBornageDureeEffectiveRetraite();
    }
    return leverBornageRetraite;
  }
  
  public Damj getDateFinDelaiDecheance(AttributionSpec attributionOrigine, DemandeSpec demandeCourante)
  {
    return fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.OutilTraitementReliquat.getInstance().getDateFinDelaiDecheance(attributionOrigine, demandeCourante);
  }
  
  public boolean determinePriseEnCompteObjectifReprise(DemandeSpec demandeCourante)
    throws CoucheLogiqueException
  {
    return OutilDeterminationObjectifReprise.getInstance().determinePriseEnCompteObjectifReprise((Demande)demandeCourante);
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes periodesDecalantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesDecalantes(attribution, periodesDecalantes, constituantsCalculActiviteReduite, ut);
  }
  
  public void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes periodesGelantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesGelantes(attribution, periodesGelantes, constituantsCalculActiviteReduite, ut);
  }
  
  public SalaireJournalierSpec getSalaireConserve(AttributionSpec attribution, Damj date)
  {
    Sjc sjc = ((Attribution)attribution).getSJC();
    return RevalorisationSalaire.revaloriserSjc(sjc, date);
  }
  
  public Resultat liquiderDemandeAssociee(Contexte contexte)
    throws ApplicativeException
  {
    Resultat retour = null;
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursLiquidationDemandeAssociee();
    if (parcours != null) {
      retour = effectuerParcours(parcours, contexte);
    }
    return retour;
  }
  
  public void alimenterDonneesComplementairesDossierExamen(DossierExamenSpec dossierExamenDecisionne) {}
  
  public String determinerPeriodeGaecAChargerSurLectureDecision(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if (demandeDecisionne != null)
    {
      identifiant = gererCasMaintien(demandeDecisionne);
      if (identifiant == null) {
        identifiant = gererDemandeDvFilEau(demandeDecisionne);
      }
    }
    return identifiant;
  }
  
  private String gererCasMaintien(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if ((demandeDecisionne instanceof DemandeMaintien))
    {
      DossierExamenSpec dossierExamen = ((DemandeMaintien)demandeDecisionne).getDossierExamen();
      if ((dossierExamen instanceof fr.unedic.cali.asu.mnt.dom.Decision)) {
        identifiant = OutilsMaintien.determinerPeriodeFaitGenerateurACharger((fr.unedic.cali.asu.mnt.dom.DossierExamen)dossierExamen);
      }
    }
    return identifiant;
  }
  
  private String gererDemandeDvFilEau(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if (("ASU_30".equals(demandeDecisionne.getEvenementReferenceExamen().getTypeExamen())) && (demandeDecisionne.estDecisionnee())) {
      identifiant = ((DossierExamenAssuranceSpec)demandeDecisionne.getDossierAffectation().getDossierExamen()).getConditionChomageInvolontaire().getIdentifiantActivitePortantDV();
    }
    return identifiant;
  }
  
  public void alimenterBasePivotAidesProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException, CoucheLogiqueException
  {}
  
  public SalaireJournalierSpec getSJC(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getSJC();
  }
  
  public Resultat creerGrapheDemandeAntecedent(Contexte contexte)
    throws CoucheLogiqueException
  {
    GrapheAntecedent.getInstance().alimenterGrapheDecisionAntecedent(contexte);
    return new Resultat(0);
  }
  
  public BigDecimal determinerDureeMaximumPourProduit()
  {
    return new BigDecimal(1277);
  }
  
  public ResultatTraitementPopulation effectuerTraitementOccasionnel(CriteresTraitementPopulation criteres)
    throws ApplicativeException
  {
    FabriqueTraitementPopulation fabrique = new FabriqueTraitementPopulation();
    TraitementPopulationSpec traitement = fabrique.getInstance(criteres.getNomPopulation());
    if (traitement != null) {
      return traitement.effectuerTraitement(criteres);
    }
    return null;
  }
  
  public void verifierPropositionAttribution(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)demande.getDossierAffectation().getDossierExamen();
    if ((dossierExamen != null) && (dossierExamen.getConstitutionQuantiteAffiliation() != null))
    {
      Periode periodePra = dossierExamen.getConstitutionQuantiteAffiliation().getPeriodePRA();
      if (periodePra != null) {
        OutilGestionCoordinationEuropeenne.getInstance().controlerCoordinationEuropeenneATord((Demande)demande, periodePra);
      }
    }
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalierReference(BigDecimal montantSjr, Damj dateEffetSjr, Damj dateRevalorisation, String contexteParticulier)
    throws CoucheLogiqueException
  {
    Sjr sjr = new Sjr(montantSjr, dateEffetSjr, contexteParticulier);
    return RevalorisationSalaire.revaloriserSjr(sjr, dateRevalorisation);
  }
  
  public FabriqueOutilFonctionnelSpec determinerFabriqueOutilFonctionnelDeterminationSjr(Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    throw new CoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE", "Méthode non implémenté pour ce produit");
  }
  
  public DonneesResultatDeterminationSjrSpec determinerSjrip(DonneesEntreeDeterminationSjrSpec donneesEntree)
    throws CoucheLogiqueException
  {
    throw new CoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE", "Méthode non implémenté pour ce produit");
  }
  
  public boolean estUnProduitGerantA9()
  {
    return false;
  }
  
  public boolean estUnProduitLevantAlerteA8A10()
  {
    return true;
  }
  
  public void verifierPropositionRejet(DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  public MontantBaseSpec recupererMontant(DonneesEntreesRecuperationMontant donneeEntreeRecuperationMontant)
    throws ApplicativeException
  {
    return DeterminationMontant.determinerMontant(donneeEntreeRecuperationMontant);
  }
  
  public ConventionGestionSpec getConventionGestion(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getConventionGestion();
  }
  
  public Convertisseur determinerConvertisseurUniteAffiliation()
  {
    return ConvertisseurUniteAffiliation.getInstance();
  }
  
  public Collection determinerListePlafonnementAffiliation(AttributionSpec attribution)
    throws ApplicativeException
  {
    throw new CoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE", "Méthode non implémenté pour ce produit");
  }
  
  public boolean isPlafonnementAffiliationActif()
  {
    return false;
  }
  
  public ElementBaseIndemnisationSpec recupererElementBaseIndemnisationPourReadmissionAvecMontantRetenuPrecedent(int natureDecision, int montantRetenu, DemandeSpec demande, AttributionSpec attribution)
  {
    return null;
  }
  
  public ProduitAsuSpec getProduitMontantRetenu(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    return attributionAssurance.getProduitMontantRetenu();
  }
  
  public String getSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere();
  }
  
  public Resultat verifierConditionValiditeReliquat(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionValiditeReliquat();
    return effectuerParcours(parcours, contexte);
  }
  
  public String determinerCodeSousProduitPourSigma(DecisionSpec dossierExamen)
  {
    String codeSousProduitRetourne = null;
    if ((dossierExamen instanceof AttributionAssuranceSpec))
    {
      AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)dossierExamen;
      codeSousProduitRetourne = "";
      Demande demande = (Demande)dossierExamen.getDemande();
      if (OutilsChomageSansRCT.estDemandeEnContexteDeChomageEnCoursDeSuspension(demande))
      {
        boolean estSinistreOuCalamiteNaturelle = attributionAssurance.isEstSinistreOuCalamiteNaturelle();
        if (estSinistreOuCalamiteNaturelle) {
          codeSousProduitRetourne = "02";
        } else {
          codeSousProduitRetourne = "01";
        }
      }
      else if (demande.getDonneesTemporaires().isEstCoordCee())
      {
        codeSousProduitRetourne = "03";
      }
      else if (attributionAssurance.isTopContratsRemuneresBaseSmic())
      {
        codeSousProduitRetourne = "24";
      }
    }
    return codeSousProduitRetourne;
  }
  
  public CalculAppartenanceSpec getOutilCalculAppartenance(DemandeSpec demande, boolean utiliserNouveauOutilCalcul)
  {
    if (utiliserNouveauOutilCalcul) {
      return new OutilCalculAppartenance(ProduitAsuCge01P02.getInstance());
    }
    return CalculAppartenance.getInstance();
  }
  
  public void initialiserComportementCalculAffiliation(ComportementAffiliationSpec comportement, ParametresAffiliationSpec parametres)
  {
    ComportementAffiliation comportementAffiliation = (ComportementAffiliation)comportement;
    
    comportementAffiliation.setConvertisseurUnite(determinerConvertisseurUniteAffiliation());
    
    comportementAffiliation.setParametresFevrier(new ParametresDerniersJoursFevrier());
  }
  
  public String determinerSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere();
  }
  
  public boolean estProduitGerantPensionInvalidite(DemandeSpec demande)
  {
    return false;
  }
  
  public Collection determinerPensionInvaliditeDroitCourant(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return new ArrayList();
  }
  
  public Collection determinerPensionInvaliditeDroitResultant(AttributionSpec attribution)
  {
    return new ArrayList();
  }
  
  public Quantite determinerQuantiteMinimumAffiliationRequise()
  {
    return null;
  }
  
  public Damj determinerDateExclueAuPlusTardDebutActiviteConservee(ActiviteSalarie pas, Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    return ConstructionChronologie.determinerDateExclueAuPlusTardDebutActiviteConservee(pas);
  }
  
  public Resultat determinerContexteExamen(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursContexteExamen parcours = new ParcoursContexteExamen();
    return parcours.effectuerParcours(contexte);
  }
  
  public boolean estProduitGerantIccpEnContexteRepriseSimplifiee()
  {
    return true;
  }
  
  public DureeIndemnisationAbstraite creerDureeCalcul(AttributionSpec attribution)
  {
    return null;
  }
  
  public Resultat constituerTranchesExecutables(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public boolean estTrancheActivee(DemandeSpec demande)
  {
    return false;
  }
  
  public BigDecimal recupererCoefficientSaisonnierMontantRetenu(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation().getCoefficientSaisonnier();
  }
  
  public DureeIndemnisationAbstraite creerDureeCalculTranche(Quantite quantite)
  {
    return null;
  }
  
  public boolean effectuerTraitementSpecifiqueAssistanceMaternellePourAffiliation()
  {
    return false;
  }
  
  public ResultatActiviteReduite calculActiviteReduite(BigDecimal allocationJournalierBrute, BigDecimal remunerationReprise, BigDecimal areBrute, BigDecimal sjr, String justificationCalculMontant, Periode periode)
  {
    return null;
  }
  
  public BigDecimal getCrcSimuActiviteReduite(BigDecimal salaire, BigDecimal montantBrutJournalier, Damj dateCalcul)
  {
    return null;
  }
  
  public StrategieSpec retournerStrategieAvantDeterminationChomageInvolontaire()
  {
    return new StrategieConditionChomageInvolontaireAre14Avant();
  }
  
  public boolean estForcerTempsPleinPourPeriodeA8A10(Damj dateExamen)
  {
    return false;
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierCalcul()
  {
    return new CalendrierExecutionCalcul();
  }
  
  public fr.unedic.cali.calcul.dom.UniteTraitement creerUT(Periode periodeUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return new fr.unedic.cali.asu.cge01.p02.calcul.dom.UniteTraitement(Unite.get("jour"), periodeUT);
  }
  
  public Resultat constituerCapitalDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat constituerMontantsEffectifs(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat constituerNouvelleRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public String recupererIdAeBatimentPourICCPConservatoire(AttributionSpec attribution)
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */