package fr.unedic.cali.asu.cge01.p02.antecedent;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Antecedent;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.CarenceIccp;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.CarenceIslr;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Competence;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCoefficientSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDateAttribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionReglementApplicable;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Differe;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeRenouvellement;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.EnsembleCarences;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Poursuite;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Prc;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.PrcSjr;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.PreavisMesureConservatoireNonIndemnisable;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Sjcip;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Sjrip;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationMontantBrut;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationSjrip;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.OdAssuranceSpec;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ResultatDeterminationDateLimiteIndemnisation;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class GrapheAntecedent
  extends fr.unedic.cali.asu.cge01.antecedent.GrapheAntecedent
{
  public static GrapheAntecedent getInstance()
  {
    return new GrapheAntecedent();
  }
  
  protected void initialiserDossierExamen(Demande p_demande)
    throws CoucheLogiqueException
  {
    if ((7 == p_demande.getSaisieAntecedent().getContexteDemande().intValue()) || (5 == p_demande.getSaisieAntecedent().getContexteDemande().intValue())) {
      p_demande.getDossierAffectation().setDossierExamen(new Poursuite());
    } else {
      p_demande.getDossierAffectation().setDossierExamen(new Antecedent());
    }
    if (p_demande.getSaisieAntecedent().isEstSituationParticuliereAre2001()) {
      ((OdAssuranceSpec)p_demande.getDossierExamen()).setSituationParticuliere("1");
    }
  }
  
  protected void alimenterConditionsAdmission(Demande p_demande)
    throws CoucheLogiqueException
  {
    SaisieAntecedent saisieAntecedent = p_demande.getSaisieAntecedent();
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)p_demande.getDossierExamen();
    
    alimenterConditionFaitGenerateur(dossierExamen, saisieAntecedent);
  }
  
  protected void alimenterConditionFaitGenerateur(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    IndividuSpec demandeur = p_dossierExamen.getDemande().getDemandeur();
    ConditionFaitGenerateur conditionFaitGenerateur = new ConditionFaitGenerateur();
    p_dossierExamen.setConditionFaitGenerateur(conditionFaitGenerateur);
    
    String identifiantFaitGenerateur = p_saisieAntecedent.getIdentifiantFaitGenerateur();
    ActiviteSalarie periodeFaitGenerateur = (ActiviteSalarie)demandeur.rechercherPeriodePasseProfessionnel(identifiantFaitGenerateur);
    
    conditionFaitGenerateur.setPeriodeFaitGenerateur(periodeFaitGenerateur);
    conditionFaitGenerateur.setAgeIndividuDateFG(demandeur.getAgeALaDate(periodeFaitGenerateur.getDateFin()));
    conditionFaitGenerateur.setEtatSatisfait(true);
  }
  
  protected void alimenterConditionsAdmissionSupplementaire(Demande p_demande)
    throws CoucheLogiqueException
  {}
  
  protected void alimenterConstituantsAdmission(Demande p_demande)
    throws CoucheLogiqueException
  {
    SaisieAntecedent saisieAntecedent = p_demande.getSaisieAntecedent();
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen)p_demande.getDossierExamen();
    
    alimenterConstitutionDateAttribution(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionReglementApplicable(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionSjr(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionSjc(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionCoefficientTempsPartiel(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionCaractereSaisonnier(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionCoefficientSaisonnier(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionDurees(dossierExamen, saisieAntecedent);
    
    Competence competence = new Competence();
    dossierExamen.setCompetence(competence);
    alimenterCompetence((Demande)dossierExamen.getDemande(), competence, saisieAntecedent);
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPARE")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPDC")))
    {
      Competence competenceSousJacente = new Competence();
      competenceSousJacente.setCompetenceAdministrative(1);
      competenceSousJacente.setCompetenceFinanciere(1);
      dossierExamen.setCompetenceSousJacente(competenceSousJacente);
    }
    alimenterConstitutionMontantBrut(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionDelais(dossierExamen, saisieAntecedent);
    
    alimenterConstitutionPointDeDepart(dossierExamen, saisieAntecedent);
  }
  
  protected void alimenterConstitutionDateAttribution(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionDateAttribution constitutionDateAttribution = new ConstitutionDateAttribution();
    p_dossierExamen.setConstitutionDateAttribution(constitutionDateAttribution);
    
    Damj dateAttribution = p_saisieAntecedent.getDateAttribution();
    
    constitutionDateAttribution.setDateAttribution(dateAttribution);
  }
  
  protected void alimenterConstitutionReglementApplicable(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ReglementApplicableSpec constitutionReglementApplicable = new ConstitutionReglementApplicable();
    p_dossierExamen.setConstitutionReglementApplicable((ConstitutionReglementApplicable)constitutionReglementApplicable);
    
    Reglement reglement = ((DossierAffecte)p_dossierExamen.getDossierAffecte()).getReglementPeriodeValidationProduit();
    
    constitutionReglementApplicable.setReglement(reglement);
  }
  
  protected void alimenterConstitutionSjr(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    ConstitutionSjr constitutionSjr = new ConstitutionSjr();
    p_dossierExamen.setConstitutionSjr(constitutionSjr);
    Sjrip sjrip = new Sjrip();
    constitutionSjr.setSjrip(sjrip);
    
    Integer codeEmploiA2b = p_saisieAntecedent.getCodeEmploiA2B();
    Damj termePRC = p_saisieAntecedent.getTermePRC();
    Damj debutPrc = p_saisieAntecedent.getDateDebutPRC();
    
    Quantite sjrPlafonne = p_saisieAntecedent.getSalaireJournalierReferencePlafonne();
    boolean topRemunerationBaseSMIC = p_saisieAntecedent.isSalaireReferenceSurBaseSMIC();
    if ((codeEmploiA2b != null) && (codeEmploiA2b.intValue() != 0))
    {
      termePRC = p_saisieAntecedent.getPeriodeFctRetenue().getDateFin();
      debutPrc = termePRC;
      Sjrip srip = DeterminationSjrip.determinerSjripPourA2B((Demande)p_dossierExamen.getDemande());
      sjrPlafonne = new QuantiteEuro(srip.getSjrip());
    }
    if (p_saisieAntecedent.getCodeEmploiA2B() != null) {
      constitutionSjr.setCodeEmploiA2b(codeEmploiA2b.intValue());
    }
    PrcSjr prcSjr = new PrcSjr(new Periode(debutPrc, termePRC));
    sjrip.setPrc(prcSjr);
    sjrip.setDateEvenement(termePRC);
    sjrip.setPlafondSjr(prcSjr.getPlafondSjr());
    sjrip.setSjrInitial(new QuantiteEuro(sjrPlafonne.getValeur()));
    constitutionSjr.getSjrip().getPrc().setTopContratsDeTypeParticulier(topRemunerationBaseSMIC);
    constitutionSjr.setSjrrp(new Sjr(sjrPlafonne.getValeur()));
    
    prcSjr.setDiviseur(null);
  }
  
  protected void alimenterConstitutionSjc(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    Quantite sjcPlafonne = p_saisieAntecedent.getSalaireJournalierConservePlafonne();
    Damj termePRC = p_saisieAntecedent.getTermePRC();
    
    controleActivitesConservees(p_dossierExamen, sjcPlafonne);
    if (sjcPlafonne != null)
    {
      determinerListeActiviteConservees(p_dossierExamen, p_saisieAntecedent);
      
      fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionSjc constitutionSjc = p_dossierExamen.getConstitutionSjc();
      if (constitutionSjc == null)
      {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_ANTECEDENT_SJC_SANS_AC");
      }
      else
      {
        constitutionSjc.getSjcip().setSjcInitial(new QuantiteEuro(sjcPlafonne.getValeur()));
        constitutionSjc.getSjcip().setDateEvenement(termePRC);
      }
    }
  }
  
  private void determinerListeActiviteConservees(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    Damj dateExamen = p_dossierExamen.getDemande().getDateExamen();
    
    Damj dateExamenRechercheActiviteConservees = p_saisieAntecedent.getDateAttribution();
    p_dossierExamen.getDemande().getEvenementReferenceExamen().setDateEvenement(dateExamenRechercheActiviteConservees);
    
    Contexte contexte = new Contexte();
    DomLiquidationAssurance domAssurance = new DomLiquidationAssurance();
    contexte.setDonnees(domAssurance);
    domAssurance.setDemande(p_dossierExamen.getDemande());
    
    fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionSjc parcoursConsitutionSjc = new fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionSjc();
    try
    {
      parcoursConsitutionSjc.effectuerParcours(contexte);
    }
    catch (ApplicativeException ex)
    {
      throw new CoucheLogiqueException(ex.getCode(), ex.getLibelle());
    }
    p_dossierExamen.getDemande().getEvenementReferenceExamen().setDateEvenement(dateExamen);
  }
  
  protected void alimenterConstitutionCoefficientTempsPartiel(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionCoefficientTempsPartiel constitutionCoefficientTempsPartiel = new ConstitutionCoefficientTempsPartiel();
    p_dossierExamen.setConstitutionCoefficientTempsPartiel(constitutionCoefficientTempsPartiel);
    
    BigDecimal coefficientTempsPartiel = p_saisieAntecedent.getCoefficientTempsPartiel();
    if (coefficientTempsPartiel == null) {
      coefficientTempsPartiel = new BigDecimal("1");
    }
    constitutionCoefficientTempsPartiel.setCoefficientTempsPartielRetenu(coefficientTempsPartiel);
  }
  
  protected void alimenterConstitutionCaractereSaisonnier(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionCaractereSaisonnier constitutionCaractereSaisonnier = new ConstitutionCaractereSaisonnier();
    p_dossierExamen.setConstitutionCaractereSaisonnier(constitutionCaractereSaisonnier);
    
    boolean activite3sur5 = p_saisieAntecedent.isA3ansActiviteEn5ans();
    Integer typeCaractereSaisonnier = p_saisieAntecedent.getTypeCaractereSaisonnier();
    
    boolean caractereSaisonnierRetenu = (typeCaractereSaisonnier != null) && ((2 == typeCaractereSaisonnier.intValue()) || (1 == typeCaractereSaisonnier.intValue()));
    
    constitutionCaractereSaisonnier.setActivite3Sur5(activite3sur5);
    constitutionCaractereSaisonnier.setCaractereSaisonnierRetenu(caractereSaisonnierRetenu);
    if (caractereSaisonnierRetenu) {
      constitutionCaractereSaisonnier.setTypeCaractereSaisonnierRetenu(typeCaractereSaisonnier.intValue());
    }
    constitutionCaractereSaisonnier.setPeriodeReferenceSaisonnier(null);
    constitutionCaractereSaisonnier.setPeriodeRechercheActiviteSaisonniere(null);
  }
  
  protected void alimenterConstitutionCoefficientSaisonnier(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionCoefficientSaisonnier constitutionCoefficientSaisonnier = new ConstitutionCoefficientSaisonnier();
    p_dossierExamen.setConstitutionCoefficientSaisonnier(constitutionCoefficientSaisonnier);
    
    BigDecimal coefficientSaisonnier = p_saisieAntecedent.getCoefficientSaisonnier();
    
    constitutionCoefficientSaisonnier.setCoefficientSaisonnierRetenu(coefficientSaisonnier);
    
    constitutionCoefficientSaisonnier.setJourActiviteDouzeDerniersMois(null);
  }
  
  protected void alimenterConstitutionDurees(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    ConstitutionDurees constitutionDurees = new ConstitutionDurees();
    p_dossierExamen.setConstitutionDurees(constitutionDurees);
    
    DureeIndemnisation dureeIndemnisation = new DureeIndemnisation();
    constitutionDurees.ajouterDuree(dureeIndemnisation);
    
    DureeRenouvellement dureeRenouvellement = new DureeRenouvellement();
    
    Quantite dureeInitialeDroit = p_saisieAntecedent.getDureeInitialeDroit();
    Quantite dureeRenouvellementSaisie = p_saisieAntecedent.getReliquatDureeRenouvellement();
    if (dureeInitialeDroit == null) {
      dureeInitialeDroit = new QuantiteJour("0");
    }
    if ((!p_saisieAntecedent.isEstSituationParticuliereAre2001()) && (dureeRenouvellementSaisie == null) && (p_saisieAntecedent.getCodeProduit().intValue() != 5) && (p_saisieAntecedent.getContexteDemande().intValue() != 3)) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_N_CALI_ANTECEDENT_COHR_RELIQUAT");
    }
    dureeIndemnisation.setDureeTheorique(dureeInitialeDroit);
    dureeIndemnisation.setDureeEffective(dureeInitialeDroit);
    
    dureeIndemnisation.setDureeImputation(null);
    if (dureeRenouvellementSaisie != null)
    {
      dureeRenouvellement.setDureeEffective(dureeRenouvellementSaisie);
      constitutionDurees.ajouterDuree(dureeRenouvellement);
    }
  }
  
  protected void alimenterConstitutionMontantBrut(DossierExamenAssuranceSpec p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    DeterminationMontantBrut.getInstance().determinerMontantsBruts((Demande)p_dossierExamen.getDemande());
  }
  
  protected void alimenterConstitutionDelais(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionDelais constitutionDelais = new ConstitutionDelais();
    p_dossierExamen.setConstitutionDelais(constitutionDelais);
    
    Integer reliquatICCP = p_saisieAntecedent.getReliquatJoursICCP();
    Integer reliquatISLR = p_saisieAntecedent.getReliquatJoursISLR();
    Integer reliquatDelaiAttente = p_saisieAntecedent.getReliquatJoursDelaiAttente();
    Damj dateFinPMC = p_saisieAntecedent.getDateFinPMC();
    Damj dateOrigine = p_saisieAntecedent.getDateDernierJourCalcule();
    ObjetChronoPeriodeConcrete periodeOrigine = new ObjetChronoPeriodeConcrete(dateOrigine, dateOrigine);
    Damj debutProchaineCarence = dateOrigine.lendemain();
    
    EnsembleCarences ensembleCarence = new EnsembleCarences();
    boolean ajouterEnsembleCarence = false;
    if (dateFinPMC != null)
    {
      PreavisMesureConservatoireNonIndemnisable pmc = new PreavisMesureConservatoireNonIndemnisable();
      
      Periode periodeApplicationPMC = new Periode(debutProchaineCarence, dateFinPMC);
      pmc.setPeriodeApplicationCarence(periodeApplicationPMC);
      
      pmc.setQuantiteInitialJour(periodeApplicationPMC.getDuree());
      
      pmc.setDateFinPeriodeOrigine(periodeOrigine.getDateFin());
      
      debutProchaineCarence = periodeApplicationPMC.getFin().lendemain();
      
      ajouterEnsembleCarence = true;
      
      ensembleCarence.setCarencePmc(pmc);
    }
    if ((reliquatICCP != null) && (reliquatICCP.intValue() > 0))
    {
      CarenceIccp iccp = new CarenceIccp();
      
      iccp.setQuantiteInitialJour(reliquatICCP.intValue());
      
      Damj finProchainePeriode = debutProchaineCarence.deplacerVersAvant(new DureeCalendaire(0, 0, iccp.getQuantiteInitialJour())).veille();
      
      Periode periodeApplicationICCP = new Periode(debutProchaineCarence, finProchainePeriode);
      iccp.setPeriodeApplicationCarence(periodeApplicationICCP);
      
      iccp.setDateFinPeriodeOrigine(periodeOrigine.getDateFin());
      
      debutProchaineCarence = periodeApplicationICCP.getFin().lendemain();
      
      ajouterEnsembleCarence = true;
      
      ensembleCarence.setCarenceIccp(iccp);
    }
    if ((reliquatISLR != null) && (reliquatISLR.intValue() > 0))
    {
      CarenceIslr islr = new CarenceIslr();
      
      islr.setQuantiteInitialJour(reliquatISLR.intValue());
      
      Damj finProchainePeriode = debutProchaineCarence.deplacerVersAvant(new DureeCalendaire(0, 0, islr.getQuantiteInitialJour())).veille();
      
      Periode periodeApplicationISLR = new Periode(debutProchaineCarence, finProchainePeriode);
      islr.setPeriodeApplicationCarence(periodeApplicationISLR);
      
      islr.setDateFinPeriodeOrigine(periodeOrigine.getDateFin());
      
      debutProchaineCarence = periodeApplicationISLR.getFin().lendemain();
      
      ajouterEnsembleCarence = true;
      
      ensembleCarence.setCarenceIslr(islr);
    }
    if (ajouterEnsembleCarence) {
      constitutionDelais.ajouterEnsembleCarences(ensembleCarence);
    }
    if ((reliquatDelaiAttente != null) && (reliquatDelaiAttente.intValue() > 0))
    {
      Differe differe = new Differe();
      
      differe.setQuantiteInitialJour(reliquatDelaiAttente.intValue());
      
      Damj finProchainePeriode = debutProchaineCarence.deplacerVersAvant(new DureeCalendaire(0, 0, differe.getQuantiteInitialJour())).veille();
      
      Periode periodeApplicationDelaiAttente = new Periode(debutProchaineCarence, finProchainePeriode);
      differe.setPeriodeEffet(periodeApplicationDelaiAttente);
      
      constitutionDelais.ajouterDelaisReports(differe);
    }
  }
  
  protected void alimenterConstitutionPointDeDepart(fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
  {
    ConstitutionPointDepartIndemnisation constitutionPointDepartIndemnisation = new ConstitutionPointDepartIndemnisation();
    p_dossierExamen.setConstitutionPointDepartIndemnisation(constitutionPointDepartIndemnisation);
    
    Damj pji = p_saisieAntecedent.getPremierJourIndemnisable();
    
    constitutionPointDepartIndemnisation.setPji(pji);
  }
  
  protected void alimenterDateLimiteIndemnisation(Demande p_demande, fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPARE")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPDC")))
    {
      ConstitutionDateLimiteIndemnisation dateLimiteIndemnisation = p_dossierExamen.getConstitutionElementsActifs().createConstitutionDateLimiteIndemnisation();
      ResultatDeterminationDateLimiteIndemnisation resultat = DeterminationDateLimiteIndemnisation.determinerDateLimiteIndemnisation(p_demande);
      dateLimiteIndemnisation.setDateLimiteIndem(resultat.getDateLimiteIndemnisation());
    }
  }
}

/* Location:
 * Qualified Name:     GrapheAntecedent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */