package fr.unedic.cali.asu.cge01.p02.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAEDV;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAssDemandeExpresse;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDRV;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDVDemandeExpresse;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDVFilEau;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeSuspensionIndemnisation;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.fabriques.FabriqueStrategiePeriodeAbsencePointageDelaiAttente;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeDetection100TMaintien;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeDetectionAgeMaintien;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeMaintien;
import fr.unedic.cali.asu.outilsfonctionnels.DetectionChomageLegitime;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategiePeriodeAbsencePointageDelaiAttenteSpec;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.periode.DebutActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.DsmMaladie;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeFormationNonIndemnisee;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeSanctionReductionMontant;
import fr.unedic.cali.calcul.dom.periode.ObjetPeriodeAEDV;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceActualisationMaintienEuropeen;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeBlocageIndemnisation;
import fr.unedic.cali.calcul.dom.periode.PeriodeChevauchementSanction;
import fr.unedic.cali.calcul.dom.periode.PeriodeClca;
import fr.unedic.cali.calcul.dom.periode.PeriodeClcaOuverte;
import fr.unedic.cali.calcul.dom.periode.PeriodeConflitGAEC;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementBloquant;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementPersonnel;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemnisee;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.periode.PeriodeInassiduiteFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeSanctionReductionMontant;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTEAvecImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTESansImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionTitreConservatoire;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire50Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire55Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire60Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoNonPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeAttributionSecteurPublic;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeDemandeClassementSP;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeFinPec;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLendemainDja;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.outilsfonctionnels.OutilGestionPoursuite;
import fr.unedic.cali.calcul.outilsfonctionnels.QualificationAbstraite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class Qualification
  extends QualificationAbstraite
{
  static final int SOIXANTE_ANS = 60;
  static final BigDecimal QUARANTE = new BigDecimal("40.00");
  
  protected boolean estTypeAPrendreEnCompte(ObjetChronoPeriode p_periode)
  {
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptivesDefinitives(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Damj dateAttrib = OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(p_attribution);
    if (((p_periode instanceof PeriodeClcaOuverte)) && (p_periode.getDateDebut().estApres(p_attribution.getDateAttribution())))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeAssDemandeExpresse))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeRejetDVDemandeExpresse))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeRejetDRV))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeRejetDVFilEau))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeDemandeClassementSP))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoPeriodeAttributionSecteurPublic)) && (!p_attribution.equals(((ObjetChronoPeriodeAttributionSecteurPublic)p_periode).getAttribution())))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoPeriodeInterProduits)) && (!p_attribution.equals(((ObjetChronoPeriodeInterProduits)p_periode).getAttribution())))
    {
      if ((((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 1) && (((ObjetChronoPeriodeInterProduits)p_periode).getGamme().equals("ASU")) && (!estUneDemandeSuiteFinDeDroit(p_periode))) {
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
      } else if (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("INR_RCE04_01")) {
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
      } else if ((((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("RET_ACO01_01")) && (((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 2)) {
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeRetraite))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if (((p_periode instanceof PeriodeExclusionDefinitiveDDTE)) && (((PeriodeExclusionDefinitiveDDTE)p_periode).getRSOD().equals(p_attribution.getRsod())))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof PeriodeConflitGAEC))
    {
      if (!p_attribution.estNeutralise())
      {
        if ((dateAttrib != null) && (dateAttrib.estApresOuCoincideAvec(p_periode.getDateDebut()))) {
          if (dateAttrib.coincideAvec(dateAttrib.getFinMois()))
          {
            p_periode.setDateDebut(dateAttrib.lendemain());
            p_periode.setDateFin(dateAttrib.lendemain());
          }
          else
          {
            p_periode.setDateDebut(dateAttrib.getFinMois());
            p_periode.setDateFin(dateAttrib.getFinMois());
          }
        }
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
      }
    }
    else if ((p_periode instanceof PeriodeChevauchementSanction))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof PeriodeBlocageIndemnisation))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof PeriodeFormationNonIndemniseeAbsenceHeure))
    {
      if (!p_attribution.estNeutralise())
      {
        if ((dateAttrib != null) && (dateAttrib.estApres(p_periode.getDateDebut()))) {
          p_periode.setDateDebut(dateAttrib);
        }
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeFinDureeMaintienDroit))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeFinPec))
    {
      p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(p_periode);
    }
    else if (((p_periode instanceof ObjetPeriodeAEDV)) && (p_periode.getDateDebut().estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Application du nouveau dispositif sur les DRV"))) && (!((AttributionAssuranceSpec)p_attribution).estMaintenue()) && (p_attribution.estExecutable()) && (p_periode.getDateFin().estApresOuCoincideAvec(p_attribution.getDateAttribution())) && (!((AttributionAssuranceSpec)p_attribution).getListeActiviteConservee().contientElement(((ObjetPeriodeAEDV)p_periode).getActiviteSalarie())))
    {
      ObjetPeriodeAEDV aedv = (ObjetPeriodeAEDV)p_periode;
      if (DetectionChomageLegitime.getInstance().estAeDvRejetOuNonDecisionne(p_attribution.getDemandeur(), aedv.getActiviteSalarie())) {
        p_qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(new ObjetChronoPeriodeAEDV(p_periode.getDateFin().lendemain()));
      }
    }
    else
    {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeSuspensives(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    if ((p_periode instanceof PeriodeClcaOuverte)) {
      return false;
    }
    if ((p_periode instanceof PeriodeClca))
    {
      if ((p_attribution != null) && (p_periode.getDateDebut().estApres(p_attribution.getDateAttribution()))) {
        p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
      }
    }
    else if (((p_periode instanceof PeriodeEvenementPersonnel)) || ((p_periode instanceof DsmMaladie)) || ((p_periode instanceof PeriodeInassiduiteFormation)) || ((p_periode instanceof DsmAbsenceAuPointage))) {
      p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
    } else if ((p_periode instanceof PeriodeFormationNonIndemnisee))
    {
      if ((((PeriodeFormationNonIndemnisee)p_periode).estRemuneree()) || (((PeriodeFormationNonIndemnisee)p_periode).getDureeTotale() == null) || (((PeriodeFormationNonIndemnisee)p_periode).getDureeTotale().getValeur().compareTo(QUARANTE) == 1)) {
        p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
      }
    }
    else if ((p_periode instanceof PeriodeSuspensionDDTEAvecImputation))
    {
      if (((((PeriodeSuspensionDDTEAvecImputation)p_periode).getCodeSanction().equals("SD")) || (((PeriodeSuspensionDDTEAvecImputation)p_periode).getCodeSanction().equals("SE"))) && (p_attribution.getRsod() != null) && (p_attribution.getRsod().equals(((PeriodeSuspensionDDTEAvecImputation)p_periode).getRSOD()))) {
        p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
      }
    }
    else if ((p_periode instanceof PeriodeSuspensionDDTESansImputation))
    {
      if (((((PeriodeSuspensionDDTESansImputation)p_periode).getCodeSanction().equals("SD")) || (((PeriodeSuspensionDDTESansImputation)p_periode).getCodeSanction().equals("SE"))) && (p_attribution.getRsod() != null) && (p_attribution.getRsod().equals(((PeriodeSuspensionDDTESansImputation)p_periode).getRSOD()))) {
        p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
      }
    }
    else if ((p_periode instanceof PeriodeSuspensionTitreConservatoire)) {
      p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
    } else if (((p_periode instanceof ObjetChronoPeriodeInterProduits)) && (!p_attribution.equals(((ObjetChronoPeriodeInterProduits)p_periode).getAttribution())))
    {
      if (((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 7) {
        p_qualificationPeriodes.ajouterPeriodesSuspensives(p_periode);
      }
    }
    else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeSegmentante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Damj pjeNcp = OutilGestionPoursuite.getInstance().recupererPremierJourExecutableNcp(p_attribution);
    if ((p_periode instanceof fr.unedic.cali.calcul.dom.periode.PeriodeFormation))
    {
      if (((fr.unedic.cali.calcul.dom.periode.PeriodeFormation)p_periode).getActionFormation().estBasculeAutoriserEnContexteFormation())
      {
        ObjetChronoPeriodeCalcul periodeFormation = (ObjetChronoPeriodeCalcul)p_periode.copie();
        if ((p_periode.getDateDebut().estAvant(pjeNcp)) && (p_periode.getDateFin().estApres(pjeNcp))) {
          periodeFormation.setDateDebut(pjeNcp);
        }
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(periodeFormation);
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeLendemainDja))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof FinActionFormation))
    {
      IndividuSpec individu = p_attribution.getDemandeur();
      ObjetChronoPeriode periodeActivite = null;
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      boolean estEncoreEnFormation = false;
      while ((chronologiePeriodes.encoreSuivant()) && (!estEncoreEnFormation))
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if (((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation)) && (!((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).estAnnulee()) && (((FinActionFormation)p_periode).getActionFormation().getIdentifiantActionFormation() != Integer.parseInt(((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getIdentifiant())) && (p_periode.getDateFin().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin()))) && (p_periode.getDateFin().lendemain().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin())))) {
          estEncoreEnFormation = true;
        }
      }
      if (!estEncoreEnFormation) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if ((p_periode instanceof DebutActionFormation))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoAnniversaire50Ans)) || ((p_periode instanceof ObjetChronoAnniversaire55Ans)) || ((p_periode instanceof ObjetChronoAnniversaire60Ans)))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeInterStageFormation))
    {
      IndividuSpec individu = p_attribution.getDemandeur();
      Collection listePeriodeAQualifier = new ArrayList();
      ObjetChronoPeriode periodeActivite = null;
      Periode periodeFormation = null;
      ChronologiePeriodes listePeriodesFormations = null;
      
      listePeriodeAQualifier.add(p_periode);
      
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      while (chronologiePeriodes.encoreSuivant())
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if ((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation))
        {
          listePeriodesFormations = ((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getListePeriodeFormation();
          listePeriodesFormations.iterer();
          while (listePeriodesFormations.encoreSuivant())
          {
            periodeFormation = ((fr.unedic.cali.autresdoms.ga.dom.PeriodeFormation)listePeriodesFormations.elementSuivant()).getPeriodeEffective();
            if (periodeFormation != null) {
              if (new Periode(periodeFormation.getDebut(), periodeFormation.getFin()).contient(p_periode.getPeriode()))
              {
                listePeriodeAQualifier.remove(p_periode);
              }
              else if (p_periode.getPeriode().contient(new Periode(periodeFormation.getDebut(), periodeFormation.getFin())))
              {
                listePeriodeAQualifier.remove(p_periode);
                PeriodeInterStageFormation periodePremierDecoupage = new PeriodeInterStageFormation();
                if (p_periode.getDateDebut().estAvant(periodeFormation.getDebut().veille()))
                {
                  periodePremierDecoupage.setDateDebut(p_periode.getDateDebut());
                  periodePremierDecoupage.setDateFin(periodeFormation.getDebut().veille());
                  listePeriodeAQualifier.add(periodePremierDecoupage);
                }
                PeriodeInterStageFormation periodeDeuxiemeDecoupage = new PeriodeInterStageFormation();
                if (p_periode.getDateFin().estApres(periodeFormation.getFin().lendemain()))
                {
                  periodeDeuxiemeDecoupage.setDateDebut(periodeFormation.getFin().lendemain());
                  periodeDeuxiemeDecoupage.setDateFin(p_periode.getDateFin());
                  listePeriodeAQualifier.add(periodeDeuxiemeDecoupage);
                }
              }
              else if (p_periode.getPeriode().contient(periodeFormation.getDebut()))
              {
                p_periode.setDateFin(periodeFormation.getDebut().veille());
              }
              else if (p_periode.getPeriode().contient(periodeFormation.getFin()))
              {
                p_periode.setDateDebut(periodeFormation.getFin().lendemain());
              }
            }
          }
        }
      }
      Iterator iterateur = listePeriodeAQualifier.iterator();
      while (iterateur.hasNext())
      {
        ObjetChronoPeriodeCalcul periodeAAjouter = (ObjetChronoPeriodeCalcul)iterateur.next();
        if (periodeAAjouter.getDuree() > 15) {
          p_qualificationPeriodes.ajouterPeriodesSegmentantes(periodeAAjouter);
        }
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeDetectionAgeMaintien))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeDetection100TMaintien))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeMaintien))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoPeriodeInterProduits)) && (!p_attribution.equals(((ObjetChronoPeriodeInterProduits)p_periode).getAttribution())))
    {
      if ((((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 2) && ((((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_03")))) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      } else if ((((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 5) && ((((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_03")))) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if (((p_periode instanceof PeriodeSanctionReductionMontant)) || ((p_periode instanceof FinPeriodeSanctionReductionMontant)))
    {
      if (((p_periode instanceof PeriodeSanctionReductionMontant)) && (p_periode.getDateDebut().estAvant(pjeNcp)) && (p_periode.getDateFin().estApresOuCoincideAvec(pjeNcp))) {
        p_periode.setDateDebut(pjeNcp);
      }
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodePensionInvalidite))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeAvantageVieillesse))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof FinPeriodeAvantageVieillesse))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof FinPeriodePensionInvalidite))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeEvenementBloquant))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoPeriodeHomogene)) || ((p_periode instanceof ObjetChronoNonPeriodeHomogene)))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof FinPeriodeFormationNonIndemnisee))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeSuspensionDDTEAvecImputation))
    {
      if (((((PeriodeSuspensionDDTEAvecImputation)p_periode).getCodeSanction().equals("SD")) || (((PeriodeSuspensionDDTEAvecImputation)p_periode).getCodeSanction().equals("SE"))) && (p_attribution.getRsod() != null) && (p_attribution.getRsod().equals(((PeriodeSuspensionDDTEAvecImputation)p_periode).getRSOD()))) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeDebutPec))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else
    {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeDecalante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if (((p_periode instanceof PeriodeTravailJustifiee)) || ((p_periode instanceof DsmTravail)) || ((p_periode instanceof PeriodePrime))) {
      p_qualificationPeriodes.ajouterPeriodesDecalantes(p_periode);
    } else if ((p_periode instanceof PeriodeAbsenceActualisationMaintienEuropeen)) {
      p_qualificationPeriodes.ajouterPeriodesDecalantes(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeGelante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if (((p_periode instanceof PeriodeTravailJustifiee)) || ((p_periode instanceof DsmTravail)) || ((p_periode instanceof PeriodePrime))) {
      p_qualificationPeriodes.ajouterPeriodesGelantes(p_periode);
    } else if ((p_periode instanceof PeriodeAbsenceAuPointage)) {
      p_qualificationPeriodes.ajouterPeriodesGelantes(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptives(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if ((p_periode instanceof ObjetChronoPeriodeSuspensionIndemnisation)) {
      p_qualificationPeriodes.ajouterPeriodesInterruptives(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  public ChronologiePeriodes qualificationPeriodesSuspensivesPourAvant(ChronologiePeriodes p_chronologiePeriodes, Damj p_dateAttribution)
    throws CoucheLogiqueException
  {
    QualificationPeriodes qualificationPeriodes = new QualificationPeriodes();
    ObjetChronoPeriodeCalcul periode = null;
    
    Iterator iterator = p_chronologiePeriodes.iterer();
    while (iterator.hasNext())
    {
      periode = (ObjetChronoPeriodeCalcul)iterator.next();
      if ((((periode instanceof PeriodeClca)) || ((periode instanceof PeriodeSuspensionDDTEAvecImputation))) && (periode.getDateDebut().estApres(p_dateAttribution)))
      {
        qualifierUnePeriodeSuspensives(periode, qualificationPeriodes, null);
      }
      else if ((periode instanceof PeriodeAbsenceAuPointage))
      {
        CritereStrategie critereStrategie = new CritereStrategie();
        critereStrategie.setDatePivot(periode.getDateDebut());
        StrategiePeriodeAbsencePointageDelaiAttenteSpec strategie = (StrategiePeriodeAbsencePointageDelaiAttenteSpec)FabriqueStrategiePeriodeAbsencePointageDelaiAttente.getInstance().getStrategie(critereStrategie);
        if (strategie.estPeriodeAbsencePointageDelaiAttenteAPrendreEnCompte()) {
          qualificationPeriodes.ajouterPeriodesSuspensives(periode);
        }
      }
    }
    return qualificationPeriodes.getPeriodesSuspensives();
  }
  
  protected boolean qualifierUnePeriodeAlertante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    return false;
  }
  
  private boolean estUneDemandeSuiteFinDeDroit(ObjetChronoPeriodeCalcul periode)
  {
    return (!((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("ASU_EUR05_01")) && (!((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("ASU_DDM16_01")) && (!((ObjetChronoPeriodeInterProduits)periode).estProduitMayotte()) && (((AttributionAssuranceSpec)((ObjetChronoPeriodeInterProduits)periode).getAttribution()).estDemandeSuiteFinDeDroit());
  }
}

/* Location:
 * Qualified Name:     Qualification
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */