package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionCaractereSaisonnierGen;
import fr.unedic.cali.asu.dom.PeriodeChomageSaisonnier;
import fr.unedic.cali.asu.dom.spec.ConstitutionCaractereSaisonnierSpec;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionCaractereSaisonnier
  extends ConstitutionCaractereSaisonnierGen
  implements ConstitutionDroitSpec, ConstitutionCaractereSaisonnierSpec
{
  private static final long serialVersionUID = -1599676508704466229L;
  public static final int CARACTERE_SAISONNIER_NATURE = 2;
  public static final int CARACTERE_SAISONNIER_RYTHME = 1;
  public static final int CARACTERE_SAISONNIER_NON_DETERMINE = -1;
  
  public ConstitutionCaractereSaisonnier() {}
  
  public ConstitutionCaractereSaisonnier(DomPCSpec pPc)
  {
    super(pPc);
  }
  
  public boolean getCaractereSaisonnierRetenu()
  {
    return super.isCaractereSaisonnierRetenu();
  }
  
  public boolean getActivite3Sur5()
  {
    return super.isActivite3Sur5();
  }
  
  public ObjetMetierSpec copie()
  {
    ConstitutionCaractereSaisonnier copie = new ConstitutionCaractereSaisonnier();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConstitutionCaractereSaisonnier copie = (ConstitutionCaractereSaisonnier)pCopie;
    if (getPeriodeRechercheActiviteSaisonniere() != null) {
      copie.setPeriodeRechercheActiviteSaisonniere(new Periode(getPeriodeRechercheActiviteSaisonniere().getDebut(), getPeriodeRechercheActiviteSaisonniere().getFin()));
    }
    if (getPeriodeReferenceSaisonnier() != null) {
      copie.setPeriodeReferenceSaisonnier(new Periode(getPeriodeReferenceSaisonnier().getDebut(), getPeriodeReferenceSaisonnier().getFin()));
    }
    copie.setActivite3Sur5(getActivite3Sur5());
    copie.setCaractereSaisonnierRetenu(getCaractereSaisonnierRetenu());
    copie.setTypeCaractereSaisonnierRetenu(getTypeCaractereSaisonnierRetenu());
    
    Iterator iter = getListePeriodesChomageSaisonnier().iterator();
    while (iter.hasNext())
    {
      PeriodeChomageSaisonnier element = (PeriodeChomageSaisonnier)iter.next();
      copie.ajouterPeriodeChomageSaisonnier((PeriodeChomageSaisonnier)element.copie());
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public void jdoPreDelete()
  {
    DomManager.supprimer(getListePeriodesChomageSaisonnier());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getCollectionPeriodeChomageSaisonnier());
  }
  
  public Collection getListePeriodesChomageSaisonnier()
  {
    return getCollectionPeriodeChomageSaisonnier();
  }
  
  public void ajouterPeriodeChomageSaisonnier(PeriodeChomageSaisonnier pPeriodeChomageSaisonnier)
  {
    if (pPeriodeChomageSaisonnier != null) {
      super.ajouterPeriodeChomageSaisonnier(pPeriodeChomageSaisonnier);
    }
  }
  
  public void supprimerPeriodeChomageSaisonnier(PeriodeChomageSaisonnier pPeriodeChomageSaisonnier)
  {
    if (pPeriodeChomageSaisonnier != null)
    {
      super.supprimerPeriodeChomageSaisonnier(pPeriodeChomageSaisonnier);
      DomManager.supprimer(pPeriodeChomageSaisonnier);
    }
  }
  
  public void remplacerCollectionPeriodeChomageSaisonnier(Collection pCollectionACopier)
  {
    for (Iterator i = super.getCollectionPeriodeChomageSaisonnier().iterator(); i.hasNext();)
    {
      PeriodeChomageSaisonnier objet = (PeriodeChomageSaisonnier)i.next();
      DomManager.supprimer(objet);
    }
    super.remplacerCollectionPeriodeChomageSaisonnier(pCollectionACopier);
  }
}

/* Location:
 * Qualified Name:     ConstitutionCaractereSaisonnier
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */