package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConditionFaitGenerateurPC;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;

public abstract class ConditionFaitGenerateurGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private String m_identifiantPeriodeFaitGenerateur = null;
  private ResultatElementDroit m_resultatElementDroit;
  private String m_motifFinPeriode;
  private DureeCalendaire m_ageIndividuDateFG;
  private Damj m_dateFG;
  private Damj m_dateEngagementProcedure;
  private String m_refusAdhesionFne;
  
  public ConditionFaitGenerateurGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConditionFaitGenerateurGen() {}
  
  protected DomPCSpec createPC()
  {
    return new ConditionFaitGenerateurPC();
  }
  
  protected String rawGetIdentifiantPeriodeFaitGenerateur()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getIdentifiantPeriodeFaitGenerateur();
  }
  
  public String getIdentifiantPeriodeFaitGenerateur()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getIdentifiantPeriodeFaitGenerateur();
  }
  
  public void setIdentifiantPeriodeFaitGenerateur(String p_identifiantPeriodeFaitGenerateur)
  {
    if ((m_identifiantPeriodeFaitGenerateur == null) || (p_identifiantPeriodeFaitGenerateur == null))
    {
      m_identifiantPeriodeFaitGenerateur = p_identifiantPeriodeFaitGenerateur;
      ((ConditionFaitGenerateurPC)getPC()).setIdentifiantPeriodeFaitGenerateur(p_identifiantPeriodeFaitGenerateur);
    }
    else if ((m_identifiantPeriodeFaitGenerateur != null) && (p_identifiantPeriodeFaitGenerateur != null) && (!p_identifiantPeriodeFaitGenerateur.equals(m_identifiantPeriodeFaitGenerateur)))
    {
      m_identifiantPeriodeFaitGenerateur = p_identifiantPeriodeFaitGenerateur;
      ((ConditionFaitGenerateurPC)getPC()).setIdentifiantPeriodeFaitGenerateur(p_identifiantPeriodeFaitGenerateur);
    }
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (m_resultatElementDroit == null)
    {
      DomPCSpec resultatElementDroitPC = ((ConditionFaitGenerateurPC)getPC()).getResultatElementDroit();
      if (resultatElementDroitPC != null) {
        m_resultatElementDroit = ((ResultatElementDroit)resultatElementDroitPC.createOM());
      }
    }
    return m_resultatElementDroit;
  }
  
  public void setResultatElementDroit(ResultatElementDroit p_resultatElementDroit)
  {
    if (p_resultatElementDroit == null)
    {
      ((ConditionFaitGenerateurPC)getPC()).setResultatElementDroit(null);
      m_resultatElementDroit = p_resultatElementDroit;
    }
    else if (!p_resultatElementDroit.equals(m_resultatElementDroit))
    {
      ((ConditionFaitGenerateurPC)getPC()).setResultatElementDroit(p_resultatElementDroit.getPC());
      m_resultatElementDroit = p_resultatElementDroit;
    }
  }
  
  protected String rawGetMotifFinPeriode()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getMotifFinPeriode();
  }
  
  public String getMotifFinPeriode()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getMotifFinPeriode();
  }
  
  public void setMotifFinPeriode(String p_motifFinPeriode)
  {
    if ((m_motifFinPeriode == null) || (p_motifFinPeriode == null))
    {
      m_motifFinPeriode = p_motifFinPeriode;
      ((ConditionFaitGenerateurPC)getPC()).setMotifFinPeriode(p_motifFinPeriode);
    }
    else if ((m_motifFinPeriode != null) && (p_motifFinPeriode != null) && (!p_motifFinPeriode.equals(m_motifFinPeriode)))
    {
      m_motifFinPeriode = p_motifFinPeriode;
      ((ConditionFaitGenerateurPC)getPC()).setMotifFinPeriode(p_motifFinPeriode);
    }
  }
  
  protected DureeCalendaire rawGetAgeIndividuDateFG()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getAgeIndividuDateFG();
  }
  
  public DureeCalendaire getAgeIndividuDateFG()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getAgeIndividuDateFG();
  }
  
  public void setAgeIndividuDateFG(DureeCalendaire p_ageIndividuDateFG)
  {
    if ((m_ageIndividuDateFG == null) || (p_ageIndividuDateFG == null))
    {
      m_ageIndividuDateFG = p_ageIndividuDateFG;
      ((ConditionFaitGenerateurPC)getPC()).setAgeIndividuDateFG(p_ageIndividuDateFG);
    }
    else if ((m_ageIndividuDateFG != null) && (p_ageIndividuDateFG != null) && (!p_ageIndividuDateFG.equals(m_ageIndividuDateFG)))
    {
      m_ageIndividuDateFG = p_ageIndividuDateFG;
      ((ConditionFaitGenerateurPC)getPC()).setAgeIndividuDateFG(p_ageIndividuDateFG);
    }
  }
  
  protected Damj rawGetDateFG()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getDateFG();
  }
  
  public Damj getDateFG()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getDateFG();
  }
  
  public void setDateFG(Damj p_dateFG)
  {
    if ((m_dateFG == null) || (p_dateFG == null))
    {
      m_dateFG = p_dateFG;
      ((ConditionFaitGenerateurPC)getPC()).setDateFG(p_dateFG);
    }
    else if ((m_dateFG != null) && (p_dateFG != null) && (!p_dateFG.equals(m_dateFG)))
    {
      m_dateFG = p_dateFG;
      ((ConditionFaitGenerateurPC)getPC()).setDateFG(p_dateFG);
    }
  }
  
  protected Damj rawGetDateEngagementProcedure()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getDateEngagementProcedure();
  }
  
  public Damj getDateEngagementProcedure()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getDateEngagementProcedure();
  }
  
  public void setDateEngagementProcedure(Damj p_dateEngagementProcedure)
  {
    if ((m_dateEngagementProcedure == null) || (p_dateEngagementProcedure == null))
    {
      m_dateEngagementProcedure = p_dateEngagementProcedure;
      ((ConditionFaitGenerateurPC)getPC()).setDateEngagementProcedure(p_dateEngagementProcedure);
    }
    else if ((m_dateEngagementProcedure != null) && (p_dateEngagementProcedure != null) && (!p_dateEngagementProcedure.equals(m_dateEngagementProcedure)))
    {
      m_dateEngagementProcedure = p_dateEngagementProcedure;
      ((ConditionFaitGenerateurPC)getPC()).setDateEngagementProcedure(p_dateEngagementProcedure);
    }
  }
  
  protected String rawGetRefusAdhesionFne()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getRefusFne();
  }
  
  public String getRefusAdhesionFne()
  {
    return ((ConditionFaitGenerateurPC)getPC()).getRefusFne();
  }
  
  public void setRefusAdhesionFne(String p_refusAdhesionFne)
  {
    if ((m_refusAdhesionFne == null) || (p_refusAdhesionFne == null))
    {
      m_refusAdhesionFne = p_refusAdhesionFne;
      ((ConditionFaitGenerateurPC)getPC()).setRefusFne(p_refusAdhesionFne);
    }
    else if ((m_refusAdhesionFne != null) && (p_refusAdhesionFne != null) && (!p_refusAdhesionFne.equals(m_refusAdhesionFne)))
    {
      m_refusAdhesionFne = p_refusAdhesionFne;
      ((ConditionFaitGenerateurPC)getPC()).setRefusFne(p_refusAdhesionFne);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object resultatElementDroit = getResultatElementDroit();
    if ((resultatElementDroit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(resultatElementDroit))) {
      DomManager.supprimer(getResultatElementDroit(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     ConditionFaitGenerateurGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */