package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConditionQuantiteAffiliationPC;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteAffiliation;

public abstract class ConditionQuantiteAffiliationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionQuantiteAffiliationPC;
  private ResultatElementDroit m_resultatElementDroit;
  private Quantite m_quantiteAppartenance = new Quantite("0", UniteAffiliation.JOUR);
  private Quantite m_quantiteAppartenanceSecondaire;
  
  public ConditionQuantiteAffiliationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionQuantiteAffiliationGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionQuantiteAffiliationPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionQuantiteAffiliationPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionQuantiteAffiliationPC)
  {
    m_conditionQuantiteAffiliationPC = p_conditionQuantiteAffiliationPC;
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (m_resultatElementDroit == null)
    {
      DomPCSpec resultatElementDroitPC = ((ConditionQuantiteAffiliationPC)getPC()).getResultatElementDroit();
      if (resultatElementDroitPC != null) {
        m_resultatElementDroit = ((ResultatElementDroit)resultatElementDroitPC.createOM());
      }
    }
    return m_resultatElementDroit;
  }
  
  public void setResultatElementDroit(ResultatElementDroit p_resultatElementDroit)
  {
    if (p_resultatElementDroit == null)
    {
      ((ConditionQuantiteAffiliationPC)getPC()).setResultatElementDroit(null);
      m_resultatElementDroit = p_resultatElementDroit;
    }
    else if (!p_resultatElementDroit.equals(m_resultatElementDroit))
    {
      ((ConditionQuantiteAffiliationPC)getPC()).setResultatElementDroit(p_resultatElementDroit.getPC());
      m_resultatElementDroit = p_resultatElementDroit;
    }
  }
  
  protected Quantite rawGetQuantiteAppartenance()
  {
    return ((ConditionQuantiteAffiliationPC)getPC()).getQuantiteAppartenance();
  }
  
  public Quantite getQuantiteAppartenance()
  {
    return ((ConditionQuantiteAffiliationPC)getPC()).getQuantiteAppartenance();
  }
  
  public void setQuantiteAppartenance(Quantite p_quantiteAppartenance)
  {
    if ((m_quantiteAppartenance == null) || (p_quantiteAppartenance == null))
    {
      m_quantiteAppartenance = p_quantiteAppartenance;
      ((ConditionQuantiteAffiliationPC)getPC()).setQuantiteAppartenance(p_quantiteAppartenance);
    }
    else if ((m_quantiteAppartenance != null) && (p_quantiteAppartenance != null) && (!p_quantiteAppartenance.equals(m_quantiteAppartenance)))
    {
      m_quantiteAppartenance = p_quantiteAppartenance;
      ((ConditionQuantiteAffiliationPC)getPC()).setQuantiteAppartenance(p_quantiteAppartenance);
    }
  }
  
  protected Quantite rawGetQuantiteAppartenanceSecondaire()
  {
    return ((ConditionQuantiteAffiliationPC)getPC()).getQuantiteAppartenanceSecondaire();
  }
  
  public Quantite getQuantiteAppartenanceSecondaire()
  {
    return ((ConditionQuantiteAffiliationPC)getPC()).getQuantiteAppartenanceSecondaire();
  }
  
  public void setQuantiteAppartenanceSecondaire(Quantite p_quantiteAppartenanceSecondaire)
  {
    if ((m_quantiteAppartenanceSecondaire == null) || (p_quantiteAppartenanceSecondaire == null))
    {
      m_quantiteAppartenanceSecondaire = p_quantiteAppartenanceSecondaire;
      ((ConditionQuantiteAffiliationPC)getPC()).setQuantiteAppartenanceSecondaire(p_quantiteAppartenanceSecondaire);
    }
    else if ((m_quantiteAppartenanceSecondaire != null) && (p_quantiteAppartenanceSecondaire != null) && (!p_quantiteAppartenanceSecondaire.equals(m_quantiteAppartenanceSecondaire)))
    {
      m_quantiteAppartenanceSecondaire = p_quantiteAppartenanceSecondaire;
      ((ConditionQuantiteAffiliationPC)getPC()).setQuantiteAppartenanceSecondaire(p_quantiteAppartenanceSecondaire);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object resultatElementDroit = getResultatElementDroit();
    if ((resultatElementDroit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(resultatElementDroit))) {
      DomManager.supprimer(getResultatElementDroit(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionQuantiteAffiliationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */