package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionActiviteConservee;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionAge;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionChomageTotal;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionMontantNonNul;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConditionRechercheEmploi;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConditionsAttributionAdmissionPC;
import fr.unedic.cali.dom.ConditionsAttributionAbstrait;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConditionsAttributionAdmissionGen
  extends ConditionsAttributionAbstrait
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAdmissionPC;
  private ConditionRechercheEmploi m_conditionRechercheEmploi;
  private ConditionFaitGenerateur m_conditionFaitGenerateur;
  private ConditionChomageTotal m_conditionChomageTotal;
  private ConditionAge m_conditionAge;
  private ConditionQuantiteAffiliation m_conditionQuantiteAffiliation;
  private ConditionChomageInvolontaire m_conditionChomageInvolontaire;
  private ConditionActiviteConservee m_conditionActiviteConservee;
  private ConditionCumulPrestationFamiliale m_conditionCumulPrestationFamiliale;
  private ConditionMontantNonNul m_conditionMontantNonNul;
  
  public ConditionsAttributionAdmissionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionsAttributionAdmissionGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionsAttributionAdmissionPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAdmissionPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAdmissionPC)
  {
    m_conditionsAttributionAdmissionPC = p_conditionsAttributionAdmissionPC;
  }
  
  public ConditionRechercheEmploi getConditionRechercheEmploi()
  {
    if (m_conditionRechercheEmploi == null)
    {
      DomPCSpec conditionRechercheEmploiPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionRechercheEmploi();
      if (conditionRechercheEmploiPC != null) {
        m_conditionRechercheEmploi = ((ConditionRechercheEmploi)conditionRechercheEmploiPC.createOM());
      }
    }
    return m_conditionRechercheEmploi;
  }
  
  public void setConditionRechercheEmploi(ConditionRechercheEmploi p_conditionRechercheEmploi)
  {
    if (p_conditionRechercheEmploi == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionRechercheEmploi(null);
      m_conditionRechercheEmploi = p_conditionRechercheEmploi;
    }
    else if (!p_conditionRechercheEmploi.equals(m_conditionRechercheEmploi))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionRechercheEmploi(p_conditionRechercheEmploi.getPC());
      m_conditionRechercheEmploi = p_conditionRechercheEmploi;
    }
  }
  
  public ConditionFaitGenerateur getConditionFaitGenerateur()
  {
    if (m_conditionFaitGenerateur == null)
    {
      DomPCSpec conditionFaitGenerateurPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionFaitGenerateur();
      if (conditionFaitGenerateurPC != null) {
        m_conditionFaitGenerateur = ((ConditionFaitGenerateur)conditionFaitGenerateurPC.createOM());
      }
    }
    return m_conditionFaitGenerateur;
  }
  
  public void setConditionFaitGenerateur(ConditionFaitGenerateur p_conditionFaitGenerateur)
  {
    if (p_conditionFaitGenerateur == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionFaitGenerateur(null);
      m_conditionFaitGenerateur = p_conditionFaitGenerateur;
    }
    else if (!p_conditionFaitGenerateur.equals(m_conditionFaitGenerateur))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionFaitGenerateur(p_conditionFaitGenerateur.getPC());
      m_conditionFaitGenerateur = p_conditionFaitGenerateur;
    }
  }
  
  public ConditionChomageTotal getConditionChomageTotal()
  {
    if (m_conditionChomageTotal == null)
    {
      DomPCSpec conditionChomageTotalPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionChomageTotal();
      if (conditionChomageTotalPC != null) {
        m_conditionChomageTotal = ((ConditionChomageTotal)conditionChomageTotalPC.createOM());
      }
    }
    return m_conditionChomageTotal;
  }
  
  public void setConditionChomageTotal(ConditionChomageTotal p_conditionChomageTotal)
  {
    if (p_conditionChomageTotal == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionChomageTotal(null);
      m_conditionChomageTotal = p_conditionChomageTotal;
    }
    else if (!p_conditionChomageTotal.equals(m_conditionChomageTotal))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionChomageTotal(p_conditionChomageTotal.getPC());
      m_conditionChomageTotal = p_conditionChomageTotal;
    }
  }
  
  public ConditionAge getConditionAge()
  {
    if (m_conditionAge == null)
    {
      DomPCSpec conditionAgePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionAge();
      if (conditionAgePC != null) {
        m_conditionAge = ((ConditionAge)conditionAgePC.createOM());
      }
    }
    return m_conditionAge;
  }
  
  public void setConditionAge(ConditionAge p_conditionAge)
  {
    if (p_conditionAge == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAge(null);
      m_conditionAge = p_conditionAge;
    }
    else if (!p_conditionAge.equals(m_conditionAge))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAge(p_conditionAge.getPC());
      m_conditionAge = p_conditionAge;
    }
  }
  
  public ConditionQuantiteAffiliation getConditionQuantiteAffiliation()
  {
    if (m_conditionQuantiteAffiliation == null)
    {
      DomPCSpec conditionQuantiteAffiliationPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionQuantiteAffiliation();
      if (conditionQuantiteAffiliationPC != null) {
        m_conditionQuantiteAffiliation = ((ConditionQuantiteAffiliation)conditionQuantiteAffiliationPC.createOM());
      }
    }
    return m_conditionQuantiteAffiliation;
  }
  
  public void setConditionQuantiteAffiliation(ConditionQuantiteAffiliation p_conditionQuantiteAffiliation)
  {
    if (p_conditionQuantiteAffiliation == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionQuantiteAffiliation(null);
      m_conditionQuantiteAffiliation = p_conditionQuantiteAffiliation;
    }
    else if (!p_conditionQuantiteAffiliation.equals(m_conditionQuantiteAffiliation))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionQuantiteAffiliation(p_conditionQuantiteAffiliation.getPC());
      m_conditionQuantiteAffiliation = p_conditionQuantiteAffiliation;
    }
  }
  
  public ConditionChomageInvolontaire getConditionChomageInvolontaire()
  {
    if (m_conditionChomageInvolontaire == null)
    {
      DomPCSpec conditionChomageInvolontairePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionChomageInvolontaire();
      if (conditionChomageInvolontairePC != null) {
        m_conditionChomageInvolontaire = ((ConditionChomageInvolontaire)conditionChomageInvolontairePC.createOM());
      }
    }
    return m_conditionChomageInvolontaire;
  }
  
  public void setConditionChomageInvolontaire(ConditionChomageInvolontaire p_conditionChomageInvolontaire)
  {
    if (p_conditionChomageInvolontaire == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionChomageInvolontaire(null);
      m_conditionChomageInvolontaire = p_conditionChomageInvolontaire;
    }
    else if (!p_conditionChomageInvolontaire.equals(m_conditionChomageInvolontaire))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionChomageInvolontaire(p_conditionChomageInvolontaire.getPC());
      m_conditionChomageInvolontaire = p_conditionChomageInvolontaire;
    }
  }
  
  public ConditionActiviteConservee getConditionActiviteConservee()
  {
    if (m_conditionActiviteConservee == null)
    {
      DomPCSpec conditionActiviteConserveePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionActiviteConservee();
      if (conditionActiviteConserveePC != null) {
        m_conditionActiviteConservee = ((ConditionActiviteConservee)conditionActiviteConserveePC.createOM());
      }
    }
    return m_conditionActiviteConservee;
  }
  
  public void setConditionActiviteConservee(ConditionActiviteConservee p_conditionActiviteConservee)
  {
    if (p_conditionActiviteConservee == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionActiviteConservee(null);
      m_conditionActiviteConservee = p_conditionActiviteConservee;
    }
    else if (!p_conditionActiviteConservee.equals(m_conditionActiviteConservee))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionActiviteConservee(p_conditionActiviteConservee.getPC());
      m_conditionActiviteConservee = p_conditionActiviteConservee;
    }
  }
  
  public ConditionCumulPrestationFamiliale getConditionCumulPrestationFamiliale()
  {
    if (m_conditionCumulPrestationFamiliale == null)
    {
      DomPCSpec conditionCumulPrestationFamilialePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionCumulPrestationFamiliale();
      if (conditionCumulPrestationFamilialePC != null) {
        m_conditionCumulPrestationFamiliale = ((ConditionCumulPrestationFamiliale)conditionCumulPrestationFamilialePC.createOM());
      }
    }
    return m_conditionCumulPrestationFamiliale;
  }
  
  public void setConditionCumulPrestationFamiliale(ConditionCumulPrestationFamiliale p_conditionCumulPrestationFamiliale)
  {
    if (p_conditionCumulPrestationFamiliale == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionCumulPrestationFamiliale(null);
      m_conditionCumulPrestationFamiliale = p_conditionCumulPrestationFamiliale;
    }
    else if (!p_conditionCumulPrestationFamiliale.equals(m_conditionCumulPrestationFamiliale))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionCumulPrestationFamiliale(p_conditionCumulPrestationFamiliale.getPC());
      m_conditionCumulPrestationFamiliale = p_conditionCumulPrestationFamiliale;
    }
  }
  
  public ConditionMontantNonNul getConditionMontantNonNul()
  {
    if (m_conditionMontantNonNul == null)
    {
      DomPCSpec conditionMontantNonNulPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionMontantNonNul();
      if (conditionMontantNonNulPC != null) {
        m_conditionMontantNonNul = ((ConditionMontantNonNul)conditionMontantNonNulPC.createOM());
      }
    }
    return m_conditionMontantNonNul;
  }
  
  public void setConditionMontantNonNul(ConditionMontantNonNul p_conditionMontantNonNul)
  {
    if (p_conditionMontantNonNul == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionMontantNonNul(null);
      m_conditionMontantNonNul = p_conditionMontantNonNul;
    }
    else if (!p_conditionMontantNonNul.equals(m_conditionMontantNonNul))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionMontantNonNul(p_conditionMontantNonNul.getPC());
      m_conditionMontantNonNul = p_conditionMontantNonNul;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object conditionRechercheEmploi = getConditionRechercheEmploi();
    if ((conditionRechercheEmploi != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionRechercheEmploi))) {
      DomManager.supprimer(getConditionRechercheEmploi(), p_contexteSuppression);
    }
    Object conditionFaitGenerateur = getConditionFaitGenerateur();
    if ((conditionFaitGenerateur != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionFaitGenerateur))) {
      DomManager.supprimer(getConditionFaitGenerateur(), p_contexteSuppression);
    }
    Object conditionChomageTotal = getConditionChomageTotal();
    if ((conditionChomageTotal != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionChomageTotal))) {
      DomManager.supprimer(getConditionChomageTotal(), p_contexteSuppression);
    }
    Object conditionAge = getConditionAge();
    if ((conditionAge != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionAge))) {
      DomManager.supprimer(getConditionAge(), p_contexteSuppression);
    }
    Object conditionQuantiteAffiliation = getConditionQuantiteAffiliation();
    if ((conditionQuantiteAffiliation != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionQuantiteAffiliation))) {
      DomManager.supprimer(getConditionQuantiteAffiliation(), p_contexteSuppression);
    }
    Object conditionChomageInvolontaire = getConditionChomageInvolontaire();
    if ((conditionChomageInvolontaire != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionChomageInvolontaire))) {
      DomManager.supprimer(getConditionChomageInvolontaire(), p_contexteSuppression);
    }
    Object conditionActiviteConservee = getConditionActiviteConservee();
    if ((conditionActiviteConservee != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionActiviteConservee))) {
      DomManager.supprimer(getConditionActiviteConservee(), p_contexteSuppression);
    }
    Object conditionCumulPrestationFamiliale = getConditionCumulPrestationFamiliale();
    if ((conditionCumulPrestationFamiliale != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionCumulPrestationFamiliale))) {
      DomManager.supprimer(getConditionCumulPrestationFamiliale(), p_contexteSuppression);
    }
    Object conditionMontantNonNul = getConditionMontantNonNul();
    if ((conditionMontantNonNul != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionMontantNonNul))) {
      DomManager.supprimer(getConditionMontantNonNul(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */