package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionProduitResultantPC;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class ConstitutionProduitResultantGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionProduitResultantPC;
  private Quantite m_montantDroitPrecedent;
  private Quantite m_capitalDroitPrecedent;
  private Quantite m_dureeDroitPrecedent;
  private ConstitutionDurees m_constitutionDurees;
  private Sjr m_sjrrpProduitPrecedent;
  private ConstitutionMontantsBruts m_constitutionMontantsBrutsDroitPrecedent;
  
  public ConstitutionProduitResultantGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionProduitResultantGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionProduitResultantPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionProduitResultantPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionProduitResultantPC)
  {
    m_constitutionProduitResultantPC = p_constitutionProduitResultantPC;
  }
  
  protected Quantite rawGetMontantDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getMontantDroitPrecedent();
  }
  
  public Quantite getMontantDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getMontantDroitPrecedent();
  }
  
  public void setMontantDroitPrecedent(Quantite p_montantDroitPrecedent)
  {
    if ((m_montantDroitPrecedent == null) || (p_montantDroitPrecedent == null))
    {
      m_montantDroitPrecedent = p_montantDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setMontantDroitPrecedent(p_montantDroitPrecedent);
    }
    else if ((m_montantDroitPrecedent != null) && (p_montantDroitPrecedent != null) && (!p_montantDroitPrecedent.equals(m_montantDroitPrecedent)))
    {
      m_montantDroitPrecedent = p_montantDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setMontantDroitPrecedent(p_montantDroitPrecedent);
    }
  }
  
  protected Quantite rawGetCapitalDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getCapitalDroitPrecedent();
  }
  
  public Quantite getCapitalDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getCapitalDroitPrecedent();
  }
  
  public void setCapitalDroitPrecedent(Quantite p_capitalDroitPrecedent)
  {
    if ((m_capitalDroitPrecedent == null) || (p_capitalDroitPrecedent == null))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setCapitalDroitPrecedent(p_capitalDroitPrecedent);
    }
    else if ((m_capitalDroitPrecedent != null) && (p_capitalDroitPrecedent != null) && (!p_capitalDroitPrecedent.equals(m_capitalDroitPrecedent)))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setCapitalDroitPrecedent(p_capitalDroitPrecedent);
    }
  }
  
  protected Quantite rawGetDureeDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getDureeDroitPrecedent();
  }
  
  public Quantite getDureeDroitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getDureeDroitPrecedent();
  }
  
  public void setDureeDroitPrecedent(Quantite p_dureeDroitPrecedent)
  {
    if ((m_dureeDroitPrecedent == null) || (p_dureeDroitPrecedent == null))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setDureeDroitPrecedent(p_dureeDroitPrecedent);
    }
    else if ((m_dureeDroitPrecedent != null) && (p_dureeDroitPrecedent != null) && (!p_dureeDroitPrecedent.equals(m_dureeDroitPrecedent)))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setDureeDroitPrecedent(p_dureeDroitPrecedent);
    }
  }
  
  public ConstitutionDurees getConstitutionDurees()
  {
    if (m_constitutionDurees == null)
    {
      DomPCSpec constitutionDureesPC = ((ConstitutionProduitResultantPC)getPC()).getConstitutionDurees();
      if (constitutionDureesPC != null) {
        m_constitutionDurees = ((ConstitutionDurees)constitutionDureesPC.createOM());
      }
    }
    return m_constitutionDurees;
  }
  
  public void setConstitutionDurees(ConstitutionDurees p_constitutionDurees)
  {
    if (p_constitutionDurees == null)
    {
      ((ConstitutionProduitResultantPC)getPC()).setConstitutionDurees(null);
      m_constitutionDurees = p_constitutionDurees;
    }
    else if (!p_constitutionDurees.equals(m_constitutionDurees))
    {
      ((ConstitutionProduitResultantPC)getPC()).setConstitutionDurees(p_constitutionDurees.getPC());
      m_constitutionDurees = p_constitutionDurees;
    }
  }
  
  protected Sjr rawGetSjrrpProduitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getSjrrpProduitPrecedent();
  }
  
  public Sjr getSjrrpProduitPrecedent()
  {
    return ((ConstitutionProduitResultantPC)getPC()).getSjrrpProduitPrecedent();
  }
  
  public void setSjrrpProduitPrecedent(Sjr p_sjrrpProduitPrecedent)
  {
    if ((m_sjrrpProduitPrecedent == null) || (p_sjrrpProduitPrecedent == null))
    {
      m_sjrrpProduitPrecedent = p_sjrrpProduitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setSjrrpProduitPrecedent(p_sjrrpProduitPrecedent);
    }
    else if ((m_sjrrpProduitPrecedent != null) && (p_sjrrpProduitPrecedent != null) && (!p_sjrrpProduitPrecedent.equals(m_sjrrpProduitPrecedent)))
    {
      m_sjrrpProduitPrecedent = p_sjrrpProduitPrecedent;
      ((ConstitutionProduitResultantPC)getPC()).setSjrrpProduitPrecedent(p_sjrrpProduitPrecedent);
    }
  }
  
  public ConstitutionMontantsBruts getConstitutionMontantsBrutsDroitPrecedent()
  {
    if (m_constitutionMontantsBrutsDroitPrecedent == null)
    {
      DomPCSpec constitutionMontantsBrutsDroitPrecedentPC = ((ConstitutionProduitResultantPC)getPC()).getConstitutionMontantsBrutsDroitPrecedent();
      if (constitutionMontantsBrutsDroitPrecedentPC != null) {
        m_constitutionMontantsBrutsDroitPrecedent = ((ConstitutionMontantsBruts)constitutionMontantsBrutsDroitPrecedentPC.createOM());
      }
    }
    return m_constitutionMontantsBrutsDroitPrecedent;
  }
  
  public void setConstitutionMontantsBrutsDroitPrecedent(ConstitutionMontantsBruts p_constitutionMontantsBrutsDroitPrecedent)
  {
    if (p_constitutionMontantsBrutsDroitPrecedent == null)
    {
      ((ConstitutionProduitResultantPC)getPC()).setConstitutionMontantsBrutsDroitPrecedent(null);
      m_constitutionMontantsBrutsDroitPrecedent = p_constitutionMontantsBrutsDroitPrecedent;
    }
    else if (!p_constitutionMontantsBrutsDroitPrecedent.equals(m_constitutionMontantsBrutsDroitPrecedent))
    {
      ((ConstitutionProduitResultantPC)getPC()).setConstitutionMontantsBrutsDroitPrecedent(p_constitutionMontantsBrutsDroitPrecedent.getPC());
      m_constitutionMontantsBrutsDroitPrecedent = p_constitutionMontantsBrutsDroitPrecedent;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object constitutionDurees = getConstitutionDurees();
    if ((constitutionDurees != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionDurees))) {
      DomManager.supprimer(getConstitutionDurees(), p_contexteSuppression);
    }
    Object constitutionMontantsBrutsDroitPrecedent = getConstitutionMontantsBrutsDroitPrecedent();
    if ((constitutionMontantsBrutsDroitPrecedent != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionMontantsBrutsDroitPrecedent))) {
      DomManager.supprimer(getConstitutionMontantsBrutsDroitPrecedent(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultantGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */