package fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionQuantiteAffiliationPC
  implements DomPCSpec, PersistenceCapable
{
  private transient ConstitutionQuantiteAffiliation m_constitutionQuantiteAffiliationOM;
  protected Quantite m_dureeInitiale;
  protected Quantite m_quantiteAffiliationAcquise;
  protected Quantite m_quantiteAssimilationAcquise;
  protected String m_article3;
  protected Periode m_periodePRA;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_dureeInitiale", "m_quantiteAffiliationAcquise", "m_quantiteAssimilationAcquise", "m_article3", "m_periodePRA" };
  private static Class[] jdoFieldTypes = { Quantite.class, Quantite.class, Quantite.class, String.class, Periode.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionQuantiteAffiliationPC()
  {
    jdoSetm_dureeInitiale(this, null);
    jdoSetm_quantiteAffiliationAcquise(this, new Quantite("0", UniteAffiliation.get("heure de travail")));
    jdoSetm_quantiteAssimilationAcquise(this, new Quantite("0", UniteAffiliation.get("heure de travail")));
  }
  
  public Object createOM()
  {
    if (m_constitutionQuantiteAffiliationOM == null) {
      m_constitutionQuantiteAffiliationOM = new ConstitutionQuantiteAffiliation(this);
    }
    return m_constitutionQuantiteAffiliationOM;
  }
  
  public Quantite getDureeInitiale()
  {
    return jdoGetm_dureeInitiale(this);
  }
  
  public final void setDureeInitiale(Quantite p_dureeInitiale)
  {
    jdoSetm_dureeInitiale(this, p_dureeInitiale);
  }
  
  public Quantite getQuantiteAffiliationAcquise()
  {
    return jdoGetm_quantiteAffiliationAcquise(this);
  }
  
  public final void setQuantiteAffiliationAcquise(Quantite p_quantiteAffiliationAcquise)
  {
    jdoSetm_quantiteAffiliationAcquise(this, p_quantiteAffiliationAcquise);
  }
  
  public Quantite getQuantiteAssimilationAcquise()
  {
    return jdoGetm_quantiteAssimilationAcquise(this);
  }
  
  public final void setQuantiteAssimilationAcquise(Quantite p_quantiteAssimilationAcquise)
  {
    jdoSetm_quantiteAssimilationAcquise(this, p_quantiteAssimilationAcquise);
  }
  
  public String getArticle3()
  {
    return jdoGetm_article3(this);
  }
  
  public final void setArticle3(String p_article3)
  {
    jdoSetm_article3(this, p_article3);
  }
  
  public Periode getPeriodePRA()
  {
    return jdoGetm_periodePRA(this);
  }
  
  public final void setPeriodePRA(Periode p_periodePRA)
  {
    jdoSetm_periodePRA(this, p_periodePRA);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionQuantiteAffiliationPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionQuantiteAffiliationPC());
  }
  
  protected static final Quantite jdoGetm_dureeInitiale(ConstitutionQuantiteAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeInitiale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_dureeInitiale;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_dureeInitiale);
    }
    return m_dureeInitiale;
  }
  
  protected static final Quantite jdoGetm_quantiteAffiliationAcquise(ConstitutionQuantiteAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationAcquise;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_quantiteAffiliationAcquise;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_quantiteAffiliationAcquise);
    }
    return m_quantiteAffiliationAcquise;
  }
  
  protected static final Quantite jdoGetm_quantiteAssimilationAcquise(ConstitutionQuantiteAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAssimilationAcquise;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_quantiteAssimilationAcquise;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 2, m_quantiteAssimilationAcquise);
    }
    return m_quantiteAssimilationAcquise;
  }
  
  protected static final String jdoGetm_article3(ConstitutionQuantiteAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_article3;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_article3;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 3, m_article3);
    }
    return m_article3;
  }
  
  protected static final Periode jdoGetm_periodePRA(ConstitutionQuantiteAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodePRA;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_periodePRA;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_periodePRA);
    }
    return m_periodePRA;
  }
  
  protected static final void jdoSetm_dureeInitiale(ConstitutionQuantiteAffiliationPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeInitiale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_dureeInitiale, newValue);
    } else {
      m_dureeInitiale = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAffiliationAcquise(ConstitutionQuantiteAffiliationPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationAcquise = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_quantiteAffiliationAcquise, newValue);
    } else {
      m_quantiteAffiliationAcquise = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAssimilationAcquise(ConstitutionQuantiteAffiliationPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAssimilationAcquise = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 2, m_quantiteAssimilationAcquise, newValue);
    } else {
      m_quantiteAssimilationAcquise = newValue;
    }
  }
  
  protected static final void jdoSetm_article3(ConstitutionQuantiteAffiliationPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_article3 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 3, m_article3, newValue);
    } else {
      m_article3 = newValue;
    }
  }
  
  protected static final void jdoSetm_periodePRA(ConstitutionQuantiteAffiliationPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodePRA = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_periodePRA, newValue);
    } else {
      m_periodePRA = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeInitiale);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationAcquise);
      break;
    case 2: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAssimilationAcquise);
      break;
    case 3: 
      jdoStateManager.providedStringField(this, fieldNumber, m_article3);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodePRA);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_dureeInitiale = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_quantiteAffiliationAcquise = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_quantiteAssimilationAcquise = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 3: 
      m_article3 = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 4: 
      m_periodePRA = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionQuantiteAffiliationPC pc = new ConstitutionQuantiteAffiliationPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionQuantiteAffiliationPC pc = new ConstitutionQuantiteAffiliationPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 5;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionQuantiteAffiliationPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionQuantiteAffiliationPC other = (ConstitutionQuantiteAffiliationPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_dureeInitiale = m_dureeInitiale;
        break;
      case 1: 
        m_quantiteAffiliationAcquise = m_quantiteAffiliationAcquise;
        break;
      case 2: 
        m_quantiteAssimilationAcquise = m_quantiteAssimilationAcquise;
        break;
      case 3: 
        m_article3 = m_article3;
        break;
      case 4: 
        m_periodePRA = m_periodePRA;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionQuantiteAffiliationPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */