package fr.unedic.cali.asu.cge01.p03.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.outilsfonctionnels.CreationPeriodeNonDeclareeSanction;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques.FabriqueStrategieConvention2014;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieConventionARE14Spec;
import fr.unedic.cali.asu.cge01.p03.calcul.outilsfonctionnels.fabriques.FabriqueStrategieActiviteReduitePansConservee;
import fr.unedic.cali.asu.cge01.p03.calcul.outilsfonctionnels.strategies.StrategieActiviteReduitePansConserveeSpec;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.EvenementFinCumul;
import fr.unedic.cali.calcul.dom.SyntheseARsurUT;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.Pans;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminationActiviteConserveeReprise;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminerJustificatifsRevenusAR;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;
import java.util.Collection;

public class TraitementActiviteReduite
{
  private static final int NB_JOURS_DECALAGE_AJOUTE_PPA = 6;
  private static final double MULTIPLICATEUR_POUR_PPA = 0.8D;
  private static final int SEUIL_MOIS_NI = 3;
  
  public static void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes periodesGelantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesGelantesDeclareees = new ChronologiePeriodes();
    ChronologiePeriodes periodesGelantesJustifiees = new ChronologiePeriodes();
    
    boolean traitementActiviteReduite = preTraitementPeriodesGelantes(attribution, ut, periodesGelantes, periodesGelantesDeclareees, periodesGelantesJustifiees);
    if ((traitementActiviteReduite) && (estAvantConventionARE14(ut.getDateDebut())))
    {
      if (periodesGelantesJustifiees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(attribution, periodesGelantesJustifiees, constituantsCalculActiviteReduite, ut, false);
        
        postTraitementPeriodesGelantes(ut, resultatActiviteReduite);
      }
      if (periodesGelantesDeclareees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(attribution, periodesGelantesDeclareees, constituantsCalculActiviteReduite, ut, false);
        
        postTraitementPeriodesGelantes(ut, resultatActiviteReduite);
      }
    }
    if ((constituantsCalculActiviteReduite.getCumulMoisNonIndemnise() >= 3) && (attribution.getDemandeur().getDernierJourAtteste() != null) && (ut.getDateDebut().estAvantOuCoincideAvec(attribution.getDemandeur().getDernierJourAtteste())) && (ut.getDateDebut().estAvant(GestionnaireDateApplication.getInstance().recupererDateApplication("Fin application de l'ancien dispositif DRV"))))
    {
      CalendrierExecutionCalculPeriodique calendrierPeriodique = null;
      if (attribution.getCalendrierExecutionCalcul() != null) {
        calendrierPeriodique = (CalendrierExecutionCalculPeriodique)attribution.getCalendrierExecutionCalcul();
      }
      if ((!ut.isNeutralisee()) || ((ut.isNeutralisee()) && (calendrierPeriodique != null) && (calendrierPeriodique.getDateDrv() != null) && (calendrierPeriodique.getDateDrv().estAvantOuCoincideAvec(ut.getDateDebut()))))
      {
        ut.setNeutralisee(true);
        ut.setTypeNeutralisation(11);
      }
    }
  }
  
  public static void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes periodesDecalantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesDecalantesDeclarees = new ChronologiePeriodes();
    ChronologiePeriodes periodesDecalantesJustifiees = new ChronologiePeriodes();
    ChronologiePeriodes periodeNonDeclareeSanction = null;
    ObjetChronoPeriodeCalcul periodeTravailCalcul = null;
    
    boolean traitementActiviteReduite = preTraitementPeriodesDecalantes(attribution, periodesDecalantes, constituantsCalculActiviteReduite, ut, periodesDecalantesDeclarees, periodesDecalantesJustifiees, periodeNonDeclareeSanction, periodeTravailCalcul);
    if (traitementActiviteReduite)
    {
      if (periodesDecalantesJustifiees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(attribution, periodesDecalantesJustifiees, constituantsCalculActiviteReduite, ut, false);
        
        ut.setChronoPeriodeDecalante(periodesDecalantesJustifiees);
        
        postTraitementPeriodesDecalantes(ut, resultatActiviteReduite);
      }
      if (periodesDecalantesDeclarees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(attribution, periodesDecalantesDeclarees, constituantsCalculActiviteReduite, ut, false);
        
        ut.setChronoPeriodeDecalante(periodesDecalantesDeclarees);
        
        postTraitementPeriodesDecalantes(ut, resultatActiviteReduite);
        
        appliquerRegleSurUTPP(ut);
      }
    }
  }
  
  protected static ResultatActiviteReduite appelleActiviteReduite(AttributionSpec p_attribution, ChronologiePeriodes p_periodesEmploi, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, boolean p_estPNDS)
    throws CoucheLogiqueException
  {
    BigDecimal salaireSjc = null;
    Attribution attribution = (Attribution)p_attribution;
    
    DureeCalendaire age = p_attribution.getDemandeur().getAgeALaDate(p_ut.getDateFin());
    if (p_constituantsCalculActiviteReduite.getSjcProduit() != null) {
      salaireSjc = p_constituantsCalculActiviteReduite.getSjcProduit().getSalaire();
    }
    DeterminerJustificatifsRevenusAR.traitementRevenusBS(p_periodesEmploi, p_ut.getDateDebut(), p_attribution);
    
    return ActiviteReduite.genererEvenementActiviteReduite(p_ut.getDateDebut(), p_periodesEmploi, age, ((Attribution)p_attribution).isTopContratsRemuneresBaseSmic(), p_constituantsCalculActiviteReduite.getCumul(), attribution.getNomReglementApplicable(), p_constituantsCalculActiviteReduite.getSjrProduit().getSalaire(), salaireSjc, p_estPNDS, attribution);
  }
  
  protected static boolean preTraitementPeriodesDecalantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodesDecalantes, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ChronologiePeriodes p_periodesDecalantesDeclareees, ChronologiePeriodes p_periodesDecalantesJustifiees, ChronologiePeriodes p_periodeNonDeclareeSanction, ObjetChronoPeriodeCalcul p_periodeTravailCalcul)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesDecalantesJustifiees = new ChronologiePeriodes();
    boolean traitementActiviteReduite = false;
    BigDecimal gains = new BigDecimal("0");
    BigDecimal heures = new BigDecimal("0");
    BigDecimal totalNbJourTravail = new BigDecimal("0");
    
    Chronologie chronoPeriodesConserveesLiq = null;
    if ((((AttributionAssuranceSpec)p_attribution).getReglementApplicable().getReglement().getNomReglement().equalsIgnoreCase("A4")) && (estAvantConventionARE14(p_ut.getDateDebut()))) {
      chronoPeriodesConserveesLiq = new ChronologiePeriodes();
    } else {
      chronoPeriodesConserveesLiq = ((Attribution)p_attribution).getListeActiviteConservee();
    }
    p_periodesDecalantes.iterer();
    while (p_periodesDecalantes.encoreSuivant())
    {
      p_periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesDecalantes.elementSuivant();
      if (((p_periodeTravailCalcul instanceof PeriodeTravailJustifiee)) || ((p_periodeTravailCalcul instanceof PeriodePrime)))
      {
        boolean periodeAIgnorer = DeterminationActiviteConserveeReprise.determinerTypeActivite(chronoPeriodesConserveesLiq, p_ut, p_periodeTravailCalcul, p_attribution);
        if (!periodeAIgnorer) {
          periodesDecalantesJustifiees.ajouter(p_periodeTravailCalcul);
        }
      }
      if (((p_periodeTravailCalcul instanceof DsmTravail)) && (p_ut.getStatut() == 5)) {
        p_periodesDecalantesDeclareees.ajouter(p_periodeTravailCalcul);
      }
      if (((p_periodeTravailCalcul instanceof DsmTravail)) && (p_ut.getStatut() == 4))
      {
        if (((DsmTravail)p_periodeTravailCalcul).getGain() != null) {
          gains = gains.add(((DsmTravail)p_periodeTravailCalcul).getGain());
        }
        if (((DsmTravail)p_periodeTravailCalcul).getNombreHeures() != null) {
          heures = heures.add(((DsmTravail)p_periodeTravailCalcul).getNombreHeures());
        }
        totalNbJourTravail = totalNbJourTravail.add(new BigDecimal(p_periodeTravailCalcul.getDuree()));
      }
    }
    switch (p_ut.getStatut())
    {
    case 1: 
    case 2: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    case 3: 
    case 7: 
      if (periodesDecalantesJustifiees.getTaille() != 0)
      {
        p_periodesDecalantesJustifiees.ajouter(periodesDecalantesJustifiees);
        traitementActiviteReduite = true;
      }
      p_periodeNonDeclareeSanction = CreationPeriodeNonDeclareeSanction.creerPeriodeNonDeclareeSanction(p_attribution.getDemandeur(), p_ut.getDateDebut(), p_periodesDecalantes, false);
      
      ChronologiePeriodes pndSanctionsConverties = new ChronologiePeriodes();
      p_periodeNonDeclareeSanction.iterer();
      if ((p_ut instanceof fr.unedic.cali.asu.cge01.p03.calcul.dom.UniteTraitement))
      {
        while (p_periodeNonDeclareeSanction.encoreSuivant())
        {
          fr.unedic.cali.asu.calcul.dom.periode.PeriodeNonDeclareeSanction pndSanctionAsu = (fr.unedic.cali.asu.calcul.dom.periode.PeriodeNonDeclareeSanction)p_periodeNonDeclareeSanction.elementSuivant();
          fr.unedic.cali.asu.cge01.p03.calcul.dom.periode.PeriodeNonDeclareeSanction pndSanctionProduit = new fr.unedic.cali.asu.cge01.p03.calcul.dom.periode.PeriodeNonDeclareeSanction(pndSanctionAsu);
          
          pndSanctionsConverties.ajouter(pndSanctionProduit);
        }
        if ((pndSanctionsConverties != null) && (!pndSanctionsConverties.estVide())) {
          p_ut.getListePNDs().add(pndSanctionsConverties);
        }
      }
      break;
    case 4: 
      SyntheseARsurUT syntheseARsurUT = p_ut.getSyntheseARsurUT();
      syntheseARsurUT.setTotalGainUtilisePourDecalage(new QuantiteEuro(gains));
      syntheseARsurUT.setTotalHeureUtilisePourDecalage(new QuantiteEuro(heures));
      syntheseARsurUT.setCumulJourDeTravailAR(new Quantite(totalNbJourTravail, p_ut.getUniteParDefautQuantites()));
      break;
    case 6: 
      break;
    case 5: 
      if (p_periodesDecalantesDeclareees.getTaille() != 0) {
        traitementActiviteReduite = true;
      }
      break;
    default: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    }
    if ((!((Attribution)p_attribution).getNomReglementApplicable().equalsIgnoreCase("A4")) && (estAvantConventionARE14(p_ut.getDateDebut())))
    {
      BigDecimal sjr = p_constituantsCalculActiviteReduite.getSjrProduit().getSalaire();
      BigDecimal sjc = p_constituantsCalculActiviteReduite.getSjcProduit().getSalaire();
      boolean apprenti = ((Attribution)p_attribution).isTopContratsRemuneresBaseSmic();
      if ((chronoPeriodesConserveesLiq != null) && (!chronoPeriodesConserveesLiq.estVide()))
      {
        BigDecimal cumulGainPansConservee = new BigDecimal("0");
        boolean estAMettreAJour = false;
        
        periodesDecalantesJustifiees.iterer();
        while (periodesDecalantesJustifiees.encoreSuivant())
        {
          ObjetChronoPeriodeCalcul periodeDecalanteCalcul = (ObjetChronoPeriodeCalcul)periodesDecalantesJustifiees.elementSuivant();
          if (((periodeDecalanteCalcul instanceof Pans)) && 
            (((Pans)periodeDecalanteCalcul).getTypeActivite() == 1)) {
            cumulGainPansConservee = cumulGainPansConservee.add(((Pans)periodeDecalanteCalcul).getGain());
          }
        }
        CritereStrategie critere = new CritereStrategie();
        critere.setDatePivot(p_ut.getDateDebut());
        FabriqueStrategieActiviteReduitePansConservee fabrique = new FabriqueStrategieActiviteReduitePansConservee();
        StrategieActiviteReduitePansConserveeSpec strategie = (StrategieActiviteReduitePansConserveeSpec)fabrique.getStrategie(critere);
        
        BigDecimal gainPansConserveeALaLiquidation = strategie.getGainPansConserveeALaLiquidation(p_attribution);
        
        BigDecimal gainPansConserveeAPrendreenComptePourNeutralisation = gainPansConserveeALaLiquidation;
        if (gainPansConserveeAPrendreenComptePourNeutralisation.compareTo(new BigDecimal(0)) == 0) {
          gainPansConserveeAPrendreenComptePourNeutralisation = cumulGainPansConservee;
        }
        chronoPeriodesConserveesLiq.iterer();
        while ((chronoPeriodesConserveesLiq.encoreSuivant()) && (!estAMettreAJour))
        {
          TravailSpec periodeConserveeLiq = (TravailSpec)chronoPeriodesConserveesLiq.elementSuivant();
          if ((((Attribution)p_attribution).getTermePrcActiviteConservee() != null) && (periodeConserveeLiq.getDateDebut().estAvant(((Attribution)p_attribution).getTermePrcActiviteConservee()))) {
            estAMettreAJour = true;
          }
        }
        if (estAMettreAJour) {
          p_ut.getSyntheseARsurUT().setSeuilRemunerationARAvecActConservee(new Quantite(ActiviteReduite.calculerSeuilMensuel(p_ut.getDateDebut(), sjr, sjc, apprenti, true, gainPansConserveeAPrendreenComptePourNeutralisation), p_ut.getUniteParDefautQuantites()));
        }
      }
      else
      {
        p_ut.getSyntheseARsurUT().setSeuilRemunerationAR(new Quantite(ActiviteReduite.calculerSeuilMensuel(p_ut.getDateDebut(), sjr, sjc, apprenti, false, new BigDecimal(0)), p_ut.getUniteParDefautQuantites()));
      }
    }
    return traitementActiviteReduite;
  }
  
  protected static void postTraitementPeriodesDecalantes(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ResultatActiviteReduite p_resultatActiviteReduite)
    throws CoucheLogiqueException
  {
    if (p_resultatActiviteReduite.getSeuilRemuneration() != null) {
      p_ut.getSyntheseARsurUT().setSeuilRemunerationAR(new Quantite(p_resultatActiviteReduite.getSeuilRemuneration(), p_ut.getUniteParDefautQuantites()));
    }
    if (p_resultatActiviteReduite.getSeuilRemunerationAvecActConservee() != null) {
      p_ut.getSyntheseARsurUT().setSeuilRemunerationARAvecActConservee(new Quantite(p_resultatActiviteReduite.getSeuilRemunerationAvecActConservee(), p_ut.getUniteParDefautQuantites()));
    }
    p_ut.getSyntheseARsurUT().setTotalGainUtilisePourDecalage(new Quantite(p_resultatActiviteReduite.getGainPrisEnCompte(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setTotalHeureUtilisePourDecalage(new Quantite(p_resultatActiviteReduite.getNbHeuresPrisesEnCompte(), UniteDuree.HEURE));
    p_ut.getSyntheseARsurUT().setTotalGainICCPConserves(new Quantite(p_resultatActiviteReduite.getCumulGainICCPConserves(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setTotalGainICCPRepris(new Quantite(p_resultatActiviteReduite.getCumulGainICCPRepris(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setRacAns(p_resultatActiviteReduite.getRacAns());
    p_ut.getSyntheseARsurUT().setCumulJourDeTravailAR(new Quantite(p_resultatActiviteReduite.getCumulJourDeTravail(), UniteDuree.JOUR));
    p_ut.getSyntheseARsurUT().setTotalGainActiviteReduiteJustifie(new Quantite(p_resultatActiviteReduite.getCumulGainJustifie(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setTotalNbHeureActiviteReduiteJustifie(new Quantite(p_resultatActiviteReduite.getCumulNbHeuresJustifiees(), UniteDuree.HEURE));
    p_ut.getSyntheseARsurUT().setTotalGainActiviteReprise(new Quantite(p_resultatActiviteReduite.getCumulGainReprise(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setTotalNbHeureActiviteReprise(new Quantite(p_resultatActiviteReduite.getCumulNbHeuresReprise(), UniteDuree.HEURE));
    p_ut.getSyntheseARsurUT().setEstForfaitPans(p_resultatActiviteReduite.getEstForfaitPans());
    p_ut.getSyntheseARsurUT().setMontantPANS(p_resultatActiviteReduite.getMontantPANS());
    if (!p_resultatActiviteReduite.isNeutralise())
    {
      if (p_resultatActiviteReduite.getCreditDecalage() != null)
      {
        Quantite qteDecalage = new Quantite(p_resultatActiviteReduite.getCreditDecalage(), p_ut.getUniteParDefautQuantites());
        p_ut.setCreditDecalage(p_ut.getCreditDecalage() == null ? qteDecalage : p_ut.getCreditDecalage().ajouter(qteDecalage));
      }
    }
    else {
      p_ut.setTypeNeutralisation(p_resultatActiviteReduite.getTypeNeutralisation());
    }
    BigDecimal decalageDuree = p_resultatActiviteReduite.getDecalageDuree();
    if (decalageDuree != null)
    {
      Quantite qteDecalageDuree = new Quantite(decalageDuree, p_ut.getUniteParDefautQuantites());
      p_ut.getSyntheseARsurUT().setDecalageDureeUT(qteDecalageDuree);
      Quantite qteDecalageDureeDureeCourant = p_ut.getCreditDecalageDuree();
      if (qteDecalageDureeDureeCourant != null) {
        qteDecalageDuree = qteDecalageDuree.ajouter(qteDecalageDureeDureeCourant);
      }
      p_ut.setCreditDecalageDuree(qteDecalageDuree);
    }
  }
  
  protected static void appliquerRegleSurUTPP(fr.unedic.cali.calcul.dom.UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    if (estAvantConventionARE14(p_ut.getDateDebut()))
    {
      Quantite creditDecalageCalcule = p_ut.getCreditDecalage() != null ? p_ut.getCreditDecalage() : new Quantite(new BigDecimal(0), p_ut.getUniteParDefautQuantites());
      if (!p_ut.isNeutralisee())
      {
        Quantite creditDecalagePP = new Quantite(new BigDecimal(Math.floor(creditDecalageCalcule.getValeur().doubleValue() * 0.8D + 6.0D)), creditDecalageCalcule.getUnite());
        
        p_ut.setCreditDecalage(creditDecalagePP);
      }
      else
      {
        p_ut.setCreditDecalage(creditDecalageCalcule);
      }
    }
  }
  
  protected static boolean preTraitementPeriodesGelantes(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ChronologiePeriodes p_periodesGelantes, ChronologiePeriodes p_periodesGelantesDeclareees, ChronologiePeriodes p_periodesGelantesJustifiees)
    throws CoucheLogiqueException
  {
    boolean traitementActiviteReduite = false;
    switch (p_ut.getStatut())
    {
    case 1: 
    case 2: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    case 3: 
    case 7: 
      p_periodesGelantes.iterer();
      while (p_periodesGelantes.encoreSuivant())
      {
        ObjetChronoPeriodeCalcul periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesGelantes.elementSuivant();
        if (((periodeTravailCalcul instanceof PeriodeTravailJustifiee)) || ((periodeTravailCalcul instanceof PeriodePrime)))
        {
          Chronologie chronoPeriodesConserveesLiq = null;
          if ((((AttributionAssuranceSpec)p_attribution).getReglementApplicable().getReglement().getNomReglement().equalsIgnoreCase("A4")) && (estAvantConventionARE14(p_ut.getDateDebut()))) {
            chronoPeriodesConserveesLiq = new ChronologiePeriodes();
          } else {
            chronoPeriodesConserveesLiq = ((Attribution)p_attribution).getListeActiviteConservee();
          }
          boolean periodeAIgnorer = DeterminationActiviteConserveeReprise.determinerTypeActivite(chronoPeriodesConserveesLiq, p_ut, periodeTravailCalcul, p_attribution);
          if (!periodeAIgnorer) {
            p_periodesGelantesJustifiees.ajouter(periodeTravailCalcul);
          }
        }
      }
      if (p_periodesGelantesJustifiees.getTaille() != 0) {
        traitementActiviteReduite = true;
      }
      break;
    case 4: 
      p_ut.setNeutralisee(true);
      p_ut.setTypeNeutralisation(4);
      break;
    case 5: 
      p_periodesGelantes.iterer();
      while (p_periodesGelantes.encoreSuivant())
      {
        ObjetChronoPeriodeCalcul periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesGelantes.elementSuivant();
        if ((periodeTravailCalcul instanceof DsmTravail)) {
          p_periodesGelantesDeclareees.ajouter(periodeTravailCalcul);
        }
      }
      if (p_periodesGelantesDeclareees.getTaille() != 0) {
        traitementActiviteReduite = true;
      }
      break;
    case 6: 
      p_ut.setNeutralisee(true);
      p_ut.setTypeNeutralisation(8);
      break;
    default: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    }
    return traitementActiviteReduite;
  }
  
  protected static void postTraitementPeriodesGelantes(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ResultatActiviteReduite p_resultatActiviteReduite)
  {
    p_ut.setNeutralisee(p_resultatActiviteReduite.isNeutralise());
    p_ut.setTypeNeutralisation(p_resultatActiviteReduite.getTypeNeutralisation());
    if (p_ut.getTypeNeutralisation() == 3) {
      p_ut.ajouterEvenement(new EvenementFinCumul(p_ut.getDateDebut()));
    }
  }
  
  protected static boolean estAvantConventionARE14(Damj date)
    throws CoucheLogiqueException
  {
    FabriqueStrategieConvention2014 fab = new FabriqueStrategieConvention2014();
    CritereStrategie cs = new CritereStrategie();
    cs.setDatePivot(date);
    StrategieConventionARE14Spec strat = (StrategieConventionARE14Spec)fab.getStrategie(cs);
    return strat.estAvantConventionARE14();
  }
}

/* Location:
 * Qualified Name:     TraitementActiviteReduite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */