package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConditionsAttributionRevisionGen;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ConditionsAttributionRevision
  extends ConditionsAttributionRevisionGen
  implements ConditionsAttributionSpec
{
  public ConditionsAttributionRevision() {}
  
  public ConditionsAttributionRevision(DomPCSpec p_revisionPC)
  {
    super(p_revisionPC);
  }
  
  public List getListeConditionsAttribution()
  {
    List listeConditions = new ArrayList();
    listeConditions.add(getConditionMontantRevise());
    return listeConditions;
  }
  
  public boolean estSatisfait()
  {
    for (Iterator iter = getListeConditionsAttribution().iterator(); iter.hasNext();)
    {
      ElementDroitSpec droit = (ElementDroitSpec)iter.next();
      if ((droit != null) && 
        (!droit.estSatisfait())) {
        return false;
      }
    }
    return true;
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConditionMontantRevise());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionsAttributionRevision copie = (ConditionsAttributionRevision)p_copie;
    
    super.copieElements(copie);
    if (getConditionMontantRevise() != null)
    {
      ConditionMontantRevise copieCondition = copie.createConditionMontantRevise();
      getConditionMontantRevise().copieElements(copieCondition);
    }
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public ConditionAge createConditionAge()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionChomageInvolontaire createConditionChomageInvolontaire()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionCumulPrestationFamiliale createConditionCumulPrestationFamiliale()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionMontantNonNul createConditionMontantNonNul()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionRechercheEmploi createConditionRechercheEmploi()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionAge getConditionAge()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionChomageInvolontaire getConditionChomageInvolontaire()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionCumulPrestationFamiliale getConditionCumulPrestationFamiliale()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionMontantNonNul getConditionMontantNonNul()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionRechercheEmploi getConditionRechercheEmploi()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionValiditeReliquat getConditionValiditeReliquat()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
  
  public ConditionValiditeReliquat createConditionValiditeReliquat()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appeler dans le contexte de Revision");
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionRevision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */