package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConstitutionElementsAdmissionGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.List;

public class ConstitutionElementsAdmission
  extends ConstitutionElementsAdmissionGen
  implements ConstitutionElementsSpec
{
  public ConstitutionElementsAdmission(DomPCSpec p_constitutionElementsAdmissionPC)
  {
    super(p_constitutionElementsAdmissionPC);
  }
  
  public ConstitutionElementsAdmission() {}
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  protected List getListeElementsDroit()
  {
    List listeConstitutionDroit = new ArrayList();
    listeConstitutionDroit.add(getConstitutionDurees());
    listeConstitutionDroit.add(getConstitutionSjr());
    listeConstitutionDroit.add(getConstitutionDelais());
    listeConstitutionDroit.add(getConstitutionSjc());
    listeConstitutionDroit.add(getConstitutionReglementApplicable());
    listeConstitutionDroit.add(getConstitutionQuantiteAffiliation());
    listeConstitutionDroit.add(getConstitutionMontantsBruts());
    listeConstitutionDroit.add(getConstitutionPointDepartIndemnisation());
    listeConstitutionDroit.add(getConstitutionCaractereSaisonnier());
    listeConstitutionDroit.add(getConstitutionCoefficientSaisonnier());
    listeConstitutionDroit.add(getConstitutionCoefficientTempsPartiel());
    listeConstitutionDroit.add(getConstitutionProduitResultant());
    return listeConstitutionDroit;
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionSjr());
    DomManager.persisterEnProfondeur(super.getConstitutionDelais());
    DomManager.persisterEnProfondeur(super.getConstitutionSjc());
    DomManager.persisterEnProfondeur(super.getConstitutionQuantiteAffiliation());
    DomManager.persisterEnProfondeur(super.getConstitutionReglementApplicable());
    DomManager.persisterEnProfondeur(super.getConstitutionDateAttribution());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBruts());
    DomManager.persisterEnProfondeur(super.getConstitutionPointDepartIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionCaractereSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientTempsPartiel());
    DomManager.persisterEnProfondeur(super.getConstitutionProduitResultant());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionElementsAdmission copie = (ConstitutionElementsAdmission)p_copie;
    if (getConstitutionDateAttribution() != null)
    {
      ConstitutionDateAttribution copieCepa = copie.createConstitutionDateAttribution();
      getConstitutionDateAttribution().copieElements(copieCepa);
    }
    if (getConstitutionDelais() != null)
    {
      ConstitutionDelais copieCepa = copie.createConstitutionDelais();
      getConstitutionDelais().copieElements(copieCepa);
    }
    if (getConstitutionDurees() != null)
    {
      ConstitutionDurees copieCepa = copie.createConstitutionDurees();
      getConstitutionDurees().copieElements(copieCepa);
    }
    if (getConstitutionMontantsBruts() != null)
    {
      ConstitutionMontantsBruts copieCepa = copie.createConstitutionMontantsBruts();
      getConstitutionMontantsBruts().copieElements(copieCepa);
    }
    if (getConstitutionQuantiteAffiliation() != null)
    {
      ConstitutionQuantiteAffiliation copieCepa = copie.createConstitutionQuantiteAffiliation();
      getConstitutionQuantiteAffiliation().copieElements(copieCepa);
    }
    if (getConstitutionSjc() != null)
    {
      ConstitutionSjc copieCepa = copie.createConstitutionSjc();
      getConstitutionSjc().copieElements(copieCepa);
    }
    if (getConstitutionSjr() != null)
    {
      ConstitutionSjr copieCepa = copie.createConstitutionSjr();
      getConstitutionSjr().copieElements(copieCepa);
    }
    if (getConstitutionReglementApplicable() != null)
    {
      ConstitutionReglementApplicable copieCepa = copie.createConstitutionReglementApplicable();
      getConstitutionReglementApplicable().copieElements(copieCepa);
    }
    if (getConstitutionPointDepartIndemnisation() != null)
    {
      ConstitutionPointDepartIndemnisation copieCepa = copie.createConstitutionPointDepartIndemnisation();
      getConstitutionPointDepartIndemnisation().copieElements(copieCepa);
    }
    if (getConstitutionCaractereSaisonnier() != null)
    {
      ConstitutionCaractereSaisonnier copieCepa = copie.createConstitutionCaractereSaisonnier();
      getConstitutionCaractereSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientSaisonnier() != null)
    {
      ConstitutionCoefficientSaisonnier copieCepa = copie.createConstitutionCoefficientSaisonnier();
      getConstitutionCoefficientSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientTempsPartiel() != null)
    {
      ConstitutionCoefficientTempsPartiel copieCepa = copie.createConstitutionCoefficientTempsPartiel();
      getConstitutionCoefficientTempsPartiel().copieElements(copieCepa);
    }
    if (getConstitutionProduitResultant() != null)
    {
      ConstitutionProduitResultant copieCepa = copie.createConstitutionProduitResultant();
      getConstitutionProduitResultant().copieElements(copieCepa);
    }
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
}

/* Location:
 * Qualified Name:     ConstitutionElementsAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */