package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ObjectifExamenRevisionGen;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionCapitalAvecDureeEffective;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionCoefficientTempsPartielPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDateAttributionPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDelaiReportPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDureeEffectivePourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDureeReglementairePourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionMontantsBrutsPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionPointDeDepartPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionSjcPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionSjrPourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.DeterminationCompetencesProduitCourant;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.DeterminationConditionMontantRevisePourRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.cep02dureeRegl.asp.ConstitutionDureePostPrime;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.parcours.ParcoursObjectifRevision;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenRevision
  extends ObjectifExamenRevisionGen
  implements ObjectifExamenSpec
{
  private static final long serialVersionUID = 1L;
  protected List<ContexteDemandeSpec> m_contexteDemande = null;
  
  public ObjectifExamenRevision(DomPCSpec p_revisionPC)
  {
    super(p_revisionPC);
  }
  
  public ObjectifExamenRevision() {}
  
  public ObjectifExamenRevision(List<ContexteDemandeSpec> p_contexteDemande)
  {
    m_contexteDemande = p_contexteDemande;
  }
  
  public Parcours creerParcoursDeterminationCompetencesFinanceAdmDroitCourant()
  {
    return new DeterminationCompetencesProduitCourant();
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public int getType()
  {
    return 4;
  }
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifRevision();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return new DeterminationConditionMontantRevisePourRevision();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return new ConstitutionDureeReglementairePourRevision();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBrutsPourRevision();
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return new ConstitutionSjrPourRevision();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return new ConstitutionDelaiReportPourRevision();
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return new ConstitutionSjcPourRevision();
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return new ConstitutionCoefficientTempsPartielPourRevision();
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return null;
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttributionPourRevision();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return new ConstitutionPointDeDepartPourRevision();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffectivePourRevision();
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return new ConstitutionCapitalAvecDureeEffective();
  }
  
  public ObjectifExamen getObjectifSauvegarde()
  {
    ObjectifExamen objectif = null;
    objectif = (ObjectifExamen)copie();
    return objectif;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenRevision copie = new ObjectifExamenRevision();
    copieElements(copie);
    return copie;
  }
  
  public void marquerGraphePersistant() {}
  
  public Parcours creerParcoursConditionNbJourSuspension()
  {
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerPacoursConditionCSRAccordCP()
  {
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return null;
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return new ConstitutionDateLimiteIndemnisation();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande p_demande)
  {
    return null;
  }
  
  public Parcours creerParcoursLiquidationDemandeAssociee()
  {
    return null;
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return new ConstitutionDureePostPrime();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenRevision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */