package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Decision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc.AttributionPC;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvantSpec;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public abstract class AttributionGen
  extends Decision
  implements DomGenSpec
{
  private CalendrierExecutionCalculSpec m_calendrierExecutionCalcul;
  private String m_referenceExterne;
  private BigDecimal m_cumulMoisActiviteReduite;
  protected CalendrierExecutionAvantSpec m_calendrierExecutionAvant;
  
  public AttributionGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public AttributionGen() {}
  
  public AttributionGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected abstract DomPCSpec createPC();
  
  public CalendrierExecutionCalculSpec getCalendrierExecutionCalcul()
  {
    if (m_calendrierExecutionCalcul == null)
    {
      DomPCSpec calendrierExecutionCalculPC = ((AttributionPC)getPC()).getCalendrierExecutionCalcul();
      if (calendrierExecutionCalculPC != null) {
        m_calendrierExecutionCalcul = ((CalendrierExecutionCalculSpec)calendrierExecutionCalculPC.createOM());
      }
    }
    return m_calendrierExecutionCalcul;
  }
  
  public void setCalendrierExecutionCalcul(CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
  {
    if (p_calendrierExecutionCalcul == null)
    {
      ((AttributionPC)getPC()).setCalendrierExecutionCalcul(null);
      m_calendrierExecutionCalcul = p_calendrierExecutionCalcul;
    }
    else if (!p_calendrierExecutionCalcul.equals(m_calendrierExecutionCalcul))
    {
      ((AttributionPC)getPC()).setCalendrierExecutionCalcul(((DomGenSpec)p_calendrierExecutionCalcul).getPC());
      m_calendrierExecutionCalcul = p_calendrierExecutionCalcul;
    }
  }
  
  protected String rawGetReferenceExterne()
  {
    return ((AttributionPC)getPC()).getReferenceExterne();
  }
  
  public String getReferenceExterne()
  {
    return ((AttributionPC)getPC()).getReferenceExterne();
  }
  
  public void setReferenceExterne(String p_referenceExterne)
  {
    if ((m_referenceExterne == null) || (p_referenceExterne == null))
    {
      m_referenceExterne = p_referenceExterne;
      ((AttributionPC)getPC()).setReferenceExterne(p_referenceExterne);
    }
    else if ((m_referenceExterne != null) && (p_referenceExterne != null) && (!p_referenceExterne.equals(m_referenceExterne)))
    {
      m_referenceExterne = p_referenceExterne;
      ((AttributionPC)getPC()).setReferenceExterne(p_referenceExterne);
    }
  }
  
  protected boolean rawIsRegimeFinancementParticulierCaCae()
  {
    return ((AttributionPC)getPC()).isRegimeFinancementParticulierCaCae();
  }
  
  public boolean isRegimeFinancementParticulierCaCae()
  {
    return ((AttributionPC)getPC()).isRegimeFinancementParticulierCaCae();
  }
  
  public void setRegimeFinancementParticulierCaCae(boolean p_regimeFinancementParticulierCaCae)
  {
    ((AttributionPC)getPC()).setRegimeFinancementParticulierCaCae(p_regimeFinancementParticulierCaCae);
  }
  
  protected boolean rawIsTopRenoncement()
  {
    return ((AttributionPC)getPC()).isTopRenoncement();
  }
  
  public boolean isTopRenoncement()
  {
    return ((AttributionPC)getPC()).isTopRenoncement();
  }
  
  public void setTopRenoncement(boolean p_topRenoncement)
  {
    ((AttributionPC)getPC()).setTopRenoncement(p_topRenoncement);
  }
  
  protected int rawGetNbJoursActiviteCourrierASS()
  {
    return ((AttributionPC)getPC()).getNbJoursActiviteCourrierASS();
  }
  
  public int getNbJoursActiviteCourrierASS()
  {
    return ((AttributionPC)getPC()).getNbJoursActiviteCourrierASS();
  }
  
  public void setNbJoursActiviteCourrierASS(int p_nbJoursActiviteCourrierASS)
  {
    ((AttributionPC)getPC()).setNbJoursActiviteCourrierASS(p_nbJoursActiviteCourrierASS);
  }
  
  protected BigDecimal rawGetCumulMoisActiviteReduite()
  {
    return ((AttributionPC)getPC()).getCumulMoisActiviteReduite();
  }
  
  public BigDecimal getCumulMoisActiviteReduite()
  {
    return ((AttributionPC)getPC()).getCumulMoisActiviteReduite();
  }
  
  public void setCumulMoisActiviteReduite(BigDecimal p_cumulMoisActiviteReduite)
  {
    if ((m_cumulMoisActiviteReduite == null) || (p_cumulMoisActiviteReduite == null))
    {
      m_cumulMoisActiviteReduite = p_cumulMoisActiviteReduite;
      ((AttributionPC)getPC()).setCumulMoisActiviteReduite(p_cumulMoisActiviteReduite);
    }
    else if ((m_cumulMoisActiviteReduite != null) && (p_cumulMoisActiviteReduite != null) && (!p_cumulMoisActiviteReduite.equals(m_cumulMoisActiviteReduite)))
    {
      m_cumulMoisActiviteReduite = p_cumulMoisActiviteReduite;
      ((AttributionPC)getPC()).setCumulMoisActiviteReduite(p_cumulMoisActiviteReduite);
    }
  }
  
  public CalendrierExecutionAvantSpec getCalendrierExecutionAvant()
  {
    if (m_calendrierExecutionAvant == null)
    {
      DomPCSpec calendrierExecutionAvantPC = ((AttributionPC)getPC()).getCalendrierExecutionAvant();
      if (calendrierExecutionAvantPC != null) {
        m_calendrierExecutionAvant = ((CalendrierExecutionAvantSpec)calendrierExecutionAvantPC.createOM());
      }
    }
    return m_calendrierExecutionAvant;
  }
  
  public void setCalendrierExecutionAvant(CalendrierExecutionAvantSpec p_calendrierExecutionAvant)
  {
    if (p_calendrierExecutionAvant == null)
    {
      ((AttributionPC)getPC()).setCalendrierExecutionAvant(null);
      m_calendrierExecutionAvant = p_calendrierExecutionAvant;
    }
    else if (!p_calendrierExecutionAvant.equals(m_calendrierExecutionAvant))
    {
      ((AttributionPC)getPC()).setCalendrierExecutionAvant(((DomGenSpec)p_calendrierExecutionAvant).getPC());
      m_calendrierExecutionAvant = p_calendrierExecutionAvant;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object calendrierExecutionCalcul = getCalendrierExecutionCalcul();
    if ((calendrierExecutionCalcul != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(calendrierExecutionCalcul))) {
      DomManager.supprimer(getCalendrierExecutionCalcul(), p_contexteSuppression);
    }
    Object calendrierExecutionAvant = getCalendrierExecutionAvant();
    if ((calendrierExecutionAvant != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(calendrierExecutionAvant))) {
      DomManager.supprimer(getCalendrierExecutionAvant(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     AttributionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */