package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionActiviteConservee;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionAge;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionCSR28Jours;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionCSRAccordCP;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionCSRDateAttributionPendantSuspension;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionChomageTotal;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionMontantNonNul;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionRechercheEmploi;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionValiditeReliquat;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc.ConditionsAttributionAdmissionPC;
import fr.unedic.cali.dom.ConditionsAttributionAbstrait;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ConditionsAttributionAdmissionGen
  extends ConditionsAttributionAbstrait
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAdmissionPC;
  private transient ConditionRechercheEmploi m_conditionRechercheEmploi = null;
  private transient ConditionFaitGenerateur m_conditionFaitGenerateur = null;
  private transient ConditionChomageTotal m_conditionChomageTotal = null;
  private transient ConditionAge m_conditionAge = null;
  private transient ConditionQuantiteAffiliation m_conditionQuantiteAffiliation = null;
  private transient ConditionChomageInvolontaire m_conditionChomageInvolontaire = null;
  private transient ConditionActiviteConservee m_conditionActiviteConservee = null;
  private transient ConditionCumulPrestationFamiliale m_conditionCumulPrestationFamiliale = null;
  private transient ConditionMontantNonNul m_conditionMontantNonNul = null;
  private transient ConditionCSRDateAttributionPendantSuspension m_conditionCSRDateAttributionPendantSuspension = null;
  private transient ConditionCSRAccordCP m_conditionCSRAccordCP = null;
  private transient ConditionCSR28Jours m_conditionCSR28Jours = null;
  public transient ConditionValiditeReliquat m_conditionValiditeReliquat = null;
  
  public ConditionsAttributionAdmissionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionsAttributionAdmissionGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionsAttributionAdmissionPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAdmissionPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAdmissionPC)
  {
    m_conditionsAttributionAdmissionPC = p_conditionsAttributionAdmissionPC;
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getConditionRechercheEmploi() != null)
    {
      getConditionRechercheEmploi().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionRechercheEmploi = null;
    }
    if (getConditionFaitGenerateur() != null)
    {
      getConditionFaitGenerateur().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionFaitGenerateur = null;
    }
    if (getConditionChomageTotal() != null)
    {
      getConditionChomageTotal().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionChomageTotal = null;
    }
    if (getConditionAge() != null)
    {
      getConditionAge().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionAge = null;
    }
    if (getConditionQuantiteAffiliation() != null)
    {
      getConditionQuantiteAffiliation().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionQuantiteAffiliation = null;
    }
    if (getConditionChomageInvolontaire() != null)
    {
      getConditionChomageInvolontaire().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionChomageInvolontaire = null;
    }
    if (getConditionActiviteConservee() != null)
    {
      getConditionActiviteConservee().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionActiviteConservee = null;
    }
    if (getConditionCumulPrestationFamiliale() != null)
    {
      getConditionCumulPrestationFamiliale().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCumulPrestationFamiliale = null;
    }
    if (getConditionMontantNonNul() != null)
    {
      getConditionMontantNonNul().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionMontantNonNul = null;
    }
    if (getConditionCSRDateAttributionPendantSuspension() != null)
    {
      getConditionCSRDateAttributionPendantSuspension().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCSRDateAttributionPendantSuspension = null;
    }
    if (getConditionCSRAccordCP() != null)
    {
      getConditionCSRAccordCP().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCSRAccordCP = null;
    }
    if (getConditionCSR28Jours() != null)
    {
      getConditionCSR28Jours().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCSR28Jours = null;
    }
    if (getConditionValiditeReliquat() != null)
    {
      getConditionValiditeReliquat().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionValiditeReliquat = null;
    }
  }
  
  public ConditionRechercheEmploi getConditionRechercheEmploi()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionRechercheEmploi()) && (m_conditionRechercheEmploi == null)) {
      m_conditionRechercheEmploi = new ConditionRechercheEmploi(getPC());
    }
    return m_conditionRechercheEmploi;
  }
  
  public ConditionRechercheEmploi createConditionRechercheEmploi()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionRechercheEmploi(true);
    if (m_conditionRechercheEmploi == null) {
      m_conditionRechercheEmploi = new ConditionRechercheEmploi(getPC());
    }
    try
    {
      m_conditionRechercheEmploi.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionRechercheEmploi;
  }
  
  public void removeConditionRechercheEmploi()
  {
    try
    {
      m_conditionRechercheEmploi.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionRechercheEmploi(false);
  }
  
  public ConditionFaitGenerateur getConditionFaitGenerateur()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionFaitGenerateur()) && (m_conditionFaitGenerateur == null)) {
      m_conditionFaitGenerateur = new ConditionFaitGenerateur(getPC());
    }
    return m_conditionFaitGenerateur;
  }
  
  public ConditionFaitGenerateur createConditionFaitGenerateur()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionFaitGenerateur(true);
    if (m_conditionFaitGenerateur == null) {
      m_conditionFaitGenerateur = new ConditionFaitGenerateur(getPC());
    }
    try
    {
      m_conditionFaitGenerateur.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionFaitGenerateur;
  }
  
  public void removeConditionFaitGenerateur()
  {
    try
    {
      m_conditionFaitGenerateur.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionFaitGenerateur(false);
  }
  
  public ConditionChomageTotal getConditionChomageTotal()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionChomageTotal()) && (m_conditionChomageTotal == null)) {
      m_conditionChomageTotal = new ConditionChomageTotal(getPC());
    }
    return m_conditionChomageTotal;
  }
  
  public ConditionChomageTotal createConditionChomageTotal()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageTotal(true);
    if (m_conditionChomageTotal == null) {
      m_conditionChomageTotal = new ConditionChomageTotal(getPC());
    }
    try
    {
      m_conditionChomageTotal.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionChomageTotal;
  }
  
  public void removeConditionChomageTotal()
  {
    try
    {
      m_conditionChomageTotal.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageTotal(false);
  }
  
  public ConditionAge getConditionAge()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionAge()) && (m_conditionAge == null)) {
      m_conditionAge = new ConditionAge(getPC());
    }
    return m_conditionAge;
  }
  
  public ConditionAge createConditionAge()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAge(true);
    if (m_conditionAge == null) {
      m_conditionAge = new ConditionAge(getPC());
    }
    try
    {
      m_conditionAge.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionAge;
  }
  
  public void removeConditionAge()
  {
    try
    {
      m_conditionAge.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAge(false);
  }
  
  public ConditionQuantiteAffiliation getConditionQuantiteAffiliation()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionQuantiteAffiliation()) && (m_conditionQuantiteAffiliation == null)) {
      m_conditionQuantiteAffiliation = new ConditionQuantiteAffiliation(getPC());
    }
    return m_conditionQuantiteAffiliation;
  }
  
  public ConditionQuantiteAffiliation createConditionQuantiteAffiliation()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionQuantiteAffiliation(true);
    if (m_conditionQuantiteAffiliation == null) {
      m_conditionQuantiteAffiliation = new ConditionQuantiteAffiliation(getPC());
    }
    try
    {
      m_conditionQuantiteAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionQuantiteAffiliation;
  }
  
  public void removeConditionQuantiteAffiliation()
  {
    try
    {
      m_conditionQuantiteAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionQuantiteAffiliation(false);
  }
  
  public ConditionChomageInvolontaire getConditionChomageInvolontaire()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionChomageInvolontaire()) && (m_conditionChomageInvolontaire == null)) {
      m_conditionChomageInvolontaire = new ConditionChomageInvolontaire(getPC());
    }
    return m_conditionChomageInvolontaire;
  }
  
  public ConditionChomageInvolontaire createConditionChomageInvolontaire()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageInvolontaire(true);
    if (m_conditionChomageInvolontaire == null) {
      m_conditionChomageInvolontaire = new ConditionChomageInvolontaire(getPC());
    }
    try
    {
      m_conditionChomageInvolontaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionChomageInvolontaire;
  }
  
  public void removeConditionChomageInvolontaire()
  {
    try
    {
      m_conditionChomageInvolontaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageInvolontaire(false);
  }
  
  public ConditionActiviteConservee getConditionActiviteConservee()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionActiviteConservee()) && (m_conditionActiviteConservee == null)) {
      m_conditionActiviteConservee = new ConditionActiviteConservee(getPC());
    }
    return m_conditionActiviteConservee;
  }
  
  public ConditionActiviteConservee createConditionActiviteConservee()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionActiviteConservee(true);
    if (m_conditionActiviteConservee == null) {
      m_conditionActiviteConservee = new ConditionActiviteConservee(getPC());
    }
    try
    {
      m_conditionActiviteConservee.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionActiviteConservee;
  }
  
  public void removeConditionActiviteConservee()
  {
    try
    {
      m_conditionActiviteConservee.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionActiviteConservee(false);
  }
  
  public ConditionCumulPrestationFamiliale getConditionCumulPrestationFamiliale()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCumulPrestationFamiliale()) && (m_conditionCumulPrestationFamiliale == null)) {
      m_conditionCumulPrestationFamiliale = new ConditionCumulPrestationFamiliale(getPC());
    }
    return m_conditionCumulPrestationFamiliale;
  }
  
  public ConditionCumulPrestationFamiliale createConditionCumulPrestationFamiliale()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulPrestationFamiliale(true);
    if (m_conditionCumulPrestationFamiliale == null) {
      m_conditionCumulPrestationFamiliale = new ConditionCumulPrestationFamiliale(getPC());
    }
    try
    {
      m_conditionCumulPrestationFamiliale.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCumulPrestationFamiliale;
  }
  
  public void removeConditionCumulPrestationFamiliale()
  {
    try
    {
      m_conditionCumulPrestationFamiliale.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulPrestationFamiliale(false);
  }
  
  public ConditionMontantNonNul getConditionMontantNonNul()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionMontantNonNul()) && (m_conditionMontantNonNul == null)) {
      m_conditionMontantNonNul = new ConditionMontantNonNul(getPC());
    }
    return m_conditionMontantNonNul;
  }
  
  public ConditionMontantNonNul createConditionMontantNonNul()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionMontantNonNul(true);
    if (m_conditionMontantNonNul == null) {
      m_conditionMontantNonNul = new ConditionMontantNonNul(getPC());
    }
    try
    {
      m_conditionMontantNonNul.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionMontantNonNul;
  }
  
  public void removeConditionMontantNonNul()
  {
    try
    {
      m_conditionMontantNonNul.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionMontantNonNul(false);
  }
  
  public ConditionCSRDateAttributionPendantSuspension getConditionCSRDateAttributionPendantSuspension()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCSRDateAttributionPendantSuspension()) && (m_conditionCSRDateAttributionPendantSuspension == null)) {
      m_conditionCSRDateAttributionPendantSuspension = new ConditionCSRDateAttributionPendantSuspension(getPC());
    }
    return m_conditionCSRDateAttributionPendantSuspension;
  }
  
  public ConditionCSRDateAttributionPendantSuspension createConditionCSRDateAttributionPendantSuspension()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSRDateAttributionPendantSuspension(true);
    if (m_conditionCSRDateAttributionPendantSuspension == null) {
      m_conditionCSRDateAttributionPendantSuspension = new ConditionCSRDateAttributionPendantSuspension(getPC());
    }
    try
    {
      m_conditionCSRDateAttributionPendantSuspension.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCSRDateAttributionPendantSuspension;
  }
  
  public void removeConditionCSRDateAttributionPendantSuspension()
  {
    try
    {
      m_conditionCSRDateAttributionPendantSuspension.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSRDateAttributionPendantSuspension(false);
  }
  
  public ConditionCSRAccordCP getConditionCSRAccordCP()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCSRAccordCP()) && (m_conditionCSRAccordCP == null)) {
      m_conditionCSRAccordCP = new ConditionCSRAccordCP(getPC());
    }
    return m_conditionCSRAccordCP;
  }
  
  public ConditionCSRAccordCP createConditionCSRAccordCP()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSRAccordCP(true);
    if (m_conditionCSRAccordCP == null) {
      m_conditionCSRAccordCP = new ConditionCSRAccordCP(getPC());
    }
    try
    {
      m_conditionCSRAccordCP.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCSRAccordCP;
  }
  
  public void removeConditionCSRAccordCP()
  {
    try
    {
      m_conditionCSRAccordCP.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSRAccordCP(false);
  }
  
  public ConditionCSR28Jours getConditionCSR28Jours()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCSR28Jours()) && (m_conditionCSR28Jours == null)) {
      m_conditionCSR28Jours = new ConditionCSR28Jours(getPC());
    }
    return m_conditionCSR28Jours;
  }
  
  public ConditionCSR28Jours createConditionCSR28Jours()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSR28Jours(true);
    if (m_conditionCSR28Jours == null) {
      m_conditionCSR28Jours = new ConditionCSR28Jours(getPC());
    }
    try
    {
      m_conditionCSR28Jours.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCSR28Jours;
  }
  
  public void removeConditionCSR28Jours()
  {
    try
    {
      m_conditionCSR28Jours.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCSR28Jours(false);
  }
  
  public ConditionValiditeReliquat getConditionValiditeReliquat()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionValiditeReliquat()) && (m_conditionValiditeReliquat == null)) {
      m_conditionValiditeReliquat = new ConditionValiditeReliquat(getPC());
    }
    return m_conditionValiditeReliquat;
  }
  
  public ConditionValiditeReliquat createConditionValiditeReliquat()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionValiditeReliquat(true);
    if (m_conditionValiditeReliquat == null) {
      m_conditionValiditeReliquat = new ConditionValiditeReliquat(getPC());
    }
    try
    {
      m_conditionValiditeReliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionValiditeReliquat;
  }
  
  public void removeConditionValiditeReliquat()
  {
    try
    {
      m_conditionValiditeReliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionValiditeReliquat(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */