package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Differe;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.EnsembleCarences;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ConstitutionDelaisGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Periode m_periodeReference91jours;
  private Damj m_debutPMC;
  private Damj m_termePMC;
  private Damj m_debutCarenceICCP;
  private Damj m_termeCarenceICCP;
  private Damj m_debutCarenceISLR;
  private Damj m_termeCarenceISLR;
  private Damj m_debutCarenceDiffere;
  private Damj m_termeCarenceDiffere;
  private Collection m_collectionEnsembleCarencesPrive;
  private Collection m_collectionDelaisReportsPrive;
  
  public ConstitutionDelaisGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionDelaisGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Periode rawGetPeriodeReference91jours()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPeriodeReference91joursConstitutionDelais();
  }
  
  public Periode getPeriodeReference91jours()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPeriodeReference91joursConstitutionDelais();
  }
  
  public void setPeriodeReference91jours(Periode p_periodeReference91jours)
  {
    if ((m_periodeReference91jours == null) || (p_periodeReference91jours == null))
    {
      m_periodeReference91jours = p_periodeReference91jours;
      ((ConstitutionElementsAbstraitPC)getPC()).setPeriodeReference91joursConstitutionDelais(p_periodeReference91jours);
    }
    else if ((m_periodeReference91jours != null) && (p_periodeReference91jours != null) && (!p_periodeReference91jours.equals(m_periodeReference91jours)))
    {
      m_periodeReference91jours = p_periodeReference91jours;
      ((ConstitutionElementsAbstraitPC)getPC()).setPeriodeReference91joursConstitutionDelais(p_periodeReference91jours);
    }
  }
  
  protected int rawGetTypePmc()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTypePmcConstitutionDelais();
  }
  
  public int getTypePmc()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTypePmcConstitutionDelais();
  }
  
  public void setTypePmc(int p_typePmc)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setTypePmcConstitutionDelais(p_typePmc);
  }
  
  protected int rawGetNbJoursPMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursPMCConstitutionDelais();
  }
  
  public int getNbJoursPMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursPMCConstitutionDelais();
  }
  
  public void setNbJoursPMC(int p_nbJoursPMC)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setNbJoursPMCConstitutionDelais(p_nbJoursPMC);
  }
  
  protected Damj rawGetDebutPMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutPMCConstitutionDelais();
  }
  
  public Damj getDebutPMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutPMCConstitutionDelais();
  }
  
  public void setDebutPMC(Damj p_debutPMC)
  {
    if ((m_debutPMC == null) || (p_debutPMC == null))
    {
      m_debutPMC = p_debutPMC;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutPMCConstitutionDelais(p_debutPMC);
    }
    else if ((m_debutPMC != null) && (p_debutPMC != null) && (!p_debutPMC.equals(m_debutPMC)))
    {
      m_debutPMC = p_debutPMC;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutPMCConstitutionDelais(p_debutPMC);
    }
  }
  
  protected Damj rawGetTermePMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermePMCConstitutionDelais();
  }
  
  public Damj getTermePMC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermePMCConstitutionDelais();
  }
  
  public void setTermePMC(Damj p_termePMC)
  {
    if ((m_termePMC == null) || (p_termePMC == null))
    {
      m_termePMC = p_termePMC;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermePMCConstitutionDelais(p_termePMC);
    }
    else if ((m_termePMC != null) && (p_termePMC != null) && (!p_termePMC.equals(m_termePMC)))
    {
      m_termePMC = p_termePMC;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermePMCConstitutionDelais(p_termePMC);
    }
  }
  
  protected int rawGetNbJoursCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceICCPConstitutionDelais();
  }
  
  public int getNbJoursCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceICCPConstitutionDelais();
  }
  
  public void setNbJoursCarenceICCP(int p_nbJoursCarenceICCP)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setNbJoursCarenceICCPConstitutionDelais(p_nbJoursCarenceICCP);
  }
  
  protected Damj rawGetDebutCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceICCPConstitutionDelais();
  }
  
  public Damj getDebutCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceICCPConstitutionDelais();
  }
  
  public void setDebutCarenceICCP(Damj p_debutCarenceICCP)
  {
    if ((m_debutCarenceICCP == null) || (p_debutCarenceICCP == null))
    {
      m_debutCarenceICCP = p_debutCarenceICCP;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceICCPConstitutionDelais(p_debutCarenceICCP);
    }
    else if ((m_debutCarenceICCP != null) && (p_debutCarenceICCP != null) && (!p_debutCarenceICCP.equals(m_debutCarenceICCP)))
    {
      m_debutCarenceICCP = p_debutCarenceICCP;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceICCPConstitutionDelais(p_debutCarenceICCP);
    }
  }
  
  protected Damj rawGetTermeCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceICCPConstitutionDelais();
  }
  
  public Damj getTermeCarenceICCP()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceICCPConstitutionDelais();
  }
  
  public void setTermeCarenceICCP(Damj p_termeCarenceICCP)
  {
    if ((m_termeCarenceICCP == null) || (p_termeCarenceICCP == null))
    {
      m_termeCarenceICCP = p_termeCarenceICCP;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceICCPConstitutionDelais(p_termeCarenceICCP);
    }
    else if ((m_termeCarenceICCP != null) && (p_termeCarenceICCP != null) && (!p_termeCarenceICCP.equals(m_termeCarenceICCP)))
    {
      m_termeCarenceICCP = p_termeCarenceICCP;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceICCPConstitutionDelais(p_termeCarenceICCP);
    }
  }
  
  protected int rawGetNbJoursCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceISLRConstitutionDelais();
  }
  
  public int getNbJoursCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceISLRConstitutionDelais();
  }
  
  public void setNbJoursCarenceISLR(int p_nbJoursCarenceISLR)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setNbJoursCarenceISLRConstitutionDelais(p_nbJoursCarenceISLR);
  }
  
  protected Damj rawGetDebutCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceISLRConstitutionDelais();
  }
  
  public Damj getDebutCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceISLRConstitutionDelais();
  }
  
  public void setDebutCarenceISLR(Damj p_debutCarenceISLR)
  {
    if ((m_debutCarenceISLR == null) || (p_debutCarenceISLR == null))
    {
      m_debutCarenceISLR = p_debutCarenceISLR;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceISLRConstitutionDelais(p_debutCarenceISLR);
    }
    else if ((m_debutCarenceISLR != null) && (p_debutCarenceISLR != null) && (!p_debutCarenceISLR.equals(m_debutCarenceISLR)))
    {
      m_debutCarenceISLR = p_debutCarenceISLR;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceISLRConstitutionDelais(p_debutCarenceISLR);
    }
  }
  
  protected Damj rawGetTermeCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceISLRConstitutionDelais();
  }
  
  public Damj getTermeCarenceISLR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceISLRConstitutionDelais();
  }
  
  public void setTermeCarenceISLR(Damj p_termeCarenceISLR)
  {
    if ((m_termeCarenceISLR == null) || (p_termeCarenceISLR == null))
    {
      m_termeCarenceISLR = p_termeCarenceISLR;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceISLRConstitutionDelais(p_termeCarenceISLR);
    }
    else if ((m_termeCarenceISLR != null) && (p_termeCarenceISLR != null) && (!p_termeCarenceISLR.equals(m_termeCarenceISLR)))
    {
      m_termeCarenceISLR = p_termeCarenceISLR;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceISLRConstitutionDelais(p_termeCarenceISLR);
    }
  }
  
  protected int rawGetNbJoursCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceDiffereConstitutionDelais();
  }
  
  public int getNbJoursCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNbJoursCarenceDiffereConstitutionDelais();
  }
  
  public void setNbJoursCarenceDiffere(int p_nbJoursCarenceDiffere)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setNbJoursCarenceDiffereConstitutionDelais(p_nbJoursCarenceDiffere);
  }
  
  protected Damj rawGetDebutCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceDiffereConstitutionDelais();
  }
  
  public Damj getDebutCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDebutCarenceDiffereConstitutionDelais();
  }
  
  public void setDebutCarenceDiffere(Damj p_debutCarenceDiffere)
  {
    if ((m_debutCarenceDiffere == null) || (p_debutCarenceDiffere == null))
    {
      m_debutCarenceDiffere = p_debutCarenceDiffere;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceDiffereConstitutionDelais(p_debutCarenceDiffere);
    }
    else if ((m_debutCarenceDiffere != null) && (p_debutCarenceDiffere != null) && (!p_debutCarenceDiffere.equals(m_debutCarenceDiffere)))
    {
      m_debutCarenceDiffere = p_debutCarenceDiffere;
      ((ConstitutionElementsAbstraitPC)getPC()).setDebutCarenceDiffereConstitutionDelais(p_debutCarenceDiffere);
    }
  }
  
  protected Damj rawGetTermeCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceDiffereConstitutionDelais();
  }
  
  public Damj getTermeCarenceDiffere()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTermeCarenceDiffereConstitutionDelais();
  }
  
  public void setTermeCarenceDiffere(Damj p_termeCarenceDiffere)
  {
    if ((m_termeCarenceDiffere == null) || (p_termeCarenceDiffere == null))
    {
      m_termeCarenceDiffere = p_termeCarenceDiffere;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceDiffereConstitutionDelais(p_termeCarenceDiffere);
    }
    else if ((m_termeCarenceDiffere != null) && (p_termeCarenceDiffere != null) && (!p_termeCarenceDiffere.equals(m_termeCarenceDiffere)))
    {
      m_termeCarenceDiffere = p_termeCarenceDiffere;
      ((ConstitutionElementsAbstraitPC)getPC()).setTermeCarenceDiffereConstitutionDelais(p_termeCarenceDiffere);
    }
  }
  
  private final Collection getCollectionModifiableEnsembleCarences()
  {
    Iterator itCollectionPC;
    if (m_collectionEnsembleCarencesPrive == null)
    {
      m_collectionEnsembleCarencesPrive = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionEnsembleCarences().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_collectionEnsembleCarencesPrive.add(currentOM);
      }
    }
    return m_collectionEnsembleCarencesPrive;
  }
  
  public Collection getCollectionEnsembleCarences()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableEnsembleCarences());
  }
  
  public List getListEnsembleCarences()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableEnsembleCarences());
  }
  
  public void remplacerCollectionEnsembleCarences(Collection p_collectionACopier)
  {
    clearCollectionEnsembleCarences();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      EnsembleCarences objet = (EnsembleCarences)i.next();
      ajouterEnsembleCarences(objet);
    }
  }
  
  public void supprimerSousCollectionEnsembleCarences(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      EnsembleCarences objet = (EnsembleCarences)i.next();
      supprimerEnsembleCarences(objet);
    }
  }
  
  public void ajouterEnsembleCarences(EnsembleCarences p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionModifiableEnsembleCarences().add(p_ensembleCarencesConstitutionDelais);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterEnsembleCarences(p_ensembleCarencesConstitutionDelais.getPC());
  }
  
  public void supprimerEnsembleCarences(EnsembleCarences p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionModifiableEnsembleCarences().remove(p_ensembleCarencesConstitutionDelais);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerEnsembleCarences(p_ensembleCarencesConstitutionDelais.getPC());
  }
  
  public void recopierCollectionEnsembleCarencesVers(ObjetMetierSpec p_copie)
  {
    ConstitutionDelaisGen copie = (ConstitutionDelaisGen)p_copie;
    Collection listeACopier = getCollectionEnsembleCarences();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterEnsembleCarences((EnsembleCarences)objet);
    }
  }
  
  public void clearCollectionEnsembleCarences()
  {
    getCollectionModifiableEnsembleCarences().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionEnsembleCarences().clear();
  }
  
  private final Collection getCollectionModifiableDelaisReports()
  {
    Iterator itCollectionPC;
    if (m_collectionDelaisReportsPrive == null)
    {
      m_collectionDelaisReportsPrive = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionDelaisReports().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_collectionDelaisReportsPrive.add(currentOM);
      }
    }
    return m_collectionDelaisReportsPrive;
  }
  
  public Collection getCollectionDelaisReports()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableDelaisReports());
  }
  
  public List getListDelaisReports()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableDelaisReports());
  }
  
  public void remplacerCollectionDelaisReports(Collection p_collectionACopier)
  {
    clearCollectionDelaisReports();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      Differe objet = (Differe)i.next();
      ajouterDelaisReports(objet);
    }
  }
  
  public void supprimerSousCollectionDelaisReports(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      Differe objet = (Differe)i.next();
      supprimerDelaisReports(objet);
    }
  }
  
  public void ajouterDelaisReports(Differe p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionModifiableDelaisReports().add(p_delaisReportsConstitutionDelais);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterDelaisReports(p_delaisReportsConstitutionDelais.getPC());
  }
  
  public void supprimerDelaisReports(Differe p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionModifiableDelaisReports().remove(p_delaisReportsConstitutionDelais);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerDelaisReports(p_delaisReportsConstitutionDelais.getPC());
  }
  
  public void recopierCollectionDelaisReportsVers(ObjetMetierSpec p_copie)
  {
    ConstitutionDelaisGen copie = (ConstitutionDelaisGen)p_copie;
    Collection listeACopier = getCollectionDelaisReports();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterDelaisReports((Differe)objet);
    }
  }
  
  public void clearCollectionDelaisReports()
  {
    getCollectionModifiableDelaisReports().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionDelaisReports().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionEnsembleCarences().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionDelaisReports().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setPeriodeReference91jours(null);
    setTypePmc(1);
    setNbJoursPMC(0);
    setDebutPMC(null);
    setTermePMC(null);
    setNbJoursCarenceICCP(0);
    setDebutCarenceICCP(null);
    setTermeCarenceICCP(null);
    setNbJoursCarenceISLR(0);
    setDebutCarenceISLR(null);
    setTermeCarenceISLR(null);
    setNbJoursCarenceDiffere(0);
    setDebutCarenceDiffere(null);
    setTermeCarenceDiffere(null);
    for (Iterator iter = getCollectionEnsembleCarences().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionEnsembleCarences();
    for (Iterator iter = getCollectionDelaisReports().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionDelaisReports();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionDelaisGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */