package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.SjrActiviteConservee;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class SjcipGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private QuantiteEuro m_plafond;
  private QuantiteEuro m_sjcInitial;
  private Damj m_dateEvenement;
  private Collection m_listeSjrActiviteConservee;
  
  public SjcipGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public SjcipGen() {}
  
  public SjcipGen(Damj p_dateEffet)
  {
    super(p_dateEffet);
  }
  
  protected QuantiteEuro rawGetPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPlafondConstitutionSjc();
  }
  
  public QuantiteEuro getPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPlafondConstitutionSjc();
  }
  
  public void setPlafond(QuantiteEuro p_plafond)
  {
    if ((m_plafond == null) || (p_plafond == null))
    {
      m_plafond = p_plafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setPlafondConstitutionSjc(p_plafond);
    }
    else if ((m_plafond != null) && (p_plafond != null) && (!p_plafond.equals(m_plafond)))
    {
      m_plafond = p_plafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setPlafondConstitutionSjc(p_plafond);
    }
  }
  
  protected QuantiteEuro rawGetSjcInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjcInitialConstitutionSjc();
  }
  
  public QuantiteEuro getSjcInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjcInitialConstitutionSjc();
  }
  
  public void setSjcInitial(QuantiteEuro p_sjcInitial)
  {
    if ((m_sjcInitial == null) || (p_sjcInitial == null))
    {
      m_sjcInitial = p_sjcInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjcInitialConstitutionSjc(p_sjcInitial);
    }
    else if ((m_sjcInitial != null) && (p_sjcInitial != null) && (!p_sjcInitial.equals(m_sjcInitial)))
    {
      m_sjcInitial = p_sjcInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjcInitialConstitutionSjc(p_sjcInitial);
    }
  }
  
  protected Damj rawGetDateEvenement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateEvenementConstitutionSjc();
  }
  
  public Damj getDateEvenement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateEvenementConstitutionSjc();
  }
  
  public void setDateEvenement(Damj p_dateEvenement)
  {
    if ((m_dateEvenement == null) || (p_dateEvenement == null))
    {
      m_dateEvenement = p_dateEvenement;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateEvenementConstitutionSjc(p_dateEvenement);
    }
    else if ((m_dateEvenement != null) && (p_dateEvenement != null) && (!p_dateEvenement.equals(m_dateEvenement)))
    {
      m_dateEvenement = p_dateEvenement;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateEvenementConstitutionSjc(p_dateEvenement);
    }
  }
  
  private final Collection getCollectionModifiableSjrActiviteConservee()
  {
    Iterator itCollectionPC;
    if (m_listeSjrActiviteConservee == null)
    {
      m_listeSjrActiviteConservee = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionSjrActiviteConservee().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeSjrActiviteConservee.add(currentOM);
      }
    }
    return m_listeSjrActiviteConservee;
  }
  
  public Collection getCollectionSjrActiviteConservee()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableSjrActiviteConservee());
  }
  
  public List getListSjrActiviteConservee()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableSjrActiviteConservee());
  }
  
  public void remplacerCollectionSjrActiviteConservee(Collection p_collectionACopier)
  {
    clearCollectionSjrActiviteConservee();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      SjrActiviteConservee objet = (SjrActiviteConservee)i.next();
      ajouterSjrActiviteConservee(objet);
    }
  }
  
  public void supprimerSousCollectionSjrActiviteConservee(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      SjrActiviteConservee objet = (SjrActiviteConservee)i.next();
      supprimerSjrActiviteConservee(objet);
    }
  }
  
  public void ajouterSjrActiviteConservee(SjrActiviteConservee p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionModifiableSjrActiviteConservee().add(p_sjrActiviteConserveeConstitutionSjc);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterSjrActiviteConservee(p_sjrActiviteConserveeConstitutionSjc.getPC());
  }
  
  public void supprimerSjrActiviteConservee(SjrActiviteConservee p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionModifiableSjrActiviteConservee().remove(p_sjrActiviteConserveeConstitutionSjc);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerSjrActiviteConservee(p_sjrActiviteConserveeConstitutionSjc.getPC());
  }
  
  public void recopierCollectionSjrActiviteConserveeVers(ObjetMetierSpec p_copie)
  {
    SjcipGen copie = (SjcipGen)p_copie;
    Collection listeACopier = getCollectionSjrActiviteConservee();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterSjrActiviteConservee((SjrActiviteConservee)objet);
    }
  }
  
  public void clearCollectionSjrActiviteConservee()
  {
    getCollectionModifiableSjrActiviteConservee().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionSjrActiviteConservee().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    for (Iterator iter = getCollectionSjrActiviteConservee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    super.initEnProfondeur();
    
    setPlafond(null);
    setSjcInitial(null);
    setDateEvenement(null);
    for (Iterator iter = getCollectionSjrActiviteConservee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionSjrActiviteConservee();
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     SjcipGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */