package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.outilsfonctionnels.AppelCalculParLiquidationAsu;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontantAsp;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;

public class DeterminationMontantBrut
{
  public static DeterminationMontantBrut getInstance()
  {
    return new DeterminationMontantBrut();
  }
  
  public void determinerMontantsBruts(Demande p_demande)
    throws CoucheLogiqueException
  {
    Attribution attributionCourante = (Attribution)p_demande.getDossierExamen();
    
    attributionCourante.getConstitutionElementsActifs().createConstitutionMontantsBruts();
    
    DonneesEntreesRecuperationMontant donneesEntrees = ((GammeAsuSpec)attributionCourante.getGamme()).mapperDonneesEntreesRecuperationMontant(attributionCourante);
    
    donneesEntrees.setDateCalculMontant(attributionCourante.getDateEffet());
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ARECOURCSP")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "AREENTRCSP")))
    {
      donneesEntrees.getDonneesCalculMontant().setProduit(attributionCourante.getProduitExecution());
      donneesEntrees.getDonneesCalculMontantAsp().setProduitAreSousJacent(attributionCourante.getProduit());
    }
    MontantAsuSpec montantAAttribution = DeterminationMontant.determinerMontant(donneesEntrees);
    
    alimenterResultatCepa(montantAAttribution, attributionCourante);
  }
  
  private void alimenterResultatCepa(MontantAsuSpec p_montant, Attribution p_attribution)
    throws CoucheLogiqueException
  {
    ConstitutionMontantsBruts resultatCepa = p_attribution.getConstitutionMontantsBruts();
    
    resultatCepa.setMontantAAttribution(p_montant);
    
    resultatCepa.setMontantJournalierBrut(p_montant.getMontantPrecompteEffectif());
    
    resultatCepa.setMontantBrutSansDeduction(p_montant.getMontantBrut());
    if (p_montant != null)
    {
      resultatCepa.setMontantBase(p_montant.getBase());
      resultatCepa.setMontantMini(p_montant.getMini());
      resultatCepa.setMontantPlafond(p_montant.getPlafond());
      resultatCepa.setMontantPlancher(p_montant.getPlancher());
      resultatCepa.setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
      resultatCepa.setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
      resultatCepa.setMontantJournalierAvantageVieillesse(p_montant.getMontantJournalierAvantageVieillesse());
      resultatCepa.setMontantJournalierAvantageVieillesseDeduit(p_montant.getMontantJournalierAvantageVieillesseDeduit());
      resultatCepa.setCrc(p_montant.getCrc());
    }
    Quantite nbJourIndemnisesTheorique = p_attribution.getConstitutionDurees().getDureeIndemnisation().getDureeTheorique();
    Quantite capitalProduitCourant = AppelCalculParLiquidationAsu.calculerCapital(p_attribution, p_montant, p_attribution.getDateAttribution(), nbJourIndemnisesTheorique);
    
    resultatCepa.setCapitalInitialBrut(capitalProduitCourant);
  }
}

/* Location:
 * Qualified Name:     DeterminationMontantBrut
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */