package fr.unedic.cali.asu.cge01.p03.migration.graphes;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Decision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Prc;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Rejet;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.autresdoms.cohab.dom.CodesErreursMigration;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.Parametres;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cohabitation.sigma.migration.dom.DecisionMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeV1;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Chronologie;
import java.util.ArrayList;
import java.util.Collection;

public class GrapheRejet
  extends GrapheDecision
{
  protected void creerCaps(DossierExamen dossierExamen) {}
  
  protected void creerCeps(DossierExamen dossierExamen) {}
  
  protected Decision creerDecision(int natureDecision)
  {
    Decision nouvelleDecision = null;
    
    nouvelleDecision = new Rejet();
    nouvelleDecision.setNatureDecision(16);
    
    return nouvelleDecision;
  }
  
  protected DossierAffectation creerDossierAffectation()
  {
    DossierAffectation dossierAffectation = new DossierAffecte(1);
    
    return dossierAffectation;
  }
  
  protected ObjectifExamen creerObjectifDecision(DemandeMigreeAsuV1 demandeTemporaireSource)
  {
    ObjectifExamen objectifExamen = null;
    
    ProduitAsuSpec produitAsu = (ProduitAsuSpec)Parametres.getProduit(demandeTemporaireSource.getCodeProduit());
    
    objectifExamen = (ObjectifExamen)produitAsu.creerObjectifExamen(10, null);
    objectifExamen.setEtat(22);
    
    return objectifExamen;
  }
  
  protected Collection getListRecalcule()
  {
    return new ArrayList();
  }
  
  protected void alimenterValidationProduit(DemandeMigreeAsuV1 demandeTemporaireSource, Decision decision)
  {
    DecisionMigreeAsuV1 decisionTemporaireSource = demandeTemporaireSource.getDecision();
    switch (decisionTemporaireSource.getCodeRejet())
    {
    case 91: 
    case 92: 
    case 93: 
      ((DossierAffectation)decision.getDossierAffecte()).setValidationProduit(new ValidationProduit());
      
      super.alimenterValidationProduit(demandeTemporaireSource, decision);
      break;
    default: 
      ((DossierAffecte)decision.getDossierAffecte()).setProduitSecours(Parametres.getProduit(demandeTemporaireSource.getCodeProduit()));
      
      ((DossierAffecte)decision.getDossierAffecte()).setValidationProduit(new ValidationProduit());
      alimenterReglementApplicable(demandeTemporaireSource, decision);
    }
  }
  
  protected void alimenterCaps(DecisionMigreeAsuV1 decisionTemporaireSource, DossierExamen dossierExamen)
  {
    ConditionAttributionSpec capEchec = null;
    
    dossierExamen.getDemande().setCodeMotifEchecPourSigma(Integer.valueOf(decisionTemporaireSource.getCodeRejet()).toString());
    switch (decisionTemporaireSource.getCodeRejet())
    {
    case 11: 
      capEchec = dossierExamen.createConditionRechercheEmploi();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 21: 
      break;
    case 41: 
    case 42: 
    case 43: 
    case 44: 
    case 45: 
      capEchec = dossierExamen.createConditionFaitGenerateur();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 51: 
      capEchec = dossierExamen.createConditionChomageTotal();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 61: 
    case 62: 
    case 63: 
    case 64: 
    case 625: 
      capEchec = dossierExamen.createConditionAge();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 71: 
      capEchec = dossierExamen.createConditionQuantiteAffiliation();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      
      ConditionQuantiteAffiliation capaQteAffi = (ConditionQuantiteAffiliation)capEchec;
      alimenterQuantiteAffiliationEchec(capaQteAffi, decisionTemporaireSource);
      break;
    case 91: 
    case 92: 
      capEchec = dossierExamen.createConditionChomageInvolontaire();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      
      capEchec = dossierExamen.createConditionFaitGenerateur();
      capEchec.setEtatSatisfait(true);
      alimenterConditionFaitGenerateur(decisionTemporaireSource, dossierExamen);
      
      capEchec = dossierExamen.createConditionQuantiteAffiliation();
      capEchec.setEtatSatisfait(true);
      
      break;
    case 93: 
      capEchec = dossierExamen.createConditionChomageInvolontaire();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      
      capEchec = dossierExamen.createConditionFaitGenerateur();
      capEchec.setEtatSatisfait(true);
      alimenterConditionFaitGenerateur(decisionTemporaireSource, dossierExamen);
      
      Demande demande = (Demande)dossierExamen.getDemande();
      demande.getDonneesTemporaires().setAvisCommissionParitaire((short)2);
      
      capEchec = dossierExamen.createConditionQuantiteAffiliation();
      capEchec.setEtatSatisfait(true);
      
      break;
    case 121: 
    case 122: 
      capEchec = dossierExamen.createConditionActiviteConservee();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 171: 
    case 172: 
      capEchec = dossierExamen.createConditionCumulPrestationFamiliale();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    case 181: 
      capEchec = dossierExamen.createConditionMontantNonNul();
      capEchec.setEtatSatisfait(false);
      capEchec.setCodeMotifEchec(decisionTemporaireSource.getCodeRejet());
      break;
    default: 
      getListeErreurs().add(CodesErreursMigration.getErreur(3, "LIQ_ASU_MOTIF_REJET"));
    }
  }
  
  protected void alimenterQuantiteAffiliationEchec(ConditionQuantiteAffiliation conditionQuantiteAffiliation, DecisionMigreeAsuV1 decisionTemporaireSource)
  {
    if (decisionTemporaireSource.getQteAffiliation1() == null) {
      getListeErreurs().add(CodesErreursMigration.getErreur(3, "LIQ_ASU_QTE_AFFI_1"));
    }
    if (decisionTemporaireSource.getUniteAffiliation1() == null) {
      getListeErreurs().add(CodesErreursMigration.getErreur(3, "LIQ_ASU_UNITE_AFFI_1"));
    }
    if ((decisionTemporaireSource.getQteAffiliation1() != null) && (decisionTemporaireSource.getUniteAffiliation1() != null))
    {
      Unite uniteAffiliation1 = null;
      try
      {
        uniteAffiliation1 = Unite.getParCode(decisionTemporaireSource.getUniteAffiliation1());
      }
      catch (NullPointerException e) {}
      if (uniteAffiliation1 == null) {
        getListeErreurs().add(CodesErreursMigration.getErreur(3, "LIQ_ASU_UNITE_AFFI_1", decisionTemporaireSource.getUniteAffiliation1()));
      } else {
        conditionQuantiteAffiliation.setQuantiteAppartenance(new Quantite(decisionTemporaireSource.getQteAffiliation1(), uniteAffiliation1));
      }
    }
    if (decisionTemporaireSource.getQteAffiliation2() == null) {
      getListeErreurs().add(CodesErreursMigration.getErreur(2, "LIQ_ASU_QTE_AFFI_2"));
    }
    if (decisionTemporaireSource.getUniteAffiliation2() == null) {
      getListeErreurs().add(CodesErreursMigration.getErreur(2, "LIQ_ASU_UNITE_AFFI_2"));
    }
    if ((decisionTemporaireSource.getQteAffiliation2() != null) && (decisionTemporaireSource.getUniteAffiliation2() != null))
    {
      Unite uniteAffiliation2 = null;
      try
      {
        uniteAffiliation2 = Unite.getParCode(decisionTemporaireSource.getUniteAffiliation2());
      }
      catch (NullPointerException e) {}
      if (uniteAffiliation2 == null) {
        getListeErreurs().add(CodesErreursMigration.getErreur(3, "LIQ_ASU_UNITE_AFFI_2"));
      } else {
        conditionQuantiteAffiliation.setQuantiteAppartenanceSecondaire(new Quantite(decisionTemporaireSource.getQteAffiliation2(), uniteAffiliation2));
      }
    }
  }
  
  protected void alimenterCeps(DecisionMigreeAsuV1 decisionTemporaireSource, DossierExamen dossierExamen) {}
  
  protected void alimenterIdentifiant(DecisionMigreeAsuV1 decisionTemporaireSource, Decision decisionInstallee) {}
  
  protected void alimenterDonneesImposees(DemandeMigreeV1 demandeV1, DemandeSpec demande) {}
  
  public DemandeMigreeV1 lireDonnees(DemandeSpec demande)
  {
    DemandeMigreeAsuV1 demandeLue = (DemandeMigreeAsuV1)super.lireDonnees(demande);
    
    DecisionMigreeAsuV1 decisionLue = demandeLue.getDecision();
    
    Demande demandeAsu = (Demande)demande;
    Decision decision = (Decision)demandeAsu.getDossierAffectation().getDossierExamen();
    
    lireValidationProduit(decision, decisionLue);
    
    lireDecision(decision, decisionLue);
    
    lireDonneesSimples(decision, decisionLue);
    
    lireCompetences(decision, decisionLue);
    
    return demandeLue;
  }
  
  protected void lireValidationProduit(Decision decision, DecisionMigreeAsuV1 decisionLue)
  {
    ProduitSpec produitSpec = ((DossierAffecte)decision.getDossierAffecte()).getProduitSecours();
    decisionLue.getDemandeMigree().setCodeProduit(produitSpec.getNomUnique());
  }
  
  protected void lireIdentifiant(Decision decision, DecisionMigreeAsuV1 decisionLue) {}
  
  protected void lireCaps(Decision decision, DecisionMigreeAsuV1 decisionLue) {}
  
  protected void lireCeps(Decision decision, DecisionMigreeAsuV1 decisionLue) {}
  
  protected Chronologie getChronoActivitesConservees(DossierExamen dossierExamen)
  {
    return null;
  }
  
  protected Prc getPrcSjr(DossierExamen dossierExamen)
  {
    return null;
  }
  
  private void alimenterReglementApplicable(DemandeMigreeAsuV1 demandeTemporaireSource, Decision decision)
  {
    ValidationProduit validationProduit = ((DossierAffecte)decision.getDossierAffecte()).getValidationProduit();
    
    ProduitSpec produit = Parametres.getProduit(demandeTemporaireSource.getCodeProduit());
    validationProduit.setProduitValide(produit);
    if ((demandeTemporaireSource.getDecision().getReglementApplicable() != null) || (produit.getReglement(demandeTemporaireSource.getDecision().getReglementApplicable()) != null)) {
      validationProduit.setReglementApplicable(produit.getReglement(demandeTemporaireSource.getDecision().getReglementApplicable()));
    } else {
      getListeErreurs().add(CodesErreursMigration.getErreur(2, "LIQ_ASU_RA"));
    }
  }
}

/* Location:
 * Qualified Name:     GrapheRejet
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */