package fr.unedic.cali.asu.cge01.p05.liquidation.dom;

import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDateAttributionCsr;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDateAttributionFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDelaisFinDeDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDelaisReportsReprise;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDelaisReportsRepriseCsr;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeEffectiveReprise;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeEffectiveRepriseCsr;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeEffectiveReprisePmvs;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeReglementaireRepriseAdhesionVolontaire;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeReglementaireRepriseRevision;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionPointDeDepartFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationCompetencesReprise;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationCondition28JoursSuspension;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionAccordCP;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionChomageInvolontaireReprise;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionCumulActiviteConserveeReprise;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDetecterContributionParticuliereContexteEntreeCsp;
import fr.unedic.cali.asu.cge01.liquidation.parcours.VerifierConditionSurFinDispositifReclassement;
import fr.unedic.cali.asu.cge01.liquidation.parcours.cep02dureeRegl.asp.ConstitutionDureePostPrime;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionDateAttributionReprise;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionMontantsBrutsReprise;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionDureeNonNulle;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
{
  private static final long serialVersionUID = -2603744178994985619L;
  
  public ObjectifExamenReprise(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenReprise() {}
  
  public ObjectifExamenReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    setContexteDemande(contexteDemande);
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenReprise copie = new ObjectifExamenReprise();
    copieElements(copie);
    return copie;
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "AREENTRCSP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ARESJASPDC")) || (OutilGestionContexteDemande.estContextePresentDansRegroupement(getContexteDemande(), 9))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionChomageInvolontaireReprise();
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return null;
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    Parcours parcours = null;
    if (OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(getContexteDemande()))
    {
      parcours = new ConstitutionDureeEffectiveRepriseCsr();
    }
    else
    {
      if (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 2) != null) {
        return new ConstitutionDureeEffectiveReprisePmvs();
      }
      parcours = new ConstitutionDureeEffectiveReprise();
    }
    return parcours;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return new DeterminationCompetencesReprise();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    if ((getContexteDemande() != null) && ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINASPVOL")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ACTIMPREL")))) {
      return new ConstitutionDureeReglementaireRepriseAdhesionVolontaire();
    }
    return new ConstitutionDureeReglementaireRepriseRevision();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    if (OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(getContexteDemande())) {
      return new ConstitutionDateAttributionCsr();
    }
    if (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null) {
      return new ConstitutionDateAttributionFinDroit();
    }
    return new ConstitutionDateAttributionReprise();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    if (getContexteDemande() != null)
    {
      if (OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(getContexteDemande())) {
        return new ConstitutionDelaisReportsRepriseCsr();
      }
      boolean estEnCoursPapDcParlementaire = (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "PAPDC")) && (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "PAPPARLEM"));
      if (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null) {
        return new ConstitutionDelaisFinDeDroit();
      }
      if (((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "AREENTRCSP")) && (!OutilGestionContexteDemande.estContextePresentDansRegroupement(getContexteDemande(), 10))) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ASPDC")) || (estEnCoursPapDcParlementaire)) {
        return null;
      }
    }
    return new ConstitutionDelaisReportsReprise();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBrutsReprise();
  }
  
  public Parcours creerParcoursConditionCsrAccordCp()
  {
    if (OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(getContexteDemande())) {
      return new DeterminationConditionAccordCP();
    }
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerParcoursCondition28JSuspension()
  {
    if (OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(getContexteDemande())) {
      return new DeterminationCondition28JoursSuspension();
    }
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null) {
      return new ConstitutionPointDeDepartFinDroit();
    }
    return super.creerParcoursPointDeDepart();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    if (getContexteDemande() != null)
    {
      if ((OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ARESJASPDC"))) {
        return null;
      }
      if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "AREENTRCSP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ARECOURCSP"))) {
        return getObjectifProduitActif().creerParcoursConditionRechercheEmploi();
      }
    }
    return super.creerParcoursConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null) {
      return new DeterminationConditionDureeNonNulle();
    }
    return null;
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    if ((getContexteDemande() != null) && ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATPBASC")) || (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null))) {
      return new VerifierConditionSurFinDispositifReclassement(super.creerParcoursConditionCumulPrestationFamiliale());
    }
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(getContexteDemande(), 7)) {
      return new ParcoursTraitementSatisfait();
    }
    return super.creerParcoursConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    if ((getContexteDemande() != null) && ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATPBASC")) || (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null))) {
      return new VerifierConditionSurFinDispositifReclassement(super.creerParcoursConditionMontant());
    }
    return super.creerParcoursConditionMontant();
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    if ((getContexteDemande() != null) && ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "FINATPBASC")) || (OutilGestionContexteDemande.trouverUnContextePresent(getContexteDemande(), 5) != null))) {
      return new VerifierConditionSurFinDispositifReclassement(new DeterminationConditionCumulActiviteConserveeReprise());
    }
    if ((getContexteDemande() != null) && (OutilGestionContexteDemande.estContextePresentDansRegroupement(getContexteDemande(), 7))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionCumulActiviteConserveeReprise();
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return new ConstitutionDateLimiteIndemnisation();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande demande)
  {
    return new ParcoursDetecterContributionParticuliereContexteEntreeCsp();
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return new ConstitutionDureePostPrime();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */