package fr.unedic.cali.asu.cge01.p6b.calcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.calcul.FacadeCalculLigneImpl;
import fr.unedic.cali.asu.cge01.calcul.FacadeCalculLigneSansTrancheImpl;
import fr.unedic.cali.asu.cge01.p6b.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsTrancheCalcul;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;

public class FacadeCalculProduitImpl
  extends FacadeCalculLigneImpl
{
  public QualificationPeriodes qualificationPeriodes(ChronologiePeriodes p_chronologiePeriodes, AttributionSpec p_attribution, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    return new Qualification().qualificationPeriodes(p_chronologiePeriodes, p_attribution);
  }
  
  public ConstituantsIndemnisation creationConstituantsIndemnisation(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeCalculLigneSansTrancheImpl.getInstance().creationConstituantsIndemnisation(p_attribution);
    }
    return super.creationConstituantsIndemnisation(p_attribution);
  }
  
  public ConstituantsCalculActiviteReduiteSpec creationConstituantsCalculActiviteReduite(AttributionSpec p_attribution, ContexteUT p_contexteUT, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeCalculLigneSansTrancheImpl.getInstance().creationConstituantsCalculActiviteReduite(p_attribution, p_contexteUT, p_constituantsIndemnisation);
    }
    return super.creationConstituantsCalculActiviteReduite(p_attribution, p_contexteUT, p_constituantsIndemnisation);
  }
  
  public void initialiseElementBaseIndemnisationCourante(ConstituantsIndemnisation p_constituantsIndemnisation, AttributionSpec p_attribution, Periode p_periodeUT)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      FacadeCalculLigneSansTrancheImpl.getInstance().initialiseElementBaseIndemnisationCourante(p_constituantsIndemnisation, p_attribution, p_periodeUT);
    } else {
      super.initialiseElementBaseIndemnisationCourante(p_constituantsIndemnisation, p_attribution, p_periodeUT);
    }
  }
  
  public void miseAJourConstituantsIndemnisationADate(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_date, ChronologiePeriodes p_chronologiePeriodesSanctions)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      FacadeCalculLigneSansTrancheImpl.getInstance().miseAJourConstituantsIndemnisationADate(p_attribution, p_constituantsIndemnisation, p_date, p_chronologiePeriodesSanctions);
    } else {
      super.miseAJourConstituantsIndemnisationADate(p_attribution, p_constituantsIndemnisation, p_date, p_chronologiePeriodesSanctions);
    }
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAjourConstituantsCalculActiviteReduite(AttributionSpec p_attribution, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, Damj p_dateDeMiseAjour, ConstituantsIndemnisation p_constituantIndemnisation)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeCalculLigneSansTrancheImpl.getInstance().miseAjourConstituantsCalculActiviteReduite(p_attribution, p_constituantsCalculActiviteReduite, p_dateDeMiseAjour, p_constituantIndemnisation);
    }
    return super.miseAjourConstituantsCalculActiviteReduite(p_attribution, p_constituantsCalculActiviteReduite, p_dateDeMiseAjour, p_constituantIndemnisation);
  }
  
  public Damj recupererDateFinDroitTheorique(CalendrierExecutionCalculSpec p_calendrierExecutionCalcul, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeCalculLigneSansTrancheImpl.getInstance().recupererDateFinDroitTheorique(p_calendrierExecutionCalcul, p_attribution);
    }
    return super.recupererDateFinDroitTheorique(p_calendrierExecutionCalcul, p_attribution);
  }
  
  public void traitementPeriodeSegmentante(AttributionSpec p_attribution, ObjetChronoPeriode p_periode, ConstituantsIndemnisation p_constituantsIndemnisation, UniteTraitement p_ut, PeriodeAnalyseSpec p_pa, ArretProduitAvecRaison p_arretProduitAvecRaison, ChronologiePeriodes p_periodesAnalyses)
    throws ApplicativeException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      FacadeCalculLigneSansTrancheImpl.getInstance().traitementPeriodeSegmentante(p_attribution, p_periode, p_constituantsIndemnisation, p_ut, p_pa, p_arretProduitAvecRaison, p_periodesAnalyses);
    } else {
      super.traitementPeriodeSegmentante(p_attribution, p_periode, p_constituantsIndemnisation, p_ut, p_pa, p_arretProduitAvecRaison, p_periodesAnalyses);
    }
  }
  
  protected void determinerMontantPensionInvaliditeADeduire(ElementBaseIndemnisation p_ebi, IndividuSpec p_individu, Damj p_date, Damj p_dateAttribution)
    throws CoucheLogiqueException
  {
    super.determinerMontantPensionInvaliditeADeduire(p_ebi, p_individu, p_date, p_dateAttribution);
  }
  
  public ChronologiePeriodes recupererPeriodesProduit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeCalculLigneSansTrancheImpl.getInstance().recupererPeriodesProduit(p_attribution);
    }
    return super.recupererPeriodesProduit(p_attribution);
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */