package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.parcours.AffectationDemandeASUClassique;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursLiquidationAssuranceFinancement;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieSurMemeContratGAEC;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatServiceDemande;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import java.util.Iterator;

public class ParcoursLiquidationDemandeSousJacentePourFct
  extends ParcoursLiquidationAssuranceFinancement
{
  protected void initialisationPasseProfessionnelLiquidation(Contexte p_contexte)
  {
    IndividuSpec individu = getIndividu(p_contexte);
    Demande demande = getDemandeAsu(p_contexte);
    
    ChronologiePeriodes chronoRevision = new ChronologiePeriodes();
    
    ChronologiePeriodes passePro = demande.getDemandeur().getChronoPeriodePasseProfessionnel();
    Chronologie memeContrat = passePro.copier(new FiltreActiviteSalarieSurMemeContratGAEC(demande.getDonneesTemporaires().getPeriodeRevision()));
    for (Iterator<?> emploiSurMemeContratGaec = memeContrat.iterer(); emploiSurMemeContratGaec.hasNext();)
    {
      TravailSpec periode = (TravailSpec)emploiSurMemeContratGaec.next();
      chronoRevision.ajouter(periode);
    }
    individu.setChronoPeriodePasseProfessionnelLiquidationRevision(chronoRevision);
  }
  
  protected void verifierPreconditions(Contexte p_contexte)
    throws CoucheLogiqueException
  {}
  
  protected void verifierPrescription(DemandeSpec p_demande)
    throws CoucheLogiqueException
  {}
  
  protected void affecterProduit(Contexte p_contexte)
    throws ApplicativeException
  {
    Parcours parcours = new AffectationDemandeASUClassique();
    parcours.effectuerParcours(p_contexte);
  }
  
  protected void determinerContexteExamen(Contexte p_contexte)
    throws ApplicativeException
  {
    Demande demande = getDemandeAsu(p_contexte);
    
    getDom(p_contexte).setContexteExamen(1);
    getDom(p_contexte).setCauseNonValidite(0);
    
    demande.getDonneesTemporaires().setPrimoDemandeurA3A4A5Renseignee(true);
  }
  
  protected void determinerCREMModificationLiquidation(Contexte p_contexte, ResultatServiceDemande p_resultatServiceDemande)
    throws ApplicativeException
  {}
  
  protected void proposerAttribution(Contexte p_contexte)
    throws ApplicativeException
  {
    Demande demande = getDemandeAsu(p_contexte);
    
    demande.getDossierAffectationAdmission().getDossierExamen().changerEtat(35);
    ((DecisionSpec)demande.getDossierAffectationAdmission().getDossierExamen()).setNatureDecision(35);
    
    DossierExamenSpec dossierExamen = demande.getDossierAffectationAdmission().getDossierExamen();
    
    ((ProduitAsuSpec)dossierExamen.getDossierAffecte().getProduit()).verifierPropositionAttribution(demande);
    
    demande.setListeMotifsReexamen(null);
    
    getDom(p_contexte).setContinuerEtudeFctEre(false);
    
    alimenterTranchesExecutables(p_contexte);
    
    demande.setObjectifCourant(null);
    postTraiterJustificationAffiliation(getDemandeAsu(p_contexte));
    
    ContexteService contexteService = ((DomLiquidationDemande)p_contexte.getDonnees()).getContexteService();
    demande.definirDateValidation(contexteService.getDateTraitement());
  }
}

/* Location:
 * Qualified Name:     ParcoursLiquidationDemandeSousJacentePourFct
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */