package fr.unedic.cali.asu.csa06.liquidation.outilsfonctionnels.strategies;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.dom.ParametresCalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionPra;
import fr.unedic.cali.asu.csa06.liquidation.outilsfonctionnels.ConstructionChronologie;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ErePassageCPSuiteRejetDV;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.RechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.parametres.OutilAccesListeUnitesReglement;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.asu.produits.liquidation.dom.QuantitesAppartenance;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.affectation.ProduitAsuCsa06P03;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.spec.CalculAppartenanceSpec;
import fr.unedic.cali.outilsfonctionnels.ComparateurTemporelSurDateFinDecroissante;
import fr.unedic.cali.outilsfonctionnels.DetectionTypeChomage;
import fr.unedic.cali.outilsfonctionnels.OutilChronologie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieeMotifDvNonLegitime;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteNonSalarieePeriodique;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesAttestees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesAvecConflit;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesJustifiees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSurFiltresExclusifs;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreTravailSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreFinDansBornes;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;

public class StrategieConditionChomageInvolontaireAre14Avant
  extends fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontaireAre14Avant
{
  public ResultatRechercheConditionChomageInvolontaire rechercheConditionChomageInvolontairePourOd(Demande demande)
    throws ApplicativeException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = initialiserResultat();
    DossierExamen dossierExamen = (DossierExamen)demande.getDossierExamen();
    
    boolean conditionForcee = false;
    if (demande.getDonneesTemporaires() != null) {
      conditionForcee = demande.getDonneesTemporaires().isConditionChomageInvolontaireSatistaite();
    }
    if (conditionForcee)
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
      resultat.setSituationConditionChomageInvolontaire(3);
    }
    else if ((demande.getEvenementReferenceExamen() instanceof ErePassageCPSuiteRejetDV))
    {
      resultat = verifierChomageInvolontaireExamen122Jour(demande);
    }
    else
    {
      int codeMotifFin = dossierExamen.getFaitGenerateur().getPeriodeFaitGenerateur().getCodeMotifFin();
      int contexteDemisison = dossierExamen.getFaitGenerateur().getPeriodeFaitGenerateur().getContrat().getContexteDemission();
      if (!DetectionTypeChomage.estChomageLegitime(codeMotifFin, contexteDemisison))
      {
        resultat.setSituationConditionChomageInvolontaire(1);
        resultat.getResultatElementDroit().setEtatSatisfait(false);
        resultat.getResultatElementDroit().setCodeMotifEchec(91);
      }
      else
      {
        Chronologie chronologieActivitesDV = ConstructionChronologie.determinerChronoActivitesDV(demande, dossierExamen);
        
        FiltresTemporel filtreJustifieeEnConflit = new FiltresTemporel();
        filtreJustifieeEnConflit.ajouterFiltre(new FiltrePeriodesAvecConflit());
        filtreJustifieeEnConflit.ajouterFiltre(new FiltrePeriodesJustifiees());
        if (!chronologieActivitesDV.copier(filtreJustifieeEnConflit).estVide()) {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB3");
        }
        if (chronologieActivitesDV.estVide())
        {
          resultat.setSituationConditionChomageInvolontaire(2);
          resultat.getResultatElementDroit().setEtatSatisfait(true);
        }
        else
        {
          Temporel derniereActivite = chronologieActivitesDV.premierElement();
          Damj dateFCTDVLaPlusRecente = derniereActivite.getDateFin();
          
          Pra periodeReferenceCalcul = ConstructionPra.determinerPraDv(demande, dateFCTDVLaPlusRecente, ((DossierAffectation)demande.getDossierAffectation()).getReglementPeriodeValidationProduit());
          
          FiltresTemporel filtres = new FiltresTemporel();
          filtres.ajouterFiltre(new FiltreFinDansBornes(periodeReferenceCalcul.getDebut(), periodeReferenceCalcul.getFin()));
          ChronologiePeriodes chronoActivitesParticipantes = (ChronologiePeriodes)demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
          
          Reglement reglementAppartenance = Reglement.getInstance("RG", getProduitCandidat());
          
          ProduitAsuSpec produit = (ProduitAsuSpec)demande.getDossierAffectation().getProduit();
          CalculAppartenanceSpec outilCalculAppartenance = produit.getOutilCalculAppartenance(demande, false);
          
          ParametresCalculAppartenance parametres = new ParametresCalculAppartenance();
          parametres.setPrendreEnCompteDernierJourFevrier(true);
          parametres.setEffectuerImputationAffiliationPmvs(true);
          parametres.setPrendreEnCompteDonneesForcees(false);
          parametres.setActiverSpecificitesRechargement(false);
          parametres.setContexteAppel("couvertureChomageInvolontaire");
          
          List<Unite> listeUniteReglement = OutilAccesListeUnitesReglement.getInstance().recupererListeUniteCouvetureChomageInvolontaire(reglementAppartenance.getNomReglement(), reglementAppartenance.getProduit());
          
          parametres.setListeUnitesReglement(listeUniteReglement);
          
          QuantitesAppartenance qteAppartenance = (QuantitesAppartenance)outilCalculAppartenance.calculer(demande, periodeReferenceCalcul, chronoActivitesParticipantes, reglementAppartenance, parametres);
          
          Quantite quantiteAcquise = verifierConditionAffiliation(qteAppartenance, periodeReferenceCalcul, listeUniteReglement);
          if (quantiteAcquise != null)
          {
            resultat.getResultatElementDroit().setEtatSatisfait(true);
            resultat.setSituationConditionChomageInvolontaire(3);
          }
          else
          {
            resultat.getResultatElementDroit().setEtatSatisfait(false);
            resultat.setSituationConditionChomageInvolontaire(4);
            resultat.getResultatElementDroit().setCodeMotifEchec(92);
          }
        }
        leverAlerte(demande, dossierExamen.getFaitGenerateur());
      }
    }
    return resultat;
  }
  
  private static Quantite verifierConditionAffiliation(QuantitesAppartenance qteAppartenance, Pra pra, List listeUnites)
  {
    Quantite quantiteAcquise = null;
    for (Iterator<Unite> iter = listeUnites.iterator(); iter.hasNext();)
    {
      Unite unite = (Unite)iter.next();
      Quantite qteAffiliation = qteAppartenance.getQuantiteAffiliation(unite);
      
      Quantite qteAssimilation = qteAppartenance.getQuantiteAssimilation(unite);
      
      Quantite qteAcquise = qteAffiliation.ajouter(qteAssimilation);
      Quantite qteRequise = pra.getQuantiteAffiliationRequise(unite);
      if ((qteRequise != null) && (qteAcquise.compareTo(qteRequise) >= 0)) {
        quantiteAcquise = qteAcquise;
      }
    }
    return quantiteAcquise;
  }
  
  private static void leverAlerte(Demande demandeAssurance, FaitGenerateurSpec faitGenerateur)
    throws CoucheLogiqueException
  {
    Damj dateDebutRechercheDV = Damj.NUIT_DES_TEMPS;
    Damj dateFinRechercheDV = faitGenerateur.getDateFaitGenerateur();
    
    OdSpec odOrigine = demandeAssurance.rechercherOuvertureDroitPrecedenteDuMemeType();
    if (odOrigine != null) {
      dateDebutRechercheDV = ((DossierExamenAssuranceSpec)odOrigine).getFaitGenerateur().getDateFaitGenerateur().lendemain();
    }
    Chronologie chronoToutesPeriodes = demandeAssurance.getDemandeur().getChronoPeriodePasseProfessionnelPourLiquidationSansFiltrageDNJ();
    
    FiltresTemporel filtreChevauchePeriodeEtActiviteSalarie = new FiltresTemporel();
    filtreChevauchePeriodeEtActiviteSalarie.ajouterFiltre(new FiltreFinDansBornes(new Periode(dateDebutRechercheDV, dateFinRechercheDV)));
    filtreChevauchePeriodeEtActiviteSalarie.ajouterFiltre(new FiltreTravailSpec());
    Chronologie chronoDansDelaiRecherche = chronoToutesPeriodes.copier(filtreChevauchePeriodeEtActiviteSalarie);
    
    OutilChronologie.supprimerPeriodeParIdentifiant(chronoDansDelaiRecherche, faitGenerateur.getPeriodeFaitGenerateur());
    
    FiltrePeriodesSurFiltresExclusifs listeFiltres = new FiltrePeriodesSurFiltresExclusifs();
    
    FiltrePeriodesSurFiltresExclusifs filtreASupprimer = new FiltrePeriodesSurFiltresExclusifs();
    filtreASupprimer.ajouterFiltre(new FiltrePeriodeActiviteNonSalarieePeriodique());
    filtreASupprimer.ajouterFiltre(new FiltrePeriodesLiquidables(false));
    Chronologie chronoPans = chronoDansDelaiRecherche.copier(filtreASupprimer);
    if (!chronoPans.estVide())
    {
      ListIterator pans = chronoPans.iterer();
      while (pans.hasNext()) {
        chronoDansDelaiRecherche.supprimer((Temporel)pans.next());
      }
    }
    listeFiltres.ajouterFiltre(new FiltrePeriodesAttestees(false));
    
    listeFiltres.ajouterFiltre(new FiltrePeriodesJustifiees(false));
    
    listeFiltres.ajouterFiltre(new FiltrePeriodesAvecConflit());
    
    listeFiltres.ajouterFiltre(new FiltreActiviteSalarieeMotifDvNonLegitime());
    
    Chronologie chronoFiltreeDansDelaiRecherche = chronoDansDelaiRecherche.copier(listeFiltres);
    if (!chronoFiltreeDansDelaiRecherche.estVide())
    {
      chronoFiltreeDansDelaiRecherche.setComparateur(new ComparateurTemporelSurDateFinDecroissante());
      TravailSpec dernierePeriode = (TravailSpec)chronoFiltreeDansDelaiRecherche.premierElement();
      
      boolean estContexteChomageNonLegitime = RechercheConditionChomageInvolontaire.getInstance().determinerChomageNonLegitime(dernierePeriode);
      if (!estContexteChomageNonLegitime) {
        RechercheConditionChomageInvolontaire.getInstance().verifierConditionChomageInvolontaireVerifiable(dernierePeriode);
      }
    }
  }
  
  private ResultatRechercheConditionChomageInvolontaire verifierChomageInvolontaireExamen122Jour(Demande demandeAssurance)
    throws CoucheLogiqueException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = initialiserResultat();
    if (demandeAssurance.getDonneesTemporaires().estAvisFavorableCommissionParitaire())
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
    }
    else if (demandeAssurance.getDonneesTemporaires().estAvisDefavorableCommissionParitaire())
    {
      resultat.getResultatElementDroit().setEtatSatisfait(false);
      resultat.getResultatElementDroit().setCodeMotifEchec(93);
    }
    else
    {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB5");
    }
    return resultat;
  }
  
  protected ProduitSpec getProduitCandidat()
  {
    return ProduitAsuCsa06P03.getInstance();
  }
  
  private ResultatRechercheConditionChomageInvolontaire initialiserResultat()
  {
    ResultatRechercheConditionChomageInvolontaire resultatRechercheConditionChomageInvolontaire = new ResultatRechercheConditionChomageInvolontaire();
    ResultatElementDroit resultatElementDroit = new ResultatElementDroit();
    resultatRechercheConditionChomageInvolontaire.setResultatElementDroit(resultatElementDroit);
    return resultatRechercheConditionChomageInvolontaire;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionChomageInvolontaireAre14Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */