package fr.unedic.cali.asu.csr04.p01;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ObjectifExamenSpec;
import fr.unedic.cali.asu.csr04.p01.liquidation.dom.FabriqueObjectifExamen;
import fr.unedic.cali.asu.csr04.p01.liquidation.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.csr04.p01.liquidation.outilsfonctionnels.AlimenterBaseEchanges;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.DeterminationConditionCSRDateAttributionPendantSuspension;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ParcoursControleDonneesForcees;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;
import java.util.List;

public class ProduitDelegue
  extends fr.unedic.cali.asu.cge01.p03.ProduitDelegue
{
  public Resultat verifierConditionCSRAccordCP(Contexte p_contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(p_contexte);
    Parcours parcours = objectifCourant.creerPacoursConditionCSRAccordCP();
    return effectuerParcours(parcours, p_contexte);
  }
  
  public Resultat verifierConditionCSRDateAttributionPendantSuspension(Contexte p_contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionCSRDateAttributionPendantSuspension();
    return effectuerParcours(parcours, p_contexte);
  }
  
  public Resultat verifierCondition28JoursSuspension(Contexte p_contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(p_contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionNbJourSuspension();
    return effectuerParcours(parcours, p_contexte);
  }
  
  public Object creerObjectifExamen(int p_sousType, List<ContexteDemandeSpec> p_contexteDemande)
  {
    return FabriqueObjectifExamen.creerObjectif(p_sousType);
  }
  
  private ObjectifExamenSpec recupererObjectifCourant(Contexte p_contexte)
  {
    ObjectifExamen objectifCourant = null;
    if ((p_contexte != null) && (p_contexte.getDonnees() != null)) {
      objectifCourant = DomLiquidationAssurance.getDemande(p_contexte).getObjectifCourant();
    }
    return (ObjectifExamenSpec)objectifCourant;
  }
  
  public Resultat constituerDateAttribution(Contexte p_contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(p_contexte);
    Parcours parcours = objectifCourant.creerParcoursDateAttribution();
    return effectuerParcours(parcours, p_contexte);
  }
  
  public Resultat constituerDelaisReports(Contexte p_contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(p_contexte);
    Parcours parcours = objectifCourant.creerParcoursDelaisReports();
    return effectuerParcours(parcours, p_contexte);
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec p_dossierExamen, Decision p_demandeEchange)
    throws ApplicativeException
  {
    AlimenterBaseEchanges.alimenterDonneesProduit(p_dossierExamen, p_demandeEchange);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec p_dossierExamen, DemandePivot p_demandePivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    AlimentationBasePivot.alimenterDonneesProduit(p_dossierExamen, p_demandePivot);
  }
  
  public void controlerContexteDonneesForcees(Contexte p_contexte)
    throws ApplicativeException
  {
    Parcours parcours = new ParcoursControleDonneesForcees();
    effectuerParcours(parcours, p_contexte);
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */