package fr.unedic.cali.asu.cva10.calcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsuSpec;
import fr.unedic.cali.asu.calcul.FacadeCalculGammeImpl;
import fr.unedic.cali.asu.calcul.dom.ConstituantsCalculActiviteReduiteAsu;
import fr.unedic.cali.asu.calcul.dom.ConstituantsCalculActiviteReduiteGamme;
import fr.unedic.cali.asu.calcul.dom.DureeProlongation;
import fr.unedic.cali.asu.calcul.dom.EtatAuDjiGamme;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAssDemandeExpresse;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.DefinitionStatutUtTraitementActiviteReduite;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiASU;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.RecuperationPensionInvaliditeAvantDate;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cva10.antecedent.GestionAntecedentCalcul;
import fr.unedic.cali.asu.cva10.calcul.dom.DureeIndemnisation;
import fr.unedic.cali.asu.cva10.calcul.dom.FormuleMontantASPDCF;
import fr.unedic.cali.asu.cva10.calcul.dom.FormuleMontantASPDCFAvecFinancement;
import fr.unedic.cali.asu.cva10.calcul.dom.FormuleMontantRegimeGeneralASPDC;
import fr.unedic.cali.asu.cva10.calcul.dom.FormuleMontantRegimeGeneralASPDCAvecFinancement;
import fr.unedic.cali.asu.cva10.calcul.outilsfonctionnels.MajCi;
import fr.unedic.cali.asu.cva10.calcul.outilsfonctionnels.PostTraitements;
import fr.unedic.cali.asu.cva10.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.cva10.calcul.outilsfonctionnels.TraitementActiviteReduite;
import fr.unedic.cali.asu.cva10.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.asu.dom.SalaireReference;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.RechercheDecisionsInterruptives;
import fr.unedic.cali.asu.parametres.EvenementParametre;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodeSousPensionInvaliditeChaineeSpec;
import fr.unedic.cali.calcul.OutillageCalculADate;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.OutillageQuantites;
import fr.unedic.cali.calcul.RecuperationDonneesSecteurPublic;
import fr.unedic.cali.calcul.TraitementPeriodes;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalcul;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.EtatAuDji;
import fr.unedic.cali.calcul.dom.EvenementChangementParametre;
import fr.unedic.cali.calcul.dom.EvenementFinPeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.EvenementLimiteIndemnisationPMVS;
import fr.unedic.cali.calcul.dom.EvenementMaintienEuropeenDJI;
import fr.unedic.cali.calcul.dom.EvenementPeriodesSuspensivesDisponibilite;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.SyntheseARsurUT;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvaliditeChainee;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeDisponibilite;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTEAvecImputation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnomalieI04;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationASP;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationPMVS;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoRemplissage;
import fr.unedic.cali.calcul.outilsfonctionnels.DecoupageProratisation;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionForcage;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionSuivi;
import fr.unedic.cali.calcul.outilsfonctionnels.RecuperationAvantageVieillesseAvantPJI;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT.ElementContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ElementBaseIndemnisationFacade;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.FormuleMontantAREFSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.NovationSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.dom.QuantiteDroit;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuCva10P02;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSolSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.Anomalie;
import fr.unedic.cali.outilsfonctionnels.GestionAnomalies;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreDsmTravailCalcul;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreObjetChronoPeriodeCalculRemplissage;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreTravail;
import fr.unedic.cali.parcours.ResultatCalcul;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreNegation;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

public class FacadeCalculLigneCVA10Impl
  extends FacadeCalculGammeImpl
{
  private static final DureeCalendaire DUREE_6_MOIS = new DureeCalendaire(0, 6, 1);
  private static final int DIX = 10;
  
  public int calculerCompteurNombreJoursIndemnisesSurUT(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, int cumulNbJoursServi)
  {
    int nombreJourServiEnDebutUT = 0;
    nombreJourServiEnDebutUT = cumulNbJoursServi + uniteTraitement.getQuantiteIndemnisee().getValeur().intValue();
    uniteTraitement.setEstCumulJoursIndemnise(true);
    return nombreJourServiEnDebutUT;
  }
  
  public int calculerCompteurNombreMoisIndemnisesSurUT(fr.unedic.cali.calcul.dom.UniteTraitement ut, int nbMoisIndemniseEnDebutDUT)
  {
    return 0;
  }
  
  public void controleActiviteReduiteMaintienEuropeen(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ArretProduitAvecRaison arretProduitAvecRaison, ConstituantsIndemnisation constituantsIndemnisation)
    throws CoucheLogiqueException
  {}
  
  public ConstituantsCalculActiviteReduiteSpec creationConstituantsCalculActiviteReduite(AttributionSpec attribution, ContexteUT contexteUT, ConstituantsIndemnisation constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    ConstituantsCalculActiviteReduiteAsu constituantsAR = new ConstituantsCalculActiviteReduiteAsu(0, null, null);
    
    AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
    if ((attrib instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attrib.getAttributionPrecedente();
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI();
        constituantsAR.setCumulJours(etatAuDji.getCumulJoursAR());
      }
    }
    else
    {
      constituantsAR.setCumulJours(0);
    }
    return constituantsAR;
  }
  
  public fr.unedic.cali.calcul.dom.UniteTraitement creerUT(Periode periodeUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return new fr.unedic.cali.asu.calcul.dom.UniteTraitement(Unite.get("jour"), periodeUT);
  }
  
  public ChronologiePeriodes decoupageEtProratisationPeriodesActivites(PeriodesPriseEnCompte periodesPriseEnCompte, int typePeriodeDeReference, ChronologiePeriodes chronologieDePeriodesAProratiser, Periode periodeUT)
    throws CoucheLogiqueException
  {
    Periode periodeDeReference = null;
    Iterator iterator = null;
    ChronologiePeriodes chronologie = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    iterator = periodesPriseEnCompte.getPeriodesParTypologie(typePeriodeDeReference).iterer();
    chronologie = new ChronologiePeriodes();
    while (iterator.hasNext())
    {
      objetChronoPeriode = (ObjetChronoPeriode)iterator.next();
      periodeDeReference = new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin());
      chronologie.ajouter(DecoupageProratisation.decoupageEtProratisationPeriodesActivites(periodeDeReference, chronologieDePeriodesAProratiser));
    }
    return chronologie;
  }
  
  public void determinerStatutUT(AttributionSpec attribution, ChronologiePeriodes periodesDecalantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut, ArretProduitAvecRaison arretProduitAvecRaison, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    boolean absenceAuPointage = false;
    if (ut.getQualificationPeriodes().getPeriodesGelantes() != null)
    {
      ChronologiePeriodes periodesGelantes = ut.getQualificationPeriodes().getPeriodesGelantes();
      periodesGelantes.iterer();
      while (periodesGelantes.encoreSuivant()) {
        if ((periodesGelantes.elementSuivant() instanceof PeriodeAbsenceAuPointage))
        {
          ut.setStatut(6);
          absenceAuPointage = true;
        }
      }
    }
    if (!absenceAuPointage) {
      if (!GestionForcage.appliquerForcageStatut(attribution.getDemande(), ut)) {
        ut.setStatut(DefinitionStatutUtTraitementActiviteReduite.definirStatutUt(attribution, periodesDecalantes, ((ConstituantsCalculActiviteReduiteGamme)constituantsCalculActiviteReduite).getNbMoisEnPPA(), estEnFormation(ut), ut, arretProduitAvecRaison, this));
      }
    }
  }
  
  public boolean epuisementQuantiteDroit(Damj dateEpuisementQuantite, AttributionSpec attribution, QuantiteDroitSpec quantiteDroitEpuisee, ConstituantsIndemnisation constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws ApplicativeException
  {
    if ((quantiteDroitEpuisee instanceof DureeIndemnisation))
    {
      DureeIndemnisation dureeFinancement = (DureeIndemnisation)constituantsIndemnisation.getDureeIndemnisation();
      if (dureeFinancement != null) {
        if (FormuleMontantRegimeGeneralASPDCAvecFinancement.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDCAvecFinancement.getCode());
        } else if (FormuleMontantRegimeGeneralASPDC.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDC.getCode());
        } else if (FormuleMontantASPDCF.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantASPDCF.getCode());
        } else if (FormuleMontantASPDCFAvecFinancement.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantASPDCFAvecFinancement.getCode());
        }
      }
    }
    return true;
  }
  
  public void filtrePriseEnComptePeriodesActiviteSurUT(PeriodesPriseEnCompte periodesPriseEnCompte, Periode periodeUT, ContexteUT contexteUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {}
  
  public Damj getDateFinQuantiteDroit(Periode periode, AttributionSpec attribution, QuantiteDroitSpec quantiteDroit, ChronologiePeriodes chronologieRemplissage, Quantite quantiteAImputer, Damj dateDebutQuantiteDroit)
  {
    return OutillageCalculADate.remplirTrousChronologieParIndemnisation(chronologieRemplissage, quantiteAImputer, periode);
  }
  
  public Collection<EvenementChangementParametre> getEvtsChangementParametre(ConstituantsIndemnisation constituantsIndemnisation, Damj date)
  {
    List<EvenementChangementParametre> evtsRetour = new ArrayList();
    EvenementParametre evtParam = ParametresIndemnisation.getParametresIndemnisation().getElementActif(date);
    Sjr sjr = ((ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant()).getSjr();
    if ((evtParam.isNouveauRevalorisationSjr()) && 
      (!sjr.getDateDepart().deplacerVersAvant(DUREE_6_MOIS).estApres(date)))
    {
      EvenementChangementParametre evt = new EvenementChangementParametre("REVALORISATION", evtParam.getDateEvenement());
      
      evtsRetour.add(evt);
    }
    return evtsRetour;
  }
  
  public Quantite getQuantiteIndemnisableTheorique(Periode periode, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, ContexteUT contexteUt)
  {
    return new QuantiteJour(new BigDecimal(periode.getDuree()));
  }
  
  public void imputerAvant(ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation, AttributionSpec attribution)
    throws CoucheLogiqueException
  {}
  
  public void imputerQuantiteIndemnisationDuAuxSanctions(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement ut, PeriodeSuspensionDDTEAvecImputation periodeSuspensionDDTEAvecImputation, ConstituantsIndemnisation constituantsIndemnisation, ArretProduitAvecRaison arretProduitAvecRaison)
    throws ApplicativeException
  {}
  
  public void initialisationQuantitesIndemnisation(ConstituantsIndemnisation constituantsIndemnisation, AttributionSpec attribution, Periode periodeUT)
    throws ApplicativeException
  {
    Collection collectionDurees = constituantsIndemnisation.getCollectionQuantiteDroit();
    if (collectionDurees != null)
    {
      Iterator iterator = collectionDurees.iterator();
      while (iterator.hasNext())
      {
        QuantiteDroitSpec duree = (QuantiteDroitSpec)iterator.next();
        if ((duree instanceof DureeIndemnisation))
        {
          duree.activer();
          initialiseElementBaseIndemnisationCourante(constituantsIndemnisation, attribution, periodeUT);
        }
      }
    }
  }
  
  public void initialiseElementBaseIndemnisation(ConstituantsIndemnisation constituantsIndemnisation, ElementBaseIndemnisation elementBaseIndemnisationCourant, ElementBaseIndemnisation ebiAttrib, AttributionAssuranceSpec attribution, Periode periodeUT)
    throws CoucheLogiqueException
  {
    Reglement reglementApplicable = ebiAttrib.getReglementApplicable();
    if (reglementApplicable != null) {
      elementBaseIndemnisationCourant.setReglementApplicable(reglementApplicable);
    }
    Quantite affiliationRequisePourPRA = ebiAttrib.getAffiliationRequisePourPRA();
    if (affiliationRequisePourPRA != null) {
      elementBaseIndemnisationCourant.setAffiliationRequisePourPRA(affiliationRequisePourPRA);
    }
    SalaireReference salaireReference = ebiAttrib.getSalaireReference();
    if (salaireReference != null) {
      elementBaseIndemnisationCourant.setSalaireReference(salaireReference);
    }
    BigDecimal nombreHeureTravaillesEtendu = ebiAttrib.getNombreHeureTravaillesEtendu();
    if (nombreHeureTravaillesEtendu != null) {
      elementBaseIndemnisationCourant.setNombreHeureTravaillesEtendu(nombreHeureTravaillesEtendu);
    }
    BigDecimal nombreHeuresTravailleesPlafonnees = ebiAttrib.getNombreHeuresTravailleesPlafonnees();
    if (nombreHeuresTravailleesPlafonnees != null) {
      elementBaseIndemnisationCourant.setNombreHeuresTravailleesPlafonnees(nombreHeuresTravailleesPlafonnees);
    }
    Periode prc = ebiAttrib.getPrc();
    if (prc != null) {
      elementBaseIndemnisationCourant.setPrc(prc);
    }
    elementBaseIndemnisationCourant.setNbJoursEmploiSurPrc(ebiAttrib.getNbJoursEmploiSurPrc());
    elementBaseIndemnisationCourant.setCoefficientHoraireJour(ebiAttrib.getCoefficientHoraireJour());
    if (ebiAttrib.getCoefficientSaisonnier() != null) {
      elementBaseIndemnisationCourant.setCoefficientSaisonnier(ebiAttrib.getCoefficientSaisonnier());
    } else {
      elementBaseIndemnisationCourant.setCoefficientSaisonnier(BigDecimal.ONE);
    }
    if (ebiAttrib.getCoefficientTempsPartiel() != null) {
      elementBaseIndemnisationCourant.setCoefficientTempsPartiel(ebiAttrib.getCoefficientTempsPartiel());
    } else {
      elementBaseIndemnisationCourant.setCoefficientTempsPartiel(BigDecimal.ONE);
    }
    elementBaseIndemnisationCourant.setSjr((Sjr)ebiAttrib.getSjr().copie());
    
    elementBaseIndemnisationCourant.setSjc(new Sjc(BigDecimal.ZERO));
    
    elementBaseIndemnisationCourant.setListePensionInvalidite(ebiAttrib.getListePensionInvalidite());
    elementBaseIndemnisationCourant.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPIChainees(elementBaseIndemnisationCourant, attribution.getDemandeur(), attribution.getPji().veille(), attribution.getDateAttribution()));
    
    PeriodeAvantageVieillesse periodeAvCourante = RecuperationAvantageVieillesseAvantPJI.recupererPeriodeAvADate(attribution.getDemandeur(), attribution.getPji().veille());
    
    BigDecimal montantAV = BigDecimal.ZERO;
    if (periodeAvCourante != null)
    {
      montantAV = periodeAvCourante.getQuantiteEuro().getValeur();
      
      elementBaseIndemnisationCourant.setDateEffetAV(attribution.getPji().veille());
    }
    Sjr sjrrp = RevalorisationSalaire.revaloriserSjr(ebiAttrib, attribution.getProduitMontantRetenu(), attribution.getDateAttribution());
    if (sjrrp.getSalaire().compareTo(BigDecimal.ZERO) != 0)
    {
      BigDecimal coeffAV = montantAV.divide(sjrrp.getSalaire(), 10, 4);
      elementBaseIndemnisationCourant.setCoefficientAvantageVieillesse(coeffAV);
      elementBaseIndemnisationCourant.setMontantAvantageVieillesse(coeffAV.multiply(sjrrp.getSalaire()));
    }
    elementBaseIndemnisationCourant.setTypeCaractereSaisonnierRetenu(ebiAttrib.getTypeCaractereSaisonnierRetenu());
    elementBaseIndemnisationCourant.setIsConditionCaractereSaisonnierParRythme(ebiAttrib.isConditionCaractereSaisonnierParRythme());
    
    elementBaseIndemnisationCourant.setDateMaintienEuropeen(OutilsMaintienEuropeenEessiASU.rechercherDateMaintienEuropeen(attribution, periodeUT, constituantsIndemnisation));
    
    elementBaseIndemnisationCourant.setProduitMontantRetenu(attribution.getProduitMontantRetenu());
    
    elementBaseIndemnisationCourant.setListeSousEBI(attribution.getElementBaseIndemnisation().getListeSousEBI());
    if ((elementBaseIndemnisationCourant.getListeSousEBI() != null) && (!elementBaseIndemnisationCourant.getListeSousEBI().isEmpty()))
    {
      Iterator<ElementBaseIndemnisation> iterator = elementBaseIndemnisationCourant.getListeSousEBI().iterator();
      while (iterator.hasNext())
      {
        ElementBaseIndemnisation sousEBI = (ElementBaseIndemnisation)iterator.next();
        sousEBI.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPIChainees(sousEBI, attribution.getDemandeur(), attribution.getPji().veille(), attribution.getDateAttribution()));
      }
    }
  }
  
  public void initialiseElementBaseIndemnisationCourante(ConstituantsIndemnisation constituantsIndemnisation, AttributionSpec attribution, Periode periodeUT)
    throws CoucheLogiqueException
  {
    if (constituantsIndemnisation.getElementBaseIndemnisationCourant() == null)
    {
      AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
      ElementBaseIndemnisation ebiAttrib = attrib.getElementBaseIndemnisation();
      ElementBaseIndemnisation ebiAttribDroitAssocie = ebiAttrib.getElementBaseIndemnisationDroitAssocie();
      ElementBaseIndemnisation elementBaseIndemnisationCourant = new ElementBaseIndemnisation();
      ElementBaseIndemnisation elementBaseIndemnisationCourantDroitAssocie = new ElementBaseIndemnisation();
      
      FormuleMontantSpec formuleMontant = null;
      ElementBaseIndemnisationAREF elementBaseIndemnisationAREF = null;
      
      initialiseElementBaseIndemnisation(constituantsIndemnisation, elementBaseIndemnisationCourant, ebiAttrib, attrib, periodeUT);
      if (ebiAttribDroitAssocie != null) {
        initialiseElementBaseIndemnisation(constituantsIndemnisation, elementBaseIndemnisationCourantDroitAssocie, ebiAttribDroitAssocie, attrib, periodeUT);
      }
      QuantiteIndemnisationSpec duree = OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(constituantsIndemnisation.getCollectionQuantiteDroit());
      if (duree != null) {
        formuleMontant = attribution.getFormuleMontant(duree.getCodeFormuleMontant());
      } else {
        formuleMontant = attribution.getFormuleMontant(constituantsIndemnisation.getCodeFormuleMontant());
      }
      elementBaseIndemnisationCourant.setElementBaseIndemnisationDroitAssocie(elementBaseIndemnisationCourantDroitAssocie);
      
      constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationCourant);
      if ((formuleMontant instanceof FormuleMontantAREFSpec))
      {
        elementBaseIndemnisationAREF = new ElementBaseIndemnisationAREF(elementBaseIndemnisationCourant);
        elementBaseIndemnisationAREF.setProduitAreActif(elementBaseIndemnisationCourant.getProduitAreActif());
        constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationAREF);
      }
    }
  }
  
  public int initialiserCompteurFormation(AttributionSpec attribution)
  {
    return 0;
  }
  
  public int initialiserCumulNombreJoursServi(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    int cumulNombreJoursServi = 0;
    AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
    if (((attrib instanceof RepriseSpec)) && 
      (attrib.getAttributionPrecedente() != null) && (attrib.getAttributionPrecedente().getCalendrierExecutionCalcul() != null) && (attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI() != null))
    {
      EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
      cumulNombreJoursServi = etatAuDji.getCumulJoursIndemnise();
    }
    return cumulNombreJoursServi;
  }
  
  public int initialiserNombreMoisIndemnise(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    int nbMoisIndemniseAsu = 0;
    AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
    if (((attrib instanceof RepriseSpec)) && 
      (attrib.getAttributionPrecedente() != null) && (attrib.getAttributionPrecedente().getCalendrierExecutionCalcul() != null) && (attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI() != null))
    {
      EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
      if (etatAuDji.isEstNbMoisIndemniseAsu()) {
        nbMoisIndemniseAsu = etatAuDji.getNbMoisIndemniseAsu();
      }
      if ((attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getDernierJourIndemnisable() != null) && (uniteTraitement.getPeriode().contient(attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getDernierJourIndemnisable()))) {
        if (attrib.getAttributionPrecedente().estNeutralise())
        {
          nbMoisIndemniseAsu--;
        }
        else
        {
          ContexteUT.ElementContexteUT elementContexteUT = contexteUT.getElementContexteUT(attrib.getAttributionPrecedente());
          if ((elementContexteUT.getQuantiteIndemnisee() != null) && (elementContexteUT.getQuantiteIndemnisee().getValeur() != null) && (elementContexteUT.getQuantiteIndemnisee().getValeur().intValue() > 0) && (uniteTraitement.getQuantiteIndemnisee() != null) && (uniteTraitement.getQuantiteIndemnisee().getValeur() != null) && (uniteTraitement.getQuantiteIndemnisee().getValeur().intValue() > 0)) {
            nbMoisIndemniseAsu--;
          }
        }
      }
    }
    return nbMoisIndemniseAsu;
  }
  
  public ElementBaseIndemnisationFacade mapperUTVersElementBaseIndemnisation(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, AttributionSpec attribution)
  {
    ElementBaseIndemnisationFacade elt = new ElementBaseIndemnisationFacade();
    ElementBaseIndemnisation eltBase = null;
    eltBase = (ElementBaseIndemnisation)uniteTraitement.getConstituantsIndemnisationEnFinUT().getElementBaseIndemnisationCourant();
    if (eltBase.getCoefficientSaisonnier() != null) {
      elt.setCoefficientSaisonnier(eltBase.getCoefficientSaisonnier().toString());
    }
    if (eltBase.getCoefficientTempsPartiel() != null) {
      elt.setCoefficientTempsPartiel(eltBase.getCoefficientTempsPartiel().toString());
    }
    if (eltBase.getMontantPensionInvaliditeADeduire() != null) {
      elt.setMontantPensionInvaliditeADeduire(eltBase.getMontantPensionInvaliditeADeduire().toString());
    }
    if ((eltBase.getSjr() != null) && (eltBase.getSjr().getSalaire() != null))
    {
      FormuleMontantSpec formuleMontantAsp = attribution.getFormuleMontant("1");
      if (((formuleMontantAsp instanceof FormuleMontantRegimeGeneralASPDC)) && (((FormuleMontantRegimeGeneralASPDC)formuleMontantAsp).getFormuleMontantApplicable() == 2)) {
        elt.setSjr(eltBase.getElementBaseIndemnisationDroitAssocie().getSjr().getSalaire().toString());
      } else {
        elt.setSjr(eltBase.getSjr().getSalaire().toString());
      }
    }
    if (eltBase.getTauxAvantageVieillesse() != null) {
      elt.setTauxAvantageVieillesse(elt.getTauxAvantageVieillesse());
    }
    if (eltBase.getMontantAvantageVieillesse() != null) {
      elt.setMontantAvantageVieillesse(eltBase.getMontantAvantageVieillesse().toString());
    }
    if (eltBase.getCoefficientAvantageVieillesse() != null) {
      elt.setCoefficientAvantageVieillesse(eltBase.getCoefficientAvantageVieillesse().toString());
    }
    return elt;
  }
  
  public ConstituantsIndemnisation miseAJourConstituantsIndemnisation(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, Damj dateDeMiseAjour, Periode periode)
    throws CoucheLogiqueException
  {
    ((ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant()).setProduitAreActif(ProduitAsuCva10P02.getInstance().recupererProduitAreActif(attribution));
    
    return MajCi.miseAJourConstituantsIndemnisation(attribution, constituantsIndemnisation, dateDeMiseAjour);
  }
  
  public void miseAJourConstituantsIndemnisationADate(AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, Damj date, ChronologiePeriodes chronologiePeriodesSanctions)
    throws CoucheLogiqueException
  {
    ElementBaseIndemnisation elementBaseIndemnisationCourant = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
    ElementBaseIndemnisation elementBaseIndemnisationCourantDroitAssocie = elementBaseIndemnisationCourant.getElementBaseIndemnisationDroitAssocie();
    
    elementBaseIndemnisationCourant.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPIChainees(elementBaseIndemnisationCourant, attribution.getDemandeur(), date.veille(), attribution.getDateAttribution()));
    
    elementBaseIndemnisationCourantDroitAssocie.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPIChainees(elementBaseIndemnisationCourantDroitAssocie, attribution.getDemandeur(), date.veille(), attribution.getDateAttribution()));
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAJourCumulAR(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, AttributionSpec attribution, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, ContexteUT contexteUT, ArretProduitAvecRaison arretProduitAvecRaison)
    throws CoucheLogiqueException
  {
    return (ConstituantsCalculActiviteReduiteAsu)constituantsCalculActiviteReduite;
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAjourConstituantsCalculActiviteReduite(AttributionSpec attribution, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, Damj dateDeMiseAjour, ConstituantsIndemnisation constituantIndemnisation)
    throws CoucheLogiqueException
  {
    AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
    ConstituantsCalculActiviteReduiteAsu constituantsCalculActiviteReduiteProduit = (ConstituantsCalculActiviteReduiteAsu)constituantsCalculActiviteReduite;
    
    constituantsCalculActiviteReduiteProduit.setSjr(RevalorisationSalaire.revaloriserSjr(attrib, dateDeMiseAjour));
    return constituantsCalculActiviteReduite;
  }
  
  public QualificationPeriodes qualificationPeriodes(ChronologiePeriodes chronologiePeriodes, AttributionSpec attribution, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    return new Qualification().qualificationPeriodes(chronologiePeriodes, attribution);
  }
  
  public void realiserDetectionFinDeProduitPourSuivi(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    ArretProduitAvecRaison arretProduitAvecRaison = null;
    arretProduitAvecRaison = uniteTraitement.getArretProduitAvecRaison();
    if ((arretProduitAvecRaison.isRaisonsContientRaison(1)) || (arretProduitAvecRaison.isRaisonsContientRaison(4))) {
      GestionSuivi.enregistrerEnquetePbjcNcp(attribution, arretProduitAvecRaison.recupereLendemainDateArret().veille(), 36, 0, true, ((AttributionAssuranceSpec)attribution).determinerCodeSousProduitPourSigma(), this, uniteTraitement.getConstituantsIndemnisationEnFinUT());
    }
    genererEnquetesCourrierFinDeDroitAsp(attribution, uniteTraitement);
  }
  
  protected void genererEnquetesCourrierFinDeDroitAsp(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement)
  {
    ArretProduitAvecRaison arretProduitAvecRaison = uniteTraitement.getArretProduitAvecRaison();
    boolean estFinASP = false;
    
    Iterator itID = arretProduitAvecRaison.getPeriodesInterruptivesDefinitives().iterator();
    while (itID.hasNext())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)itID.next();
      if ((periode instanceof ObjetChronoPeriodeLimiteIndemnisationASP)) {
        estFinASP = true;
      }
    }
    if (estFinASP)
    {
      Iterator it = uniteTraitement.getConstituantsIndemnisationEnFinUT().getCollectionQuantiteDroit().iterator();
      while (it.hasNext())
      {
        QuantiteDroit duree = (QuantiteDroit)it.next();
        if ((duree instanceof DureeIndemnisation)) {
          if ((duree != null) && (duree.getQuantiteCourante() != null) && (duree.getQuantiteCourante().getValeur().compareTo(BigDecimal.ZERO) > 0)) {
            GestionSuivi.enregistrerEnquetePbjcNcp(attribution, arretProduitAvecRaison.recupereLendemainDateArret().veille(), 34, 0, true, ((AttributionAssuranceSpec)attribution).determinerCodeSousProduitPourSigma(), this, uniteTraitement.getConstituantsIndemnisationEnFinUT());
          } else {
            GestionSuivi.enregistrerEnquetePbjcNcp(attribution, arretProduitAvecRaison.recupereLendemainDateArret().veille(), 35, 0, true, ((AttributionAssuranceSpec)attribution).determinerCodeSousProduitPourSigma(), this, uniteTraitement.getConstituantsIndemnisationEnFinUT());
          }
        }
      }
    }
  }
  
  public AttributionSpec rechercherAttributionPrecedenteSurLUT(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return ((AttributionAssuranceSpec)attribution).getAttributionPrecedente();
  }
  
  public boolean recuperationAlimentationNombreMoisIndemnise(AttributionSpec attribution)
  {
    boolean estAlimenteNbMoisIndemniseAsu = false;
    AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
    if ((attrib instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attrib.getAttributionPrecedente();
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attrib.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
        
        estAlimenteNbMoisIndemniseAsu = etatAuDji.isEstNbMoisIndemniseAsu();
      }
    }
    else if (((attrib instanceof OdSpec)) || ((attrib instanceof NovationSpec)))
    {
      estAlimenteNbMoisIndemniseAsu = true;
    }
    else
    {
      estAlimenteNbMoisIndemniseAsu = false;
    }
    return estAlimenteNbMoisIndemniseAsu;
  }
  
  public ChronologiePeriodes recupererPeriodesLieesAuContexte(ContexteUT contexteUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronologiePeriodes = new ChronologiePeriodes();
    
    Collection collectionPeriode = contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourGamme(attribution, "ASU");
    
    List liste = contexteUT.getListeAttributions();
    if (liste != null)
    {
      Iterator iterator = liste.iterator();
      while (iterator.hasNext())
      {
        AttributionSpec attrib = (AttributionSpec)iterator.next();
        if ((attrib.getGamme().getNomUnique().equals("SOL")) && 
          ((attrib.getProduit().getNomUnique().equals("SOL_AER05_01")) || (attrib.getProduit().getNomUnique().equals("SOL_AER05_02")) || (attrib.getProduit().getNomUnique().equals("SOL_AER05_03"))) && (attrib.getCalendrierExecutionCalcul() != null) && ((attrib.getCalendrierExecutionCalcul().getEtatAttribution() == 1) || (attrib.getCalendrierExecutionCalcul().getEtatAttribution() == 2)))
        {
          Damj djiTheoriqueAER = ((ProduitSolSpec)attrib.getProduit()).getDjiTheoriqueAER(attrib);
          chronologiePeriodes.ajouter(new ObjetChronoPeriodeInterProduits(djiTheoriqueAER.lendemain(), djiTheoriqueAER.lendemain(), 5, attrib));
        }
      }
    }
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attribution, "SOL_AER05_01"));
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attribution, "SOL_AER05_02"));
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attribution, "SOL_AER05_03"));
    
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourProduit(attribution, "INR_RCE04_01"));
    
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourProduit(attribution, "INR_PAR09_01"));
    
    chronologiePeriodes.ajouter(collectionPeriode);
    
    chronologiePeriodes.ajouter(RechercheDecisionsInterruptives.rechercher(attribution.getDemandeur(), attribution.getPji(), attribution));
    
    chronologiePeriodes.ajouter(OutilsMaintienEuropeenEessiASU.getListesPeriodesMaintienEuropeen(attribution));
    
    RecuperationDonneesSecteurPublic.recupererDemandeClassementSP(chronologiePeriodes, attribution);
    
    RecuperationDonneesSecteurPublic.rechercherAdmissionSecteurPublic(chronologiePeriodes, attribution);
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsPeriodesLieuSurUTPourGammeRBF(attribution));
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsSurUTIndemnisationRfpe(attribution));
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attribution, "RET_ACO01_01"));
    
    return chronologiePeriodes;
  }
  
  public EtatAuDji renseignerEtatAuDji(fr.unedic.cali.calcul.dom.UniteTraitement derniereUT, CalendrierExecutionCalculPeriodique calendrier, AttributionSpec attribution, EtatAuDji etatAuDji)
    throws CoucheLogiqueException
  {
    EtatAuDjiGamme etatDji = new EtatAuDjiGamme();
    Quantite reliquatDureeIndemnisation = null;
    etatDji.setMontant(etatAuDji.getMontant());
    reliquatDureeIndemnisation = recupererReliquatDureeIndemnisation(derniereUT, false);
    if (reliquatDureeIndemnisation != null)
    {
      etatDji.setReliquatDureeIndemnisation(new Quantite(reliquatDureeIndemnisation.getValeur().setScale(0), reliquatDureeIndemnisation.getUnite()));
      
      etatDji.setReliquatDureeIndemnisationAvecMaintien(etatDji.getReliquatDureeIndemnisation());
    }
    Quantite reliquatDureePostPrime = recupererReliquatDureeIndemnisation(derniereUT, true);
    if (reliquatDureePostPrime != null) {
      etatDji.setReliquatDureeProlongation(reliquatDureePostPrime);
    }
    etatDji.setCumulJoursAR(((ConstituantsCalculActiviteReduiteAsu)derniereUT.getConstituantsCalculActiviteReduiteEnFinUT()).getCumulJours());
    etatDji.setCumulJoursIndemnise(derniereUT.getCumulJoursIndemnise());
    etatDji.setNbJourAREF(derniereUT.getNbJoursFormationEnFinDUT());
    etatDji.setNbMoisIndemniseAsu(derniereUT.getNbMoisIndemniseAsu());
    etatDji.setEstNbMoisIndemniseAsu(derniereUT.isEstNbMoisIndemniseAsu());
    return etatDji;
  }
  
  public void traitementPeriodeSegmentante(AttributionSpec attribution, ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, PeriodeAnalyseSpec periodeAnalyse, ArretProduitAvecRaison arretProduitAvecRaison, ChronologiePeriodes periodesAnalyses)
    throws ApplicativeException
  {
    boolean estAvecFinancementEtat = estAspDcSuperieurUnAn(attribution);
    if ((periode instanceof PeriodeFormation))
    {
      if (((PeriodeFormation)periode).estEffective()) {
        passerEnIndemnisationAvecFormation(periode, constituantsIndemnisation, estAvecFinancementEtat);
      } else {
        passerEnIndemnisationSansFormation(constituantsIndemnisation, estAvecFinancementEtat);
      }
    }
    else if (((periode instanceof PeriodeInterStageFormation)) || ((periode instanceof FinActionFormation)))
    {
      passerEnIndemnisationSansFormation(constituantsIndemnisation, estAvecFinancementEtat);
    }
    else if (((periode instanceof PeriodeSousPensionInvaliditeChaineeSpec)) && (periode.getDateDebut().estApresOuCoincideAvec(attribution.getPji())))
    {
      ElementBaseIndemnisation elementBaseIndemnisation = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
      BigDecimal montantPIADeduire = elementBaseIndemnisation.getMontantPensionInvaliditeADeduire().add(((PeriodeSousPensionInvaliditeChaineeSpec)periode).getMontant().getValeur());
      
      elementBaseIndemnisation.setMontantPensionInvaliditeADeduire(montantPIADeduire);
      if ((elementBaseIndemnisation.getListeSousEBI() != null) && (!elementBaseIndemnisation.getListeSousEBI().isEmpty()))
      {
        Iterator<ElementBaseIndemnisation> iterator = elementBaseIndemnisation.getListeSousEBI().iterator();
        while (iterator.hasNext())
        {
          ElementBaseIndemnisation sousEBI = (ElementBaseIndemnisation)iterator.next();
          sousEBI.setMontantPensionInvaliditeADeduire(montantPIADeduire);
        }
      }
    }
    else if (((periode instanceof FinPeriodePensionInvaliditeChainee)) && (((periodeAnalyse != null) && (periodeAnalyse.getDateDebut().equals(periode.getDateDebut()))) || ((periodeAnalyse == null) && (periode.getDateDebut().estContenueDans(uniteTraitement.getPeriode())))))
    {
      ElementBaseIndemnisation elementBaseIndemnisation = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
      BigDecimal montantPIADeduire = elementBaseIndemnisation.getMontantPensionInvaliditeADeduire().subtract(((FinPeriodePensionInvaliditeChainee)periode).getQuantiteEuro().getValeur());
      
      elementBaseIndemnisation.setMontantPensionInvaliditeADeduire(montantPIADeduire);
      if ((elementBaseIndemnisation.getListeSousEBI() != null) && (!elementBaseIndemnisation.getListeSousEBI().isEmpty()))
      {
        Iterator<ElementBaseIndemnisation> iterator = elementBaseIndemnisation.getListeSousEBI().iterator();
        while (iterator.hasNext())
        {
          ElementBaseIndemnisation sousEBI = (ElementBaseIndemnisation)iterator.next();
          sousEBI.setMontantPensionInvaliditeADeduire(montantPIADeduire);
        }
      }
      uniteTraitement.ajouterEvenement(new EvenementFinPeriodePensionInvalidite(periode.getDateDebut().veille()));
    }
    else if ((periode instanceof ObjetChronoPeriodeDebutPec))
    {
      OutilsMaintienEuropeenEessiASU.controlerEtEmettreEnqueteMaintienEuropeen(attribution, constituantsIndemnisation, periode.getDateDebut(), this, ((AttributionAssuranceSpec)attribution).determinerCodeSousProduitPourSigma(), uniteTraitement);
      
      passerEnIndemnisationSansFormation(constituantsIndemnisation, estAvecFinancementEtat);
    }
  }
  
  public void traitementPeriodesAlertantes(AttributionSpec attribution, ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, PeriodeAnalyseSpec periodeAnalyse, ArretProduitAvecRaison arretProduitAvecRaison)
    throws ApplicativeException
  {
    if (((periode instanceof ObjetChronoAnomalieI04)) && ((periode.getDateDebut().estAvant(periodeAnalyse.getDateFin())) || ((periode.getDateDebut().coincideAvec(periodeAnalyse.getDateFin())) && (arretProduitAvecRaison.getPeriodesInterruptivesDefinitives().isEmpty()) && (!arretProduitAvecRaison.isRaisonsContientRaison(1)) && (!arretProduitAvecRaison.isRaisonsContientRaison(2))))) {
      GestionAnomalies.ajouteAnomalie(new Anomalie("I04", periode.getDateDebut(), ""), attribution.getDemandeur());
    }
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes periodes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduiteSpec, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ConstituantsIndemnisation constituantsIndemnisation, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesDecalantes(periodes, uniteTraitement);
  }
  
  public void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes periodes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduiteSpec, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesGelantes(attribution, periodes, constituantsCalculActiviteReduiteSpec, uniteTraitement);
  }
  
  public void traitementPeriodesSuspensives(AttributionSpec attribution, ChronologiePeriodes periodes, PeriodeAnalyseSpec periodeAnalyse)
    throws CoucheLogiqueException
  {
    Quantite quantiteSuspensive = TraitementPeriodes.getQuantiteSuspensive(periodeAnalyse.getPeriode(), periodeAnalyse.getQuantiteIndemnisable(), periodes);
    periodeAnalyse.setQuantiteNonIndemnisee(periodeAnalyse.getQuantiteNonIndemnisee().ajouter(quantiteSuspensive));
  }
  
  public void traiterPeriodeInterruptiveDefinitive(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ObjetChronoPeriode objetChronoPeriode, ArretProduitAvecRaison arretProduitAvecRaison, CalendrierExecutionCalculPeriodique calendrier)
    throws CoucheLogiqueException
  {
    if ((objetChronoPeriode instanceof ObjetChronoPeriodeAssDemandeExpresse))
    {
      arretProduitAvecRaison.setProduitAEteindre(true);
    }
    else if ((objetChronoPeriode instanceof PeriodeFormationNonIndemniseeAbsenceHeure))
    {
      GestionAnomalies.ajouteAnomalie(new Anomalie("M06", objetChronoPeriode.getDateDebut(), ""), attribution.getDemandeur());
    }
    else if ((objetChronoPeriode instanceof ObjetChronoPeriodeFinDureeMaintienDroit))
    {
      uniteTraitement.ajouterEvenement(new EvenementMaintienEuropeenDJI(objetChronoPeriode.getDateDebut().veille()));
    }
    else if ((objetChronoPeriode instanceof ObjetChronoPeriodeLimiteIndemnisationPMVS))
    {
      uniteTraitement.ajouterEvenement(new EvenementLimiteIndemnisationPMVS(objetChronoPeriode.getDateDebut().veille()));
    }
    else if ((objetChronoPeriode instanceof PeriodeDisponibilite))
    {
      uniteTraitement.ajouterEvenement(new EvenementPeriodesSuspensivesDisponibilite(objetChronoPeriode.getDateDebut().veille(), ((PeriodeDisponibilite)objetChronoPeriode).getLibelle()));
      if (((PeriodeDisponibilite)objetChronoPeriode).doitCreerEnquete()) {
        GestionSuivi.enregistrerEnquetePbjcNcp(attribution, objetChronoPeriode.getDateDebut().veille(), 50, 0, true, null, this, null);
      }
    }
  }
  
  public boolean verifierConditionExecutionEtEventuelAbandon(AttributionSpec attribution, ContexteUT contexteUT, Periode periodeUT, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public boolean verifierImputationDuree(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, ConstituantsIndemnisation constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public MontantBaseSpec calculMontant(FormuleMontantSpec formuleMontant, ConstituantsIndemnisation constituantsIndemnisation, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    return formuleMontant.calculer(constituantsIndemnisation, dateCalcul);
  }
  
  public ConstituantsIndemnisation creationConstituantsIndemnisation(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    Collection collectionDureesCalcul = new ArrayList();
    Periode periodeIndemnisation = new Periode(attribution.getDateAttribution(), ((AttributionAssuranceSpec)attribution).getDateLimiteIndemnisation());
    DureeIndemnisation dureeIndemnisation = new DureeIndemnisation(periodeIndemnisation.getDuree());
    if (estAspDcSuperieurUnAn(attribution)) {
      dureeIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDCAvecFinancement.getCode());
    } else {
      dureeIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDC.getCode());
    }
    collectionDureesCalcul.add(dureeIndemnisation);
    constituantsIndemnisation.setCollectionQuantiteDroit(collectionDureesCalcul);
    return constituantsIndemnisation;
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierExecutionCalcul(AttributionSpec attribution)
  {
    ProduitAsuSpec produit = (ProduitAsuSpec)attribution.getProduit();
    return produit.creerCalendrierCalcul();
  }
  
  public boolean enregistrerDroitPBJCNCP(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public boolean enregistrerEnquetePBJCNCP()
  {
    return true;
  }
  
  public boolean estEnActiviteConservee(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement)
    throws CoucheLogiqueException
  {
    return false;
  }
  
  public Damj getDjiMaintienEuropeenDuDroit(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return OutilsMaintienEuropeenEessiASU.getDjiMaintienEuropeenDuDroit(attribution, this);
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public Damj getIdeMaintienEuropeenDuDroit(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return OutilsMaintienEuropeenEessiASU.getIdeMaintienEuropeenDuDroit(attribution);
  }
  
  public Damj getPjiMaintienEuropeenDuDroit(AttributionSpec attribution)
  {
    return OutilsMaintienEuropeenEessiASU.getPjiMaintienEuropeenDuDroit(attribution);
  }
  
  public boolean neutralisationApplicableRetourUL961()
  {
    return false;
  }
  
  public ResultatCalcul postTraitementResultatDetaille(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDetaille(attribution, (CalendrierExecutionCalcul)calendrierExecutionCalcul);
  }
  
  public ResultatCalcul postTraitementResultatDetailleNotification(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDetailleNotification(attribution, (CalendrierExecutionCalcul)calendrierExecutionCalcul);
  }
  
  public ResultatCalcul postTraitementResultatDeterminationEtatDroit(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul, Damj dateEtatDroit)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDeterminationEtatDroit(attribution, (CalendrierExecutionCalcul)calendrierExecutionCalcul, dateEtatDroit);
  }
  
  public ResultatCalcul postTraitementResultatMigrationCalcul(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public Damj recupererDateFinDroitTheorique(CalendrierExecutionCalculSpec calendrierExecutionCalcul, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    Damj dateFinDroitTheorique = null;
    EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)calendrierExecutionCalcul.getEtatAuDJI();
    BigDecimal reliquatDureeIndemnisation = null;
    if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)attribution.getDemande(), 2)) {
      return ((AttributionAssuranceSpec)attribution).getDateLimiteIndemnisation();
    }
    if (etatAuDji != null)
    {
      if ((etatAuDji.getReliquatDureeIndemnisation() != null) && (etatAuDji.getReliquatDureeIndemnisation().getValeur() != null))
      {
        reliquatDureeIndemnisation = etatAuDji.getReliquatDureeIndemnisation().getValeur();
        dateFinDroitTheorique = calendrierExecutionCalcul.getDernierJourIndemnisable().deplacerVersAvant(new DureeCalendaire(0, 0, reliquatDureeIndemnisation.intValue()));
      }
      else
      {
        dateFinDroitTheorique = calendrierExecutionCalcul.getDernierJourIndemnisable();
      }
    }
    else
    {
      AttributionAssuranceSpec attrib = (AttributionAssuranceSpec)attribution;
      dateFinDroitTheorique = attribution.getPji().deplacerVersAvant(new DureeCalendaire(0, 0, attrib.getDureeIndemnisationTheorique().getValeurEntiere() - 1));
    }
    return dateFinDroitTheorique;
  }
  
  public ChronologiePeriodes recupererPeriodesProduit(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesIndividuelles = null;
    IndividuSpec individu = null;
    periodesIndividuelles = new ChronologiePeriodes();
    individu = attribution.getDemandeur();
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire50Ans(individu));
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire55Ans(individu));
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire60Ans(individu));
    periodesIndividuelles.ajouter(OutillagePeriodes.genererPeriodeRetraite(individu));
    if ((((AttributionAssuranceSpec)attribution).getContexteDateLimiteIndemnisation() != null) && (((AttributionAssuranceSpec)attribution).getContexteDateLimiteIndemnisation().equals("CRSPMVS")))
    {
      if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)attribution.getDemande(), 2)) {
        periodesIndividuelles.ajouter(new ObjetChronoPeriodeLimiteIndemnisationPMVS(((AttributionAssuranceSpec)attribution).getDateLimiteIndemnisation().lendemain(), attribution.getRsod()));
      }
    }
    else {
      periodesIndividuelles.ajouter(new ObjetChronoPeriodeLimiteIndemnisationASP(((AttributionAssuranceSpec)attribution).getDateLimiteIndemnisation().lendemain(), attribution.getRsod()));
    }
    if (individu.getDernierJourAtteste() != null) {
      periodesIndividuelles.ajouter(OutillagePeriodes.genererLendemainDja(individu));
    }
    return periodesIndividuelles;
  }
  
  private boolean estEnFormation(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement)
  {
    ChronologiePeriodes periodesSegmentantes = uniteTraitement.getQualificationPeriodes().getPeriodesSegmentantes();
    periodesSegmentantes.iterer();
    while (periodesSegmentantes.encoreSuivant()) {
      if ((periodesSegmentantes.elementSuivant() instanceof PeriodeFormation)) {
        return true;
      }
    }
    return false;
  }
  
  private Quantite recupererReliquatDureeIndemnisation(fr.unedic.cali.calcul.dom.UniteTraitement derniereUT, boolean estDureeProlongation)
  {
    Quantite reliquatDureeIndemnisation = null;
    Collection collectionQuantiteDroit = derniereUT.getConstituantsIndemnisationEnFinUT().getCollectionQuantiteDroit();
    QuantiteDroit quantite = null;
    QuantiteDroit quantiteEpuise = null;
    if (collectionQuantiteDroit != null)
    {
      Iterator iterator = collectionQuantiteDroit.iterator();
      while (iterator.hasNext())
      {
        QuantiteDroit quantiteDroit = (QuantiteDroit)iterator.next();
        if (((quantiteDroit instanceof DureeIndemnisation)) || ((quantiteDroit instanceof DureeProlongation))) {
          if (((quantiteDroit instanceof DureeIndemnisation)) && (!estDureeProlongation))
          {
            quantite = (DureeIndemnisation)quantiteDroit;
            if (quantiteDroit.getEtat() == 1) {
              break;
            }
            if (quantiteDroit.getEtat() == 2) {
              quantiteEpuise = quantite;
            }
          }
          else if (((quantiteDroit instanceof DureeProlongation)) && (estDureeProlongation))
          {
            quantite = (DureeProlongation)quantiteDroit;
            if (quantiteDroit.getEtat() == 1) {
              break;
            }
            if (quantiteDroit.getEtat() == 2) {
              quantiteEpuise = quantite;
            }
          }
          else if (((quantiteDroit instanceof DureeIndemnisation)) && (estDureeProlongation) && ((((DureeIndemnisation)quantiteDroit).getCodeFormuleMontant().equals("5")) || (((DureeIndemnisation)quantiteDroit).getCodeFormuleMontant().equals("6"))))
          {
            reliquatDureeIndemnisation = new QuantiteJour(BigDecimal.ZERO);
          }
        }
      }
    }
    if (quantite != null)
    {
      if (quantite.getEtat() == 1) {
        reliquatDureeIndemnisation = quantite.getQuantiteCourante();
      } else if ((quantite.getEtat() == 2) || (quantiteEpuise != null)) {
        reliquatDureeIndemnisation = new QuantiteJour(BigDecimal.ZERO);
      }
    }
    else if (!estDureeProlongation) {
      reliquatDureeIndemnisation = new QuantiteJour(BigDecimal.ZERO);
    }
    return reliquatDureeIndemnisation;
  }
  
  protected void passerEnIndemnisationSansFormation(ConstituantsIndemnisation constituantsIndemnisation, boolean estAvecFinancementEtat)
  {
    DureeIndemnisation duree = (DureeIndemnisation)OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(constituantsIndemnisation.getCollectionQuantiteDroit());
    if (duree != null)
    {
      if (estAvecFinancementEtat) {
        duree.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDCAvecFinancement.getCode());
      } else {
        duree.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDC.getCode());
      }
    }
    else if (estAvecFinancementEtat) {
      constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDCAvecFinancement.getCode());
    } else {
      constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneralASPDC.getCode());
    }
    ElementBaseIndemnisation elementBaseIndemnisation = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant().copie();
    constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisation);
  }
  
  protected void passerEnIndemnisationAvecFormation(ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation, boolean estAvecFinancementEtat)
  {
    DureeIndemnisation duree = (DureeIndemnisation)OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(constituantsIndemnisation.getCollectionQuantiteDroit());
    if (duree != null)
    {
      if (estAvecFinancementEtat) {
        duree.setCodeFormuleMontant(FormuleMontantASPDCFAvecFinancement.getCode());
      } else {
        duree.setCodeFormuleMontant(FormuleMontantASPDCF.getCode());
      }
    }
    else if (estAvecFinancementEtat) {
      constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantASPDCFAvecFinancement.getCode());
    } else {
      constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantASPDCF.getCode());
    }
    ElementBaseIndemnisationAREF elementBaseIndemnisationAREF = new ElementBaseIndemnisationAREF((ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant());
    if ((periode instanceof PeriodeFormation)) {
      elementBaseIndemnisationAREF.setEffectif(((PeriodeFormation)periode).estEffective());
    }
    constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationAREF);
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAJourCumulActivite(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, AttributionSpec attribution, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    ConstituantsCalculActiviteReduiteAsu constituantsCalculActiviteReduiteAsu = (ConstituantsCalculActiviteReduiteAsu)constituantsCalculActiviteReduite;
    int cumulActivite = constituantsCalculActiviteReduiteAsu.getCumulJours();
    int cumulActiviteSurMois = 0;
    FiltresTemporel filtres = new FiltresTemporel();
    FiltreTravail filtreTravail = new FiltreTravail();
    filtres.ajouterFiltre(filtreTravail);
    Chronologie chronoPeriode = null;
    Chronologie chronoPeriodeTrie = null;
    
    chronoPeriode = OutillageCalculADate.boucheLesTrous((ChronologiePeriodes)uniteTraitement.getQualificationPeriodes().getPeriodesSuspensives().copier(filtres), ObjetChronoRemplissage.class, uniteTraitement.getDateDebut(), uniteTraitement.getDateFin());
    
    chronoPeriodeTrie = (ChronologiePeriodes)chronoPeriode.copier(new FiltreObjetChronoPeriodeCalculRemplissage());
    
    Iterator iterateurPeriode = chronoPeriodeTrie.iterer();
    while (iterateurPeriode.hasNext())
    {
      ObjetChronoPeriode periodeActivite = (ObjetChronoPeriode)iterateurPeriode.next();
      cumulActiviteSurMois += periodeActivite.getDuree();
    }
    constituantsCalculActiviteReduiteAsu.setCumulJours(uniteTraitement.getDuree() - cumulActiviteSurMois + cumulActivite);
    if (uniteTraitement.getSyntheseARsurUT() != null) {
      uniteTraitement.getSyntheseARsurUT().setCumulActivite(constituantsCalculActiviteReduiteAsu.getCumulJours());
    }
    return constituantsCalculActiviteReduiteAsu;
  }
  
  public void alimenterGrapheAntecedentCalcul(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    GestionAntecedentCalcul.getInstance().alimenterGrapheCalcul(attribution);
  }
  
  public fr.unedic.cali.calcul.dom.EvenementFinQuantiteDroit creerEvenementFinQuantiteDroit(Damj dateEffet, QuantiteDroitSpec quantiteDroit)
  {
    return new fr.unedic.cali.asu.calcul.dom.EvenementFinQuantiteDroit(dateEffet, quantiteDroit);
  }
  
  public fr.unedic.cali.calcul.dom.periode.DsmTravail convertirDsmTravailVersDsmTravailProduit(fr.unedic.cali.calcul.dom.periode.DsmTravail dsmTravail)
  {
    return new fr.unedic.cali.asu.calcul.dom.periode.DsmTravail(dsmTravail);
  }
  
  public void postTraitementQualification(fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement, QualificationPeriodes qualificationPeriodes)
    throws CoucheLogiqueException
  {
    if (uniteTraitement.getStatut() == 3)
    {
      FiltreNegation filtre = new FiltreNegation(new FiltreDsmTravailCalcul());
      qualificationPeriodes.setPeriodesSuspensives((ChronologiePeriodes)qualificationPeriodes.getPeriodesSuspensives().copier(filtre));
    }
  }
  
  public String recupererCategorieAttribution(AttributionSpec attribution, fr.unedic.cali.calcul.dom.UniteTraitement uniteTraitement)
    throws CoucheLogiqueException
  {
    return ((AttributionAssuranceSpec)attribution).determinerCodeSousProduitPourSigma();
  }
  
  public boolean enregistrerDispositifPBJCNCP(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return false;
  }
  
  public boolean verifierEligibilitePaiementParAvance(fr.unedic.cali.calcul.dom.UniteTraitement ut)
  {
    ut.setRaisonStatut(1);
    return false;
  }
}

/* Location:
 * Qualified Name:     FacadeCalculLigneCVA10Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */