package fr.unedic.cali.asu.cva10.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAssDemandeExpresse;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDVDemandeExpresse;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeSuspensionIndemnisation;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilPensionInvalidite;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques.FabriqueStrategieConvention2014;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieConventionARE14Spec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.autresdoms.cohab.dom.PeriodeSousPensionInvaliditeChainee;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodeSousPensionInvaliditeChaineeSpec;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.periode.DebutActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.DsmMaladie;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvaliditeChainee;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceActualisationMaintienEuropeen;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeActiviteSalarieSansSalaire;
import fr.unedic.cali.calcul.dom.periode.PeriodeBlocageIndemnisation;
import fr.unedic.cali.calcul.dom.periode.PeriodeClca;
import fr.unedic.cali.calcul.dom.periode.PeriodeClcaOuverte;
import fr.unedic.cali.calcul.dom.periode.PeriodeConflitGAEC;
import fr.unedic.cali.calcul.dom.periode.PeriodeDisponibilite;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementBloquant;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementPersonnel;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.periode.PeriodeInassiduiteFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire50Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire55Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire60Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnomalieI04;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoNonPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeAttributionSecteurPublic;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeFinPec;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLendemainDja;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationASP;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationPMVS;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodePEC;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRadiation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.outilsfonctionnels.QualificationAbstraite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.RevisionSpec;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class Qualification
  extends QualificationAbstraite
{
  protected boolean estTypeAPrendreEnCompte(ObjetChronoPeriode periode)
  {
    return periode instanceof PeriodeActiviteSalarieSansSalaire;
  }
  
  protected boolean qualifierUnePeriodeAlertante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if ((periode instanceof ObjetChronoAnomalieI04))
    {
      qualificationPeriodes.ajouterPeriodesAlertantes(periode);
      return true;
    }
    return false;
  }
  
  protected boolean qualifierUnePeriodeDecalante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if (((p_periode instanceof PeriodeTravailJustifiee)) || ((p_periode instanceof DsmTravail)) || ((p_periode instanceof PeriodePrime))) {
      p_qualificationPeriodes.ajouterPeriodesDecalantes(p_periode);
    } else if ((p_periode instanceof PeriodeAbsenceActualisationMaintienEuropeen)) {
      p_qualificationPeriodes.ajouterPeriodesDecalantes(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeGelante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if ((p_periode instanceof PeriodeAbsenceAuPointage)) {
      p_qualificationPeriodes.ajouterPeriodesGelantes(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptives(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if ((p_periode instanceof ObjetChronoPeriodeSuspensionIndemnisation)) {
      p_qualificationPeriodes.ajouterPeriodesInterruptives(p_periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptivesDefinitives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if (((periode instanceof PeriodeDisponibilite)) && (periode.getDateFin().estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Périodes suspensives en cours"))) && (periode.getDateFin().estApres(attribution.getDateAttribution())))
    {
      if ((((PeriodeDisponibilite)periode).doitInterrompteARE()) && ((!((PeriodeDisponibilite)periode).estSuiteRenouvellement()) || (attribution.getDateAttribution().estAvantOuCoincideAvec(((PeriodeDisponibilite)periode).getDateDebutRenouvellement())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if (((periode instanceof ObjetChronoPeriodeLimiteIndemnisationPMVS)) && (((ObjetChronoPeriodeLimiteIndemnisationPMVS)periode).getRsod().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof PeriodeClcaOuverte)) && (periode.getDateDebut().estApres(attribution.getDateAttribution())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof PeriodeConflitGAEC))
    {
      if (!attribution.estNeutralise())
      {
        if ((attribution.getDateAttribution() != null) && (attribution.getDateAttribution().estApres(periode.getDateDebut()))) {
          if (attribution.getDateAttribution().coincideAvec(attribution.getDateAttribution().getFinMois()))
          {
            periode.setDateDebut(attribution.getDateAttribution().lendemain());
            periode.setDateFin(attribution.getDateAttribution().lendemain());
          }
          else
          {
            periode.setDateDebut(attribution.getDateAttribution().getFinMois());
            periode.setDateFin(attribution.getDateAttribution().getFinMois());
          }
        }
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof PeriodeFormationNonIndemniseeAbsenceHeure))
    {
      if (!attribution.estNeutralise())
      {
        if ((attribution.getDateAttribution() != null) && (attribution.getDateAttribution().estApres(periode.getDateDebut()))) {
          periode.setDateDebut(attribution.getDateAttribution());
        }
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof ObjetChronoPeriodeRadiation))
    {
      ObjetChronoPeriodePriseEnCharge periodePEC = OutillagePeriodes.recupererPeriodePECContenant(attribution.getDemandeur(), attribution.getDateEffet());
      if ((periodePEC != null) && (!OutillagePEC.estPecSuivanteAutreEtatMembreCoordination(attribution.getDemandeur(), periode.getDateDebut())) && (((ObjetChronoPeriodeRadiation)periode).getPEC().getPeriode().coincideAvec(new Periode(periodePEC.getDateDebut(), periodePEC.getDateFin())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof PeriodeBlocageIndemnisation))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeAssDemandeExpresse))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeRejetDVDemandeExpresse))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof ObjetChronoPeriodeAttributionSecteurPublic)) && (!attribution.equals(((ObjetChronoPeriodeAttributionSecteurPublic)periode).getAttribution())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeRetraite))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof ObjetChronoPeriodeInterProduits)) && (!attribution.equals(((ObjetChronoPeriodeInterProduits)periode).getAttribution())))
    {
      if ((((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 1) && (((ObjetChronoPeriodeInterProduits)periode).getGamme().equals("ASU")) && ((!(((ObjetChronoPeriodeInterProduits)periode).getAttribution() instanceof RevisionSpec)) || (!attribution.getDateAttribution().coincideAvec(((ObjetChronoPeriodeInterProduits)periode).getAttribution().getDateAttribution())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      } else if (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("INR_RCE04_01")) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      } else if (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("INR_PAR09_01")) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if (((periode instanceof PeriodeExclusionDefinitiveDDTE)) && (((PeriodeExclusionDefinitiveDDTE)periode).getRSOD().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof ObjetChronoPeriodeLimiteIndemnisationASP)) && (((ObjetChronoPeriodeLimiteIndemnisationASP)periode).getRsod().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeInterProduits))
    {
      if ((((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("RET_ACO01_01")) && (((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 2)) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof ObjetChronoPeriodeFinDureeMaintienDroit))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeFinPec))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else
    {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeSegmentante(ObjetChronoPeriodeCalcul p_periode, QualificationPeriodes p_qualificationPeriodes, AttributionSpec p_attribution)
  {
    if ((p_periode instanceof fr.unedic.cali.calcul.dom.periode.PeriodeFormation))
    {
      if (((fr.unedic.cali.calcul.dom.periode.PeriodeFormation)p_periode).getActionFormation().estBasculeAutoriserEnContexteFormation())
      {
        ObjetChronoPeriodeCalcul periodeFormation = (ObjetChronoPeriodeCalcul)p_periode.copie();
        if ((p_periode.getDateDebut().estAvant(p_attribution.getPji())) && (p_periode.getDateFin().estApres(p_attribution.getPji()))) {
          periodeFormation.setDateDebut(p_attribution.getPji());
        }
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(periodeFormation);
      }
    }
    else if ((p_periode instanceof ObjetChronoPeriodeLendemainDja))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof FinActionFormation))
    {
      IndividuSpec individu = p_attribution.getDemandeur();
      ObjetChronoPeriode periodeActivite = null;
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      boolean estEncoreEnFormation = false;
      while ((chronologiePeriodes.encoreSuivant()) && (!estEncoreEnFormation))
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if (((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation)) && (!((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).estAnnulee()) && (((FinActionFormation)p_periode).getActionFormation().getIdentifiantActionFormation() != Integer.parseInt(((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getIdentifiant())) && (p_periode.getDateFin().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin()))) && (p_periode.getDateFin().lendemain().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin())))) {
          estEncoreEnFormation = true;
        }
      }
      if (!estEncoreEnFormation) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if ((p_periode instanceof DebutActionFormation))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if (((p_periode instanceof ObjetChronoAnniversaire50Ans)) || ((p_periode instanceof ObjetChronoAnniversaire55Ans)) || ((p_periode instanceof ObjetChronoAnniversaire60Ans)))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeInterStageFormation))
    {
      IndividuSpec individu = p_attribution.getDemandeur();
      Collection listePeriodeAQualifier = new ArrayList();
      ObjetChronoPeriode periodeActivite = null;
      Periode periodeFormation = null;
      ChronologiePeriodes listePeriodesFormations = null;
      
      listePeriodeAQualifier.add(p_periode);
      
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      while (chronologiePeriodes.encoreSuivant())
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if ((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation))
        {
          listePeriodesFormations = ((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getListePeriodeFormation();
          listePeriodesFormations.iterer();
          while (listePeriodesFormations.encoreSuivant())
          {
            periodeFormation = ((fr.unedic.cali.autresdoms.ga.dom.PeriodeFormation)listePeriodesFormations.elementSuivant()).getPeriodeEffective();
            if (periodeFormation != null) {
              if (new Periode(periodeFormation.getDebut(), periodeFormation.getFin()).contient(p_periode.getPeriode()))
              {
                listePeriodeAQualifier.remove(p_periode);
              }
              else if (p_periode.getPeriode().contient(new Periode(periodeFormation.getDebut(), periodeFormation.getFin())))
              {
                listePeriodeAQualifier.remove(p_periode);
                PeriodeInterStageFormation periodePremierDecoupage = new PeriodeInterStageFormation();
                if (p_periode.getDateDebut().estAvant(periodeFormation.getDebut().veille()))
                {
                  periodePremierDecoupage.setDateDebut(p_periode.getDateDebut());
                  periodePremierDecoupage.setDateFin(periodeFormation.getDebut().veille());
                  listePeriodeAQualifier.add(periodePremierDecoupage);
                }
                PeriodeInterStageFormation periodeDeuxiemeDecoupage = new PeriodeInterStageFormation();
                if (p_periode.getDateFin().estApres(periodeFormation.getFin().lendemain()))
                {
                  periodeDeuxiemeDecoupage.setDateDebut(periodeFormation.getFin().lendemain());
                  periodeDeuxiemeDecoupage.setDateFin(p_periode.getDateFin());
                  listePeriodeAQualifier.add(periodeDeuxiemeDecoupage);
                }
              }
              else if (p_periode.getPeriode().contient(periodeFormation.getDebut()))
              {
                p_periode.setDateFin(periodeFormation.getDebut().veille());
              }
              else if (p_periode.getPeriode().contient(periodeFormation.getFin()))
              {
                p_periode.setDateDebut(periodeFormation.getFin().lendemain());
              }
            }
          }
        }
      }
      Iterator iterateur = listePeriodeAQualifier.iterator();
      while (iterateur.hasNext())
      {
        ObjetChronoPeriodeCalcul periodeAAjouter = (ObjetChronoPeriodeCalcul)iterateur.next();
        if (periodeAAjouter.getDuree() > 15) {
          p_qualificationPeriodes.ajouterPeriodesSegmentantes(periodeAAjouter);
        }
      }
    }
    else if ((p_periode instanceof PeriodeSousPensionInvaliditeChaineeSpec))
    {
      PeriodeSousPensionInvaliditeChainee sousPiChainee = (PeriodeSousPensionInvaliditeChainee)p_periode;
      if (OutilPensionInvalidite.estUneSousPensionDeductible((AttributionAssuranceSpec)p_attribution, sousPiChainee)) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if ((p_periode instanceof FinPeriodePensionInvaliditeChainee))
    {
      FinPeriodePensionInvaliditeChainee sousPiChainee = (FinPeriodePensionInvaliditeChainee)p_periode;
      PeriodeSousPensionInvaliditeChainee piChainee = (PeriodeSousPensionInvaliditeChainee)sousPiChainee.getPeriodePensionGeneratrice();
      if (OutilPensionInvalidite.estUneSousPensionDeductible((AttributionAssuranceSpec)p_attribution, piChainee)) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if (((p_periode instanceof ObjetChronoPeriodeInterProduits)) && (!p_attribution.equals(((ObjetChronoPeriodeInterProduits)p_periode).getAttribution())))
    {
      if ((((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 2) && ((((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_03")))) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      } else if ((((ObjetChronoPeriodeInterProduits)p_periode).getTypePeriode() == 5) && ((((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)p_periode).getNomProduit().equals("SOL_AER05_03")))) {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
      }
    }
    else if (((p_periode instanceof ObjetChronoPeriodeHomogene)) || ((p_periode instanceof ObjetChronoNonPeriodeHomogene)))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof PeriodeEvenementBloquant))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeDebutPec))
    {
      p_qualificationPeriodes.ajouterPeriodesSegmentantes(p_periode);
    }
    else
    {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeSuspensives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if ((periode instanceof PeriodeDisponibilite))
    {
      if ((((PeriodeDisponibilite)periode).doitSuspendreARE()) && (attribution.getDateAttribution().estAvantOuCoincideAvec(periode.getDateDebut()))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if ((((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof DsmTravail)) || ((periode instanceof PeriodePrime))) && (estUneActiviteSuspensive(periode, attribution))) {
      qualificationPeriodes.ajouterPeriodesSuspensives(periode);
    } else if ((periode instanceof PeriodeClcaOuverte))
    {
      if ((attribution != null) && ((periode.getDateDebut().estApres(attribution.getDateAttribution())) || (PeriodeClcaOuverte.INTENSITE_TEMPS_PLEIN.compareTo(((PeriodeClcaOuverte)periode).getIntensite()) == 0))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if ((periode instanceof PeriodeClca))
    {
      if ((attribution != null) && ((periode.getDateDebut().estApres(attribution.getDateAttribution())) || (PeriodeClcaOuverte.INTENSITE_TEMPS_PLEIN.compareTo(((PeriodeClca)periode).getIntensite()) == 0))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if (((periode instanceof PeriodeEvenementPersonnel)) || ((periode instanceof DsmMaladie)) || ((periode instanceof PeriodeInassiduiteFormation)) || ((periode instanceof DsmAbsenceAuPointage))) {
      qualificationPeriodes.ajouterPeriodesSuspensives(periode);
    } else if (((periode instanceof ObjetChronoPeriodeInterProduits)) && (!attribution.equals(((ObjetChronoPeriodeInterProduits)periode).getAttribution())))
    {
      if (((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 7) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else {
      return false;
    }
    return true;
  }
  
  private boolean estUneActiviteSuspensive(ObjetChronoPeriodeCalcul p_periode, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Damj dateFaitGenerateur = recupererDateFaitGenerateurDroit(p_attribution);
    if (((p_periode instanceof PeriodeTravailJustifiee)) && (((PeriodeTravailJustifiee)p_periode).getPeriodeOrigine().estApres(dateFaitGenerateur))) {
      return true;
    }
    if (((p_periode instanceof DsmTravail)) && (((DsmTravail)p_periode).getPeriode().estApres(dateFaitGenerateur))) {
      return true;
    }
    if (((p_periode instanceof PeriodePrime)) && (((PeriodePrime)p_periode).getPeriodeOrigine().estApres(dateFaitGenerateur))) {
      return true;
    }
    return false;
  }
  
  protected static Damj recupererDateFaitGenerateurDroit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    FabriqueStrategieConvention2014 fab = new FabriqueStrategieConvention2014();
    CritereStrategie cs = new CritereStrategie();
    cs.setDatePivot(((AttributionAssuranceSpec)p_attribution).getDateAttribution());
    StrategieConventionARE14Spec strat = (StrategieConventionARE14Spec)fab.getStrategie(cs);
    return strat.recupererDateFaitGenerateurDroitCsp(p_attribution);
  }
}

/* Location:
 * Qualified Name:     Qualification
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */