package fr.unedic.cali.asu.cve13.p01.calcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.FacadeCalculGammeImpl;
import fr.unedic.cali.asu.calcul.dom.ConstituantsCalculActiviteReduiteAsu;
import fr.unedic.cali.asu.calcul.dom.EtatAuDjiGamme;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAssDemandeExpresse;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.DefinitionStatutUtTraitementActiviteReduite;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.RecuperationPensionInvaliditeAvantDate;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.DureeFinancement;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisationATPF;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.FormuleMontantATP;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.FormuleMontantATPAvecFinancement;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.FormuleMontantATPF;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.FormuleMontantATPFAvecFinancement;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.FormuleMontantATPFSpec;
import fr.unedic.cali.asu.cve13.p01.calcul.outilsfonctionnels.MajCi;
import fr.unedic.cali.asu.cve13.p01.calcul.outilsfonctionnels.PostTraitements;
import fr.unedic.cali.asu.cve13.p01.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.cve13.p01.calcul.outilsfonctionnels.TraitementActiviteReduite;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.SalaireReference;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilFinDroit;
import fr.unedic.cali.asu.outilsfonctionnels.RechercheDecisionsInterruptives;
import fr.unedic.cali.asu.parametres.EvenementParametre;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.Od;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.calcul.OutillageCalculADate;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.OutillageQuantites;
import fr.unedic.cali.calcul.RecuperationDonneesSecteurPublic;
import fr.unedic.cali.calcul.TraitementPeriodes;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.EtatAuDji;
import fr.unedic.cali.calcul.dom.EvenementChangementParametre;
import fr.unedic.cali.calcul.dom.EvenementDebutQuantiteDroit;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.Somme;
import fr.unedic.cali.calcul.dom.SyntheseARsurUT;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTEAvecImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationATP;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodePJI;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.outilsfonctionnels.DecoupageProratisation;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionForcage;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionSuivi;
import fr.unedic.cali.calcul.outilsfonctionnels.RecuperationAvantageVieillesseAvantPJI;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT.ElementContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ElementBaseIndemnisationFacade;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DureeFinancementAbstraite;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.dom.QuantiteDroit;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.dom.affectation.ProduitSolSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.Anomalie;
import fr.unedic.cali.outilsfonctionnels.AppelAvant;
import fr.unedic.cali.outilsfonctionnels.GestionAnomalies;
import fr.unedic.cali.outilsfonctionnels.GestionnaireErreur;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.cali.parcours.ResultatCalcul;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

public class FacadeCalculProduitImpl
  extends FacadeCalculGammeImpl
{
  private static final DureeCalendaire DUREE_6_MOIS = new DureeCalendaire(0, 6, 1);
  private static final int DIX = 10;
  
  public int calculerCompteurNombreJoursIndemnisesSurUT(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, int p_cumulNombreJoursServi)
  {
    int nombreJourServiEnDebutUT = p_cumulNombreJoursServi;
    if (p_ut.getConstituantsIndemnisationEnFinUT().getElementBaseIndemnisationCourant() != null)
    {
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation ebi = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_ut.getConstituantsIndemnisationEnFinUT().getElementBaseIndemnisationCourant();
      if (!ebi.estMontantReduit())
      {
        nombreJourServiEnDebutUT = p_cumulNombreJoursServi + p_ut.getQuantiteIndemnisee().getValeur().intValue();
        p_ut.setEstCumulJoursIndemnise(true);
      }
    }
    return nombreJourServiEnDebutUT;
  }
  
  public int calculerCompteurNombreMoisIndemnisesSurUT(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, int p_nbMoisIndemniseEnDebutDUT)
  {
    int nbMoisIndemnisesAsu = p_ut.getNbMoisIndemniseEnDebutDUT();
    Quantite quantiteIndemniseeSurUt = p_ut.getQuantiteIndemnisee();
    if ((quantiteIndemniseeSurUt != null) && (quantiteIndemniseeSurUt.getValeur() != null) && (quantiteIndemniseeSurUt.getValeur().intValue() >= 1)) {
      nbMoisIndemnisesAsu++;
    }
    return nbMoisIndemnisesAsu;
  }
  
  public ConstituantsCalculActiviteReduiteSpec creationConstituantsCalculActiviteReduite(AttributionSpec p_attribution, ContexteUT p_contexteUT, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    ConstituantsCalculActiviteReduiteAsu constituantsAR = new ConstituantsCalculActiviteReduiteAsu(0, null, null);
    
    Attribution attribution = (Attribution)p_attribution;
    if ((attribution instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attribution.getAttributionPrecedente();
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI();
        constituantsAR.setCumulJours(etatAuDji.getCumulJoursAR());
      }
    }
    else
    {
      constituantsAR.setCumulJours(0);
    }
    return constituantsAR;
  }
  
  public fr.unedic.cali.calcul.dom.UniteTraitement creerUT(Periode p_periodeUT, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return new fr.unedic.cali.asu.calcul.dom.UniteTraitement(Unite.get("jour"), p_periodeUT);
  }
  
  public ChronologiePeriodes decoupageEtProratisationPeriodesActivites(PeriodesPriseEnCompte p_periodesPriseEnCompte, int p_typePeriodeDeRefence, ChronologiePeriodes p_chronologieDePeriodesAProratiser, Periode p_periodeUT)
    throws CoucheLogiqueException
  {
    Periode periodeDeReference = null;
    Iterator iterator = null;
    ChronologiePeriodes chronologie = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    iterator = p_periodesPriseEnCompte.getPeriodesParTypologie(p_typePeriodeDeRefence).iterer();
    chronologie = new ChronologiePeriodes();
    while (iterator.hasNext())
    {
      objetChronoPeriode = (ObjetChronoPeriode)iterator.next();
      periodeDeReference = new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin());
      chronologie.ajouter(DecoupageProratisation.decoupageEtProratisationPeriodesActivites(periodeDeReference, p_chronologieDePeriodesAProratiser));
    }
    return chronologie;
  }
  
  public void determinerStatutUT(AttributionSpec p_attribution, ChronologiePeriodes p_periodesDecalantes, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ArretProduitAvecRaison p_arretProduitAvecRaison, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    boolean absenceAuPointage = false;
    if (p_ut.getQualificationPeriodes().getPeriodesGelantes() != null)
    {
      ChronologiePeriodes periodesGelantes = p_ut.getQualificationPeriodes().getPeriodesGelantes();
      periodesGelantes.iterer();
      while (periodesGelantes.encoreSuivant()) {
        if ((periodesGelantes.elementSuivant() instanceof PeriodeAbsenceAuPointage))
        {
          p_ut.setStatut(6);
          absenceAuPointage = true;
        }
      }
    }
    if (!absenceAuPointage)
    {
      if (!GestionForcage.appliquerForcageStatut(p_attribution.getDemande(), p_ut)) {
        p_ut.setStatut(DefinitionStatutUtTraitementActiviteReduite.definirStatutUt(p_attribution, p_periodesDecalantes, 0, false, p_ut, p_arretProduitAvecRaison, this));
      }
      ChronologiePeriodes chronoPeriodeDecalanteJustifieeSansActiviteConservee = new ChronologiePeriodes();
      p_periodesDecalantes.iterer();
      while (p_periodesDecalantes.encoreSuivant())
      {
        ObjetChronoPeriode periodeTravailCalcul = (ObjetChronoPeriode)p_periodesDecalantes.elementSuivant();
        if ((periodeTravailCalcul instanceof PeriodeTravailJustifiee))
        {
          PeriodeTravailJustifiee periodeJustifiee = (PeriodeTravailJustifiee)periodeTravailCalcul;
          
          Periode periodeOrigine = periodeJustifiee.getPeriodeOrigine();
          if ((periodeOrigine != null) && (periodeOrigine.getDebut() != null) && (periodeOrigine.getDebut().estApresOuCoincideAvec(p_attribution.getDateAttribution()))) {
            chronoPeriodeDecalanteJustifieeSansActiviteConservee.ajouter(periodeTravailCalcul);
          }
        }
      }
      if (GestionForcage.appliquerMontantNetActiviteReprise(p_attribution.getDemande(), p_ut)) {
        p_ut.setStatut(3);
      } else if (chronoPeriodeDecalanteJustifieeSansActiviteConservee.getTaille() > 0) {
        p_ut.setStatut(4);
      }
    }
  }
  
  public boolean epuisementQuantiteDroit(Damj p_dateEpuisementQuantite, AttributionSpec p_attribution, QuantiteDroitSpec p_quantiteDroitEpuisee, ConstituantsIndemnisation p_constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement p_ut)
    throws ApplicativeException
  {
    if ((p_quantiteDroitEpuisee instanceof DureeFinancement))
    {
      DureeFinancement dureeFinancement = (DureeFinancement)p_constituantsIndemnisation.getDureeFinancement();
      if (dureeFinancement != null) {
        if (FormuleMontantATPAvecFinancement.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATP.getCode());
        } else if (FormuleMontantATPFAvecFinancement.getCode().equals(dureeFinancement.getCodeFormuleMontant())) {
          p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATPF.getCode());
        }
      }
    }
    return false;
  }
  
  public Damj getDateFinQuantiteDroit(Periode p_periode, AttributionSpec p_attribution, QuantiteDroitSpec p_quantiteDroit, ChronologiePeriodes p_chronologieRemplissage, Quantite p_quantiteAImputer, Damj p_dateDebutQuantiteDroit)
  {
    return OutillageCalculADate.remplirTrousChronologieParIndemnisation(p_chronologieRemplissage, p_quantiteAImputer, p_periode);
  }
  
  public Collection getEvtsChangementParametre(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_date)
  {
    List evtsRetour = new ArrayList();
    EvenementParametre evtParam = ParametresIndemnisation.getParametresIndemnisation().getElementActif(p_date);
    Sjr sjr = ((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).getSjrATP();
    if ((evtParam.isNouveauRevalorisationSjr()) && 
      (!sjr.getDateDepart().deplacerVersAvant(DUREE_6_MOIS).estApres(p_date)))
    {
      EvenementChangementParametre evt = new EvenementChangementParametre("REVALORISATION", evtParam.getDateEvenement());
      
      evtsRetour.add(evt);
    }
    return evtsRetour;
  }
  
  public Quantite getQuantiteIndemnisableTheorique(Periode p_periode, AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, ContexteUT p_contexteUt)
  {
    return new QuantiteJour(new BigDecimal(p_periode.getDuree()));
  }
  
  public void imputerAvant(ObjetChronoPeriode p_periode, ConstituantsIndemnisation p_constituantsIndemnisation, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {}
  
  public void imputerQuantiteIndemnisationDuAuxSanctions(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, PeriodeSuspensionDDTEAvecImputation p_periodeSuspensionDDTEAvecImputation, ConstituantsIndemnisation p_constituantsIndemnisation, ArretProduitAvecRaison p_arretProduitAvecRaison)
    throws ApplicativeException
  {}
  
  public void initialisationQuantitesIndemnisation(ConstituantsIndemnisation p_constituantsIndemnisation, AttributionSpec p_attribution, Periode p_periodeUT)
    throws ApplicativeException
  {
    Iterator iterator = null;
    QuantiteDroitSpec duree = null;
    Collection collectionDurees = null;
    collectionDurees = p_constituantsIndemnisation.getCollectionQuantiteDroit();
    if (collectionDurees != null)
    {
      iterator = collectionDurees.iterator();
      while (iterator.hasNext())
      {
        duree = (QuantiteDroitSpec)iterator.next();
        if (((duree instanceof DureeFinancement)) && 
        
          ((p_attribution instanceof RepriseSpec)) && (duree.getQuantiteInitial() != null) && (duree.getQuantiteCourante() != null) && (duree.getQuantiteCourante().getValeur().compareTo(new BigDecimal(0)) != 0) && (duree.getQuantiteInitial().compareTo(duree.getQuantiteCourante()) > 0)) {
          duree.setEtat(1);
        }
      }
    }
    initialiseElementBaseIndemnisationCourante(p_constituantsIndemnisation, p_attribution, p_periodeUT);
  }
  
  public void initialiseElementBaseIndemnisationCourante(ConstituantsIndemnisation p_constituantsIndemnisation, AttributionSpec p_attribution, Periode p_periodeUT)
    throws CoucheLogiqueException
  {
    String codeFormuleMontant = null;
    if (p_constituantsIndemnisation.getElementBaseIndemnisationCourant() == null)
    {
      Attribution attribution = (Attribution)p_attribution;
      fr.unedic.cali.asu.dom.ElementBaseIndemnisation ebi = attribution.getElementBaseIndemnisation();
      
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisationCourant = new fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation();
      
      Reglement reglementApplicable = ebi.getReglementApplicable();
      if (reglementApplicable != null) {
        elementBaseIndemnisationCourant.setReglementApplicable(reglementApplicable);
      }
      Quantite affiliationRequisePourPRA = ebi.getAffiliationRequisePourPRA();
      if (affiliationRequisePourPRA != null) {
        elementBaseIndemnisationCourant.setAffiliationRequisePourPRA(affiliationRequisePourPRA);
      }
      SalaireReference salaireReference = ebi.getSalaireReference();
      if (salaireReference != null) {
        elementBaseIndemnisationCourant.setSalaireReference(salaireReference);
      }
      BigDecimal nombreHeureTravaillesEtendu = ebi.getNombreHeureTravaillesEtendu();
      if (nombreHeureTravaillesEtendu != null) {
        elementBaseIndemnisationCourant.setNombreHeureTravaillesEtendu(nombreHeureTravaillesEtendu);
      }
      BigDecimal nombreHeuresTravailleesPlafonnees = ebi.getNombreHeuresTravailleesPlafonnees();
      if (nombreHeuresTravailleesPlafonnees != null) {
        elementBaseIndemnisationCourant.setNombreHeuresTravailleesPlafonnees(nombreHeuresTravailleesPlafonnees);
      }
      Periode prc = ebi.getPrc();
      if (prc != null) {
        elementBaseIndemnisationCourant.setPrc(prc);
      }
      elementBaseIndemnisationCourant.setNbJoursEmploiSurPrc(ebi.getNbJoursEmploiSurPrc());
      elementBaseIndemnisationCourant.setCoefficientHoraireJour(ebi.getCoefficientHoraireJour());
      if (attribution.getElementBaseIndemnisation().getCoefficientTempsPartiel() != null) {
        elementBaseIndemnisationCourant.setCoefficientTempsPartielATP(attribution.getElementBaseIndemnisation().getCoefficientTempsPartiel());
      } else {
        elementBaseIndemnisationCourant.setCoefficientTempsPartielATP(new BigDecimal("1"));
      }
      if ((attribution.getAttributionFinancement() != null) && (attribution.getAttributionFinancement().getElementBaseIndemnisation().getCoefficientSaisonnier() != null)) {
        elementBaseIndemnisationCourant.setCoefficientSaisonnier(attribution.getAttributionFinancement().getElementBaseIndemnisation().getCoefficientSaisonnier());
      } else {
        elementBaseIndemnisationCourant.setCoefficientSaisonnier(new BigDecimal("1"));
      }
      if ((attribution.getAttributionFinancement() != null) && (attribution.getAttributionFinancement().getElementBaseIndemnisation().getCoefficientTempsPartiel() != null)) {
        elementBaseIndemnisationCourant.setCoefficientTempsPartiel(attribution.getAttributionFinancement().getElementBaseIndemnisation().getCoefficientTempsPartiel());
      } else {
        elementBaseIndemnisationCourant.setCoefficientTempsPartiel(new BigDecimal("1"));
      }
      if (attribution.getAttributionFinancement() != null) {
        elementBaseIndemnisationCourant.setSjr(attribution.getAttributionFinancement().getElementBaseIndemnisation().getSjr());
      }
      elementBaseIndemnisationCourant.setSjrATP(attribution.getElementBaseIndemnisation().getSjr());
      
      elementBaseIndemnisationCourant.setSjc(attribution.getSJC());
      elementBaseIndemnisationCourant.setCoefficientSanctionReduction(new BigDecimal("1.00"));
      elementBaseIndemnisationCourant.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPI(attribution.getDemandeur(), attribution.getPji().veille()));
      
      PeriodeAvantageVieillesse periodeAvCourante = RecuperationAvantageVieillesseAvantPJI.recupererPeriodeAvADate(attribution.getDemandeur(), attribution.getPji().veille());
      
      BigDecimal montantAV = new BigDecimal(0);
      if (periodeAvCourante != null)
      {
        montantAV = periodeAvCourante.getQuantiteEuro().getValeur();
        
        elementBaseIndemnisationCourant.setDateEffetAV(attribution.getPji().veille());
      }
      Sjr sjrrp = RevalorisationSalaire.revaloriserSjr(attribution.getElementBaseIndemnisation(), attribution.getProduitMontantRetenu(), attribution.getDateAttribution());
      BigDecimal coeffAV = montantAV.divide(sjrrp.getSalaire(), 10, 4);
      elementBaseIndemnisationCourant.setCoefficientAvantageVieillesse(coeffAV);
      elementBaseIndemnisationCourant.setMontantAvantageVieillesse(coeffAV.multiply(sjrrp.getSalaire()));
      
      elementBaseIndemnisationCourant.setTypeCaractereSaisonnierRetenu(attribution.getElementBaseIndemnisation().getTypeCaractereSaisonnierRetenu());
      
      elementBaseIndemnisationCourant.setIsConditionCaractereSaisonnierParRythme(attribution.getElementBaseIndemnisation().isConditionCaractereSaisonnierParRythme());
      
      elementBaseIndemnisationCourant.setProduitMontantRetenu(attribution.getProduitMontantRetenu());
      p_constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationCourant);
      if (attribution.getAttributionFinancement() != null) {
        elementBaseIndemnisationCourant.setProduitFinancement(attribution.getAttributionFinancement().getProduit());
      }
      ElementBaseIndemnisationATPF elementBaseIndemnisationATPF = null;
      FormuleMontantSpec formuleMontant = null;
      
      QuantiteIndemnisationSpec duree = OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(p_constituantsIndemnisation.getCollectionQuantiteDroit());
      if (duree != null)
      {
        codeFormuleMontant = mettreAJourCodeFormuleMontantDureeFinancement(duree.getCodeFormuleMontant());
        formuleMontant = p_attribution.getFormuleMontant(duree.getCodeFormuleMontant());
      }
      else
      {
        formuleMontant = p_attribution.getFormuleMontant(p_constituantsIndemnisation.getCodeFormuleMontant());
      }
      if ((formuleMontant instanceof FormuleMontantATPFSpec))
      {
        elementBaseIndemnisationATPF = new ElementBaseIndemnisationATPF(elementBaseIndemnisationCourant);
        p_constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationATPF);
      }
    }
    else
    {
      ((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).setEstMontantReduit(false);
      ((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).setNbJourIndemnisee(new BigDecimal("0"));
      ((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).setTotalGainSurUt(new BigDecimal("0"));
      QuantiteIndemnisationSpec duree = OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(p_constituantsIndemnisation.getCollectionQuantiteDroit());
      if (duree != null)
      {
        codeFormuleMontant = mettreAJourCodeFormuleMontantDureeFinancement(duree.getCodeFormuleMontant());
        duree.setCodeFormuleMontant(codeFormuleMontant);
      }
    }
  }
  
  public int initialiserCompteurFormation(AttributionSpec p_attribution)
  {
    int nbJourFormation = 0;
    Attribution attribution = (Attribution)p_attribution;
    if ((attribution instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attribution.getAttributionPrecedente();
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI();
        nbJourFormation = etatAuDji.getNbJourAREF();
      }
    }
    return nbJourFormation;
  }
  
  public int initialiserNombreMoisIndemnise(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    int nbMoisIndemniseAsu = 0;
    Attribution attribution = (Attribution)p_attribution;
    if (((attribution instanceof RepriseSpec)) && 
      (attribution.getAttributionPrecedente() != null) && (attribution.getAttributionPrecedente().getCalendrierExecutionCalcul() != null) && (attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI() != null))
    {
      EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
      if (etatAuDji.isEstNbMoisIndemniseAsu()) {
        nbMoisIndemniseAsu = etatAuDji.getNbMoisIndemniseAsu();
      }
      if ((attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getDernierJourIndemnisable() != null) && (p_ut.getPeriode().contient(attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getDernierJourIndemnisable())))
      {
        ContexteUT.ElementContexteUT elementContexteUT = p_contexteUT.getElementContexteUT(attribution.getAttributionPrecedente());
        if ((elementContexteUT.getQuantiteIndemnisee() != null) && (elementContexteUT.getQuantiteIndemnisee().getValeur() != null) && (elementContexteUT.getQuantiteIndemnisee().getValeur().intValue() > 0) && (p_ut.getQuantiteIndemnisee() != null) && (p_ut.getQuantiteIndemnisee().getValeur() != null) && (p_ut.getQuantiteIndemnisee().getValeur().intValue() > 0)) {
          nbMoisIndemniseAsu--;
        }
      }
    }
    return nbMoisIndemniseAsu;
  }
  
  public ElementBaseIndemnisationFacade mapperUTVersElementBaseIndemnisation(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, AttributionSpec p_attribution)
  {
    ElementBaseIndemnisationFacade elt = new ElementBaseIndemnisationFacade();
    fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation eltBase = null;
    
    eltBase = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_ut.getConstituantsIndemnisationEnFinUT().getElementBaseIndemnisationCourant();
    if ((eltBase.getSjrATP() != null) && (eltBase.getSjrATP().getSalaire() != null)) {
      elt.setSjr(eltBase.getSjrATP().getSalaire().toString());
    }
    if ((eltBase.getCoefficientTempsPartiel() != null) && (eltBase.getCoefficientTempsPartiel().intValue() < 1)) {
      elt.setCoefficientTempsPartiel(eltBase.getCoefficientTempsPartiel().toString());
    }
    return elt;
  }
  
  public ConstituantsIndemnisation miseAJourConstituantsIndemnisation(fr.unedic.cali.calcul.dom.UniteTraitement ut, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, Damj dateDeMiseAjour, Periode periode)
    throws CoucheLogiqueException
  {
    return MajCi.miseAJourConstituantsIndemnisation(attribution, constituantsIndemnisation, dateDeMiseAjour);
  }
  
  public void miseAJourConstituantsIndemnisationADate(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_date, ChronologiePeriodes p_chronologiePeriodesSanctions)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisationCourant = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    
    elementBaseIndemnisationCourant.setMontantPensionInvaliditeADeduire(RecuperationPensionInvaliditeAvantDate.recuperationMontantPI(p_attribution.getDemandeur(), p_date.veille()));
    
    elementBaseIndemnisationCourant.setCoefficientAvantageVieillesse(new BigDecimal(0));
    elementBaseIndemnisationCourant.setMontantAvantageVieillesse(new BigDecimal(0));
    
    PeriodeAvantageVieillesse periodeAvCourante = RecuperationAvantageVieillesseAvantPJI.recupererPeriodeAvADate(((Attribution)p_attribution).getDemandeur(), p_date.veille());
    if (periodeAvCourante != null)
    {
      Damj dateDepart = Damj.max(p_attribution.getDateAttribution(), periodeAvCourante.getDateDebut());
      
      Sjr sjrDepart = RevalorisationSalaire.revaloriserSjr(((AttributionAssuranceSpec)p_attribution).getElementBaseIndemnisation(), ((AttributionAssuranceSpec)p_attribution).getProduitMontantRetenu(), dateDepart);
      
      BigDecimal coeffAV = periodeAvCourante.getQuantiteEuro().getValeur().divide(sjrDepart.getSalaire(), 10, 4);
      
      elementBaseIndemnisationCourant.setCoefficientAvantageVieillesse(coeffAV);
      
      Sjr sjrCourant = RevalorisationSalaire.revaloriserSjr(((AttributionAssuranceSpec)p_attribution).getElementBaseIndemnisation(), ((AttributionAssuranceSpec)p_attribution).getProduitMontantRetenu(), p_date.veille());
      
      elementBaseIndemnisationCourant.setCoefficientAvantageVieillesse(coeffAV);
      elementBaseIndemnisationCourant.setMontantAvantageVieillesse(coeffAV.multiply(sjrCourant.getSalaire()));
      
      elementBaseIndemnisationCourant.setDateEffetAV(p_date.veille());
    }
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAJourCumulAR(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, AttributionSpec p_attribution, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, ContexteUT p_contexteUT, ArretProduitAvecRaison p_arretProduitAvecRaison)
    throws CoucheLogiqueException
  {
    ConstituantsCalculActiviteReduiteAsu constituantsCalculActiviteReduite = (ConstituantsCalculActiviteReduiteAsu)p_constituantsCalculActiviteReduite;
    
    int cumulActiviteReduite = constituantsCalculActiviteReduite.getCumulJours();
    if ((p_ut.getSyntheseARsurUT() != null) && (p_ut.getSyntheseARsurUT().getCumulJourDeTravailAR() != null)) {
      cumulActiviteReduite += p_ut.getSyntheseARsurUT().getCumulJourDeTravailAR().getValeurEntiere();
    }
    constituantsCalculActiviteReduite.setCumulJours(cumulActiviteReduite);
    return constituantsCalculActiviteReduite;
  }
  
  public void miseAJourMontantSurSommes(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    String codeFormuleMontant = null;
    if (((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).estMontantReduit())
    {
      ((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).setNbJourIndemnisee(p_ut.getQuantiteIndemnisee().getValeur());
      
      QuantiteIndemnisationSpec duree = OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(p_constituantsIndemnisation.getCollectionQuantiteDroit());
      if (duree == null) {
        codeFormuleMontant = p_constituantsIndemnisation.getCodeFormuleMontant();
      } else {
        codeFormuleMontant = duree.getCodeFormuleMontant();
      }
      FormuleMontantSpec formuleMontant = p_attribution.getFormuleMontant(codeFormuleMontant);
      MontantBaseSpec montant = formuleMontant.calculer(p_constituantsIndemnisation, p_dateCalcul);
      
      Iterator iterateurSommes = p_ut.getCollectionSommes().iterator();
      while (iterateurSommes.hasNext())
      {
        Somme somme = (Somme)iterateurSommes.next();
        somme.setMontant(montant);
      }
    }
  }
  
  public ConstituantsCalculActiviteReduiteSpec miseAjourConstituantsCalculActiviteReduite(AttributionSpec p_attribution, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduite, Damj p_dateDeMiseAjour, ConstituantsIndemnisation p_constituantIndemnisation)
    throws CoucheLogiqueException
  {
    return p_constituantsCalculActiviteReduite;
  }
  
  public QualificationPeriodes qualificationPeriodes(ChronologiePeriodes p_chronologiePeriodes, AttributionSpec p_attribution, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    return new Qualification().qualificationPeriodes(p_chronologiePeriodes, p_attribution);
  }
  
  public AttributionSpec rechercherAttributionPrecedenteSurLUT(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return ((AttributionAssuranceSpec)p_attribution).getAttributionPrecedente();
  }
  
  public boolean recuperationAlimentationNombreMoisIndemnise(AttributionSpec p_attribution)
  {
    boolean estAlimenteNbMoisIndemniseAsu = false;
    Attribution attribution = (Attribution)p_attribution;
    if ((attribution instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attribution.getAttributionPrecedente();
      if ((attribution.getAttributionPrecedente() != null) && ((attribution.getAttributionPrecedente().getTypeExamen().equals("ASU_17")) || (attribution.getAttributionPrecedente().getTypeExamen().equals("ASU_25")))) {
        attributionPrecedente = OutilFinDroit.rechercherAttributionCorrespondantePecedente(attributionPrecedente.getDemande());
      }
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI();
        
        estAlimenteNbMoisIndemniseAsu = etatAuDji.isEstNbMoisIndemniseAsu();
      }
    }
    else if ((attribution instanceof OdSpec))
    {
      estAlimenteNbMoisIndemniseAsu = true;
    }
    else
    {
      estAlimenteNbMoisIndemniseAsu = false;
    }
    return estAlimenteNbMoisIndemniseAsu;
  }
  
  public String recupererCategorieAttribution(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    return ((Attribution)p_attribution).determinerCodeSousProduitPourSigma();
  }
  
  public ChronologiePeriodes recupererPeriodesLieesAuContexte(ContexteUT p_contexteUT, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronologiePeriodes = new ChronologiePeriodes();
    
    Collection collectionPeriode = p_contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourGamme(p_attribution, "ASU");
    List liste = p_contexteUT.getListeAttributions();
    if (liste != null)
    {
      Iterator iterator = liste.iterator();
      while (iterator.hasNext())
      {
        AttributionSpec attribution = (AttributionSpec)iterator.next();
        if (attribution.getGamme().getNomUnique().equals("SOL")) {
          if (((attribution.getProduit().getNomUnique().equals("SOL_AER05_01")) || (attribution.getProduit().getNomUnique().equals("SOL_AER05_02")) || (attribution.getProduit().getNomUnique().equals("SOL_AER05_03"))) && (attribution.getCalendrierExecutionCalcul() != null) && ((attribution.getCalendrierExecutionCalcul().getEtatAttribution() == 1) || (attribution.getCalendrierExecutionCalcul().getEtatAttribution() == 2)))
          {
            Damj djiTheoriqueAER = ((ProduitSolSpec)attribution.getProduit()).getDjiTheoriqueAER(attribution);
            chronologiePeriodes.ajouter(new ObjetChronoPeriodeInterProduits(djiTheoriqueAER.lendemain(), djiTheoriqueAER.lendemain(), 5, attribution));
          }
        }
      }
    }
    collectionPeriode.addAll(p_contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(p_attribution, "SOL_AER05_01"));
    collectionPeriode.addAll(p_contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(p_attribution, "SOL_AER05_02"));
    collectionPeriode.addAll(p_contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(p_attribution, "SOL_AER05_03"));
    
    chronologiePeriodes.ajouter(p_contexteUT.getPeriodesInterProduitsPeriodesLieuSurUTPourGammeRBF(p_attribution));
    
    chronologiePeriodes.ajouter(RechercheDecisionsInterruptives.rechercher(p_attribution.getDemandeur(), p_attribution.getPji(), p_attribution));
    
    chronologiePeriodes.ajouter(p_contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(p_attribution, "RET_ACO01_01"));
    
    Attribution attribution = (Attribution)p_attribution;
    if (attribution.getAttributionFinancement() != null) {
      try
      {
        ResultatAvant resultatAvant = AppelAvant.executerCalculDeterminationEtatAvant(attribution.getAttributionFinancement(), false, null);
        if ((resultatAvant != null) && (resultatAvant.getPji() != null)) {
          chronologiePeriodes.ajouter(new ObjetChronoPeriodePJI(resultatAvant.getPji()));
        }
      }
      catch (ApplicativeException ae)
      {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_CALCUL_ECHEC_EXECUTION_AVANT");
      }
    }
    return chronologiePeriodes;
  }
  
  public EtatAuDji renseignerEtatAuDji(fr.unedic.cali.calcul.dom.UniteTraitement p_derniereUT, CalendrierExecutionCalculPeriodique p_calendrier, AttributionSpec p_attribution, EtatAuDji p_etatAuDji)
    throws CoucheLogiqueException
  {
    EtatAuDjiGamme etatAuDji = new EtatAuDjiGamme();
    
    Quantite reliquatDureeFinancement = recupererReliquatDureeFinancement(p_derniereUT);
    if (reliquatDureeFinancement != null) {
      etatAuDji.setReliquatDureeFinancement(new Quantite(reliquatDureeFinancement.getValeur().setScale(0), reliquatDureeFinancement.getUnite()));
    }
    etatAuDji.setMontant(p_etatAuDji.getMontant());
    etatAuDji.setCumulJoursIndemnise(p_derniereUT.getCumulJoursIndemnise());
    etatAuDji.setNbMoisIndemniseAsu(p_derniereUT.getNbMoisIndemniseAsu());
    etatAuDji.setEstNbMoisIndemniseAsu(p_derniereUT.isEstNbMoisIndemniseAsu());
    etatAuDji.setCumulJoursAR(((ConstituantsCalculActiviteReduiteAsu)p_derniereUT.getConstituantsCalculActiviteReduiteEnFinUT()).getCumulJours());
    if (p_attribution.getDemandeur().getDernierJourAtteste() != null) {
      if (p_calendrier.getDernierJourIndemnisable().estAvant(p_attribution.getDemandeur().getDernierJourAtteste()))
      {
        ObjetChronoPeriodePriseEnCharge pec = OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemandeur(), p_attribution.getDateAttribution());
        if (pec != null) {
          if (!pec.getDateFin().coincideAvec(p_calendrier.getDernierJourIndemnisable()))
          {
            Damj dateM07 = Damj.max(p_attribution.getDateAttribution(), p_calendrier.getDernierJourIndemnisable());
            
            GestionAnomalies.ajouteAnomalie(new Anomalie("M07", dateM07, ""), p_attribution.getDemandeur());
          }
        }
      }
    }
    return etatAuDji;
  }
  
  public void traitementPeriodeSegmentante(AttributionSpec p_attribution, ObjetChronoPeriode p_periode, ConstituantsIndemnisation p_constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, PeriodeAnalyseSpec p_pa, ArretProduitAvecRaison p_arretProduitAvecRaison, ChronologiePeriodes p_periodesAnalyses)
    throws ApplicativeException
  {
    if ((p_periode instanceof PeriodeFormation))
    {
      if (((PeriodeFormation)p_periode).estEffective()) {
        passerEnIndemnisationAvecFormation(p_periode, p_constituantsIndemnisation);
      } else {
        passerEnIndemnisationSansFormation(p_constituantsIndemnisation);
      }
    }
    else if (((p_periode instanceof PeriodeInterStageFormation)) || ((p_periode instanceof FinActionFormation)))
    {
      passerEnIndemnisationSansFormation(p_constituantsIndemnisation);
    }
    else if (((p_periode instanceof PeriodePensionInvalidite)) && (p_periode.getDateDebut().estApresOuCoincideAvec(p_attribution.getPji())))
    {
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
      
      elementBaseIndemnisation.setMontantPensionInvaliditeADeduire(elementBaseIndemnisation.getMontantPensionInvaliditeADeduire().add(((PeriodePensionInvalidite)p_periode).getQuantiteEuro().getValeur()));
    }
    else if (((p_periode instanceof PeriodeAvantageVieillesse)) && (p_periode.getDateDebut().estApresOuCoincideAvec(p_attribution.getPji())))
    {
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
      
      BigDecimal montantAv = null;
      if ((elementBaseIndemnisation.getDateEffetAV() == null) || (elementBaseIndemnisation.getDateEffetAV().estAvant(p_periode.getDateDebut())))
      {
        montantAv = ((PeriodeAvantageVieillesse)p_periode).getQuantiteEuro().getValeur();
        elementBaseIndemnisation.setDateEffetAV(p_periode.getDateDebut());
      }
      else if (elementBaseIndemnisation.getDateEffetAV().coincideAvec(p_periode.getDateDebut()))
      {
        montantAv = elementBaseIndemnisation.getMontantAvantageVieillesse().add(((PeriodeAvantageVieillesse)p_periode).getQuantiteEuro().getValeur());
      }
      if (montantAv != null)
      {
        elementBaseIndemnisation.setMontantAvantageVieillesse(montantAv);
        if ((elementBaseIndemnisation.getSjr() != null) && (elementBaseIndemnisation.getSjr().getSalaire() != null) && (!elementBaseIndemnisation.getSjr().getSalaire().equals(new BigDecimal("0.00"))))
        {
          BigDecimal coeffAV = montantAv.divide(elementBaseIndemnisation.getSjr().getSalaire(), 10, 4);
          
          elementBaseIndemnisation.setCoefficientAvantageVieillesse(coeffAV);
        }
      }
    }
    else if (((p_periode instanceof FinPeriodeAvantageVieillesse)) && (((p_pa != null) && (p_pa.getDateDebut().equals(p_periode.getDateDebut()))) || ((p_pa == null) && (p_periode.getDateDebut().estContenueDans(p_ut.getPeriode())))))
    {
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
      
      elementBaseIndemnisation.setCoefficientAvantageVieillesse(new BigDecimal("0"));
      elementBaseIndemnisation.setMontantAvantageVieillesse(new BigDecimal("0"));
    }
    else if (((p_periode instanceof FinPeriodePensionInvalidite)) && (((p_pa != null) && (p_pa.getDateDebut().equals(p_periode.getDateDebut()))) || ((p_pa == null) && (p_periode.getDateDebut().estContenueDans(p_ut.getPeriode())))))
    {
      fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
      elementBaseIndemnisation.setMontantPensionInvaliditeADeduire(elementBaseIndemnisation.getMontantPensionInvaliditeADeduire().subtract(((FinPeriodePensionInvalidite)p_periode).getQuantiteEuro().getValeur()));
    }
    else if ((p_periode instanceof ObjetChronoPeriodePJI))
    {
      if (p_constituantsIndemnisation.getDureeFinancement() != null) {
        p_constituantsIndemnisation.getDureeFinancement().activer();
      }
      p_constituantsIndemnisation.setCodeFormuleMontant(null);
      DureeFinancement dureeFinancement = (DureeFinancement)p_constituantsIndemnisation.getDureeFinancement();
      if (estEnFormation(p_ut, p_periode.getDateEffet())) {
        dureeFinancement.setCodeFormuleMontant(FormuleMontantATPFAvecFinancement.getCode());
      } else {
        dureeFinancement.setCodeFormuleMontant(FormuleMontantATPAvecFinancement.getCode());
      }
      EvenementDebutQuantiteDroit evenement = new EvenementDebutQuantiteDroit(p_periode.getDateEffet(), p_constituantsIndemnisation.getDureeFinancement());
      
      p_ut.ajouterEvenement(evenement);
    }
    else if ((p_periode instanceof ObjetChronoPeriodeRetraite))
    {
      if (p_constituantsIndemnisation.getDureeFinancement() != null) {
        p_constituantsIndemnisation.getDureeFinancement().epuiser();
      }
      p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATP.getCode());
    }
  }
  
  public void traitementPeriodesAlertantes(AttributionSpec p_attribution, ObjetChronoPeriode p_periode, ConstituantsIndemnisation p_constituantsIndemnisation, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, PeriodeAnalyseSpec p_pa, ArretProduitAvecRaison p_arretProduitAvecRaison)
    throws ApplicativeException
  {}
  
  public void traitementPeriodesDecalantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodes, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduiteSpec, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ConstituantsIndemnisation p_constituantsIndemnisation, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesDecalantes(p_attribution, p_periodes, p_constituantsCalculActiviteReduiteSpec, p_ut, p_constituantsIndemnisation);
  }
  
  public void traitementPeriodesGelantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodes, ConstituantsCalculActiviteReduiteSpec p_constituantsCalculActiviteReduiteSpec, fr.unedic.cali.calcul.dom.UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesGelantes(p_attribution, p_periodes, p_constituantsCalculActiviteReduiteSpec, p_ut);
  }
  
  public void traitementPeriodesSuspensives(AttributionSpec p_attribution, ChronologiePeriodes p_periodes, PeriodeAnalyseSpec p_pa)
    throws CoucheLogiqueException
  {
    Quantite quantiteSuspensive = TraitementPeriodes.getQuantiteSuspensive(p_pa.getPeriode(), p_pa.getQuantiteIndemnisable(), p_periodes);
    
    p_pa.setQuantiteNonIndemnisee(p_pa.getQuantiteNonIndemnisee().ajouter(quantiteSuspensive));
  }
  
  public void traiterPeriodeInterruptiveDefinitive(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ObjetChronoPeriode p_objetChronoPeriode, ArretProduitAvecRaison p_arretProduitAvecRaison, CalendrierExecutionCalculPeriodique calendrier)
    throws CoucheLogiqueException
  {
    if ((p_objetChronoPeriode instanceof ObjetChronoPeriodeAssDemandeExpresse)) {
      p_arretProduitAvecRaison.setProduitAEteindre(true);
    } else if ((p_objetChronoPeriode instanceof PeriodeFormationNonIndemniseeAbsenceHeure)) {
      GestionAnomalies.ajouteAnomalie(new Anomalie("M06", p_objetChronoPeriode.getDateDebut(), ""), p_attribution.getDemandeur());
    }
  }
  
  public boolean verifierConditionExecutionEtEventuelAbandon(AttributionSpec p_attribution, ContexteUT p_contexteUT, Periode p_periodeUT, CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public boolean verifierImputationDuree(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    boolean retour = true;
    if (((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).estMontantReduit()) {
      retour = false;
    }
    return retour;
  }
  
  public MontantBaseSpec calculMontant(FormuleMontantSpec p_formuleMontant, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    return p_formuleMontant.calculer(p_constituantsIndemnisation, p_dateCalcul);
  }
  
  public ConstituantsIndemnisation creationConstituantsIndemnisation(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    
    constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATP.getCode());
    
    Attribution attribution = (Attribution)p_attribution;
    if (attribution.getAttributionFinancement() != null)
    {
      Collection collectionDureesCalcul = new ArrayList();
      DureeFinancement dureeFinancement = null;
      
      boolean aTrouveReliquetDureeFinancement = false;
      if ((attribution instanceof RepriseSpec))
      {
        Attribution attributionPrecedente = attribution;
        while ((!aTrouveReliquetDureeFinancement) && (!(attributionPrecedente instanceof Od)))
        {
          attributionPrecedente = (Attribution)attributionPrecedente.getAttributionPrecedente();
          if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI().getReliquatDureeFinancement() != null))
          {
            aTrouveReliquetDureeFinancement = true;
            EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
            dureeFinancement = new DureeFinancement(attribution.getAttributionFinancement().getDureeInitiale(), etatAuDji.getReliquatDureeFinancement());
          }
        }
      }
      if (!aTrouveReliquetDureeFinancement)
      {
        dureeFinancement = new DureeFinancement(attribution.getAttributionFinancement().getDureeInitiale().getValeurEntiere());
        try
        {
          ResultatAvant resultatAvant = AppelAvant.executerCalculDeterminationEtatAvant(attribution.getAttributionFinancement(), false, null);
          if ((resultatAvant != null) && (resultatAvant.getPji() != null) && (resultatAvant.getPji().estAvant(p_attribution.getPji()))) {
            dureeFinancement.activer();
          }
        }
        catch (ApplicativeException ae)
        {
          GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_CALCUL_ECHEC_EXECUTION_AVANT");
        }
      }
      dureeFinancement.setCodeFormuleMontant(FormuleMontantATPAvecFinancement.getCode());
      collectionDureesCalcul.add(dureeFinancement);
      constituantsIndemnisation.setCollectionQuantiteDroit(collectionDureesCalcul);
    }
    return constituantsIndemnisation;
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierExecutionCalcul(AttributionSpec p_attribution)
  {
    return new fr.unedic.cali.asu.calcul.dom.CalendrierExecutionCalcul();
  }
  
  public boolean estEnActiviteConservee(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    if (((Attribution)p_attribution).getListeActiviteConservee() != null)
    {
      Iterator ite = ((Attribution)p_attribution).getListeActiviteConservee().iterer();
      boolean aUneActiviteEncoreConserve = false;
      while (ite.hasNext())
      {
        TravailSpec activite = (TravailSpec)ite.next();
        if (activite.getDateFin().estApresOuCoincideAvec(p_ut.getDateDebut())) {
          aUneActiviteEncoreConserve = true;
        }
      }
      return (!((Attribution)p_attribution).getListeActiviteConservee().estVide()) && (aUneActiviteEncoreConserve);
    }
    return false;
  }
  
  public FormuleMontantSpec getFormuleMontant(String p_code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(p_code);
  }
  
  public boolean neutralisationApplicableRetourUL961()
  {
    return false;
  }
  
  public ResultatCalcul postTraitementResultatDetaille(AttributionSpec p_attribution, CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDetaille(p_attribution, (fr.unedic.cali.calcul.dom.CalendrierExecutionCalcul)p_calendrierExecutionCalcul);
  }
  
  public ResultatCalcul postTraitementResultatDetailleNotification(AttributionSpec p_attribution, CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDetailleNotification(p_attribution, (fr.unedic.cali.calcul.dom.CalendrierExecutionCalcul)p_calendrierExecutionCalcul);
  }
  
  public ResultatCalcul postTraitementResultatDeterminationEtatDroit(AttributionSpec p_attribution, CalendrierExecutionCalculSpec p_calendrierExecutionCalcul, Damj p_dateEtatDroit)
    throws CoucheLogiqueException
  {
    return PostTraitements.postTraitementResultatDeterminationEtatDroit(p_attribution, (fr.unedic.cali.calcul.dom.CalendrierExecutionCalcul)p_calendrierExecutionCalcul, p_dateEtatDroit);
  }
  
  public ResultatCalcul postTraitementResultatMigrationCalcul(AttributionSpec p_attribution, CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public Damj recupererDateFinDroitTheorique(CalendrierExecutionCalculSpec p_calendrierExecutionCalcul, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Damj dateFinDroitTheorique = null;
    EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)p_calendrierExecutionCalcul.getEtatAuDJI();
    if (etatAuDji != null)
    {
      dateFinDroitTheorique = p_calendrierExecutionCalcul.getDernierJourIndemnisable();
    }
    else
    {
      Attribution attribution = (Attribution)p_attribution;
      dateFinDroitTheorique = attribution.getDateLimiteIndemnisation();
    }
    return dateFinDroitTheorique;
  }
  
  public ChronologiePeriodes recupererPeriodesProduit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesIndividuelles = null;
    IndividuSpec individu = null;
    Attribution attribution = (Attribution)p_attribution;
    
    periodesIndividuelles = new ChronologiePeriodes();
    individu = p_attribution.getDemandeur();
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire50Ans(individu));
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire55Ans(individu));
    periodesIndividuelles.ajouter(OutillagePeriodes.genererAnniversaire60Ans(individu));
    
    periodesIndividuelles.ajouter(new ObjetChronoPeriodeLimiteIndemnisationATP(attribution.getDateLimiteIndemnisation().lendemain(), p_attribution.getRsod()));
    if (individu.getDernierJourAtteste() != null) {
      periodesIndividuelles.ajouter(OutillagePeriodes.genererLendemainDja(individu));
    }
    RecuperationDonneesSecteurPublic.recupererDemandeClassementSP(periodesIndividuelles, p_attribution);
    
    RecuperationDonneesSecteurPublic.rechercherAdmissionSecteurPublic(periodesIndividuelles, p_attribution);
    
    return periodesIndividuelles;
  }
  
  public void controleActiviteReduiteMaintienEuropeen(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ArretProduitAvecRaison p_arretProduitAvecRaison, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {}
  
  public void realiserDetectionFinDeProduitPourSuivi(AttributionSpec p_attribution, fr.unedic.cali.calcul.dom.UniteTraitement p_ut, ContexteUT p_contexteUT)
    throws CoucheLogiqueException
  {
    Attribution attribution = (Attribution)p_attribution;
    
    GestionSuivi.enregistrerEnquetePbjcNcp(p_attribution, attribution.getDateLimiteIndemnisation(), 30, 0, true, ((Attribution)p_attribution).determinerCodeSousProduitPourSigma(), this, p_ut.getConstituantsIndemnisationEnFinUT());
  }
  
  public int initialiserCumulNombreJoursServi(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    int cumulNombreJoursServi = 0;
    Attribution attribution = (Attribution)p_attribution;
    if (((attribution instanceof RepriseSpec)) && 
      (attribution.getAttributionPrecedente() != null) && (attribution.getAttributionPrecedente().getCalendrierExecutionCalcul() != null) && (attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI() != null))
    {
      EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attribution.getAttributionPrecedente().getCalendrierExecutionCalcul().getEtatAuDJI();
      cumulNombreJoursServi = etatAuDji.getCumulJoursIndemnise();
    }
    return cumulNombreJoursServi;
  }
  
  private void passerEnIndemnisationSansFormation(ConstituantsIndemnisation p_constituantsIndemnisation)
  {
    if (p_constituantsIndemnisation != null)
    {
      String codeFormuleMontant = p_constituantsIndemnisation.getCodeFormuleMontant();
      DureeFinancement dureeFinancement = (DureeFinancement)p_constituantsIndemnisation.getDureeFinancement();
      if ((codeFormuleMontant != null) && (FormuleMontantATPF.getCode().equals(codeFormuleMontant)))
      {
        p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATP.getCode());
        
        fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant().copie();
        p_constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisation);
      }
      else if ((dureeFinancement != null) && (FormuleMontantATPFAvecFinancement.getCode().equals(dureeFinancement.getCodeFormuleMontant())))
      {
        positionnerFormuleMontantSurDureeFinancement(p_constituantsIndemnisation, FormuleMontantATPAvecFinancement.getCode());
        p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATPAvecFinancement.getCode());
        
        fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation elementBaseIndemnisation = (fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant().copie();
        p_constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisation);
      }
    }
  }
  
  private void passerEnIndemnisationAvecFormation(ObjetChronoPeriode p_periode, ConstituantsIndemnisation p_constituantsIndemnisation)
  {
    if (p_constituantsIndemnisation != null)
    {
      DureeFinancement dureeFinancement = (DureeFinancement)p_constituantsIndemnisation.getDureeFinancement();
      if ((dureeFinancement != null) && (dureeFinancement.getEtatQuantiteDroit().getEtat() == 1))
      {
        p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATPFAvecFinancement.getCode());
        dureeFinancement.setCodeFormuleMontant(FormuleMontantATPFAvecFinancement.getCode());
      }
      else
      {
        p_constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantATPF.getCode());
      }
      ElementBaseIndemnisationATPF elementBaseIndemnisationATPF = new ElementBaseIndemnisationATPF((fr.unedic.cali.asu.cve13.p01.calcul.dom.ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant());
      if ((p_periode instanceof PeriodeFormation)) {
        elementBaseIndemnisationATPF.setEffectif(((PeriodeFormation)p_periode).estEffective());
      }
      p_constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationATPF);
    }
  }
  
  private void positionnerFormuleMontantSurDureeFinancement(ConstituantsIndemnisation p_constituantsIndemnisation, String p_codeFormuleMontant)
  {
    List listeQuantiteDroitActives = OutillageQuantites.recupererListeQuantiteDroitActives(p_constituantsIndemnisation.getCollectionQuantiteDroit());
    Iterator iterDroit = listeQuantiteDroitActives.iterator();
    DureeFinancement dureeFinancement = null;
    while (iterDroit.hasNext())
    {
      QuantiteDroitSpec quantDroitSpec = (QuantiteDroitSpec)iterDroit.next();
      if ((quantDroitSpec instanceof DureeFinancement))
      {
        dureeFinancement = (DureeFinancement)quantDroitSpec;
        dureeFinancement.setCodeFormuleMontant(p_codeFormuleMontant);
      }
    }
  }
  
  private Quantite recupererReliquatDureeFinancement(fr.unedic.cali.calcul.dom.UniteTraitement p_derniereUT)
  {
    Quantite reliquatDureeFinancement = null;
    Collection collectionQuantiteDroit = p_derniereUT.getConstituantsIndemnisationEnFinUT().getCollectionQuantiteDroit();
    DureeFinancement dureeFinancement = null;
    DureeFinancement dureeFinancementEpuise = null;
    if (collectionQuantiteDroit != null)
    {
      Iterator iterator = collectionQuantiteDroit.iterator();
      while (iterator.hasNext())
      {
        QuantiteDroit quantiteDroit = (QuantiteDroit)iterator.next();
        if ((quantiteDroit instanceof DureeFinancement))
        {
          dureeFinancement = (DureeFinancement)quantiteDroit;
          if (quantiteDroit.getEtat() == 1) {
            break;
          }
          if (quantiteDroit.getEtat() == 2) {
            dureeFinancementEpuise = dureeFinancement;
          }
        }
      }
    }
    if (dureeFinancement != null) {
      if (dureeFinancement.getEtat() == 1) {
        reliquatDureeFinancement = dureeFinancement.getQuantiteCourante();
      } else if ((dureeFinancement.getEtat() == 2) || (dureeFinancementEpuise != null)) {
        reliquatDureeFinancement = new QuantiteJour(new BigDecimal("0"));
      }
    }
    return reliquatDureeFinancement;
  }
  
  private boolean estEnFormation(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, Damj p_date)
  {
    ChronologiePeriodes periodesSegmentantes = p_ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodesSegmentantes.iterer();
    while (periodesSegmentantes.encoreSuivant())
    {
      ObjetChronoPeriode periodeSegmentante = (ObjetChronoPeriode)periodesSegmentantes.elementSuivant();
      if (((periodeSegmentante instanceof PeriodeFormation)) && (((PeriodeFormation)periodeSegmentante).getPeriode().contient(p_date)) && (((PeriodeFormation)periodeSegmentante).estEffective())) {
        return true;
      }
    }
    return false;
  }
  
  private String mettreAJourCodeFormuleMontantDureeFinancement(String p_codeFormuleMontant)
  {
    String codeFormuleMontant = null;
    if (("1".equals(p_codeFormuleMontant)) || ("3".equals(p_codeFormuleMontant))) {
      codeFormuleMontant = "3";
    } else if (("2".equals(p_codeFormuleMontant)) || ("4".equals(p_codeFormuleMontant))) {
      codeFormuleMontant = "4";
    }
    return codeFormuleMontant;
  }
  
  public Damj getIdeMaintienEuropeenDuDroit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public Damj getPjiMaintienEuropeenDuDroit(AttributionSpec p_attribution)
  {
    return null;
  }
  
  public Damj getDjiMaintienEuropeenDuDroit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public boolean enregistrerDroitPBJCNCP(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public boolean enregistrerEnquetePBJCNCP()
  {
    return true;
  }
  
  public fr.unedic.cali.calcul.dom.EvenementFinQuantiteDroit creerEvenementFinQuantiteDroit(Damj p_dateEffet, QuantiteDroitSpec p_quantiteDroit)
  {
    return new fr.unedic.cali.asu.calcul.dom.EvenementFinQuantiteDroit(p_dateEffet, p_quantiteDroit);
  }
  
  public fr.unedic.cali.calcul.dom.periode.DsmTravail convertirDsmTravailVersDsmTravailProduit(fr.unedic.cali.calcul.dom.periode.DsmTravail p_dsmTravail)
  {
    return new fr.unedic.cali.asu.calcul.dom.periode.DsmTravail(p_dsmTravail);
  }
  
  public void postTraitementQualification(fr.unedic.cali.calcul.dom.UniteTraitement p_ut, QualificationPeriodes p_qualificationPeriodes)
    throws CoucheLogiqueException
  {}
  
  public boolean verifierEligibilitePaiementParAvance(fr.unedic.cali.calcul.dom.UniteTraitement ut)
  {
    ut.setRaisonStatut(1);
    return false;
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */