package fr.unedic.cali.asu.cve13.p01.calcul.dom;

import fr.unedic.cali.asu.cve13.p01.calcul.dom.gen.MontantGen;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;

public class Montant
  extends MontantGen
  implements MontantAsuSpec
{
  private static final long serialVersionUID = -1574884600635176505L;
  protected transient String m_type = "NORMAL";
  protected transient String m_justificationCalculMontant = null;
  protected transient BigDecimal m_montant = null;
  private transient BigDecimal m_montantFinancement = null;
  private transient BigDecimal m_sjrNonReduit = null;
  private transient BigDecimal m_tauxCrc = null;
  private transient BigDecimal m_baseCalculCrc = null;
  private transient String m_positionExonerationCrc = null;
  private transient Quantite m_mini = null;
  
  public Montant() {}
  
  public Montant(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getType()
  {
    return m_type;
  }
  
  public ObjetMetierSpec copie()
  {
    Montant copie = new Montant();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Montant copie = (Montant)p_copie;
    super.copieElements(copie);
    
    copie.setBaseCalculCrc(getBaseCalculCrc());
    copie.setJustificationCalculMontant(getJustificationCalculMontant());
    copie.setPositionExonerationCrc(getPositionExonerationCrc());
    copie.setTauxCrc(getTauxCrc());
    copie.setType(getType());
    copie.setSjrNonReduit(getSjrNonReduit());
    copie.setMontant(getMontant());
    copie.setMontantFinancement(getMontantFinancement());
    copie.setMini(getMini());
  }
  
  public String getJustificationCalculMontant()
  {
    return m_justificationCalculMontant;
  }
  
  public BigDecimal getMontant()
  {
    return m_montant;
  }
  
  public void setMontant(BigDecimal p_montant)
  {
    m_montant = p_montant;
  }
  
  public BigDecimal getMontantFinancement()
  {
    return m_montantFinancement;
  }
  
  public void setMontantFinancement(BigDecimal p_montantFinancement)
  {
    m_montantFinancement = p_montantFinancement;
  }
  
  public String getPositionExonerationCrc()
  {
    return m_positionExonerationCrc;
  }
  
  public void setPositionExonerationCrc(String p_positionExonerationCrc)
  {
    m_positionExonerationCrc = p_positionExonerationCrc;
  }
  
  public BigDecimal getTauxCrc()
  {
    return m_tauxCrc;
  }
  
  public void setTauxCrc(BigDecimal p_tauxCrc)
  {
    m_tauxCrc = p_tauxCrc;
  }
  
  public BigDecimal getBaseCalculCrc()
  {
    return m_baseCalculCrc;
  }
  
  public void setBaseCalculCrc(BigDecimal p_baseCalculCrc)
  {
    m_baseCalculCrc = p_baseCalculCrc;
  }
  
  public BigDecimal getSjrNonReduit()
  {
    return m_sjrNonReduit;
  }
  
  public void setSjrNonReduit(BigDecimal p_sjrNonReduit)
  {
    m_sjrNonReduit = p_sjrNonReduit;
  }
  
  public void setType(String p_type)
  {
    m_type = p_type;
  }
  
  public BigDecimal getMontantPrecompte()
  {
    return getMontantBrut().getValeur().subtract(getCrc().getValeur());
  }
  
  public Quantite getMontantPrecompteEffectif()
  {
    if (getAvecPrecompteCRC()) {
      return new Quantite(getMontantBrut().getValeur().subtract(getCrc().getValeur()), getMontantBrut().getUnite());
    }
    return getMontantBrut();
  }
  
  public Quantite getCsgEstimee()
  {
    return null;
  }
  
  public Quantite getCrdsEstimee()
  {
    return null;
  }
  
  public Quantite getCcamEstimee(boolean p_topAlsaceMoselle)
  {
    return null;
  }
  
  public Quantite getMontantNetEstime(boolean p_topAlsaceMoselle)
  {
    return null;
  }
  
  public Quantite getMini()
  {
    return m_mini;
  }
  
  public void setMini(Quantite p_mini)
  {
    m_mini = p_mini;
  }
  
  public MontantAsuSpec getMontantAreExecute()
  {
    return null;
  }
  
  public MontantAsuSpec getMontantAreNonExecute()
  {
    return null;
  }
  
  public BigDecimal getSjrMontantMax()
  {
    return null;
  }
  
  public BigDecimal getPlafondASP()
  {
    return null;
  }
  
  public Montant getMontantSJR()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     Montant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */