package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.AffiliationSupplementairePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public abstract class AffiliationSupplementaireGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_affiliationSupplementairePC;
  private Periode m_periodeAffiliationSupplementaire;
  private BigDecimal m_intensite;
  private Quantite m_quantiteInitiale;
  private Quantite m_quantiteRetenue;
  private String m_idPeriodeActivite;
  private String m_reglement;
  private String m_raisonSociale;
  private Periode m_periodeActiviteSalariee;
  private BigDecimal m_horaireSalarie;
  
  public AffiliationSupplementaireGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public AffiliationSupplementaireGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new AffiliationSupplementairePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_affiliationSupplementairePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_affiliationSupplementairePC)
  {
    m_affiliationSupplementairePC = p_affiliationSupplementairePC;
  }
  
  protected Periode rawGetPeriodeAffiliationSupplementaire()
  {
    return ((AffiliationSupplementairePC)getPC()).getPeriodeAffiliationSupplementaire();
  }
  
  public Periode getPeriodeAffiliationSupplementaire()
  {
    return ((AffiliationSupplementairePC)getPC()).getPeriodeAffiliationSupplementaire();
  }
  
  public void setPeriodeAffiliationSupplementaire(Periode p_periodeAffiliationSupplementaire)
  {
    if ((m_periodeAffiliationSupplementaire == null) || (p_periodeAffiliationSupplementaire == null))
    {
      m_periodeAffiliationSupplementaire = p_periodeAffiliationSupplementaire;
      ((AffiliationSupplementairePC)getPC()).setPeriodeAffiliationSupplementaire(p_periodeAffiliationSupplementaire);
    }
    else if ((m_periodeAffiliationSupplementaire != null) && (p_periodeAffiliationSupplementaire != null) && (!p_periodeAffiliationSupplementaire.equals(m_periodeAffiliationSupplementaire)))
    {
      m_periodeAffiliationSupplementaire = p_periodeAffiliationSupplementaire;
      ((AffiliationSupplementairePC)getPC()).setPeriodeAffiliationSupplementaire(p_periodeAffiliationSupplementaire);
    }
  }
  
  protected BigDecimal rawGetIntensite()
  {
    return ((AffiliationSupplementairePC)getPC()).getIntensite();
  }
  
  public BigDecimal getIntensite()
  {
    return ((AffiliationSupplementairePC)getPC()).getIntensite();
  }
  
  public void setIntensite(BigDecimal p_intensite)
  {
    if ((m_intensite == null) || (p_intensite == null))
    {
      m_intensite = p_intensite;
      ((AffiliationSupplementairePC)getPC()).setIntensite(p_intensite);
    }
    else if ((m_intensite != null) && (p_intensite != null) && (!p_intensite.equals(m_intensite)))
    {
      m_intensite = p_intensite;
      ((AffiliationSupplementairePC)getPC()).setIntensite(p_intensite);
    }
  }
  
  protected int rawGetNature()
  {
    return ((AffiliationSupplementairePC)getPC()).getNature();
  }
  
  public int getNature()
  {
    return ((AffiliationSupplementairePC)getPC()).getNature();
  }
  
  public void setNature(int p_nature)
  {
    ((AffiliationSupplementairePC)getPC()).setNature(p_nature);
  }
  
  protected Quantite rawGetQuantiteInitiale()
  {
    return ((AffiliationSupplementairePC)getPC()).getQuantiteInitiale();
  }
  
  public Quantite getQuantiteInitiale()
  {
    return ((AffiliationSupplementairePC)getPC()).getQuantiteInitiale();
  }
  
  public void setQuantiteInitiale(Quantite p_quantiteInitiale)
  {
    if ((m_quantiteInitiale == null) || (p_quantiteInitiale == null))
    {
      m_quantiteInitiale = p_quantiteInitiale;
      ((AffiliationSupplementairePC)getPC()).setQuantiteInitiale(p_quantiteInitiale);
    }
    else if ((m_quantiteInitiale != null) && (p_quantiteInitiale != null) && (!p_quantiteInitiale.equals(m_quantiteInitiale)))
    {
      m_quantiteInitiale = p_quantiteInitiale;
      ((AffiliationSupplementairePC)getPC()).setQuantiteInitiale(p_quantiteInitiale);
    }
  }
  
  protected Quantite rawGetQuantiteRetenue()
  {
    return ((AffiliationSupplementairePC)getPC()).getQuantiteRetenue();
  }
  
  public Quantite getQuantiteRetenue()
  {
    return ((AffiliationSupplementairePC)getPC()).getQuantiteRetenue();
  }
  
  public void setQuantiteRetenue(Quantite p_quantiteRetenue)
  {
    if ((m_quantiteRetenue == null) || (p_quantiteRetenue == null))
    {
      m_quantiteRetenue = p_quantiteRetenue;
      ((AffiliationSupplementairePC)getPC()).setQuantiteRetenue(p_quantiteRetenue);
    }
    else if ((m_quantiteRetenue != null) && (p_quantiteRetenue != null) && (!p_quantiteRetenue.equals(m_quantiteRetenue)))
    {
      m_quantiteRetenue = p_quantiteRetenue;
      ((AffiliationSupplementairePC)getPC()).setQuantiteRetenue(p_quantiteRetenue);
    }
  }
  
  protected String rawGetIdPeriodeActivite()
  {
    return ((AffiliationSupplementairePC)getPC()).getIdPeriodeActivite();
  }
  
  public String getIdPeriodeActivite()
  {
    return ((AffiliationSupplementairePC)getPC()).getIdPeriodeActivite();
  }
  
  public void setIdPeriodeActivite(String p_idPeriodeActivite)
  {
    if ((m_idPeriodeActivite == null) || (p_idPeriodeActivite == null))
    {
      m_idPeriodeActivite = p_idPeriodeActivite;
      ((AffiliationSupplementairePC)getPC()).setIdPeriodeActivite(p_idPeriodeActivite);
    }
    else if ((m_idPeriodeActivite != null) && (p_idPeriodeActivite != null) && (!p_idPeriodeActivite.equals(m_idPeriodeActivite)))
    {
      m_idPeriodeActivite = p_idPeriodeActivite;
      ((AffiliationSupplementairePC)getPC()).setIdPeriodeActivite(p_idPeriodeActivite);
    }
  }
  
  protected String rawGetReglement()
  {
    return ((AffiliationSupplementairePC)getPC()).getReglement();
  }
  
  public String getReglement()
  {
    return ((AffiliationSupplementairePC)getPC()).getReglement();
  }
  
  public void setReglement(String p_reglement)
  {
    if ((m_reglement == null) || (p_reglement == null))
    {
      m_reglement = p_reglement;
      ((AffiliationSupplementairePC)getPC()).setReglement(p_reglement);
    }
    else if ((m_reglement != null) && (p_reglement != null) && (!p_reglement.equals(m_reglement)))
    {
      m_reglement = p_reglement;
      ((AffiliationSupplementairePC)getPC()).setReglement(p_reglement);
    }
  }
  
  protected String rawGetRaisonSociale()
  {
    return ((AffiliationSupplementairePC)getPC()).getRaisonSociale();
  }
  
  public String getRaisonSociale()
  {
    return ((AffiliationSupplementairePC)getPC()).getRaisonSociale();
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    if ((m_raisonSociale == null) || (p_raisonSociale == null))
    {
      m_raisonSociale = p_raisonSociale;
      ((AffiliationSupplementairePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
    else if ((m_raisonSociale != null) && (p_raisonSociale != null) && (!p_raisonSociale.equals(m_raisonSociale)))
    {
      m_raisonSociale = p_raisonSociale;
      ((AffiliationSupplementairePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
  }
  
  protected Periode rawGetPeriodeActiviteSalariee()
  {
    return ((AffiliationSupplementairePC)getPC()).getPeriodeActiviteSalariee();
  }
  
  public Periode getPeriodeActiviteSalariee()
  {
    return ((AffiliationSupplementairePC)getPC()).getPeriodeActiviteSalariee();
  }
  
  public void setPeriodeActiviteSalariee(Periode p_periodeActiviteSalariee)
  {
    if ((m_periodeActiviteSalariee == null) || (p_periodeActiviteSalariee == null))
    {
      m_periodeActiviteSalariee = p_periodeActiviteSalariee;
      ((AffiliationSupplementairePC)getPC()).setPeriodeActiviteSalariee(p_periodeActiviteSalariee);
    }
    else if ((m_periodeActiviteSalariee != null) && (p_periodeActiviteSalariee != null) && (!p_periodeActiviteSalariee.equals(m_periodeActiviteSalariee)))
    {
      m_periodeActiviteSalariee = p_periodeActiviteSalariee;
      ((AffiliationSupplementairePC)getPC()).setPeriodeActiviteSalariee(p_periodeActiviteSalariee);
    }
  }
  
  protected BigDecimal rawGetHoraireSalarie()
  {
    return ((AffiliationSupplementairePC)getPC()).getHoraireSalarie();
  }
  
  public BigDecimal getHoraireSalarie()
  {
    return ((AffiliationSupplementairePC)getPC()).getHoraireSalarie();
  }
  
  public void setHoraireSalarie(BigDecimal p_horaireSalarie)
  {
    if ((m_horaireSalarie == null) || (p_horaireSalarie == null))
    {
      m_horaireSalarie = p_horaireSalarie;
      ((AffiliationSupplementairePC)getPC()).setHoraireSalarie(p_horaireSalarie);
    }
    else if ((m_horaireSalarie != null) && (p_horaireSalarie != null) && (!p_horaireSalarie.equals(m_horaireSalarie)))
    {
      m_horaireSalarie = p_horaireSalarie;
      ((AffiliationSupplementairePC)getPC()).setHoraireSalarie(p_horaireSalarie);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     AffiliationSupplementaireGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */