package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesDAL;
import fr.unedic.cali.asu.dom.DonneesDemandeAssociee;
import fr.unedic.cali.asu.dom.DonneesSortieNPDE;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ElementJustification;
import fr.unedic.cali.asu.dom.FormulaireAsu;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.Reliquat;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.calcul.dom.UniteTraitementForcee;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.DemandeAbstraite;
import fr.unedic.cali.dom.Entretien;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class DemandeGen
  extends DemandeAbstraite
  implements DomGenSpec
{
  private String m_motifReexamenPrincipal;
  private DemandePivot m_demandePivot;
  private Damj m_datePremiereValidation;
  private Damj m_dateDerniereValidation;
  private Damj m_dateDerniereNotification;
  private Demande m_demandeOrigine;
  private DossierAffectation m_dossierAffectationAdmission;
  private DossierAffectation m_dossierAffectationReprise;
  private ClassementAdministratif m_classementAdministratif;
  private EvenementReferenceExamenSpec m_evenementReferenceExamen;
  private String m_commentaire = null;
  private Damj m_dateAnnulationReexamen;
  private String m_modeLiquidation;
  private Entretien m_entretien;
  private SaisieAntecedent m_saisieAntecedent;
  private String m_identifiantObjetMetier;
  private Collection m_listeObjectifsExamen;
  private Collection m_listeMotifsReexamen;
  private Collection m_forcageExecutionDemande = null;
  public Collection m_listeContextes;
  private transient DonneesTemporaires m_donneesTemporaires;
  private transient FormulaireAsu m_formulaireAsu;
  private transient Reliquat m_reliquat;
  private transient DonneesDAL m_donneesDAL;
  private transient ElementJustification m_elementJustification;
  private transient DonneesDemandeAssociee m_donneesDemandeAssociee;
  private transient fr.unedic.cali.asu.dom.ContexteDemande m_contexteDemande;
  private transient DonneesSortieNPDE m_donneesSortieNPDE;
  
  public DemandeGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DemandeGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DemandePC();
  }
  
  protected String rawGetMotifReexamenPrincipal()
  {
    return ((DemandePC)getPC()).getMotifReexamenPrincipalDemande();
  }
  
  public String getMotifReexamenPrincipal()
  {
    return ((DemandePC)getPC()).getMotifReexamenPrincipalDemande();
  }
  
  public void setMotifReexamenPrincipal(String p_motifReexamenPrincipal)
  {
    if ((m_motifReexamenPrincipal == null) || (p_motifReexamenPrincipal == null))
    {
      m_motifReexamenPrincipal = p_motifReexamenPrincipal;
      ((DemandePC)getPC()).setMotifReexamenPrincipalDemande(p_motifReexamenPrincipal);
    }
    else if ((m_motifReexamenPrincipal != null) && (p_motifReexamenPrincipal != null) && (!p_motifReexamenPrincipal.equals(m_motifReexamenPrincipal)))
    {
      m_motifReexamenPrincipal = p_motifReexamenPrincipal;
      ((DemandePC)getPC()).setMotifReexamenPrincipalDemande(p_motifReexamenPrincipal);
    }
  }
  
  protected boolean rawIsDemandeExpresse()
  {
    return ((DemandePC)getPC()).isDemandeExpresseDemande();
  }
  
  public boolean isDemandeExpresse()
  {
    return ((DemandePC)getPC()).isDemandeExpresseDemande();
  }
  
  public void setDemandeExpresse(boolean p_demandeExpresse)
  {
    ((DemandePC)getPC()).setDemandeExpresseDemande(p_demandeExpresse);
  }
  
  protected boolean rawIsLiquideeAvecConflits()
  {
    return ((DemandePC)getPC()).isLiquideeAvecConflitsDemande();
  }
  
  public boolean isLiquideeAvecConflits()
  {
    return ((DemandePC)getPC()).isLiquideeAvecConflitsDemande();
  }
  
  public void setLiquideeAvecConflits(boolean p_liquideeAvecConflits)
  {
    ((DemandePC)getPC()).setLiquideeAvecConflitsDemande(p_liquideeAvecConflits);
  }
  
  protected int rawGetEstMigree()
  {
    return ((DemandePC)getPC()).getEstMigreeDemande();
  }
  
  public int getEstMigree()
  {
    return ((DemandePC)getPC()).getEstMigreeDemande();
  }
  
  public void setEstMigree(int p_estMigree)
  {
    ((DemandePC)getPC()).setEstMigreeDemande(p_estMigree);
  }
  
  protected boolean rawIsEstDeneutralisable()
  {
    return ((DemandePC)getPC()).isEstDeneutralisable();
  }
  
  public boolean isEstDeneutralisable()
  {
    return ((DemandePC)getPC()).isEstDeneutralisable();
  }
  
  public void setEstDeneutralisable(boolean p_estDeneutralisable)
  {
    ((DemandePC)getPC()).setEstDeneutralisable(p_estDeneutralisable);
  }
  
  protected boolean rawIsEstNeutraliseeLiquidation()
  {
    return ((DemandePC)getPC()).isEstNeutraliseeLiquidationDemande();
  }
  
  public boolean isEstNeutraliseeLiquidation()
  {
    return ((DemandePC)getPC()).isEstNeutraliseeLiquidationDemande();
  }
  
  public void setEstNeutraliseeLiquidation(boolean p_estNeutraliseeLiquidation)
  {
    ((DemandePC)getPC()).setEstNeutraliseeLiquidationDemande(p_estNeutraliseeLiquidation);
  }
  
  protected boolean rawIsEstNeutraliseeCalcul()
  {
    return ((DemandePC)getPC()).isEstNeutraliseeCalculDemande();
  }
  
  public boolean isEstNeutraliseeCalcul()
  {
    return ((DemandePC)getPC()).isEstNeutraliseeCalculDemande();
  }
  
  public void setEstNeutraliseeCalcul(boolean p_estNeutraliseeCalcul)
  {
    ((DemandePC)getPC()).setEstNeutraliseeCalculDemande(p_estNeutraliseeCalcul);
  }
  
  protected boolean rawIsEstLiquidable()
  {
    return ((DemandePC)getPC()).isEstLiquidableDemande();
  }
  
  public boolean isEstLiquidable()
  {
    return ((DemandePC)getPC()).isEstLiquidableDemande();
  }
  
  public void setEstLiquidable(boolean p_estLiquidable)
  {
    ((DemandePC)getPC()).setEstLiquidableDemande(p_estLiquidable);
  }
  
  public DemandePivot getDemandePivot()
  {
    if (m_demandePivot == null)
    {
      DomPCSpec demandePivotPC = ((DemandePC)getPC()).getDemandePivotDemande();
      if (demandePivotPC != null) {
        m_demandePivot = ((DemandePivot)demandePivotPC.createOM());
      }
    }
    return m_demandePivot;
  }
  
  public void setDemandePivot(DemandePivot p_demandePivot)
  {
    if (p_demandePivot == null)
    {
      ((DemandePC)getPC()).setDemandePivotDemande(null);
      m_demandePivot = p_demandePivot;
    }
    else if (!p_demandePivot.equals(m_demandePivot))
    {
      ((DemandePC)getPC()).setDemandePivotDemande(p_demandePivot.getPC());
      m_demandePivot = p_demandePivot;
    }
  }
  
  protected Damj rawGetDatePremiereValidation()
  {
    return ((DemandePC)getPC()).getDatePremiereValidationDemande();
  }
  
  public Damj getDatePremiereValidation()
  {
    return ((DemandePC)getPC()).getDatePremiereValidationDemande();
  }
  
  public void setDatePremiereValidation(Damj p_datePremiereValidation)
  {
    if ((m_datePremiereValidation == null) || (p_datePremiereValidation == null))
    {
      m_datePremiereValidation = p_datePremiereValidation;
      ((DemandePC)getPC()).setDatePremiereValidationDemande(p_datePremiereValidation);
    }
    else if ((m_datePremiereValidation != null) && (p_datePremiereValidation != null) && (!p_datePremiereValidation.equals(m_datePremiereValidation)))
    {
      m_datePremiereValidation = p_datePremiereValidation;
      ((DemandePC)getPC()).setDatePremiereValidationDemande(p_datePremiereValidation);
    }
  }
  
  protected Damj rawGetDateDerniereValidation()
  {
    return ((DemandePC)getPC()).getDateDerniereValidationDemande();
  }
  
  public Damj getDateDerniereValidation()
  {
    return ((DemandePC)getPC()).getDateDerniereValidationDemande();
  }
  
  public void setDateDerniereValidation(Damj p_dateDerniereValidation)
  {
    if ((m_dateDerniereValidation == null) || (p_dateDerniereValidation == null))
    {
      m_dateDerniereValidation = p_dateDerniereValidation;
      ((DemandePC)getPC()).setDateDerniereValidationDemande(p_dateDerniereValidation);
    }
    else if ((m_dateDerniereValidation != null) && (p_dateDerniereValidation != null) && (!p_dateDerniereValidation.equals(m_dateDerniereValidation)))
    {
      m_dateDerniereValidation = p_dateDerniereValidation;
      ((DemandePC)getPC()).setDateDerniereValidationDemande(p_dateDerniereValidation);
    }
  }
  
  protected Damj rawGetDateDerniereNotification()
  {
    return ((DemandePC)getPC()).getDateDerniereNotificationDemande();
  }
  
  public Damj getDateDerniereNotification()
  {
    return ((DemandePC)getPC()).getDateDerniereNotificationDemande();
  }
  
  public void setDateDerniereNotification(Damj p_dateDerniereNotification)
  {
    if ((m_dateDerniereNotification == null) || (p_dateDerniereNotification == null))
    {
      m_dateDerniereNotification = p_dateDerniereNotification;
      ((DemandePC)getPC()).setDateDerniereNotificationDemande(p_dateDerniereNotification);
    }
    else if ((m_dateDerniereNotification != null) && (p_dateDerniereNotification != null) && (!p_dateDerniereNotification.equals(m_dateDerniereNotification)))
    {
      m_dateDerniereNotification = p_dateDerniereNotification;
      ((DemandePC)getPC()).setDateDerniereNotificationDemande(p_dateDerniereNotification);
    }
  }
  
  public Demande getDemandeOrigine()
  {
    if (m_demandeOrigine == null)
    {
      DomPCSpec demandeOriginePC = ((DemandePC)getPC()).getDemandeOrigineDemande();
      if (demandeOriginePC != null) {
        m_demandeOrigine = ((Demande)demandeOriginePC.createOM());
      }
    }
    return m_demandeOrigine;
  }
  
  public void setDemandeOrigine(Demande p_demandeOrigine)
  {
    if (p_demandeOrigine == null)
    {
      ((DemandePC)getPC()).setDemandeOrigineDemande(null);
      m_demandeOrigine = p_demandeOrigine;
    }
    else if (!p_demandeOrigine.equals(m_demandeOrigine))
    {
      ((DemandePC)getPC()).setDemandeOrigineDemande(p_demandeOrigine.getPC());
      m_demandeOrigine = p_demandeOrigine;
    }
  }
  
  public DossierAffectation getDossierAffectationAdmission()
  {
    if (m_dossierAffectationAdmission == null)
    {
      DomPCSpec dossierAffectationAdmissionPC = ((DemandePC)getPC()).getDossierAffectationAdmissionDemande();
      if (dossierAffectationAdmissionPC != null) {
        m_dossierAffectationAdmission = ((DossierAffectation)dossierAffectationAdmissionPC.createOM());
      }
    }
    return m_dossierAffectationAdmission;
  }
  
  public void setDossierAffectationAdmission(DossierAffectation p_dossierAffectationAdmission)
  {
    if (p_dossierAffectationAdmission == null)
    {
      ((DemandePC)getPC()).setDossierAffectationAdmissionDemande(null);
      m_dossierAffectationAdmission = p_dossierAffectationAdmission;
    }
    else if (!p_dossierAffectationAdmission.equals(m_dossierAffectationAdmission))
    {
      ((DemandePC)getPC()).setDossierAffectationAdmissionDemande(p_dossierAffectationAdmission.getPC());
      m_dossierAffectationAdmission = p_dossierAffectationAdmission;
    }
  }
  
  public DossierAffectation getDossierAffectationReprise()
  {
    if (m_dossierAffectationReprise == null)
    {
      DomPCSpec dossierAffectationReprisePC = ((DemandePC)getPC()).getDossierAffectationRepriseDemande();
      if (dossierAffectationReprisePC != null) {
        m_dossierAffectationReprise = ((DossierAffectation)dossierAffectationReprisePC.createOM());
      }
    }
    return m_dossierAffectationReprise;
  }
  
  public void setDossierAffectationReprise(DossierAffectation p_dossierAffectationReprise)
  {
    if (p_dossierAffectationReprise == null)
    {
      ((DemandePC)getPC()).setDossierAffectationRepriseDemande(null);
      m_dossierAffectationReprise = p_dossierAffectationReprise;
    }
    else if (!p_dossierAffectationReprise.equals(m_dossierAffectationReprise))
    {
      ((DemandePC)getPC()).setDossierAffectationRepriseDemande(p_dossierAffectationReprise.getPC());
      m_dossierAffectationReprise = p_dossierAffectationReprise;
    }
  }
  
  public ClassementAdministratif getClassementAdministratif()
  {
    if (m_classementAdministratif == null)
    {
      DomPCSpec classementAdministratifPC = ((DemandePC)getPC()).getClassementAdministratifDemande();
      if (classementAdministratifPC != null) {
        m_classementAdministratif = ((ClassementAdministratif)classementAdministratifPC.createOM());
      }
    }
    return m_classementAdministratif;
  }
  
  public void setClassementAdministratif(ClassementAdministratif p_classementAdministratif)
  {
    if (p_classementAdministratif == null)
    {
      ((DemandePC)getPC()).setClassementAdministratifDemande(null);
      m_classementAdministratif = p_classementAdministratif;
    }
    else if (!p_classementAdministratif.equals(m_classementAdministratif))
    {
      ((DemandePC)getPC()).setClassementAdministratifDemande(p_classementAdministratif.getPC());
      m_classementAdministratif = p_classementAdministratif;
    }
  }
  
  protected EvenementReferenceExamenSpec rawGetEvenementReferenceExamen()
  {
    return ((DemandePC)getPC()).getEvenementReferenceExamen();
  }
  
  public EvenementReferenceExamenSpec getEvenementReferenceExamen()
  {
    return ((DemandePC)getPC()).getEvenementReferenceExamen();
  }
  
  public void setEvenementReferenceExamen(EvenementReferenceExamenSpec p_evenementReferenceExamen)
  {
    if ((m_evenementReferenceExamen == null) || (p_evenementReferenceExamen == null))
    {
      m_evenementReferenceExamen = p_evenementReferenceExamen;
      ((DemandePC)getPC()).setEvenementReferenceExamen(p_evenementReferenceExamen);
    }
    else if ((m_evenementReferenceExamen != null) && (p_evenementReferenceExamen != null) && (!p_evenementReferenceExamen.equals(m_evenementReferenceExamen)))
    {
      m_evenementReferenceExamen = p_evenementReferenceExamen;
      ((DemandePC)getPC()).setEvenementReferenceExamen(p_evenementReferenceExamen);
    }
  }
  
  protected String rawGetCommentaire()
  {
    return ((DemandePC)getPC()).getCommentaire();
  }
  
  public String getCommentaire()
  {
    return ((DemandePC)getPC()).getCommentaire();
  }
  
  public void setCommentaire(String p_commentaire)
  {
    if ((m_commentaire == null) || (p_commentaire == null))
    {
      m_commentaire = p_commentaire;
      ((DemandePC)getPC()).setCommentaire(p_commentaire);
    }
    else if ((m_commentaire != null) && (p_commentaire != null) && (!p_commentaire.equals(m_commentaire)))
    {
      m_commentaire = p_commentaire;
      ((DemandePC)getPC()).setCommentaire(p_commentaire);
    }
  }
  
  protected int rawGetComportmentDemandeMigree()
  {
    return ((DemandePC)getPC()).getComportmentDemandeMigree();
  }
  
  public int getComportmentDemandeMigree()
  {
    return ((DemandePC)getPC()).getComportmentDemandeMigree();
  }
  
  public void setComportmentDemandeMigree(int p_comportmentDemandeMigree)
  {
    ((DemandePC)getPC()).setComportmentDemandeMigree(p_comportmentDemandeMigree);
  }
  
  protected Damj rawGetDateAnnulationReexamen()
  {
    return ((DemandePC)getPC()).getDateAnnulationReexamen();
  }
  
  public Damj getDateAnnulationReexamen()
  {
    return ((DemandePC)getPC()).getDateAnnulationReexamen();
  }
  
  public void setDateAnnulationReexamen(Damj p_dateAnnulationReexamen)
  {
    if ((m_dateAnnulationReexamen == null) || (p_dateAnnulationReexamen == null))
    {
      m_dateAnnulationReexamen = p_dateAnnulationReexamen;
      ((DemandePC)getPC()).setDateAnnulationReexamen(p_dateAnnulationReexamen);
    }
    else if ((m_dateAnnulationReexamen != null) && (p_dateAnnulationReexamen != null) && (!p_dateAnnulationReexamen.equals(m_dateAnnulationReexamen)))
    {
      m_dateAnnulationReexamen = p_dateAnnulationReexamen;
      ((DemandePC)getPC()).setDateAnnulationReexamen(p_dateAnnulationReexamen);
    }
  }
  
  protected String rawGetModeLiquidation()
  {
    return ((DemandePC)getPC()).getModeLiquidation();
  }
  
  public String getModeLiquidation()
  {
    return ((DemandePC)getPC()).getModeLiquidation();
  }
  
  public void setModeLiquidation(String p_modeLiquidation)
  {
    if ((m_modeLiquidation == null) || (p_modeLiquidation == null))
    {
      m_modeLiquidation = p_modeLiquidation;
      ((DemandePC)getPC()).setModeLiquidation(p_modeLiquidation);
    }
    else if ((m_modeLiquidation != null) && (p_modeLiquidation != null) && (!p_modeLiquidation.equals(m_modeLiquidation)))
    {
      m_modeLiquidation = p_modeLiquidation;
      ((DemandePC)getPC()).setModeLiquidation(p_modeLiquidation);
    }
  }
  
  public Entretien getEntretien()
  {
    if (m_entretien == null)
    {
      DomPCSpec entretienPC = ((DemandePC)getPC()).getEntretien();
      if (entretienPC != null) {
        m_entretien = ((Entretien)entretienPC.createOM());
      }
    }
    return m_entretien;
  }
  
  public void setEntretien(Entretien p_entretien)
  {
    if (p_entretien == null)
    {
      ((DemandePC)getPC()).setEntretien(null);
      m_entretien = p_entretien;
    }
    else if (!p_entretien.equals(m_entretien))
    {
      ((DemandePC)getPC()).setEntretien(p_entretien.getPC());
      m_entretien = p_entretien;
    }
  }
  
  public SaisieAntecedent getSaisieAntecedent()
  {
    if (m_saisieAntecedent == null)
    {
      DomPCSpec saisieAntecedentPC = ((DemandePC)getPC()).getSaisieAntecedent();
      if (saisieAntecedentPC != null) {
        m_saisieAntecedent = ((SaisieAntecedent)saisieAntecedentPC.createOM());
      }
    }
    return m_saisieAntecedent;
  }
  
  public void setSaisieAntecedent(SaisieAntecedent p_saisieAntecedent)
  {
    if (p_saisieAntecedent == null)
    {
      ((DemandePC)getPC()).setSaisieAntecedent(null);
      m_saisieAntecedent = p_saisieAntecedent;
    }
    else if (!p_saisieAntecedent.equals(m_saisieAntecedent))
    {
      ((DemandePC)getPC()).setSaisieAntecedent(p_saisieAntecedent.getPC());
      m_saisieAntecedent = p_saisieAntecedent;
    }
  }
  
  protected boolean rawIsEstNonExecutable()
  {
    return ((DemandePC)getPC()).isEstNonExecutable();
  }
  
  public boolean isEstNonExecutable()
  {
    return ((DemandePC)getPC()).isEstNonExecutable();
  }
  
  public void setEstNonExecutable(boolean p_estNonExecutable)
  {
    ((DemandePC)getPC()).setEstNonExecutable(p_estNonExecutable);
  }
  
  protected String rawGetIdentifiantObjetMetier()
  {
    return ((DemandePC)getPC()).getIdentifiantObjetMetier();
  }
  
  public String getIdentifiantObjetMetier()
  {
    return ((DemandePC)getPC()).getIdentifiantObjetMetier();
  }
  
  public void setIdentifiantObjetMetier(String p_identifiantObjetMetier)
  {
    if ((m_identifiantObjetMetier == null) || (p_identifiantObjetMetier == null))
    {
      m_identifiantObjetMetier = p_identifiantObjetMetier;
      ((DemandePC)getPC()).setIdentifiantObjetMetier(p_identifiantObjetMetier);
    }
    else if ((m_identifiantObjetMetier != null) && (p_identifiantObjetMetier != null) && (!p_identifiantObjetMetier.equals(m_identifiantObjetMetier)))
    {
      m_identifiantObjetMetier = p_identifiantObjetMetier;
      ((DemandePC)getPC()).setIdentifiantObjetMetier(p_identifiantObjetMetier);
    }
  }
  
  protected boolean rawIsEstRepriseStockSpectacle2016Faite()
  {
    return ((DemandePC)getPC()).isEstRepriseStockSpectacle2016Faite();
  }
  
  public boolean isEstRepriseStockSpectacle2016Faite()
  {
    return ((DemandePC)getPC()).isEstRepriseStockSpectacle2016Faite();
  }
  
  public void setEstRepriseStockSpectacle2016Faite(boolean p_estRepriseStockSpectacle2016Faite)
  {
    ((DemandePC)getPC()).setEstRepriseStockSpectacle2016Faite(p_estRepriseStockSpectacle2016Faite);
  }
  
  private final Collection getCollectionModifiableObjectifExamen()
  {
    Iterator itCollectionPC;
    if (m_listeObjectifsExamen == null)
    {
      m_listeObjectifsExamen = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionObjectifExamen().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeObjectifsExamen.add(currentOM);
      }
    }
    return m_listeObjectifsExamen;
  }
  
  public Collection getCollectionObjectifExamen()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableObjectifExamen());
  }
  
  public List getListObjectifExamen()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableObjectifExamen());
  }
  
  public void remplacerCollectionObjectifExamen(Collection p_collectionACopier)
  {
    clearCollectionObjectifExamen();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      ObjectifExamen objet = (ObjectifExamen)i.next();
      ajouterObjectifExamen(objet);
    }
  }
  
  public void supprimerSousCollectionObjectifExamen(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      ObjectifExamen objet = (ObjectifExamen)i.next();
      supprimerObjectifExamen(objet);
    }
  }
  
  public void ajouterObjectifExamen(ObjectifExamen p_objectifExamen)
    throws NullPointerException
  {
    if (p_objectifExamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_objectifExamen ne devrait pas être nul.", p_objectifExamen);
    }
    getCollectionModifiableObjectifExamen().add(p_objectifExamen);
    ((DemandePC)getPC()).ajouterObjectifExamen(p_objectifExamen.getPC());
  }
  
  public void supprimerObjectifExamen(ObjectifExamen p_objectifExamen)
    throws NullPointerException
  {
    if (p_objectifExamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_objectifExamen ne devrait pas être nul.", p_objectifExamen);
    }
    getCollectionModifiableObjectifExamen().remove(p_objectifExamen);
    ((DemandePC)getPC()).supprimerObjectifExamen(p_objectifExamen.getPC());
  }
  
  public void recopierCollectionObjectifExamenVers(ObjetMetierSpec p_copie)
  {
    DemandeGen copie = (DemandeGen)p_copie;
    Collection listeACopier = getCollectionObjectifExamen();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterObjectifExamen((ObjectifExamen)objet);
    }
  }
  
  public void clearCollectionObjectifExamen()
  {
    getCollectionModifiableObjectifExamen().clear();
    ((DemandePC)getPC()).getCollectionObjectifExamen().clear();
  }
  
  private final Collection getCollectionModifiableMotifReexamen()
  {
    return ((DemandePC)getPC()).getCollectionMotifReexamen();
  }
  
  public Collection getCollectionMotifReexamen()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableMotifReexamen());
  }
  
  public List getListMotifReexamen()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableMotifReexamen());
  }
  
  public void remplacerCollectionMotifReexamen(Collection p_collectionACopier)
  {
    clearCollectionMotifReexamen();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      ajouterMotifReexamen(objet);
    }
  }
  
  public void supprimerSousCollectionMotifReexamen(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      supprimerMotifReexamen(objet);
    }
  }
  
  public void ajouterMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionModifiableMotifReexamen().add(p_motifReexamen);
    ((DemandePC)getPC()).ajouterMotifReexamen(p_motifReexamen);
  }
  
  public void supprimerMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionModifiableMotifReexamen().remove(p_motifReexamen);
    ((DemandePC)getPC()).supprimerMotifReexamen(p_motifReexamen);
  }
  
  public void recopierCollectionMotifReexamenVers(ObjetMetierSpec p_copie)
  {
    DemandeGen copie = (DemandeGen)p_copie;
    Collection listeACopier = getCollectionMotifReexamen();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      copie.ajouterMotifReexamen(objet);
    }
  }
  
  public void clearCollectionMotifReexamen()
  {
    getCollectionModifiableMotifReexamen().clear();
    ((DemandePC)getPC()).getCollectionMotifReexamen().clear();
  }
  
  private final Collection getCollectionModifiableUniteTraitementForcee()
  {
    Iterator itCollectionPC;
    if (m_forcageExecutionDemande == null)
    {
      m_forcageExecutionDemande = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionUniteTraitementForcee().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_forcageExecutionDemande.add(currentOM);
      }
    }
    return m_forcageExecutionDemande;
  }
  
  public Collection getCollectionUniteTraitementForcee()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableUniteTraitementForcee());
  }
  
  public List getListUniteTraitementForcee()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableUniteTraitementForcee());
  }
  
  public void remplacerCollectionUniteTraitementForcee(Collection p_collectionACopier)
  {
    clearCollectionUniteTraitementForcee();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      UniteTraitementForcee objet = (UniteTraitementForcee)i.next();
      ajouterUniteTraitementForcee(objet);
    }
  }
  
  public void supprimerSousCollectionUniteTraitementForcee(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      UniteTraitementForcee objet = (UniteTraitementForcee)i.next();
      supprimerUniteTraitementForcee(objet);
    }
  }
  
  public void ajouterUniteTraitementForcee(UniteTraitementForcee p_forcageExecution)
    throws NullPointerException
  {
    if (p_forcageExecution == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_forcageExecution ne devrait pas être nul.", p_forcageExecution);
    }
    getCollectionModifiableUniteTraitementForcee().add(p_forcageExecution);
    ((DemandePC)getPC()).ajouterUniteTraitementForcee(p_forcageExecution.getPC());
  }
  
  public void supprimerUniteTraitementForcee(UniteTraitementForcee p_forcageExecution)
    throws NullPointerException
  {
    if (p_forcageExecution == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_forcageExecution ne devrait pas être nul.", p_forcageExecution);
    }
    getCollectionModifiableUniteTraitementForcee().remove(p_forcageExecution);
    ((DemandePC)getPC()).supprimerUniteTraitementForcee(p_forcageExecution.getPC());
  }
  
  public void recopierCollectionUniteTraitementForceeVers(ObjetMetierSpec p_copie)
  {
    DemandeGen copie = (DemandeGen)p_copie;
    Collection listeACopier = getCollectionUniteTraitementForcee();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterUniteTraitementForcee((UniteTraitementForcee)objet);
    }
  }
  
  public void clearCollectionUniteTraitementForcee()
  {
    getCollectionModifiableUniteTraitementForcee().clear();
    ((DemandePC)getPC()).getCollectionUniteTraitementForcee().clear();
  }
  
  private final Collection getCollectionModifiableContexteDemande()
  {
    Iterator itCollectionPC;
    if (m_listeContextes == null)
    {
      m_listeContextes = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionContexte().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeContextes.add(currentOM);
      }
    }
    return m_listeContextes;
  }
  
  public Collection getCollectionContexteDemande()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableContexteDemande());
  }
  
  public List getListContexteDemande()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableContexteDemande());
  }
  
  public void remplacerCollectionContexteDemande(Collection p_collectionACopier)
  {
    clearCollectionContexteDemande();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      fr.unedic.cali.dom.ContexteDemande objet = (fr.unedic.cali.dom.ContexteDemande)i.next();
      ajouterContexteDemande(objet);
    }
  }
  
  public void supprimerSousCollectionContexteDemande(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      fr.unedic.cali.dom.ContexteDemande objet = (fr.unedic.cali.dom.ContexteDemande)i.next();
      supprimerContexteDemande(objet);
    }
  }
  
  public void ajouterContexteDemande(fr.unedic.cali.dom.ContexteDemande p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionModifiableContexteDemande().add(p_contextes);
    ((DemandePC)getPC()).ajouterContexte(p_contextes.getPC());
  }
  
  public void supprimerContexteDemande(fr.unedic.cali.dom.ContexteDemande p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionModifiableContexteDemande().remove(p_contextes);
    ((DemandePC)getPC()).supprimerContexte(p_contextes.getPC());
  }
  
  public void recopierCollectionContexteDemandeVers(ObjetMetierSpec p_copie)
  {
    DemandeGen copie = (DemandeGen)p_copie;
    Collection listeACopier = getCollectionContexteDemande();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterContexteDemande((fr.unedic.cali.dom.ContexteDemande)objet);
    }
  }
  
  public void clearCollectionContexteDemande()
  {
    getCollectionModifiableContexteDemande().clear();
    ((DemandePC)getPC()).getCollectionContexte().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    if (getDonneesTemporaires() != null)
    {
      getDonneesTemporaires().supprimerEnProfondeur(p_contexteSuppression);
      m_donneesTemporaires = null;
    }
    if (getFormulaireAsu() != null)
    {
      getFormulaireAsu().supprimerEnProfondeur(p_contexteSuppression);
      m_formulaireAsu = null;
    }
    if (getReliquat() != null)
    {
      getReliquat().supprimerEnProfondeur(p_contexteSuppression);
      m_reliquat = null;
    }
    if (getDonneesDAL() != null)
    {
      getDonneesDAL().supprimerEnProfondeur(p_contexteSuppression);
      m_donneesDAL = null;
    }
    if (getElementJustification() != null)
    {
      getElementJustification().supprimerEnProfondeur(p_contexteSuppression);
      m_elementJustification = null;
    }
    if (getDonneesDemandeAssociee() != null)
    {
      getDonneesDemandeAssociee().supprimerEnProfondeur(p_contexteSuppression);
      m_donneesDemandeAssociee = null;
    }
    if (getContexteDemande() != null)
    {
      getContexteDemande().supprimerEnProfondeur(p_contexteSuppression);
      m_contexteDemande = null;
    }
    if (getDonneesSortieNPDE() != null)
    {
      getDonneesSortieNPDE().supprimerEnProfondeur(p_contexteSuppression);
      m_donneesSortieNPDE = null;
    }
    Object demandePivot = getDemandePivot();
    if ((demandePivot != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(demandePivot))) {
      DomManager.supprimer(getDemandePivot(), p_contexteSuppression);
    }
    Object dossierAffectationAdmission = getDossierAffectationAdmission();
    if ((dossierAffectationAdmission != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(dossierAffectationAdmission))) {
      DomManager.supprimer(getDossierAffectationAdmission(), p_contexteSuppression);
    }
    Object dossierAffectationReprise = getDossierAffectationReprise();
    if ((dossierAffectationReprise != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(dossierAffectationReprise))) {
      DomManager.supprimer(getDossierAffectationReprise(), p_contexteSuppression);
    }
    Object classementAdministratif = getClassementAdministratif();
    if ((classementAdministratif != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(classementAdministratif))) {
      DomManager.supprimer(getClassementAdministratif(), p_contexteSuppression);
    }
    Object entretien = getEntretien();
    if ((entretien != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(entretien))) {
      DomManager.supprimer(getEntretien(), p_contexteSuppression);
    }
    Object saisieAntecedent = getSaisieAntecedent();
    if ((saisieAntecedent != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(saisieAntecedent))) {
      DomManager.supprimer(getSaisieAntecedent(), p_contexteSuppression);
    }
    for (Iterator iter = getCollectionObjectifExamen().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionUniteTraitementForcee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionContexteDemande().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public DonneesTemporaires getDonneesTemporaires()
  {
    if (m_donneesTemporaires == null) {
      m_donneesTemporaires = new DonneesTemporaires(getPC());
    }
    return m_donneesTemporaires;
  }
  
  public DonneesTemporaires createDonneesTemporaires()
  {
    if (m_donneesTemporaires == null) {
      m_donneesTemporaires = new DonneesTemporaires(getPC());
    }
    try
    {
      m_donneesTemporaires.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_donneesTemporaires;
  }
  
  public void removeDonneesTemporaires()
  {
    try
    {
      m_donneesTemporaires.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public FormulaireAsu getFormulaireAsu()
  {
    if (m_formulaireAsu == null) {
      m_formulaireAsu = new FormulaireAsu(getPC());
    }
    return m_formulaireAsu;
  }
  
  public FormulaireAsu createFormulaireAsu()
  {
    if (m_formulaireAsu == null) {
      m_formulaireAsu = new FormulaireAsu(getPC());
    }
    try
    {
      m_formulaireAsu.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_formulaireAsu;
  }
  
  public void removeFormulaireAsu()
  {
    try
    {
      m_formulaireAsu.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public Reliquat getReliquat()
  {
    if ((((DemandePC)getPC()).isPresenceDonneesReliquat()) && (m_reliquat == null)) {
      m_reliquat = new Reliquat(getPC());
    }
    return m_reliquat;
  }
  
  public Reliquat createReliquat()
  {
    ((DemandePC)getPC()).setPresenceDonneesReliquat(true);
    if (m_reliquat == null) {
      m_reliquat = new Reliquat(getPC());
    }
    try
    {
      m_reliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_reliquat;
  }
  
  public void removeReliquat()
  {
    try
    {
      m_reliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((DemandePC)getPC()).setPresenceDonneesReliquat(false);
  }
  
  public DonneesDAL getDonneesDAL()
  {
    if ((((DemandePC)getPC()).isPresenceDonneesDonneesDAL()) && (m_donneesDAL == null)) {
      m_donneesDAL = new DonneesDAL(getPC());
    }
    return m_donneesDAL;
  }
  
  public DonneesDAL createDonneesDAL()
  {
    ((DemandePC)getPC()).setPresenceDonneesDonneesDAL(true);
    if (m_donneesDAL == null) {
      m_donneesDAL = new DonneesDAL(getPC());
    }
    try
    {
      m_donneesDAL.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_donneesDAL;
  }
  
  public void removeDonneesDAL()
  {
    try
    {
      m_donneesDAL.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((DemandePC)getPC()).setPresenceDonneesDonneesDAL(false);
  }
  
  public ElementJustification getElementJustification()
  {
    if ((((DemandePC)getPC()).isPresenceDonneesElementJustification()) && (m_elementJustification == null)) {
      m_elementJustification = new ElementJustification(getPC());
    }
    return m_elementJustification;
  }
  
  public ElementJustification createElementJustification()
  {
    ((DemandePC)getPC()).setPresenceDonneesElementJustification(true);
    if (m_elementJustification == null) {
      m_elementJustification = new ElementJustification(getPC());
    }
    try
    {
      m_elementJustification.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_elementJustification;
  }
  
  public void removeElementJustification()
  {
    try
    {
      m_elementJustification.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((DemandePC)getPC()).setPresenceDonneesElementJustification(false);
  }
  
  public DonneesDemandeAssociee getDonneesDemandeAssociee()
  {
    if ((((DemandePC)getPC()).isPresenceDonneesDemandeAssociee()) && (m_donneesDemandeAssociee == null)) {
      m_donneesDemandeAssociee = new DonneesDemandeAssociee(getPC());
    }
    return m_donneesDemandeAssociee;
  }
  
  public DonneesDemandeAssociee createDonneesDemandeAssociee()
  {
    ((DemandePC)getPC()).setPresenceDonneesDemandeAssociee(true);
    if (m_donneesDemandeAssociee == null) {
      m_donneesDemandeAssociee = new DonneesDemandeAssociee(getPC());
    }
    try
    {
      m_donneesDemandeAssociee.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_donneesDemandeAssociee;
  }
  
  public void removeDonneesDemandeAssociee()
  {
    try
    {
      m_donneesDemandeAssociee.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((DemandePC)getPC()).setPresenceDonneesDemandeAssociee(false);
  }
  
  public fr.unedic.cali.asu.dom.ContexteDemande getContexteDemande()
  {
    if ((((DemandePC)getPC()).isPresenceDonneesTypeContexte()) && (m_contexteDemande == null)) {
      m_contexteDemande = new fr.unedic.cali.asu.dom.ContexteDemande(getPC());
    }
    return m_contexteDemande;
  }
  
  public fr.unedic.cali.asu.dom.ContexteDemande createContexteDemande()
  {
    ((DemandePC)getPC()).setPresenceDonneesTypeContexte(true);
    if (m_contexteDemande == null) {
      m_contexteDemande = new fr.unedic.cali.asu.dom.ContexteDemande(getPC());
    }
    try
    {
      m_contexteDemande.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_contexteDemande;
  }
  
  public void removeContexteDemande()
  {
    try
    {
      m_contexteDemande.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((DemandePC)getPC()).setPresenceDonneesTypeContexte(false);
  }
  
  public DonneesSortieNPDE getDonneesSortieNPDE()
  {
    if (m_donneesSortieNPDE == null) {
      m_donneesSortieNPDE = new DonneesSortieNPDE(getPC());
    }
    return m_donneesSortieNPDE;
  }
  
  public DonneesSortieNPDE createDonneesSortieNPDE()
  {
    if (m_donneesSortieNPDE == null) {
      m_donneesSortieNPDE = new DonneesSortieNPDE(getPC());
    }
    try
    {
      m_donneesSortieNPDE.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_donneesSortieNPDE;
  }
  
  public void removeDonneesSortieNPDE()
  {
    try
    {
      m_donneesSortieNPDE.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DemandeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */