package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.dom.FormulaireAbstrait;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class FormulaireAsuGen
  extends FormulaireAbstrait
  implements DomGenSpec
{
  private String m_referenceExterne;
  private String m_typeExamen;
  private Damj m_dateEvenement;
  private Damj m_dateDepotOrigine;
  
  public FormulaireAsuGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public FormulaireAsuGen() {}
  
  protected int rawGetIdPecSigma()
  {
    return ((DemandePC)getPC()).getIdPecSigmaFormulaireAsu();
  }
  
  public int getIdPecSigma()
  {
    return ((DemandePC)getPC()).getIdPecSigmaFormulaireAsu();
  }
  
  public void setIdPecSigma(int p_idPecSigma)
  {
    ((DemandePC)getPC()).setIdPecSigmaFormulaireAsu(p_idPecSigma);
  }
  
  protected String rawGetReferenceExterne()
  {
    return ((DemandePC)getPC()).getReferenceExterneFormulaireAsu();
  }
  
  public String getReferenceExterne()
  {
    return ((DemandePC)getPC()).getReferenceExterneFormulaireAsu();
  }
  
  public void setReferenceExterne(String p_referenceExterne)
  {
    if ((m_referenceExterne == null) || (p_referenceExterne == null))
    {
      m_referenceExterne = p_referenceExterne;
      ((DemandePC)getPC()).setReferenceExterneFormulaireAsu(p_referenceExterne);
    }
    else if ((m_referenceExterne != null) && (p_referenceExterne != null) && (!p_referenceExterne.equals(m_referenceExterne)))
    {
      m_referenceExterne = p_referenceExterne;
      ((DemandePC)getPC()).setReferenceExterneFormulaireAsu(p_referenceExterne);
    }
  }
  
  protected String rawGetTypeExamen()
  {
    return ((DemandePC)getPC()).getTypeExamenFormulaireAsu();
  }
  
  public String getTypeExamen()
  {
    return ((DemandePC)getPC()).getTypeExamenFormulaireAsu();
  }
  
  public void setTypeExamen(String p_typeExamen)
  {
    if ((m_typeExamen == null) || (p_typeExamen == null))
    {
      m_typeExamen = p_typeExamen;
      ((DemandePC)getPC()).setTypeExamenFormulaireAsu(p_typeExamen);
    }
    else if ((m_typeExamen != null) && (p_typeExamen != null) && (!p_typeExamen.equals(m_typeExamen)))
    {
      m_typeExamen = p_typeExamen;
      ((DemandePC)getPC()).setTypeExamenFormulaireAsu(p_typeExamen);
    }
  }
  
  protected Damj rawGetDateEvenement()
  {
    return ((DemandePC)getPC()).getDateEvenementFormulaireAsu();
  }
  
  public Damj getDateEvenement()
  {
    return ((DemandePC)getPC()).getDateEvenementFormulaireAsu();
  }
  
  public void setDateEvenement(Damj p_dateEvenement)
  {
    if ((m_dateEvenement == null) || (p_dateEvenement == null))
    {
      m_dateEvenement = p_dateEvenement;
      ((DemandePC)getPC()).setDateEvenementFormulaireAsu(p_dateEvenement);
    }
    else if ((m_dateEvenement != null) && (p_dateEvenement != null) && (!p_dateEvenement.equals(m_dateEvenement)))
    {
      m_dateEvenement = p_dateEvenement;
      ((DemandePC)getPC()).setDateEvenementFormulaireAsu(p_dateEvenement);
    }
  }
  
  protected Damj rawGetDateDepotOrigine()
  {
    return ((DemandePC)getPC()).getDateDepotOrigineFormulaireAsu();
  }
  
  public Damj getDateDepotOrigine()
  {
    return ((DemandePC)getPC()).getDateDepotOrigineFormulaireAsu();
  }
  
  public void setDateDepotOrigine(Damj p_dateDepotOrigine)
  {
    if ((m_dateDepotOrigine == null) || (p_dateDepotOrigine == null))
    {
      m_dateDepotOrigine = p_dateDepotOrigine;
      ((DemandePC)getPC()).setDateDepotOrigineFormulaireAsu(p_dateDepotOrigine);
    }
    else if ((m_dateDepotOrigine != null) && (p_dateDepotOrigine != null) && (!p_dateDepotOrigine.equals(m_dateDepotOrigine)))
    {
      m_dateDepotOrigine = p_dateDepotOrigine;
      ((DemandePC)getPC()).setDateDepotOrigineFormulaireAsu(p_dateDepotOrigine);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    super.initEnProfondeur();
    
    setIdPecSigma(0);
    setReferenceExterne(null);
    setTypeExamen(null);
    setDateEvenement(null);
    setDateDepotOrigine(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     FormulaireAsuGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */