package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.AffiliationAssimilee;
import fr.unedic.cali.asu.dom.AffiliationSupplementaire;
import fr.unedic.cali.asu.dom.PeriodeElementaire;
import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.cali.asu.dom.ZoneMemeExercice;
import fr.unedic.cali.asu.dom.pc.JustificationAffiliationPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class JustificationAffiliationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_justificationAffiliationPC;
  private Periode m_periodeRechercheAffiliation;
  private Quantite m_quantiteAffiliation;
  private Quantite m_quantiteAssimilation;
  private Quantite m_quantiteDernierJourFevrier;
  private Quantite m_plafondAssimilation;
  private Quantite m_quantiteImputee;
  public Collection m_listePeriodeElementaire;
  public Collection m_listeZoneMemeExercice;
  public Collection m_listeAffiliationSupplementaire;
  public Collection m_listeAffiliationAssimilee;
  public Collection m_listePlafonnementAffiliation;
  
  public JustificationAffiliationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationAffiliationGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new JustificationAffiliationPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_justificationAffiliationPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_justificationAffiliationPC)
  {
    m_justificationAffiliationPC = p_justificationAffiliationPC;
  }
  
  protected Periode rawGetPeriodeRechercheAffiliation()
  {
    return ((JustificationAffiliationPC)getPC()).getPeriodeRechercheAffiliation();
  }
  
  public Periode getPeriodeRechercheAffiliation()
  {
    return ((JustificationAffiliationPC)getPC()).getPeriodeRechercheAffiliation();
  }
  
  public void setPeriodeRechercheAffiliation(Periode p_periodeRechercheAffiliation)
  {
    if ((m_periodeRechercheAffiliation == null) || (p_periodeRechercheAffiliation == null))
    {
      m_periodeRechercheAffiliation = p_periodeRechercheAffiliation;
      ((JustificationAffiliationPC)getPC()).setPeriodeRechercheAffiliation(p_periodeRechercheAffiliation);
    }
    else if ((m_periodeRechercheAffiliation != null) && (p_periodeRechercheAffiliation != null) && (!p_periodeRechercheAffiliation.equals(m_periodeRechercheAffiliation)))
    {
      m_periodeRechercheAffiliation = p_periodeRechercheAffiliation;
      ((JustificationAffiliationPC)getPC()).setPeriodeRechercheAffiliation(p_periodeRechercheAffiliation);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliation()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteAffiliation();
  }
  
  public Quantite getQuantiteAffiliation()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteAffiliation();
  }
  
  public void setQuantiteAffiliation(Quantite p_quantiteAffiliation)
  {
    if ((m_quantiteAffiliation == null) || (p_quantiteAffiliation == null))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((JustificationAffiliationPC)getPC()).setQuantiteAffiliation(p_quantiteAffiliation);
    }
    else if ((m_quantiteAffiliation != null) && (p_quantiteAffiliation != null) && (!p_quantiteAffiliation.equals(m_quantiteAffiliation)))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((JustificationAffiliationPC)getPC()).setQuantiteAffiliation(p_quantiteAffiliation);
    }
  }
  
  protected Quantite rawGetQuantiteAssimilation()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteAssimilation();
  }
  
  public Quantite getQuantiteAssimilation()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteAssimilation();
  }
  
  public void setQuantiteAssimilation(Quantite p_quantiteAssimilation)
  {
    if ((m_quantiteAssimilation == null) || (p_quantiteAssimilation == null))
    {
      m_quantiteAssimilation = p_quantiteAssimilation;
      ((JustificationAffiliationPC)getPC()).setQuantiteAssimilation(p_quantiteAssimilation);
    }
    else if ((m_quantiteAssimilation != null) && (p_quantiteAssimilation != null) && (!p_quantiteAssimilation.equals(m_quantiteAssimilation)))
    {
      m_quantiteAssimilation = p_quantiteAssimilation;
      ((JustificationAffiliationPC)getPC()).setQuantiteAssimilation(p_quantiteAssimilation);
    }
  }
  
  protected Quantite rawGetQuantiteDernierJourFevrier()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteDernierJourFevrier();
  }
  
  public Quantite getQuantiteDernierJourFevrier()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteDernierJourFevrier();
  }
  
  public void setQuantiteDernierJourFevrier(Quantite p_quantiteDernierJourFevrier)
  {
    if ((m_quantiteDernierJourFevrier == null) || (p_quantiteDernierJourFevrier == null))
    {
      m_quantiteDernierJourFevrier = p_quantiteDernierJourFevrier;
      ((JustificationAffiliationPC)getPC()).setQuantiteDernierJourFevrier(p_quantiteDernierJourFevrier);
    }
    else if ((m_quantiteDernierJourFevrier != null) && (p_quantiteDernierJourFevrier != null) && (!p_quantiteDernierJourFevrier.equals(m_quantiteDernierJourFevrier)))
    {
      m_quantiteDernierJourFevrier = p_quantiteDernierJourFevrier;
      ((JustificationAffiliationPC)getPC()).setQuantiteDernierJourFevrier(p_quantiteDernierJourFevrier);
    }
  }
  
  protected Quantite rawGetPlafondAssimilation()
  {
    return ((JustificationAffiliationPC)getPC()).getPlafondAssimilation();
  }
  
  public Quantite getPlafondAssimilation()
  {
    return ((JustificationAffiliationPC)getPC()).getPlafondAssimilation();
  }
  
  public void setPlafondAssimilation(Quantite p_plafondAssimilation)
  {
    if ((m_plafondAssimilation == null) || (p_plafondAssimilation == null))
    {
      m_plafondAssimilation = p_plafondAssimilation;
      ((JustificationAffiliationPC)getPC()).setPlafondAssimilation(p_plafondAssimilation);
    }
    else if ((m_plafondAssimilation != null) && (p_plafondAssimilation != null) && (!p_plafondAssimilation.equals(m_plafondAssimilation)))
    {
      m_plafondAssimilation = p_plafondAssimilation;
      ((JustificationAffiliationPC)getPC()).setPlafondAssimilation(p_plafondAssimilation);
    }
  }
  
  protected boolean rawIsTopConflits()
  {
    return ((JustificationAffiliationPC)getPC()).isTopConflits();
  }
  
  public boolean isTopConflits()
  {
    return ((JustificationAffiliationPC)getPC()).isTopConflits();
  }
  
  public void setTopConflits(boolean p_topConflits)
  {
    ((JustificationAffiliationPC)getPC()).setTopConflits(p_topConflits);
  }
  
  protected boolean rawIsEstAffiliationPlafonnee()
  {
    return ((JustificationAffiliationPC)getPC()).isEstAffiliationPlafonnee();
  }
  
  public boolean isEstAffiliationPlafonnee()
  {
    return ((JustificationAffiliationPC)getPC()).isEstAffiliationPlafonnee();
  }
  
  public void setEstAffiliationPlafonnee(boolean p_estAffiliationPlafonnee)
  {
    ((JustificationAffiliationPC)getPC()).setEstAffiliationPlafonnee(p_estAffiliationPlafonnee);
  }
  
  protected Quantite rawGetQuantiteImputee()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteImputee();
  }
  
  public Quantite getQuantiteImputee()
  {
    return ((JustificationAffiliationPC)getPC()).getQuantiteImputee();
  }
  
  public void setQuantiteImputee(Quantite p_quantiteImputee)
  {
    if ((m_quantiteImputee == null) || (p_quantiteImputee == null))
    {
      m_quantiteImputee = p_quantiteImputee;
      ((JustificationAffiliationPC)getPC()).setQuantiteImputee(p_quantiteImputee);
    }
    else if ((m_quantiteImputee != null) && (p_quantiteImputee != null) && (!p_quantiteImputee.equals(m_quantiteImputee)))
    {
      m_quantiteImputee = p_quantiteImputee;
      ((JustificationAffiliationPC)getPC()).setQuantiteImputee(p_quantiteImputee);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeElementaire()
  {
    Iterator itCollectionPC;
    if (m_listePeriodeElementaire == null)
    {
      m_listePeriodeElementaire = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationPC)getPC()).getCollectionPeriodeElementaire().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodeElementaire.add(currentOM);
      }
    }
    return m_listePeriodeElementaire;
  }
  
  public Collection getCollectionPeriodeElementaire()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeElementaire());
  }
  
  public List getListPeriodeElementaire()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeElementaire());
  }
  
  public void remplacerCollectionPeriodeElementaire(Collection p_collectionACopier)
  {
    clearCollectionPeriodeElementaire();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeElementaire objet = (PeriodeElementaire)i.next();
      ajouterPeriodeElementaire(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeElementaire(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeElementaire objet = (PeriodeElementaire)i.next();
      supprimerPeriodeElementaire(objet);
    }
  }
  
  public void ajouterPeriodeElementaire(PeriodeElementaire p_periodeElementaire)
    throws NullPointerException
  {
    if (p_periodeElementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeElementaire ne devrait pas être nul.", p_periodeElementaire);
    }
    getCollectionModifiablePeriodeElementaire().add(p_periodeElementaire);
    ((JustificationAffiliationPC)getPC()).ajouterPeriodeElementaire(p_periodeElementaire.getPC());
  }
  
  public void supprimerPeriodeElementaire(PeriodeElementaire p_periodeElementaire)
    throws NullPointerException
  {
    if (p_periodeElementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeElementaire ne devrait pas être nul.", p_periodeElementaire);
    }
    getCollectionModifiablePeriodeElementaire().remove(p_periodeElementaire);
    ((JustificationAffiliationPC)getPC()).supprimerPeriodeElementaire(p_periodeElementaire.getPC());
  }
  
  public void recopierCollectionPeriodeElementaireVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationGen copie = (JustificationAffiliationGen)p_copie;
    Collection listeACopier = getCollectionPeriodeElementaire();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeElementaire((PeriodeElementaire)objet);
    }
  }
  
  public void clearCollectionPeriodeElementaire()
  {
    getCollectionModifiablePeriodeElementaire().clear();
    ((JustificationAffiliationPC)getPC()).getCollectionPeriodeElementaire().clear();
  }
  
  private final Collection getCollectionModifiableZoneMemeExercice()
  {
    Iterator itCollectionPC;
    if (m_listeZoneMemeExercice == null)
    {
      m_listeZoneMemeExercice = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationPC)getPC()).getCollectionZoneMemeExercice().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeZoneMemeExercice.add(currentOM);
      }
    }
    return m_listeZoneMemeExercice;
  }
  
  public Collection getCollectionZoneMemeExercice()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableZoneMemeExercice());
  }
  
  public List getListZoneMemeExercice()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableZoneMemeExercice());
  }
  
  public void remplacerCollectionZoneMemeExercice(Collection p_collectionACopier)
  {
    clearCollectionZoneMemeExercice();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      ZoneMemeExercice objet = (ZoneMemeExercice)i.next();
      ajouterZoneMemeExercice(objet);
    }
  }
  
  public void supprimerSousCollectionZoneMemeExercice(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      ZoneMemeExercice objet = (ZoneMemeExercice)i.next();
      supprimerZoneMemeExercice(objet);
    }
  }
  
  public void ajouterZoneMemeExercice(ZoneMemeExercice p_zoneMemeExercice)
    throws NullPointerException
  {
    if (p_zoneMemeExercice == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_zoneMemeExercice ne devrait pas être nul.", p_zoneMemeExercice);
    }
    getCollectionModifiableZoneMemeExercice().add(p_zoneMemeExercice);
    ((JustificationAffiliationPC)getPC()).ajouterZoneMemeExercice(p_zoneMemeExercice.getPC());
  }
  
  public void supprimerZoneMemeExercice(ZoneMemeExercice p_zoneMemeExercice)
    throws NullPointerException
  {
    if (p_zoneMemeExercice == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_zoneMemeExercice ne devrait pas être nul.", p_zoneMemeExercice);
    }
    getCollectionModifiableZoneMemeExercice().remove(p_zoneMemeExercice);
    ((JustificationAffiliationPC)getPC()).supprimerZoneMemeExercice(p_zoneMemeExercice.getPC());
  }
  
  public void recopierCollectionZoneMemeExerciceVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationGen copie = (JustificationAffiliationGen)p_copie;
    Collection listeACopier = getCollectionZoneMemeExercice();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterZoneMemeExercice((ZoneMemeExercice)objet);
    }
  }
  
  public void clearCollectionZoneMemeExercice()
  {
    getCollectionModifiableZoneMemeExercice().clear();
    ((JustificationAffiliationPC)getPC()).getCollectionZoneMemeExercice().clear();
  }
  
  private final Collection getCollectionModifiableAffiliationSupplementaire()
  {
    Iterator itCollectionPC;
    if (m_listeAffiliationSupplementaire == null)
    {
      m_listeAffiliationSupplementaire = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationPC)getPC()).getCollectionAffiliationSupplementaire().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeAffiliationSupplementaire.add(currentOM);
      }
    }
    return m_listeAffiliationSupplementaire;
  }
  
  public Collection getCollectionAffiliationSupplementaire()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableAffiliationSupplementaire());
  }
  
  public List getListAffiliationSupplementaire()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableAffiliationSupplementaire());
  }
  
  public void remplacerCollectionAffiliationSupplementaire(Collection p_collectionACopier)
  {
    clearCollectionAffiliationSupplementaire();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      AffiliationSupplementaire objet = (AffiliationSupplementaire)i.next();
      ajouterAffiliationSupplementaire(objet);
    }
  }
  
  public void supprimerSousCollectionAffiliationSupplementaire(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      AffiliationSupplementaire objet = (AffiliationSupplementaire)i.next();
      supprimerAffiliationSupplementaire(objet);
    }
  }
  
  public void ajouterAffiliationSupplementaire(AffiliationSupplementaire p_affiliationSupplementaire)
    throws NullPointerException
  {
    if (p_affiliationSupplementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationSupplementaire ne devrait pas être nul.", p_affiliationSupplementaire);
    }
    getCollectionModifiableAffiliationSupplementaire().add(p_affiliationSupplementaire);
    ((JustificationAffiliationPC)getPC()).ajouterAffiliationSupplementaire(p_affiliationSupplementaire.getPC());
  }
  
  public void supprimerAffiliationSupplementaire(AffiliationSupplementaire p_affiliationSupplementaire)
    throws NullPointerException
  {
    if (p_affiliationSupplementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationSupplementaire ne devrait pas être nul.", p_affiliationSupplementaire);
    }
    getCollectionModifiableAffiliationSupplementaire().remove(p_affiliationSupplementaire);
    ((JustificationAffiliationPC)getPC()).supprimerAffiliationSupplementaire(p_affiliationSupplementaire.getPC());
  }
  
  public void recopierCollectionAffiliationSupplementaireVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationGen copie = (JustificationAffiliationGen)p_copie;
    Collection listeACopier = getCollectionAffiliationSupplementaire();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterAffiliationSupplementaire((AffiliationSupplementaire)objet);
    }
  }
  
  public void clearCollectionAffiliationSupplementaire()
  {
    getCollectionModifiableAffiliationSupplementaire().clear();
    ((JustificationAffiliationPC)getPC()).getCollectionAffiliationSupplementaire().clear();
  }
  
  private final Collection getCollectionModifiableAffiliationAssimilee()
  {
    Iterator itCollectionPC;
    if (m_listeAffiliationAssimilee == null)
    {
      m_listeAffiliationAssimilee = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationPC)getPC()).getCollectionAffiliationAssimilee().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeAffiliationAssimilee.add(currentOM);
      }
    }
    return m_listeAffiliationAssimilee;
  }
  
  public Collection getCollectionAffiliationAssimilee()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableAffiliationAssimilee());
  }
  
  public List getListAffiliationAssimilee()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableAffiliationAssimilee());
  }
  
  public void remplacerCollectionAffiliationAssimilee(Collection p_collectionACopier)
  {
    clearCollectionAffiliationAssimilee();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      AffiliationAssimilee objet = (AffiliationAssimilee)i.next();
      ajouterAffiliationAssimilee(objet);
    }
  }
  
  public void supprimerSousCollectionAffiliationAssimilee(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      AffiliationAssimilee objet = (AffiliationAssimilee)i.next();
      supprimerAffiliationAssimilee(objet);
    }
  }
  
  public void ajouterAffiliationAssimilee(AffiliationAssimilee p_affiliationAssimilee)
    throws NullPointerException
  {
    if (p_affiliationAssimilee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationAssimilee ne devrait pas être nul.", p_affiliationAssimilee);
    }
    getCollectionModifiableAffiliationAssimilee().add(p_affiliationAssimilee);
    ((JustificationAffiliationPC)getPC()).ajouterAffiliationAssimilee(p_affiliationAssimilee.getPC());
  }
  
  public void supprimerAffiliationAssimilee(AffiliationAssimilee p_affiliationAssimilee)
    throws NullPointerException
  {
    if (p_affiliationAssimilee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationAssimilee ne devrait pas être nul.", p_affiliationAssimilee);
    }
    getCollectionModifiableAffiliationAssimilee().remove(p_affiliationAssimilee);
    ((JustificationAffiliationPC)getPC()).supprimerAffiliationAssimilee(p_affiliationAssimilee.getPC());
  }
  
  public void recopierCollectionAffiliationAssimileeVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationGen copie = (JustificationAffiliationGen)p_copie;
    Collection listeACopier = getCollectionAffiliationAssimilee();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterAffiliationAssimilee((AffiliationAssimilee)objet);
    }
  }
  
  public void clearCollectionAffiliationAssimilee()
  {
    getCollectionModifiableAffiliationAssimilee().clear();
    ((JustificationAffiliationPC)getPC()).getCollectionAffiliationAssimilee().clear();
  }
  
  private final Collection getCollectionModifiablePlafonnementAffiliation()
  {
    Iterator itCollectionPC;
    if (m_listePlafonnementAffiliation == null)
    {
      m_listePlafonnementAffiliation = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationPC)getPC()).getCollectionPlafonnementAffiliation().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePlafonnementAffiliation.add(currentOM);
      }
    }
    return m_listePlafonnementAffiliation;
  }
  
  public Collection getCollectionPlafonnementAffiliation()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePlafonnementAffiliation());
  }
  
  public List getListPlafonnementAffiliation()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePlafonnementAffiliation());
  }
  
  public void remplacerCollectionPlafonnementAffiliation(Collection p_collectionACopier)
  {
    clearCollectionPlafonnementAffiliation();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PlafonnementAffiliation objet = (PlafonnementAffiliation)i.next();
      ajouterPlafonnementAffiliation(objet);
    }
  }
  
  public void supprimerSousCollectionPlafonnementAffiliation(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PlafonnementAffiliation objet = (PlafonnementAffiliation)i.next();
      supprimerPlafonnementAffiliation(objet);
    }
  }
  
  public void ajouterPlafonnementAffiliation(PlafonnementAffiliation p_plafonnementAffiliation)
    throws NullPointerException
  {
    if (p_plafonnementAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_plafonnementAffiliation ne devrait pas être nul.", p_plafonnementAffiliation);
    }
    getCollectionModifiablePlafonnementAffiliation().add(p_plafonnementAffiliation);
    ((JustificationAffiliationPC)getPC()).ajouterPlafonnementAffiliation(p_plafonnementAffiliation.getPC());
  }
  
  public void supprimerPlafonnementAffiliation(PlafonnementAffiliation p_plafonnementAffiliation)
    throws NullPointerException
  {
    if (p_plafonnementAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_plafonnementAffiliation ne devrait pas être nul.", p_plafonnementAffiliation);
    }
    getCollectionModifiablePlafonnementAffiliation().remove(p_plafonnementAffiliation);
    ((JustificationAffiliationPC)getPC()).supprimerPlafonnementAffiliation(p_plafonnementAffiliation.getPC());
  }
  
  public void recopierCollectionPlafonnementAffiliationVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationGen copie = (JustificationAffiliationGen)p_copie;
    Collection listeACopier = getCollectionPlafonnementAffiliation();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPlafonnementAffiliation((PlafonnementAffiliation)objet);
    }
  }
  
  public void clearCollectionPlafonnementAffiliation()
  {
    getCollectionModifiablePlafonnementAffiliation().clear();
    ((JustificationAffiliationPC)getPC()).getCollectionPlafonnementAffiliation().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPeriodeElementaire().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionZoneMemeExercice().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionAffiliationSupplementaire().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionAffiliationAssimilee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionPlafonnementAffiliation().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationAffiliationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */