package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.AffiliationSupplementaire;
import fr.unedic.cali.asu.dom.PeriodeAssimilee;
import fr.unedic.cali.asu.dom.PeriodeElementaire;
import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.cali.asu.dom.SemaineCivile;
import fr.unedic.cali.asu.dom.pc.JustificationAffiliationJoursTravaillesPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class JustificationAffiliationJoursTravaillesGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_justificationAffiliationJoursTravaillesPC;
  private Periode m_periodeRechercheAffiliation;
  public Collection m_listePlafonnementAffiliation;
  public Collection m_semaineAffiliation;
  public Collection m_periodeAssimilation;
  public Collection m_listePeriodeElementaire;
  public Collection m_listeAffiliationSupplementaire;
  
  public JustificationAffiliationJoursTravaillesGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationAffiliationJoursTravaillesGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new JustificationAffiliationJoursTravaillesPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_justificationAffiliationJoursTravaillesPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_justificationAffiliationJoursTravaillesPC)
  {
    m_justificationAffiliationJoursTravaillesPC = p_justificationAffiliationJoursTravaillesPC;
  }
  
  protected int rawGetNombreJoursAppartenance()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAppartenance();
  }
  
  public int getNombreJoursAppartenance()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAppartenance();
  }
  
  public void setNombreJoursAppartenance(int p_nombreJoursAppartenance)
  {
    ((JustificationAffiliationJoursTravaillesPC)getPC()).setNombreJoursAppartenance(p_nombreJoursAppartenance);
  }
  
  protected int rawGetNombreJoursAffiliation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAffiliation();
  }
  
  public int getNombreJoursAffiliation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAffiliation();
  }
  
  public void setNombreJoursAffiliation(int p_nombreJoursAffiliation)
  {
    ((JustificationAffiliationJoursTravaillesPC)getPC()).setNombreJoursAffiliation(p_nombreJoursAffiliation);
  }
  
  protected int rawGetNombreJoursAssimilation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAssimilation();
  }
  
  public int getNombreJoursAssimilation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getNombreJoursAssimilation();
  }
  
  public void setNombreJoursAssimilation(int p_nombreJoursAssimilation)
  {
    ((JustificationAffiliationJoursTravaillesPC)getPC()).setNombreJoursAssimilation(p_nombreJoursAssimilation);
  }
  
  protected Periode rawGetPeriodeRechercheAffiliation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getPeriodeRechercheAffiliation();
  }
  
  public Periode getPeriodeRechercheAffiliation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getPeriodeRechercheAffiliation();
  }
  
  public void setPeriodeRechercheAffiliation(Periode p_periodeRechercheAffiliation)
  {
    if ((m_periodeRechercheAffiliation == null) || (p_periodeRechercheAffiliation == null))
    {
      m_periodeRechercheAffiliation = p_periodeRechercheAffiliation;
      ((JustificationAffiliationJoursTravaillesPC)getPC()).setPeriodeRechercheAffiliation(p_periodeRechercheAffiliation);
    }
    else if ((m_periodeRechercheAffiliation != null) && (p_periodeRechercheAffiliation != null) && (!p_periodeRechercheAffiliation.equals(m_periodeRechercheAffiliation)))
    {
      m_periodeRechercheAffiliation = p_periodeRechercheAffiliation;
      ((JustificationAffiliationJoursTravaillesPC)getPC()).setPeriodeRechercheAffiliation(p_periodeRechercheAffiliation);
    }
  }
  
  protected int rawGetPlafondAssimilation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getPlafondAssimilation();
  }
  
  public int getPlafondAssimilation()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).getPlafondAssimilation();
  }
  
  public void setPlafondAssimilation(int p_plafondAssimilation)
  {
    ((JustificationAffiliationJoursTravaillesPC)getPC()).setPlafondAssimilation(p_plafondAssimilation);
  }
  
  protected boolean rawIsAffiliationPlafonnee()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).isAffiliationPlafonnee();
  }
  
  public boolean isAffiliationPlafonnee()
  {
    return ((JustificationAffiliationJoursTravaillesPC)getPC()).isAffiliationPlafonnee();
  }
  
  public void setAffiliationPlafonnee(boolean p_affiliationPlafonnee)
  {
    ((JustificationAffiliationJoursTravaillesPC)getPC()).setAffiliationPlafonnee(p_affiliationPlafonnee);
  }
  
  private final Collection getCollectionModifiablePlafonnementAffiliation()
  {
    Iterator itCollectionPC;
    if (m_listePlafonnementAffiliation == null)
    {
      m_listePlafonnementAffiliation = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPlafonnementAffiliation().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePlafonnementAffiliation.add(currentOM);
      }
    }
    return m_listePlafonnementAffiliation;
  }
  
  public Collection getCollectionPlafonnementAffiliation()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePlafonnementAffiliation());
  }
  
  public List getListPlafonnementAffiliation()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePlafonnementAffiliation());
  }
  
  public void remplacerCollectionPlafonnementAffiliation(Collection p_collectionACopier)
  {
    clearCollectionPlafonnementAffiliation();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PlafonnementAffiliation objet = (PlafonnementAffiliation)i.next();
      ajouterPlafonnementAffiliation(objet);
    }
  }
  
  public void supprimerSousCollectionPlafonnementAffiliation(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PlafonnementAffiliation objet = (PlafonnementAffiliation)i.next();
      supprimerPlafonnementAffiliation(objet);
    }
  }
  
  public void ajouterPlafonnementAffiliation(PlafonnementAffiliation p_plafonnementAffiliation)
    throws NullPointerException
  {
    if (p_plafonnementAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_plafonnementAffiliation ne devrait pas être nul.", p_plafonnementAffiliation);
    }
    getCollectionModifiablePlafonnementAffiliation().add(p_plafonnementAffiliation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).ajouterPlafonnementAffiliation(p_plafonnementAffiliation.getPC());
  }
  
  public void supprimerPlafonnementAffiliation(PlafonnementAffiliation p_plafonnementAffiliation)
    throws NullPointerException
  {
    if (p_plafonnementAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_plafonnementAffiliation ne devrait pas être nul.", p_plafonnementAffiliation);
    }
    getCollectionModifiablePlafonnementAffiliation().remove(p_plafonnementAffiliation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).supprimerPlafonnementAffiliation(p_plafonnementAffiliation.getPC());
  }
  
  public void recopierCollectionPlafonnementAffiliationVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationJoursTravaillesGen copie = (JustificationAffiliationJoursTravaillesGen)p_copie;
    Collection listeACopier = getCollectionPlafonnementAffiliation();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPlafonnementAffiliation((PlafonnementAffiliation)objet);
    }
  }
  
  public void clearCollectionPlafonnementAffiliation()
  {
    getCollectionModifiablePlafonnementAffiliation().clear();
    ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPlafonnementAffiliation().clear();
  }
  
  private final Collection getCollectionModifiableSemaineAffiliation()
  {
    Iterator itCollectionPC;
    if (m_semaineAffiliation == null)
    {
      m_semaineAffiliation = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionSemaineAffiliation().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_semaineAffiliation.add(currentOM);
      }
    }
    return m_semaineAffiliation;
  }
  
  public Collection getCollectionSemaineAffiliation()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableSemaineAffiliation());
  }
  
  public List getListSemaineAffiliation()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableSemaineAffiliation());
  }
  
  public void remplacerCollectionSemaineAffiliation(Collection p_collectionACopier)
  {
    clearCollectionSemaineAffiliation();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      SemaineCivile objet = (SemaineCivile)i.next();
      ajouterSemaineAffiliation(objet);
    }
  }
  
  public void supprimerSousCollectionSemaineAffiliation(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      SemaineCivile objet = (SemaineCivile)i.next();
      supprimerSemaineAffiliation(objet);
    }
  }
  
  public void ajouterSemaineAffiliation(SemaineCivile p_semaineAffiliation)
    throws NullPointerException
  {
    if (p_semaineAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_semaineAffiliation ne devrait pas être nul.", p_semaineAffiliation);
    }
    getCollectionModifiableSemaineAffiliation().add(p_semaineAffiliation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).ajouterSemaineAffiliation(p_semaineAffiliation.getPC());
  }
  
  public void supprimerSemaineAffiliation(SemaineCivile p_semaineAffiliation)
    throws NullPointerException
  {
    if (p_semaineAffiliation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_semaineAffiliation ne devrait pas être nul.", p_semaineAffiliation);
    }
    getCollectionModifiableSemaineAffiliation().remove(p_semaineAffiliation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).supprimerSemaineAffiliation(p_semaineAffiliation.getPC());
  }
  
  public void recopierCollectionSemaineAffiliationVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationJoursTravaillesGen copie = (JustificationAffiliationJoursTravaillesGen)p_copie;
    Collection listeACopier = getCollectionSemaineAffiliation();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterSemaineAffiliation((SemaineCivile)objet);
    }
  }
  
  public void clearCollectionSemaineAffiliation()
  {
    getCollectionModifiableSemaineAffiliation().clear();
    ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionSemaineAffiliation().clear();
  }
  
  private final Collection getCollectionModifiablePeriodeAssimilation()
  {
    Iterator itCollectionPC;
    if (m_periodeAssimilation == null)
    {
      m_periodeAssimilation = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPeriodeAssimilation().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_periodeAssimilation.add(currentOM);
      }
    }
    return m_periodeAssimilation;
  }
  
  public Collection getCollectionPeriodeAssimilation()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeAssimilation());
  }
  
  public List getListPeriodeAssimilation()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeAssimilation());
  }
  
  public void remplacerCollectionPeriodeAssimilation(Collection p_collectionACopier)
  {
    clearCollectionPeriodeAssimilation();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeAssimilee objet = (PeriodeAssimilee)i.next();
      ajouterPeriodeAssimilation(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeAssimilation(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeAssimilee objet = (PeriodeAssimilee)i.next();
      supprimerPeriodeAssimilation(objet);
    }
  }
  
  public void ajouterPeriodeAssimilation(PeriodeAssimilee p_periodeAssimilation)
    throws NullPointerException
  {
    if (p_periodeAssimilation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeAssimilation ne devrait pas être nul.", p_periodeAssimilation);
    }
    getCollectionModifiablePeriodeAssimilation().add(p_periodeAssimilation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).ajouterPeriodeAssimilation(p_periodeAssimilation.getPC());
  }
  
  public void supprimerPeriodeAssimilation(PeriodeAssimilee p_periodeAssimilation)
    throws NullPointerException
  {
    if (p_periodeAssimilation == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeAssimilation ne devrait pas être nul.", p_periodeAssimilation);
    }
    getCollectionModifiablePeriodeAssimilation().remove(p_periodeAssimilation);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).supprimerPeriodeAssimilation(p_periodeAssimilation.getPC());
  }
  
  public void recopierCollectionPeriodeAssimilationVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationJoursTravaillesGen copie = (JustificationAffiliationJoursTravaillesGen)p_copie;
    Collection listeACopier = getCollectionPeriodeAssimilation();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeAssimilation((PeriodeAssimilee)objet);
    }
  }
  
  public void clearCollectionPeriodeAssimilation()
  {
    getCollectionModifiablePeriodeAssimilation().clear();
    ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPeriodeAssimilation().clear();
  }
  
  private final Collection getCollectionModifiablePeriodeElementaire()
  {
    Iterator itCollectionPC;
    if (m_listePeriodeElementaire == null)
    {
      m_listePeriodeElementaire = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPeriodeElementaire().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodeElementaire.add(currentOM);
      }
    }
    return m_listePeriodeElementaire;
  }
  
  public Collection getCollectionPeriodeElementaire()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeElementaire());
  }
  
  public List getListPeriodeElementaire()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeElementaire());
  }
  
  public void remplacerCollectionPeriodeElementaire(Collection p_collectionACopier)
  {
    clearCollectionPeriodeElementaire();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeElementaire objet = (PeriodeElementaire)i.next();
      ajouterPeriodeElementaire(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeElementaire(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeElementaire objet = (PeriodeElementaire)i.next();
      supprimerPeriodeElementaire(objet);
    }
  }
  
  public void ajouterPeriodeElementaire(PeriodeElementaire p_PeriodeElementaire)
    throws NullPointerException
  {
    if (p_PeriodeElementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_PeriodeElementaire ne devrait pas être nul.", p_PeriodeElementaire);
    }
    getCollectionModifiablePeriodeElementaire().add(p_PeriodeElementaire);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).ajouterPeriodeElementaire(p_PeriodeElementaire.getPC());
  }
  
  public void supprimerPeriodeElementaire(PeriodeElementaire p_PeriodeElementaire)
    throws NullPointerException
  {
    if (p_PeriodeElementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_PeriodeElementaire ne devrait pas être nul.", p_PeriodeElementaire);
    }
    getCollectionModifiablePeriodeElementaire().remove(p_PeriodeElementaire);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).supprimerPeriodeElementaire(p_PeriodeElementaire.getPC());
  }
  
  public void recopierCollectionPeriodeElementaireVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationJoursTravaillesGen copie = (JustificationAffiliationJoursTravaillesGen)p_copie;
    Collection listeACopier = getCollectionPeriodeElementaire();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeElementaire((PeriodeElementaire)objet);
    }
  }
  
  public void clearCollectionPeriodeElementaire()
  {
    getCollectionModifiablePeriodeElementaire().clear();
    ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionPeriodeElementaire().clear();
  }
  
  private final Collection getCollectionModifiableAffiliationSupplementaire()
  {
    Iterator itCollectionPC;
    if (m_listeAffiliationSupplementaire == null)
    {
      m_listeAffiliationSupplementaire = new ArrayList();
      for (itCollectionPC = ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionAffiliationSupplementaire().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeAffiliationSupplementaire.add(currentOM);
      }
    }
    return m_listeAffiliationSupplementaire;
  }
  
  public Collection getCollectionAffiliationSupplementaire()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableAffiliationSupplementaire());
  }
  
  public List getListAffiliationSupplementaire()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableAffiliationSupplementaire());
  }
  
  public void remplacerCollectionAffiliationSupplementaire(Collection p_collectionACopier)
  {
    clearCollectionAffiliationSupplementaire();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      AffiliationSupplementaire objet = (AffiliationSupplementaire)i.next();
      ajouterAffiliationSupplementaire(objet);
    }
  }
  
  public void supprimerSousCollectionAffiliationSupplementaire(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      AffiliationSupplementaire objet = (AffiliationSupplementaire)i.next();
      supprimerAffiliationSupplementaire(objet);
    }
  }
  
  public void ajouterAffiliationSupplementaire(AffiliationSupplementaire p_affiliationSupplementaire)
    throws NullPointerException
  {
    if (p_affiliationSupplementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationSupplementaire ne devrait pas être nul.", p_affiliationSupplementaire);
    }
    getCollectionModifiableAffiliationSupplementaire().add(p_affiliationSupplementaire);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).ajouterAffiliationSupplementaire(p_affiliationSupplementaire.getPC());
  }
  
  public void supprimerAffiliationSupplementaire(AffiliationSupplementaire p_affiliationSupplementaire)
    throws NullPointerException
  {
    if (p_affiliationSupplementaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_affiliationSupplementaire ne devrait pas être nul.", p_affiliationSupplementaire);
    }
    getCollectionModifiableAffiliationSupplementaire().remove(p_affiliationSupplementaire);
    ((JustificationAffiliationJoursTravaillesPC)getPC()).supprimerAffiliationSupplementaire(p_affiliationSupplementaire.getPC());
  }
  
  public void recopierCollectionAffiliationSupplementaireVers(ObjetMetierSpec p_copie)
  {
    JustificationAffiliationJoursTravaillesGen copie = (JustificationAffiliationJoursTravaillesGen)p_copie;
    Collection listeACopier = getCollectionAffiliationSupplementaire();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterAffiliationSupplementaire((AffiliationSupplementaire)objet);
    }
  }
  
  public void clearCollectionAffiliationSupplementaire()
  {
    getCollectionModifiableAffiliationSupplementaire().clear();
    ((JustificationAffiliationJoursTravaillesPC)getPC()).getCollectionAffiliationSupplementaire().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPlafonnementAffiliation().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionSemaineAffiliation().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionPeriodeAssimilation().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionPeriodeElementaire().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionAffiliationSupplementaire().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationAffiliationJoursTravaillesGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */