package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.PlafonnementAffiliationPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public abstract class PlafonnementAffiliationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_plafonnementAffiliationPC;
  private Periode m_moisCivil;
  private BigDecimal m_coefficientReducteurAffiliation;
  private BigDecimal m_coefficientReducteurAffiliationSupplementaire;
  
  public PlafonnementAffiliationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public PlafonnementAffiliationGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new PlafonnementAffiliationPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_plafonnementAffiliationPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_plafonnementAffiliationPC)
  {
    m_plafonnementAffiliationPC = p_plafonnementAffiliationPC;
  }
  
  protected Periode rawGetMoisCivil()
  {
    return ((PlafonnementAffiliationPC)getPC()).getMoisCivil();
  }
  
  public Periode getMoisCivil()
  {
    return ((PlafonnementAffiliationPC)getPC()).getMoisCivil();
  }
  
  public void setMoisCivil(Periode p_moisCivil)
  {
    if ((m_moisCivil == null) || (p_moisCivil == null))
    {
      m_moisCivil = p_moisCivil;
      ((PlafonnementAffiliationPC)getPC()).setMoisCivil(p_moisCivil);
    }
    else if ((m_moisCivil != null) && (p_moisCivil != null) && (!p_moisCivil.equals(m_moisCivil)))
    {
      m_moisCivil = p_moisCivil;
      ((PlafonnementAffiliationPC)getPC()).setMoisCivil(p_moisCivil);
    }
  }
  
  protected BigDecimal rawGetCoefficientReducteurAffiliation()
  {
    return ((PlafonnementAffiliationPC)getPC()).getCoefficientReducteurAffiliation();
  }
  
  public BigDecimal getCoefficientReducteurAffiliation()
  {
    return ((PlafonnementAffiliationPC)getPC()).getCoefficientReducteurAffiliation();
  }
  
  public void setCoefficientReducteurAffiliation(BigDecimal p_coefficientReducteurAffiliation)
  {
    if ((m_coefficientReducteurAffiliation == null) || (p_coefficientReducteurAffiliation == null))
    {
      m_coefficientReducteurAffiliation = p_coefficientReducteurAffiliation;
      ((PlafonnementAffiliationPC)getPC()).setCoefficientReducteurAffiliation(p_coefficientReducteurAffiliation);
    }
    else if ((m_coefficientReducteurAffiliation != null) && (p_coefficientReducteurAffiliation != null) && (!p_coefficientReducteurAffiliation.equals(m_coefficientReducteurAffiliation)))
    {
      m_coefficientReducteurAffiliation = p_coefficientReducteurAffiliation;
      ((PlafonnementAffiliationPC)getPC()).setCoefficientReducteurAffiliation(p_coefficientReducteurAffiliation);
    }
  }
  
  protected BigDecimal rawGetCoefficientReducteurAffiliationSupplementaire()
  {
    return ((PlafonnementAffiliationPC)getPC()).getCoefficientReducteurAffiliationSupplementaire();
  }
  
  public BigDecimal getCoefficientReducteurAffiliationSupplementaire()
  {
    return ((PlafonnementAffiliationPC)getPC()).getCoefficientReducteurAffiliationSupplementaire();
  }
  
  public void setCoefficientReducteurAffiliationSupplementaire(BigDecimal p_coefficientReducteurAffiliationSupplementaire)
  {
    if ((m_coefficientReducteurAffiliationSupplementaire == null) || (p_coefficientReducteurAffiliationSupplementaire == null))
    {
      m_coefficientReducteurAffiliationSupplementaire = p_coefficientReducteurAffiliationSupplementaire;
      ((PlafonnementAffiliationPC)getPC()).setCoefficientReducteurAffiliationSupplementaire(p_coefficientReducteurAffiliationSupplementaire);
    }
    else if ((m_coefficientReducteurAffiliationSupplementaire != null) && (p_coefficientReducteurAffiliationSupplementaire != null) && (!p_coefficientReducteurAffiliationSupplementaire.equals(m_coefficientReducteurAffiliationSupplementaire)))
    {
      m_coefficientReducteurAffiliationSupplementaire = p_coefficientReducteurAffiliationSupplementaire;
      ((PlafonnementAffiliationPC)getPC()).setCoefficientReducteurAffiliationSupplementaire(p_coefficientReducteurAffiliationSupplementaire);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     PlafonnementAffiliationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */