package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.ElementZoneMemeExercice;
import fr.unedic.cali.asu.dom.pc.ZoneMemeExercicePC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ZoneMemeExerciceGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_zoneMemeExercicePC;
  private Periode m_periodeZomeMemeExercice;
  private Quantite m_quantiteAffiliationRetenue;
  private Quantite m_quantiteAssimilationRetenue;
  public Collection m_listeElementZoneMemeExercice;
  
  public ZoneMemeExerciceGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ZoneMemeExerciceGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ZoneMemeExercicePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_zoneMemeExercicePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_zoneMemeExercicePC)
  {
    m_zoneMemeExercicePC = p_zoneMemeExercicePC;
  }
  
  protected Periode rawGetPeriodeZomeMemeExercice()
  {
    return ((ZoneMemeExercicePC)getPC()).getPeriodeZomeMemeExercice();
  }
  
  public Periode getPeriodeZomeMemeExercice()
  {
    return ((ZoneMemeExercicePC)getPC()).getPeriodeZomeMemeExercice();
  }
  
  public void setPeriodeZomeMemeExercice(Periode p_periodeZomeMemeExercice)
  {
    if ((m_periodeZomeMemeExercice == null) || (p_periodeZomeMemeExercice == null))
    {
      m_periodeZomeMemeExercice = p_periodeZomeMemeExercice;
      ((ZoneMemeExercicePC)getPC()).setPeriodeZomeMemeExercice(p_periodeZomeMemeExercice);
    }
    else if ((m_periodeZomeMemeExercice != null) && (p_periodeZomeMemeExercice != null) && (!p_periodeZomeMemeExercice.equals(m_periodeZomeMemeExercice)))
    {
      m_periodeZomeMemeExercice = p_periodeZomeMemeExercice;
      ((ZoneMemeExercicePC)getPC()).setPeriodeZomeMemeExercice(p_periodeZomeMemeExercice);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliationRetenue()
  {
    return ((ZoneMemeExercicePC)getPC()).getQuantiteAffiliationRetenue();
  }
  
  public Quantite getQuantiteAffiliationRetenue()
  {
    return ((ZoneMemeExercicePC)getPC()).getQuantiteAffiliationRetenue();
  }
  
  public void setQuantiteAffiliationRetenue(Quantite p_quantiteAffiliationRetenue)
  {
    if ((m_quantiteAffiliationRetenue == null) || (p_quantiteAffiliationRetenue == null))
    {
      m_quantiteAffiliationRetenue = p_quantiteAffiliationRetenue;
      ((ZoneMemeExercicePC)getPC()).setQuantiteAffiliationRetenue(p_quantiteAffiliationRetenue);
    }
    else if ((m_quantiteAffiliationRetenue != null) && (p_quantiteAffiliationRetenue != null) && (!p_quantiteAffiliationRetenue.equals(m_quantiteAffiliationRetenue)))
    {
      m_quantiteAffiliationRetenue = p_quantiteAffiliationRetenue;
      ((ZoneMemeExercicePC)getPC()).setQuantiteAffiliationRetenue(p_quantiteAffiliationRetenue);
    }
  }
  
  protected Quantite rawGetQuantiteAssimilationRetenue()
  {
    return ((ZoneMemeExercicePC)getPC()).getQuantiteAssimilationRetenue();
  }
  
  public Quantite getQuantiteAssimilationRetenue()
  {
    return ((ZoneMemeExercicePC)getPC()).getQuantiteAssimilationRetenue();
  }
  
  public void setQuantiteAssimilationRetenue(Quantite p_quantiteAssimilationRetenue)
  {
    if ((m_quantiteAssimilationRetenue == null) || (p_quantiteAssimilationRetenue == null))
    {
      m_quantiteAssimilationRetenue = p_quantiteAssimilationRetenue;
      ((ZoneMemeExercicePC)getPC()).setQuantiteAssimilationRetenue(p_quantiteAssimilationRetenue);
    }
    else if ((m_quantiteAssimilationRetenue != null) && (p_quantiteAssimilationRetenue != null) && (!p_quantiteAssimilationRetenue.equals(m_quantiteAssimilationRetenue)))
    {
      m_quantiteAssimilationRetenue = p_quantiteAssimilationRetenue;
      ((ZoneMemeExercicePC)getPC()).setQuantiteAssimilationRetenue(p_quantiteAssimilationRetenue);
    }
  }
  
  private final Collection getCollectionModifiableElementZoneMemeExercice()
  {
    Iterator itCollectionPC;
    if (m_listeElementZoneMemeExercice == null)
    {
      m_listeElementZoneMemeExercice = new ArrayList();
      for (itCollectionPC = ((ZoneMemeExercicePC)getPC()).getCollectionElementZoneMemeExercice().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeElementZoneMemeExercice.add(currentOM);
      }
    }
    return m_listeElementZoneMemeExercice;
  }
  
  public Collection getCollectionElementZoneMemeExercice()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableElementZoneMemeExercice());
  }
  
  public List getListElementZoneMemeExercice()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableElementZoneMemeExercice());
  }
  
  public void remplacerCollectionElementZoneMemeExercice(Collection p_collectionACopier)
  {
    clearCollectionElementZoneMemeExercice();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      ElementZoneMemeExercice objet = (ElementZoneMemeExercice)i.next();
      ajouterElementZoneMemeExercice(objet);
    }
  }
  
  public void supprimerSousCollectionElementZoneMemeExercice(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      ElementZoneMemeExercice objet = (ElementZoneMemeExercice)i.next();
      supprimerElementZoneMemeExercice(objet);
    }
  }
  
  public void ajouterElementZoneMemeExercice(ElementZoneMemeExercice p_elementZoneMemeExercice)
    throws NullPointerException
  {
    if (p_elementZoneMemeExercice == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_elementZoneMemeExercice ne devrait pas être nul.", p_elementZoneMemeExercice);
    }
    getCollectionModifiableElementZoneMemeExercice().add(p_elementZoneMemeExercice);
    ((ZoneMemeExercicePC)getPC()).ajouterElementZoneMemeExercice(p_elementZoneMemeExercice.getPC());
  }
  
  public void supprimerElementZoneMemeExercice(ElementZoneMemeExercice p_elementZoneMemeExercice)
    throws NullPointerException
  {
    if (p_elementZoneMemeExercice == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_elementZoneMemeExercice ne devrait pas être nul.", p_elementZoneMemeExercice);
    }
    getCollectionModifiableElementZoneMemeExercice().remove(p_elementZoneMemeExercice);
    ((ZoneMemeExercicePC)getPC()).supprimerElementZoneMemeExercice(p_elementZoneMemeExercice.getPC());
  }
  
  public void recopierCollectionElementZoneMemeExerciceVers(ObjetMetierSpec p_copie)
  {
    ZoneMemeExerciceGen copie = (ZoneMemeExerciceGen)p_copie;
    Collection listeACopier = getCollectionElementZoneMemeExercice();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterElementZoneMemeExercice((ElementZoneMemeExercice)objet);
    }
  }
  
  public void clearCollectionElementZoneMemeExercice()
  {
    getCollectionModifiableElementZoneMemeExercice().clear();
    ((ZoneMemeExercicePC)getPC()).getCollectionElementZoneMemeExercice().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionElementZoneMemeExercice().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ZoneMemeExerciceGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */