package fr.unedic.cali.asu.dom.pc;

import fr.unedic.cali.asu.dom.AffiliationSupplementaire;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class AffiliationSupplementairePC
  implements DomPCSpec, PersistenceCapable
{
  private transient AffiliationSupplementaire m_affiliationSupplementaireOM;
  private Periode m_periodeAffiliationSupplementaire;
  private BigDecimal m_intensite;
  private int m_nature;
  private Quantite m_quantiteInitiale;
  private Quantite m_quantiteRetenue;
  private String m_idPeriodeActivite;
  private String m_reglement;
  private String m_raisonSociale;
  private Periode m_periodeActiviteSalariee;
  private BigDecimal m_horaireSalarie;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_periodeAffiliationSupplementaire", "m_intensite", "m_nature", "m_quantiteInitiale", "m_quantiteRetenue", "m_idPeriodeActivite", "m_reglement", "m_raisonSociale", "m_periodeActiviteSalariee", "m_horaireSalarie" };
  private static Class[] jdoFieldTypes = { Periode.class, BigDecimal.class, Integer.TYPE, Quantite.class, Quantite.class, String.class, String.class, String.class, Periode.class, BigDecimal.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public Object createOM()
  {
    if (m_affiliationSupplementaireOM == null) {
      m_affiliationSupplementaireOM = new AffiliationSupplementaire(this);
    }
    return m_affiliationSupplementaireOM;
  }
  
  public Periode getPeriodeAffiliationSupplementaire()
  {
    return jdoGetm_periodeAffiliationSupplementaire(this);
  }
  
  public final void setPeriodeAffiliationSupplementaire(Periode p_periodeAffiliationSupplementaire)
  {
    jdoSetm_periodeAffiliationSupplementaire(this, p_periodeAffiliationSupplementaire);
  }
  
  public BigDecimal getIntensite()
  {
    return jdoGetm_intensite(this);
  }
  
  public final void setIntensite(BigDecimal p_intensite)
  {
    jdoSetm_intensite(this, p_intensite);
  }
  
  public int getNature()
  {
    return jdoGetm_nature(this);
  }
  
  public final void setNature(int p_nature)
  {
    jdoSetm_nature(this, p_nature);
  }
  
  public Quantite getQuantiteInitiale()
  {
    return jdoGetm_quantiteInitiale(this);
  }
  
  public final void setQuantiteInitiale(Quantite p_quantiteInitiale)
  {
    jdoSetm_quantiteInitiale(this, p_quantiteInitiale);
  }
  
  public Quantite getQuantiteRetenue()
  {
    return jdoGetm_quantiteRetenue(this);
  }
  
  public final void setQuantiteRetenue(Quantite p_quantiteRetenue)
  {
    jdoSetm_quantiteRetenue(this, p_quantiteRetenue);
  }
  
  public String getIdPeriodeActivite()
  {
    return jdoGetm_idPeriodeActivite(this);
  }
  
  public final void setIdPeriodeActivite(String p_idPeriodeActivite)
  {
    jdoSetm_idPeriodeActivite(this, p_idPeriodeActivite);
  }
  
  public String getReglement()
  {
    return jdoGetm_reglement(this);
  }
  
  public final void setReglement(String p_reglement)
  {
    jdoSetm_reglement(this, p_reglement);
  }
  
  public String getRaisonSociale()
  {
    return jdoGetm_raisonSociale(this);
  }
  
  public final void setRaisonSociale(String p_raisonSociale)
  {
    jdoSetm_raisonSociale(this, p_raisonSociale);
  }
  
  public Periode getPeriodeActiviteSalariee()
  {
    return jdoGetm_periodeActiviteSalariee(this);
  }
  
  public final void setPeriodeActiviteSalariee(Periode p_periodeActiviteSalariee)
  {
    jdoSetm_periodeActiviteSalariee(this, p_periodeActiviteSalariee);
  }
  
  public BigDecimal getHoraireSalarie()
  {
    return jdoGetm_horaireSalarie(this);
  }
  
  public final void setHoraireSalarie(BigDecimal p_horaireSalarie)
  {
    jdoSetm_horaireSalarie(this, p_horaireSalarie);
  }
  
  static
  {
    JDOImplHelper.registerClass(AffiliationSupplementairePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new AffiliationSupplementairePC());
  }
  
  private static final Periode jdoGetm_periodeAffiliationSupplementaire(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeAffiliationSupplementaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_periodeAffiliationSupplementaire;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_periodeAffiliationSupplementaire);
    }
    return m_periodeAffiliationSupplementaire;
  }
  
  private static final BigDecimal jdoGetm_intensite(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_intensite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_intensite;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_intensite);
    }
    return m_intensite;
  }
  
  private static final int jdoGetm_nature(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nature;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_nature;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 2, m_nature);
    }
    return m_nature;
  }
  
  private static final Quantite jdoGetm_quantiteInitiale(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteInitiale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_quantiteInitiale;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_quantiteInitiale);
    }
    return m_quantiteInitiale;
  }
  
  private static final Quantite jdoGetm_quantiteRetenue(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteRetenue;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_quantiteRetenue;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_quantiteRetenue);
    }
    return m_quantiteRetenue;
  }
  
  private static final String jdoGetm_idPeriodeActivite(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_idPeriodeActivite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_idPeriodeActivite;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 5, m_idPeriodeActivite);
    }
    return m_idPeriodeActivite;
  }
  
  private static final String jdoGetm_reglement(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reglement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_reglement;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 6, m_reglement);
    }
    return m_reglement;
  }
  
  private static final String jdoGetm_raisonSociale(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_raisonSociale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_raisonSociale;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 7, m_raisonSociale);
    }
    return m_raisonSociale;
  }
  
  private static final Periode jdoGetm_periodeActiviteSalariee(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeActiviteSalariee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_periodeActiviteSalariee;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_periodeActiviteSalariee);
    }
    return m_periodeActiviteSalariee;
  }
  
  private static final BigDecimal jdoGetm_horaireSalarie(AffiliationSupplementairePC pc)
  {
    if (jdoFlags <= 0) {
      return m_horaireSalarie;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_horaireSalarie;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 9, m_horaireSalarie);
    }
    return m_horaireSalarie;
  }
  
  private static final void jdoSetm_periodeAffiliationSupplementaire(AffiliationSupplementairePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeAffiliationSupplementaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_periodeAffiliationSupplementaire, newValue);
    } else {
      m_periodeAffiliationSupplementaire = newValue;
    }
  }
  
  private static final void jdoSetm_intensite(AffiliationSupplementairePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_intensite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_intensite, newValue);
    } else {
      m_intensite = newValue;
    }
  }
  
  private static final void jdoSetm_nature(AffiliationSupplementairePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nature = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 2, m_nature, newValue);
    } else {
      m_nature = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteInitiale(AffiliationSupplementairePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteInitiale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_quantiteInitiale, newValue);
    } else {
      m_quantiteInitiale = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteRetenue(AffiliationSupplementairePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteRetenue = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_quantiteRetenue, newValue);
    } else {
      m_quantiteRetenue = newValue;
    }
  }
  
  private static final void jdoSetm_idPeriodeActivite(AffiliationSupplementairePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_idPeriodeActivite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 5, m_idPeriodeActivite, newValue);
    } else {
      m_idPeriodeActivite = newValue;
    }
  }
  
  private static final void jdoSetm_reglement(AffiliationSupplementairePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_reglement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 6, m_reglement, newValue);
    } else {
      m_reglement = newValue;
    }
  }
  
  private static final void jdoSetm_raisonSociale(AffiliationSupplementairePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_raisonSociale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 7, m_raisonSociale, newValue);
    } else {
      m_raisonSociale = newValue;
    }
  }
  
  private static final void jdoSetm_periodeActiviteSalariee(AffiliationSupplementairePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeActiviteSalariee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_periodeActiviteSalariee, newValue);
    } else {
      m_periodeActiviteSalariee = newValue;
    }
  }
  
  private static final void jdoSetm_horaireSalarie(AffiliationSupplementairePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_horaireSalarie = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 9, m_horaireSalarie, newValue);
    } else {
      m_horaireSalarie = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeAffiliationSupplementaire);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_intensite);
      break;
    case 2: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nature);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteInitiale);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteRetenue);
      break;
    case 5: 
      jdoStateManager.providedStringField(this, fieldNumber, m_idPeriodeActivite);
      break;
    case 6: 
      jdoStateManager.providedStringField(this, fieldNumber, m_reglement);
      break;
    case 7: 
      jdoStateManager.providedStringField(this, fieldNumber, m_raisonSociale);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeActiviteSalariee);
      break;
    case 9: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_horaireSalarie);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_periodeAffiliationSupplementaire = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_intensite = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_nature = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 3: 
      m_quantiteInitiale = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_quantiteRetenue = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_idPeriodeActivite = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 6: 
      m_reglement = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 7: 
      m_raisonSociale = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 8: 
      m_periodeActiviteSalariee = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_horaireSalarie = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    AffiliationSupplementairePC pc = new AffiliationSupplementairePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    AffiliationSupplementairePC pc = new AffiliationSupplementairePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 10;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof AffiliationSupplementairePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    AffiliationSupplementairePC other = (AffiliationSupplementairePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_periodeAffiliationSupplementaire = m_periodeAffiliationSupplementaire;
        break;
      case 1: 
        m_intensite = m_intensite;
        break;
      case 2: 
        m_nature = m_nature;
        break;
      case 3: 
        m_quantiteInitiale = m_quantiteInitiale;
        break;
      case 4: 
        m_quantiteRetenue = m_quantiteRetenue;
        break;
      case 5: 
        m_idPeriodeActivite = m_idPeriodeActivite;
        break;
      case 6: 
        m_reglement = m_reglement;
        break;
      case 7: 
        m_raisonSociale = m_raisonSociale;
        break;
      case 8: 
        m_periodeActiviteSalariee = m_periodeActiviteSalariee;
        break;
      case 9: 
        m_horaireSalarie = m_horaireSalarie;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     AffiliationSupplementairePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */