package fr.unedic.cali.asu.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.temps.ObjetChronoPeriodePC;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class PensionInvaliditeChaineePC
  extends ObjetChronoPeriodePC
  implements DomPCSpec, PersistenceCapable
{
  private transient PensionInvaliditeChainee m_pensionInvaliditeChaineeOM;
  private String m_organismeFinanceur;
  private int m_statut;
  public Collection m_listeSousPensionInvalidite;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_periode", "m_organismeFinanceur", "m_statut", "m_listeSousPensionInvalidite" };
  private static Class[] jdoFieldTypes = { Periode.class, String.class, Integer.TYPE, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  static final long serialVersionUID = 6604368532922789937L;
  
  public Object createOM()
  {
    if (m_pensionInvaliditeChaineeOM == null) {
      m_pensionInvaliditeChaineeOM = new PensionInvaliditeChainee(this);
    }
    return m_pensionInvaliditeChaineeOM;
  }
  
  public String getOrganismeFinanceur()
  {
    return jdoGetm_organismeFinanceur(this);
  }
  
  public final void setOrganismeFinanceur(String p_organismeFinanceur)
  {
    jdoSetm_organismeFinanceur(this, p_organismeFinanceur);
  }
  
  public int getStatut()
  {
    return jdoGetm_statut(this);
  }
  
  public final void setStatut(int p_statut)
  {
    jdoSetm_statut(this, p_statut);
  }
  
  public final Collection getCollectionSousPensionInvalidite()
  {
    if (jdoGetm_listeSousPensionInvalidite(this) == null) {
      jdoSetm_listeSousPensionInvalidite(this, new ArrayList());
    }
    return jdoGetm_listeSousPensionInvalidite(this);
  }
  
  public final void ajouterSousPensionInvalidite(DomPCSpec p_sousPensionInvalidite)
    throws NullPointerException
  {
    if (p_sousPensionInvalidite == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sousPensionInvalidite ne devrait pas être nul.", p_sousPensionInvalidite);
    }
    getCollectionSousPensionInvalidite().add(p_sousPensionInvalidite);
  }
  
  public final void supprimerSousPensionInvalidite(DomPCSpec p_sousPensionInvalidite)
    throws NullPointerException
  {
    if (p_sousPensionInvalidite == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sousPensionInvalidite ne devrait pas être nul.", p_sousPensionInvalidite);
    }
    getCollectionSousPensionInvalidite().remove(p_sousPensionInvalidite);
  }
  
  static
  {
    JDOImplHelper.registerClass(PensionInvaliditeChaineePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new PensionInvaliditeChaineePC());
  }
  
  protected static final Periode jdoGetm_periode(PensionInvaliditeChaineePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periode;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_periode;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_periode);
    }
    return m_periode;
  }
  
  private static final String jdoGetm_organismeFinanceur(PensionInvaliditeChaineePC pc)
  {
    if (jdoFlags <= 0) {
      return m_organismeFinanceur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_organismeFinanceur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 1, m_organismeFinanceur);
    }
    return m_organismeFinanceur;
  }
  
  private static final int jdoGetm_statut(PensionInvaliditeChaineePC pc)
  {
    if (jdoFlags <= 0) {
      return m_statut;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_statut;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 2, m_statut);
    }
    return m_statut;
  }
  
  public static final Collection jdoGetm_listeSousPensionInvalidite(PensionInvaliditeChaineePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_listeSousPensionInvalidite;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_listeSousPensionInvalidite);
    }
    return m_listeSousPensionInvalidite;
  }
  
  protected static final void jdoSetm_periode(PensionInvaliditeChaineePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periode = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_periode, newValue);
    } else {
      m_periode = newValue;
    }
  }
  
  private static final void jdoSetm_organismeFinanceur(PensionInvaliditeChaineePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_organismeFinanceur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 1, m_organismeFinanceur, newValue);
    } else {
      m_organismeFinanceur = newValue;
    }
  }
  
  private static final void jdoSetm_statut(PensionInvaliditeChaineePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_statut = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 2, m_statut, newValue);
    } else {
      m_statut = newValue;
    }
  }
  
  public static final void jdoSetm_listeSousPensionInvalidite(PensionInvaliditeChaineePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_listeSousPensionInvalidite, newValue);
    } else {
      m_listeSousPensionInvalidite = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periode);
      break;
    case 1: 
      jdoStateManager.providedStringField(this, fieldNumber, m_organismeFinanceur);
      break;
    case 2: 
      jdoStateManager.providedIntField(this, fieldNumber, m_statut);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSousPensionInvalidite);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_periode = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_organismeFinanceur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 2: 
      m_statut = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 3: 
      m_listeSousPensionInvalidite = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    PensionInvaliditeChaineePC pc = new PensionInvaliditeChaineePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    PensionInvaliditeChaineePC pc = new PensionInvaliditeChaineePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 4;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof PensionInvaliditeChaineePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    PensionInvaliditeChaineePC other = (PensionInvaliditeChaineePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_periode = m_periode;
        break;
      case 1: 
        m_organismeFinanceur = m_organismeFinanceur;
        break;
      case 2: 
        m_statut = m_statut;
        break;
      case 3: 
        m_listeSousPensionInvalidite = m_listeSousPensionInvalidite;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     PensionInvaliditeChaineePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */