package fr.unedic.cali.asu.exp03.p01.liquidation.dom;

import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionCoefficientSaisonnier;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDateAttributionFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDelaisFinDeDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeEffective;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDureeReglementaireFinAsp;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionPointDeDepartFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionProduitResultant;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionProduitResultantFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionRevisionAutomatiqueAreSousJacent;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionRevisionAutomatiqueFinAsp;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationCompetencesProduitCourant;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationCompetencesProduitResultant;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionCumulActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionFaitGenerateur;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionFaitGenerateurFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionQuantiteAffiliationFinDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursConstitutionSjc;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDetecterContributionParticuliere;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDetecterContributionParticuliereContexteEntreeCsp;
import fr.unedic.cali.asu.cge01.liquidation.parcours.VerifierConditionSurFinDispositifReclassement;
import fr.unedic.cali.asu.cge01.liquidation.parcours.revision.ConstitutionNouvelleRevisionAutomatiqueAreSousJacent;
import fr.unedic.cali.asu.cge01.liquidation.parcours.revision.ConstitutionNouvelleRevisionAutomatiqueExamenIPR;
import fr.unedic.cali.asu.cge01.liquidation.parcours.revision.ConstitutionNouvelleRevisionAutomatiqueFinAsp;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.exp03.liquidation.parcours.ConstitutionDelaisReports;
import fr.unedic.cali.asu.exp03.p01.liquidation.dom.gen.ObjectifExamenAdmissionGen;
import fr.unedic.cali.asu.exp03.p01.liquidation.parcours.ConstitutionDureeReglementaire;
import fr.unedic.cali.asu.exp03.p01.liquidation.parcours.ParcoursConstitutionSjr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionDateAttribution;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionDureeNonNulle;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenAdmission
  extends ObjectifExamenAdmissionGen
{
  private static final long serialVersionUID = -2047570675196781513L;
  
  public ObjectifExamenAdmission(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenAdmission() {}
  
  public ObjectifExamenAdmission(List<ContexteDemandeSpec> contexteDemande)
  {
    listeContextesDemande = contexteDemande;
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenAdmission copie = new ObjectifExamenAdmission();
    copieElements(copie);
    return copie;
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    if ((listeContextesDemande != null) && (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null)) {
      return new DeterminationConditionFaitGenerateurFinDroit();
    }
    return new DeterminationConditionFaitGenerateur();
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new DeterminationConditionQuantiteAffiliationFinDroit();
    }
    return new DeterminationConditionQuantiteAffiliation();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    if ((listeContextesDemande != null) && (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJASPDC"))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionChomageInvolontaire();
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    if (listeContextesDemande != null)
    {
      if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
        return new VerifierConditionSurFinDispositifReclassement(new DeterminationConditionCumulActiviteConservee());
      }
      if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJASPDC")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJREV"))) {
        return new ParcoursTraitementSatisfait();
      }
    }
    return new DeterminationConditionCumulActiviteConservee();
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return new ParcoursConstitutionSjr();
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return new ConstitutionQuantiteAffiliation();
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return new ParcoursConstitutionSjc();
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return new ConstitutionCoefficientTempsPartiel();
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return new ConstitutionCoefficientSaisonnier();
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return new ConstitutionCaractereSaisonnier();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffective();
  }
  
  public Parcours creerParcoursDeterminationCompetencesFinanceAdmDroitCourant()
  {
    return new DeterminationCompetencesProduitCourant();
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return new DeterminationCompetencesProduitResultant();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionDureeReglementaireFinAsp();
    }
    return new ConstitutionDureeReglementaire();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionProduitResultantFinDroit();
    }
    return new ConstitutionProduitResultant();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionDelaisFinDeDroit();
    }
    return new ConstitutionDelaisReports();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBruts();
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionDateAttributionFinDroit();
    }
    return new ConstitutionDateAttribution();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    if ((OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJASPDC")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJREV"))) {
      return new ParcoursTraitementSatisfait();
    }
    return super.creerParcoursConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursRevisionAutomatique()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionRevisionAutomatiqueFinAsp();
    }
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJASPDC")) {
      return new ConstitutionRevisionAutomatiqueAreSousJacent();
    }
    return null;
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJREV")) {
      return new ParcoursTraitementSatisfait();
    }
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new DeterminationConditionDureeNonNulle();
    }
    return super.creerParcoursConditionDureeNonNulle();
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new ConstitutionPointDeDepartFinDroit();
    }
    return super.creerParcoursPointDeDepart();
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJREV")) {
      return new ParcoursTraitementSatisfait();
    }
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new VerifierConditionSurFinDispositifReclassement(super.creerParcoursConditionCumulPrestationFamiliale());
    }
    return super.creerParcoursConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJREV")) {
      return new ParcoursTraitementSatisfait();
    }
    if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
      return new VerifierConditionSurFinDispositifReclassement(super.creerParcoursConditionMontant());
    }
    return super.creerParcoursConditionMontant();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande pDemande)
  {
    Parcours resultat = null;
    if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(pDemande, "AREENTRCSP")) {
      resultat = new ParcoursDetecterContributionParticuliereContexteEntreeCsp();
    } else {
      resultat = new ParcoursDetecterContributionParticuliere();
    }
    return resultat;
  }
  
  public Parcours creerParcoursNouvelleRevisionAutomatique()
  {
    if (listeContextesDemande != null)
    {
      if (OutilGestionContexteDemande.trouverUnContextePresent(listeContextesDemande, 5) != null) {
        return new ConstitutionNouvelleRevisionAutomatiqueFinAsp();
      }
      if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "ARESJASPDC")) {
        return new ConstitutionNouvelleRevisionAutomatiqueAreSousJacent();
      }
      if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(listeContextesDemande, "EXAMENIPR")) {
        return new ConstitutionNouvelleRevisionAutomatiqueExamenIPR();
      }
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */