package fr.unedic.cali.asu.fds12.p03.avant.outilsfonctionnels;

import fr.unedic.cali.asu.fds12.p03.avant.FacadeAvantProduitImpl;
import fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.ConsommationPeriodes;
import fr.unedic.cali.calcul.dom.DureeConsommableAvant;
import fr.unedic.cali.calcul.dom.EtatAuDernierJourAvant;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DureeNonIndemnisable;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.util.Iterator;

public class TraitementUtAvant
  extends fr.unedic.cali.asu.spe02.p03.avant.outilsfonctionnels.TraitementUtAvant
{
  public static int executerUtAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    UniteTraitementAvant utAvant = executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, chronologiePeriodes);
    return executerUtAvant(calendrierAvant, utAvant, attribution);
  }
  
  public static UniteTraitementAvant executerAttributionAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoPeriodesSurUt = new ChronologiePeriodes(new FiltreChevauchePeriode(new Periode(periodeUtAvant.getDebut(), periodeUtAvant.getFin().lendemain())));
    
    chronoPeriodesSurUt.ajouter(chronologiePeriodes);
    
    Qualification qualification = new Qualification();
    QualificationPeriodes periodesQualifie = qualification.qualificationPeriodesPourAvant(chronoPeriodesSurUt, attribution);
    
    ChronologiePeriodes periodesInterruptives = periodesQualifie.getPeriodesInterruptivesDefinitives();
    ChronologiePeriodes periodesNouvellesInterruptives = new ChronologiePeriodes();
    periodesInterruptives.iterer();
    while (periodesInterruptives.encoreSuivant())
    {
      ObjetChronoPeriodeCalcul periode = (ObjetChronoPeriodeCalcul)periodesInterruptives.elementSuivant();
      if (periode.getDateDebut().estApresOuCoincideAvec(attribution.getDateAttribution())) {
        periodesNouvellesInterruptives.ajouter(periode);
      }
    }
    periodesQualifie.setPeriodesInterruptivesDefinitives(periodesNouvellesInterruptives);
    return executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, periodesQualifie);
  }
  
  public static int executerUtAvant(CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant utAvant, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    int etat = 0;
    
    mettreAJourDateFinConsommation(utAvant);
    
    calendrierAvant.ajouterUniteTraitementAvant(utAvant);
    if (utAvant.isProduitATerminerApresUT())
    {
      Damj dateDJA = Damj.max(utAvant.getArretProduitAvecRaison().recupereLendemainDateArret().veille(), attribution.getDateAttribution().veille());
      calendrierAvant.setDernierJourAvant(dateDJA);
      if ((etat == 0) && (utAvant.getArretProduitAvecRaison().isRaisonsContientRaison(4))) {
        etat = 1;
      }
      ChronologiePeriodes periodesInterruptivesDefinitives = new ChronologiePeriodes();
      periodesInterruptivesDefinitives.ajouter(utAvant.getArretProduitAvecRaison().getPeriodesInterruptivesDefinitives());
      if (!periodesInterruptivesDefinitives.estVide())
      {
        Damj datePeriodeInterruptives = null;
        
        ObjetChronoPeriode premiereChronoPeriode = null;
        
        periodesInterruptivesDefinitives.iterer();
        while (periodesInterruptivesDefinitives.encoreSuivant())
        {
          ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)periodesInterruptivesDefinitives.elementSuivant();
          datePeriodeInterruptives = objetChronoPeriode.getDateDebut();
          if ((datePeriodeInterruptives.estContenueDans(new Periode(calendrierAvant.getDateDebut(), calendrierAvant.getDateFin().lendemain()))) && ((premiereChronoPeriode == null) || (objetChronoPeriode.getDateDebut().estAvant(premiereChronoPeriode.getDateDebut())))) {
            premiereChronoPeriode = objetChronoPeriode;
          }
        }
      }
      mettreAJourPeriodeApplicationDureeConsommableAvant(calendrierAvant);
      calendrierAvant.setEtatAuDernierJourAvant(new EtatAuDernierJourAvant(utAvant, etat, null));
    }
    return etat;
  }
  
  private static void mettreAJourDateFinConsommation(UniteTraitementAvant utAvant)
  {
    DureeConsommableAvant dureeActive = utAvant.getDureeConsommableAvantActiveEnFinUt();
    if (dureeActive != null)
    {
      Periode p = utAvant.getConsommationPeriodes().getPeriodesParTypologie(dureeActive.getTypeDureeConsommable());
      if (p != null) {
        if (utAvant.isProduitATerminerApresUT()) {
          p.setFin(utAvant.getArretProduitAvecRaison().recupereLendemainDateArret().veille());
        } else {
          p.setFin(utAvant.getDateFin());
        }
      }
    }
  }
  
  protected static void mettreAJourPeriodeApplicationDureeConsommableAvant(CalendrierExecutionAvant calendrierExecutionAvant)
  {
    Chronologie uts = calendrierExecutionAvant.getChronologieUnitesTraitements();
    UniteTraitementAvant derniereUtAvant = (UniteTraitementAvant)uts.dernierElement();
    
    Periode periodeFranchiseCP = getPeriode(calendrierExecutionAvant, 5);
    Periode periodeFranchiseSalaire = getPeriode(calendrierExecutionAvant, 6);
    
    DureeConsommableAvant duree = derniereUtAvant.getDureeFranchiseCPEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeFranchiseCP);
    }
    duree = derniereUtAvant.getDureeFranchiseSalaireEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeFranchiseSalaire);
    }
  }
  
  public static UniteTraitementAvant executerAttributionAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, QualificationPeriodes periodesQualifie)
    throws CoucheLogiqueException
  {
    UniteTraitementAvant utAvant = null;
    ChronologiePeriodes periodesAnalyses = null;
    PeriodesPriseEnCompte periodesPriseEnCompte = null;
    
    Periode pUtAvant = (Periode)periodeUtAvant.copie();
    
    utAvant = new UniteTraitementAvant(Unite.get("jour"), pUtAvant);
    
    utAvant.setQualificationPeriodes(periodesQualifie);
    
    utAvant.setConsommationPeriodes(new ConsommationPeriodes());
    
    periodesPriseEnCompte = new PeriodesPriseEnCompte(periodeUtAvant);
    if (calendrierAvant.getEtatExecutionAvant() == 1)
    {
      periodesPriseEnCompte.tronquePeriodesPriseEnCompteEnDebut(calendrierAvant.getPremierJourAvant());
      
      calendrierAvant.setEtatExecutionAvant(2);
    }
    initialiserDureesConsommablesAvant(calendrierAvant, utAvant, attribution);
    
    ArretProduitAvecRaison arretProduitAvecRaison = effectuerTraitementPeriodes(utAvant, periodesPriseEnCompte);
    
    DureeConsommableAvant dureeActive = utAvant.getDureeConsommableAvantActiveEnDebutUt();
    if ((dureeActive != null) && (dureeActive.getQuantiteInitial().getValeurEntiere() > 0))
    {
      Periode p = utAvant.getConsommationPeriodes().getPeriodesParTypologie(dureeActive.getTypeDureeConsommable());
      if (p == null)
      {
        p = new Periode(utAvant.getDateDebut());
        utAvant.getConsommationPeriodes().setPeriodesParTypologie(dureeActive.getTypeDureeConsommable(), p);
      }
    }
    periodesAnalyses = creerLesPeriodesAnalyses(utAvant, utAvant.getQualificationPeriodes(), periodesPriseEnCompte);
    
    TraitementPeriodesAnalyseAvant.traitementDesPeriodesAnalyses(attribution, utAvant, periodesAnalyses, utAvant.getQualificationPeriodes(), arretProduitAvecRaison);
    if (arretProduitAvecRaison.isProduitAArreter())
    {
      utAvant.setProduitATerminerApresUT(true);
      utAvant.setArretProduitAvecRaison(arretProduitAvecRaison);
      calendrierAvant.setEtatExecutionAvant(3);
    }
    return utAvant;
  }
  
  public static void initialiserDureesConsommablesAvant(CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant putAvant, AttributionSpec attribution)
  {
    if (calendrierAvant.getChronologieUnitesTraitements() != null)
    {
      UniteTraitementAvant utAvant = null;
      Iterator<?> listeUt = calendrierAvant.getChronologieUnitesTraitements().iterer();
      while (listeUt.hasNext()) {
        utAvant = (UniteTraitementAvant)listeUt.next();
      }
      if (utAvant != null)
      {
        if (utAvant.getDureeFranchiseCPEnFinUT() != null)
        {
          DureeConsommableAvant dureeFranchiseCP = (DureeConsommableAvant)utAvant.getDureeFranchiseCPEnFinUT().copie();
          putAvant.setDureeFranchiseCPEnDebutUT(dureeFranchiseCP);
        }
        if (utAvant.getDureeFranchiseSalaireEnFinUT() != null)
        {
          DureeConsommableAvant dureeFranchiseSalaire = (DureeConsommableAvant)utAvant.getDureeFranchiseSalaireEnFinUT().copie();
          putAvant.setDureeFranchiseSalaireEnDebutUT(dureeFranchiseSalaire);
        }
        return;
      }
    }
    creerDureeIndemnisation(attribution, calendrierAvant, putAvant);
  }
  
  public static void creerDureeIndemnisation(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant utAvant)
  {
    DureeConsommableAvant dureeFranchiseCP = new DureeConsommableAvant(5, new QuantiteJour("0"));
    DureeConsommableAvant dureeFranchiseSalaire = new DureeConsommableAvant(6, new QuantiteJour("0"));
    
    DureeNonIndemnisable dniFranchiseCP = FacadeAvantProduitImpl.getFranchiseCP((Attribution)attribution);
    if (dniFranchiseCP != null)
    {
      dureeFranchiseCP.setQuantiteInitial(dniFranchiseCP.getQuantiteInitial());
      dureeFranchiseCP.setTypeDureeConsommable(5);
    }
    DureeNonIndemnisable dniFranchiseSalaire = FacadeAvantProduitImpl.getFranchiseSalaire((Attribution)attribution);
    if (dniFranchiseSalaire != null)
    {
      dureeFranchiseSalaire.setQuantiteInitial(dniFranchiseSalaire.getQuantiteInitial());
      dureeFranchiseSalaire.setTypeDureeConsommable(6);
    }
    dureeFranchiseCP.activer();
    if (dureeFranchiseCP.getQuantiteInitial().getValeurEntiere() > 0)
    {
      Periode p = new Periode(calendrierAvant.getPremierJourAvant());
      utAvant.getConsommationPeriodes().setPeriodeFranchiseCP(p);
    }
    utAvant.setDureeFranchiseCPEnDebutUT(dureeFranchiseCP);
    utAvant.setDureeFranchiseSalaireEnDebutUT(dureeFranchiseSalaire);
  }
}

/* Location:
 * Qualified Name:     TraitementUtAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */