package fr.unedic.cali.asu.may17.p02.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeAEDVMayotte;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDVFilEau;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilPensionInvalidite;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques.FabriqueStrategieAREM2016;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieAREM2016Spec;
import fr.unedic.cali.asu.may17.p02.liquidation.dom.Admission;
import fr.unedic.cali.asu.may17.p02.liquidation.dom.AttributionAssuranceMayotte;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeDetection100TMaintien;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeDetectionAgeMaintien;
import fr.unedic.cali.asu.mnt.dom.temps.ObjetChronoPeriodeMaintien;
import fr.unedic.cali.asu.outilsfonctionnels.DetectionChomageLegitime;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.autresdoms.cohab.dom.PeriodeSousPensionInvaliditeChainee;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodeSousPensionInvaliditeChaineeSpec;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitementForcee;
import fr.unedic.cali.calcul.dom.periode.DebutActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeFormationNonIndemnisee;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvaliditeChainee;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeSanctionReductionMontant;
import fr.unedic.cali.calcul.dom.periode.ObjetPeriodeAEDV;
import fr.unedic.cali.calcul.dom.periode.ObjetPeriodeAEDVMayotte;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementBloquant;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeSanctionReductionMontant;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTEAvecImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChrono60AnsBlocageRetraite;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire50Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire55Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire60Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoNonPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeHomogene;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLendemainDja;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeSuspensionIslr;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionForcage;
import fr.unedic.cali.calcul.outilsfonctionnels.OutilGestionPoursuite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class Qualification
  extends fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.Qualification
{
  protected boolean qualifierUnePeriodeInterruptivesDefinitives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if ((periode instanceof ObjetChrono60AnsBlocageRetraite))
    {
      if ((attribution.getDateAttribution() != null) && (attribution.getDateAttribution().estApresOuCoincideAvec(periode.getDateDebut()))) {
        if (attribution.getDateAttribution().coincideAvec(attribution.getDateAttribution().getFinMois()))
        {
          periode.setDateDebut(attribution.getDateAttribution().lendemain());
          periode.setDateFin(attribution.getDateAttribution().lendemain());
        }
        else
        {
          periode.setDateDebut(attribution.getDateAttribution().getFinMois());
          periode.setDateFin(attribution.getDateAttribution().getFinMois());
        }
      }
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      return true;
    }
    if (((periode instanceof ObjetPeriodeAEDV)) || ((periode instanceof ObjetChronoPeriodeRejetDVFilEau))) {
      return false;
    }
    if (verificationPeriodeInterruptifMayotte(periode, attribution))
    {
      ObjetPeriodeAEDVMayotte aedvm = (ObjetPeriodeAEDVMayotte)periode;
      if (DetectionChomageLegitime.getInstance().estAeDvRejetOuNonDecisionne(attribution.getDemandeur(), aedvm.getActiviteSalarie())) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(new ObjetChronoPeriodeAEDVMayotte(periode.getDateFin().lendemain()));
      }
      return true;
    }
    return super.qualifierUnePeriodeInterruptivesDefinitives(periode, qualificationPeriodes, attribution);
  }
  
  protected boolean qualifierUnePeriodeSuspensives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if (((periode instanceof ObjetChronoPeriodeSuspensionIslr)) && (((ObjetChronoPeriodeSuspensionIslr)periode).getDateFct().estAvant(GestionnaireDateApplication.getInstance().recupererDateApplication("Application des règles métropole pour Mayotte")))) {
      return false;
    }
    return super.qualifierUnePeriodeSuspensives(periode, qualificationPeriodes, attribution);
  }
  
  protected boolean verificationPeriodeInterruptifMayotte(ObjetChronoPeriodeCalcul periode, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if (((periode instanceof ObjetPeriodeAEDVMayotte)) && (verifierConditionDV(periode, attribution)) && (!verifierIgnorerDVSurUTForcee(attribution, periode))) {
      return true;
    }
    return false;
  }
  
  private boolean verifierIgnorerDVSurUTForcee(AttributionSpec attribution, ObjetChronoPeriodeCalcul periodeDV)
  {
    UniteTraitementForcee uniteTraitementForcee = GestionForcage.getUniteTraitementForcee(attribution.getDemande(), periodeDV.getDateDebut().getDebutMois(), periodeDV.getDateDebut().getFinMois(), false);
    if (uniteTraitementForcee != null) {
      return uniteTraitementForcee.isEstLeverBlocageDV();
    }
    return false;
  }
  
  private boolean verifierConditionDV(ObjetChronoPeriodeCalcul periode, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    AttributionSpec attributionMay = getAttribution(attribution);
    return (periode.getDateDebut().estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Application des règles métropole pour Mayotte"))) && (!((Admission)attributionMay).getAttributionAssurance().estMaintenue()) && (periode.getDateFin().estApresOuCoincideAvec(attributionMay.getDateAttribution())) && (!((Admission)attributionMay).getAttributionAssurance().getListeActiviteConservee().contientElement(((ObjetPeriodeAEDVMayotte)periode).getActiviteSalarie()));
  }
  
  protected boolean qualifierUnePeriodeSegmentante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    AttributionSpec attributionMay = getAttribution(attribution);
    Damj pjeNcp = OutilGestionPoursuite.getInstance().recupererPremierJourExecutableNcp(attributionMay);
    if ((periode instanceof PeriodeSousPensionInvaliditeChaineeSpec))
    {
      PeriodeSousPensionInvaliditeChainee sousPiChainee = (PeriodeSousPensionInvaliditeChainee)periode;
      if (OutilPensionInvalidite.estUneSousPensionDeductible(((Admission)attributionMay).getAttributionAssurance(), sousPiChainee)) {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
    }
    else if ((periode instanceof FinPeriodePensionInvaliditeChainee))
    {
      FinPeriodePensionInvaliditeChainee finPiChainee = (FinPeriodePensionInvaliditeChainee)periode;
      PeriodeSousPensionInvaliditeChainee piChainee = (PeriodeSousPensionInvaliditeChainee)finPiChainee.getPeriodePensionGeneratrice();
      if (OutilPensionInvalidite.estUneSousPensionDeductible(((Admission)attributionMay).getAttributionAssurance(), piChainee)) {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
    }
    else
    {
      if ((periode instanceof fr.unedic.cali.calcul.dom.periode.PeriodeFormation))
      {
        if (((fr.unedic.cali.calcul.dom.periode.PeriodeFormation)periode).getActionFormation().estBasculeAutoriserEnContexteFormation())
        {
          ObjetChronoPeriodeCalcul periodeFormation = (ObjetChronoPeriodeCalcul)periode.copie();
          if ((periode.getDateDebut().estAvant(pjeNcp)) && (periode.getDateFin().estApres(pjeNcp))) {
            periodeFormation.setDateDebut(pjeNcp);
          }
          qualificationPeriodes.ajouterPeriodesSegmentantes(periodeFormation);
        }
      }
      else if ((periode instanceof ObjetChronoPeriodeLendemainDja))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof FinActionFormation))
      {
        IndividuSpec individu = attributionMay.getDemandeur();
        ObjetChronoPeriode periodeActivite = null;
        ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
        chronologiePeriodes.iterer();
        boolean estEncoreEnFormation = false;
        while ((chronologiePeriodes.encoreSuivant()) && (!estEncoreEnFormation))
        {
          periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
          if (((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation)) && (!((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).estAnnulee()) && (((FinActionFormation)periode).getActionFormation().getIdentifiantActionFormation() != Integer.parseInt(((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getIdentifiant())) && (periode.getDateFin().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin()))) && (periode.getDateFin().lendemain().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin())))) {
            estEncoreEnFormation = true;
          }
        }
        if (!estEncoreEnFormation) {
          qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
        }
      }
      else if ((periode instanceof DebutActionFormation))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if (((periode instanceof ObjetChronoAnniversaire50Ans)) || ((periode instanceof ObjetChronoAnniversaire55Ans)) || ((periode instanceof ObjetChronoAnniversaire60Ans)))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof PeriodeInterStageFormation))
      {
        IndividuSpec individu = attributionMay.getDemandeur();
        Collection listePeriodeAQualifier = new ArrayList();
        ObjetChronoPeriode periodeActivite = null;
        Periode periodeFormation = null;
        ChronologiePeriodes listePeriodesFormations = null;
        
        listePeriodeAQualifier.add(periode);
        
        ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
        chronologiePeriodes.iterer();
        while (chronologiePeriodes.encoreSuivant())
        {
          periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
          if ((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation))
          {
            listePeriodesFormations = ((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getListePeriodeFormation();
            listePeriodesFormations.iterer();
            while (listePeriodesFormations.encoreSuivant())
            {
              periodeFormation = ((fr.unedic.cali.autresdoms.ga.dom.PeriodeFormation)listePeriodesFormations.elementSuivant()).getPeriodeEffective();
              if (periodeFormation != null) {
                if (new Periode(periodeFormation.getDebut(), periodeFormation.getFin()).contient(periode.getPeriode()))
                {
                  listePeriodeAQualifier.remove(periode);
                }
                else if (periode.getPeriode().contient(new Periode(periodeFormation.getDebut(), periodeFormation.getFin())))
                {
                  listePeriodeAQualifier.remove(periode);
                  PeriodeInterStageFormation periodePremierDecoupage = new PeriodeInterStageFormation();
                  if (periode.getDateDebut().estAvant(periodeFormation.getDebut().veille()))
                  {
                    periodePremierDecoupage.setDateDebut(periode.getDateDebut());
                    periodePremierDecoupage.setDateFin(periodeFormation.getDebut().veille());
                    listePeriodeAQualifier.add(periodePremierDecoupage);
                  }
                  PeriodeInterStageFormation periodeDeuxiemeDecoupage = new PeriodeInterStageFormation();
                  if (periode.getDateFin().estApres(periodeFormation.getFin().lendemain()))
                  {
                    periodeDeuxiemeDecoupage.setDateDebut(periodeFormation.getFin().lendemain());
                    periodeDeuxiemeDecoupage.setDateFin(periode.getDateFin());
                    listePeriodeAQualifier.add(periodeDeuxiemeDecoupage);
                  }
                }
                else if (periode.getPeriode().contient(periodeFormation.getDebut()))
                {
                  periode.setDateFin(periodeFormation.getDebut().veille());
                }
                else if (periode.getPeriode().contient(periodeFormation.getFin()))
                {
                  periode.setDateDebut(periodeFormation.getFin().lendemain());
                }
              }
            }
          }
        }
        Iterator iterateur = listePeriodeAQualifier.iterator();
        while (iterateur.hasNext())
        {
          ObjetChronoPeriodeCalcul periodeAAjouter = (ObjetChronoPeriodeCalcul)iterateur.next();
          if (periodeAAjouter.getDuree() > 15) {
            qualificationPeriodes.ajouterPeriodesSegmentantes(periodeAAjouter);
          }
        }
      }
      else if ((periode instanceof ObjetChronoPeriodeDetectionAgeMaintien))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof ObjetChronoPeriodeDetection100TMaintien))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof ObjetChronoPeriodeMaintien))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if (((periode instanceof ObjetChronoPeriodeInterProduits)) && (!attributionMay.equals(((ObjetChronoPeriodeInterProduits)periode).getAttribution())))
      {
        if ((((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 2) && ((((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_03")))) {
          qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
        } else if ((((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 5) && ((((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_03")))) {
          qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
        }
      }
      else if (((periode instanceof PeriodeSanctionReductionMontant)) || ((periode instanceof FinPeriodeSanctionReductionMontant)))
      {
        if (((periode instanceof PeriodeSanctionReductionMontant)) && (periode.getDateDebut().estAvant(pjeNcp)) && (periode.getDateFin().estApresOuCoincideAvec(pjeNcp))) {
          periode.setDateDebut(pjeNcp);
        }
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof PeriodeAvantageVieillesse))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof FinPeriodeAvantageVieillesse))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof PeriodeEvenementBloquant))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if (((periode instanceof ObjetChronoPeriodeHomogene)) || ((periode instanceof ObjetChronoNonPeriodeHomogene)))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof FinPeriodeFormationNonIndemnisee))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else if ((periode instanceof PeriodeSuspensionDDTEAvecImputation))
      {
        if (((((PeriodeSuspensionDDTEAvecImputation)periode).getCodeSanction().equals("SD")) || (((PeriodeSuspensionDDTEAvecImputation)periode).getCodeSanction().equals("SE"))) && (attributionMay.getRsod() != null) && (attributionMay.getRsod().equals(((PeriodeSuspensionDDTEAvecImputation)periode).getRSOD()))) {
          qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
        }
      }
      else if ((periode instanceof ObjetChronoPeriodeDebutPec))
      {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
      else
      {
        return false;
      }
      return true;
    }
    return true;
  }
  
  public QualificationPeriodes qualificationPeriodesPourAvant(ChronologiePeriodes chronologiePeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    QualificationPeriodes qualificationPeriodes = null;
    qualificationPeriodes = new QualificationPeriodes();
    
    FabriqueStrategieAREM2016 fab = new FabriqueStrategieAREM2016();
    CritereStrategie cs = new CritereStrategie();
    cs.setDatePivot(attribution.getDateAttribution());
    StrategieAREM2016Spec strat = (StrategieAREM2016Spec)fab.getStrategie(cs);
    
    return strat.qualificationPeriodesPourAvant(qualificationPeriodes, chronologiePeriodes, attribution);
  }
  
  protected boolean qualifierUnePeriodeGelante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if (((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof DsmTravail)) || ((periode instanceof PeriodePrime))) {
      qualificationPeriodes.ajouterPeriodesGelantes(periode);
    } else if ((periode instanceof PeriodeAbsenceAuPointage)) {
      qualificationPeriodes.ajouterPeriodesGelantes(periode);
    } else {
      return false;
    }
    return true;
  }
  
  private AttributionSpec getAttribution(AttributionSpec attribution)
  {
    if ((attribution instanceof AttributionAssuranceMayotte)) {
      attribution = ((AttributionAssuranceMayotte)attribution).getAdmission();
    }
    return attribution;
  }
}

/* Location:
 * Qualified Name:     Qualification
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */