package fr.unedic.cali.asu.migration.recalcul;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionProduitResultant;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerMontantBrutDroitCourant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    ElementBaseIndemnisation ebi = null;
    FormuleMontantSpec formuleMontant = null;
    if ((attribution.getConstitutionProduitResultant() != null) && (attribution.getConstitutionProduitResultant().getTypeMontantRetenu() == 2))
    {
      ebi = getEbiDC(attribution);
      formuleMontant = getFormuleMontantDC(attribution);
    }
    else
    {
      ebi = attribution.getElementBaseIndemnisation();
      formuleMontant = attribution.getFormuleMontant("1");
    }
    MontantAsuSpec montantBrutAttribution = null;
    try
    {
      GammeAsuSpec gamme = (GammeAsuSpec)attribution.getGamme();
      DonneesEntreesRecuperationMontant donneesEntreesRecuperationMontant = gamme.mapperDonneesEntreesRecuperationMontant(attribution);
      donneesEntreesRecuperationMontant.getDonneesCalculMontant().setFormuleMontant(formuleMontant);
      donneesEntreesRecuperationMontant.setDateCalculMontant(attribution.getDateEffet());
      montantBrutAttribution = DeterminationMontant.determinerMontant(donneesEntreesRecuperationMontant);
    }
    catch (CoucheLogiqueException ex)
    {
      throw new ApplicativeRuntimeException("", ex);
    }
    ConstitutionMontantsBruts constitutionMontantsBruts = attribution.getConstitutionMontantsBruts();
    if (montantBrutAttribution != null)
    {
      constitutionMontantsBruts.setMontantJournalierBrut(montantBrutAttribution.getMontantPrecompteEffectif());
      constitutionMontantsBruts.setMontantBrutSansDeduction(montantBrutAttribution.getMontantBrut());
      constitutionMontantsBruts.setMontantBase(montantBrutAttribution.getBase());
      constitutionMontantsBruts.setMontantMini(montantBrutAttribution.getMini());
      constitutionMontantsBruts.setMontantPlafond(montantBrutAttribution.getPlafond());
      constitutionMontantsBruts.setMontantPlancher(montantBrutAttribution.getPlancher());
      constitutionMontantsBruts.setMontantBrutSansPensionInvaliditeADeduire(montantBrutAttribution.getMontantBrutSansPensionInvaliditeADeduire());
      
      constitutionMontantsBruts.setPensionInvaliditeADeduirePriseEnCompte(montantBrutAttribution.getPensionInvaliditeADeduirePriseEnCompte());
      constitutionMontantsBruts.setMontantJournalierAvantageVieillesse(montantBrutAttribution.getMontantJournalierAvantageVieillesse());
      constitutionMontantsBruts.setMontantJournalierAvantageVieillesseDeduit(montantBrutAttribution.getMontantJournalierAvantageVieillesseDeduit());
      
      constitutionMontantsBruts.setCrc(montantBrutAttribution.getCrc());
    }
    return new ArrayList();
  }
  
  private ElementBaseIndemnisation getEbiDC(Attribution p_attribution)
  {
    DemandeSpec demandeSpec = (DemandeSpec)p_attribution.getDemande().copie();
    
    Attribution attributionCopie = (Attribution)demandeSpec.getDossierAffectation().getDossierExamen();
    
    attributionCopie.getConstitutionProduitResultant().setTypeMontantRetenu(1);
    
    return attributionCopie.getElementBaseIndemnisation();
  }
  
  private FormuleMontantSpec getFormuleMontantDC(Attribution p_attribution)
  {
    DemandeSpec demandeSpec = (DemandeSpec)p_attribution.getDemande().copie();
    
    Attribution attributionCopie = (Attribution)demandeSpec.getDossierAffectation().getDossierExamen();
    
    attributionCopie.getConstitutionProduitResultant().setTypeMontantRetenu(1);
    
    return attributionCopie.getFormuleMontant("1");
  }
}

/* Location:
 * Qualified Name:     RecalculerMontantBrutDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */