package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.pc.ConditionAppartenanceMaintienPC;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class ConditionAppartenanceMaintienGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionAppartenanceMaintienPC;
  private Quantite m_quantiteAppartenanceRequise;
  private Quantite m_quantiteAppartenanceCalculee;
  private Quantite m_quantiteAppartenanceImposee;
  private ResultatElementDroit m_resultatElementDroit;
  
  public ConditionAppartenanceMaintienGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionAppartenanceMaintienGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionAppartenanceMaintienPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionAppartenanceMaintienPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionAppartenanceMaintienPC)
  {
    m_conditionAppartenanceMaintienPC = p_conditionAppartenanceMaintienPC;
  }
  
  protected Quantite rawGetQuantiteAppartenanceRequise()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceRequise();
  }
  
  public Quantite getQuantiteAppartenanceRequise()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceRequise();
  }
  
  public void setQuantiteAppartenanceRequise(Quantite p_quantiteAppartenanceRequise)
  {
    if ((m_quantiteAppartenanceRequise == null) || (p_quantiteAppartenanceRequise == null))
    {
      m_quantiteAppartenanceRequise = p_quantiteAppartenanceRequise;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceRequise(p_quantiteAppartenanceRequise);
    }
    else if ((m_quantiteAppartenanceRequise != null) && (p_quantiteAppartenanceRequise != null) && (!p_quantiteAppartenanceRequise.equals(m_quantiteAppartenanceRequise)))
    {
      m_quantiteAppartenanceRequise = p_quantiteAppartenanceRequise;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceRequise(p_quantiteAppartenanceRequise);
    }
  }
  
  protected Quantite rawGetQuantiteAppartenanceCalculee()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceCalculee();
  }
  
  public Quantite getQuantiteAppartenanceCalculee()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceCalculee();
  }
  
  public void setQuantiteAppartenanceCalculee(Quantite p_quantiteAppartenanceCalculee)
  {
    if ((m_quantiteAppartenanceCalculee == null) || (p_quantiteAppartenanceCalculee == null))
    {
      m_quantiteAppartenanceCalculee = p_quantiteAppartenanceCalculee;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceCalculee(p_quantiteAppartenanceCalculee);
    }
    else if ((m_quantiteAppartenanceCalculee != null) && (p_quantiteAppartenanceCalculee != null) && (!p_quantiteAppartenanceCalculee.equals(m_quantiteAppartenanceCalculee)))
    {
      m_quantiteAppartenanceCalculee = p_quantiteAppartenanceCalculee;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceCalculee(p_quantiteAppartenanceCalculee);
    }
  }
  
  protected Quantite rawGetQuantiteAppartenanceImposee()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceImposee();
  }
  
  public Quantite getQuantiteAppartenanceImposee()
  {
    return ((ConditionAppartenanceMaintienPC)getPC()).getQuantiteAppartenanceImposee();
  }
  
  public void setQuantiteAppartenanceImposee(Quantite p_quantiteAppartenanceImposee)
  {
    if ((m_quantiteAppartenanceImposee == null) || (p_quantiteAppartenanceImposee == null))
    {
      m_quantiteAppartenanceImposee = p_quantiteAppartenanceImposee;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceImposee(p_quantiteAppartenanceImposee);
    }
    else if ((m_quantiteAppartenanceImposee != null) && (p_quantiteAppartenanceImposee != null) && (!p_quantiteAppartenanceImposee.equals(m_quantiteAppartenanceImposee)))
    {
      m_quantiteAppartenanceImposee = p_quantiteAppartenanceImposee;
      ((ConditionAppartenanceMaintienPC)getPC()).setQuantiteAppartenanceImposee(p_quantiteAppartenanceImposee);
    }
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (m_resultatElementDroit == null)
    {
      DomPCSpec resultatElementDroitPC = ((ConditionAppartenanceMaintienPC)getPC()).getResultatElementDroit();
      if (resultatElementDroitPC != null) {
        m_resultatElementDroit = ((ResultatElementDroit)resultatElementDroitPC.createOM());
      }
    }
    return m_resultatElementDroit;
  }
  
  public void setResultatElementDroit(ResultatElementDroit p_resultatElementDroit)
  {
    if (p_resultatElementDroit == null)
    {
      ((ConditionAppartenanceMaintienPC)getPC()).setResultatElementDroit(null);
      m_resultatElementDroit = p_resultatElementDroit;
    }
    else if (!p_resultatElementDroit.equals(m_resultatElementDroit))
    {
      ((ConditionAppartenanceMaintienPC)getPC()).setResultatElementDroit(p_resultatElementDroit.getPC());
      m_resultatElementDroit = p_resultatElementDroit;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object resultatElementDroit = getResultatElementDroit();
    if ((resultatElementDroit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(resultatElementDroit))) {
      DomManager.supprimer(getResultatElementDroit(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionAppartenanceMaintienGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */