package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.pc.ConditionNombreTrimestresMaintienPC;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class ConditionNombreTrimestresMaintienGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionNombreTrimestresMaintienPC;
  private Damj m_dateObtentionNombreTrimestres;
  private ResultatElementDroit m_resultatElementDroit;
  
  public ConditionNombreTrimestresMaintienGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionNombreTrimestresMaintienGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionNombreTrimestresMaintienPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionNombreTrimestresMaintienPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionNombreTrimestresMaintienPC)
  {
    m_conditionNombreTrimestresMaintienPC = p_conditionNombreTrimestresMaintienPC;
  }
  
  protected int rawGetNombreTrimestresRequis()
  {
    return ((ConditionNombreTrimestresMaintienPC)getPC()).getNombreTrimestresRequis();
  }
  
  public int getNombreTrimestresRequis()
  {
    return ((ConditionNombreTrimestresMaintienPC)getPC()).getNombreTrimestresRequis();
  }
  
  public void setNombreTrimestresRequis(int p_nombreTrimestresRequis)
  {
    ((ConditionNombreTrimestresMaintienPC)getPC()).setNombreTrimestresRequis(p_nombreTrimestresRequis);
  }
  
  protected Damj rawGetDateObtentionNombreTrimestres()
  {
    return ((ConditionNombreTrimestresMaintienPC)getPC()).getDateObtentionNombreTrimestres();
  }
  
  public Damj getDateObtentionNombreTrimestres()
  {
    return ((ConditionNombreTrimestresMaintienPC)getPC()).getDateObtentionNombreTrimestres();
  }
  
  public void setDateObtentionNombreTrimestres(Damj p_dateObtentionNombreTrimestres)
  {
    if ((m_dateObtentionNombreTrimestres == null) || (p_dateObtentionNombreTrimestres == null))
    {
      m_dateObtentionNombreTrimestres = p_dateObtentionNombreTrimestres;
      ((ConditionNombreTrimestresMaintienPC)getPC()).setDateObtentionNombreTrimestres(p_dateObtentionNombreTrimestres);
    }
    else if ((m_dateObtentionNombreTrimestres != null) && (p_dateObtentionNombreTrimestres != null) && (!p_dateObtentionNombreTrimestres.equals(m_dateObtentionNombreTrimestres)))
    {
      m_dateObtentionNombreTrimestres = p_dateObtentionNombreTrimestres;
      ((ConditionNombreTrimestresMaintienPC)getPC()).setDateObtentionNombreTrimestres(p_dateObtentionNombreTrimestres);
    }
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (m_resultatElementDroit == null)
    {
      DomPCSpec resultatElementDroitPC = ((ConditionNombreTrimestresMaintienPC)getPC()).getResultatElementDroit();
      if (resultatElementDroitPC != null) {
        m_resultatElementDroit = ((ResultatElementDroit)resultatElementDroitPC.createOM());
      }
    }
    return m_resultatElementDroit;
  }
  
  public void setResultatElementDroit(ResultatElementDroit p_resultatElementDroit)
  {
    if (p_resultatElementDroit == null)
    {
      ((ConditionNombreTrimestresMaintienPC)getPC()).setResultatElementDroit(null);
      m_resultatElementDroit = p_resultatElementDroit;
    }
    else if (!p_resultatElementDroit.equals(m_resultatElementDroit))
    {
      ((ConditionNombreTrimestresMaintienPC)getPC()).setResultatElementDroit(p_resultatElementDroit.getPC());
      m_resultatElementDroit = p_resultatElementDroit;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object resultatElementDroit = getResultatElementDroit();
    if ((resultatElementDroit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(resultatElementDroit))) {
      DomManager.supprimer(getResultatElementDroit(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionNombreTrimestresMaintienGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */