package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.ConditionActiviteMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionAgeMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionAppartenanceMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionDecisionCPMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionDureeIndemnisationMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionNombreTrimestresMaintien;
import fr.unedic.cali.asu.mnt.dom.pc.ConditionsAttributionAdmissionPC;
import fr.unedic.cali.dom.ConditionsAttributionAbstrait;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConditionsAttributionAdmissionGen
  extends ConditionsAttributionAbstrait
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAdmissionPC;
  private ConditionAgeMaintien m_conditionAge;
  private ConditionNombreTrimestresMaintien m_conditionNombreTrimestres;
  private ConditionActiviteMaintien m_conditionActivite;
  private ConditionAppartenanceMaintien m_conditionAppartenance;
  private ConditionDureeIndemnisationMaintien m_conditionDureeIndemnisation;
  private ConditionDecisionCPMaintien m_conditionDecisionCP;
  
  public ConditionsAttributionAdmissionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionsAttributionAdmissionGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionsAttributionAdmissionPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAdmissionPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAdmissionPC)
  {
    m_conditionsAttributionAdmissionPC = p_conditionsAttributionAdmissionPC;
  }
  
  public ConditionAgeMaintien getConditionAge()
  {
    if (m_conditionAge == null)
    {
      DomPCSpec conditionAgePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionAge();
      if (conditionAgePC != null) {
        m_conditionAge = ((ConditionAgeMaintien)conditionAgePC.createOM());
      }
    }
    return m_conditionAge;
  }
  
  public void setConditionAge(ConditionAgeMaintien p_conditionAge)
  {
    if (p_conditionAge == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAge(null);
      m_conditionAge = p_conditionAge;
    }
    else if (!p_conditionAge.equals(m_conditionAge))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAge(p_conditionAge.getPC());
      m_conditionAge = p_conditionAge;
    }
  }
  
  public ConditionNombreTrimestresMaintien getConditionNombreTrimestres()
  {
    if (m_conditionNombreTrimestres == null)
    {
      DomPCSpec conditionNombreTrimestresPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionNombreTrimestres();
      if (conditionNombreTrimestresPC != null) {
        m_conditionNombreTrimestres = ((ConditionNombreTrimestresMaintien)conditionNombreTrimestresPC.createOM());
      }
    }
    return m_conditionNombreTrimestres;
  }
  
  public void setConditionNombreTrimestres(ConditionNombreTrimestresMaintien p_conditionNombreTrimestres)
  {
    if (p_conditionNombreTrimestres == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionNombreTrimestres(null);
      m_conditionNombreTrimestres = p_conditionNombreTrimestres;
    }
    else if (!p_conditionNombreTrimestres.equals(m_conditionNombreTrimestres))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionNombreTrimestres(p_conditionNombreTrimestres.getPC());
      m_conditionNombreTrimestres = p_conditionNombreTrimestres;
    }
  }
  
  public ConditionActiviteMaintien getConditionActivite()
  {
    if (m_conditionActivite == null)
    {
      DomPCSpec conditionActivitePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionActivite();
      if (conditionActivitePC != null) {
        m_conditionActivite = ((ConditionActiviteMaintien)conditionActivitePC.createOM());
      }
    }
    return m_conditionActivite;
  }
  
  public void setConditionActivite(ConditionActiviteMaintien p_conditionActivite)
  {
    if (p_conditionActivite == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionActivite(null);
      m_conditionActivite = p_conditionActivite;
    }
    else if (!p_conditionActivite.equals(m_conditionActivite))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionActivite(p_conditionActivite.getPC());
      m_conditionActivite = p_conditionActivite;
    }
  }
  
  public ConditionAppartenanceMaintien getConditionAppartenance()
  {
    if (m_conditionAppartenance == null)
    {
      DomPCSpec conditionAppartenancePC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionAppartenance();
      if (conditionAppartenancePC != null) {
        m_conditionAppartenance = ((ConditionAppartenanceMaintien)conditionAppartenancePC.createOM());
      }
    }
    return m_conditionAppartenance;
  }
  
  public void setConditionAppartenance(ConditionAppartenanceMaintien p_conditionAppartenance)
  {
    if (p_conditionAppartenance == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAppartenance(null);
      m_conditionAppartenance = p_conditionAppartenance;
    }
    else if (!p_conditionAppartenance.equals(m_conditionAppartenance))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionAppartenance(p_conditionAppartenance.getPC());
      m_conditionAppartenance = p_conditionAppartenance;
    }
  }
  
  public ConditionDureeIndemnisationMaintien getConditionDureeIndemnisation()
  {
    if (m_conditionDureeIndemnisation == null)
    {
      DomPCSpec conditionDureeIndemnisationPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionDureeIndemnisation();
      if (conditionDureeIndemnisationPC != null) {
        m_conditionDureeIndemnisation = ((ConditionDureeIndemnisationMaintien)conditionDureeIndemnisationPC.createOM());
      }
    }
    return m_conditionDureeIndemnisation;
  }
  
  public void setConditionDureeIndemnisation(ConditionDureeIndemnisationMaintien p_conditionDureeIndemnisation)
  {
    if (p_conditionDureeIndemnisation == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionDureeIndemnisation(null);
      m_conditionDureeIndemnisation = p_conditionDureeIndemnisation;
    }
    else if (!p_conditionDureeIndemnisation.equals(m_conditionDureeIndemnisation))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionDureeIndemnisation(p_conditionDureeIndemnisation.getPC());
      m_conditionDureeIndemnisation = p_conditionDureeIndemnisation;
    }
  }
  
  public ConditionDecisionCPMaintien getConditionDecisionCP()
  {
    if (m_conditionDecisionCP == null)
    {
      DomPCSpec conditionDecisionCPPC = ((ConditionsAttributionAdmissionPC)getPC()).getConditionDecisionCP();
      if (conditionDecisionCPPC != null) {
        m_conditionDecisionCP = ((ConditionDecisionCPMaintien)conditionDecisionCPPC.createOM());
      }
    }
    return m_conditionDecisionCP;
  }
  
  public void setConditionDecisionCP(ConditionDecisionCPMaintien p_conditionDecisionCP)
  {
    if (p_conditionDecisionCP == null)
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionDecisionCP(null);
      m_conditionDecisionCP = p_conditionDecisionCP;
    }
    else if (!p_conditionDecisionCP.equals(m_conditionDecisionCP))
    {
      ((ConditionsAttributionAdmissionPC)getPC()).setConditionDecisionCP(p_conditionDecisionCP.getPC());
      m_conditionDecisionCP = p_conditionDecisionCP;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object conditionAge = getConditionAge();
    if ((conditionAge != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionAge))) {
      DomManager.supprimer(getConditionAge(), p_contexteSuppression);
    }
    Object conditionNombreTrimestres = getConditionNombreTrimestres();
    if ((conditionNombreTrimestres != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionNombreTrimestres))) {
      DomManager.supprimer(getConditionNombreTrimestres(), p_contexteSuppression);
    }
    Object conditionActivite = getConditionActivite();
    if ((conditionActivite != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionActivite))) {
      DomManager.supprimer(getConditionActivite(), p_contexteSuppression);
    }
    Object conditionAppartenance = getConditionAppartenance();
    if ((conditionAppartenance != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionAppartenance))) {
      DomManager.supprimer(getConditionAppartenance(), p_contexteSuppression);
    }
    Object conditionDureeIndemnisation = getConditionDureeIndemnisation();
    if ((conditionDureeIndemnisation != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionDureeIndemnisation))) {
      DomManager.supprimer(getConditionDureeIndemnisation(), p_contexteSuppression);
    }
    Object conditionDecisionCP = getConditionDecisionCP();
    if ((conditionDecisionCP != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionDecisionCP))) {
      DomManager.supprimer(getConditionDecisionCP(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */