package fr.unedic.cali.asu.mnt.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.dom.pc.ClassementAdministratifPC;
import fr.unedic.cali.dom.pc.DemandeAbstraitePC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUserException;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.StateManager;

public class DemandeMaintienPC
  extends DemandeAbstraitePC
  implements DomPCSpec, PersistenceCapable
{
  private transient DemandeMaintien m_demandeMaintienOM;
  protected Quantite m_quantiteJourReliquat;
  protected DossierExamenPC m_dossierExamen;
  protected DonneesForceesPC m_donneesForcees;
  protected ClassementAdministratifPC m_classementAdministratif;
  protected String m_motifReexamenPrincipal;
  protected DomPCSpec m_formulaire;
  protected DomPCSpec m_demandeMaintenue;
  protected int m_estMigree;
  protected boolean m_estDeneutralisable;
  protected boolean m_estNeutraliseeLiquidation;
  protected boolean m_estNeutraliseeCalcul;
  protected boolean m_estLiquidable;
  protected Damj m_datePremiereValidation;
  protected Damj m_dateDerniereValidation;
  protected DomPCSpec m_evenementReferenceExamen;
  protected Damj m_dateAnnulationReexamen;
  protected Collection m_listeMotifsReexamen;
  private static int jdoInheritedFieldCount = ;
  private static String[] jdoFieldNames = { "m_quantiteJourReliquat", "m_dossierExamen", "m_donneesForcees", "m_classementAdministratif", "m_motifReexamenPrincipal", "m_formulaire", "m_demandeMaintenue", "m_estMigree", "m_estDeneutralisable", "m_estNeutraliseeLiquidation", "m_estNeutraliseeCalcul", "m_estLiquidable", "m_datePremiereValidation", "m_dateDerniereValidation", "m_evenementReferenceExamen", "m_dateAnnulationReexamen", "m_listeMotifsReexamen" };
  private static Class[] jdoFieldTypes = { Quantite.class, DossierExamenPC.class, DonneesForceesPC.class, ClassementAdministratifPC.class, String.class, DomPCSpec.class, DomPCSpec.class, Integer.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Damj.class, Damj.class, DomPCSpec.class, Damj.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = class$("fr.unedic.cali.dom.pc.DemandeAbstraitePC");
  
  public DemandeMaintienPC()
  {
    jdoSetm_quantiteJourReliquat(this, null);
    jdoSetm_dossierExamen(this, null);
    jdoSetm_donneesForcees(this, null);
    jdoSetm_classementAdministratif(this, null);
    
    jdoSetm_formulaire(this, null);
    jdoSetm_demandeMaintenue(this, null);
    
    jdoSetm_estDeneutralisable(this, false);
    jdoSetm_estNeutraliseeLiquidation(this, false);
    jdoSetm_estNeutraliseeCalcul(this, false);
    jdoSetm_estLiquidable(this, false);
    
    jdoSetm_listeMotifsReexamen(this, null);
  }
  
  public Object createOM()
  {
    if (m_demandeMaintienOM == null) {
      m_demandeMaintienOM = new DemandeMaintien(this);
    }
    return m_demandeMaintienOM;
  }
  
  public Quantite getQuantiteJourReliquat()
  {
    return jdoGetm_quantiteJourReliquat(this);
  }
  
  public final void setQuantiteJourReliquat(Quantite p_quantiteJourReliquat)
  {
    jdoSetm_quantiteJourReliquat(this, p_quantiteJourReliquat);
  }
  
  public DomPCSpec getDossierExamen()
  {
    return jdoGetm_dossierExamen(this);
  }
  
  public final void setDossierExamen(DomPCSpec p_dossierExamen)
  {
    jdoSetm_dossierExamen(this, (DossierExamenPC)p_dossierExamen);
  }
  
  public DomPCSpec getDonneesForcees()
  {
    return jdoGetm_donneesForcees(this);
  }
  
  public final void setDonneesForcees(DomPCSpec p_donneesForcees)
  {
    jdoSetm_donneesForcees(this, (DonneesForceesPC)p_donneesForcees);
  }
  
  public DomPCSpec getClassementAdministratif()
  {
    return jdoGetm_classementAdministratif(this);
  }
  
  public final void setClassementAdministratif(DomPCSpec p_classementAdministratif)
  {
    jdoSetm_classementAdministratif(this, (ClassementAdministratifPC)p_classementAdministratif);
  }
  
  public String getMotifReexamenPrincipal()
  {
    return jdoGetm_motifReexamenPrincipal(this);
  }
  
  public final void setMotifReexamenPrincipal(String p_motifReexamenPrincipal)
  {
    jdoSetm_motifReexamenPrincipal(this, p_motifReexamenPrincipal);
  }
  
  public DomPCSpec getFormulaire()
  {
    return jdoGetm_formulaire(this);
  }
  
  public final void setFormulaire(DomPCSpec p_formulaire)
  {
    jdoSetm_formulaire(this, p_formulaire);
  }
  
  public DomPCSpec getDemandeMaintenue()
  {
    return jdoGetm_demandeMaintenue(this);
  }
  
  public final void setDemandeMaintenue(DomPCSpec p_demandeMaintenue)
  {
    jdoSetm_demandeMaintenue(this, p_demandeMaintenue);
  }
  
  public int getEstMigree()
  {
    return jdoGetm_estMigree(this);
  }
  
  public final void setEstMigree(int p_estMigree)
  {
    jdoSetm_estMigree(this, p_estMigree);
  }
  
  public boolean isEstDeneutralisable()
  {
    return jdoGetm_estDeneutralisable(this);
  }
  
  public final void setEstDeneutralisable(boolean p_estDeneutralisable)
  {
    jdoSetm_estDeneutralisable(this, p_estDeneutralisable);
  }
  
  public boolean isEstNeutraliseeLiquidation()
  {
    return jdoGetm_estNeutraliseeLiquidation(this);
  }
  
  public final void setEstNeutraliseeLiquidation(boolean p_estNeutraliseeLiquidation)
  {
    jdoSetm_estNeutraliseeLiquidation(this, p_estNeutraliseeLiquidation);
  }
  
  public boolean isEstNeutraliseeCalcul()
  {
    return jdoGetm_estNeutraliseeCalcul(this);
  }
  
  public final void setEstNeutraliseeCalcul(boolean p_estNeutraliseeCalcul)
  {
    jdoSetm_estNeutraliseeCalcul(this, p_estNeutraliseeCalcul);
  }
  
  public boolean isEstLiquidable()
  {
    return jdoGetm_estLiquidable(this);
  }
  
  public final void setEstLiquidable(boolean p_estLiquidable)
  {
    jdoSetm_estLiquidable(this, p_estLiquidable);
  }
  
  public Damj getDatePremiereValidation()
  {
    return jdoGetm_datePremiereValidation(this);
  }
  
  public final void setDatePremiereValidation(Damj p_datePremiereValidation)
  {
    jdoSetm_datePremiereValidation(this, p_datePremiereValidation);
  }
  
  public Damj getDateDerniereValidation()
  {
    return jdoGetm_dateDerniereValidation(this);
  }
  
  public final void setDateDerniereValidation(Damj p_dateDerniereValidation)
  {
    jdoSetm_dateDerniereValidation(this, p_dateDerniereValidation);
  }
  
  public DomPCSpec getEvenementReferenceExamen()
  {
    return jdoGetm_evenementReferenceExamen(this);
  }
  
  public final void setEvenementReferenceExamen(DomPCSpec p_evenementReferenceExamen)
  {
    jdoSetm_evenementReferenceExamen(this, p_evenementReferenceExamen);
  }
  
  public Damj getDateAnnulationReexamen()
  {
    return jdoGetm_dateAnnulationReexamen(this);
  }
  
  public final void setDateAnnulationReexamen(Damj p_dateAnnulationReexamen)
  {
    jdoSetm_dateAnnulationReexamen(this, p_dateAnnulationReexamen);
  }
  
  public final Collection getCollectionMotifReexamen()
  {
    if (jdoGetm_listeMotifsReexamen(this) == null) {
      jdoSetm_listeMotifsReexamen(this, new ArrayList());
    }
    return jdoGetm_listeMotifsReexamen(this);
  }
  
  public final void ajouterMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionMotifReexamen().add(p_motifReexamen);
  }
  
  public final void supprimerMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionMotifReexamen().remove(p_motifReexamen);
  }
  
  static
  {
    JDOImplHelper.registerClass(DemandeMaintienPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new DemandeMaintienPC());
  }
  
  protected static final Quantite jdoGetm_quantiteJourReliquat(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_quantiteJourReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_quantiteJourReliquat);
    }
    return m_quantiteJourReliquat;
  }
  
  protected static final DossierExamenPC jdoGetm_dossierExamen(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dossierExamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_dossierExamen;
      }
      return (DossierExamenPC)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_dossierExamen);
    }
    return m_dossierExamen;
  }
  
  protected static final DonneesForceesPC jdoGetm_donneesForcees(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_donneesForcees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_donneesForcees;
      }
      return (DonneesForceesPC)sm.getObjectField(pc, jdoInheritedFieldCount + 2, m_donneesForcees);
    }
    return m_donneesForcees;
  }
  
  protected static final ClassementAdministratifPC jdoGetm_classementAdministratif(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_classementAdministratif;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_classementAdministratif;
      }
      return (ClassementAdministratifPC)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_classementAdministratif);
    }
    return m_classementAdministratif;
  }
  
  protected static final String jdoGetm_motifReexamenPrincipal(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifReexamenPrincipal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_motifReexamenPrincipal;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 4, m_motifReexamenPrincipal);
    }
    return m_motifReexamenPrincipal;
  }
  
  protected static final DomPCSpec jdoGetm_formulaire(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_formulaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_formulaire;
      }
      return (DomPCSpec)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_formulaire);
    }
    return m_formulaire;
  }
  
  protected static final DomPCSpec jdoGetm_demandeMaintenue(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_demandeMaintenue;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_demandeMaintenue;
      }
      return (DomPCSpec)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_demandeMaintenue);
    }
    return m_demandeMaintenue;
  }
  
  protected static final int jdoGetm_estMigree(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estMigree;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_estMigree;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 7, m_estMigree);
    }
    return m_estMigree;
  }
  
  protected static final boolean jdoGetm_estDeneutralisable(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDeneutralisable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_estDeneutralisable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 8, m_estDeneutralisable);
    }
    return m_estDeneutralisable;
  }
  
  protected static final boolean jdoGetm_estNeutraliseeLiquidation(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estNeutraliseeLiquidation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_estNeutraliseeLiquidation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_estNeutraliseeLiquidation);
    }
    return m_estNeutraliseeLiquidation;
  }
  
  protected static final boolean jdoGetm_estNeutraliseeCalcul(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estNeutraliseeCalcul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_estNeutraliseeCalcul;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_estNeutraliseeCalcul);
    }
    return m_estNeutraliseeCalcul;
  }
  
  protected static final boolean jdoGetm_estLiquidable(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estLiquidable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_estLiquidable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_estLiquidable);
    }
    return m_estLiquidable;
  }
  
  protected static final Damj jdoGetm_datePremiereValidation(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_datePremiereValidation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_datePremiereValidation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 12, m_datePremiereValidation);
    }
    return m_datePremiereValidation;
  }
  
  protected static final Damj jdoGetm_dateDerniereValidation(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDerniereValidation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_dateDerniereValidation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_dateDerniereValidation);
    }
    return m_dateDerniereValidation;
  }
  
  protected static final DomPCSpec jdoGetm_evenementReferenceExamen(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_evenementReferenceExamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_evenementReferenceExamen;
      }
      return (DomPCSpec)sm.getObjectField(pc, jdoInheritedFieldCount + 14, m_evenementReferenceExamen);
    }
    return m_evenementReferenceExamen;
  }
  
  protected static final Damj jdoGetm_dateAnnulationReexamen(DemandeMaintienPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAnnulationReexamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_dateAnnulationReexamen;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_dateAnnulationReexamen);
    }
    return m_dateAnnulationReexamen;
  }
  
  protected static final Collection jdoGetm_listeMotifsReexamen(DemandeMaintienPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_listeMotifsReexamen;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_listeMotifsReexamen);
    }
    return m_listeMotifsReexamen;
  }
  
  protected static final void jdoSetm_quantiteJourReliquat(DemandeMaintienPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_quantiteJourReliquat, newValue);
    } else {
      m_quantiteJourReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_dossierExamen(DemandeMaintienPC pc, DossierExamenPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_dossierExamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_dossierExamen, newValue);
    } else {
      m_dossierExamen = newValue;
    }
  }
  
  protected static final void jdoSetm_donneesForcees(DemandeMaintienPC pc, DonneesForceesPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_donneesForcees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 2, m_donneesForcees, newValue);
    } else {
      m_donneesForcees = newValue;
    }
  }
  
  protected static final void jdoSetm_classementAdministratif(DemandeMaintienPC pc, ClassementAdministratifPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_classementAdministratif = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_classementAdministratif, newValue);
    } else {
      m_classementAdministratif = newValue;
    }
  }
  
  protected static final void jdoSetm_motifReexamenPrincipal(DemandeMaintienPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifReexamenPrincipal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 4, m_motifReexamenPrincipal, newValue);
    } else {
      m_motifReexamenPrincipal = newValue;
    }
  }
  
  protected static final void jdoSetm_formulaire(DemandeMaintienPC pc, DomPCSpec newValue)
  {
    if (jdoFlags == 0)
    {
      m_formulaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_formulaire, newValue);
    } else {
      m_formulaire = newValue;
    }
  }
  
  protected static final void jdoSetm_demandeMaintenue(DemandeMaintienPC pc, DomPCSpec newValue)
  {
    if (jdoFlags == 0)
    {
      m_demandeMaintenue = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_demandeMaintenue, newValue);
    } else {
      m_demandeMaintenue = newValue;
    }
  }
  
  protected static final void jdoSetm_estMigree(DemandeMaintienPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_estMigree = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 7, m_estMigree, newValue);
    } else {
      m_estMigree = newValue;
    }
  }
  
  protected static final void jdoSetm_estDeneutralisable(DemandeMaintienPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDeneutralisable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 8, m_estDeneutralisable, newValue);
    } else {
      m_estDeneutralisable = newValue;
    }
  }
  
  protected static final void jdoSetm_estNeutraliseeLiquidation(DemandeMaintienPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estNeutraliseeLiquidation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_estNeutraliseeLiquidation, newValue);
    } else {
      m_estNeutraliseeLiquidation = newValue;
    }
  }
  
  protected static final void jdoSetm_estNeutraliseeCalcul(DemandeMaintienPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estNeutraliseeCalcul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_estNeutraliseeCalcul, newValue);
    } else {
      m_estNeutraliseeCalcul = newValue;
    }
  }
  
  protected static final void jdoSetm_estLiquidable(DemandeMaintienPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estLiquidable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_estLiquidable, newValue);
    } else {
      m_estLiquidable = newValue;
    }
  }
  
  protected static final void jdoSetm_datePremiereValidation(DemandeMaintienPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_datePremiereValidation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 12, m_datePremiereValidation, newValue);
    } else {
      m_datePremiereValidation = newValue;
    }
  }
  
  protected static final void jdoSetm_dateDerniereValidation(DemandeMaintienPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDerniereValidation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_dateDerniereValidation, newValue);
    } else {
      m_dateDerniereValidation = newValue;
    }
  }
  
  protected static final void jdoSetm_evenementReferenceExamen(DemandeMaintienPC pc, DomPCSpec newValue)
  {
    if (jdoFlags == 0)
    {
      m_evenementReferenceExamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 14, m_evenementReferenceExamen, newValue);
    } else {
      m_evenementReferenceExamen = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAnnulationReexamen(DemandeMaintienPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAnnulationReexamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_dateAnnulationReexamen, newValue);
    } else {
      m_dateAnnulationReexamen = newValue;
    }
  }
  
  protected static final void jdoSetm_listeMotifsReexamen(DemandeMaintienPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_listeMotifsReexamen, newValue);
    } else {
      m_listeMotifsReexamen = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourReliquat);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dossierExamen);
      break;
    case 2: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_donneesForcees);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_classementAdministratif);
      break;
    case 4: 
      jdoStateManager.providedStringField(this, fieldNumber, m_motifReexamenPrincipal);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_formulaire);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_demandeMaintenue);
      break;
    case 7: 
      jdoStateManager.providedIntField(this, fieldNumber, m_estMigree);
      break;
    case 8: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDeneutralisable);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estNeutraliseeLiquidation);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estNeutraliseeCalcul);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estLiquidable);
      break;
    case 12: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_datePremiereValidation);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDerniereValidation);
      break;
    case 14: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_evenementReferenceExamen);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAnnulationReexamen);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeMotifsReexamen);
      break;
    default: 
      if (relativeField < 0) {
        super.jdoProvideField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_quantiteJourReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_dossierExamen = ((DossierExamenPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_donneesForcees = ((DonneesForceesPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 3: 
      m_classementAdministratif = ((ClassementAdministratifPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_motifReexamenPrincipal = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 5: 
      m_formulaire = ((DomPCSpec)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_demandeMaintenue = ((DomPCSpec)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_estMigree = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 8: 
      m_estDeneutralisable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 9: 
      m_estNeutraliseeLiquidation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_estNeutraliseeCalcul = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_estLiquidable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_datePremiereValidation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 13: 
      m_dateDerniereValidation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_evenementReferenceExamen = ((DomPCSpec)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 15: 
      m_dateAnnulationReexamen = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_listeMotifsReexamen = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      if (relativeField < 0) {
        super.jdoReplaceField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    DemandeMaintienPC pc = new DemandeMaintienPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    DemandeMaintienPC pc = new DemandeMaintienPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 17;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof DemandeMaintienPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    DemandeMaintienPC other = (DemandeMaintienPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_quantiteJourReliquat = m_quantiteJourReliquat;
        break;
      case 1: 
        m_dossierExamen = m_dossierExamen;
        break;
      case 2: 
        m_donneesForcees = m_donneesForcees;
        break;
      case 3: 
        m_classementAdministratif = m_classementAdministratif;
        break;
      case 4: 
        m_motifReexamenPrincipal = m_motifReexamenPrincipal;
        break;
      case 5: 
        m_formulaire = m_formulaire;
        break;
      case 6: 
        m_demandeMaintenue = m_demandeMaintenue;
        break;
      case 7: 
        m_estMigree = m_estMigree;
        break;
      case 8: 
        m_estDeneutralisable = m_estDeneutralisable;
        break;
      case 9: 
        m_estNeutraliseeLiquidation = m_estNeutraliseeLiquidation;
        break;
      case 10: 
        m_estNeutraliseeCalcul = m_estNeutraliseeCalcul;
        break;
      case 11: 
        m_estLiquidable = m_estLiquidable;
        break;
      case 12: 
        m_datePremiereValidation = m_datePremiereValidation;
        break;
      case 13: 
        m_dateDerniereValidation = m_dateDerniereValidation;
        break;
      case 14: 
        m_evenementReferenceExamen = m_evenementReferenceExamen;
        break;
      case 15: 
        m_dateAnnulationReexamen = m_dateAnnulationReexamen;
        break;
      case 16: 
        m_listeMotifsReexamen = m_listeMotifsReexamen;
      }
    }
    super.jdoCopyFields(pc, fieldNumbers);
  }
}

/* Location:
 * Qualified Name:     DemandeMaintienPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */