package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.util.services.CoucheLogiqueException;
import java.util.HashMap;

public class CodesErreursSimulationCalcul
{
  public static final String CODE_ERREUR_GENERIQUE_SIMULATION_DROIT = "ERR_GENERIQUE_SIMULATION_DROIT";
  public static final String CODE_TYPE_JOURS_ICCP_NON_VALIDE = "ERR_TYPE_JOURS_ICCP_NON_VALIDE";
  private static final String LIB_TYPE_JOURS_ICCP_NON_VALIDE = "Code non valide pour le type de jours ICCP.";
  public static final String CODE_PRODUIT_NON_GERE = "ERR_PRODUIT_NON_GERE";
  private static final String LIB_PRODUIT_NON_GERE = "Produit %ARG% non géré.";
  public static final String CODE_OBLIGATOIRE_DATE_NAISSANCE = "ERR_OBLIGATOIRE_DATE_NAISSANCE";
  private static final String LIB_OBLIGATOIRE_DATE_NAISSANCE = "Date de naissance non renseignée.";
  public static final String CODE_OBLIGATOIRE_DATE_DEBUT = "ERR_OBLIGATOIRE_DATE_DEBUT";
  private static final String LIB_OBLIGATOIRE_DATE_DEBUT = "Date début période travail non renseignée.";
  public static final String CODE_OBLIGATOIRE_DATE_FIN = "ERR_OBLIGATOIRE_DATE_FIN";
  private static final String LIB_OBLIGATOIRE_DATE_FIN = "Date fin période travail non renseignée.";
  public static final String CODE_OBLIGATOIRE_DJTP = "ERR_OBLIGATOIRE_DJTP";
  private static final String LIB_OBLIGATOIRE_DJTP = "Dernier jour travaillé non renseigné.";
  public static final String CODE_OBLIGATOIRE_TEMPS_PARTIEL = "ERR_OBLIGATOIRE_TEMPS_PARTIEL";
  private static final String LIB_OBLIGATOIRE_TEMPS_PARTIEL = "Temps partiel non renseigné.";
  public static final String CODE_OBLIGATOIRE_TYPE_JOURS_ICCP = "ERR_OBLIGATOIRE_TYPE_JOURS_ICCP";
  private static final String LIB_OBLIGATOIRE_TYPE_JOURS_ICCP = "Type de jours ICCP non renseigné.";
  public static final String CODE_OBLIGATOIRE_NOMBRE_JOURS_CONGES = "ERR_OBLIGATOIRE_NOMBRE_JOURS_CONGES";
  private static final String LIB_OBLIGATOIRE_NOMBRE_JOURS_CONGES = "Nombre de jours de congés non renseigné.";
  public static final String CODE_OBLIGATOIRE_INDEMNITES_LICENCIEMENT = "ERR_OBLIGATOIRE_INDEMNITES_LICENCIEMENT";
  private static final String LIB_OBLIGATOIRE_INDEMNITES_LICENCIEMENT = "Indemnités de licenciement non renseignées.";
  public static final String CODE_NON_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL = "ERR_NON_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL";
  private static final String LIB_NON_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL = "Montant 12 derniers mois non renseigné et Montant brut mensuel non renseigné.";
  public static final String CODE_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL = "ERR_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL";
  private static final String LIB_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL = "Montant 12 derniers mois renseigné et Montant brut mensuel renseigné en même temps.";
  public static final String CODE_OBLIGATOIRE_AU_MOINS_UN_CONTRAT = "ERR_OBLIGATOIRE_AU_MOINS_UN_CONTRAT";
  private static final String LIB_OBLIGATOIRE_AU_MOINS_UN_CONTRAT = "Aucun contrat de travail renseigné.";
  public static final String CODE_OBLIGATOIRE_CONTRAT_CATEGORIE_EMPLOI_PARTICULIER = "ERR_OBLIGATOIRE_CONTRAT_CATEGORIE_EMPLOI_PARTICULIER";
  private static final String LIB_OBLIGATOIRE_CONTRAT_CATEGORIE_EMPLOI_PARTICULIER = "Catégorie emploi particulier non renseignée.";
  public static final String CODE_OBLIGATOIRE_MOTIF_RUPTURE = "ERR_OBLIGATOIRE_MOTIF_RUPTURE";
  private static final String LIB_OBLIGATOIRE_MOTIF_RUPTURE = "Motif rupture non renseigné.";
  public static final String CODE_OBLIGATOIRE_HORAIRE_HEBDO_SALAIRE = "ERR_OBLIGATOIRE_HORAIRE_HEBDO_SALAIRE";
  private static final String LIB_OBLIGATOIRE_HORAIRE_HEBDO_SALAIRE = "Horaire hebdo salaire non renseignée.";
  public static final String CODE_OBLIGATOIRE_INDEMNITES_CP = "ERR_OBLIGATOIRE_INDEMNITES_CP";
  private static final String LIB_OBLIGATOIRE_INDEMNITES_CP = "Indemnités congés payés non renseignées.";
  private static HashMap s_libelleCodesErreurs = new HashMap();
  
  static
  {
    s_libelleCodesErreurs.put("ERR_TYPE_JOURS_ICCP_NON_VALIDE", "Code non valide pour le type de jours ICCP.");
    s_libelleCodesErreurs.put("ERR_PRODUIT_NON_GERE", "Produit %ARG% non géré.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_DATE_NAISSANCE", "Date de naissance non renseignée.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_DATE_DEBUT", "Date début période travail non renseignée.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_DATE_FIN", "Date fin période travail non renseignée.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_DJTP", "Dernier jour travaillé non renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_TEMPS_PARTIEL", "Temps partiel non renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_TYPE_JOURS_ICCP", "Type de jours ICCP non renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_NOMBRE_JOURS_CONGES", "Nombre de jours de congés non renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_INDEMNITES_LICENCIEMENT", "Indemnités de licenciement non renseignées.");
    s_libelleCodesErreurs.put("ERR_NON_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL", "Montant 12 derniers mois non renseigné et Montant brut mensuel non renseigné.");
    s_libelleCodesErreurs.put("ERR_RENSEIGNES_MONTANTS_ANNUEL_ET_MENSUEL", "Montant 12 derniers mois renseigné et Montant brut mensuel renseigné en même temps.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_AU_MOINS_UN_CONTRAT", "Aucun contrat de travail renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_CONTRAT_CATEGORIE_EMPLOI_PARTICULIER", "Catégorie emploi particulier non renseignée.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_HORAIRE_HEBDO_SALAIRE", "Horaire hebdo salaire non renseignée.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_MOTIF_RUPTURE", "Motif rupture non renseigné.");
    s_libelleCodesErreurs.put("ERR_OBLIGATOIRE_INDEMNITES_CP", "Indemnités congés payés non renseignées.");
  }
  
  public static void genererCoucheLogiqueException(String p_codeErreur)
    throws CoucheLogiqueException
  {
    String message = (String)s_libelleCodesErreurs.get(p_codeErreur);
    throw new CoucheLogiqueException(p_codeErreur, message);
  }
  
  public static void genererCoucheLogiqueException(String p_codeErreur, Object[] p_args)
    throws CoucheLogiqueException
  {
    throw creerCoucheLogiqueException(p_codeErreur, p_args);
  }
  
  public static CoucheLogiqueException creerCoucheLogiqueException(String p_codeErreur, Object[] p_args)
  {
    return new CoucheLogiqueException(p_codeErreur, creerMessageParametres(p_codeErreur, p_args));
  }
  
  private static String creerMessageParametres(String p_codeErreur, Object[] p_args)
  {
    String message = null;
    message = (String)s_libelleCodesErreurs.get(p_codeErreur);
    if (p_args != null) {
      for (int i = 0; i < p_args.length; i++) {
        message = message.replaceFirst("%ARG%", p_args[i].toString());
      }
    }
    return message;
  }
}

/* Location:
 * Qualified Name:     CodesErreursSimulationCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */