package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.affectation.parametres.AccesDecorReglementaire;
import fr.unedic.cali.affectation.parametres.CriteresQualification;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.EreClauseRattrapageSpectacle;
import fr.unedic.cali.asu.dom.EreRevisionConvention2014;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.OdAssuranceSpec;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.fabriques.FabriqueVerificationDonneesSaisieAntecedent;
import fr.unedic.cali.asu.liquidation.antecedent.VerificationDonneesSaisieAntecedentSpec;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieControleDonneesSecteurPublicApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieControleDonneesSecteurPublicApres2016;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieControleDonneesSecteurPublicAvant;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieControleDonneesSecteurPublicSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieDroitOptionElargiApres;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieDroitOptionElargiAvant;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieMotifRejetSPApres;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieMotifRejetSPAvant;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieDroitOptionElargiSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieMotifRejetSPSpec;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnChargeSansFiltre;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.ClassementAdministratifSpec;
import fr.unedic.cali.dom.ClassementCompetenceSecteurPublic;
import fr.unedic.cali.dom.ConteneurConventionGestion;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.cali.dom.RepriseSecteurPublicSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.affectation.DecorReglementaire;
import fr.unedic.cali.dom.affectation.LigneAsuCaa14;
import fr.unedic.cali.dom.affectation.LigneAsuCge;
import fr.unedic.cali.dom.affectation.LigneAsuCva10;
import fr.unedic.cali.dom.affectation.LigneAsuFds12;
import fr.unedic.cali.dom.affectation.LigneAsuSpe02;
import fr.unedic.cali.dom.affectation.LigneAsuSsp07;
import fr.unedic.cali.dom.affectation.LigneSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P05;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.fabriques.outilsfonctionnels.FabriqueStrategieGenerique;
import fr.unedic.cali.outilsfonctionnels.ComparateurSurDateDeclenchementDemandeDecroissante;
import fr.unedic.cali.outilsfonctionnels.DetectionTypeChomage;
import fr.unedic.cali.outilsfonctionnels.OutilChronologie;
import fr.unedic.cali.outilsfonctionnels.OutilConventionGestion;
import fr.unedic.cali.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieAvecChomageTotalSansRupture;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreDateDeclenchementExamenAvantOuCoincideDateEtInclusParPriorite;
import fr.unedic.cali.utilitaire.filtres.FiltreCaliSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourClassement;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreNegation;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologieDebuts;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreFinDansBornes;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.List;
import java.util.ListIterator;

public class VerificationDonneesForcees
{
  private static final double LIMITE_MAX_ISLR = 75.0D;
  private static final int TRANSFERT_ARE_MAYOTTE = 4;
  private static VerificationDonneesForcees instance = new VerificationDonneesForcees();
  
  public static VerificationDonneesForcees getInstance()
  {
    return instance;
  }
  
  public void verifierDonneesForceesSurEnregistrementDemande(Demande demande)
    throws CoucheLogiqueException
  {
    StrategieMotifRejetSPSpec strategie = (StrategieMotifRejetSPSpec)FabriqueStrategieGenerique.choisirStrategie(demande.getDateDeclenchementExamen(), "Reprise SP", new StrategieMotifRejetSPAvant(), new StrategieMotifRejetSPApres());
    
    strategie.verifierAlerteNonBloquanteMotifRejetSP(demande);
  }
  
  public void verifierDonneesForcees(Demande demande, Damj dateTraitement)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    boolean estContexteEntreeCraPresent = estDemandeEnEntreeCra(demande);
    if (donneesForcees != null)
    {
      verifierDonneesForceesInfoComplement(demande);
      verifierDonneesInfoComplementASPPAP(demande);
    }
    SaisieAntecedent antecedent = demande.getSaisieAntecedent();
    if (!estContexteEntreeCraPresent) {
      verifPresenceDonneesForcees(demande, donneesForcees);
    }
    if (OutilsActiviteConserve.estUneDemandeDeRevision(demande)) {
      verifierDonneesForceesRevision(demande);
    }
    if ((OutilsActiviteConserve.estUneDemandeDeRevisionAdmission(demande)) && (!"REVAUTO".equals(((EreRevisionConvention2014)demande.getEvenementReferenceExamen()).getContexteDemande()))) {
      verifierDonneesForceesRevisionAdmission(demande);
    }
    if (antecedent != null)
    {
      VerificationDonneesSaisieAntecedentSpec outilVerif = FabriqueVerificationDonneesSaisieAntecedent.getOutilVerificationDonneesSaisies(demande);
      outilVerif.verifierDonneesForcees(demande, dateTraitement);
    }
    if ((estContexteEntreeCraPresent) && (!estUnAntecedent(demande))) {
      verifierDonneesForceesCRA(demande);
    }
    if (OutilDemande.estUneDemandeFinDroitAsp(demande)) {
      verifierDonneesForceesFinAsp(demande);
    }
    if (((demande.getClassementAdministratif() instanceof ClassementCompetenceSecteurPublic)) && (demande.getDateDeclenchementExamen() != null)) {
      verifierMotifRejetSP(demande.getDateDeclenchementExamen(), ((ClassementCompetenceSecteurPublic)demande.getClassementAdministratif()).getMotifNotification());
    }
  }
  
  private boolean estUnAntecedent(DemandeSpec demande)
  {
    return "ASU_22".equals(demande.getEvenementReferenceExamen().getTypeExamen());
  }
  
  private void verifPresenceDonneesForcees(Demande demande, DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees != null)
    {
      if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) || (donneesForcees.isSaisieCasSpectacleDonneesTemporaire()) || (donneesForcees.isSaisieCasExpatriesDonneesTemporaire())) {
        verifierDonneesForceesCommunes(demande);
      }
      if (donneesForcees.isSaisieCasGeneralDonneesTemporaire()) {
        verifierDonneesForceesCasGeneral(demande);
      }
      if (donneesForcees.isSaisieCasSpectacleDonneesTemporaire()) {
        verifierDonneesForceesSpectacle(demande);
      }
      if (donneesForcees.isSaisieCasExpatriesDonneesTemporaire()) {
        verifierDonneesForceesExpatries(demande);
      }
    }
  }
  
  private void verifierDonneesForceesFinAsp(Demande demande)
    throws CoucheLogiqueException
  {
    Demande demandeOrigine = (Demande)OutilFinDroit.rechercherDemandeODPrecedenteCorrespondante(demande);
    if ((demandeOrigine != null) && (demandeOrigine.getSaisieAntecedent() != null) && (estDonneesForceesRenseignees(demande))) {
      GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_FIN_ASP_SANS_DF");
    }
  }
  
  private boolean estDonneesForceesRenseignees(Demande demande)
  {
    return (demande.getDonneesTemporaires() == null) || (demande.getDonneesTemporaires().getIdentifiantPeriodeFctARetenir() == null) || (demande.getDonneesTemporaires().getQuantiteAffiliation() == null) || (demande.getDonneesTemporaires().getSjr() == null);
  }
  
  public void verifierDonneesForceesRevision(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    verificationCoefficien(donneesForcees);
    if (donneesForcees.getIdentifiantPeriodeActiviteConserveePerdue() == null)
    {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ABSENCE_ACTIVITE_PERDUE_REVISION", 1);
    }
    else
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(donneesForcees.getIdentifiantPeriodeActiviteConserveePerdue());
      if (periodeFct == null)
      {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_ACTIVITE_PERDUE_NON_VALID", 1);
      }
      else
      {
        Chronologie listeActivite = OutilsActiviteConserve.getListeActiviteConservees(demande.getDemandeur(), demande);
        if ((listeActivite == null) || (!listeActivite.contientElement(periodeFct))) {
          GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ACTIVITE_PLUS_CONSERVEE", 1);
        }
        int codeMotifFin = periodeFct.getCodeMotifFin();
        int contexteDemission = periodeFct.getContrat().getContexteDemission();
        if (!DetectionTypeChomage.estChomageLegitime(codeMotifFin, contexteDemission))
        {
          GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ACTIVITE_PERDUE_REVISION_ILLEGITIME", 1);
        }
        else
        {
          Damj dateEffetRevision = demande.getDonneesTemporaires().getDateEffetActConserveeDonneesTemporaire();
          if ((dateEffetRevision != null) && (dateEffetRevision.estAvantOuCoincideAvec(periodeFct.getDateFin()))) {
            GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONTEXTE_DF_DATE_EFFET_INFERIEUR", new Object[] { periodeFct.getDateFin() }, 1);
          }
        }
      }
    }
  }
  
  private void verificationCoefficien(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getCoefficientTempsPartielActConservee() != null)
    {
      double coefTP = donneesForcees.getCoefficientTempsPartielActConservee().doubleValue();
      if ((coefTP > 1.0D) || (coefTP <= 0.0D)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_ERR_COEFF_TP_DOIT_ETRE_ENTRE_0_ET_1", 1);
      }
    }
  }
  
  public void verifierDonneesForceesRevisionAdmission(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (donneesForcees.getCoefficientTempsPartielActConservee() != null)
    {
      double coefTP = donneesForcees.getCoefficientTempsPartielActConservee().doubleValue();
      if ((coefTP > 1.0D) || (coefTP <= 0.0D)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_ERR_COEFF_TP_DOIT_ETRE_ENTRE_0_ET_1", 1);
      }
    }
    if (donneesForcees.getIdentifiantPeriodeActiviteConserveePerdue() == null)
    {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ABSENCE_ACTIVITE_PERDUE_REVISION", 1);
    }
    else
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(donneesForcees.getIdentifiantPeriodeActiviteConserveePerdue());
      if (periodeFct == null) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_ACTIVITE_PERDUE_NON_VALID", 1);
      }
      Chronologie listeActivite = OutilsActiviteConserve.getListeActiviteConservees(demande.getDemandeur(), demande);
      if ((listeActivite == null) || (!listeActivite.contientElement(periodeFct))) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ACTIVITE_PLUS_CONSERVEE", 1);
      }
      controlerReglementPeriode(demande, periodeFct);
      
      controlerFctsMemeDate(demande, periodeFct, listeActivite);
      
      verifierUniteAffiForcee(demande, periodeFct);
      if ((donneesForcees.getSjrPerteActConservee() != null) && (donneesForcees.getTermePrc() == null)) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_REVISION_SJR");
      }
      activiteePerdueRenseignee(donneesForcees, periodeFct);
    }
  }
  
  private void activiteePerdueRenseignee(DonneesTemporaires donneesForcees, ActiviteSalarie periodeFct)
    throws CoucheLogiqueException
  {
    boolean pmcRenseignee = donneesForcees.getFinPmc() != null;
    boolean fctRenseignee = donneesForcees.getIndentifiantFctPMC() != null;
    boolean iccpRenseignee = donneesForcees.getQuantiteJourICCP() != null;
    boolean islrRenseignee = donneesForcees.getQuantiteJourISLR() != null;
    if ((fctRenseignee) && (!pmcRenseignee) && (!iccpRenseignee) && (!islrRenseignee)) {
      GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_REVISION_PMC");
    }
    if ((donneesForcees.getFinPmc() != null) && (donneesForcees.getFinPmc().estAvantOuCoincideAvec(periodeFct.getDateFin()))) {
      GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_REVISION_PMC_2");
    }
    if (((donneesForcees.getQuantiteJourICCP() != null) || (donneesForcees.getQuantiteJourISLR() != null)) && (donneesForcees.getIndentifiantFctPMC() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_FCT_ICCP_MANQUANTE", 1);
    }
  }
  
  public void verifierDonneesForceesPostLiquidation(Demande demande)
    throws CoucheLogiqueException
  {
    verifierDonneesAvecReglementApplicable(demande);
    
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    String identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = donneesForcees.getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture();
    Damj dateAttributionChomageTotalSansRupture = donneesForcees.getNouvelleDateAttributionChomageTotalSansRupture();
    QuantiteJour qantiteJoursDiffereChomageTotalSansRupture = donneesForcees.getQuantiteJoursDiffereChomageTotalSansRupture();
    if (donneesForcees.isSaisieCasGeneralDonneesTemporaire())
    {
      boolean estDonneeForceeTraitementRuptureContratSuspSaisie = (identifiantPeriodeFinContratDeTravailChomageTotalSansRupture != null) || (dateAttributionChomageTotalSansRupture != null) || (qantiteJoursDiffereChomageTotalSansRupture != null);
      if (estDonneeForceeTraitementRuptureContratSuspSaisie) {
        controlerDonneesForceesTraitementRuptureContratSusp(demande);
      }
    }
    if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) || (donneesForcees.isSaisieCasSpectacleDonneesTemporaire()))
    {
      verifierDonneesForceesCommunesPostLiquidation(demande);
      
      verifierCoherenceDonneesForceesAvecProduitAffecte(demande);
    }
    if ((donneesForcees.isSaisieCasExpatriesDonneesTemporaire()) || (verifierRejetDVExpatries(demande))) {
      verifierDonneesForceesExpatriesDecisionPostLiquidation(demande);
    }
    if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) || (donneesForcees.isSaisieCasSpectacleDonneesTemporaire())) {
      controlerCoherenceIccpForcee(demande);
    }
    ContexteDemande contexteDemandeEnCrsSusp = (ContexteDemande)OutilGestionContexteDemande.trouverUnContexteDemandeAssurancePresent(demande, 4);
    if (contexteDemandeEnCrsSusp != null)
    {
      String idDemande = contexteDemandeEnCrsSusp.getIdPremiereDemandeCsrDansSuspension();
      DemandeAssuranceSpec demandeOrigine = (DemandeAssuranceSpec)demande.getDemandeur().rechercherDemande(idDemande);
      if ((demandeOrigine.getIdentifiant().equals(demande.getIdentifiant())) && (estDateAttributionCPChomageSansRuptureIncorrect(demande, donneesForcees))) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DF_CSR_ATTRIB_EGAL_EXAM", new Object[] { demande.getDateExamen().toString() }, 1);
      }
    }
    if (donneesForcees.isEstIgnorerAttribPrecCSR())
    {
      FiltreCaliSpec filtreAttributionAssurance = new FiltreAttributionStandardAssurance(true, true, false, true, demande);
      AttributionAssuranceSpec attributionAssurancePrecedente = (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(demande.getChronologieDemandesAssuranceSansCourante(), demande, filtreAttributionAssurance);
      if (attributionAssurancePrecedente != null)
      {
        Demande demandePrecedente = (Demande)attributionAssurancePrecedente.getDemande();
        if ((demandePrecedente.getListContexteDemande() != null) && (!OutilsChomageSansRCT.estUnContexteDeChomageEnCoursDeSuspension(demandePrecedente.getListContexteDemande()))) {
          GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DONNEES_FORCEES_CSR_IGNORER_RELIQUAT", new Object[] { demande.getDateExamen().toString() }, 1);
        }
      }
      else
      {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DONNEES_FORCEES_CSR_IGNORER_RELIQUAT", new Object[] { demande.getDateExamen().toString() }, 1);
      }
    }
    verifierDonneesForceesPensionInvaliditePostLiquidation(demande);
    
    verifierDroitOptionForce(demande);
    
    verifierDateLimiteIndemnisation(demande);
    
    verifierImputationSuiteFinASP(demande);
  }
  
  private boolean estDateAttributionCPChomageSansRuptureIncorrect(Demande demande, DonneesTemporaires donneesForcees)
  {
    return (donneesForcees.getDateAttributionCPChomageTotalSansRupture() != null) && (donneesForcees.isEstSalarieHandicapeChomageTotalSansRupture()) && (!demande.getDateExamen().coincideAvec(donneesForcees.getDateAttributionCPChomageTotalSansRupture()));
  }
  
  private void verifierImputationSuiteFinASP(Demande demande)
    throws CoucheLogiqueException
  {
    boolean imputationNonForcee = demande.getDonneesTemporaires().getNbJourImputationDroitPrecedent() == null;
    AttributionAssuranceSpec attribution = demande.getAttribution();
    boolean reprise = (attribution != null) && (NaturesDecisions.estdeTypeReprise(attribution.getNatureDecision()));
    if ((reprise) && (imputationNonForcee))
    {
      FiltreDemandePourClassement filtreSO = new FiltreDemandePourClassement("SO");
      FiltreNegation filtre = new FiltreNegation(filtreSO);
      Demande demandePredecente = (Demande)OutilRecherche.rechercherDemandePrecedente(demande.getChronologieDemandesAssuranceSansCourante(), demande, filtre);
      
      DecisionSpec dossierExamen = (DecisionSpec)demandePredecente.getDossierExamen();
      if ((dossierExamen != null) && ("ASU_25".equals(demandePredecente.getEvenementReferenceExamen().getTypeExamen())) && (NaturesDecisions.estdeTypeRejet(dossierExamen.getNatureDecision()))) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_N_CALI_IMPUTATION_REPRISE_FIN_ASP_REJET");
      }
    }
  }
  
  private static void verifierDateLimiteIndemnisation(Demande demande)
    throws CoucheLogiqueException
  {
    if ((demande.getDonneesTemporaires() != null) && (demande.getDonneesTemporaires().getDateLimiteIndemnisationDonneeForcee() != null))
    {
      boolean leverException = false;
      ProduitSpec produitAffecte = demande.getDossierAffectation().getProduit();
      if ((!OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, 6)) && (!estProduitAreSpectacle2016(produitAffecte)))
      {
        leverException = true;
      }
      else if (demande.getAttribution() != null)
      {
        ProduitSpec produitExecution = demande.getAttribution().getProduitExecution();
        if ((!estProduitCSP2015(produitExecution)) && (!estProduitAre2003ou2006(produitAffecte)) && (!estProduitAreSpectacle2016(produitAffecte))) {
          leverException = true;
        }
      }
      if (leverException) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_PRODUIT_DATE_LIMITE");
      }
    }
  }
  
  private static boolean estProduitAreSpectacle2016(ProduitSpec produitAffecte)
  {
    return (produitAffecte.getCode() == 71) || (produitAffecte.getCode() == 74);
  }
  
  private static boolean estProduitCSP2015(ProduitSpec produitExecution)
  {
    return (produitExecution.getCode() == 66) || (produitExecution.getCode() == 67);
  }
  
  private static boolean estProduitAre2003ou2006(ProduitSpec produitAffecte)
  {
    return (produitAffecte.getCode() == 1) || (produitAffecte.getCode() == 13);
  }
  
  private void verifierDroitOptionForce(Demande demande)
    throws CoucheLogiqueException
  {
    StrategieDroitOptionElargiSpec strategie = (StrategieDroitOptionElargiSpec)FabriqueStrategieGenerique.choisirStrategie(demande.getDateExamen(), "Application du droit d'option élargi.", new StrategieDroitOptionElargiAvant(), new StrategieDroitOptionElargiApres());
    
    strategie.verifierDroitOptionForce(demande);
  }
  
  protected void verifierMotifRejetSP(Damj dateDeclenchementExamen, int motifNotification)
    throws CoucheLogiqueException
  {
    StrategieMotifRejetSPSpec strategie = (StrategieMotifRejetSPSpec)FabriqueStrategieGenerique.choisirStrategie(dateDeclenchementExamen, "Reprise SP", new StrategieMotifRejetSPAvant(), new StrategieMotifRejetSPApres());
    
    strategie.verifierMotifRejetSP(motifNotification);
  }
  
  public void verifierDonneesForceesPensionInvaliditePostLiquidation(Demande demande)
    throws CoucheLogiqueException
  {
    ProduitAsuSpec produit = (ProduitAsuSpec)demande.getDossierAffectation().getProduit();
    if (!produit.estProduitGerantPensionInvalidite(demande))
    {
      DonneesTemporaires donneesTemporaires = demande.getDonneesTemporaires();
      if ((donneesTemporaires.getListPensionInvalidite() != null) && (!donneesTemporaires.getListPensionInvalidite().isEmpty())) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_PENSION_INVALIDITE_NON_GERE", 1);
      }
    }
  }
  
  private static boolean verifierRejetDVExpatries(Demande demande)
    throws CoucheLogiqueException
  {
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglement = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    
    boolean retour = (reglement != null) && ((reglement.getReglement().getLibelleCourt().equals("A9A")) || (reglement.getReglement().getLibelleCourt().equals("A9B"))) && ((dossierExamen instanceof RejetSpec));
    
    return retour;
  }
  
  private void verifierCoherenceDonneesForceesAvecProduitAffecte(Demande demande)
    throws CoucheLogiqueException
  {
    ProduitSpec produit = demande.getDossierAffectation().getProduit();
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (produit != null)
    {
      String ligneDonneeForcee = null;
      String ligneProduit = produit.getLigne().getLibelle();
      boolean leverAlerte = false;
      if (donneesForcees.isSaisieCasSpectacleDonneesTemporaire())
      {
        if (!estDroitEligibleDonneesForceesSpectacle(demande))
        {
          leverAlerte = true;
          ligneDonneeForcee = LigneAsuSpe02.getInstance().getLibelle();
        }
      }
      else if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) && (!estDroitEligibleDonneesForceesCasGeneral(demande)))
      {
        leverAlerte = true;
        ligneDonneeForcee = LigneAsuCge.getLibelleCasGeneral();
      }
      if (leverAlerte) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_INCOHERENCE_PRODUIT_AFF", new String[] { ligneProduit, ligneDonneeForcee }, 1);
      }
    }
  }
  
  public boolean estDroitEligibleDonneesForceesSpectacle(Demande demande)
  {
    ProduitSpec produit = demande.getDossierAffectation().getProduit();
    return (LigneAsuSpe02.getInstance().equals(produit.getLigne())) || (LigneAsuSsp07.getInstance().equals(produit.getLigne())) || (LigneAsuFds12.getInstance().equals(produit.getLigne()));
  }
  
  public boolean estDroitEligibleDonneesForceesCasGeneral(Demande demande)
  {
    ProduitSpec produit = demande.getDossierAffectation().getProduit();
    return ((produit.getLigne() instanceof LigneAsuCge)) || ((produit.getLigne() instanceof LigneAsuCva10)) || ((produit.getLigne() instanceof LigneAsuCaa14));
  }
  
  private static void verifierDonneesForceesInfoComplement(Demande demande)
    throws CoucheLogiqueException
  {
    verifierDonneesForceesAide(demande);
  }
  
  private void verifierDonneesInfoComplementASPPAP(Demande demande)
    throws CoucheLogiqueException
  {
    if (demande.estUneDemandeAsp())
    {
      VerificationDonneesInfoComplementaires outil = VerificationDonneesInfoComplementaires.getInstance();
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      outil.detecterBlocageSurCompetenceFinanciereSaisie(donneesForcees.getCompetenceFinanciere(), donneesForcees.getNumeroConventionPE(), donneesForcees.getCodeAffectationConvention(), donneesForcees.getEmployeurSecteurPublicCompetent());
      
      outil.detecterBlocageSurConventionGestionSaisie(donneesForcees.getNumeroConventionPE(), donneesForcees.getCodeAffectationConvention(), donneesForcees.getCompetenceFinanciere(), donneesForcees.getEmployeurSecteurPublicCompetent());
      
      controlerCodeAffectationConventionGestion(demande, donneesForcees);
      
      outil.detecterBlocageSurEmployeurSPCompetentSaisie(donneesForcees.getEmployeurSecteurPublicCompetent(), donneesForcees.getCompetenceFinanciere());
    }
  }
  
  public static void verifierDonneesForceesAide(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    Damj dateAttributionAideForcee = donneesForcees.getDateAttributionAide();
    if (dateAttributionAideForcee != null)
    {
      AttributionAssuranceSpec attributionAssurancePrecedente = demande.rechercherAttributionPrecedenteDuMemeType();
      if ((attributionAssurancePrecedente != null) && (attributionAssurancePrecedente.getDateAttribution().estApres(dateAttributionAideForcee))) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_DATE_ATTRIB_AIDE", new String[] { attributionAssurancePrecedente.getDateAttribution().toString() }, 1);
      }
    }
  }
  
  private void verifierDonneesForceesDemandeFinDroitSuiteSP(Demande demande)
    throws CoucheLogiqueException
  {
    AttributionAssuranceSpec attributionAsp = (AttributionAssuranceSpec)OutilFinDroit.rechercherAttributionOrigineCorrespondante(demande);
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    Damj djiSpFinDroit = donneesForcees.getDjiSpFinDroit();
    if (djiSpFinDroit == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_BLOQUANTE_DJI_ASP_SP", 1);
    }
    BigDecimal dureeSecteurPublicFinDroit = donneesForcees.getDureeImputationSP();
    if ((dureeSecteurPublicFinDroit == null) || (BigDecimal.ZERO.compareTo(dureeSecteurPublicFinDroit) == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_BLOQUANTE_DUREE_ASP_SP", 1);
    }
    if (djiSpFinDroit.estAvant(attributionAsp.getDateAttribution())) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE__DJI_ASP_SP_SUP_ATTRIB_ASP", 1);
    }
    Quantite dureeEffectiveAsp = attributionAsp.getDureeIndemnisationEffective();
    if (dureeEffectiveAsp.getValeurEntiere() < dureeSecteurPublicFinDroit.intValue()) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_DUREE_ASP_SP_SUP_MAX", 1);
    }
  }
  
  private void verifierDonneesForceesCommunes(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    ClassementAdministratifSpec classementAdministratif = demande.getClassementAdministratif();
    boolean estClassementValide = false;
    if ((classementAdministratif != null) && (classementAdministratif.estClassementValide())) {
      estClassementValide = true;
    }
    if ((OutilFinDroit.estUneDemandeFinDroitSuiteSP(demande)) && (!estClassementValide)) {
      verifierDonneesForceesDemandeFinDroitSuiteSP(demande);
    }
    verifierDonneesCommunesPMC(donneesForcees);
    if ((donneesForcees.getIndentifiantFctPMC() != null) && (donneesForcees.getQuantiteJoursDiffereIccpConservatoire() != null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_UNE_SEULE_VALEURS_ICCP", 1);
    }
    if ((donneesForcees.getQuantiteJoursDiffereIccpConservatoire() != null) && ((donneesForcees.getQuantiteJourICCP() != null) || (donneesForcees.getQuantiteJourISLR() != null))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ICCP_CONSERVATOIRE_SEUL", 1);
    }
    if ((donneesForcees.getQuantiteJourICCP() != null) && (donneesForcees.isSaisieCasGeneralDonneesTemporaire()) && (donneesForcees.getIndentifiantFctPMC() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_FCT_ICCP_MANQUANTE", 1);
    }
    if ((donneesForcees.getDateDepartICCP() != null) && (donneesForcees.getQuantiteJoursDiffereIccpConservatoire() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_NOMBRE_JOURS_ICCPC", 1);
    }
    boolean financementATP = (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "FINANCATP")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "FINANCATPB"));
    if ((!financementATP) && (donneesForcees.getIndentifiantFctPMC() != null) && (donneesForcees.getQuantiteJourISLR() == null) && (donneesForcees.getQuantiteJourICCP() == null) && (donneesForcees.getFinPmc() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_NOMBRE_JOUR_ICCP_MANQUANT", 1);
    }
    verifierExistencePmc(donneesForcees, demande.getDemandeur());
    if (donneesForcees.getIdentifiantPeriodeFctARetenir() != null)
    {
      verifierExistenceFct(donneesForcees, demande.getDemandeur());
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(demande.getDonneesTemporaires().getIdentifiantPeriodeFctARetenir());
      if ((periodeFct != null) && (periodeFct.getCollectionOrigineInformationPAS().contains(Integer.valueOf(10))) && (donneesForcees.getTypeCoordinationEuropeenne() == 0)) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_N_CALI_ANTECEDENT_COHERENCE_COORDINATION");
      }
    }
    if ((donneesForcees.isEstRetenirActSectPrive()) && (donneesForcees.getQuantiteAffiliation() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_A14MB3", 1);
    }
    controlerCoherenceFgAnterieurForce(demande);
    
    controlerCodeAffectationConventionGestion(demande, donneesForcees);
    if ((donneesForcees.getIdExterneEmployeurSp() != null) && ((donneesForcees.getCodeAffectationConvention() == null) || (donneesForcees.getNumeroConventionPE() == null))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ASU_OBLIG_CG_ID_EXTERNE", 1);
    }
    if ((donneesForcees.getNbJourImputer() != null) && (donneesForcees.getNbJourImputer().intValue() != 0) && (donneesForcees.getMotifNbJourImputationDroitCourant() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MOTIF_IMPUTATION", 1);
    }
    if ((donneesForcees.getMotifNbJourImputationDroitCourant() != 0) && ((donneesForcees.getNbJourImputer() == null) || (donneesForcees.getNbJourImputer().intValue() == 0))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_NBJ_A_IMPUTER", 1);
    }
    if ((donneesForcees.getNbJourImputationDroitPrecedent() != null) && (donneesForcees.getNbJourImputationDroitPrecedent().intValue() != 0) && (donneesForcees.getMotifNbJourImputationDroitPrecedent() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MOTIF_IMPUTATION", 1);
    }
    if ((donneesForcees.getMotifNbJourImputationDroitPrecedent() != 0) && ((donneesForcees.getNbJourImputationDroitPrecedent() == null) || (donneesForcees.getNbJourImputationDroitPrecedent().intValue() == 0))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_NBJ_A_IMPUTER", 1);
    }
    if ((donneesForcees.getNbjImputationDroitAServir() != null) && (donneesForcees.getMotifNbJourImputationDroitAServir() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MOTIF_IMPUTATION", 1);
    }
    if ((donneesForcees.getMotifNbJourImputationDroitAServir() != 0) && (donneesForcees.getNbjImputationDroitAServir() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_NBJ_A_IMPUTER", 1);
    }
    if ((donneesForcees.getMontantImputationDroitAServir() != null) && (donneesForcees.getMontantImputationDroitAServir().intValue() != 0) && (donneesForcees.getMotifMontantImputationDroitAServir() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MOTIF_IMPUTATION", 1);
    }
    if ((donneesForcees.getMotifMontantImputationDroitAServir() != 0) && ((donneesForcees.getMontantImputationDroitAServir() == null) || (donneesForcees.getMontantImputationDroitAServir().intValue() == 0))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MONTANT_IMPUTATION", 1);
    }
    if ((donneesForcees.getMontantAide() != null) && (donneesForcees.getMontantAide().intValue() != 0) && (donneesForcees.getNatureMontantAide() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MOTIF_IMPUTATION", 1);
    }
    if ((donneesForcees.getNatureMontantAide() != 0) && ((donneesForcees.getMontantAide() == null) || ((donneesForcees.getMontantAide().intValue() == 0) && (donneesForcees.getNatureMontantAide() != 4)))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_INDIQUER_MONTANT_IMPUTATION", 1);
    }
  }
  
  protected void verifierExistencePmc(DonneesTemporaires donneesForcees, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getIndentifiantFctPMC() != null)
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)individu.rechercherPeriodePasseProfessionnel(donneesForcees.getIndentifiantFctPMC());
      if (periodeFct == null) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_FCT_PMC_NON_VALIDE", 1);
      } else if (periodeFct.getDateFin().coincideAvec(Damj.FIN_DES_TEMPS)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_FCT_PMC_NON_FINIE", 1);
      }
    }
  }
  
  protected void verifierExistenceFct(DonneesTemporaires donneesForcees, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getIdentifiantPeriodeFctARetenir() != null)
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)individu.rechercherPeriodePasseProfessionnel(donneesForcees.getIdentifiantPeriodeFctARetenir());
      if (periodeFct == null)
      {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_FCT_A_RETENIR_NON_VALIDE", 1);
      }
      else
      {
        if (periodeFct.getDateFin().coincideAvec(Damj.FIN_DES_TEMPS)) {
          GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_FCT_A_RETENIR_NON_FINIE", 1);
        }
        if ((periodeFct.getContrat().estEnContexteDecoupage("METIER")) && (!periodeFct.estUneFct())) {
          GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_FCT_RETENUE_DECOUPEE");
        }
      }
    }
  }
  
  protected void verifierDonneesCommunesPMC(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    boolean coherenceFinPmcNonRenseignee = (donneesForcees.getFinPmc() == null) && (!donneesForcees.isPmcIndemnisable());
    boolean coherenceFinPmcRenseignee = (donneesForcees.getFinPmc() != null) && (donneesForcees.isPmcIndemnisable()) && (donneesForcees.getIndentifiantFctPMC() != null);
    boolean coherencePmc = (coherenceFinPmcRenseignee) || (coherenceFinPmcNonRenseignee);
    if (!coherencePmc)
    {
      StringBuilder messageLogErreur = new StringBuilder();
      messageLogErreur.append("Les 3 champs de la PMC doivent être renseignées ensemble : ");
      if (donneesForcees.getFinPmc() == null)
      {
        messageLogErreur.append("veuiller saisir une date de fin de période PMC");
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_PRESENCE_DF_PMC_MANQUANTE", messageLogErreur.toString(), 1);
      }
      else if (donneesForcees.getIndentifiantFctPMC() == null)
      {
        messageLogErreur.append("veuiller saisir la période FCT à retenir concernant la PMC");
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_PRESENCE_DF_PMC_MANQUANTE", messageLogErreur.toString(), 1);
      }
    }
  }
  
  public void controlerCodeAffectationConventionGestion(Demande demande, DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if ((donneesForcees != null) && (donneesForcees.getNumeroConventionPE() != null) && (!"".equals(donneesForcees.getNumeroConventionPE())))
    {
      ConventionGestionSpec conventionGestion = OutilConventionGestion.getInstance().trouverConventionGestion(new ConteneurConventionGestion(donneesForcees.getNumeroConventionPE(), donneesForcees.getCodeAffectationConvention(), demande.getDateDepot(), demande.getCommentaire()));
      if (conventionGestion == null) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONVENTION_GESTION", 1);
      }
    }
  }
  
  public void controlerCoherenceFgAnterieurForce(Demande demande)
    throws CoucheLogiqueException
  {
    if (!demande.estUneDemandeFinDroit())
    {
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      if ((!OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ANTSPAUTOM")) && (demande.estEnContexteDroitAnterieurSecteurPublicAvecFGDAreApresDateFGDDroitSP())) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONTEXTE_FG_POSTERIEUR_A_FORCE", new Object[] { donneesForcees.getDateFgDroitAnterieurSp() }, 1);
      }
    }
  }
  
  private void verifierDonneesForceesCommunesPostLiquidation(Demande demande)
    throws CoucheLogiqueException
  {
    OdAssuranceSpec odPrecedente = demande.rechercherOuvertureDroitPrecedenteDuMemeType();
    if (OutilDemande.estUneDemandeFinDroitAsp(demande)) {
      odPrecedente = (OdAssuranceSpec)((Demande)OutilFinDroit.rechercherDemandeODPrecedenteCorrespondante(demande)).getDossierExamen();
    }
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((odPrecedente != null) && (donneesForcees.getIdentifiantPeriodeFctARetenir() != null))
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(demande.getDonneesTemporaires().getIdentifiantPeriodeFctARetenir());
      
      Damj dateFGD = odPrecedente.getDateFaitGenerateur();
      if ((dateFGD != null) && (periodeFct.getDateFin().estAvant(dateFGD))) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_DONNEES_FORCEES_FCT_A_RETENIR_TROP_ANC", 1);
      }
    }
    if (donneesForcees.getIdentifiantPeriodeFctARetenir() != null)
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(demande.getDonneesTemporaires().getIdentifiantPeriodeFctARetenir());
      if (demande.getDateRecherche().estAvantOuCoincideAvec(periodeFct.getDateFin())) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DEMANDE_EXPRESSE_FCT_FORCEE_INC", 1);
      }
      if ((demande.getFaitGenerateur() != null) && (demande.getFaitGenerateur().getPeriodeFaitGenerateur() != null) && (periodeFct.getDateFin().estApres(demande.getFaitGenerateur().getPeriodeFaitGenerateur().getDateFin()))) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_L_CALI_FCT_FORCEE_AVANT_FGD");
      }
    }
    if (donneesForcees.getQuantiteJoursDiffereIccpConservatoire() != null)
    {
      AttributionAssuranceSpec attribution = demande.getAttribution();
      if ((attribution != null) && (!(attribution instanceof RepriseSpec))) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ICCP_CONSERVATOIRE_SANS_REPRISE", 1);
      }
    }
  }
  
  public void verifierUniteAffiForcee(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    ActiviteSalarie periodeFctForcee = (ActiviteSalarie)donneesForcees.getPeriodeFctARetenir();
    
    verifierUniteAffiForcee(demande, periodeFctForcee);
  }
  
  public void verifierUniteAffiForcee(Demande demande, ActiviteSalarie periodeFctForcee)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (donneesForcees.getQuantiteAffiliation() != null)
    {
      UniteAffiliation uniteQuantiteAffiliationForcee = (UniteAffiliation)demande.getDonneesTemporaires().getQuantiteAffiliation().getUnite();
      if ((periodeFctForcee != null) && (uniteQuantiteAffiliationForcee != null))
      {
        DecorReglementaire decorReglementaireForce = periodeFctForcee.getDecorCourant();
        if (decorReglementaireForce == null) {
          decorReglementaireForce = AccesDecorReglementaire.getInstance().getDecorParId(demande.getIdDecorDepuisPN());
        }
        if ((decorReglementaireForce != null) && (!ForcageAffiliation.controlerCoherenceAffiliationForcee(demande, decorReglementaireForce.getIdDecor(), periodeFctForcee))) {
          GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONTEXTE_UNITE_AFFILATION_FORCEE", 1);
        }
      }
    }
  }
  
  public void controlerReglementPeriode(Demande demande, ActiviteSalarie periodeFctForcee)
    throws CoucheLogiqueException
  {
    DecorReglementaire decorReglementaireForce = periodeFctForcee.getDecorCourant();
    if (decorReglementaireForce == null) {
      decorReglementaireForce = AccesDecorReglementaire.getInstance().getDecorParId(demande.getIdDecorDepuisPN());
    }
    CriteresQualification criteresQualification = new CriteresQualification(decorReglementaireForce, periodeFctForcee, false);
    
    AccesDecorReglementaire.getInstance().positionnerCriteresQualifSurPas(criteresQualification, (Individu)demande.getDemandeur());
    
    Reglement reglementApplicableForce = periodeFctForcee.getReglement();
    if ((reglementApplicableForce != null) && (("A8".equals(reglementApplicableForce.getNomReglement())) || ("A10".equals(reglementApplicableForce.getNomReglement()))))
    {
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      boolean sontDureesRenseignes = (donneesForcees.getQuantiteAffiliation() != null) || (donneesForcees.getDureeTheoriqueForcee() != null);
      if ((sontDureesRenseignes) || (donneesForcees.getSjrPerteActConservee() != null) || (donneesForcees.getCoefficientTempsPartielActConservee() != null) || (donneesForcees.getTermePrc() != null)) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_L_REVISION_FORCAGE_A8A10");
      }
    }
  }
  
  public void controlerFctsMemeDate(Demande demande, ActiviteSalarie periodeFctForcee, Chronologie chronoPeriodes)
    throws CoucheLogiqueException
  {
    boolean plusieursFcts = false;
    
    ListIterator<?> it = chronoPeriodes.iterer();
    while ((it.hasNext()) && (!plusieursFcts))
    {
      TravailSpec periode = (TravailSpec)it.next();
      if ((!periode.equals(periodeFctForcee)) && (periode.getDateFin().coincideAvec(periodeFctForcee.getDateFin()))) {
        plusieursFcts = true;
      }
    }
    if (plusieursFcts)
    {
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      boolean estQuantiteAffiOuDureeTheoriqueNonNulle = (donneesForcees.getQuantiteAffiliation() != null) || (donneesForcees.getDureeTheoriqueForcee() != null);
      if ((estQuantiteAffiOuDureeTheoriqueNonNulle) || (donneesForcees.getSjrPerteActConservee() != null) || (donneesForcees.getCoefficientTempsPartielActConservee() != null) || (donneesForcees.getTermePrc() != null)) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_L_REVISION_PLUSIEURS_FCTS");
      }
    }
  }
  
  protected void verifierDonneesForceesCasGeneral(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (donneesForcees.getDateAttributionCPChomageTotalSansRupture() != null) {
      controleDateAttributionCPChomageTotalSansRupture(demande, donneesForcees.getDateAttributionCPChomageTotalSansRupture());
    }
    if ((donneesForcees.getIdentifiantPeriodeFctARetenir() != null) || (donneesForcees.getPeriodeFctARetenir() != null)) {
      controlerEreAvecFCTForcee(demande);
    }
    if (DetectionContexteParticulierLiquidation.getInstance().estContexteParticulierCsrDetecte(demande)) {
      verifierDonneesForceesCsr(demande);
    } else if (isAnyDonneesCsrRenseignee(demande)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DONNEES_FORCEES_CSR_SAISIES_A_TORT", 1);
    }
    if ((donneesForcees.getQuantiteAffiliation() != null) && (donneesForcees.getIdentifiantPeriodeFctARetenir() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ABSENCE_FCT_A_RETENIR", 1);
    }
    verifierUniteAffiForcee(demande);
    if ((donneesForcees.getDjiDroitSpContexteRechargement() != null) && (donneesForcees.getFgdDroitSpContexteRechargement() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ASU_FGD_SP_RECHARGEMENT", 1);
    }
    if ((donneesForcees.getDjiDroitSpContexteRechargement() == null) && (donneesForcees.getFgdDroitSpContexteRechargement() != null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ASU_DJI_SP_RECHARGEMENT", 1);
    }
    if ((donneesForcees.getDjiDroitSpContexteRechargement() != null) && (donneesForcees.getFgdDroitSpContexteRechargement() != null) && (donneesForcees.getFgdDroitSpContexteRechargement().estApres(donneesForcees.getDjiDroitSpContexteRechargement()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_DERNIER_DROIT_SP_RECHARGEMENT2", 1);
    }
    if ((donneesForcees.getDateAttributionForcee() != null) && (donneesForcees.getDateExamenForcee() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ASU_DATE_ATTRIBUTION_EXAMEN2", 1);
    }
    if ((donneesForcees.getDateAttributionForcee() != null) && (donneesForcees.getDateExamenForcee() != null) && (donneesForcees.getDateExamenForcee().estApres(donneesForcees.getDateAttributionForcee()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_ASU_DATE_ATTRIBUTION_EXAMEN", 1);
    }
    if ((donneesForcees.getDureeTheoriqueForcee() != null) && (donneesForcees.getDureeTheoriqueForcee().getValeur() != null) && (donneesForcees.getNbJourImputer() != null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_DUREE_FORCEE_IMPUTATION", 1);
    }
  }
  
  private void verifierDonneesForceesCsr(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    Damj dateChomageTotalSansRupture = donneesForcees.getDateChomageTotalSansRupture();
    boolean estAvisFavorableCPChomageTotalSansRupture = donneesForcees.isAvisFavorableCPChomageTotalSansRupture();
    boolean estSinistreOuCalamiteNaturelleChomageTotalSansRupture = donneesForcees.isSinistreOuCalamiteNaturelleChomageTotalSansRupture();
    Damj dateAttributionCPChomageTotalSansRupture = donneesForcees.getDateAttributionCPChomageTotalSansRupture();
    boolean estAccordPoursuite182JoursChomageTotalSansRupture = donneesForcees.isAccordPoursuite182JoursChomageTotalSansRupture();
    Damj dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = donneesForcees.getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture();
    boolean estLeveeCondition28JoursChomageTotalSansRupture = donneesForcees.isLeveeCondition28JoursChomageTotalSansRupture();
    String identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = donneesForcees.getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture();
    Damj nouvelleDateAttributionChomageTotalSansRupture = donneesForcees.getNouvelleDateAttributionChomageTotalSansRupture();
    QuantiteJour quantiteJoursDiffereChomageTotalSansRupture = donneesForcees.getQuantiteJoursDiffereChomageTotalSansRupture();
    
    boolean isDateChomageTotalSansRuptureRenseignee = donneesForcees.getDateChomageTotalSansRupture() != null;
    
    boolean isDateAttributionCPChomageRenseignee = dateAttributionCPChomageTotalSansRupture != null;
    
    boolean isDateFinContratTravailRenseignee = identifiantPeriodeFinContratDeTravailChomageTotalSansRupture != null;
    boolean isQuantiteJoursDiffereRenseignee = quantiteJoursDiffereChomageTotalSansRupture != null;
    if ((estAvisFavorableCPChomageTotalSansRupture) && (dateAttributionCPChomageTotalSansRupture == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ERR_CONTEXTE_DONNEES_FORCEES", 1);
    }
    if (((estSinistreOuCalamiteNaturelleChomageTotalSansRupture) || (isDateAttributionCPChomageRenseignee)) && (!isDateChomageTotalSansRuptureRenseignee)) {
      GestionnaireErreur.getInstance().genererException("HG_PR_N_CALI_ERR_PRESENCE_DONNEES_CHOMAGE_SANS_RUP", 1);
    }
    if ((isDateAttributionCPChomageRenseignee) && (!estAvisFavorableCPChomageTotalSansRupture)) {
      GestionnaireErreur.getInstance().genererException("HG_PR_N_CALI_ERR_PRESENCE_AVIS_FAVO_ET_AVIS_DEFAVO", 1);
    }
    if ((estAccordPoursuite182JoursChomageTotalSansRupture) && (!estAvisFavorableCPChomageTotalSansRupture)) {
      GestionnaireErreur.getInstance().genererException("HG_PR_N_CALI_ERR_PRESENCE_AVIS_FAVO_POUR_POURSUITE", 1);
    }
    if ((estLeveeCondition28JoursChomageTotalSansRupture) && (!estAvisFavorableCPChomageTotalSansRupture)) {
      GestionnaireErreur.getInstance().genererException("HG_PR_N_CALI_ERR_PRESENCE_AVIS_FAVO_POUR_POURSUITE", 1);
    }
    if ((isDateFinContratTravailRenseignee) && (!isQuantiteJoursDiffereRenseignee)) {
      GestionnaireErreur.getInstance().genererException("HG_PR_N_CALI_ERR_PRESENCE_QUANTITE_JOUR_DIFFERE", 1);
    }
    if (dateChomageTotalSansRupture != null) {
      controlerDateChomageTotalSansRupture(demande, dateChomageTotalSansRupture);
    }
    if (nouvelleDateAttributionChomageTotalSansRupture != null) {
      controleNouvelleDateAttributionChomageTotalSansRupture(demande, nouvelleDateAttributionChomageTotalSansRupture);
    }
    if (dateMaximumPoursuiteIndeminisationChomageTotalSansRupture != null) {
      controlerDateMaxiPoursuiteIndemnisationCsr(demande, dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
    }
    if ((donneesForcees.isEstSalarieHandicapeChomageTotalSansRupture()) && (donneesForcees.getDateChomageTotalSansRupture() != null) && (donneesForcees.getDateChomageTotalSansRupture().estAvant(ProduitAsuCge01P05.getInstance().getPeriodeValidite().getDebut()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DF_CSR_DROIT_A_TRAITER_EN_V1", 1);
    }
  }
  
  private void controlerDateMaxiPoursuiteIndemnisationCsr(Demande demande, Damj dateMaximumPoursuiteIndemnisationChomageTotalSansRupture)
    throws CoucheLogiqueException
  {
    Periode periodeDeSuspension;
    Periode periodeDeSuspension;
    if (OutilsChomageSansRCT.estDemandeEnContexteDeChomageEnCoursDeSuspension(demande))
    {
      ContexteDemande contexte = (ContexteDemande)OutilGestionContexteDemande.trouverContexteDemandeAssurance(demande, new String[] { "RUPCTRSUSP", "CSRSUSP" });
      
      periodeDeSuspension = contexte.getPeriodeJustifContexte();
    }
    else
    {
      ActiviteSalarie activiteSalariePeriodeDeSuspension = OutilsChomageSansRCT.trouverPeriodeDeSuspension(demande);
      Periode periodeDeSuspension;
      if (activiteSalariePeriodeDeSuspension == null) {
        periodeDeSuspension = null;
      } else {
        periodeDeSuspension = activiteSalariePeriodeDeSuspension.getPeriode();
      }
    }
    if ((periodeDeSuspension == null) || (dateMaximumPoursuiteIndemnisationChomageTotalSansRupture.estApres(periodeDeSuspension.getFin()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CSR_DATE_MAX_NON_VALIDE", 1);
    }
  }
  
  private void controlerDonneesForceesTraitementRuptureContratSusp(Demande demande)
    throws CoucheLogiqueException
  {
    AttributionAssuranceSpec attribution = demande.getAttribution();
    if (((attribution instanceof RepriseSpec)) && (OutilsChomageSansRCT.estUnProduitCsr(attribution.getDemande())))
    {
      AttributionAssuranceSpec premiereAttribCsr = OutilsChomageSansRCT.recupererPremiereAttributionCsr(attribution);
      Demande premiereDemandeCsr = (Demande)premiereAttribCsr.getDemande();
      if (!premiereAttribCsr.equals(attribution)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_DONNEE_FORCEE_TRAIT_RUPT_CONTRAT", new Object[] { premiereDemandeCsr.getDateExamen() }, 1);
      }
    }
  }
  
  private void controlerDateChomageTotalSansRupture(Demande demande, Damj dateChomageTotalSansRupture)
    throws CoucheLogiqueException
  {
    Chronologie chronoPeriodesParticipantes = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    Chronologie chronoChomageTotalSansRupture = chronoPeriodesParticipantes.copier(new FiltreActiviteSalarieAvecChomageTotalSansRupture());
    
    Chronologie chronoChomageTotalSansRuptureAuJourForce = chronoChomageTotalSansRupture.copier(new FiltreFinDansBornes(dateChomageTotalSansRupture, dateChomageTotalSansRupture));
    if (chronoChomageTotalSansRuptureAuJourForce.estVide()) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_DATE_CSR_NON_VALIDE", 1);
    }
  }
  
  private void controlerEreAvecFCTForcee(Demande demande)
    throws CoucheLogiqueException
  {
    if ((demande.getEvenementReferenceExamen() != null) && ("ASU_04".equals(demande.getEvenementReferenceExamen().getTypeExamen()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONTEXTE_FCT_FORCEE_INTERDITE", 0);
    }
  }
  
  private void controleDateAttributionCPChomageTotalSansRupture(Demande demande, Damj date)
    throws CoucheLogiqueException
  {
    if (!OutillagePEC.estContenueDansUnePecIndemnisable(demande.getDemandeur(), date)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ERR_DF_DATE_ATTRIB_CP_RCT", 1);
    }
  }
  
  private void controleNouvelleDateAttributionChomageTotalSansRupture(Demande demande, Damj nouvelleDateAttribution)
    throws CoucheLogiqueException
  {
    if (!OutillagePEC.estContenueDansUnePecIndemnisable(demande.getDemandeur(), nouvelleDateAttribution)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ERR_DF_NV_DATE_ATTRIB_RCT", 1);
    }
    ObjetChronoPeriodePriseEnChargeSansFiltre pec = OutillagePEC.getPeriodePEC(demande.getDemandeur(), demande.getFormulaire().getIdPec());
    if (pec != null)
    {
      Damj dateIDE = pec.getDateDebut();
      if (!dateIDE.equals(nouvelleDateAttribution)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CSR_NOUVELLE_DATE_ATTRIBUTION", 1);
      }
    }
  }
  
  private void verifierDonneesForceesSpectacle(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (donneesForcees.getReglementApplicableSpectacle() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
      if (demande.estUneDemandeAtAfd())
      {
        controlerDureeAncienneteIntermittent(donneesForcees);
      }
      else
      {
        if (demande.estUneDemandeAps()) {
          controlerRangAllongement(donneesForcees);
        }
        controlerHeureTravailleesMontant(donneesForcees);
        controlerHeureTravailleesSJM(donneesForcees);
        controlerNombreJourSurPRA(donneesForcees);
      }
    }
    if (donneesForcees.getRangAllongementPraSpectacle() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
      controlerReglementApplicable(donneesForcees);
      controlerHeureTravailleesMontant(donneesForcees);
      controlerHeureTravailleesSJM(donneesForcees);
      controlerNombreJourSurPRA(donneesForcees);
    }
    if (donneesForcees.getQuantiteAffiliation() != null)
    {
      controlerReglementApplicable(donneesForcees);
      controlerIdPeriodeFctARetenir(donneesForcees);
      if (demande.estUneDemandeAtAfd())
      {
        controlerDureeAncienneteIntermittent(donneesForcees);
      }
      else
      {
        if (demande.estUneDemandeAps()) {
          controlerRangAllongement(donneesForcees);
        }
        controlerHeureTravailleesMontant(donneesForcees);
        controlerHeureTravailleesSJM(donneesForcees);
        controlerNombreJourSurPRA(donneesForcees);
      }
    }
    if ((!demande.estMigree()) && (donneesForcees.getNbJourContratSurPraSpectacle() != null))
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerReglementApplicable(donneesForcees);
      controlerHeureTravailleesMontant(donneesForcees);
      controlerHeureTravailleesSJM(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
      if (demande.estUneDemandeAps()) {
        controlerRangAllongement(donneesForcees);
      }
    }
    if (donneesForcees.getNbHeuresTravailPlafonneSpectacle() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerReglementApplicable(donneesForcees);
      controlerHeureTravailleesMontant(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
      controlerNombreJourSurPRA(donneesForcees);
      
      controlerCoherenceSJM(donneesForcees);
      if (demande.estUneDemandeAps()) {
        controlerRangAllongement(donneesForcees);
      }
    }
    if (donneesForcees.getNbHeuresTravailEtenduSpectacle() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerReglementApplicable(donneesForcees);
      controlerHeureTravailleesSJM(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
      controlerNombreJourSurPRA(donneesForcees);
      
      controlerCoherenceHeuresTravailleesEtAffi(donneesForcees);
      if (demande.estUneDemandeAps()) {
        controlerRangAllongement(donneesForcees);
      }
    }
    controlerCoherenceRemunerationEtSrip(donneesForcees);
    
    controlerSripNonNul(donneesForcees);
    
    detecterFctForceeApresDateExamenPourAps(demande);
  }
  
  protected void detecterFctForceeApresDateExamenPourAps(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((demande.estUneDemandeAps()) && (donneesForcees.getPeriodeFctARetenir() != null) && (donneesForcees.getPeriodeFctARetenir().getDateFin().estApresOuCoincideAvec(demande.getDateRecherche()))) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_BLOQU_FCT_FORCEE_APRES_D_EXAM", new String[] { donneesForcees.getPeriodeFctARetenir().getDateFin().toString(), demande.getDateRecherche().toString() }, 1);
    }
  }
  
  protected void verifierDonneesForceesCRA(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((donneesForcees.isConditionAncienneteSatisfaiteForcee() == null) || ((donneesForcees.isConditionAncienneteSatisfaiteForcee().booleanValue()) && (donneesForcees.getDateFinPeriodeAncienneteForcee() == null))) {
      GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_CRA_CONDITION_ANCIENNETE");
    }
    Damj dateFinFct = null;
    if (donneesForcees.getPeriodeFctARetenir() != null) {
      dateFinFct = donneesForcees.getPeriodeFctARetenir().getDateFin();
    } else if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ENTREECRA")) {
      dateFinFct = demande.getDateFaitGenerateurOuDernierSinistre();
    }
    if ((donneesForcees.getDateFinPeriodeAncienneteForcee() != null) && (dateFinFct != null) && (donneesForcees.getDateFinPeriodeAncienneteForcee().estApres(dateFinFct))) {
      GestionnaireErreur.getInstance().genererException("ASU_CRA_PERIODE_ANCIENETE_POSTERIEURE", 1);
    }
    verifierDonneesCommunesPMC(donneesForcees);
    if (donneesForcees.getReglementApplicableSpectacle() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerQuantiteAffiliation(donneesForcees);
    }
    if (donneesForcees.getQuantiteAffiliation() != null)
    {
      controlerIdPeriodeFctARetenir(donneesForcees);
      controlerReglementApplicable(donneesForcees);
    }
    verifierExistenceFct(donneesForcees, demande.getDemandeur());
    verifierExistencePmc(donneesForcees, demande.getDemandeur());
  }
  
  protected void controlerSripNonNul(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if ((donneesForcees.getSripSpectacle() != null) && (donneesForcees.getSripSpectacle().getValeur().compareTo(BigDecimal.ZERO) == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DONNEES_FORCEES_SRIP_ZERO", 1);
    }
  }
  
  protected void controlerCoherenceRemunerationEtSrip(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if ((donneesForcees.getTotalRemunerationDansPRC() != null) && (donneesForcees.getSripSpectacle() != null) && (donneesForcees.getTotalRemunerationDansPRC().getValeur().doubleValue() < donneesForcees.getSripSpectacle().getValeur().doubleValue())) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_SRNP_INSUFFISANT_POUR_SRIP_FORC", 1);
    }
  }
  
  protected void controlerCoherenceHeuresTravailleesEtAffi(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getNbHeuresTravailEtenduSpectacle().getValeur().doubleValue() > donneesForcees.getQuantiteAffiliation().getValeur().doubleValue()) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_H_TRAVAIL_TROP_IMPORTANTE_AFFI", 1);
    }
  }
  
  protected void controlerCoherenceSJM(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getNbHeuresTravailPlafonneSpectacle().getValeur().doubleValue() > donneesForcees.getQuantiteAffiliation().getValeur().doubleValue()) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_H_TRAVAIL_TROP_IMPORTANTE_AFFI", 1);
    }
    if (donneesForcees.getNbHeuresTravailPlafonneSpectacle().getValeur().doubleValue() > donneesForcees.getNbHeuresTravailEtenduSpectacle().getValeur().doubleValue()) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_H_TRAVAIL_SJM_TROP_IMPORTANTE_H_MONTANT", 1);
    }
  }
  
  private void verifierDonneesForceesExpatries(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((donneesForcees.getSjr() != null) && (donneesForcees.getTermePrc() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ABSENCE_TERME_PRC", 1);
    }
    if ((donneesForcees.getQuantiteAffiliation() != null) && (donneesForcees.getIdentifiantPeriodeFctARetenir() == null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ABSENCE_FCT_A_RETENIR", 1);
    }
    if (donneesForcees.getCoefficientTempsPartiel() != null)
    {
      double coefTP = donneesForcees.getCoefficientTempsPartiel().doubleValue();
      if ((coefTP > 1.0D) || (coefTP <= 0.0D)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_COEFF_TP_DOIT_ETRE_ENTRE_0_ET_1", 1);
      }
    }
    if ((donneesForcees.getQuantiteJourISLR() != null) && (donneesForcees.getQuantiteJourISLR().getValeur().intValue() > 75.0D)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_MAX_ISLR", 1);
    }
    if (donneesForcees.getIdentifiantFCTCarenceExpatries() != null)
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(donneesForcees.getIdentifiantFCTCarenceExpatries());
      if (periodeFct == null) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_FCT_CARENCE_EXPATRIE_NON_VALIDE", 1);
      } else if (periodeFct.getDateFin().coincideAvec(Damj.FIN_DES_TEMPS)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_FCT_CARENCE_EXPATRIE_NON_FINIE", 1);
      }
    }
    if (donneesForcees.getIndentifiantFctPMC() != null)
    {
      ActiviteSalarie periodeFct = (ActiviteSalarie)demande.getDemandeur().rechercherPeriodePasseProfessionnel(donneesForcees.getIndentifiantFctPMC());
      if (periodeFct == null) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_FCT_CARENCE_EXPATRIE_NON_VALIDE", 1);
      } else if (periodeFct.getDateFin().coincideAvec(Damj.FIN_DES_TEMPS)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_FCT_CARENCE_EXPATRIE_NON_FINIE", 1);
      }
    }
    if (((donneesForcees.isFortuiteCaractereSaisonnierParRythme()) || (donneesForcees.isFortuiteCaractereSaisonnierParType())) && (donneesForcees.isCaractereSaisonnierForce())) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CARACTERE_SAISONNIER", 1);
    }
    if ((donneesForcees.isCaractereSaisonnierForce()) && (donneesForcees.getTypeCaractereSaisonnierForce() == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_TYPE_CARACTERE_SAISONNIER", 1);
    }
    if (donneesForcees.getCoefficientSaisonnier() != null)
    {
      if (!donneesForcees.isCaractereSaisonnierForce()) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CARACTERE_SAISONNIER", 1);
      }
      if ((donneesForcees.getCoefficientSaisonnier().compareTo(BigDecimal.ZERO) <= 0) || (donneesForcees.getCoefficientSaisonnier().compareTo(BigDecimal.ONE) >= 0)) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_COEFF_SAISONNIER_ENTRE_0_ET_1", 1);
      }
    }
  }
  
  private void controlerIdPeriodeFctARetenir(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getIdentifiantPeriodeFctARetenir() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_FCT_A_RETENIR", 1);
    }
  }
  
  private void controlerQuantiteAffiliation(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getQuantiteAffiliation() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_AFFI_TOTALE", 1);
    }
  }
  
  private void controlerRangAllongement(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getRangAllongementPraSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_RANG_ALLONGEMENT", 1);
    }
  }
  
  private void controlerHeureTravailleesMontant(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getNbHeuresTravailEtenduSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_H_TRAVAIL_MONTANT", 1);
    }
    if (donneesForcees.getNbHeuresTravailEtenduSpectacle().getValeur().compareTo(BigDecimal.ZERO) == 0) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DONNEES_FORCEES_H_TRAV_MONTANT_ZERO", 1);
    }
  }
  
  private void controlerHeureTravailleesSJM(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getNbHeuresTravailPlafonneSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_H_TRAVAILLEES_SJM", 1);
    }
    if (donneesForcees.getNbHeuresTravailPlafonneSpectacle().getValeur().compareTo(BigDecimal.ZERO) == 0) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DONNEES_FORCEES_H_TRAVAIL_SJM_ZERO", 1);
    }
  }
  
  private void controlerNombreJourSurPRA(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getNbJourContratSurPraSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_NOMBRE_JOUR_PRA", 1);
    }
    if (donneesForcees.getNbJourContratSurPraSpectacle().getValeur().compareTo(BigDecimal.ZERO) == 0) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DONNEES_FORCEES_NOMBRE_JOUR_PRA_ZERO", 1);
    }
  }
  
  private void controlerReglementApplicable(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getReglementApplicableSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_REG_APPLICABLE", 1);
    }
  }
  
  private void controlerDureeAncienneteIntermittent(DonneesTemporaires donneesForcees)
    throws CoucheLogiqueException
  {
    if (donneesForcees.getDureeAncienneteIntermittantSpectacle() == null) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_ABSENCE_DONNEES_FORCEES_ANCIENNETE_INTERM", 1);
    }
  }
  
  protected void verifierDonneesForceesExpatriesDecisionPostLiquidation(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglement = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    if ((reglement != null) && (estDroitEligibleDonneesForceesExpatries(demande)) && (donneesForcees.estAvisFavorableCommissionParitaire())) {
      verifierFctForceeExpatriesPostLiquidation(demande);
    }
  }
  
  public boolean estDroitEligibleDonneesForceesExpatries(Demande demande)
  {
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglement = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    return (reglement.getReglement().getLibelleCourt().equals("A9A")) || (reglement.getReglement().getLibelleCourt().equals("A9B"));
  }
  
  public void verifierDonneesForceesMotifExamen(Demande demande)
    throws CoucheLogiqueException
  {
    int motifExamen = demande.getDonneesTemporaires().getMotifExamen();
    Damj dateFinEvt = demande.getDonneesTemporaires().getDateFinEvenement();
    IndividuSpec demandeur = demande.getDemandeur();
    if ((motifExamen == 1) && (!OutilChronologie.verifierDateFinPeriodeDansChronologie(demandeur.getPeriodeCLCA(), dateFinEvt))) {
      GestionnaireErreur.getInstance().genererException("ASU_CODE_ALERTE_DATE_FIN_NI_CLCA_NI_PI", new String[] { dateFinEvt.formater() }, 1);
    }
    if ((motifExamen == 2) && (!OutilChronologie.verifierDateFinPeriodeDansChronologie(demandeur.getPeriodePensionInvalidite(), dateFinEvt))) {
      GestionnaireErreur.getInstance().genererException("ASU_CODE_ALERTE_DATE_FIN_NI_CLCA_NI_PI", new String[] { dateFinEvt.formater() }, 1);
    }
  }
  
  private void controlerCoherenceIccpForcee(Demande demande)
    throws CoucheLogiqueException
  {
    AttributionAssuranceSpec attribution = demande.getAttribution();
    if (attribution != null)
    {
      ProduitSpec produit = attribution.getProduit();
      if ((produit != null) && (
        ("ASU_CGE01_02".equals(produit.getNomUnique())) || ("ASU_CGE01_03".equals(produit.getNomUnique())) || ("ASU_SPE02_03".equals(produit.getNomUnique())))) {
        if (demande.getDonneesTemporaires().getQuantiteJourICCP() != null) {
          GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ICCP_FORCEE_PRODUIT_NON_VALIDE", 1);
        }
      }
    }
  }
  
  private void verifierDonneesAvecReglementApplicable(Demande demande)
    throws CoucheLogiqueException
  {
    Reglement reglement = null;
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)demande.getDossierExamen();
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    boolean blocage = false;
    if ((dossierExamen != null) && (dossierExamen.getReglementApplicable() != null)) {
      reglement = dossierExamen.getReglementApplicable().getReglement();
    }
    if (reglement != null) {
      if ((reglement.getLibelleCourt().equals("A8")) || (reglement.getLibelleCourt().equals("A10")))
      {
        if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) || (donneesForcees.isSaisieCasExpatriesDonneesTemporaire())) {
          blocage = true;
        }
      }
      else if ((reglement.getLibelleCourt().equals("A9A")) || (reglement.getLibelleCourt().equals("A9B")))
      {
        if ((donneesForcees.isSaisieCasGeneralDonneesTemporaire()) || (donneesForcees.isSaisieCasSpectacleDonneesTemporaire())) {
          blocage = true;
        }
      }
      else if ((donneesForcees.isSaisieCasExpatriesDonneesTemporaire()) || (donneesForcees.isSaisieCasSpectacleDonneesTemporaire())) {
        blocage = true;
      }
    }
    if (blocage) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_ERR_PRESENCE_DF_INCOHERENTES_RGT", new String[] { reglement.getLibelleCourt() }, 1);
    }
  }
  
  private static boolean isAnyDonneesCsrRenseignee(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    return (donneesForcees.isDecisionCPRenseigneeChomageTotalSansRupture()) || (donneesForcees.getDateAttributionCPChomageTotalSansRupture() != null) || (donneesForcees.getDateChomageTotalSansRupture() != null) || (donneesForcees.isAvisFavorableCPChomageTotalSansRupture()) || (donneesForcees.isSinistreOuCalamiteNaturelleChomageTotalSansRupture()) || (donneesForcees.isLeveeCondition28JoursChomageTotalSansRupture()) || (donneesForcees.isAccordPoursuite182JoursChomageTotalSansRupture()) || (donneesForcees.getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture() != null) || (donneesForcees.getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture() != null) || (donneesForcees.getNouvelleDateAttributionChomageTotalSansRupture() != null) || ((donneesForcees.getQuantiteJoursDiffereChomageTotalSansRupture() != null) && (donneesForcees.getQuantiteJoursDiffereChomageTotalSansRupture().getNombreJours() != 0));
  }
  
  public boolean verifierPresenceDonneesForceesExpatrie(Demande demande)
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    boolean presenceDonneesForcees = true;
    if ((demande.getAttribution() != null) && (demande.getAttribution().estDroitSaisonnier())) {
      presenceDonneesForcees = (donneesForcees.getCoefficientSaisonnier() != null) && (donneesForcees.getTypeCaractereSaisonnierForce() != 0) && (donneesForcees.isCaractereSaisonnierForce());
    }
    return (presenceDonneesForcees) && (verifierPresenceDonneesForceesExpatriePourSjr(demande)) && (verifierPresenceDonneesForceesExpatriePourAffiliation(demande)) && (verifierPresenceDonneesForceesExpatriePourdelaiReport(demande));
  }
  
  private boolean verifierPresenceDonneesForceesExpatriePourAffiliation(Demande demande)
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if (demande.estUneDemandeAtp()) {
      return true;
    }
    return (donneesForcees.getCoefficientTempsPartiel() != null) && (donneesForcees.getQuantiteAffiliation() != null) && (donneesForcees.getPeriodeFctARetenir() != null);
  }
  
  private boolean verifierPresenceDonneesForceesExpatriePourSjr(Demande demande)
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    
    return (donneesForcees.getSjr() != null) && (donneesForcees.getTermePrc() != null);
  }
  
  private boolean verifierPresenceDonneesForceesExpatriePourdelaiReport(Demande demande)
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    boolean resultat = (donneesForcees.getQuantiteJourICCP() != null) && (donneesForcees.getQuantiteJourISLR() != null) && (donneesForcees.getPeriodeCarenceExpatrie() != null);
    
    boolean estDemandeAsrOuFinAsr = (OutilDemande.estUneDemandeAsr(demande)) || (OutilDemande.estUneDemandeFinDroitAsr(demande));
    
    boolean estDemandeFinAspOuAsp = (OutilDemande.estUneDemandeFinDroitAsp(demande)) || (OutilDemande.estUneDemandeAsp(demande));
    if ((demande.estUneDemandeAtp()) || (estDemandeAsrOuFinAsr) || (estDemandeFinAspOuAsp)) {
      resultat = true;
    }
    return resultat;
  }
  
  protected void verifierFctForceeExpatriesPostLiquidation(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((demande.getEvenementReferenceExamen().getTypeExamen().equals("ASU_04")) && (donneesForcees.getIdentifiantPeriodeFctARetenir() != null)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_PRESENCE_FCT_A_RETENIR", 1);
    }
  }
  
  public void controlerDonneesSecteurPublic(IndividuSpec individu, DemandeAssuranceSpec demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
    if ((OutilDemande.estUneDemandeAtp(demande)) || (demande.estUneDemandeFinancement())) {
      return;
    }
    if (donneesForcees.isReliquatSecteurPublicEteint())
    {
      Quantite capitalReliquatSecteurPublic = donneesForcees.getCapitalReliquatSecteurPublic();
      if (BigDecimal.ZERO.compareTo(capitalReliquatSecteurPublic.getValeur()) != 0) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DROIT_ETEINT_CAPITAL_NUL", 1);
      }
    }
    if (donneesForcees.isReliquatSecteurPublicPrescritRejete())
    {
      Quantite capitalReliquatSecteurPublic = donneesForcees.getCapitalReliquatSecteurPublic();
      if (BigDecimal.ZERO.compareTo(capitalReliquatSecteurPublic.getValeur()) != 0) {
        GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DROIT_SP_REJETE_CAPITAL_NUL", 1);
      }
    }
    if ((donneesForcees.isReliquatSecteurPublicPrescritRejete()) && (donneesForcees.isReliquatSecteurPublicEteint()) && (BigDecimal.ZERO.compareTo(donneesForcees.getCapitalReliquatSecteurPublic().getValeur()) == 0)) {
      GestionnaireErreur.getInstance().genererException("ASU_PR_N_CALI_DROIT_SP_REJETE_ET_ETEINT", 1);
    }
    donneesForceesDroit(individu, demande);
  }
  
  private void donneesForceesDroit(IndividuSpec individu, DemandeAssuranceSpec demande)
    throws CoucheLogiqueException
  {
    boolean demandeAsuPrecedenteClasseeEnCompetenceSp = false;
    
    DemandeAssuranceSpec dernierDroit = rechercherDerniereDemandePortantDroitOuClasseeSp(individu, demande);
    if (dernierDroit != null) {
      demandeAsuPrecedenteClasseeEnCompetenceSp = (dernierDroit.estClasseeEnCompetenceSecteurPublic()) || ((dernierDroit.getDossierExamen() instanceof RepriseSecteurPublicSpec));
    }
    AttributionAssuranceSpec attributionAssurancePrecedente = (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(demande.getChronologieDemandesAssuranceSansCourante(), demande, new FiltreAttributionStandardAssurance(false, true, true, false, demande));
    
    boolean attributionAsuPrecedenteDeCompetenceSp = (attributionAssurancePrecedente != null) && (attributionAssurancePrecedente.getCompetence().getCompetenceAdministrative() != 1);
    
    controlerCoherenceFgAnterieurForce((Demande)demande);
    
    boolean leverBlocageDonneesSecteurPublic = ((demandeAsuPrecedenteClasseeEnCompetenceSp) || (attributionAsuPrecedenteDeCompetenceSp)) && (!demande.estEnContexteDroitAnterieurSecteurPublic());
    if (leverBlocageDonneesSecteurPublic)
    {
      FabriqueStrategieGenerique fabrique = FabriqueStrategieGenerique.getInstance();
      fabrique.inscrireStrategiePeriode("Date de la nuit des temps", "Date d'application de la Veille nouvelle convention CSP 2014", new StrategieControleDonneesSecteurPublicAvant());
      
      fabrique.inscrireStrategiePeriode("Date d'application de la nouvelle convention CSP 2014", "Veille Reprise SP", new StrategieControleDonneesSecteurPublicApres());
      
      fabrique.inscrireStrategiePeriode("Reprise SP", "Date de la fin des temps", new StrategieControleDonneesSecteurPublicApres2016());
      
      StrategieControleDonneesSecteurPublicSpec strategie = (StrategieControleDonneesSecteurPublicSpec)fabrique.getStrategie(demande.getDateExamen());
      strategie.blocageDonneesSecteurPublic((Demande)demande);
    }
  }
  
  public static DemandeAssuranceSpec rechercherDerniereDemandePortantDroitOuClasseeSp(IndividuSpec individu, DemandeAssuranceSpec demande)
  {
    DemandeAssuranceSpec dernierDroit = null;
    
    ChronologieDebuts chronoDemandesAssurancePrecedentes = (ChronologieDebuts)individu.getChronoDemandeAssurance().copier(new FiltreDateDeclenchementExamenAvantOuCoincideDateEtInclusParPriorite(demande.getDateRecherche(), demande));
    if (!chronoDemandesAssurancePrecedentes.estVide())
    {
      chronoDemandesAssurancePrecedentes.supprimer(demande);
      
      chronoDemandesAssurancePrecedentes.setComparateur(new ComparateurSurDateDeclenchementDemandeDecroissante());
      ListIterator<?> it = chronoDemandesAssurancePrecedentes.iterer();
      while ((it.hasNext()) && (dernierDroit == null))
      {
        Demande courante = (Demande)it.next();
        if ((courante.estDecisionnee()) && (!courante.getListeDossiersExamen().isEmpty()) && (((courante.getListeDossiersExamen().get(0) instanceof AttributionSpec)) || ((courante.getListeDossiersExamen().get(0) instanceof RepriseSecteurPublicSpec))))
        {
          dernierDroit = courante;
        }
        else if (courante.estClasseeEnCompetenceSecteurPublic())
        {
          dernierDroit = courante;
          break;
        }
      }
    }
    return dernierDroit;
  }
  
  private boolean estDemandeEnEntreeCra(Demande demande)
    throws CoucheLogiqueException
  {
    return (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ENTREECRA")) || (("ASU_31".equals(demande.getEvenementReferenceExamen().getTypeExamen())) && (((EreClauseRattrapageSpectacle)demande.getEvenementReferenceExamen()).estEnContexteEntreeClauseRattrapage(demande)));
  }
}

/* Location:
 * Qualified Name:     VerificationDonneesForcees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */