package fr.unedic.cali.asu.parametres;

import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.util.ParametresAbstrait;
import fr.unedic.util.UniteAffiliation;
import java.util.ArrayList;
import java.util.Hashtable;

public final class AccesListeUnitesReglement
  extends ParametresAbstrait
{
  private static AccesListeUnitesReglement instance;
  protected Hashtable<CleAccesListeUnitesReglement, ValeurListeUnitesReglement> tableRechargement = new Hashtable();
  
  public static ValeurListeUnitesReglement get(Reglement reglement, String contexte)
  {
    CleAccesListeUnitesReglement cleAccesListeUnites = new CleAccesListeUnitesReglement(reglement);
    AccesListeUnitesReglement acces = getInstance();
    ValeurListeUnitesReglement valeurListeUnites = null;
    if ((contexte != null) && ("RECHARGE".equals(contexte))) {
      valeurListeUnites = acces.getRechargement(cleAccesListeUnites);
    } else {
      valeurListeUnites = (ValeurListeUnitesReglement)acces.get(cleAccesListeUnites);
    }
    return valeurListeUnites;
  }
  
  public ValeurListeUnitesReglement getRechargement(CleAccesListeUnitesReglement cleAccesListeUnites)
  {
    return (ValeurListeUnitesReglement)tableRechargement.get(cleAccesListeUnites);
  }
  
  private AccesListeUnitesReglement()
  {
    initInstance();
  }
  
  public static AccesListeUnitesReglement getInstance()
  {
    if (instance == null) {
      instance = new AccesListeUnitesReglement();
    }
    return instance;
  }
  
  private void initInstance()
  {
    ArrayList<UniteAffiliation> listeUnitesGeneral = new ArrayList();
    listeUnitesGeneral.add(UniteAffiliation.JOUR);
    listeUnitesGeneral.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesOP = new ArrayList();
    listeUnitesOP.add(UniteAffiliation.JOUR);
    listeUnitesOP.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe1 = new ArrayList();
    listeUnitesAnnexe1.add(UniteAffiliation.JOUR);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe2A = new ArrayList();
    listeUnitesAnnexe2A.add(UniteAffiliation.EMBARQUEMENT_ADMINISTRATIF);
    listeUnitesAnnexe2A.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe2B = new ArrayList();
    listeUnitesAnnexe2B.add(UniteAffiliation.EMBARQUEMENT_ADMINISTRATIF);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe3 = new ArrayList();
    listeUnitesAnnexe3.add(UniteAffiliation.VACATION);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe4 = new ArrayList();
    listeUnitesAnnexe4.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe5 = new ArrayList();
    listeUnitesAnnexe5.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe6 = new ArrayList();
    listeUnitesAnnexe6.add(UniteAffiliation.JOUR);
    listeUnitesAnnexe6.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe7 = new ArrayList();
    listeUnitesAnnexe7.add(UniteAffiliation.JOUR);
    listeUnitesAnnexe7.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe9A = new ArrayList();
    listeUnitesAnnexe9A.add(UniteAffiliation.JOUR);
    listeUnitesAnnexe9A.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe9B = new ArrayList();
    
    listeUnitesAnnexe9B.add(UniteAffiliation.JOUR);
    
    ArrayList<UniteAffiliation> listeUnitesSpe = new ArrayList();
    listeUnitesSpe.add(UniteAffiliation.CACHET_GROUPE);
    listeUnitesSpe.add(UniteAffiliation.CACHET_ISOLE);
    listeUnitesSpe.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ajouter(new CleAccesListeUnitesReglement("RG"), new ValeurListeUnitesReglement(listeUnitesGeneral));
    
    ajouter(new CleAccesListeUnitesReglement("RGP"), new ValeurListeUnitesReglement(listeUnitesGeneral));
    ajouter(new CleAccesListeUnitesReglement("RG5"), new ValeurListeUnitesReglement(listeUnitesAnnexe4));
    ajouter(new CleAccesListeUnitesReglement("OP"), new ValeurListeUnitesReglement(listeUnitesOP));
    ajouter(new CleAccesListeUnitesReglement("A1"), new ValeurListeUnitesReglement(listeUnitesAnnexe1));
    ajouter(new CleAccesListeUnitesReglement("A2a"), new ValeurListeUnitesReglement(listeUnitesAnnexe2A));
    ajouter(new CleAccesListeUnitesReglement("A2b"), new ValeurListeUnitesReglement(listeUnitesAnnexe2B));
    ajouter(new CleAccesListeUnitesReglement("A3"), new ValeurListeUnitesReglement(listeUnitesAnnexe3));
    ajouter(new CleAccesListeUnitesReglement("A4"), new ValeurListeUnitesReglement(listeUnitesAnnexe4));
    ajouter(new CleAccesListeUnitesReglement("A5"), new ValeurListeUnitesReglement(listeUnitesAnnexe5));
    ajouter(new CleAccesListeUnitesReglement("A6"), new ValeurListeUnitesReglement(listeUnitesAnnexe6));
    ajouter(new CleAccesListeUnitesReglement("A7"), new ValeurListeUnitesReglement(listeUnitesAnnexe7));
    ajouter(new CleAccesListeUnitesReglement("A9A"), new ValeurListeUnitesReglement(listeUnitesAnnexe9A));
    ajouter(new CleAccesListeUnitesReglement("A9B"), new ValeurListeUnitesReglement(listeUnitesAnnexe9B));
    ajouter(new CleAccesListeUnitesReglement("A8"), new ValeurListeUnitesReglement(listeUnitesSpe));
    ajouter(new CleAccesListeUnitesReglement("A10"), new ValeurListeUnitesReglement(listeUnitesSpe));
    
    ArrayList<UniteAffiliation> listeUnitesGeneralRech = new ArrayList();
    listeUnitesGeneralRech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesOPRech = new ArrayList();
    listeUnitesOPRech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe1Rech = new ArrayList();
    listeUnitesAnnexe1Rech.add(UniteAffiliation.JOUR);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe2ARech = new ArrayList();
    listeUnitesAnnexe2ARech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe2BRech = new ArrayList();
    listeUnitesAnnexe2BRech.add(UniteAffiliation.EMBARQUEMENT_ADMINISTRATIF);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe3Rech = new ArrayList();
    listeUnitesAnnexe3Rech.add(UniteAffiliation.VACATION);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe4Rech = new ArrayList();
    listeUnitesAnnexe4Rech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe5Rech = new ArrayList();
    listeUnitesAnnexe5Rech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe5ARech = new ArrayList();
    listeUnitesAnnexe5ARech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe5BRech = new ArrayList();
    listeUnitesAnnexe5BRech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe6Rech = new ArrayList();
    listeUnitesAnnexe6Rech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe7Rech = new ArrayList();
    listeUnitesAnnexe7Rech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe9ARech = new ArrayList();
    listeUnitesAnnexe9ARech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    ArrayList<UniteAffiliation> listeUnitesAnnexe9BRech = new ArrayList();
    
    listeUnitesAnnexe9BRech.add(UniteAffiliation.JOUR);
    
    ArrayList<UniteAffiliation> listeUnitesSpeRech = new ArrayList();
    listeUnitesSpeRech.add(UniteAffiliation.HEURE_TRAVAIL);
    
    tableRechargement.put(new CleAccesListeUnitesReglement("RG"), new ValeurListeUnitesReglement(listeUnitesGeneralRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("RGP"), new ValeurListeUnitesReglement(listeUnitesGeneralRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("OP"), new ValeurListeUnitesReglement(listeUnitesOPRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A1"), new ValeurListeUnitesReglement(listeUnitesAnnexe1Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A2a"), new ValeurListeUnitesReglement(listeUnitesAnnexe2ARech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A2b"), new ValeurListeUnitesReglement(listeUnitesAnnexe2BRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A3"), new ValeurListeUnitesReglement(listeUnitesAnnexe3Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A4"), new ValeurListeUnitesReglement(listeUnitesAnnexe4Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A5"), new ValeurListeUnitesReglement(listeUnitesAnnexe5Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A6"), new ValeurListeUnitesReglement(listeUnitesAnnexe6Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A7"), new ValeurListeUnitesReglement(listeUnitesAnnexe7Rech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A9A"), new ValeurListeUnitesReglement(listeUnitesAnnexe9ARech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A9B"), new ValeurListeUnitesReglement(listeUnitesAnnexe9BRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A8"), new ValeurListeUnitesReglement(listeUnitesSpeRech));
    tableRechargement.put(new CleAccesListeUnitesReglement("A10"), new ValeurListeUnitesReglement(listeUnitesSpeRech));
  }
}

/* Location:
 * Qualified Name:     AccesListeUnitesReglement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */