package fr.unedic.cali.asu.parametres;

import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.HashMap;

public class AccesPlafond
  extends AccesParametreIdemnisation
{
  public AccesPlafond()
  {
    initialiser();
  }
  
  protected void initialiser()
  {
    m_table.put(new DateAcces(new Damj(2018, 1, 1)), new ValeurParametreCalcul(new BigDecimal("13244.00")));
    m_table.put(new DateAcces(new Damj(2017, 1, 1)), new ValeurParametreCalcul(new BigDecimal("13076.00")));
    m_table.put(new DateAcces(new Damj(2016, 1, 1)), new ValeurParametreCalcul(new BigDecimal("12872.00")));
    m_table.put(new DateAcces(new Damj(2015, 1, 1)), new ValeurParametreCalcul(new BigDecimal("12680.00")));
    m_table.put(new DateAcces(new Damj(2014, 1, 1)), new ValeurParametreCalcul(new BigDecimal("12516.00")));
    m_table.put(new DateAcces(new Damj(2013, 1, 1)), new ValeurParametreCalcul(new BigDecimal("12344.00")));
    m_table.put(new DateAcces(new Damj(2012, 1, 1)), new ValeurParametreCalcul(new BigDecimal("12124.00")));
    m_table.put(new DateAcces(new Damj(2011, 1, 1)), new ValeurParametreCalcul(new BigDecimal("11784.00")));
    m_table.put(new DateAcces(new Damj(2010, 1, 1)), new ValeurParametreCalcul(new BigDecimal("11540.00")));
    m_table.put(new DateAcces(new Damj(2009, 1, 1)), new ValeurParametreCalcul(new BigDecimal("11436.00")));
    m_table.put(new DateAcces(new Damj(2008, 1, 1)), new ValeurParametreCalcul(new BigDecimal("11092.00")));
    m_table.put(new DateAcces(new Damj(2007, 1, 1)), new ValeurParametreCalcul(new BigDecimal("10728.00")));
    m_table.put(new DateAcces(new Damj(2006, 1, 1)), new ValeurParametreCalcul(new BigDecimal("10356.00")));
    m_table.put(new DateAcces(new Damj(2005, 1, 1)), new ValeurParametreCalcul(new BigDecimal("10064.00")));
    m_table.put(new DateAcces(new Damj(2004, 1, 1)), new ValeurParametreCalcul(new BigDecimal("9904.00")));
    m_table.put(new DateAcces(new Damj(2003, 1, 1)), new ValeurParametreCalcul(new BigDecimal("9728.00")));
    m_table.put(new DateAcces(new Damj(2002, 1, 1)), new ValeurParametreCalcul(new BigDecimal("9408.00")));
    m_table.put(new DateAcces(new Damj(2001, 1, 1)), new ValeurParametreCalcul(new BigDecimal("9116.45")));
    m_table.put(new DateAcces(new Damj(2000, 1, 1)), new ValeurParametreCalcul(new BigDecimal("8964.00")));
    m_table.put(new DateAcces(new Damj(1999, 1, 1)), new ValeurParametreCalcul(new BigDecimal("8823.75")));
    m_table.put(new DateAcces(new Damj(1998, 1, 1)), new ValeurParametreCalcul(new BigDecimal("8592.03")));
    m_table.put(new DateAcces(new Damj(1997, 1, 1)), new ValeurParametreCalcul(new BigDecimal("8366.40")));
    m_table.put(new DateAcces(new Damj(1996, 7, 1)), new ValeurParametreCalcul(new BigDecimal("8256.64")));
    m_table.put(new DateAcces(new Damj(1996, 1, 1)), new ValeurParametreCalcul(new BigDecimal("8128.58")));
    m_table.put(new DateAcces(new Damj(1995, 7, 1)), new ValeurParametreCalcul(new BigDecimal("7963.94")));
    m_table.put(new DateAcces(new Damj(1995, 1, 1)), new ValeurParametreCalcul(new BigDecimal("7884.66")));
    m_table.put(new DateAcces(new Damj(1994, 7, 1)), new ValeurParametreCalcul(new BigDecimal("7829.78")));
    m_table.put(new DateAcces(new Damj(1994, 1, 1)), new ValeurParametreCalcul(new BigDecimal("7732.21")));
    m_table.put(new DateAcces(new Damj(1993, 7, 1)), new ValeurParametreCalcul(new BigDecimal("7689.53")));
    m_table.put(new DateAcces(new Damj(1993, 1, 1)), new ValeurParametreCalcul(new BigDecimal("7537.08")));
    m_table.put(new DateAcces(new Damj(1992, 7, 1)), new ValeurParametreCalcul(new BigDecimal("7409.02")));
    
    m_table.put(new DateAcces(new Damj(1992, 1, 1)), new ValeurParametreCalcul(new BigDecimal("7238.28")));
    m_table.put(new DateAcces(new Damj(1991, 7, 1)), new ValeurParametreCalcul(new BigDecimal("7085.83")));
    m_table.put(new DateAcces(new Damj(1991, 1, 1)), new ValeurParametreCalcul(new BigDecimal("6915.09")));
    m_table.put(new DateAcces(new Damj(1990, 7, 1)), new ValeurParametreCalcul(new BigDecimal("6732.15")));
    m_table.put(new DateAcces(new Damj(1990, 1, 1)), new ValeurParametreCalcul(new BigDecimal("6585.80")));
  }
  
  public void remplir(EvenementParametre evenement, DateAcces dateAcces)
  {
    evenement.setPlafond(((ValeurParametreCalcul)m_table.get(dateAcces)).getValeur());
  }
}

/* Location:
 * Qualified Name:     AccesPlafond
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */