package fr.unedic.cali.asu.parametres;

import fr.unedic.cali.util.ParametresAbstrait;
import fr.unedic.util.temps.ChronologieStandard;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Set;

public class AccesSalaireForfaitaireJournalierCategorieA2B
  extends ParametresAbstrait
{
  private static AccesSalaireForfaitaireJournalierCategorieA2B s_instance;
  
  public BigDecimal get(int codeCategorie, Damj dateEffet)
  {
    return (BigDecimal)getInstance().get(new CleAccesCategorieA2B(codeCategorie, dateEffet));
  }
  
  private AccesSalaireForfaitaireJournalierCategorieA2B()
  {
    initialiser();
  }
  
  public static synchronized AccesSalaireForfaitaireJournalierCategorieA2B getInstance()
  {
    if (s_instance == null) {
      s_instance = new AccesSalaireForfaitaireJournalierCategorieA2B();
    }
    return s_instance;
  }
  
  private void initialiser()
  {
    ajouter(new CleAccesCategorieA2B(90, new Damj(2002, 1, 1)), new BigDecimal("29.08"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2003, 1, 1)), new BigDecimal("29.52"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2004, 1, 1)), new BigDecimal("30.02"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2005, 1, 1)), new BigDecimal("30.62"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2006, 1, 1)), new BigDecimal("31.17"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2007, 1, 1)), new BigDecimal("31.73"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2008, 1, 1)), new BigDecimal("32.08"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2008, 9, 1)), new BigDecimal("32.34"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2009, 4, 1)), new BigDecimal("32.66"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2010, 4, 1)), new BigDecimal("32.96"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2011, 4, 1)), new BigDecimal("33.65"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2012, 4, 1)), new BigDecimal("34.35"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2013, 4, 1)), new BigDecimal("34.80"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2014, 4, 1)), new BigDecimal("35.01"));
    ajouter(new CleAccesCategorieA2B(90, new Damj(2017, 4, 1)), new BigDecimal("35.11"));
    
    ajouter(new CleAccesCategorieA2B(91, new Damj(2002, 1, 1)), new BigDecimal("36.17"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2003, 1, 1)), new BigDecimal("36.71"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2004, 1, 1)), new BigDecimal("37.34"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2005, 1, 1)), new BigDecimal("38.08"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2006, 1, 1)), new BigDecimal("38.77"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2007, 1, 1)), new BigDecimal("39.47"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2008, 1, 1)), new BigDecimal("39.90"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2008, 9, 1)), new BigDecimal("40.22"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2009, 4, 1)), new BigDecimal("40.62"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2010, 4, 1)), new BigDecimal("40.99"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2011, 4, 1)), new BigDecimal("41.85"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2012, 4, 1)), new BigDecimal("42.73"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2013, 4, 1)), new BigDecimal("43.28"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2014, 4, 1)), new BigDecimal("43.54"));
    ajouter(new CleAccesCategorieA2B(91, new Damj(2017, 4, 1)), new BigDecimal("43.67"));
    
    ajouter(new CleAccesCategorieA2B(92, new Damj(2002, 1, 1)), new BigDecimal("43.26"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2003, 1, 1)), new BigDecimal("43.91"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2004, 1, 1)), new BigDecimal("44.65"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2005, 1, 1)), new BigDecimal("45.55"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2006, 1, 1)), new BigDecimal("46.37"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2007, 1, 1)), new BigDecimal("47.20"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2008, 1, 1)), new BigDecimal("47.72"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2008, 9, 1)), new BigDecimal("48.10"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2009, 4, 1)), new BigDecimal("48.58"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2010, 4, 1)), new BigDecimal("49.02"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2011, 4, 1)), new BigDecimal("50.05"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2012, 4, 1)), new BigDecimal("51.10"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2013, 4, 1)), new BigDecimal("51.76"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2014, 4, 1)), new BigDecimal("52.07"));
    ajouter(new CleAccesCategorieA2B(92, new Damj(2017, 4, 1)), new BigDecimal("52.23"));
    
    ajouter(new CleAccesCategorieA2B(93, new Damj(2002, 1, 1)), new BigDecimal("47.72"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2003, 1, 1)), new BigDecimal("48.43"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2004, 1, 1)), new BigDecimal("49.26"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2005, 1, 1)), new BigDecimal("50.24"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2006, 1, 1)), new BigDecimal("51.15"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2007, 1, 1)), new BigDecimal("52.07"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2008, 1, 1)), new BigDecimal("52.64"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2008, 9, 1)), new BigDecimal("53.06"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2009, 4, 1)), new BigDecimal("53.59"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2010, 4, 1)), new BigDecimal("54.07"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2011, 4, 1)), new BigDecimal("55.21"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2012, 4, 1)), new BigDecimal("56.37"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2013, 4, 1)), new BigDecimal("57.10"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2014, 4, 1)), new BigDecimal("57.44"));
    ajouter(new CleAccesCategorieA2B(93, new Damj(2017, 4, 1)), new BigDecimal("57.62"));
    
    ajouter(new CleAccesCategorieA2B(94, new Damj(2002, 1, 1)), new BigDecimal("50.93"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2003, 1, 1)), new BigDecimal("51.69"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2004, 1, 1)), new BigDecimal("52.57"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2005, 1, 1)), new BigDecimal("53.62"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2006, 1, 1)), new BigDecimal("54.59"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2007, 1, 1)), new BigDecimal("55.57"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2008, 1, 1)), new BigDecimal("56.18"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2008, 9, 1)), new BigDecimal("56.63"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2009, 4, 1)), new BigDecimal("57.20"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2010, 4, 1)), new BigDecimal("57.71"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2011, 4, 1)), new BigDecimal("58.92"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2012, 4, 1)), new BigDecimal("60.16"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2013, 4, 1)), new BigDecimal("60.94"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2014, 4, 1)), new BigDecimal("61.31"));
    ajouter(new CleAccesCategorieA2B(94, new Damj(2017, 4, 1)), new BigDecimal("61.49"));
    
    ajouter(new CleAccesCategorieA2B(95, new Damj(2002, 1, 1)), new BigDecimal("52.70"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2003, 1, 1)), new BigDecimal("53.49"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2004, 1, 1)), new BigDecimal("54.40"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2005, 1, 1)), new BigDecimal("55.48"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2006, 1, 1)), new BigDecimal("56.48"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2007, 1, 1)), new BigDecimal("57.50"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2008, 1, 1)), new BigDecimal("58.13"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2008, 9, 1)), new BigDecimal("58.60"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2009, 4, 1)), new BigDecimal("59.19"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2010, 4, 1)), new BigDecimal("59.71"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2011, 4, 1)), new BigDecimal("60.97"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2012, 4, 1)), new BigDecimal("62.25"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2013, 4, 1)), new BigDecimal("63.06"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2014, 4, 1)), new BigDecimal("63.44"));
    ajouter(new CleAccesCategorieA2B(95, new Damj(2017, 4, 1)), new BigDecimal("63.63"));
    
    ajouter(new CleAccesCategorieA2B(96, new Damj(2002, 1, 1)), new BigDecimal("55.97"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2003, 1, 1)), new BigDecimal("56.81"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2004, 1, 1)), new BigDecimal("57.77"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2005, 1, 1)), new BigDecimal("58.93"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2006, 1, 1)), new BigDecimal("59.99"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2007, 1, 1)), new BigDecimal("61.07"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2008, 1, 1)), new BigDecimal("61.74"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2008, 9, 1)), new BigDecimal("62.23"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2009, 4, 1)), new BigDecimal("62.85"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2010, 4, 1)), new BigDecimal("63.42"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2011, 4, 1)), new BigDecimal("64.75"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2012, 4, 1)), new BigDecimal("66.11"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2013, 4, 1)), new BigDecimal("66.97"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2014, 4, 1)), new BigDecimal("67.38"));
    ajouter(new CleAccesCategorieA2B(96, new Damj(2017, 4, 1)), new BigDecimal("67.58"));
    
    ajouter(new CleAccesCategorieA2B(97, new Damj(2002, 1, 1)), new BigDecimal("58.91"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2003, 1, 1)), new BigDecimal("59.59"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2004, 1, 1)), new BigDecimal("60.81"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2005, 1, 1)), new BigDecimal("62.02"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2006, 1, 1)), new BigDecimal("63.14"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2007, 1, 1)), new BigDecimal("64.28"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2008, 1, 1)), new BigDecimal("64.98"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2008, 9, 1)), new BigDecimal("65.50"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2009, 4, 1)), new BigDecimal("66.16"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2010, 4, 1)), new BigDecimal("66.75"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2011, 4, 1)), new BigDecimal("68.15"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2012, 4, 1)), new BigDecimal("69.59"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2013, 4, 1)), new BigDecimal("70.49"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2014, 4, 1)), new BigDecimal("70.91"));
    ajouter(new CleAccesCategorieA2B(97, new Damj(2017, 4, 1)), new BigDecimal("71.13"));
    
    ajouter(new CleAccesCategorieA2B(98, new Damj(2002, 1, 1)), new BigDecimal("61.56"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2003, 1, 1)), new BigDecimal("62.49"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2004, 1, 1)), new BigDecimal("63.55"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2005, 1, 1)), new BigDecimal("64.82"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2006, 1, 1)), new BigDecimal("65.99"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2007, 1, 1)), new BigDecimal("67.17"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2008, 1, 1)), new BigDecimal("67.91"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2008, 9, 1)), new BigDecimal("68.46"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2009, 4, 1)), new BigDecimal("69.14"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2010, 4, 1)), new BigDecimal("69.76"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2011, 4, 1)), new BigDecimal("71.23"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2012, 4, 1)), new BigDecimal("72.72"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2013, 4, 1)), new BigDecimal("73.67"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2014, 4, 1)), new BigDecimal("74.11"));
    ajouter(new CleAccesCategorieA2B(98, new Damj(2017, 4, 1)), new BigDecimal("74.33"));
    
    ajouter(new CleAccesCategorieA2B(99, new Damj(2002, 1, 1)), new BigDecimal("65.42"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2003, 1, 1)), new BigDecimal("66.40"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2004, 1, 1)), new BigDecimal("67.53"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2005, 1, 1)), new BigDecimal("66.88"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2006, 1, 1)), new BigDecimal("70.12"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2007, 1, 1)), new BigDecimal("71.38"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2008, 1, 1)), new BigDecimal("72.17"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2008, 9, 1)), new BigDecimal("72.75"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2009, 4, 1)), new BigDecimal("73.48"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2010, 4, 1)), new BigDecimal("74.14"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2011, 4, 1)), new BigDecimal("75.69"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2012, 4, 1)), new BigDecimal("77.28"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2013, 4, 1)), new BigDecimal("78.29"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2014, 4, 1)), new BigDecimal("78.76"));
    ajouter(new CleAccesCategorieA2B(99, new Damj(2017, 4, 1)), new BigDecimal("78.99"));
    
    ajouter(new CleAccesCategorieA2B(100, new Damj(2002, 1, 1)), new BigDecimal("72.48"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2003, 1, 1)), new BigDecimal("73.57"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2004, 1, 1)), new BigDecimal("74.82"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2005, 1, 1)), new BigDecimal("76.32"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2006, 1, 1)), new BigDecimal("77.69"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2007, 1, 1)), new BigDecimal("79.09"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2008, 1, 1)), new BigDecimal("79.96"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2008, 9, 1)), new BigDecimal("80.60"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2009, 4, 1)), new BigDecimal("81.41"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2010, 4, 1)), new BigDecimal("82.14"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2011, 4, 1)), new BigDecimal("83.86"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2012, 4, 1)), new BigDecimal("85.62"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2013, 4, 1)), new BigDecimal("86.73"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2014, 4, 1)), new BigDecimal("87.26"));
    ajouter(new CleAccesCategorieA2B(100, new Damj(2017, 4, 1)), new BigDecimal("87.52"));
    
    ajouter(new CleAccesCategorieA2B(101, new Damj(2002, 1, 1)), new BigDecimal("77.11"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2003, 1, 1)), new BigDecimal("78.27"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2004, 1, 1)), new BigDecimal("79.60"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2005, 1, 1)), new BigDecimal("81.19"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2006, 1, 1)), new BigDecimal("82.65"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2007, 1, 1)), new BigDecimal("84.14"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2008, 1, 1)), new BigDecimal("85.06"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2008, 9, 1)), new BigDecimal("85.75"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2009, 4, 1)), new BigDecimal("86.61"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2010, 4, 1)), new BigDecimal("87.38"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2011, 4, 1)), new BigDecimal("89.22"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2012, 4, 1)), new BigDecimal("91.09"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2013, 4, 1)), new BigDecimal("92.27"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2014, 4, 1)), new BigDecimal("92.83"));
    ajouter(new CleAccesCategorieA2B(101, new Damj(2017, 4, 1)), new BigDecimal("93.11"));
    
    ajouter(new CleAccesCategorieA2B(102, new Damj(2002, 1, 1)), new BigDecimal("83.41"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2003, 1, 1)), new BigDecimal("84.67"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2004, 1, 1)), new BigDecimal("86.11"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2005, 1, 1)), new BigDecimal("87.83"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2006, 1, 1)), new BigDecimal("89.41"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2007, 1, 1)), new BigDecimal("91.02"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2008, 1, 1)), new BigDecimal("92.02"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2008, 9, 1)), new BigDecimal("92.75"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2009, 4, 1)), new BigDecimal("93.68"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2010, 4, 1)), new BigDecimal("94.53"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2011, 4, 1)), new BigDecimal("96.51"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2012, 4, 1)), new BigDecimal("98.54"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2013, 4, 1)), new BigDecimal("99.82"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2014, 4, 1)), new BigDecimal("100.42"));
    ajouter(new CleAccesCategorieA2B(102, new Damj(2017, 4, 1)), new BigDecimal("100.72"));
    
    ajouter(new CleAccesCategorieA2B(103, new Damj(2002, 1, 1)), new BigDecimal("89.72"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2003, 1, 1)), new BigDecimal("91.06"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2004, 1, 1)), new BigDecimal("92.61"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2005, 1, 1)), new BigDecimal("94.46"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2006, 1, 1)), new BigDecimal("96.16"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2007, 1, 1)), new BigDecimal("97.90"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2008, 1, 1)), new BigDecimal("98.97"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2008, 9, 1)), new BigDecimal("99.76"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2009, 4, 1)), new BigDecimal("100.76"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2010, 4, 1)), new BigDecimal("101.67"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2011, 4, 1)), new BigDecimal("103.80"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2012, 4, 1)), new BigDecimal("105.98"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2013, 4, 1)), new BigDecimal("107.36"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2014, 4, 1)), new BigDecimal("108.01"));
    ajouter(new CleAccesCategorieA2B(103, new Damj(2017, 4, 1)), new BigDecimal("108.33"));
    
    ajouter(new CleAccesCategorieA2B(104, new Damj(2002, 1, 1)), new BigDecimal("96.71"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2003, 1, 1)), new BigDecimal("98.16"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2004, 1, 1)), new BigDecimal("99.83"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2005, 1, 1)), new BigDecimal("101.83"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2006, 1, 1)), new BigDecimal("103.66"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2007, 1, 1)), new BigDecimal("105.52"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2008, 1, 1)), new BigDecimal("106.69"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2008, 9, 1)), new BigDecimal("107.54"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2009, 4, 1)), new BigDecimal("108.62"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2010, 4, 1)), new BigDecimal("109.59"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2011, 4, 1)), new BigDecimal("111.89"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2012, 4, 1)), new BigDecimal("114.24"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2013, 4, 1)), new BigDecimal("115.73"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2014, 4, 1)), new BigDecimal("116.42"));
    ajouter(new CleAccesCategorieA2B(104, new Damj(2017, 4, 1)), new BigDecimal("116.77"));
    
    ajouter(new CleAccesCategorieA2B(105, new Damj(2002, 1, 1)), new BigDecimal("104.12"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2003, 1, 1)), new BigDecimal("105.68"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2004, 1, 1)), new BigDecimal("107.47"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2005, 1, 1)), new BigDecimal("109.62"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2006, 1, 1)), new BigDecimal("111.60"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2007, 1, 1)), new BigDecimal("113.61"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2008, 1, 1)), new BigDecimal("114.85"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2008, 9, 1)), new BigDecimal("115.77"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2009, 4, 1)), new BigDecimal("116.93"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2010, 4, 1)), new BigDecimal("117.98"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2011, 4, 1)), new BigDecimal("120.46"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2012, 4, 1)), new BigDecimal("122.99"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2013, 4, 1)), new BigDecimal("124.59"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2014, 4, 1)), new BigDecimal("125.34"));
    ajouter(new CleAccesCategorieA2B(105, new Damj(2017, 4, 1)), new BigDecimal("125.71"));
    
    ajouter(new CleAccesCategorieA2B(106, new Damj(2002, 1, 1)), new BigDecimal("113.77"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2003, 1, 1)), new BigDecimal("114.86"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2004, 1, 1)), new BigDecimal("116.82"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2005, 1, 1)), new BigDecimal("119.15"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2006, 1, 1)), new BigDecimal("121.30"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2007, 1, 1)), new BigDecimal("123.48"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2008, 1, 1)), new BigDecimal("124.84"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2008, 9, 1)), new BigDecimal("125.84"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2009, 4, 1)), new BigDecimal("127.10"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2010, 4, 1)), new BigDecimal("128.24"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2011, 4, 1)), new BigDecimal("130.93"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2012, 4, 1)), new BigDecimal("133.68"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2013, 4, 1)), new BigDecimal("135.42"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2014, 4, 1)), new BigDecimal("136.23"));
    ajouter(new CleAccesCategorieA2B(106, new Damj(2017, 4, 1)), new BigDecimal("136.64"));
    
    ajouter(new CleAccesCategorieA2B(107, new Damj(2002, 1, 1)), new BigDecimal("124.71"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2003, 1, 1)), new BigDecimal("126.58"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2004, 1, 1)), new BigDecimal("128.73"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2005, 1, 1)), new BigDecimal("131.30"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2006, 1, 1)), new BigDecimal("133.67"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2007, 1, 1)), new BigDecimal("136.07"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2008, 1, 1)), new BigDecimal("137.57"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2008, 9, 1)), new BigDecimal("138.67"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2009, 4, 1)), new BigDecimal("140.06"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2010, 4, 1)), new BigDecimal("141.32"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2011, 4, 1)), new BigDecimal("144.29"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2012, 4, 1)), new BigDecimal("147.32"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2013, 4, 1)), new BigDecimal("149.23"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2014, 4, 1)), new BigDecimal("150.13"));
    ajouter(new CleAccesCategorieA2B(107, new Damj(2017, 4, 1)), new BigDecimal("150.58"));
    
    ajouter(new CleAccesCategorieA2B(108, new Damj(2002, 1, 1)), new BigDecimal("137.28"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2003, 1, 1)), new BigDecimal("139.33"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2004, 1, 1)), new BigDecimal("141.70"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2005, 1, 1)), new BigDecimal("144.54"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2006, 1, 1)), new BigDecimal("147.14"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2007, 1, 1)), new BigDecimal("149.79"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2008, 1, 1)), new BigDecimal("151.44"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2008, 9, 1)), new BigDecimal("152.65"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2009, 4, 1)), new BigDecimal("154.18"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2010, 4, 1)), new BigDecimal("155.56"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2011, 4, 1)), new BigDecimal("158.83"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2012, 4, 1)), new BigDecimal("162.16"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2013, 4, 1)), new BigDecimal("164.27"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2014, 4, 1)), new BigDecimal("165.26"));
    ajouter(new CleAccesCategorieA2B(108, new Damj(2017, 4, 1)), new BigDecimal("165.75"));
    
    ajouter(new CleAccesCategorieA2B(109, new Damj(2002, 1, 1)), new BigDecimal("150.83"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2003, 1, 1)), new BigDecimal("153.09"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2004, 1, 1)), new BigDecimal("155.70"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2005, 1, 1)), new BigDecimal("158.81"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2006, 1, 1)), new BigDecimal("161.67"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2007, 1, 1)), new BigDecimal("164.58"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2008, 1, 1)), new BigDecimal("166.39"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2008, 9, 1)), new BigDecimal("167.72"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2009, 4, 1)), new BigDecimal("169.40"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2010, 4, 1)), new BigDecimal("170.92"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2011, 4, 1)), new BigDecimal("174.51"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2012, 4, 1)), new BigDecimal("178.18"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2013, 4, 1)), new BigDecimal("180.49"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2014, 4, 1)), new BigDecimal("181.57"));
    ajouter(new CleAccesCategorieA2B(109, new Damj(2017, 4, 1)), new BigDecimal("182.12"));
  }
  
  private void initAjoutEvenement(EvenementCategorieA2B monEvenement, ChronologieStandard chrono, BigDecimal valeur, int index)
  {
    monEvenement.setCat(valeur, index);
    ajouterEvenement(chrono, monEvenement);
  }
  
  private void ajouterEvenement(ChronologieStandard asuC, EvenementCategorieA2B evtCat)
  {
    Damj damjParam = evtCat.getDateEffet();
    boolean trouve = false;
    asuC.iterer();
    while ((asuC.encoreSuivant()) && (!trouve))
    {
      EvenementCategorieA2B evtAsu = (EvenementCategorieA2B)asuC.elementSuivant();
      Damj damjAsu = evtAsu.getDateEffet();
      if (damjParam.equals(damjAsu))
      {
        evtAsu.repercuter(evtCat);
        trouve = true;
      }
    }
    if (!trouve) {
      asuC.ajouter(evtCat);
    }
  }
  
  public ChronologieStandard getChronoValeursParametre()
  {
    ChronologieStandard chrono = new ChronologieStandard();
    Set keys = m_table.keySet();
    Iterator it = keys.iterator();
    while (it.hasNext())
    {
      CleAccesCategorieA2B cle = (CleAccesCategorieA2B)it.next();
      BigDecimal valeur = (BigDecimal)m_table.get(cle);
      Damj maDate = cle.getDateEffet();
      EvenementCategorieA2B monEvenement = new EvenementCategorieA2B(maDate);
      int maCategorie = cle.getCodeCategorie();
      switch (maCategorie)
      {
      case 90: 
        initAjoutEvenement(monEvenement, chrono, valeur, 0); break;
      case 91: 
        initAjoutEvenement(monEvenement, chrono, valeur, 1); break;
      case 92: 
        initAjoutEvenement(monEvenement, chrono, valeur, 2); break;
      case 93: 
        initAjoutEvenement(monEvenement, chrono, valeur, 3); break;
      case 94: 
        initAjoutEvenement(monEvenement, chrono, valeur, 4); break;
      case 95: 
        initAjoutEvenement(monEvenement, chrono, valeur, 5); break;
      case 96: 
        initAjoutEvenement(monEvenement, chrono, valeur, 6); break;
      case 97: 
        initAjoutEvenement(monEvenement, chrono, valeur, 7); break;
      case 98: 
        initAjoutEvenement(monEvenement, chrono, valeur, 8); break;
      case 99: 
        initAjoutEvenement(monEvenement, chrono, valeur, 9); break;
      case 100: 
        initAjoutEvenement(monEvenement, chrono, valeur, 10); break;
      case 101: 
        initAjoutEvenement(monEvenement, chrono, valeur, 11); break;
      case 102: 
        initAjoutEvenement(monEvenement, chrono, valeur, 12); break;
      case 103: 
        initAjoutEvenement(monEvenement, chrono, valeur, 13); break;
      case 104: 
        initAjoutEvenement(monEvenement, chrono, valeur, 14); break;
      case 105: 
        initAjoutEvenement(monEvenement, chrono, valeur, 15); break;
      case 106: 
        initAjoutEvenement(monEvenement, chrono, valeur, 16); break;
      case 107: 
        initAjoutEvenement(monEvenement, chrono, valeur, 17); break;
      case 108: 
        initAjoutEvenement(monEvenement, chrono, valeur, 18); break;
      case 109: 
        initAjoutEvenement(monEvenement, chrono, valeur, 19);
      }
    }
    return chrono;
  }
}

/* Location:
 * Qualified Name:     AccesSalaireForfaitaireJournalierCategorieA2B
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */