package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConditionsAttributionAdmissionGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionSpec;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ConditionsAttributionAdmission
  extends ConditionsAttributionAdmissionGen
  implements ConditionsAttributionSpec
{
  private static final long serialVersionUID = -4089666307774115L;
  
  public ConditionsAttributionAdmission(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConditionsAttributionAdmission() {}
  
  public List getListeConditionsAttribution()
  {
    List listeConditions = new ArrayList();
    if (getConditionRechercheEmploi() != null) {
      listeConditions.add(getConditionRechercheEmploi());
    }
    if (getConditionFaitGenerateur() != null) {
      listeConditions.add(getConditionFaitGenerateur());
    }
    if (getConditionChomageTotal() != null) {
      listeConditions.add(getConditionChomageTotal());
    }
    if (getConditionAge() != null) {
      listeConditions.add(getConditionAge());
    }
    if (getConditionQuantiteAffiliation() != null) {
      listeConditions.add(getConditionQuantiteAffiliation());
    }
    if (getConditionChomageInvolontaire() != null) {
      listeConditions.add(getConditionChomageInvolontaire());
    }
    if (getConditionActiviteConservee() != null) {
      listeConditions.add(getConditionActiviteConservee());
    }
    if (getConditionCumulPrestationFamiliale() != null) {
      listeConditions.add(getConditionCumulPrestationFamiliale());
    }
    if (getConditionMontantNonNul() != null) {
      listeConditions.add(getConditionMontantNonNul());
    }
    if (getConditionCSRDateAttributionPendantSuspension() != null) {
      listeConditions.add(getConditionCSRDateAttributionPendantSuspension());
    }
    if (getConditionCSRAccordCP() != null) {
      listeConditions.add(getConditionCSRAccordCP());
    }
    if (getConditionCSR28Jours() != null) {
      listeConditions.add(getConditionCSR28Jours());
    }
    if (getConditionAnciennete() != null) {
      listeConditions.add(getConditionAnciennete());
    }
    if (getConditionDureeNonNulle() != null) {
      listeConditions.add(getConditionDureeNonNulle());
    }
    return listeConditions;
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getConditionRechercheEmploi());
    DomManager.persisterEnProfondeur(getConditionFaitGenerateur());
    DomManager.persisterEnProfondeur(getConditionChomageTotal());
    DomManager.persisterEnProfondeur(getConditionAge());
    DomManager.persisterEnProfondeur(getConditionQuantiteAffiliation());
    DomManager.persisterEnProfondeur(getConditionChomageInvolontaire());
    DomManager.persisterEnProfondeur(getConditionActiviteConservee());
    DomManager.persisterEnProfondeur(getConditionCumulPrestationFamiliale());
    DomManager.persisterEnProfondeur(getConditionMontantNonNul());
    DomManager.persisterEnProfondeur(getConditionCSRDateAttributionPendantSuspension());
    DomManager.persisterEnProfondeur(getConditionCSRAccordCP());
    DomManager.persisterEnProfondeur(getConditionCSR28Jours());
    DomManager.persisterEnProfondeur(getConditionAnciennete());
    DomManager.persisterEnProfondeur(getConditionDureeNonNulle());
    DomManager.persisterEnProfondeur(getConditionValiditeReliquat());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionsAttributionAdmission copie = (ConditionsAttributionAdmission)p_copie;
    
    super.copieElements(copie);
    if (getConditionActiviteConservee() != null)
    {
      ConditionActiviteConservee copieCondition = copie.createConditionActiviteConservee();
      getConditionActiviteConservee().copieElements(copieCondition);
    }
    if (getConditionAge() != null)
    {
      ConditionAge copieCondition = copie.createConditionAge();
      getConditionAge().copieElements(copieCondition);
    }
    if (getConditionChomageInvolontaire() != null)
    {
      ConditionChomageInvolontaire copieCondition = copie.createConditionChomageInvolontaire();
      getConditionChomageInvolontaire().copieElements(copieCondition);
    }
    if (getConditionChomageTotal() != null)
    {
      ConditionChomageTotal copieCondition = copie.createConditionChomageTotal();
      getConditionChomageTotal().copieElements(copieCondition);
    }
    if (getConditionMontantNonNul() != null)
    {
      ConditionMontantNonNul copieCondition = copie.createConditionMontantNonNul();
      getConditionMontantNonNul().copieElements(copieCondition);
    }
    if (getConditionQuantiteAffiliation() != null)
    {
      ConditionQuantiteAffiliation copieCondition = copie.createConditionQuantiteAffiliation();
      getConditionQuantiteAffiliation().copieElements(copieCondition);
    }
    if (getConditionRechercheEmploi() != null)
    {
      ConditionRechercheEmploi copieCondition = copie.createConditionRechercheEmploi();
      getConditionRechercheEmploi().copieElements(copieCondition);
    }
    if (getConditionFaitGenerateur() != null)
    {
      ConditionFaitGenerateur copieCondition = copie.createConditionFaitGenerateur();
      getConditionFaitGenerateur().copieElements(copieCondition);
    }
    if (getConditionCumulPrestationFamiliale() != null)
    {
      ConditionCumulPrestationFamiliale copieCondition = copie.createConditionCumulPrestationFamiliale();
      getConditionCumulPrestationFamiliale().copieElements(copieCondition);
    }
    if (getConditionCSRDateAttributionPendantSuspension() != null)
    {
      ConditionCSRDateAttributionPendantSuspension copieCondition = copie.createConditionCSRDateAttributionPendantSuspension();
      getConditionCSRDateAttributionPendantSuspension().copieElements(copieCondition);
    }
    if (getConditionCSRAccordCP() != null)
    {
      ConditionCSRAccordCP copieCondition = copie.createConditionCSRAccordCP();
      getConditionCSRAccordCP().copieElements(copieCondition);
    }
    if (getConditionCSR28Jours() != null)
    {
      ConditionCSR28Jours copieCondition = copie.createConditionCSR28Jours();
      getConditionCSR28Jours().copieElements(copieCondition);
    }
    if (getConditionAnciennete() != null)
    {
      ConditionAnciennete copieCondition = copie.createConditionAnciennete();
      getConditionAnciennete().copieElements(copieCondition);
    }
    if (getConditionDureeNonNulle() != null)
    {
      ConditionDureeNonNulle copieCondition = copie.createConditionDureeNonNulle();
      getConditionDureeNonNulle().copieElements(copieCondition);
    }
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public boolean estSatisfait()
  {
    for (Iterator iter = getListeConditionsAttribution().iterator(); iter.hasNext();)
    {
      ElementDroitSpec droit = (ElementDroitSpec)iter.next();
      if ((droit != null) && 
        (!(droit instanceof ConditionChomageInvolontaire)) && (!droit.estSatisfait())) {
        return false;
      }
    }
    return true;
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */