package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionElementsAdmissionGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionElementsAdmission
  extends ConstitutionElementsAdmissionGen
  implements ConstitutionElementsSpec
{
  private static final long serialVersionUID = 4330387573145312222L;
  
  public ConstitutionElementsAdmission(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConstitutionElementsAdmission()
  {
    createConstitutionSjr();
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionSjr());
    DomManager.persisterEnProfondeur(super.getConstitutionDelais());
    DomManager.persisterEnProfondeur(super.getConstitutionSjc());
    DomManager.persisterEnProfondeur(super.getConstitutionQuantiteAffiliation());
    DomManager.persisterEnProfondeur(super.getConstitutionReglementApplicable());
    DomManager.persisterEnProfondeur(super.getConstitutionDateAttribution());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBruts());
    DomManager.persisterEnProfondeur(super.getConstitutionPointDepartIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionCaractereSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientTempsPartiel());
    DomManager.persisterEnProfondeur(super.getConstitutionProduitResultant());
    DomManager.persisterEnProfondeur(super.getConstitutionDateLimiteIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionElementsExamenFilEau());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionElementsAdmission copie = (ConstitutionElementsAdmission)p_copie;
    if (getConstitutionDateAttribution() != null)
    {
      ConstitutionDateAttribution copieCepa = copie.createConstitutionDateAttribution();
      getConstitutionDateAttribution().copieElements(copieCepa);
    }
    if (getConstitutionDelais() != null)
    {
      ConstitutionDelais copieCepa = copie.createConstitutionDelais();
      getConstitutionDelais().copieElements(copieCepa);
    }
    if (getConstitutionDurees() != null)
    {
      ConstitutionDurees copieCepa = copie.createConstitutionDurees();
      getConstitutionDurees().copieElements(copieCepa);
    }
    if (getConstitutionMontantsBruts() != null)
    {
      ConstitutionMontantsBruts copieCepa = copie.createConstitutionMontantsBruts();
      getConstitutionMontantsBruts().copieElements(copieCepa);
    }
    if (getConstitutionQuantiteAffiliation() != null)
    {
      ConstitutionQuantiteAffiliation copieCepa = copie.createConstitutionQuantiteAffiliation();
      getConstitutionQuantiteAffiliation().copieElements(copieCepa);
    }
    if (getConstitutionSjc() != null)
    {
      ConstitutionSjc copieCepa = copie.createConstitutionSjc();
      getConstitutionSjc().copieElements(copieCepa);
    }
    if (getConstitutionSjr() != null)
    {
      ConstitutionSjr copieCepa = copie.createConstitutionSjr();
      getConstitutionSjr().copieElements(copieCepa);
    }
    if (getConstitutionReglementApplicable() != null)
    {
      ConstitutionReglementApplicable copieCepa = copie.createConstitutionReglementApplicable();
      getConstitutionReglementApplicable().copieElements(copieCepa);
    }
    if (getConstitutionPointDepartIndemnisation() != null)
    {
      ConstitutionPointDepartIndemnisation copieCepa = copie.createConstitutionPointDepartIndemnisation();
      getConstitutionPointDepartIndemnisation().copieElements(copieCepa);
    }
    if (getConstitutionCaractereSaisonnier() != null)
    {
      ConstitutionCaractereSaisonnier copieCepa = copie.createConstitutionCaractereSaisonnier();
      getConstitutionCaractereSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientSaisonnier() != null)
    {
      ConstitutionCoefficientSaisonnier copieCepa = copie.createConstitutionCoefficientSaisonnier();
      getConstitutionCoefficientSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientTempsPartiel() != null)
    {
      ConstitutionCoefficientTempsPartiel copieCepa = copie.createConstitutionCoefficientTempsPartiel();
      getConstitutionCoefficientTempsPartiel().copieElements(copieCepa);
    }
    if (getConstitutionProduitResultant() != null)
    {
      ConstitutionProduitResultant copieCepa = copie.createConstitutionProduitResultant();
      getConstitutionProduitResultant().copieElements(copieCepa);
    }
    if (getConstitutionDateLimiteIndemnisation() != null)
    {
      ConstitutionDateLimiteIndemnisation copieCepa = copie.createConstitutionDateLimiteIndemnisation();
      getConstitutionDateLimiteIndemnisation().copieElements(copieCepa);
    }
  }
  
  public ConstitutionSjr createConstitutionSjr()
  {
    ConstitutionSjr constitutionSjr = super.createConstitutionSjr();
    constitutionSjr.setSjrRevise(null);
    return constitutionSjr;
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */