package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ConstitutionMontantsBrutsSpec;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionMontantsBrutsGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionMontantsBruts
  extends ConstitutionMontantsBrutsGen
  implements ConstitutionMontantsBrutsSpec
{
  private static final long serialVersionUID = -3325099788640684306L;
  private transient Quantite m_montantBrutSansDeduction;
  private transient MontantAsuSpec m_montantAAttribution;
  private transient Quantite m_montantDeuxiemeTranche;
  private transient Quantite m_crcAreSousJacent;
  
  private ConstitutionMontantsBruts() {}
  
  public ConstitutionMontantsBruts(DomPCSpec p_constitutionElementsAdmissionPC)
  {
    super(p_constitutionElementsAdmissionPC);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionMontantsBruts copie = (ConstitutionMontantsBruts)p_copie;
    
    copie.setCapitalInitialBrut(getCapitalInitialBrut());
    copie.setMontantBase(getMontantBase());
    copie.setMontantBrutSansPensionInvaliditeADeduire(getMontantBrutSansPensionInvaliditeADeduire());
    copie.setMontantJournalierBrut(getMontantJournalierBrut());
    copie.setMontantBrutSansDeduction(getMontantBrutSansDeduction());
    copie.setMontantMini(getMontantMini());
    copie.setMontantPlafond(getMontantPlafond());
    copie.setMontantPlancher(getMontantPlancher());
    copie.setPensionInvaliditeADeduirePriseEnCompte(getPensionInvaliditeADeduirePriseEnCompte());
    copie.setMontantJournalierAvantageVieillesse(getMontantJournalierAvantageVieillesse());
    copie.setMontantJournalierAvantageVieillesseDeduit(getMontantJournalierAvantageVieillesseDeduit());
    copie.setCrc(getCrc());
    copie.setCrcAreSousJacent(getCrcAreSousJacent());
    copie.setMontantAAttribution(getMontantAAttribution());
    copie.setQuatreVingtMontantPreavis(getQuatreVingtMontantPreavis());
    copie.setQuatreVingtSjr(getQuatreVingtSjr());
    copie.setMiniAREF(getMiniAREF());
    copie.setTypeMontantRetenuDroitCourant(getTypeMontantRetenuDroitCourant());
    copie.setMontantDroitAssocie(getMontantDroitAssocie());
    
    Iterator iter = getListePensionInvalidite().iterator();
    while (iter.hasNext())
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      copie.ajouterMontantBrutPensionInvalidite((PensionInvaliditeChainee)element.copie());
    }
  }
  
  public Quantite getMontantBrutSansDeduction()
  {
    return m_montantBrutSansDeduction;
  }
  
  public void setMontantBrutSansDeduction(Quantite p_quantite)
  {
    m_montantBrutSansDeduction = p_quantite;
  }
  
  public Quantite getCrcAreSousJacent()
  {
    return m_crcAreSousJacent;
  }
  
  public void setCrcAreSousJacent(Quantite p_crcAreSousJacent)
  {
    m_crcAreSousJacent = p_crcAreSousJacent;
  }
  
  public MontantAsuSpec getMontantAAttribution()
  {
    return m_montantAAttribution;
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getCollectionMontantBrutPensionInvalidite());
  }
  
  public void setMontantAAttribution(MontantAsuSpec p_montantAAttribution)
  {
    m_montantAAttribution = p_montantAAttribution;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Quantite getMontantJournalierBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierBrut(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutConstitutionMontantsBruts(p_quantite);
  }
  
  public Quantite getCapitalInitialBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalInitialBrutConstitutionMontantsBruts();
  }
  
  public void setCapitalInitialBrut(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setCapitalInitialBrutConstitutionMontantsBruts(p_quantite);
  }
  
  public Quantite getMontantBase()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBaseConstitutionMontantsBruts();
  }
  
  public Quantite getMontantMini()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantMiniConstitutionMontantsBruts();
  }
  
  public Quantite getMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionMontantsBruts();
  }
  
  public Quantite getMontantPlancher()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlancherConstitutionMontantsBruts();
  }
  
  public void setMontantBase(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantBaseConstitutionMontantsBruts(p_quantite);
  }
  
  public void setMontantMini(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantMiniConstitutionMontantsBruts(p_quantite);
  }
  
  public void setMontantPlafond(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionMontantsBruts(p_quantite);
  }
  
  public void setMontantPlancher(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlancherConstitutionMontantsBruts(p_quantite);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompte()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts();
  }
  
  public void setPensionInvaliditeADeduirePriseEnCompte(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(p_quantite);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduire()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts();
  }
  
  public void setMontantBrutSansPensionInvaliditeADeduire(Quantite p_quantite)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(p_quantite);
  }
  
  public Quantite getMontantJournalierAvantageVieillesse()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierAvantageVieillesse(Quantite p_montantJournalierAvantageVieillesse)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(p_montantJournalierAvantageVieillesse);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduit()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierAvantageVieillesseDeduit(Quantite p_montantJournalierAvantageVieillesseDeduit)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(p_montantJournalierAvantageVieillesseDeduit);
  }
  
  public Quantite getCrc()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCrcConstitutionMontantsBruts();
  }
  
  public void setCrc(Quantite p_crc)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setCrcConstitutionMontantsBruts(p_crc);
  }
  
  public Quantite getMontantJournalierPreavis()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierPreavis();
  }
  
  public void setMontantJournalierPreavis(Quantite p_montantJournalierPreavis)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierPreavis(p_montantJournalierPreavis);
  }
  
  public BigDecimal getQuatreVingtSjr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuatreVingtSjr();
  }
  
  public void setQuatreVingtSjr(BigDecimal p_quatreVingtSjr)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setQuatreVingtSjr(p_quatreVingtSjr);
  }
  
  public BigDecimal getQuatreVingtMontantPreavis()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuatreVingtMontantPreavis();
  }
  
  public void setQuatreVingtMontantPreavis(BigDecimal p_quatreVingtMontantPreavis)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setQuatreVingtMontantPreavis(p_quatreVingtMontantPreavis);
  }
  
  public BigDecimal getMiniAREF()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMiniAREF();
  }
  
  public void setMiniAREF(BigDecimal p_miniAREF)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMiniAREF(p_miniAREF);
  }
  
  public Quantite getMontantDeuxiemeTranche()
  {
    return m_montantDeuxiemeTranche;
  }
  
  public void setMontantDeuxiemeTranche(Quantite p_quantite)
  {
    m_montantDeuxiemeTranche = p_quantite;
  }
  
  public Collection getListePensionInvalidite()
  {
    return super.getCollectionMontantBrutPensionInvalidite();
  }
  
  public void clearCollectionMontantBrutPensionInvalidite()
  {
    for (Iterator iter = getListePensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
    super.clearCollectionMontantBrutPensionInvalidite();
  }
  
  public void remplacerCollectionMontantBrutPensionInvalidite(Collection p_collectionACopier)
  {
    for (Iterator iter = getListePensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionMontantBrutPensionInvalidite(p_collectionACopier);
  }
  
  public void setListePensionInvalidite(Collection p_listePensionInvalidite)
  {
    remplacerCollectionMontantBrutPensionInvalidite(p_listePensionInvalidite);
  }
  
  public Collection getCollectionMontantBrutPensionInvalidite()
  {
    return getListePensionInvalidite();
  }
}

/* Location:
 * Qualified Name:     ConstitutionMontantsBruts
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */