package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ConstitutionProduitResultantSpec;
import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionProduitResultantGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionProduitResultant
  extends ConstitutionProduitResultantGen
  implements ConstitutionProduitResultantSpec
{
  private static final long serialVersionUID = 432177247976644998L;
  private transient Quantite m_montantBrutSansDeduction;
  
  public ConstitutionProduitResultant(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConstitutionProduitResultant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionProduitResultant copie = (ConstitutionProduitResultant)p_copie;
    
    copie.setCapitalDroitPrecedent(getCapitalDroitPrecedent());
    copie.setDureeDroitPrecedent(getDureeDroitPrecedent());
    copie.setMontantDroitPrecedent(getMontantDroitPrecedent());
    copie.setCapitalMax(getCapitalMax());
    copie.setTypeCapitalRetenu(getTypeCapitalRetenu());
    copie.setTypeMontantRetenu(getTypeMontantRetenu());
    copie.setCrc(getCrc());
    copie.setDureeEffective(getDureeEffective());
    copie.setDureeImputation(getDureeImputation());
    copie.setDureeTheorique(getDureeTheorique());
    copie.setMontantJournalierAvantageVieillesseDeduit(getMontantJournalierAvantageVieillesseDeduit());
    copie.setMontantJournalierBrut(getMontantJournalierBrut());
    copie.setPensionInvaliditeADeduirePriseEnCompte(getPensionInvaliditeADeduirePriseEnCompte());
    copie.setSjrrpProduitPrecedent(getSjrrpProduitPrecedent());
    if (getJustificationDroitResultant() != null) {
      copie.setJustificationDroitResultant((JustificationDroitResultant)getJustificationDroitResultant().copie());
    }
    if (getSjrrpProduitPrecedent() != null) {
      copie.setSjrrpProduitPrecedent((Sjr)getSjrrpProduitPrecedent().copie());
    }
    Iterator iter = getListePensionInvalidite().iterator();
    while (iter.hasNext())
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      copie.ajouterProduitResultantPensionInvalidite((PensionInvaliditeChainee)element.copie());
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getJustificationDroitResultant());
    DomManager.persisterEnProfondeur(super.getCollectionProduitResultantPensionInvalidite());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Collection getListePensionInvalidite()
  {
    return super.getCollectionProduitResultantPensionInvalidite();
  }
  
  public void clearCollectionProduitResultantPensionInvalidite()
  {
    for (Iterator iter = getListePensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
    super.clearCollectionProduitResultantPensionInvalidite();
  }
  
  public void remplacerCollectionProduitResultantPensionInvalidite(Collection p_collectionACopier)
  {
    for (Iterator iter = getListePensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionProduitResultantPensionInvalidite(p_collectionACopier);
  }
  
  public void setJustificationDroitResultant(JustificationDroitResultant p_justificationDroitResultant)
  {
    DomManager.supprimer(super.getJustificationDroitResultant(), p_justificationDroitResultant);
    super.setJustificationDroitResultant(p_justificationDroitResultant);
  }
  
  public void setListePensionInvalidite(Collection p_listePensionInvalidite)
  {
    remplacerCollectionProduitResultantPensionInvalidite(p_listePensionInvalidite);
  }
  
  public Quantite getMontantBrutSansDeduction()
  {
    return m_montantBrutSansDeduction;
  }
  
  public void setMontantBrutSansDeduction(Quantite p_montantBrutSansDeduction)
  {
    m_montantBrutSansDeduction = p_montantBrutSansDeduction;
  }
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */