package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.outilsfonctionnels.OutilAsp;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.RejetGen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Damj;
import java.util.Collection;

public class Rejet
  extends RejetGen
  implements RejetSpec
{
  private static final long serialVersionUID = -6535687982033869722L;
  
  public Rejet(DomPCSpec pc)
  {
    super(pc);
  }
  
  public Rejet() {}
  
  public Rejet(Damj dateEvenement)
  {
    super(dateEvenement);
  }
  
  public ObjetMetierSpec copie()
  {
    Rejet copie = new Rejet();
    copieElements(copie);
    return copie;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    JustificationAffiliationSpec justif = null;
    if (((DossierAffecte)getDossierAffecte() != null) && (((DossierAffecte)getDossierAffecte()).getValidationProduit() != null) && (((DossierAffecte)getDossierAffecte()).getValidationProduit().getJustificationCalculAffiliation() != null))
    {
      justif = ((DossierAffecte)getDossierAffecte()).getValidationProduit().getJustificationCalculAffiliation();
    }
    else if (((DossierAffecte)getDossierAffecte() != null) && (((DossierAffecte)getDossierAffecte()).getValidationProduit() != null) && (((DossierAffecte)getDossierAffecte()).getValidationProduit().getJustificationAffiliationJoursTravailles() != null))
    {
      justif = ((DossierAffecte)getDossierAffecte()).getValidationProduit().getJustificationAffiliationJoursTravailles();
    }
    else if (getConstitutionQuantiteAffiliation() != null)
    {
      Unite uniteJustification = getConstitutionQuantiteAffiliation().getQuantiteAcquise().getUnite();
      justif = getConstitutionQuantiteAffiliation().getJustificationAffiliation(uniteJustification);
    }
    else if (getConditionsAttributionAdmission().getConditionQuantiteAffiliation() != null)
    {
      justif = getConditionsAttributionAdmission().getConditionQuantiteAffiliation().getJustificationAffiliation();
    }
    return justif;
  }
  
  public Damj getDateEvenement()
  {
    return getDemande().getDateExamen();
  }
  
  public Collection getListePlafonnementAffiliation()
  {
    return getJustificationAffiliation() != null ? ((JustificationAffiliation)getJustificationAffiliation()).getListePlafonnementAffiliation() : null;
  }
  
  public Damj getDateEffetDecision()
  {
    return getDemande().getDateRecherche();
  }
  
  public int getCompetenceAdministrative()
  {
    return getCompetence().getCompetenceAdministrative();
  }
  
  public int getCompetenceFinanciere()
  {
    return getCompetence().getCompetenceFinanciere();
  }
  
  public String determinerCodeSousProduitPourSigma()
  {
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)getDemande(), "AREENTRCSP")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)getDemande(), "ARECOURCSP"))) {
      return OutilAsp.getInstance().recupererProduitReglementaire(getDemande()).determinerCodeSousProduitPourSigma(this);
    }
    return ((ProduitAsuSpec)getDossierAffecte().getProduit()).determinerCodeSousProduitPourSigma(this);
  }
}

/* Location:
 * Qualified Name:     Rejet
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */