package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.SousTrancheExecutableGen;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.Collection;
import java.util.Iterator;

public class SousTrancheExecutable
  extends SousTrancheExecutableGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = 1L;
  
  public SousTrancheExecutable(DomPCSpec pc)
  {
    super(pc);
  }
  
  public SousTrancheExecutable() {}
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    SousTrancheExecutable copie = new SousTrancheExecutable();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec copieSpec)
  {
    TrancheExecutable copie = (TrancheExecutable)copieSpec;
    
    copie.setA3ansActiviteEn5ans(isA3ansActiviteEn5ans());
    copie.setCapitalAServir(getCapitalAServir());
    copie.setCodeAffectationCG(getCodeAffectationCG());
    copie.setCodeEmploiA2B(getCodeEmploiA2B());
    copie.setCodeProduit(getCodeProduit());
    copie.setCodeProduitReglement(getCodeProduitReglement());
    copie.setCoefficientSaisonnier(getCoefficientSaisonnier());
    copie.setCoefficientTempsPartiel(getCoefficientTempsPartiel());
    copie.setCompetenceFinanciere(getCompetenceFinanciere());
    copie.setCompetenceAdministrative(getCompetenceAdministrative());
    copie.setContexteParticulierSJC(getContexteParticulierSJC());
    copie.setContexteParticulierSJI(getContexteParticulierSJI());
    copie.setDateAttribution(getDateAttribution());
    copie.setDateDebutMaintientEuropeen(getDateDebutMaintientEuropeen());
    copie.setDateSJC(getDateSJC());
    copie.setDateSJI(getDateSJI());
    copie.setDureeMaxIndemnisation(getDureeMaxIndemnisation());
    copie.setEstSjrBaseSmic(isEstSjrBaseSmic());
    copie.setEtablissementFinanceurCG(getEtablissementFinanceurCG());
    copie.setIdFaitGenerateur(getIdFaitGenerateur());
    copie.setMontantPreavis(getMontantPreavis());
    copie.setMontantSJC(getMontantSJC());
    copie.setMontantSJI(getMontantSJI());
    copie.setNatureCoefficientSaisonnier(getNatureCoefficientSaisonnier());
    copie.setNatureDecision(getNatureDecision());
    copie.setPrecompterCRC(getPrecompterCRC());
    copie.setProduitMontantRetenu(getProduitMontantRetenu());
    copie.setRang(getRang());
    copie.setReglementApplicable(getReglementApplicable());
    copie.setDateRepriseActivite(getDateRepriseActivite());
    copie.setJoursDureeMaintienEuropeen(getJoursDureeMaintienEuropeen());
    copie.setMoisDureeMaintienEuropeen(getMoisDureeMaintienEuropeen());
    copie.setAnneeDureeMaintienEuropeen(getAnneeDureeMaintienEuropeen());
    copie.setDateMaxIndemnisation(getDateMaxIndemnisation());
    copie.setDateDebutPeriodeSuspension(getDateDebutPeriodeSuspension());
    copie.setDateFinPeriodeSuspension(getDateFinPeriodeSuspension());
    copie.setTypeCapitalRetenu(getTypeCapitalRetenu());
    copie.setTypeMontantRetenu(getTypeMontantRetenu());
    copie.setSeuilMensuelPansConservees(getSeuilMensuelPansConservees());
    copie.setNombreHeuresTravailleesEtendu(getNombreHeuresTravailleesEtendu());
    copie.setNombreHeuresTravailleesPlafonne(getNombreHeuresTravailleesPlafonne());
    
    copie.clearCollectionPensionsInvalidites();
    Iterator iter = getListePensionsInvalidites().iterator();
    while (iter.hasNext())
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      copie.ajouterPensionsInvalidites((PensionInvaliditeChainee)element.copie());
    }
    copie.clearCollectionDelaisReports();
    iter = getListeDelaisReports().iterator();
    while (iter.hasNext())
    {
      CarencePrefixeAFixer element = (CarencePrefixeAFixer)iter.next();
      copie.ajouterDelaisReports((CarencePrefixeAFixer)element.copie());
    }
    copie.clearCollectionDurees();
    iter = getListeDurees().iterator();
    while (iter.hasNext())
    {
      Duree element = (Duree)iter.next();
      copie.ajouterDurees((Duree)element.copie());
    }
    copie.clearCollectionContextes();
    iter = getListeContextes().iterator();
    while (iter.hasNext())
    {
      ContexteDemande element = (ContexteDemande)iter.next();
      copie.ajouterContextes((ContexteDemande)element.copie());
    }
  }
}

/* Location:
 * Qualified Name:     SousTrancheExecutable
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */