package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;

public abstract class ConditionChomageInvolontaireGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  private String m_identifiantActivitePortantDV;
  private Damj m_dateDepartDelai121j;
  private Quantite m_intensiteHoraireSalarieAeDv;
  private Quantite m_quantiteAffiliationPrincipaleInopposabilite;
  private Quantite m_quantiteAffiliationSecondaireInopposabilite;
  
  public ConditionChomageInvolontaireGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionChomageInvolontaireGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetSituationConditionChomageInvolontaire()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSituationConditionChomageInvolontaire();
  }
  
  public int getSituationConditionChomageInvolontaire()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSituationConditionChomageInvolontaire();
  }
  
  public void setSituationConditionChomageInvolontaire(int p_situationConditionChomageInvolontaire)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setSituationConditionChomageInvolontaire(p_situationConditionChomageInvolontaire);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionChomageInvolontaire();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionChomageInvolontaire();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionChomageInvolontaire(p_codeMotifEchec);
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionChomageInvolontaire();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionChomageInvolontaire();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionChomageInvolontaire(p_etat);
  }
  
  protected String rawGetIdentifiantActivitePortantDV()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIdentifiantActivitePortantDVConditionChomageInvolontaire();
  }
  
  public String getIdentifiantActivitePortantDV()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIdentifiantActivitePortantDVConditionChomageInvolontaire();
  }
  
  public void setIdentifiantActivitePortantDV(String p_identifiantActivitePortantDV)
  {
    if ((m_identifiantActivitePortantDV == null) || (p_identifiantActivitePortantDV == null))
    {
      m_identifiantActivitePortantDV = p_identifiantActivitePortantDV;
      ((ConditionsAttributionAbstraitPC)getPC()).setIdentifiantActivitePortantDVConditionChomageInvolontaire(p_identifiantActivitePortantDV);
    }
    else if ((m_identifiantActivitePortantDV != null) && (p_identifiantActivitePortantDV != null) && (!p_identifiantActivitePortantDV.equals(m_identifiantActivitePortantDV)))
    {
      m_identifiantActivitePortantDV = p_identifiantActivitePortantDV;
      ((ConditionsAttributionAbstraitPC)getPC()).setIdentifiantActivitePortantDVConditionChomageInvolontaire(p_identifiantActivitePortantDV);
    }
  }
  
  protected Damj rawGetDateDepartDelai121j()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateDepartDelai121j();
  }
  
  public Damj getDateDepartDelai121j()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateDepartDelai121j();
  }
  
  public void setDateDepartDelai121j(Damj p_dateDepartDelai121j)
  {
    if ((m_dateDepartDelai121j == null) || (p_dateDepartDelai121j == null))
    {
      m_dateDepartDelai121j = p_dateDepartDelai121j;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateDepartDelai121j(p_dateDepartDelai121j);
    }
    else if ((m_dateDepartDelai121j != null) && (p_dateDepartDelai121j != null) && (!p_dateDepartDelai121j.equals(m_dateDepartDelai121j)))
    {
      m_dateDepartDelai121j = p_dateDepartDelai121j;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateDepartDelai121j(p_dateDepartDelai121j);
    }
  }
  
  protected int rawGetDureeAeDv()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDureeAeDvConditionChomageInvolontaire();
  }
  
  public int getDureeAeDv()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDureeAeDvConditionChomageInvolontaire();
  }
  
  public void setDureeAeDv(int p_dureeAeDv)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setDureeAeDvConditionChomageInvolontaire(p_dureeAeDv);
  }
  
  protected Quantite rawGetIntensiteHoraireSalarieAeDv()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIntensiteHoraireSalarieAeDvConditionChomageInvolontaire();
  }
  
  public Quantite getIntensiteHoraireSalarieAeDv()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIntensiteHoraireSalarieAeDvConditionChomageInvolontaire();
  }
  
  public void setIntensiteHoraireSalarieAeDv(Quantite p_intensiteHoraireSalarieAeDv)
  {
    if ((m_intensiteHoraireSalarieAeDv == null) || (p_intensiteHoraireSalarieAeDv == null))
    {
      m_intensiteHoraireSalarieAeDv = p_intensiteHoraireSalarieAeDv;
      ((ConditionsAttributionAbstraitPC)getPC()).setIntensiteHoraireSalarieAeDvConditionChomageInvolontaire(p_intensiteHoraireSalarieAeDv);
    }
    else if ((m_intensiteHoraireSalarieAeDv != null) && (p_intensiteHoraireSalarieAeDv != null) && (!p_intensiteHoraireSalarieAeDv.equals(m_intensiteHoraireSalarieAeDv)))
    {
      m_intensiteHoraireSalarieAeDv = p_intensiteHoraireSalarieAeDv;
      ((ConditionsAttributionAbstraitPC)getPC()).setIntensiteHoraireSalarieAeDvConditionChomageInvolontaire(p_intensiteHoraireSalarieAeDv);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliationPrincipaleInopposabilite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire();
  }
  
  public Quantite getQuantiteAffiliationPrincipaleInopposabilite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire();
  }
  
  public void setQuantiteAffiliationPrincipaleInopposabilite(Quantite p_quantiteAffiliationPrincipaleInopposabilite)
  {
    if ((m_quantiteAffiliationPrincipaleInopposabilite == null) || (p_quantiteAffiliationPrincipaleInopposabilite == null))
    {
      m_quantiteAffiliationPrincipaleInopposabilite = p_quantiteAffiliationPrincipaleInopposabilite;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(p_quantiteAffiliationPrincipaleInopposabilite);
    }
    else if ((m_quantiteAffiliationPrincipaleInopposabilite != null) && (p_quantiteAffiliationPrincipaleInopposabilite != null) && (!p_quantiteAffiliationPrincipaleInopposabilite.equals(m_quantiteAffiliationPrincipaleInopposabilite)))
    {
      m_quantiteAffiliationPrincipaleInopposabilite = p_quantiteAffiliationPrincipaleInopposabilite;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(p_quantiteAffiliationPrincipaleInopposabilite);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliationSecondaireInopposabilite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire();
  }
  
  public Quantite getQuantiteAffiliationSecondaireInopposabilite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire();
  }
  
  public void setQuantiteAffiliationSecondaireInopposabilite(Quantite p_quantiteAffiliationSecondaireInopposabilite)
  {
    if ((m_quantiteAffiliationSecondaireInopposabilite == null) || (p_quantiteAffiliationSecondaireInopposabilite == null))
    {
      m_quantiteAffiliationSecondaireInopposabilite = p_quantiteAffiliationSecondaireInopposabilite;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(p_quantiteAffiliationSecondaireInopposabilite);
    }
    else if ((m_quantiteAffiliationSecondaireInopposabilite != null) && (p_quantiteAffiliationSecondaireInopposabilite != null) && (!p_quantiteAffiliationSecondaireInopposabilite.equals(m_quantiteAffiliationSecondaireInopposabilite)))
    {
      m_quantiteAffiliationSecondaireInopposabilite = p_quantiteAffiliationSecondaireInopposabilite;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(p_quantiteAffiliationSecondaireInopposabilite);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setSituationConditionChomageInvolontaire(0);
    setCodeMotifEchec(0);
    setEtat(0);
    setIdentifiantActivitePortantDV(null);
    setDateDepartDelai121j(null);
    setDureeAeDv(0);
    setIntensiteHoraireSalarieAeDv(null);
    setQuantiteAffiliationPrincipaleInopposabilite(null);
    setQuantiteAffiliationSecondaireInopposabilite(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionChomageInvolontaireGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */