package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Periode;

public abstract class ConstitutionQuantiteAffiliationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private String m_article3;
  private Quantite m_dureeInitiale;
  private Quantite m_quantiteAffiliationAcquise = new Quantite("0", UniteAffiliation.get("heure de travail"));
  private Quantite m_quantiteAssimilationAcquise = new Quantite("0", UniteAffiliation.get("heure de travail"));
  private Periode m_periodePRA;
  
  public ConstitutionQuantiteAffiliationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionQuantiteAffiliationGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected String rawGetArticle3()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getArticle3ConstitutionQuantiteAffiliation();
  }
  
  public String getArticle3()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getArticle3ConstitutionQuantiteAffiliation();
  }
  
  public void setArticle3(String p_article3)
  {
    if ((m_article3 == null) || (p_article3 == null))
    {
      m_article3 = p_article3;
      ((ConstitutionElementsAbstraitPC)getPC()).setArticle3ConstitutionQuantiteAffiliation(p_article3);
    }
    else if ((m_article3 != null) && (p_article3 != null) && (!p_article3.equals(m_article3)))
    {
      m_article3 = p_article3;
      ((ConstitutionElementsAbstraitPC)getPC()).setArticle3ConstitutionQuantiteAffiliation(p_article3);
    }
  }
  
  protected Quantite rawGetDureeInitiale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeInitialeConstitutionQuantiteAffiliation();
  }
  
  public Quantite getDureeInitiale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeInitialeConstitutionQuantiteAffiliation();
  }
  
  public void setDureeInitiale(Quantite p_dureeInitiale)
  {
    if ((m_dureeInitiale == null) || (p_dureeInitiale == null))
    {
      m_dureeInitiale = p_dureeInitiale;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeInitialeConstitutionQuantiteAffiliation(p_dureeInitiale);
    }
    else if ((m_dureeInitiale != null) && (p_dureeInitiale != null) && (!p_dureeInitiale.equals(m_dureeInitiale)))
    {
      m_dureeInitiale = p_dureeInitiale;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeInitialeConstitutionQuantiteAffiliation(p_dureeInitiale);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliationAcquise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation();
  }
  
  public Quantite getQuantiteAffiliationAcquise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation();
  }
  
  public void setQuantiteAffiliationAcquise(Quantite p_quantiteAffiliationAcquise)
  {
    if ((m_quantiteAffiliationAcquise == null) || (p_quantiteAffiliationAcquise == null))
    {
      m_quantiteAffiliationAcquise = p_quantiteAffiliationAcquise;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation(p_quantiteAffiliationAcquise);
    }
    else if ((m_quantiteAffiliationAcquise != null) && (p_quantiteAffiliationAcquise != null) && (!p_quantiteAffiliationAcquise.equals(m_quantiteAffiliationAcquise)))
    {
      m_quantiteAffiliationAcquise = p_quantiteAffiliationAcquise;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation(p_quantiteAffiliationAcquise);
    }
  }
  
  protected Quantite rawGetQuantiteAssimilationAcquise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation();
  }
  
  public Quantite getQuantiteAssimilationAcquise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation();
  }
  
  public void setQuantiteAssimilationAcquise(Quantite p_quantiteAssimilationAcquise)
  {
    if ((m_quantiteAssimilationAcquise == null) || (p_quantiteAssimilationAcquise == null))
    {
      m_quantiteAssimilationAcquise = p_quantiteAssimilationAcquise;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation(p_quantiteAssimilationAcquise);
    }
    else if ((m_quantiteAssimilationAcquise != null) && (p_quantiteAssimilationAcquise != null) && (!p_quantiteAssimilationAcquise.equals(m_quantiteAssimilationAcquise)))
    {
      m_quantiteAssimilationAcquise = p_quantiteAssimilationAcquise;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation(p_quantiteAssimilationAcquise);
    }
  }
  
  protected Periode rawGetPeriodePRA()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPeriodePRAConstitutionQuantiteAffiliation();
  }
  
  public Periode getPeriodePRA()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPeriodePRAConstitutionQuantiteAffiliation();
  }
  
  public void setPeriodePRA(Periode p_periodePRA)
  {
    if ((m_periodePRA == null) || (p_periodePRA == null))
    {
      m_periodePRA = p_periodePRA;
      ((ConstitutionElementsAbstraitPC)getPC()).setPeriodePRAConstitutionQuantiteAffiliation(p_periodePRA);
    }
    else if ((m_periodePRA != null) && (p_periodePRA != null) && (!p_periodePRA.equals(m_periodePRA)))
    {
      m_periodePRA = p_periodePRA;
      ((ConstitutionElementsAbstraitPC)getPC()).setPeriodePRAConstitutionQuantiteAffiliation(p_periodePRA);
    }
  }
  
  protected boolean rawIsEstAffiliationPlafonnee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstAffiliationPlafonneeConstitutionQuantiteAffiliation();
  }
  
  public boolean isEstAffiliationPlafonnee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstAffiliationPlafonneeConstitutionQuantiteAffiliation();
  }
  
  public void setEstAffiliationPlafonnee(boolean p_estAffiliationPlafonnee)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setEstAffiliationPlafonneeConstitutionQuantiteAffiliation(p_estAffiliationPlafonnee);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setArticle3(null);
    setDureeInitiale(null);
    setQuantiteAffiliationAcquise(new Quantite("0", UniteAffiliation.get("heure de travail")));
    setQuantiteAssimilationAcquise(new Quantite("0", UniteAffiliation.get("heure de travail")));
    setPeriodePRA(null);
    setEstAffiliationPlafonnee(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionQuantiteAffiliationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */