package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.Sjrip;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import java.math.BigDecimal;

public abstract class ConstitutionSjrGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Sjr m_sjrrp;
  private Sjr m_sjnpr;
  private String m_estSjrRevise;
  private BigDecimal m_sommeMontantRevision;
  private BigDecimal m_sjrTheorique;
  private BigDecimal m_coeffReducteurSjr;
  private BigDecimal m_plancherCoefficientSjr;
  private transient Sjrip m_sjrip;
  private transient JustificationSjr m_justificationSjr;
  
  public ConstitutionSjrGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionSjrGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Sjr rawGetSjrrp()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrrpConstitutionSjr();
  }
  
  public Sjr getSjrrp()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrrpConstitutionSjr();
  }
  
  public void setSjrrp(Sjr p_sjrrp)
  {
    if ((m_sjrrp == null) || (p_sjrrp == null))
    {
      m_sjrrp = p_sjrrp;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrrpConstitutionSjr(p_sjrrp);
    }
    else if ((m_sjrrp != null) && (p_sjrrp != null) && (!p_sjrrp.equals(m_sjrrp)))
    {
      m_sjrrp = p_sjrrp;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrrpConstitutionSjr(p_sjrrp);
    }
  }
  
  protected int rawGetCodeEmploiA2b()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCodeEmploiA2b();
  }
  
  public int getCodeEmploiA2b()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCodeEmploiA2b();
  }
  
  public void setCodeEmploiA2b(int p_codeEmploiA2b)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setCodeEmploiA2b(p_codeEmploiA2b);
  }
  
  protected Sjr rawGetSjnpr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjnprConstitutionSjr();
  }
  
  public Sjr getSjnpr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjnprConstitutionSjr();
  }
  
  public void setSjnpr(Sjr p_sjnpr)
  {
    if ((m_sjnpr == null) || (p_sjnpr == null))
    {
      m_sjnpr = p_sjnpr;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjnprConstitutionSjr(p_sjnpr);
    }
    else if ((m_sjnpr != null) && (p_sjnpr != null) && (!p_sjnpr.equals(m_sjnpr)))
    {
      m_sjnpr = p_sjnpr;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjnprConstitutionSjr(p_sjnpr);
    }
  }
  
  protected String rawGetEstSjrRevise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getEstSjrRevise();
  }
  
  public String getEstSjrRevise()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getEstSjrRevise();
  }
  
  public void setEstSjrRevise(String p_estSjrRevise)
  {
    if ((m_estSjrRevise == null) || (p_estSjrRevise == null))
    {
      m_estSjrRevise = p_estSjrRevise;
      ((ConstitutionElementsAbstraitPC)getPC()).setEstSjrRevise(p_estSjrRevise);
    }
    else if ((m_estSjrRevise != null) && (p_estSjrRevise != null) && (!p_estSjrRevise.equals(m_estSjrRevise)))
    {
      m_estSjrRevise = p_estSjrRevise;
      ((ConstitutionElementsAbstraitPC)getPC()).setEstSjrRevise(p_estSjrRevise);
    }
  }
  
  protected BigDecimal rawGetSommeMontantRevision()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSommeMontantRevisionConstitutionSjr();
  }
  
  public BigDecimal getSommeMontantRevision()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSommeMontantRevisionConstitutionSjr();
  }
  
  public void setSommeMontantRevision(BigDecimal p_sommeMontantRevision)
  {
    if ((m_sommeMontantRevision == null) || (p_sommeMontantRevision == null))
    {
      m_sommeMontantRevision = p_sommeMontantRevision;
      ((ConstitutionElementsAbstraitPC)getPC()).setSommeMontantRevisionConstitutionSjr(p_sommeMontantRevision);
    }
    else if ((m_sommeMontantRevision != null) && (p_sommeMontantRevision != null) && (!p_sommeMontantRevision.equals(m_sommeMontantRevision)))
    {
      m_sommeMontantRevision = p_sommeMontantRevision;
      ((ConstitutionElementsAbstraitPC)getPC()).setSommeMontantRevisionConstitutionSjr(p_sommeMontantRevision);
    }
  }
  
  protected BigDecimal rawGetSjrTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrTheoriqueConstitutionSjr();
  }
  
  public BigDecimal getSjrTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrTheoriqueConstitutionSjr();
  }
  
  public void setSjrTheorique(BigDecimal p_sjrTheorique)
  {
    if ((m_sjrTheorique == null) || (p_sjrTheorique == null))
    {
      m_sjrTheorique = p_sjrTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrTheoriqueConstitutionSjr(p_sjrTheorique);
    }
    else if ((m_sjrTheorique != null) && (p_sjrTheorique != null) && (!p_sjrTheorique.equals(m_sjrTheorique)))
    {
      m_sjrTheorique = p_sjrTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrTheoriqueConstitutionSjr(p_sjrTheorique);
    }
  }
  
  protected BigDecimal rawGetCoeffReducteurSjr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCoeffReducteurSjrConstitutionSjr();
  }
  
  public BigDecimal getCoeffReducteurSjr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCoeffReducteurSjrConstitutionSjr();
  }
  
  public void setCoeffReducteurSjr(BigDecimal p_coeffReducteurSjr)
  {
    if ((m_coeffReducteurSjr == null) || (p_coeffReducteurSjr == null))
    {
      m_coeffReducteurSjr = p_coeffReducteurSjr;
      ((ConstitutionElementsAbstraitPC)getPC()).setCoeffReducteurSjrConstitutionSjr(p_coeffReducteurSjr);
    }
    else if ((m_coeffReducteurSjr != null) && (p_coeffReducteurSjr != null) && (!p_coeffReducteurSjr.equals(m_coeffReducteurSjr)))
    {
      m_coeffReducteurSjr = p_coeffReducteurSjr;
      ((ConstitutionElementsAbstraitPC)getPC()).setCoeffReducteurSjrConstitutionSjr(p_coeffReducteurSjr);
    }
  }
  
  protected BigDecimal rawGetPlancherCoefficientSjr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPlancherCoefficientSjrConstitutionSjr();
  }
  
  public BigDecimal getPlancherCoefficientSjr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPlancherCoefficientSjrConstitutionSjr();
  }
  
  public void setPlancherCoefficientSjr(BigDecimal p_plancherCoefficientSjr)
  {
    if ((m_plancherCoefficientSjr == null) || (p_plancherCoefficientSjr == null))
    {
      m_plancherCoefficientSjr = p_plancherCoefficientSjr;
      ((ConstitutionElementsAbstraitPC)getPC()).setPlancherCoefficientSjrConstitutionSjr(p_plancherCoefficientSjr);
    }
    else if ((m_plancherCoefficientSjr != null) && (p_plancherCoefficientSjr != null) && (!p_plancherCoefficientSjr.equals(m_plancherCoefficientSjr)))
    {
      m_plancherCoefficientSjr = p_plancherCoefficientSjr;
      ((ConstitutionElementsAbstraitPC)getPC()).setPlancherCoefficientSjrConstitutionSjr(p_plancherCoefficientSjr);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getSjrip() != null)
    {
      getSjrip().supprimerEnProfondeur(p_contexteSuppression);
      m_sjrip = null;
    }
    if (getJustificationSjr() != null)
    {
      getJustificationSjr().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationSjr = null;
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getSjrip() != null)
    {
      getSjrip().initEnProfondeur();
      m_sjrip = null;
    }
    if (getJustificationSjr() != null)
    {
      getJustificationSjr().initEnProfondeur();
      m_justificationSjr = null;
    }
    setSjrrp(null);
    setCodeEmploiA2b(0);
    setSjnpr(null);
    setEstSjrRevise(null);
    setSommeMontantRevision(null);
    setSjrTheorique(null);
    setCoeffReducteurSjr(null);
    setPlancherCoefficientSjr(null);
  }
  
  public Sjrip getSjrip()
  {
    if (m_sjrip == null) {
      m_sjrip = new Sjrip(getPC());
    }
    return m_sjrip;
  }
  
  public Sjrip createSjrip()
  {
    if (m_sjrip == null) {
      m_sjrip = new Sjrip(getPC());
    }
    try
    {
      m_sjrip.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_sjrip;
  }
  
  public void removeSjrip()
  {
    try
    {
      m_sjrip.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public JustificationSjr getJustificationSjr()
  {
    if (m_justificationSjr == null) {
      m_justificationSjr = new JustificationSjr(getPC());
    }
    return m_justificationSjr;
  }
  
  public JustificationSjr createJustificationSjr()
  {
    if (m_justificationSjr == null) {
      m_justificationSjr = new JustificationSjr(getPC());
    }
    try
    {
      m_justificationSjr.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationSjr;
  }
  
  public void removeJustificationSjr()
  {
    try
    {
      m_justificationSjr.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionSjrGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */