package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.DureeReglementaire;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;

public abstract class DureeIndemnisationGen
  extends DureeReglementaire
  implements DomGenSpec
{
  private Quantite m_dureeTheorique;
  private Quantite m_dureeImputation;
  private Quantite m_quantiteJourImputationForce;
  private Quantite m_quantiteTotalJourImputation;
  private Damj m_dateMaxiIndemnisationCsr;
  private Quantite m_dureePostPrimeCspConstitutionDurees;
  private Integer m_dureeImputationPostPrime;
  
  public DureeIndemnisationGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeIndemnisationGen() {}
  
  protected Quantite rawGetDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionDurees();
  }
  
  public Quantite getDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionDurees();
  }
  
  public void setDureeTheorique(Quantite p_dureeTheorique)
  {
    if ((m_dureeTheorique == null) || (p_dureeTheorique == null))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionDurees(p_dureeTheorique);
    }
    else if ((m_dureeTheorique != null) && (p_dureeTheorique != null) && (!p_dureeTheorique.equals(m_dureeTheorique)))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionDurees(p_dureeTheorique);
    }
  }
  
  protected Quantite rawGetDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionDurees();
  }
  
  public Quantite getDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionDurees();
  }
  
  public void setDureeImputation(Quantite p_dureeImputation)
  {
    if ((m_dureeImputation == null) || (p_dureeImputation == null))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionDurees(p_dureeImputation);
    }
    else if ((m_dureeImputation != null) && (p_dureeImputation != null) && (!p_dureeImputation.equals(m_dureeImputation)))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionDurees(p_dureeImputation);
    }
  }
  
  protected Quantite rawGetQuantiteJourImputationForce()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteJourImputationForceConstitutionDurees();
  }
  
  public Quantite getQuantiteJourImputationForce()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteJourImputationForceConstitutionDurees();
  }
  
  public void setQuantiteJourImputationForce(Quantite p_quantiteJourImputationForce)
  {
    if ((m_quantiteJourImputationForce == null) || (p_quantiteJourImputationForce == null))
    {
      m_quantiteJourImputationForce = p_quantiteJourImputationForce;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteJourImputationForceConstitutionDurees(p_quantiteJourImputationForce);
    }
    else if ((m_quantiteJourImputationForce != null) && (p_quantiteJourImputationForce != null) && (!p_quantiteJourImputationForce.equals(m_quantiteJourImputationForce)))
    {
      m_quantiteJourImputationForce = p_quantiteJourImputationForce;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteJourImputationForceConstitutionDurees(p_quantiteJourImputationForce);
    }
  }
  
  protected Quantite rawGetQuantiteTotalJourImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteTotalJourImputationConstitutionDurees();
  }
  
  public Quantite getQuantiteTotalJourImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getQuantiteTotalJourImputationConstitutionDurees();
  }
  
  public void setQuantiteTotalJourImputation(Quantite p_quantiteTotalJourImputation)
  {
    if ((m_quantiteTotalJourImputation == null) || (p_quantiteTotalJourImputation == null))
    {
      m_quantiteTotalJourImputation = p_quantiteTotalJourImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteTotalJourImputationConstitutionDurees(p_quantiteTotalJourImputation);
    }
    else if ((m_quantiteTotalJourImputation != null) && (p_quantiteTotalJourImputation != null) && (!p_quantiteTotalJourImputation.equals(m_quantiteTotalJourImputation)))
    {
      m_quantiteTotalJourImputation = p_quantiteTotalJourImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setQuantiteTotalJourImputationConstitutionDurees(p_quantiteTotalJourImputation);
    }
  }
  
  protected boolean rawIsEstAccordPlusDe182jCsr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstAccordPlusDe182jCsrConstitutionDurees();
  }
  
  public boolean isEstAccordPlusDe182jCsr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstAccordPlusDe182jCsrConstitutionDurees();
  }
  
  public void setEstAccordPlusDe182jCsr(boolean p_estAccordPlusDe182jCsr)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setEstAccordPlusDe182jCsrConstitutionDurees(p_estAccordPlusDe182jCsr);
  }
  
  protected Damj rawGetDateMaxiIndemnisationCsr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateMaxiIndemnisationCsrConstitutionDurees();
  }
  
  public Damj getDateMaxiIndemnisationCsr()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateMaxiIndemnisationCsrConstitutionDurees();
  }
  
  public void setDateMaxiIndemnisationCsr(Damj p_dateMaxiIndemnisationCsr)
  {
    if ((m_dateMaxiIndemnisationCsr == null) || (p_dateMaxiIndemnisationCsr == null))
    {
      m_dateMaxiIndemnisationCsr = p_dateMaxiIndemnisationCsr;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateMaxiIndemnisationCsrConstitutionDurees(p_dateMaxiIndemnisationCsr);
    }
    else if ((m_dateMaxiIndemnisationCsr != null) && (p_dateMaxiIndemnisationCsr != null) && (!p_dateMaxiIndemnisationCsr.equals(m_dateMaxiIndemnisationCsr)))
    {
      m_dateMaxiIndemnisationCsr = p_dateMaxiIndemnisationCsr;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateMaxiIndemnisationCsrConstitutionDurees(p_dateMaxiIndemnisationCsr);
    }
  }
  
  protected boolean rawIsEstDureeTheoriquePlafonnee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstDureeTheoriquePlafonneeConstitutionDurees();
  }
  
  public boolean isEstDureeTheoriquePlafonnee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEstDureeTheoriquePlafonneeConstitutionDurees();
  }
  
  public void setEstDureeTheoriquePlafonnee(boolean p_estDureeTheoriquePlafonnee)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setEstDureeTheoriquePlafonneeConstitutionDurees(p_estDureeTheoriquePlafonnee);
  }
  
  protected Quantite rawGetDureePostPrimeCspConstitutionDurees()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureePostPrimeCspConstitutionDurees();
  }
  
  public Quantite getDureePostPrimeCspConstitutionDurees()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureePostPrimeCspConstitutionDurees();
  }
  
  public void setDureePostPrimeCspConstitutionDurees(Quantite p_dureePostPrimeCspConstitutionDurees)
  {
    if ((m_dureePostPrimeCspConstitutionDurees == null) || (p_dureePostPrimeCspConstitutionDurees == null))
    {
      m_dureePostPrimeCspConstitutionDurees = p_dureePostPrimeCspConstitutionDurees;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureePostPrimeCspConstitutionDurees(p_dureePostPrimeCspConstitutionDurees);
    }
    else if ((m_dureePostPrimeCspConstitutionDurees != null) && (p_dureePostPrimeCspConstitutionDurees != null) && (!p_dureePostPrimeCspConstitutionDurees.equals(m_dureePostPrimeCspConstitutionDurees)))
    {
      m_dureePostPrimeCspConstitutionDurees = p_dureePostPrimeCspConstitutionDurees;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureePostPrimeCspConstitutionDurees(p_dureePostPrimeCspConstitutionDurees);
    }
  }
  
  protected Integer rawGetDureeImputationPostPrime()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationPostPrime();
  }
  
  public Integer getDureeImputationPostPrime()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationPostPrime();
  }
  
  public void setDureeImputationPostPrime(Integer p_dureeImputationPostPrime)
  {
    if ((m_dureeImputationPostPrime == null) || (p_dureeImputationPostPrime == null))
    {
      m_dureeImputationPostPrime = p_dureeImputationPostPrime;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationPostPrime(p_dureeImputationPostPrime);
    }
    else if ((m_dureeImputationPostPrime != null) && (p_dureeImputationPostPrime != null) && (!p_dureeImputationPostPrime.equals(m_dureeImputationPostPrime)))
    {
      m_dureeImputationPostPrime = p_dureeImputationPostPrime;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationPostPrime(p_dureeImputationPostPrime);
    }
  }
  
  protected boolean rawIsEligibleAllongementAREF()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEligibleAllongementAREFConstitutionDurees();
  }
  
  public boolean isEligibleAllongementAREF()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isEligibleAllongementAREFConstitutionDurees();
  }
  
  public void setEligibleAllongementAREF(boolean p_eligibleAllongementAREF)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setEligibleAllongementAREFConstitutionDurees(p_eligibleAllongementAREF);
  }
  
  protected int rawGetDureeAllongementAREF()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeAllongementAREFConstitutionDurees();
  }
  
  public int getDureeAllongementAREF()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeAllongementAREFConstitutionDurees();
  }
  
  public void setDureeAllongementAREF(int p_dureeAllongementAREF)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeAllongementAREFConstitutionDurees(p_dureeAllongementAREF);
  }
  
  protected int rawGetDureeAllongementAREFSousJacent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeAllongementAREFSousJacentConstitutionDurees();
  }
  
  public int getDureeAllongementAREFSousJacent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeAllongementAREFSousJacentConstitutionDurees();
  }
  
  public void setDureeAllongementAREFSousJacent(int p_dureeAllongementAREFSousJacent)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeAllongementAREFSousJacentConstitutionDurees(p_dureeAllongementAREFSousJacent);
  }
  
  protected int rawGetDureeCalculee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeCalculeeConstitutionDurees();
  }
  
  public int getDureeCalculee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeCalculeeConstitutionDurees();
  }
  
  public void setDureeCalculee(int p_dureeCalculee)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeCalculeeConstitutionDurees(p_dureeCalculee);
  }
  
  protected int rawGetDureeMinimale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeMinimaleConstitutionDurees();
  }
  
  public int getDureeMinimale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeMinimaleConstitutionDurees();
  }
  
  public void setDureeMinimale(int p_dureeMinimale)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeMinimaleConstitutionDurees(p_dureeMinimale);
  }
  
  protected int rawGetDureeMaximale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeMaximaleConstitutionDurees();
  }
  
  public int getDureeMaximale()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeMaximaleConstitutionDurees();
  }
  
  public void setDureeMaximale(int p_dureeMaximale)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeMaximaleConstitutionDurees(p_dureeMaximale);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    super.initEnProfondeur();
    
    setDureeTheorique(null);
    setDureeImputation(null);
    setQuantiteJourImputationForce(null);
    setQuantiteTotalJourImputation(null);
    setEstAccordPlusDe182jCsr(false);
    setDateMaxiIndemnisationCsr(null);
    setEstDureeTheoriquePlafonnee(false);
    setDureePostPrimeCspConstitutionDurees(null);
    setDureeImputationPostPrime(null);
    setEligibleAllongementAREF(false);
    setDureeAllongementAREF(0);
    setDureeAllongementAREFSousJacent(0);
    setDureeCalculee(0);
    setDureeMinimale(0);
    setDureeMaximale(0);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */