package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.JustificationDroitResultantPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;

public abstract class JustificationDroitResultantGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_justificationDroitResultantPC;
  private QuantiteEuro m_montantInitialDroitCourant;
  private QuantiteEuro m_capitalDroitCourant;
  private QuantiteJour m_imputationDroitCourant;
  private QuantiteJour m_dureeDroitCourant;
  private QuantiteEuro m_avantageVieillesseDroitCourant;
  private QuantiteEuro m_pensionInvaliditeDroitCourant;
  private QuantiteEuro m_crcDroitCourantCompCapitaux;
  private QuantiteEuro m_montantBrutDroitCourantCompCapitaux;
  private QuantiteEuro m_montantBrutDroitCourantCompMontants;
  private QuantiteEuro m_montantInitialDroitPrecedent;
  private QuantiteEuro m_capitalDroitPrecedent;
  private QuantiteJour m_imputationDroitPrecedent;
  private QuantiteJour m_dureeDroitPrecedent;
  private QuantiteEuro m_avantageVieillesseDroitPrecedent;
  private QuantiteEuro m_pensionInvaliditeDroitPrecedent;
  private QuantiteEuro m_crcDroitPrecedentCompCapitaux;
  private QuantiteEuro m_montantBrutDroitPrecedentCompCapitaux;
  private QuantiteEuro m_montantBrutDroitPrecedentCompMontants;
  private QuantiteEuro m_montantDroitRetenu;
  private QuantiteEuro m_capitalDroitRetenu;
  private QuantiteJour m_imputationDroitRetenu;
  private QuantiteJour m_dureeDroitRetenu;
  private QuantiteEuro m_crcDroitCourantCompMontants;
  private QuantiteEuro m_crcDroitPrecedentCompMontants;
  
  public JustificationDroitResultantGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationDroitResultantGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new JustificationDroitResultantPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_justificationDroitResultantPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_justificationDroitResultantPC)
  {
    m_justificationDroitResultantPC = p_justificationDroitResultantPC;
  }
  
  protected int rawGetCompetenceFinanciereDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitCourant();
  }
  
  public int getCompetenceFinanciereDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitCourant();
  }
  
  public void setCompetenceFinanciereDroitCourant(int p_competenceFinanciereDroitCourant)
  {
    ((JustificationDroitResultantPC)getPC()).setCompetenceFinanciereDroitCourant(p_competenceFinanciereDroitCourant);
  }
  
  protected QuantiteEuro rawGetMontantInitialDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantInitialDroitCourant();
  }
  
  public QuantiteEuro getMontantInitialDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantInitialDroitCourant();
  }
  
  public void setMontantInitialDroitCourant(QuantiteEuro p_montantInitialDroitCourant)
  {
    if ((m_montantInitialDroitCourant == null) || (p_montantInitialDroitCourant == null))
    {
      m_montantInitialDroitCourant = p_montantInitialDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setMontantInitialDroitCourant(p_montantInitialDroitCourant);
    }
    else if ((m_montantInitialDroitCourant != null) && (p_montantInitialDroitCourant != null) && (!p_montantInitialDroitCourant.equals(m_montantInitialDroitCourant)))
    {
      m_montantInitialDroitCourant = p_montantInitialDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setMontantInitialDroitCourant(p_montantInitialDroitCourant);
    }
  }
  
  protected QuantiteEuro rawGetCapitalDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitCourant();
  }
  
  public QuantiteEuro getCapitalDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitCourant();
  }
  
  public void setCapitalDroitCourant(QuantiteEuro p_capitalDroitCourant)
  {
    if ((m_capitalDroitCourant == null) || (p_capitalDroitCourant == null))
    {
      m_capitalDroitCourant = p_capitalDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitCourant(p_capitalDroitCourant);
    }
    else if ((m_capitalDroitCourant != null) && (p_capitalDroitCourant != null) && (!p_capitalDroitCourant.equals(m_capitalDroitCourant)))
    {
      m_capitalDroitCourant = p_capitalDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitCourant(p_capitalDroitCourant);
    }
  }
  
  protected QuantiteJour rawGetImputationDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitCourant();
  }
  
  public QuantiteJour getImputationDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitCourant();
  }
  
  public void setImputationDroitCourant(QuantiteJour p_imputationDroitCourant)
  {
    if ((m_imputationDroitCourant == null) || (p_imputationDroitCourant == null))
    {
      m_imputationDroitCourant = p_imputationDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitCourant(p_imputationDroitCourant);
    }
    else if ((m_imputationDroitCourant != null) && (p_imputationDroitCourant != null) && (!p_imputationDroitCourant.equals(m_imputationDroitCourant)))
    {
      m_imputationDroitCourant = p_imputationDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitCourant(p_imputationDroitCourant);
    }
  }
  
  protected QuantiteJour rawGetDureeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitCourant();
  }
  
  public QuantiteJour getDureeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitCourant();
  }
  
  public void setDureeDroitCourant(QuantiteJour p_dureeDroitCourant)
  {
    if ((m_dureeDroitCourant == null) || (p_dureeDroitCourant == null))
    {
      m_dureeDroitCourant = p_dureeDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitCourant(p_dureeDroitCourant);
    }
    else if ((m_dureeDroitCourant != null) && (p_dureeDroitCourant != null) && (!p_dureeDroitCourant.equals(m_dureeDroitCourant)))
    {
      m_dureeDroitCourant = p_dureeDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitCourant(p_dureeDroitCourant);
    }
  }
  
  protected QuantiteEuro rawGetAvantageVieillesseDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getAvantageVieillesseDroitCourant();
  }
  
  public QuantiteEuro getAvantageVieillesseDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getAvantageVieillesseDroitCourant();
  }
  
  public void setAvantageVieillesseDroitCourant(QuantiteEuro p_avantageVieillesseDroitCourant)
  {
    if ((m_avantageVieillesseDroitCourant == null) || (p_avantageVieillesseDroitCourant == null))
    {
      m_avantageVieillesseDroitCourant = p_avantageVieillesseDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setAvantageVieillesseDroitCourant(p_avantageVieillesseDroitCourant);
    }
    else if ((m_avantageVieillesseDroitCourant != null) && (p_avantageVieillesseDroitCourant != null) && (!p_avantageVieillesseDroitCourant.equals(m_avantageVieillesseDroitCourant)))
    {
      m_avantageVieillesseDroitCourant = p_avantageVieillesseDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setAvantageVieillesseDroitCourant(p_avantageVieillesseDroitCourant);
    }
  }
  
  protected QuantiteEuro rawGetPensionInvaliditeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getPensionInvaliditeDroitCourant();
  }
  
  public QuantiteEuro getPensionInvaliditeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getPensionInvaliditeDroitCourant();
  }
  
  public void setPensionInvaliditeDroitCourant(QuantiteEuro p_pensionInvaliditeDroitCourant)
  {
    if ((m_pensionInvaliditeDroitCourant == null) || (p_pensionInvaliditeDroitCourant == null))
    {
      m_pensionInvaliditeDroitCourant = p_pensionInvaliditeDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setPensionInvaliditeDroitCourant(p_pensionInvaliditeDroitCourant);
    }
    else if ((m_pensionInvaliditeDroitCourant != null) && (p_pensionInvaliditeDroitCourant != null) && (!p_pensionInvaliditeDroitCourant.equals(m_pensionInvaliditeDroitCourant)))
    {
      m_pensionInvaliditeDroitCourant = p_pensionInvaliditeDroitCourant;
      ((JustificationDroitResultantPC)getPC()).setPensionInvaliditeDroitCourant(p_pensionInvaliditeDroitCourant);
    }
  }
  
  protected QuantiteEuro rawGetCrcDroitCourantCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitCourantCompCapitaux();
  }
  
  public QuantiteEuro getCrcDroitCourantCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitCourantCompCapitaux();
  }
  
  public void setCrcDroitCourantCompCapitaux(QuantiteEuro p_crcDroitCourantCompCapitaux)
  {
    if ((m_crcDroitCourantCompCapitaux == null) || (p_crcDroitCourantCompCapitaux == null))
    {
      m_crcDroitCourantCompCapitaux = p_crcDroitCourantCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitCourantCompCapitaux(p_crcDroitCourantCompCapitaux);
    }
    else if ((m_crcDroitCourantCompCapitaux != null) && (p_crcDroitCourantCompCapitaux != null) && (!p_crcDroitCourantCompCapitaux.equals(m_crcDroitCourantCompCapitaux)))
    {
      m_crcDroitCourantCompCapitaux = p_crcDroitCourantCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitCourantCompCapitaux(p_crcDroitCourantCompCapitaux);
    }
  }
  
  protected QuantiteEuro rawGetMontantBrutDroitCourantCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitCourantCompCapitaux();
  }
  
  public QuantiteEuro getMontantBrutDroitCourantCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitCourantCompCapitaux();
  }
  
  public void setMontantBrutDroitCourantCompCapitaux(QuantiteEuro p_montantBrutDroitCourantCompCapitaux)
  {
    if ((m_montantBrutDroitCourantCompCapitaux == null) || (p_montantBrutDroitCourantCompCapitaux == null))
    {
      m_montantBrutDroitCourantCompCapitaux = p_montantBrutDroitCourantCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitCourantCompCapitaux(p_montantBrutDroitCourantCompCapitaux);
    }
    else if ((m_montantBrutDroitCourantCompCapitaux != null) && (p_montantBrutDroitCourantCompCapitaux != null) && (!p_montantBrutDroitCourantCompCapitaux.equals(m_montantBrutDroitCourantCompCapitaux)))
    {
      m_montantBrutDroitCourantCompCapitaux = p_montantBrutDroitCourantCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitCourantCompCapitaux(p_montantBrutDroitCourantCompCapitaux);
    }
  }
  
  protected QuantiteEuro rawGetMontantBrutDroitCourantCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitCourantCompMontants();
  }
  
  public QuantiteEuro getMontantBrutDroitCourantCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitCourantCompMontants();
  }
  
  public void setMontantBrutDroitCourantCompMontants(QuantiteEuro p_montantBrutDroitCourantCompMontants)
  {
    if ((m_montantBrutDroitCourantCompMontants == null) || (p_montantBrutDroitCourantCompMontants == null))
    {
      m_montantBrutDroitCourantCompMontants = p_montantBrutDroitCourantCompMontants;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitCourantCompMontants(p_montantBrutDroitCourantCompMontants);
    }
    else if ((m_montantBrutDroitCourantCompMontants != null) && (p_montantBrutDroitCourantCompMontants != null) && (!p_montantBrutDroitCourantCompMontants.equals(m_montantBrutDroitCourantCompMontants)))
    {
      m_montantBrutDroitCourantCompMontants = p_montantBrutDroitCourantCompMontants;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitCourantCompMontants(p_montantBrutDroitCourantCompMontants);
    }
  }
  
  protected int rawGetCompetenceFinanciereDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitPrecedent();
  }
  
  public int getCompetenceFinanciereDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitPrecedent();
  }
  
  public void setCompetenceFinanciereDroitPrecedent(int p_competenceFinanciereDroitPrecedent)
  {
    ((JustificationDroitResultantPC)getPC()).setCompetenceFinanciereDroitPrecedent(p_competenceFinanciereDroitPrecedent);
  }
  
  protected QuantiteEuro rawGetMontantInitialDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantInitialDroitPrecedent();
  }
  
  public QuantiteEuro getMontantInitialDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantInitialDroitPrecedent();
  }
  
  public void setMontantInitialDroitPrecedent(QuantiteEuro p_montantInitialDroitPrecedent)
  {
    if ((m_montantInitialDroitPrecedent == null) || (p_montantInitialDroitPrecedent == null))
    {
      m_montantInitialDroitPrecedent = p_montantInitialDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setMontantInitialDroitPrecedent(p_montantInitialDroitPrecedent);
    }
    else if ((m_montantInitialDroitPrecedent != null) && (p_montantInitialDroitPrecedent != null) && (!p_montantInitialDroitPrecedent.equals(m_montantInitialDroitPrecedent)))
    {
      m_montantInitialDroitPrecedent = p_montantInitialDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setMontantInitialDroitPrecedent(p_montantInitialDroitPrecedent);
    }
  }
  
  protected QuantiteEuro rawGetCapitalDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitPrecedent();
  }
  
  public QuantiteEuro getCapitalDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitPrecedent();
  }
  
  public void setCapitalDroitPrecedent(QuantiteEuro p_capitalDroitPrecedent)
  {
    if ((m_capitalDroitPrecedent == null) || (p_capitalDroitPrecedent == null))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitPrecedent(p_capitalDroitPrecedent);
    }
    else if ((m_capitalDroitPrecedent != null) && (p_capitalDroitPrecedent != null) && (!p_capitalDroitPrecedent.equals(m_capitalDroitPrecedent)))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitPrecedent(p_capitalDroitPrecedent);
    }
  }
  
  protected QuantiteJour rawGetImputationDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitPrecedent();
  }
  
  public QuantiteJour getImputationDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitPrecedent();
  }
  
  public void setImputationDroitPrecedent(QuantiteJour p_imputationDroitPrecedent)
  {
    if ((m_imputationDroitPrecedent == null) || (p_imputationDroitPrecedent == null))
    {
      m_imputationDroitPrecedent = p_imputationDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitPrecedent(p_imputationDroitPrecedent);
    }
    else if ((m_imputationDroitPrecedent != null) && (p_imputationDroitPrecedent != null) && (!p_imputationDroitPrecedent.equals(m_imputationDroitPrecedent)))
    {
      m_imputationDroitPrecedent = p_imputationDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitPrecedent(p_imputationDroitPrecedent);
    }
  }
  
  protected QuantiteJour rawGetDureeDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitPrecedent();
  }
  
  public QuantiteJour getDureeDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitPrecedent();
  }
  
  public void setDureeDroitPrecedent(QuantiteJour p_dureeDroitPrecedent)
  {
    if ((m_dureeDroitPrecedent == null) || (p_dureeDroitPrecedent == null))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitPrecedent(p_dureeDroitPrecedent);
    }
    else if ((m_dureeDroitPrecedent != null) && (p_dureeDroitPrecedent != null) && (!p_dureeDroitPrecedent.equals(m_dureeDroitPrecedent)))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitPrecedent(p_dureeDroitPrecedent);
    }
  }
  
  protected QuantiteEuro rawGetAvantageVieillesseDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getAvantageVieillesseDroitPrecedent();
  }
  
  public QuantiteEuro getAvantageVieillesseDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getAvantageVieillesseDroitPrecedent();
  }
  
  public void setAvantageVieillesseDroitPrecedent(QuantiteEuro p_avantageVieillesseDroitPrecedent)
  {
    if ((m_avantageVieillesseDroitPrecedent == null) || (p_avantageVieillesseDroitPrecedent == null))
    {
      m_avantageVieillesseDroitPrecedent = p_avantageVieillesseDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setAvantageVieillesseDroitPrecedent(p_avantageVieillesseDroitPrecedent);
    }
    else if ((m_avantageVieillesseDroitPrecedent != null) && (p_avantageVieillesseDroitPrecedent != null) && (!p_avantageVieillesseDroitPrecedent.equals(m_avantageVieillesseDroitPrecedent)))
    {
      m_avantageVieillesseDroitPrecedent = p_avantageVieillesseDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setAvantageVieillesseDroitPrecedent(p_avantageVieillesseDroitPrecedent);
    }
  }
  
  protected QuantiteEuro rawGetPensionInvaliditeDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getPensionInvaliditeDroitPrecedent();
  }
  
  public QuantiteEuro getPensionInvaliditeDroitPrecedent()
  {
    return ((JustificationDroitResultantPC)getPC()).getPensionInvaliditeDroitPrecedent();
  }
  
  public void setPensionInvaliditeDroitPrecedent(QuantiteEuro p_pensionInvaliditeDroitPrecedent)
  {
    if ((m_pensionInvaliditeDroitPrecedent == null) || (p_pensionInvaliditeDroitPrecedent == null))
    {
      m_pensionInvaliditeDroitPrecedent = p_pensionInvaliditeDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setPensionInvaliditeDroitPrecedent(p_pensionInvaliditeDroitPrecedent);
    }
    else if ((m_pensionInvaliditeDroitPrecedent != null) && (p_pensionInvaliditeDroitPrecedent != null) && (!p_pensionInvaliditeDroitPrecedent.equals(m_pensionInvaliditeDroitPrecedent)))
    {
      m_pensionInvaliditeDroitPrecedent = p_pensionInvaliditeDroitPrecedent;
      ((JustificationDroitResultantPC)getPC()).setPensionInvaliditeDroitPrecedent(p_pensionInvaliditeDroitPrecedent);
    }
  }
  
  protected QuantiteEuro rawGetCrcDroitPrecedentCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitPrecedentCompCapitaux();
  }
  
  public QuantiteEuro getCrcDroitPrecedentCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitPrecedentCompCapitaux();
  }
  
  public void setCrcDroitPrecedentCompCapitaux(QuantiteEuro p_crcDroitPrecedentCompCapitaux)
  {
    if ((m_crcDroitPrecedentCompCapitaux == null) || (p_crcDroitPrecedentCompCapitaux == null))
    {
      m_crcDroitPrecedentCompCapitaux = p_crcDroitPrecedentCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitPrecedentCompCapitaux(p_crcDroitPrecedentCompCapitaux);
    }
    else if ((m_crcDroitPrecedentCompCapitaux != null) && (p_crcDroitPrecedentCompCapitaux != null) && (!p_crcDroitPrecedentCompCapitaux.equals(m_crcDroitPrecedentCompCapitaux)))
    {
      m_crcDroitPrecedentCompCapitaux = p_crcDroitPrecedentCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitPrecedentCompCapitaux(p_crcDroitPrecedentCompCapitaux);
    }
  }
  
  protected QuantiteEuro rawGetMontantBrutDroitPrecedentCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitPrecedentCompCapitaux();
  }
  
  public QuantiteEuro getMontantBrutDroitPrecedentCompCapitaux()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitPrecedentCompCapitaux();
  }
  
  public void setMontantBrutDroitPrecedentCompCapitaux(QuantiteEuro p_montantBrutDroitPrecedentCompCapitaux)
  {
    if ((m_montantBrutDroitPrecedentCompCapitaux == null) || (p_montantBrutDroitPrecedentCompCapitaux == null))
    {
      m_montantBrutDroitPrecedentCompCapitaux = p_montantBrutDroitPrecedentCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitPrecedentCompCapitaux(p_montantBrutDroitPrecedentCompCapitaux);
    }
    else if ((m_montantBrutDroitPrecedentCompCapitaux != null) && (p_montantBrutDroitPrecedentCompCapitaux != null) && (!p_montantBrutDroitPrecedentCompCapitaux.equals(m_montantBrutDroitPrecedentCompCapitaux)))
    {
      m_montantBrutDroitPrecedentCompCapitaux = p_montantBrutDroitPrecedentCompCapitaux;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitPrecedentCompCapitaux(p_montantBrutDroitPrecedentCompCapitaux);
    }
  }
  
  protected QuantiteEuro rawGetMontantBrutDroitPrecedentCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitPrecedentCompMontants();
  }
  
  public QuantiteEuro getMontantBrutDroitPrecedentCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantBrutDroitPrecedentCompMontants();
  }
  
  public void setMontantBrutDroitPrecedentCompMontants(QuantiteEuro p_montantBrutDroitPrecedentCompMontants)
  {
    if ((m_montantBrutDroitPrecedentCompMontants == null) || (p_montantBrutDroitPrecedentCompMontants == null))
    {
      m_montantBrutDroitPrecedentCompMontants = p_montantBrutDroitPrecedentCompMontants;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitPrecedentCompMontants(p_montantBrutDroitPrecedentCompMontants);
    }
    else if ((m_montantBrutDroitPrecedentCompMontants != null) && (p_montantBrutDroitPrecedentCompMontants != null) && (!p_montantBrutDroitPrecedentCompMontants.equals(m_montantBrutDroitPrecedentCompMontants)))
    {
      m_montantBrutDroitPrecedentCompMontants = p_montantBrutDroitPrecedentCompMontants;
      ((JustificationDroitResultantPC)getPC()).setMontantBrutDroitPrecedentCompMontants(p_montantBrutDroitPrecedentCompMontants);
    }
  }
  
  protected int rawGetCompetenceFinanciereDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitRetenu();
  }
  
  public int getCompetenceFinanciereDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getCompetenceFinanciereDroitRetenu();
  }
  
  public void setCompetenceFinanciereDroitRetenu(int p_competenceFinanciereDroitRetenu)
  {
    ((JustificationDroitResultantPC)getPC()).setCompetenceFinanciereDroitRetenu(p_competenceFinanciereDroitRetenu);
  }
  
  protected QuantiteEuro rawGetMontantDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantDroitRetenu();
  }
  
  public QuantiteEuro getMontantDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getMontantDroitRetenu();
  }
  
  public void setMontantDroitRetenu(QuantiteEuro p_montantDroitRetenu)
  {
    if ((m_montantDroitRetenu == null) || (p_montantDroitRetenu == null))
    {
      m_montantDroitRetenu = p_montantDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setMontantDroitRetenu(p_montantDroitRetenu);
    }
    else if ((m_montantDroitRetenu != null) && (p_montantDroitRetenu != null) && (!p_montantDroitRetenu.equals(m_montantDroitRetenu)))
    {
      m_montantDroitRetenu = p_montantDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setMontantDroitRetenu(p_montantDroitRetenu);
    }
  }
  
  protected QuantiteEuro rawGetCapitalDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitRetenu();
  }
  
  public QuantiteEuro getCapitalDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getCapitalDroitRetenu();
  }
  
  public void setCapitalDroitRetenu(QuantiteEuro p_capitalDroitRetenu)
  {
    if ((m_capitalDroitRetenu == null) || (p_capitalDroitRetenu == null))
    {
      m_capitalDroitRetenu = p_capitalDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitRetenu(p_capitalDroitRetenu);
    }
    else if ((m_capitalDroitRetenu != null) && (p_capitalDroitRetenu != null) && (!p_capitalDroitRetenu.equals(m_capitalDroitRetenu)))
    {
      m_capitalDroitRetenu = p_capitalDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setCapitalDroitRetenu(p_capitalDroitRetenu);
    }
  }
  
  protected QuantiteJour rawGetImputationDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitRetenu();
  }
  
  public QuantiteJour getImputationDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getImputationDroitRetenu();
  }
  
  public void setImputationDroitRetenu(QuantiteJour p_imputationDroitRetenu)
  {
    if ((m_imputationDroitRetenu == null) || (p_imputationDroitRetenu == null))
    {
      m_imputationDroitRetenu = p_imputationDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitRetenu(p_imputationDroitRetenu);
    }
    else if ((m_imputationDroitRetenu != null) && (p_imputationDroitRetenu != null) && (!p_imputationDroitRetenu.equals(m_imputationDroitRetenu)))
    {
      m_imputationDroitRetenu = p_imputationDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setImputationDroitRetenu(p_imputationDroitRetenu);
    }
  }
  
  protected boolean rawIsEstCasParticulierPensionInvalidite()
  {
    return ((JustificationDroitResultantPC)getPC()).isEstCasParticulierPensionInvalidite();
  }
  
  public boolean isEstCasParticulierPensionInvalidite()
  {
    return ((JustificationDroitResultantPC)getPC()).isEstCasParticulierPensionInvalidite();
  }
  
  public void setEstCasParticulierPensionInvalidite(boolean p_estCasParticulierPensionInvalidite)
  {
    ((JustificationDroitResultantPC)getPC()).setEstCasParticulierPensionInvalidite(p_estCasParticulierPensionInvalidite);
  }
  
  protected QuantiteJour rawGetDureeDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitRetenu();
  }
  
  public QuantiteJour getDureeDroitRetenu()
  {
    return ((JustificationDroitResultantPC)getPC()).getDureeDroitRetenu();
  }
  
  public void setDureeDroitRetenu(QuantiteJour p_dureeDroitRetenu)
  {
    if ((m_dureeDroitRetenu == null) || (p_dureeDroitRetenu == null))
    {
      m_dureeDroitRetenu = p_dureeDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitRetenu(p_dureeDroitRetenu);
    }
    else if ((m_dureeDroitRetenu != null) && (p_dureeDroitRetenu != null) && (!p_dureeDroitRetenu.equals(m_dureeDroitRetenu)))
    {
      m_dureeDroitRetenu = p_dureeDroitRetenu;
      ((JustificationDroitResultantPC)getPC()).setDureeDroitRetenu(p_dureeDroitRetenu);
    }
  }
  
  protected int rawGetStatutPensionInvaliditeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getStatutPensionInvaliditeDroitCourant();
  }
  
  public int getStatutPensionInvaliditeDroitCourant()
  {
    return ((JustificationDroitResultantPC)getPC()).getStatutPensionInvaliditeDroitCourant();
  }
  
  public void setStatutPensionInvaliditeDroitCourant(int p_statutPensionInvaliditeDroitCourant)
  {
    ((JustificationDroitResultantPC)getPC()).setStatutPensionInvaliditeDroitCourant(p_statutPensionInvaliditeDroitCourant);
  }
  
  protected QuantiteEuro rawGetCrcDroitCourantCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitCourantCompMontants();
  }
  
  public QuantiteEuro getCrcDroitCourantCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitCourantCompMontants();
  }
  
  public void setCrcDroitCourantCompMontants(QuantiteEuro p_crcDroitCourantCompMontants)
  {
    if ((m_crcDroitCourantCompMontants == null) || (p_crcDroitCourantCompMontants == null))
    {
      m_crcDroitCourantCompMontants = p_crcDroitCourantCompMontants;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitCourantCompMontants(p_crcDroitCourantCompMontants);
    }
    else if ((m_crcDroitCourantCompMontants != null) && (p_crcDroitCourantCompMontants != null) && (!p_crcDroitCourantCompMontants.equals(m_crcDroitCourantCompMontants)))
    {
      m_crcDroitCourantCompMontants = p_crcDroitCourantCompMontants;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitCourantCompMontants(p_crcDroitCourantCompMontants);
    }
  }
  
  protected QuantiteEuro rawGetCrcDroitPrecedentCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitPrecedentCompMontants();
  }
  
  public QuantiteEuro getCrcDroitPrecedentCompMontants()
  {
    return ((JustificationDroitResultantPC)getPC()).getCrcDroitPrecedentCompMontants();
  }
  
  public void setCrcDroitPrecedentCompMontants(QuantiteEuro p_crcDroitPrecedentCompMontants)
  {
    if ((m_crcDroitPrecedentCompMontants == null) || (p_crcDroitPrecedentCompMontants == null))
    {
      m_crcDroitPrecedentCompMontants = p_crcDroitPrecedentCompMontants;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitPrecedentCompMontants(p_crcDroitPrecedentCompMontants);
    }
    else if ((m_crcDroitPrecedentCompMontants != null) && (p_crcDroitPrecedentCompMontants != null) && (!p_crcDroitPrecedentCompMontants.equals(m_crcDroitPrecedentCompMontants)))
    {
      m_crcDroitPrecedentCompMontants = p_crcDroitPrecedentCompMontants;
      ((JustificationDroitResultantPC)getPC()).setCrcDroitPrecedentCompMontants(p_crcDroitPrecedentCompMontants);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationDroitResultantGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */