package fr.unedic.cali.asu.produits.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConditionsAttributionAdmissionPC
  extends ConditionsAttributionAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConditionRechercheEmploi;
  protected boolean m_presenceDonneesConditionFaitGenerateur;
  protected boolean m_presenceDonneesConditionChomageTotal;
  protected boolean m_presenceDonneesConditionAge;
  protected boolean m_presenceDonneesConditionQuantiteAffiliation;
  protected boolean m_presenceDonneesConditionChomageInvolontaire;
  protected boolean m_presenceDonneesConditionActiviteConservee;
  protected boolean m_presenceDonneesConditionCumulPrestationFamiliale;
  protected boolean m_presenceDonneesConditionMontantNonNul;
  protected boolean m_presenceDonneesConditionCSRDateAttributionPendantSuspension;
  protected boolean m_presenceDonneesConditionCSRAccordCP;
  protected boolean m_presenceDonneesConditionCSR28Jours;
  protected boolean m_presenceDonneesConditionAnciennete;
  protected boolean m_presenceDonneesConditionDureeNonNulle;
  private boolean m_presenceDonneesConditionValiditeReliquat;
  private transient ConditionsAttributionAdmission m_conditionsAttributionAdmissionOM;
  protected int m_etatConditionRechercheEmploi;
  protected int m_codeMotifEchecConditionRechercheEmploi;
  protected String m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur;
  protected int m_etatConditionFaitGenerateur;
  protected int m_codeMotifEchecConditionFaitGenerateur;
  protected Damj m_dateEvenementConditionFaitGenerateur;
  protected DureeCalendaire m_ageIndividuDateFGConditionFaitGenerateur;
  protected String m_motifFinPeriodeConditionFaitGenerateur;
  protected Damj m_dateFGConditionFaitGenerateur;
  protected Damj m_dateEngagementProcedureConditionFaitGenerateur;
  protected int m_etatConditionChomageTotal;
  protected int m_codeMotifEchecConditionChomageTotal;
  protected Damj m_dateEffetPensionConditionAge;
  protected int m_situationConditionAge;
  protected int m_etatConditionAge;
  protected int m_codeMotifEchecConditionAge;
  protected int m_etatConditionQuantiteAffiliation;
  protected int m_codeMotifEchecConditionQuantiteAffiliation;
  protected Quantite m_quantiteAppartenanceConditionQuantiteAffiliation;
  protected int m_situationConditionChomageInvolontaire;
  protected int m_codeMotifEchecConditionChomageInvolontaire;
  protected int m_etatConditionChomageInvolontaire;
  protected int m_situationConditionActiviteConservee;
  protected int m_codeMotifEchecConditionActiviteConservee;
  protected int m_etatConditionActiviteConservee;
  protected BigDecimal m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee;
  protected BigDecimal m_montantMensuelActiviteConserveeConditionActiviteConservee;
  protected BigDecimal m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee;
  protected int m_etatConditionCumulPrestationFamiliale;
  protected int m_codeMotifEchecConditionCumulPrestationFamiliale;
  protected int m_etatConditionConditionMontantNonNul;
  protected int m_codeMotifEchecConditionMontantNonNul;
  protected int m_codeMotifEchecConditionCSRDateAttribution;
  protected int m_etatConditionCSRDateAttribution;
  protected int m_codeMotifEchecConditionCSRAccordCP;
  protected int m_etatConditionCSRAccordCP;
  protected int m_codeMotifEchecConditionCSR28Jours;
  protected int m_etatConditionCSR28Jours;
  protected int m_codeMotifEchecConditionAnciennete;
  protected int m_etatConditionAnciennete;
  protected boolean m_estDeuxAnsAnciennete;
  protected Quantite m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation;
  protected int m_codeMotifEchecConditionDureeNonNulle;
  protected int m_etatConditionDureeNonNulle;
  protected BigDecimal m_seuilMensuelPansConditionActiviteConservee;
  protected int m_codeBassinCtp;
  protected String m_refusFneConditionFaitGenerateur;
  protected int m_nombreJourSuspensionMinimumCsr;
  protected boolean m_estSinistreOuCalamiteNaturelle;
  private int m_etatConditionValiditeReliquat;
  private int m_codeMotifEchecConditionValiditeReliquat;
  private Damj m_dateDecheanceConditionValiditeReliquat;
  private int m_motifNonValiditeConditionValiditeReliquat;
  private int m_causeExtinctionConditionValiditeReliquat;
  private boolean m_estSalarieHandicape;
  private String m_identifiantActivitePortantDVConditionChomageInvolontaire;
  private String m_etatPndsPourCalculAffi;
  private Damj m_dateDepartDelai121j;
  private int m_dureeAeDvConditionChomageInvolontaire;
  private Quantite m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire;
  private Quantite m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire;
  private Quantite m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire;
  protected Collection m_listeSjrActiviteConserveeConditionActiviteConservee;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConditionRechercheEmploi", "m_presenceDonneesConditionFaitGenerateur", "m_presenceDonneesConditionChomageTotal", "m_presenceDonneesConditionAge", "m_presenceDonneesConditionQuantiteAffiliation", "m_presenceDonneesConditionChomageInvolontaire", "m_presenceDonneesConditionActiviteConservee", "m_presenceDonneesConditionCumulPrestationFamiliale", "m_presenceDonneesConditionMontantNonNul", "m_presenceDonneesConditionCSRDateAttributionPendantSuspension", "m_presenceDonneesConditionCSRAccordCP", "m_presenceDonneesConditionCSR28Jours", "m_presenceDonneesConditionAnciennete", "m_presenceDonneesConditionDureeNonNulle", "m_presenceDonneesConditionValiditeReliquat", "m_etatConditionRechercheEmploi", "m_codeMotifEchecConditionRechercheEmploi", "m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur", "m_etatConditionFaitGenerateur", "m_codeMotifEchecConditionFaitGenerateur", "m_dateEvenementConditionFaitGenerateur", "m_ageIndividuDateFGConditionFaitGenerateur", "m_motifFinPeriodeConditionFaitGenerateur", "m_dateFGConditionFaitGenerateur", "m_dateEngagementProcedureConditionFaitGenerateur", "m_etatConditionChomageTotal", "m_codeMotifEchecConditionChomageTotal", "m_dateEffetPensionConditionAge", "m_situationConditionAge", "m_etatConditionAge", "m_codeMotifEchecConditionAge", "m_etatConditionQuantiteAffiliation", "m_codeMotifEchecConditionQuantiteAffiliation", "m_quantiteAppartenanceConditionQuantiteAffiliation", "m_situationConditionChomageInvolontaire", "m_codeMotifEchecConditionChomageInvolontaire", "m_etatConditionChomageInvolontaire", "m_situationConditionActiviteConservee", "m_codeMotifEchecConditionActiviteConservee", "m_etatConditionActiviteConservee", "m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee", "m_montantMensuelActiviteConserveeConditionActiviteConservee", "m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee", "m_etatConditionCumulPrestationFamiliale", "m_codeMotifEchecConditionCumulPrestationFamiliale", "m_etatConditionConditionMontantNonNul", "m_codeMotifEchecConditionMontantNonNul", "m_codeMotifEchecConditionCSRDateAttribution", "m_etatConditionCSRDateAttribution", "m_codeMotifEchecConditionCSRAccordCP", "m_etatConditionCSRAccordCP", "m_codeMotifEchecConditionCSR28Jours", "m_etatConditionCSR28Jours", "m_codeMotifEchecConditionAnciennete", "m_etatConditionAnciennete", "m_estDeuxAnsAnciennete", "m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation", "m_codeMotifEchecConditionDureeNonNulle", "m_etatConditionDureeNonNulle", "m_seuilMensuelPansConditionActiviteConservee", "m_codeBassinCtp", "m_refusFneConditionFaitGenerateur", "m_nombreJourSuspensionMinimumCsr", "m_estSinistreOuCalamiteNaturelle", "m_etatConditionValiditeReliquat", "m_codeMotifEchecConditionValiditeReliquat", "m_dateDecheanceConditionValiditeReliquat", "m_motifNonValiditeConditionValiditeReliquat", "m_causeExtinctionConditionValiditeReliquat", "m_estSalarieHandicape", "m_identifiantActivitePortantDVConditionChomageInvolontaire", "m_etatPndsPourCalculAffi", "m_dateDepartDelai121j", "m_dureeAeDvConditionChomageInvolontaire", "m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire", "m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire", "m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire", "m_listeSjrActiviteConserveeConditionActiviteConservee" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, String.class, Integer.TYPE, Integer.TYPE, Damj.class, DureeCalendaire.class, String.class, Damj.class, Damj.class, Integer.TYPE, Integer.TYPE, Damj.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Quantite.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, BigDecimal.class, BigDecimal.class, BigDecimal.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Quantite.class, Integer.TYPE, Integer.TYPE, BigDecimal.class, Integer.TYPE, String.class, Integer.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Damj.class, Integer.TYPE, Integer.TYPE, Boolean.TYPE, String.class, String.class, Damj.class, Integer.TYPE, Quantite.class, Quantite.class, Quantite.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConditionsAttributionAdmissionPC()
  {
    jdoSetm_presenceDonneesConditionRechercheEmploi(this, false);
    jdoSetm_presenceDonneesConditionFaitGenerateur(this, false);
    jdoSetm_presenceDonneesConditionChomageTotal(this, false);
    jdoSetm_presenceDonneesConditionAge(this, false);
    jdoSetm_presenceDonneesConditionQuantiteAffiliation(this, false);
    jdoSetm_presenceDonneesConditionChomageInvolontaire(this, false);
    jdoSetm_presenceDonneesConditionActiviteConservee(this, false);
    jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(this, false);
    jdoSetm_presenceDonneesConditionMontantNonNul(this, false);
    jdoSetm_presenceDonneesConditionCSRDateAttributionPendantSuspension(this, false);
    jdoSetm_presenceDonneesConditionCSRAccordCP(this, false);
    jdoSetm_presenceDonneesConditionCSR28Jours(this, false);
    jdoSetm_presenceDonneesConditionAnciennete(this, false);
    jdoSetm_presenceDonneesConditionDureeNonNulle(this, false);
    jdoSetm_presenceDonneesConditionValiditeReliquat(this, false);
    
    jdoSetm_situationConditionAge(this, 0);
    
    jdoSetm_situationConditionChomageInvolontaire(this, 0);
    
    jdoSetm_situationConditionActiviteConservee(this, 0);
  }
  
  public Object createOM()
  {
    if (m_conditionsAttributionAdmissionOM == null) {
      m_conditionsAttributionAdmissionOM = new ConditionsAttributionAdmission(this);
    }
    return m_conditionsAttributionAdmissionOM;
  }
  
  public boolean isPresenceDonneesConditionRechercheEmploi()
  {
    return jdoGetm_presenceDonneesConditionRechercheEmploi(this);
  }
  
  public final void setPresenceDonneesConditionRechercheEmploi(boolean p_presenceDonneesConditionRechercheEmploi)
  {
    jdoSetm_presenceDonneesConditionRechercheEmploi(this, p_presenceDonneesConditionRechercheEmploi);
  }
  
  public boolean isPresenceDonneesConditionFaitGenerateur()
  {
    return jdoGetm_presenceDonneesConditionFaitGenerateur(this);
  }
  
  public final void setPresenceDonneesConditionFaitGenerateur(boolean p_presenceDonneesConditionFaitGenerateur)
  {
    jdoSetm_presenceDonneesConditionFaitGenerateur(this, p_presenceDonneesConditionFaitGenerateur);
  }
  
  public boolean isPresenceDonneesConditionChomageTotal()
  {
    return jdoGetm_presenceDonneesConditionChomageTotal(this);
  }
  
  public final void setPresenceDonneesConditionChomageTotal(boolean p_presenceDonneesConditionChomageTotal)
  {
    jdoSetm_presenceDonneesConditionChomageTotal(this, p_presenceDonneesConditionChomageTotal);
  }
  
  public boolean isPresenceDonneesConditionAge()
  {
    return jdoGetm_presenceDonneesConditionAge(this);
  }
  
  public final void setPresenceDonneesConditionAge(boolean p_presenceDonneesConditionAge)
  {
    jdoSetm_presenceDonneesConditionAge(this, p_presenceDonneesConditionAge);
  }
  
  public boolean isPresenceDonneesConditionQuantiteAffiliation()
  {
    return jdoGetm_presenceDonneesConditionQuantiteAffiliation(this);
  }
  
  public final void setPresenceDonneesConditionQuantiteAffiliation(boolean p_presenceDonneesConditionQuantiteAffiliation)
  {
    jdoSetm_presenceDonneesConditionQuantiteAffiliation(this, p_presenceDonneesConditionQuantiteAffiliation);
  }
  
  public boolean isPresenceDonneesConditionChomageInvolontaire()
  {
    return jdoGetm_presenceDonneesConditionChomageInvolontaire(this);
  }
  
  public final void setPresenceDonneesConditionChomageInvolontaire(boolean p_presenceDonneesConditionChomageInvolontaire)
  {
    jdoSetm_presenceDonneesConditionChomageInvolontaire(this, p_presenceDonneesConditionChomageInvolontaire);
  }
  
  public boolean isPresenceDonneesConditionActiviteConservee()
  {
    return jdoGetm_presenceDonneesConditionActiviteConservee(this);
  }
  
  public final void setPresenceDonneesConditionActiviteConservee(boolean p_presenceDonneesConditionActiviteConservee)
  {
    jdoSetm_presenceDonneesConditionActiviteConservee(this, p_presenceDonneesConditionActiviteConservee);
  }
  
  public boolean isPresenceDonneesConditionCumulPrestationFamiliale()
  {
    return jdoGetm_presenceDonneesConditionCumulPrestationFamiliale(this);
  }
  
  public final void setPresenceDonneesConditionCumulPrestationFamiliale(boolean p_presenceDonneesConditionCumulPrestationFamiliale)
  {
    jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(this, p_presenceDonneesConditionCumulPrestationFamiliale);
  }
  
  public boolean isPresenceDonneesConditionMontantNonNul()
  {
    return jdoGetm_presenceDonneesConditionMontantNonNul(this);
  }
  
  public final void setPresenceDonneesConditionMontantNonNul(boolean p_presenceDonneesConditionMontantNonNul)
  {
    jdoSetm_presenceDonneesConditionMontantNonNul(this, p_presenceDonneesConditionMontantNonNul);
  }
  
  public boolean isPresenceDonneesConditionCSRDateAttributionPendantSuspension()
  {
    return jdoGetm_presenceDonneesConditionCSRDateAttributionPendantSuspension(this);
  }
  
  public final void setPresenceDonneesConditionCSRDateAttributionPendantSuspension(boolean p_presenceDonneesConditionCSRDateAttributionPendantSuspension)
  {
    jdoSetm_presenceDonneesConditionCSRDateAttributionPendantSuspension(this, p_presenceDonneesConditionCSRDateAttributionPendantSuspension);
  }
  
  public boolean isPresenceDonneesConditionCSRAccordCP()
  {
    return jdoGetm_presenceDonneesConditionCSRAccordCP(this);
  }
  
  public final void setPresenceDonneesConditionCSRAccordCP(boolean p_presenceDonneesConditionCSRAccordCP)
  {
    jdoSetm_presenceDonneesConditionCSRAccordCP(this, p_presenceDonneesConditionCSRAccordCP);
  }
  
  public boolean isPresenceDonneesConditionCSR28Jours()
  {
    return jdoGetm_presenceDonneesConditionCSR28Jours(this);
  }
  
  public final void setPresenceDonneesConditionCSR28Jours(boolean p_presenceDonneesConditionCSR28Jours)
  {
    jdoSetm_presenceDonneesConditionCSR28Jours(this, p_presenceDonneesConditionCSR28Jours);
  }
  
  public boolean isPresenceDonneesConditionAnciennete()
  {
    return jdoGetm_presenceDonneesConditionAnciennete(this);
  }
  
  public final void setPresenceDonneesConditionAnciennete(boolean p_presenceDonneesConditionAnciennete)
  {
    jdoSetm_presenceDonneesConditionAnciennete(this, p_presenceDonneesConditionAnciennete);
  }
  
  public boolean isPresenceDonneesConditionDureeNonNulle()
  {
    return jdoGetm_presenceDonneesConditionDureeNonNulle(this);
  }
  
  public final void setPresenceDonneesConditionDureeNonNulle(boolean p_presenceDonneesConditionDureeNonNulle)
  {
    jdoSetm_presenceDonneesConditionDureeNonNulle(this, p_presenceDonneesConditionDureeNonNulle);
  }
  
  public boolean isPresenceDonneesConditionValiditeReliquat()
  {
    return jdoGetm_presenceDonneesConditionValiditeReliquat(this);
  }
  
  public final void setPresenceDonneesConditionValiditeReliquat(boolean p_presenceDonneesConditionValiditeReliquat)
  {
    jdoSetm_presenceDonneesConditionValiditeReliquat(this, p_presenceDonneesConditionValiditeReliquat);
  }
  
  public int getEtatConditionRechercheEmploi()
  {
    return jdoGetm_etatConditionRechercheEmploi(this);
  }
  
  public final void setEtatConditionRechercheEmploi(int p_etatConditionRechercheEmploi)
  {
    jdoSetm_etatConditionRechercheEmploi(this, p_etatConditionRechercheEmploi);
  }
  
  public int getCodeMotifEchecConditionRechercheEmploi()
  {
    return jdoGetm_codeMotifEchecConditionRechercheEmploi(this);
  }
  
  public final void setCodeMotifEchecConditionRechercheEmploi(int p_codeMotifEchecConditionRechercheEmploi)
  {
    jdoSetm_codeMotifEchecConditionRechercheEmploi(this, p_codeMotifEchecConditionRechercheEmploi);
  }
  
  public String getIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur()
  {
    return jdoGetm_identifiantPeriodeFaitGenerateurConditionFaitGenerateur(this);
  }
  
  public final void setIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur(String p_identifiantPeriodeFaitGenerateurConditionFaitGenerateur)
  {
    jdoSetm_identifiantPeriodeFaitGenerateurConditionFaitGenerateur(this, p_identifiantPeriodeFaitGenerateurConditionFaitGenerateur);
  }
  
  public int getEtatConditionFaitGenerateur()
  {
    return jdoGetm_etatConditionFaitGenerateur(this);
  }
  
  public final void setEtatConditionFaitGenerateur(int p_etatConditionFaitGenerateur)
  {
    jdoSetm_etatConditionFaitGenerateur(this, p_etatConditionFaitGenerateur);
  }
  
  public int getCodeMotifEchecConditionFaitGenerateur()
  {
    return jdoGetm_codeMotifEchecConditionFaitGenerateur(this);
  }
  
  public final void setCodeMotifEchecConditionFaitGenerateur(int p_codeMotifEchecConditionFaitGenerateur)
  {
    jdoSetm_codeMotifEchecConditionFaitGenerateur(this, p_codeMotifEchecConditionFaitGenerateur);
  }
  
  public Damj getDateEvenementConditionFaitGenerateur()
  {
    return jdoGetm_dateEvenementConditionFaitGenerateur(this);
  }
  
  public final void setDateEvenementConditionFaitGenerateur(Damj p_dateEvenementConditionFaitGenerateur)
  {
    jdoSetm_dateEvenementConditionFaitGenerateur(this, p_dateEvenementConditionFaitGenerateur);
  }
  
  public DureeCalendaire getAgeIndividuDateFGConditionFaitGenerateur()
  {
    return jdoGetm_ageIndividuDateFGConditionFaitGenerateur(this);
  }
  
  public final void setAgeIndividuDateFGConditionFaitGenerateur(DureeCalendaire p_ageIndividuDateFGConditionFaitGenerateur)
  {
    jdoSetm_ageIndividuDateFGConditionFaitGenerateur(this, p_ageIndividuDateFGConditionFaitGenerateur);
  }
  
  public String getMotifFinPeriodeConditionFaitGenerateur()
  {
    return jdoGetm_motifFinPeriodeConditionFaitGenerateur(this);
  }
  
  public final void setMotifFinPeriodeConditionFaitGenerateur(String p_motifFinPeriodeConditionFaitGenerateur)
  {
    jdoSetm_motifFinPeriodeConditionFaitGenerateur(this, p_motifFinPeriodeConditionFaitGenerateur);
  }
  
  public Damj getDateFGConditionFaitGenerateur()
  {
    return jdoGetm_dateFGConditionFaitGenerateur(this);
  }
  
  public final void setDateFGConditionFaitGenerateur(Damj p_dateFGConditionFaitGenerateur)
  {
    jdoSetm_dateFGConditionFaitGenerateur(this, p_dateFGConditionFaitGenerateur);
  }
  
  public Damj getDateEngagementProcedureConditionFaitGenerateur()
  {
    return jdoGetm_dateEngagementProcedureConditionFaitGenerateur(this);
  }
  
  public final void setDateEngagementProcedureConditionFaitGenerateur(Damj p_dateEngagementProcedureConditionFaitGenerateur)
  {
    jdoSetm_dateEngagementProcedureConditionFaitGenerateur(this, p_dateEngagementProcedureConditionFaitGenerateur);
  }
  
  public int getEtatConditionChomageTotal()
  {
    return jdoGetm_etatConditionChomageTotal(this);
  }
  
  public final void setEtatConditionChomageTotal(int p_etatConditionChomageTotal)
  {
    jdoSetm_etatConditionChomageTotal(this, p_etatConditionChomageTotal);
  }
  
  public int getCodeMotifEchecConditionChomageTotal()
  {
    return jdoGetm_codeMotifEchecConditionChomageTotal(this);
  }
  
  public final void setCodeMotifEchecConditionChomageTotal(int p_codeMotifEchecConditionChomageTotal)
  {
    jdoSetm_codeMotifEchecConditionChomageTotal(this, p_codeMotifEchecConditionChomageTotal);
  }
  
  public Damj getDateEffetPensionConditionAge()
  {
    return jdoGetm_dateEffetPensionConditionAge(this);
  }
  
  public final void setDateEffetPensionConditionAge(Damj p_dateEffetPensionConditionAge)
  {
    jdoSetm_dateEffetPensionConditionAge(this, p_dateEffetPensionConditionAge);
  }
  
  public int getSituationConditionAge()
  {
    return jdoGetm_situationConditionAge(this);
  }
  
  public final void setSituationConditionAge(int p_situationConditionAge)
  {
    jdoSetm_situationConditionAge(this, p_situationConditionAge);
  }
  
  public int getEtatConditionAge()
  {
    return jdoGetm_etatConditionAge(this);
  }
  
  public final void setEtatConditionAge(int p_etatConditionAge)
  {
    jdoSetm_etatConditionAge(this, p_etatConditionAge);
  }
  
  public int getCodeMotifEchecConditionAge()
  {
    return jdoGetm_codeMotifEchecConditionAge(this);
  }
  
  public final void setCodeMotifEchecConditionAge(int p_codeMotifEchecConditionAge)
  {
    jdoSetm_codeMotifEchecConditionAge(this, p_codeMotifEchecConditionAge);
  }
  
  public int getEtatConditionQuantiteAffiliation()
  {
    return jdoGetm_etatConditionQuantiteAffiliation(this);
  }
  
  public final void setEtatConditionQuantiteAffiliation(int p_etatConditionQuantiteAffiliation)
  {
    jdoSetm_etatConditionQuantiteAffiliation(this, p_etatConditionQuantiteAffiliation);
  }
  
  public int getCodeMotifEchecConditionQuantiteAffiliation()
  {
    return jdoGetm_codeMotifEchecConditionQuantiteAffiliation(this);
  }
  
  public final void setCodeMotifEchecConditionQuantiteAffiliation(int p_codeMotifEchecConditionQuantiteAffiliation)
  {
    jdoSetm_codeMotifEchecConditionQuantiteAffiliation(this, p_codeMotifEchecConditionQuantiteAffiliation);
  }
  
  public Quantite getQuantiteAppartenanceConditionQuantiteAffiliation()
  {
    return jdoGetm_quantiteAppartenanceConditionQuantiteAffiliation(this);
  }
  
  public final void setQuantiteAppartenanceConditionQuantiteAffiliation(Quantite p_quantiteAppartenanceConditionQuantiteAffiliation)
  {
    jdoSetm_quantiteAppartenanceConditionQuantiteAffiliation(this, p_quantiteAppartenanceConditionQuantiteAffiliation);
  }
  
  public int getSituationConditionChomageInvolontaire()
  {
    return jdoGetm_situationConditionChomageInvolontaire(this);
  }
  
  public final void setSituationConditionChomageInvolontaire(int p_situationConditionChomageInvolontaire)
  {
    jdoSetm_situationConditionChomageInvolontaire(this, p_situationConditionChomageInvolontaire);
  }
  
  public int getCodeMotifEchecConditionChomageInvolontaire()
  {
    return jdoGetm_codeMotifEchecConditionChomageInvolontaire(this);
  }
  
  public final void setCodeMotifEchecConditionChomageInvolontaire(int p_codeMotifEchecConditionChomageInvolontaire)
  {
    jdoSetm_codeMotifEchecConditionChomageInvolontaire(this, p_codeMotifEchecConditionChomageInvolontaire);
  }
  
  public int getEtatConditionChomageInvolontaire()
  {
    return jdoGetm_etatConditionChomageInvolontaire(this);
  }
  
  public final void setEtatConditionChomageInvolontaire(int p_etatConditionChomageInvolontaire)
  {
    jdoSetm_etatConditionChomageInvolontaire(this, p_etatConditionChomageInvolontaire);
  }
  
  public int getSituationConditionActiviteConservee()
  {
    return jdoGetm_situationConditionActiviteConservee(this);
  }
  
  public final void setSituationConditionActiviteConservee(int p_situationConditionActiviteConservee)
  {
    jdoSetm_situationConditionActiviteConservee(this, p_situationConditionActiviteConservee);
  }
  
  public int getCodeMotifEchecConditionActiviteConservee()
  {
    return jdoGetm_codeMotifEchecConditionActiviteConservee(this);
  }
  
  public final void setCodeMotifEchecConditionActiviteConservee(int p_codeMotifEchecConditionActiviteConservee)
  {
    jdoSetm_codeMotifEchecConditionActiviteConservee(this, p_codeMotifEchecConditionActiviteConservee);
  }
  
  public int getEtatConditionActiviteConservee()
  {
    return jdoGetm_etatConditionActiviteConservee(this);
  }
  
  public final void setEtatConditionActiviteConservee(int p_etatConditionActiviteConservee)
  {
    jdoSetm_etatConditionActiviteConservee(this, p_etatConditionActiviteConservee);
  }
  
  public BigDecimal getNombreHeuresMensuelActiviteConserveeConditionActiviteConservee()
  {
    return jdoGetm_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee(this);
  }
  
  public final void setNombreHeuresMensuelActiviteConserveeConditionActiviteConservee(BigDecimal p_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee)
  {
    jdoSetm_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee(this, p_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee);
  }
  
  public BigDecimal getMontantMensuelActiviteConserveeConditionActiviteConservee()
  {
    return jdoGetm_montantMensuelActiviteConserveeConditionActiviteConservee(this);
  }
  
  public final void setMontantMensuelActiviteConserveeConditionActiviteConservee(BigDecimal p_montantMensuelActiviteConserveeConditionActiviteConservee)
  {
    jdoSetm_montantMensuelActiviteConserveeConditionActiviteConservee(this, p_montantMensuelActiviteConserveeConditionActiviteConservee);
  }
  
  public BigDecimal getSeuilMontantMensuelActiviteConserveeConditionActiviteConservee()
  {
    return jdoGetm_seuilMontantMensuelActiviteConserveeConditionActiviteConservee(this);
  }
  
  public final void setSeuilMontantMensuelActiviteConserveeConditionActiviteConservee(BigDecimal p_seuilMontantMensuelActiviteConserveeConditionActiviteConservee)
  {
    jdoSetm_seuilMontantMensuelActiviteConserveeConditionActiviteConservee(this, p_seuilMontantMensuelActiviteConserveeConditionActiviteConservee);
  }
  
  public int getEtatConditionCumulPrestationFamiliale()
  {
    return jdoGetm_etatConditionCumulPrestationFamiliale(this);
  }
  
  public final void setEtatConditionCumulPrestationFamiliale(int p_etatConditionCumulPrestationFamiliale)
  {
    jdoSetm_etatConditionCumulPrestationFamiliale(this, p_etatConditionCumulPrestationFamiliale);
  }
  
  public int getCodeMotifEchecConditionCumulPrestationFamiliale()
  {
    return jdoGetm_codeMotifEchecConditionCumulPrestationFamiliale(this);
  }
  
  public final void setCodeMotifEchecConditionCumulPrestationFamiliale(int p_codeMotifEchecConditionCumulPrestationFamiliale)
  {
    jdoSetm_codeMotifEchecConditionCumulPrestationFamiliale(this, p_codeMotifEchecConditionCumulPrestationFamiliale);
  }
  
  public int getEtatConditionConditionMontantNonNul()
  {
    return jdoGetm_etatConditionConditionMontantNonNul(this);
  }
  
  public final void setEtatConditionConditionMontantNonNul(int p_etatConditionConditionMontantNonNul)
  {
    jdoSetm_etatConditionConditionMontantNonNul(this, p_etatConditionConditionMontantNonNul);
  }
  
  public int getCodeMotifEchecConditionMontantNonNul()
  {
    return jdoGetm_codeMotifEchecConditionMontantNonNul(this);
  }
  
  public final void setCodeMotifEchecConditionMontantNonNul(int p_codeMotifEchecConditionMontantNonNul)
  {
    jdoSetm_codeMotifEchecConditionMontantNonNul(this, p_codeMotifEchecConditionMontantNonNul);
  }
  
  public int getCodeMotifEchecConditionCSRDateAttribution()
  {
    return jdoGetm_codeMotifEchecConditionCSRDateAttribution(this);
  }
  
  public final void setCodeMotifEchecConditionCSRDateAttribution(int p_codeMotifEchecConditionCSRDateAttribution)
  {
    jdoSetm_codeMotifEchecConditionCSRDateAttribution(this, p_codeMotifEchecConditionCSRDateAttribution);
  }
  
  public int getEtatConditionCSRDateAttribution()
  {
    return jdoGetm_etatConditionCSRDateAttribution(this);
  }
  
  public final void setEtatConditionCSRDateAttribution(int p_etatConditionCSRDateAttribution)
  {
    jdoSetm_etatConditionCSRDateAttribution(this, p_etatConditionCSRDateAttribution);
  }
  
  public int getCodeMotifEchecConditionCSRAccordCP()
  {
    return jdoGetm_codeMotifEchecConditionCSRAccordCP(this);
  }
  
  public final void setCodeMotifEchecConditionCSRAccordCP(int p_codeMotifEchecConditionCSRAccordCP)
  {
    jdoSetm_codeMotifEchecConditionCSRAccordCP(this, p_codeMotifEchecConditionCSRAccordCP);
  }
  
  public int getEtatConditionCSRAccordCP()
  {
    return jdoGetm_etatConditionCSRAccordCP(this);
  }
  
  public final void setEtatConditionCSRAccordCP(int p_etatConditionCSRAccordCP)
  {
    jdoSetm_etatConditionCSRAccordCP(this, p_etatConditionCSRAccordCP);
  }
  
  public int getCodeMotifEchecConditionCSR28Jours()
  {
    return jdoGetm_codeMotifEchecConditionCSR28Jours(this);
  }
  
  public final void setCodeMotifEchecConditionCSR28Jours(int p_codeMotifEchecConditionCSR28Jours)
  {
    jdoSetm_codeMotifEchecConditionCSR28Jours(this, p_codeMotifEchecConditionCSR28Jours);
  }
  
  public int getEtatConditionCSR28Jours()
  {
    return jdoGetm_etatConditionCSR28Jours(this);
  }
  
  public final void setEtatConditionCSR28Jours(int p_etatConditionCSR28Jours)
  {
    jdoSetm_etatConditionCSR28Jours(this, p_etatConditionCSR28Jours);
  }
  
  public int getCodeMotifEchecConditionAnciennete()
  {
    return jdoGetm_codeMotifEchecConditionAnciennete(this);
  }
  
  public final void setCodeMotifEchecConditionAnciennete(int p_codeMotifEchecConditionAnciennete)
  {
    jdoSetm_codeMotifEchecConditionAnciennete(this, p_codeMotifEchecConditionAnciennete);
  }
  
  public int getEtatConditionAnciennete()
  {
    return jdoGetm_etatConditionAnciennete(this);
  }
  
  public final void setEtatConditionAnciennete(int p_etatConditionAnciennete)
  {
    jdoSetm_etatConditionAnciennete(this, p_etatConditionAnciennete);
  }
  
  public boolean isEstDeuxAnsAnciennete()
  {
    return jdoGetm_estDeuxAnsAnciennete(this);
  }
  
  public final void setEstDeuxAnsAnciennete(boolean p_estDeuxAnsAnciennete)
  {
    jdoSetm_estDeuxAnsAnciennete(this, p_estDeuxAnsAnciennete);
  }
  
  public Quantite getQuantiteAppartenanceSecondaireConditionQuantiteAffiliation()
  {
    return jdoGetm_quantiteAppartenanceSecondaireConditionQuantiteAffiliation(this);
  }
  
  public final void setQuantiteAppartenanceSecondaireConditionQuantiteAffiliation(Quantite p_quantiteAppartenanceSecondaireConditionQuantiteAffiliation)
  {
    jdoSetm_quantiteAppartenanceSecondaireConditionQuantiteAffiliation(this, p_quantiteAppartenanceSecondaireConditionQuantiteAffiliation);
  }
  
  public int getCodeMotifEchecConditionDureeNonNulle()
  {
    return jdoGetm_codeMotifEchecConditionDureeNonNulle(this);
  }
  
  public final void setCodeMotifEchecConditionDureeNonNulle(int p_codeMotifEchecConditionDureeNonNulle)
  {
    jdoSetm_codeMotifEchecConditionDureeNonNulle(this, p_codeMotifEchecConditionDureeNonNulle);
  }
  
  public int getEtatConditionDureeNonNulle()
  {
    return jdoGetm_etatConditionDureeNonNulle(this);
  }
  
  public final void setEtatConditionDureeNonNulle(int p_etatConditionDureeNonNulle)
  {
    jdoSetm_etatConditionDureeNonNulle(this, p_etatConditionDureeNonNulle);
  }
  
  public BigDecimal getSeuilMensuelPansConditionActiviteConservee()
  {
    return jdoGetm_seuilMensuelPansConditionActiviteConservee(this);
  }
  
  public final void setSeuilMensuelPansConditionActiviteConservee(BigDecimal p_seuilMensuelPansConditionActiviteConservee)
  {
    jdoSetm_seuilMensuelPansConditionActiviteConservee(this, p_seuilMensuelPansConditionActiviteConservee);
  }
  
  public int getCodeBassinCtp()
  {
    return jdoGetm_codeBassinCtp(this);
  }
  
  public final void setCodeBassinCtp(int p_codeBassinCtp)
  {
    jdoSetm_codeBassinCtp(this, p_codeBassinCtp);
  }
  
  public String getRefusFneConditionFaitGenerateur()
  {
    return jdoGetm_refusFneConditionFaitGenerateur(this);
  }
  
  public final void setRefusFneConditionFaitGenerateur(String p_refusFneConditionFaitGenerateur)
  {
    jdoSetm_refusFneConditionFaitGenerateur(this, p_refusFneConditionFaitGenerateur);
  }
  
  public int getNombreJourSuspensionMinimumCsr()
  {
    return jdoGetm_nombreJourSuspensionMinimumCsr(this);
  }
  
  public final void setNombreJourSuspensionMinimumCsr(int p_nombreJourSuspensionMinimumCsr)
  {
    jdoSetm_nombreJourSuspensionMinimumCsr(this, p_nombreJourSuspensionMinimumCsr);
  }
  
  public boolean isEstSinistreOuCalamiteNaturelle()
  {
    return jdoGetm_estSinistreOuCalamiteNaturelle(this);
  }
  
  public final void setEstSinistreOuCalamiteNaturelle(boolean p_estSinistreOuCalamiteNaturelle)
  {
    jdoSetm_estSinistreOuCalamiteNaturelle(this, p_estSinistreOuCalamiteNaturelle);
  }
  
  public int getEtatConditionValiditeReliquat()
  {
    return jdoGetm_etatConditionValiditeReliquat(this);
  }
  
  public final void setEtatConditionValiditeReliquat(int p_etatConditionValiditeReliquat)
  {
    jdoSetm_etatConditionValiditeReliquat(this, p_etatConditionValiditeReliquat);
  }
  
  public int getCodeMotifEchecConditionValiditeReliquat()
  {
    return jdoGetm_codeMotifEchecConditionValiditeReliquat(this);
  }
  
  public final void setCodeMotifEchecConditionValiditeReliquat(int p_codeMotifEchecConditionValiditeReliquat)
  {
    jdoSetm_codeMotifEchecConditionValiditeReliquat(this, p_codeMotifEchecConditionValiditeReliquat);
  }
  
  public Damj getDateDecheanceConditionValiditeReliquat()
  {
    return jdoGetm_dateDecheanceConditionValiditeReliquat(this);
  }
  
  public final void setDateDecheanceConditionValiditeReliquat(Damj p_dateDecheanceConditionValiditeReliquat)
  {
    jdoSetm_dateDecheanceConditionValiditeReliquat(this, p_dateDecheanceConditionValiditeReliquat);
  }
  
  public int getMotifNonValiditeConditionValiditeReliquat()
  {
    return jdoGetm_motifNonValiditeConditionValiditeReliquat(this);
  }
  
  public final void setMotifNonValiditeConditionValiditeReliquat(int p_motifNonValiditeConditionValiditeReliquat)
  {
    jdoSetm_motifNonValiditeConditionValiditeReliquat(this, p_motifNonValiditeConditionValiditeReliquat);
  }
  
  public int getCauseExtinctionConditionValiditeReliquat()
  {
    return jdoGetm_causeExtinctionConditionValiditeReliquat(this);
  }
  
  public final void setCauseExtinctionConditionValiditeReliquat(int p_causeExtinctionConditionValiditeReliquat)
  {
    jdoSetm_causeExtinctionConditionValiditeReliquat(this, p_causeExtinctionConditionValiditeReliquat);
  }
  
  public boolean isEstSalarieHandicape()
  {
    return jdoGetm_estSalarieHandicape(this);
  }
  
  public final void setEstSalarieHandicape(boolean p_estSalarieHandicape)
  {
    jdoSetm_estSalarieHandicape(this, p_estSalarieHandicape);
  }
  
  public String getIdentifiantActivitePortantDVConditionChomageInvolontaire()
  {
    return jdoGetm_identifiantActivitePortantDVConditionChomageInvolontaire(this);
  }
  
  public final void setIdentifiantActivitePortantDVConditionChomageInvolontaire(String p_identifiantActivitePortantDVConditionChomageInvolontaire)
  {
    jdoSetm_identifiantActivitePortantDVConditionChomageInvolontaire(this, p_identifiantActivitePortantDVConditionChomageInvolontaire);
  }
  
  public String getEtatPndsPourCalculAffi()
  {
    return jdoGetm_etatPndsPourCalculAffi(this);
  }
  
  public final void setEtatPndsPourCalculAffi(String p_etatPndsPourCalculAffi)
  {
    jdoSetm_etatPndsPourCalculAffi(this, p_etatPndsPourCalculAffi);
  }
  
  public Damj getDateDepartDelai121j()
  {
    return jdoGetm_dateDepartDelai121j(this);
  }
  
  public final void setDateDepartDelai121j(Damj p_dateDepartDelai121j)
  {
    jdoSetm_dateDepartDelai121j(this, p_dateDepartDelai121j);
  }
  
  public int getDureeAeDvConditionChomageInvolontaire()
  {
    return jdoGetm_dureeAeDvConditionChomageInvolontaire(this);
  }
  
  public final void setDureeAeDvConditionChomageInvolontaire(int p_dureeAeDvConditionChomageInvolontaire)
  {
    jdoSetm_dureeAeDvConditionChomageInvolontaire(this, p_dureeAeDvConditionChomageInvolontaire);
  }
  
  public Quantite getIntensiteHoraireSalarieAeDvConditionChomageInvolontaire()
  {
    return jdoGetm_intensiteHoraireSalarieAeDvConditionChomageInvolontaire(this);
  }
  
  public final void setIntensiteHoraireSalarieAeDvConditionChomageInvolontaire(Quantite p_intensiteHoraireSalarieAeDvConditionChomageInvolontaire)
  {
    jdoSetm_intensiteHoraireSalarieAeDvConditionChomageInvolontaire(this, p_intensiteHoraireSalarieAeDvConditionChomageInvolontaire);
  }
  
  public Quantite getQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire()
  {
    return jdoGetm_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(this);
  }
  
  public final void setQuantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(Quantite p_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire)
  {
    jdoSetm_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(this, p_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire);
  }
  
  public Quantite getQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire()
  {
    return jdoGetm_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(this);
  }
  
  public final void setQuantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(Quantite p_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire)
  {
    jdoSetm_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(this, p_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire);
  }
  
  public final Collection getCollectionSjrActiviteConservee()
  {
    if (jdoGetm_listeSjrActiviteConserveeConditionActiviteConservee(this) == null) {
      jdoSetm_listeSjrActiviteConserveeConditionActiviteConservee(this, new ArrayList());
    }
    return jdoGetm_listeSjrActiviteConserveeConditionActiviteConservee(this);
  }
  
  public final void ajouterSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConditionActiviteConservee)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConditionActiviteConservee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConditionActiviteConservee ne devrait pas être nul.", p_sjrActiviteConserveeConditionActiviteConservee);
    }
    getCollectionSjrActiviteConservee().add(p_sjrActiviteConserveeConditionActiviteConservee);
  }
  
  public final void supprimerSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConditionActiviteConservee)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConditionActiviteConservee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConditionActiviteConservee ne devrait pas être nul.", p_sjrActiviteConserveeConditionActiviteConservee);
    }
    getCollectionSjrActiviteConservee().remove(p_sjrActiviteConserveeConditionActiviteConservee);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConditionsAttributionAdmissionPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConditionsAttributionAdmissionPC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConditionRechercheEmploi;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConditionRechercheEmploi);
    }
    return m_presenceDonneesConditionRechercheEmploi;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConditionFaitGenerateur;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConditionFaitGenerateur);
    }
    return m_presenceDonneesConditionFaitGenerateur;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionChomageTotal(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionChomageTotal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConditionChomageTotal;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConditionChomageTotal);
    }
    return m_presenceDonneesConditionChomageTotal;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConditionAge;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConditionAge);
    }
    return m_presenceDonneesConditionAge;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConditionQuantiteAffiliation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConditionQuantiteAffiliation);
    }
    return m_presenceDonneesConditionQuantiteAffiliation;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConditionChomageInvolontaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConditionChomageInvolontaire);
    }
    return m_presenceDonneesConditionChomageInvolontaire;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConditionActiviteConservee;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConditionActiviteConservee);
    }
    return m_presenceDonneesConditionActiviteConservee;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_presenceDonneesConditionCumulPrestationFamiliale;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConditionCumulPrestationFamiliale);
    }
    return m_presenceDonneesConditionCumulPrestationFamiliale;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_presenceDonneesConditionMontantNonNul;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConditionMontantNonNul);
    }
    return m_presenceDonneesConditionMontantNonNul;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCSRDateAttributionPendantSuspension(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCSRDateAttributionPendantSuspension;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_presenceDonneesConditionCSRDateAttributionPendantSuspension;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConditionCSRDateAttributionPendantSuspension);
    }
    return m_presenceDonneesConditionCSRDateAttributionPendantSuspension;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCSRAccordCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_presenceDonneesConditionCSRAccordCP;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConditionCSRAccordCP);
    }
    return m_presenceDonneesConditionCSRAccordCP;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCSR28Jours(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCSR28Jours;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_presenceDonneesConditionCSR28Jours;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConditionCSR28Jours);
    }
    return m_presenceDonneesConditionCSR28Jours;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_presenceDonneesConditionAnciennete;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 12, m_presenceDonneesConditionAnciennete);
    }
    return m_presenceDonneesConditionAnciennete;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionDureeNonNulle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_presenceDonneesConditionDureeNonNulle;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 13, m_presenceDonneesConditionDureeNonNulle);
    }
    return m_presenceDonneesConditionDureeNonNulle;
  }
  
  private static final boolean jdoGetm_presenceDonneesConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_presenceDonneesConditionValiditeReliquat;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 14, m_presenceDonneesConditionValiditeReliquat);
    }
    return m_presenceDonneesConditionValiditeReliquat;
  }
  
  protected static final int jdoGetm_etatConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_etatConditionRechercheEmploi;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 15, m_etatConditionRechercheEmploi);
    }
    return m_etatConditionRechercheEmploi;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_codeMotifEchecConditionRechercheEmploi;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 16, m_codeMotifEchecConditionRechercheEmploi);
    }
    return m_codeMotifEchecConditionRechercheEmploi;
  }
  
  protected static final String jdoGetm_identifiantPeriodeFaitGenerateurConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 17, m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur);
    }
    return m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_etatConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_etatConditionFaitGenerateur;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 18, m_etatConditionFaitGenerateur);
    }
    return m_etatConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_codeMotifEchecConditionFaitGenerateur;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 19, m_codeMotifEchecConditionFaitGenerateur);
    }
    return m_codeMotifEchecConditionFaitGenerateur;
  }
  
  protected static final Damj jdoGetm_dateEvenementConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_dateEvenementConditionFaitGenerateur;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_dateEvenementConditionFaitGenerateur);
    }
    return m_dateEvenementConditionFaitGenerateur;
  }
  
  protected static final DureeCalendaire jdoGetm_ageIndividuDateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_ageIndividuDateFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_ageIndividuDateFGConditionFaitGenerateur;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_ageIndividuDateFGConditionFaitGenerateur);
    }
    return m_ageIndividuDateFGConditionFaitGenerateur;
  }
  
  protected static final String jdoGetm_motifFinPeriodeConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifFinPeriodeConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_motifFinPeriodeConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 22, m_motifFinPeriodeConditionFaitGenerateur);
    }
    return m_motifFinPeriodeConditionFaitGenerateur;
  }
  
  protected static final Damj jdoGetm_dateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_dateFGConditionFaitGenerateur;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_dateFGConditionFaitGenerateur);
    }
    return m_dateFGConditionFaitGenerateur;
  }
  
  protected static final Damj jdoGetm_dateEngagementProcedureConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEngagementProcedureConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_dateEngagementProcedureConditionFaitGenerateur;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_dateEngagementProcedureConditionFaitGenerateur);
    }
    return m_dateEngagementProcedureConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_etatConditionChomageTotal(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionChomageTotal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_etatConditionChomageTotal;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 25, m_etatConditionChomageTotal);
    }
    return m_etatConditionChomageTotal;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionChomageTotal(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionChomageTotal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_codeMotifEchecConditionChomageTotal;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 26, m_codeMotifEchecConditionChomageTotal);
    }
    return m_codeMotifEchecConditionChomageTotal;
  }
  
  protected static final Damj jdoGetm_dateEffetPensionConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEffetPensionConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_dateEffetPensionConditionAge;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_dateEffetPensionConditionAge);
    }
    return m_dateEffetPensionConditionAge;
  }
  
  protected static final int jdoGetm_situationConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_situationConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_situationConditionAge;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 28, m_situationConditionAge);
    }
    return m_situationConditionAge;
  }
  
  protected static final int jdoGetm_etatConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_etatConditionAge;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 29, m_etatConditionAge);
    }
    return m_etatConditionAge;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_codeMotifEchecConditionAge;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 30, m_codeMotifEchecConditionAge);
    }
    return m_codeMotifEchecConditionAge;
  }
  
  protected static final int jdoGetm_etatConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_etatConditionQuantiteAffiliation;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 31, m_etatConditionQuantiteAffiliation);
    }
    return m_etatConditionQuantiteAffiliation;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_codeMotifEchecConditionQuantiteAffiliation;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 32, m_codeMotifEchecConditionQuantiteAffiliation);
    }
    return m_codeMotifEchecConditionQuantiteAffiliation;
  }
  
  protected static final Quantite jdoGetm_quantiteAppartenanceConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAppartenanceConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_quantiteAppartenanceConditionQuantiteAffiliation;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 33, m_quantiteAppartenanceConditionQuantiteAffiliation);
    }
    return m_quantiteAppartenanceConditionQuantiteAffiliation;
  }
  
  protected static final int jdoGetm_situationConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_situationConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_situationConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 34, m_situationConditionChomageInvolontaire);
    }
    return m_situationConditionChomageInvolontaire;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_codeMotifEchecConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 35, m_codeMotifEchecConditionChomageInvolontaire);
    }
    return m_codeMotifEchecConditionChomageInvolontaire;
  }
  
  protected static final int jdoGetm_etatConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_etatConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 36, m_etatConditionChomageInvolontaire);
    }
    return m_etatConditionChomageInvolontaire;
  }
  
  protected static final int jdoGetm_situationConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_situationConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_situationConditionActiviteConservee;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 37, m_situationConditionActiviteConservee);
    }
    return m_situationConditionActiviteConservee;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_codeMotifEchecConditionActiviteConservee;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 38, m_codeMotifEchecConditionActiviteConservee);
    }
    return m_codeMotifEchecConditionActiviteConservee;
  }
  
  protected static final int jdoGetm_etatConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_etatConditionActiviteConservee;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 39, m_etatConditionActiviteConservee);
    }
    return m_etatConditionActiviteConservee;
  }
  
  protected static final BigDecimal jdoGetm_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 40, m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee);
    }
    return m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee;
  }
  
  protected static final BigDecimal jdoGetm_montantMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMensuelActiviteConserveeConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_montantMensuelActiviteConserveeConditionActiviteConservee;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 41, m_montantMensuelActiviteConserveeConditionActiviteConservee);
    }
    return m_montantMensuelActiviteConserveeConditionActiviteConservee;
  }
  
  protected static final BigDecimal jdoGetm_seuilMontantMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 42, m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee);
    }
    return m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee;
  }
  
  protected static final int jdoGetm_etatConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_etatConditionCumulPrestationFamiliale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 43, m_etatConditionCumulPrestationFamiliale);
    }
    return m_etatConditionCumulPrestationFamiliale;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_codeMotifEchecConditionCumulPrestationFamiliale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 44, m_codeMotifEchecConditionCumulPrestationFamiliale);
    }
    return m_codeMotifEchecConditionCumulPrestationFamiliale;
  }
  
  protected static final int jdoGetm_etatConditionConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_etatConditionConditionMontantNonNul;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 45, m_etatConditionConditionMontantNonNul);
    }
    return m_etatConditionConditionMontantNonNul;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_codeMotifEchecConditionMontantNonNul;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 46, m_codeMotifEchecConditionMontantNonNul);
    }
    return m_codeMotifEchecConditionMontantNonNul;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCSRDateAttribution(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCSRDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_codeMotifEchecConditionCSRDateAttribution;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 47, m_codeMotifEchecConditionCSRDateAttribution);
    }
    return m_codeMotifEchecConditionCSRDateAttribution;
  }
  
  protected static final int jdoGetm_etatConditionCSRDateAttribution(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCSRDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_etatConditionCSRDateAttribution;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 48, m_etatConditionCSRDateAttribution);
    }
    return m_etatConditionCSRDateAttribution;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCSRAccordCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_codeMotifEchecConditionCSRAccordCP;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 49, m_codeMotifEchecConditionCSRAccordCP);
    }
    return m_codeMotifEchecConditionCSRAccordCP;
  }
  
  protected static final int jdoGetm_etatConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCSRAccordCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_etatConditionCSRAccordCP;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 50, m_etatConditionCSRAccordCP);
    }
    return m_etatConditionCSRAccordCP;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCSR28Jours(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCSR28Jours;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_codeMotifEchecConditionCSR28Jours;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 51, m_codeMotifEchecConditionCSR28Jours);
    }
    return m_codeMotifEchecConditionCSR28Jours;
  }
  
  protected static final int jdoGetm_etatConditionCSR28Jours(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCSR28Jours;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_etatConditionCSR28Jours;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 52, m_etatConditionCSR28Jours);
    }
    return m_etatConditionCSR28Jours;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_codeMotifEchecConditionAnciennete;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 53, m_codeMotifEchecConditionAnciennete);
    }
    return m_codeMotifEchecConditionAnciennete;
  }
  
  protected static final int jdoGetm_etatConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_etatConditionAnciennete;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 54, m_etatConditionAnciennete);
    }
    return m_etatConditionAnciennete;
  }
  
  protected static final boolean jdoGetm_estDeuxAnsAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDeuxAnsAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_estDeuxAnsAnciennete;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 55, m_estDeuxAnsAnciennete);
    }
    return m_estDeuxAnsAnciennete;
  }
  
  protected static final Quantite jdoGetm_quantiteAppartenanceSecondaireConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 56, m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation);
    }
    return m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionDureeNonNulle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_codeMotifEchecConditionDureeNonNulle;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 57, m_codeMotifEchecConditionDureeNonNulle);
    }
    return m_codeMotifEchecConditionDureeNonNulle;
  }
  
  protected static final int jdoGetm_etatConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionDureeNonNulle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_etatConditionDureeNonNulle;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 58, m_etatConditionDureeNonNulle);
    }
    return m_etatConditionDureeNonNulle;
  }
  
  protected static final BigDecimal jdoGetm_seuilMensuelPansConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_seuilMensuelPansConditionActiviteConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_seuilMensuelPansConditionActiviteConservee;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 59, m_seuilMensuelPansConditionActiviteConservee);
    }
    return m_seuilMensuelPansConditionActiviteConservee;
  }
  
  protected static final int jdoGetm_codeBassinCtp(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeBassinCtp;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_codeBassinCtp;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 60, m_codeBassinCtp);
    }
    return m_codeBassinCtp;
  }
  
  protected static final String jdoGetm_refusFneConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_refusFneConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_refusFneConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 61, m_refusFneConditionFaitGenerateur);
    }
    return m_refusFneConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_nombreJourSuspensionMinimumCsr(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourSuspensionMinimumCsr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_nombreJourSuspensionMinimumCsr;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 62, m_nombreJourSuspensionMinimumCsr);
    }
    return m_nombreJourSuspensionMinimumCsr;
  }
  
  protected static final boolean jdoGetm_estSinistreOuCalamiteNaturelle(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSinistreOuCalamiteNaturelle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_estSinistreOuCalamiteNaturelle;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 63, m_estSinistreOuCalamiteNaturelle);
    }
    return m_estSinistreOuCalamiteNaturelle;
  }
  
  private static final int jdoGetm_etatConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_etatConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 64, m_etatConditionValiditeReliquat);
    }
    return m_etatConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_codeMotifEchecConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_codeMotifEchecConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 65, m_codeMotifEchecConditionValiditeReliquat);
    }
    return m_codeMotifEchecConditionValiditeReliquat;
  }
  
  private static final Damj jdoGetm_dateDecheanceConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDecheanceConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_dateDecheanceConditionValiditeReliquat;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 66, m_dateDecheanceConditionValiditeReliquat);
    }
    return m_dateDecheanceConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_motifNonValiditeConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifNonValiditeConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_motifNonValiditeConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 67, m_motifNonValiditeConditionValiditeReliquat);
    }
    return m_motifNonValiditeConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_causeExtinctionConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_causeExtinctionConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_causeExtinctionConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 68, m_causeExtinctionConditionValiditeReliquat);
    }
    return m_causeExtinctionConditionValiditeReliquat;
  }
  
  private static final boolean jdoGetm_estSalarieHandicape(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSalarieHandicape;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_estSalarieHandicape;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 69, m_estSalarieHandicape);
    }
    return m_estSalarieHandicape;
  }
  
  private static final String jdoGetm_identifiantActivitePortantDVConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantActivitePortantDVConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_identifiantActivitePortantDVConditionChomageInvolontaire;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 70, m_identifiantActivitePortantDVConditionChomageInvolontaire);
    }
    return m_identifiantActivitePortantDVConditionChomageInvolontaire;
  }
  
  private static final String jdoGetm_etatPndsPourCalculAffi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatPndsPourCalculAffi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_etatPndsPourCalculAffi;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 71, m_etatPndsPourCalculAffi);
    }
    return m_etatPndsPourCalculAffi;
  }
  
  private static final Damj jdoGetm_dateDepartDelai121j(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDepartDelai121j;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 72)) {
        return m_dateDepartDelai121j;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 72, m_dateDepartDelai121j);
    }
    return m_dateDepartDelai121j;
  }
  
  private static final int jdoGetm_dureeAeDvConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAeDvConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 73)) {
        return m_dureeAeDvConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 73, m_dureeAeDvConditionChomageInvolontaire);
    }
    return m_dureeAeDvConditionChomageInvolontaire;
  }
  
  private static final Quantite jdoGetm_intensiteHoraireSalarieAeDvConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 74)) {
        return m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 74, m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire);
    }
    return m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire;
  }
  
  private static final Quantite jdoGetm_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 75)) {
        return m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 75, m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire);
    }
    return m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire;
  }
  
  private static final Quantite jdoGetm_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 76)) {
        return m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 76, m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire);
    }
    return m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire;
  }
  
  protected static final Collection jdoGetm_listeSjrActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 77)) {
        return m_listeSjrActiviteConserveeConditionActiviteConservee;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 77, m_listeSjrActiviteConserveeConditionActiviteConservee);
    }
    return m_listeSjrActiviteConserveeConditionActiviteConservee;
  }
  
  protected static final void jdoSetm_presenceDonneesConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConditionRechercheEmploi, newValue);
    } else {
      m_presenceDonneesConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConditionFaitGenerateur, newValue);
    } else {
      m_presenceDonneesConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionChomageTotal(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionChomageTotal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConditionChomageTotal, newValue);
    } else {
      m_presenceDonneesConditionChomageTotal = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionAge(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConditionAge, newValue);
    } else {
      m_presenceDonneesConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConditionQuantiteAffiliation, newValue);
    } else {
      m_presenceDonneesConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConditionChomageInvolontaire, newValue);
    } else {
      m_presenceDonneesConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConditionActiviteConservee, newValue);
    } else {
      m_presenceDonneesConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConditionCumulPrestationFamiliale, newValue);
    } else {
      m_presenceDonneesConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConditionMontantNonNul, newValue);
    } else {
      m_presenceDonneesConditionMontantNonNul = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCSRDateAttributionPendantSuspension(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCSRDateAttributionPendantSuspension = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConditionCSRDateAttributionPendantSuspension, newValue);
    } else {
      m_presenceDonneesConditionCSRDateAttributionPendantSuspension = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCSRAccordCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConditionCSRAccordCP, newValue);
    } else {
      m_presenceDonneesConditionCSRAccordCP = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCSR28Jours(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCSR28Jours = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConditionCSR28Jours, newValue);
    } else {
      m_presenceDonneesConditionCSR28Jours = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionAnciennete(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 12, m_presenceDonneesConditionAnciennete, newValue);
    } else {
      m_presenceDonneesConditionAnciennete = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionDureeNonNulle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 13, m_presenceDonneesConditionDureeNonNulle, newValue);
    } else {
      m_presenceDonneesConditionDureeNonNulle = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDonneesConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 14, m_presenceDonneesConditionValiditeReliquat, newValue);
    } else {
      m_presenceDonneesConditionValiditeReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 15, m_etatConditionRechercheEmploi, newValue);
    } else {
      m_etatConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 16, m_codeMotifEchecConditionRechercheEmploi, newValue);
    } else {
      m_codeMotifEchecConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantPeriodeFaitGenerateurConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 17, m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur, newValue);
    } else {
      m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 18, m_etatConditionFaitGenerateur, newValue);
    } else {
      m_etatConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 19, m_codeMotifEchecConditionFaitGenerateur, newValue);
    } else {
      m_codeMotifEchecConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_dateEvenementConditionFaitGenerateur, newValue);
    } else {
      m_dateEvenementConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_ageIndividuDateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_ageIndividuDateFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_ageIndividuDateFGConditionFaitGenerateur, newValue);
    } else {
      m_ageIndividuDateFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_motifFinPeriodeConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifFinPeriodeConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 22, m_motifFinPeriodeConditionFaitGenerateur, newValue);
    } else {
      m_motifFinPeriodeConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_dateFGConditionFaitGenerateur, newValue);
    } else {
      m_dateFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEngagementProcedureConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEngagementProcedureConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_dateEngagementProcedureConditionFaitGenerateur, newValue);
    } else {
      m_dateEngagementProcedureConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionChomageTotal(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionChomageTotal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 25, m_etatConditionChomageTotal, newValue);
    } else {
      m_etatConditionChomageTotal = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionChomageTotal(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionChomageTotal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 26, m_codeMotifEchecConditionChomageTotal, newValue);
    } else {
      m_codeMotifEchecConditionChomageTotal = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEffetPensionConditionAge(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEffetPensionConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_dateEffetPensionConditionAge, newValue);
    } else {
      m_dateEffetPensionConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_situationConditionAge(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_situationConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 28, m_situationConditionAge, newValue);
    } else {
      m_situationConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionAge(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 29, m_etatConditionAge, newValue);
    } else {
      m_etatConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionAge(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 30, m_codeMotifEchecConditionAge, newValue);
    } else {
      m_codeMotifEchecConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 31, m_etatConditionQuantiteAffiliation, newValue);
    } else {
      m_etatConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 32, m_codeMotifEchecConditionQuantiteAffiliation, newValue);
    } else {
      m_codeMotifEchecConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAppartenanceConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAppartenanceConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 33, m_quantiteAppartenanceConditionQuantiteAffiliation, newValue);
    } else {
      m_quantiteAppartenanceConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_situationConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_situationConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 34, m_situationConditionChomageInvolontaire, newValue);
    } else {
      m_situationConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 35, m_codeMotifEchecConditionChomageInvolontaire, newValue);
    } else {
      m_codeMotifEchecConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 36, m_etatConditionChomageInvolontaire, newValue);
    } else {
      m_etatConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_situationConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_situationConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 37, m_situationConditionActiviteConservee, newValue);
    } else {
      m_situationConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 38, m_codeMotifEchecConditionActiviteConservee, newValue);
    } else {
      m_codeMotifEchecConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 39, m_etatConditionActiviteConservee, newValue);
    } else {
      m_etatConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 40, m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee, newValue);
    } else {
      m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMensuelActiviteConserveeConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 41, m_montantMensuelActiviteConserveeConditionActiviteConservee, newValue);
    } else {
      m_montantMensuelActiviteConserveeConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_seuilMontantMensuelActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 42, m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee, newValue);
    } else {
      m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 43, m_etatConditionCumulPrestationFamiliale, newValue);
    } else {
      m_etatConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 44, m_codeMotifEchecConditionCumulPrestationFamiliale, newValue);
    } else {
      m_codeMotifEchecConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 45, m_etatConditionConditionMontantNonNul, newValue);
    } else {
      m_etatConditionConditionMontantNonNul = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 46, m_codeMotifEchecConditionMontantNonNul, newValue);
    } else {
      m_codeMotifEchecConditionMontantNonNul = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCSRDateAttribution(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCSRDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 47, m_codeMotifEchecConditionCSRDateAttribution, newValue);
    } else {
      m_codeMotifEchecConditionCSRDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCSRDateAttribution(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCSRDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 48, m_etatConditionCSRDateAttribution, newValue);
    } else {
      m_etatConditionCSRDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCSRAccordCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 49, m_codeMotifEchecConditionCSRAccordCP, newValue);
    } else {
      m_codeMotifEchecConditionCSRAccordCP = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCSRAccordCP(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCSRAccordCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 50, m_etatConditionCSRAccordCP, newValue);
    } else {
      m_etatConditionCSRAccordCP = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCSR28Jours(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCSR28Jours = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 51, m_codeMotifEchecConditionCSR28Jours, newValue);
    } else {
      m_codeMotifEchecConditionCSR28Jours = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCSR28Jours(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCSR28Jours = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 52, m_etatConditionCSR28Jours, newValue);
    } else {
      m_etatConditionCSR28Jours = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionAnciennete(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 53, m_codeMotifEchecConditionAnciennete, newValue);
    } else {
      m_codeMotifEchecConditionAnciennete = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionAnciennete(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 54, m_etatConditionAnciennete, newValue);
    } else {
      m_etatConditionAnciennete = newValue;
    }
  }
  
  protected static final void jdoSetm_estDeuxAnsAnciennete(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDeuxAnsAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 55, m_estDeuxAnsAnciennete, newValue);
    } else {
      m_estDeuxAnsAnciennete = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAppartenanceSecondaireConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 56, m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation, newValue);
    } else {
      m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionDureeNonNulle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 57, m_codeMotifEchecConditionDureeNonNulle, newValue);
    } else {
      m_codeMotifEchecConditionDureeNonNulle = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionDureeNonNulle(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionDureeNonNulle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 58, m_etatConditionDureeNonNulle, newValue);
    } else {
      m_etatConditionDureeNonNulle = newValue;
    }
  }
  
  protected static final void jdoSetm_seuilMensuelPansConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_seuilMensuelPansConditionActiviteConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 59, m_seuilMensuelPansConditionActiviteConservee, newValue);
    } else {
      m_seuilMensuelPansConditionActiviteConservee = newValue;
    }
  }
  
  protected static final void jdoSetm_codeBassinCtp(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeBassinCtp = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 60, m_codeBassinCtp, newValue);
    } else {
      m_codeBassinCtp = newValue;
    }
  }
  
  protected static final void jdoSetm_refusFneConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_refusFneConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 61, m_refusFneConditionFaitGenerateur, newValue);
    } else {
      m_refusFneConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreJourSuspensionMinimumCsr(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourSuspensionMinimumCsr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 62, m_nombreJourSuspensionMinimumCsr, newValue);
    } else {
      m_nombreJourSuspensionMinimumCsr = newValue;
    }
  }
  
  protected static final void jdoSetm_estSinistreOuCalamiteNaturelle(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSinistreOuCalamiteNaturelle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 63, m_estSinistreOuCalamiteNaturelle, newValue);
    } else {
      m_estSinistreOuCalamiteNaturelle = newValue;
    }
  }
  
  private static final void jdoSetm_etatConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 64, m_etatConditionValiditeReliquat, newValue);
    } else {
      m_etatConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_codeMotifEchecConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 65, m_codeMotifEchecConditionValiditeReliquat, newValue);
    } else {
      m_codeMotifEchecConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_dateDecheanceConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDecheanceConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 66, m_dateDecheanceConditionValiditeReliquat, newValue);
    } else {
      m_dateDecheanceConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_motifNonValiditeConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifNonValiditeConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 67, m_motifNonValiditeConditionValiditeReliquat, newValue);
    } else {
      m_motifNonValiditeConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_causeExtinctionConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_causeExtinctionConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 68, m_causeExtinctionConditionValiditeReliquat, newValue);
    } else {
      m_causeExtinctionConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_estSalarieHandicape(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSalarieHandicape = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 69, m_estSalarieHandicape, newValue);
    } else {
      m_estSalarieHandicape = newValue;
    }
  }
  
  private static final void jdoSetm_identifiantActivitePortantDVConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantActivitePortantDVConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 70, m_identifiantActivitePortantDVConditionChomageInvolontaire, newValue);
    } else {
      m_identifiantActivitePortantDVConditionChomageInvolontaire = newValue;
    }
  }
  
  private static final void jdoSetm_etatPndsPourCalculAffi(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatPndsPourCalculAffi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 71, m_etatPndsPourCalculAffi, newValue);
    } else {
      m_etatPndsPourCalculAffi = newValue;
    }
  }
  
  private static final void jdoSetm_dateDepartDelai121j(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDepartDelai121j = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 72, m_dateDepartDelai121j, newValue);
    } else {
      m_dateDepartDelai121j = newValue;
    }
  }
  
  private static final void jdoSetm_dureeAeDvConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAeDvConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 73, m_dureeAeDvConditionChomageInvolontaire, newValue);
    } else {
      m_dureeAeDvConditionChomageInvolontaire = newValue;
    }
  }
  
  private static final void jdoSetm_intensiteHoraireSalarieAeDvConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 74, m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire, newValue);
    } else {
      m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 75, m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire, newValue);
    } else {
      m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 76, m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire, newValue);
    } else {
      m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_listeSjrActiviteConserveeConditionActiviteConservee(ConditionsAttributionAdmissionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 77, m_listeSjrActiviteConserveeConditionActiviteConservee, newValue);
    } else {
      m_listeSjrActiviteConserveeConditionActiviteConservee = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionRechercheEmploi);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionFaitGenerateur);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionChomageTotal);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionAge);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionQuantiteAffiliation);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionChomageInvolontaire);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionActiviteConservee);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCumulPrestationFamiliale);
      break;
    case 8: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionMontantNonNul);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCSRDateAttributionPendantSuspension);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCSRAccordCP);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCSR28Jours);
      break;
    case 12: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionAnciennete);
      break;
    case 13: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionDureeNonNulle);
      break;
    case 14: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionValiditeReliquat);
      break;
    case 15: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionRechercheEmploi);
      break;
    case 16: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionRechercheEmploi);
      break;
    case 17: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur);
      break;
    case 18: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionFaitGenerateur);
      break;
    case 19: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionFaitGenerateur);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConditionFaitGenerateur);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_ageIndividuDateFGConditionFaitGenerateur);
      break;
    case 22: 
      jdoStateManager.providedStringField(this, fieldNumber, m_motifFinPeriodeConditionFaitGenerateur);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFGConditionFaitGenerateur);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEngagementProcedureConditionFaitGenerateur);
      break;
    case 25: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionChomageTotal);
      break;
    case 26: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionChomageTotal);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEffetPensionConditionAge);
      break;
    case 28: 
      jdoStateManager.providedIntField(this, fieldNumber, m_situationConditionAge);
      break;
    case 29: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionAge);
      break;
    case 30: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionAge);
      break;
    case 31: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionQuantiteAffiliation);
      break;
    case 32: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionQuantiteAffiliation);
      break;
    case 33: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAppartenanceConditionQuantiteAffiliation);
      break;
    case 34: 
      jdoStateManager.providedIntField(this, fieldNumber, m_situationConditionChomageInvolontaire);
      break;
    case 35: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionChomageInvolontaire);
      break;
    case 36: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionChomageInvolontaire);
      break;
    case 37: 
      jdoStateManager.providedIntField(this, fieldNumber, m_situationConditionActiviteConservee);
      break;
    case 38: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionActiviteConservee);
      break;
    case 39: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionActiviteConservee);
      break;
    case 40: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee);
      break;
    case 41: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMensuelActiviteConserveeConditionActiviteConservee);
      break;
    case 42: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee);
      break;
    case 43: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCumulPrestationFamiliale);
      break;
    case 44: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCumulPrestationFamiliale);
      break;
    case 45: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionConditionMontantNonNul);
      break;
    case 46: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionMontantNonNul);
      break;
    case 47: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCSRDateAttribution);
      break;
    case 48: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCSRDateAttribution);
      break;
    case 49: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCSRAccordCP);
      break;
    case 50: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCSRAccordCP);
      break;
    case 51: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCSR28Jours);
      break;
    case 52: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCSR28Jours);
      break;
    case 53: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionAnciennete);
      break;
    case 54: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionAnciennete);
      break;
    case 55: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDeuxAnsAnciennete);
      break;
    case 56: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation);
      break;
    case 57: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionDureeNonNulle);
      break;
    case 58: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionDureeNonNulle);
      break;
    case 59: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_seuilMensuelPansConditionActiviteConservee);
      break;
    case 60: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeBassinCtp);
      break;
    case 61: 
      jdoStateManager.providedStringField(this, fieldNumber, m_refusFneConditionFaitGenerateur);
      break;
    case 62: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nombreJourSuspensionMinimumCsr);
      break;
    case 63: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSinistreOuCalamiteNaturelle);
      break;
    case 64: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionValiditeReliquat);
      break;
    case 65: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionValiditeReliquat);
      break;
    case 66: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDecheanceConditionValiditeReliquat);
      break;
    case 67: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifNonValiditeConditionValiditeReliquat);
      break;
    case 68: 
      jdoStateManager.providedIntField(this, fieldNumber, m_causeExtinctionConditionValiditeReliquat);
      break;
    case 69: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSalarieHandicape);
      break;
    case 70: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantActivitePortantDVConditionChomageInvolontaire);
      break;
    case 71: 
      jdoStateManager.providedStringField(this, fieldNumber, m_etatPndsPourCalculAffi);
      break;
    case 72: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDepartDelai121j);
      break;
    case 73: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeAeDvConditionChomageInvolontaire);
      break;
    case 74: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire);
      break;
    case 75: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire);
      break;
    case 76: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire);
      break;
    case 77: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSjrActiviteConserveeConditionActiviteConservee);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConditionRechercheEmploi = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConditionFaitGenerateur = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConditionChomageTotal = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConditionAge = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConditionQuantiteAffiliation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConditionChomageInvolontaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConditionActiviteConservee = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_presenceDonneesConditionCumulPrestationFamiliale = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_presenceDonneesConditionMontantNonNul = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 9: 
      m_presenceDonneesConditionCSRDateAttributionPendantSuspension = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_presenceDonneesConditionCSRAccordCP = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_presenceDonneesConditionCSR28Jours = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_presenceDonneesConditionAnciennete = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 13: 
      m_presenceDonneesConditionDureeNonNulle = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 14: 
      m_presenceDonneesConditionValiditeReliquat = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 15: 
      m_etatConditionRechercheEmploi = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 16: 
      m_codeMotifEchecConditionRechercheEmploi = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 17: 
      m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 18: 
      m_etatConditionFaitGenerateur = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 19: 
      m_codeMotifEchecConditionFaitGenerateur = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 20: 
      m_dateEvenementConditionFaitGenerateur = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_ageIndividuDateFGConditionFaitGenerateur = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_motifFinPeriodeConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 23: 
      m_dateFGConditionFaitGenerateur = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_dateEngagementProcedureConditionFaitGenerateur = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_etatConditionChomageTotal = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 26: 
      m_codeMotifEchecConditionChomageTotal = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 27: 
      m_dateEffetPensionConditionAge = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_situationConditionAge = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 29: 
      m_etatConditionAge = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 30: 
      m_codeMotifEchecConditionAge = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 31: 
      m_etatConditionQuantiteAffiliation = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 32: 
      m_codeMotifEchecConditionQuantiteAffiliation = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 33: 
      m_quantiteAppartenanceConditionQuantiteAffiliation = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 34: 
      m_situationConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 35: 
      m_codeMotifEchecConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 36: 
      m_etatConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 37: 
      m_situationConditionActiviteConservee = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 38: 
      m_codeMotifEchecConditionActiviteConservee = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 39: 
      m_etatConditionActiviteConservee = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 40: 
      m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 41: 
      m_montantMensuelActiviteConserveeConditionActiviteConservee = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 42: 
      m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 43: 
      m_etatConditionCumulPrestationFamiliale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 44: 
      m_codeMotifEchecConditionCumulPrestationFamiliale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 45: 
      m_etatConditionConditionMontantNonNul = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 46: 
      m_codeMotifEchecConditionMontantNonNul = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 47: 
      m_codeMotifEchecConditionCSRDateAttribution = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 48: 
      m_etatConditionCSRDateAttribution = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 49: 
      m_codeMotifEchecConditionCSRAccordCP = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 50: 
      m_etatConditionCSRAccordCP = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 51: 
      m_codeMotifEchecConditionCSR28Jours = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 52: 
      m_etatConditionCSR28Jours = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 53: 
      m_codeMotifEchecConditionAnciennete = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 54: 
      m_etatConditionAnciennete = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 55: 
      m_estDeuxAnsAnciennete = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 56: 
      m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 57: 
      m_codeMotifEchecConditionDureeNonNulle = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 58: 
      m_etatConditionDureeNonNulle = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 59: 
      m_seuilMensuelPansConditionActiviteConservee = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 60: 
      m_codeBassinCtp = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 61: 
      m_refusFneConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 62: 
      m_nombreJourSuspensionMinimumCsr = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 63: 
      m_estSinistreOuCalamiteNaturelle = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 64: 
      m_etatConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 65: 
      m_codeMotifEchecConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 66: 
      m_dateDecheanceConditionValiditeReliquat = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 67: 
      m_motifNonValiditeConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 68: 
      m_causeExtinctionConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 69: 
      m_estSalarieHandicape = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 70: 
      m_identifiantActivitePortantDVConditionChomageInvolontaire = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 71: 
      m_etatPndsPourCalculAffi = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 72: 
      m_dateDepartDelai121j = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 73: 
      m_dureeAeDvConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 74: 
      m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 75: 
      m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 76: 
      m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 77: 
      m_listeSjrActiviteConserveeConditionActiviteConservee = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConditionsAttributionAdmissionPC pc = new ConditionsAttributionAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConditionsAttributionAdmissionPC pc = new ConditionsAttributionAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 78;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConditionsAttributionAdmissionPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConditionsAttributionAdmissionPC other = (ConditionsAttributionAdmissionPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConditionRechercheEmploi = m_presenceDonneesConditionRechercheEmploi;
        break;
      case 1: 
        m_presenceDonneesConditionFaitGenerateur = m_presenceDonneesConditionFaitGenerateur;
        break;
      case 2: 
        m_presenceDonneesConditionChomageTotal = m_presenceDonneesConditionChomageTotal;
        break;
      case 3: 
        m_presenceDonneesConditionAge = m_presenceDonneesConditionAge;
        break;
      case 4: 
        m_presenceDonneesConditionQuantiteAffiliation = m_presenceDonneesConditionQuantiteAffiliation;
        break;
      case 5: 
        m_presenceDonneesConditionChomageInvolontaire = m_presenceDonneesConditionChomageInvolontaire;
        break;
      case 6: 
        m_presenceDonneesConditionActiviteConservee = m_presenceDonneesConditionActiviteConservee;
        break;
      case 7: 
        m_presenceDonneesConditionCumulPrestationFamiliale = m_presenceDonneesConditionCumulPrestationFamiliale;
        break;
      case 8: 
        m_presenceDonneesConditionMontantNonNul = m_presenceDonneesConditionMontantNonNul;
        break;
      case 9: 
        m_presenceDonneesConditionCSRDateAttributionPendantSuspension = m_presenceDonneesConditionCSRDateAttributionPendantSuspension;
        break;
      case 10: 
        m_presenceDonneesConditionCSRAccordCP = m_presenceDonneesConditionCSRAccordCP;
        break;
      case 11: 
        m_presenceDonneesConditionCSR28Jours = m_presenceDonneesConditionCSR28Jours;
        break;
      case 12: 
        m_presenceDonneesConditionAnciennete = m_presenceDonneesConditionAnciennete;
        break;
      case 13: 
        m_presenceDonneesConditionDureeNonNulle = m_presenceDonneesConditionDureeNonNulle;
        break;
      case 14: 
        m_presenceDonneesConditionValiditeReliquat = m_presenceDonneesConditionValiditeReliquat;
        break;
      case 15: 
        m_etatConditionRechercheEmploi = m_etatConditionRechercheEmploi;
        break;
      case 16: 
        m_codeMotifEchecConditionRechercheEmploi = m_codeMotifEchecConditionRechercheEmploi;
        break;
      case 17: 
        m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur = m_identifiantPeriodeFaitGenerateurConditionFaitGenerateur;
        break;
      case 18: 
        m_etatConditionFaitGenerateur = m_etatConditionFaitGenerateur;
        break;
      case 19: 
        m_codeMotifEchecConditionFaitGenerateur = m_codeMotifEchecConditionFaitGenerateur;
        break;
      case 20: 
        m_dateEvenementConditionFaitGenerateur = m_dateEvenementConditionFaitGenerateur;
        break;
      case 21: 
        m_ageIndividuDateFGConditionFaitGenerateur = m_ageIndividuDateFGConditionFaitGenerateur;
        break;
      case 22: 
        m_motifFinPeriodeConditionFaitGenerateur = m_motifFinPeriodeConditionFaitGenerateur;
        break;
      case 23: 
        m_dateFGConditionFaitGenerateur = m_dateFGConditionFaitGenerateur;
        break;
      case 24: 
        m_dateEngagementProcedureConditionFaitGenerateur = m_dateEngagementProcedureConditionFaitGenerateur;
        break;
      case 25: 
        m_etatConditionChomageTotal = m_etatConditionChomageTotal;
        break;
      case 26: 
        m_codeMotifEchecConditionChomageTotal = m_codeMotifEchecConditionChomageTotal;
        break;
      case 27: 
        m_dateEffetPensionConditionAge = m_dateEffetPensionConditionAge;
        break;
      case 28: 
        m_situationConditionAge = m_situationConditionAge;
        break;
      case 29: 
        m_etatConditionAge = m_etatConditionAge;
        break;
      case 30: 
        m_codeMotifEchecConditionAge = m_codeMotifEchecConditionAge;
        break;
      case 31: 
        m_etatConditionQuantiteAffiliation = m_etatConditionQuantiteAffiliation;
        break;
      case 32: 
        m_codeMotifEchecConditionQuantiteAffiliation = m_codeMotifEchecConditionQuantiteAffiliation;
        break;
      case 33: 
        m_quantiteAppartenanceConditionQuantiteAffiliation = m_quantiteAppartenanceConditionQuantiteAffiliation;
        break;
      case 34: 
        m_situationConditionChomageInvolontaire = m_situationConditionChomageInvolontaire;
        break;
      case 35: 
        m_codeMotifEchecConditionChomageInvolontaire = m_codeMotifEchecConditionChomageInvolontaire;
        break;
      case 36: 
        m_etatConditionChomageInvolontaire = m_etatConditionChomageInvolontaire;
        break;
      case 37: 
        m_situationConditionActiviteConservee = m_situationConditionActiviteConservee;
        break;
      case 38: 
        m_codeMotifEchecConditionActiviteConservee = m_codeMotifEchecConditionActiviteConservee;
        break;
      case 39: 
        m_etatConditionActiviteConservee = m_etatConditionActiviteConservee;
        break;
      case 40: 
        m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee = m_nombreHeuresMensuelActiviteConserveeConditionActiviteConservee;
        break;
      case 41: 
        m_montantMensuelActiviteConserveeConditionActiviteConservee = m_montantMensuelActiviteConserveeConditionActiviteConservee;
        break;
      case 42: 
        m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee = m_seuilMontantMensuelActiviteConserveeConditionActiviteConservee;
        break;
      case 43: 
        m_etatConditionCumulPrestationFamiliale = m_etatConditionCumulPrestationFamiliale;
        break;
      case 44: 
        m_codeMotifEchecConditionCumulPrestationFamiliale = m_codeMotifEchecConditionCumulPrestationFamiliale;
        break;
      case 45: 
        m_etatConditionConditionMontantNonNul = m_etatConditionConditionMontantNonNul;
        break;
      case 46: 
        m_codeMotifEchecConditionMontantNonNul = m_codeMotifEchecConditionMontantNonNul;
        break;
      case 47: 
        m_codeMotifEchecConditionCSRDateAttribution = m_codeMotifEchecConditionCSRDateAttribution;
        break;
      case 48: 
        m_etatConditionCSRDateAttribution = m_etatConditionCSRDateAttribution;
        break;
      case 49: 
        m_codeMotifEchecConditionCSRAccordCP = m_codeMotifEchecConditionCSRAccordCP;
        break;
      case 50: 
        m_etatConditionCSRAccordCP = m_etatConditionCSRAccordCP;
        break;
      case 51: 
        m_codeMotifEchecConditionCSR28Jours = m_codeMotifEchecConditionCSR28Jours;
        break;
      case 52: 
        m_etatConditionCSR28Jours = m_etatConditionCSR28Jours;
        break;
      case 53: 
        m_codeMotifEchecConditionAnciennete = m_codeMotifEchecConditionAnciennete;
        break;
      case 54: 
        m_etatConditionAnciennete = m_etatConditionAnciennete;
        break;
      case 55: 
        m_estDeuxAnsAnciennete = m_estDeuxAnsAnciennete;
        break;
      case 56: 
        m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation = m_quantiteAppartenanceSecondaireConditionQuantiteAffiliation;
        break;
      case 57: 
        m_codeMotifEchecConditionDureeNonNulle = m_codeMotifEchecConditionDureeNonNulle;
        break;
      case 58: 
        m_etatConditionDureeNonNulle = m_etatConditionDureeNonNulle;
        break;
      case 59: 
        m_seuilMensuelPansConditionActiviteConservee = m_seuilMensuelPansConditionActiviteConservee;
        break;
      case 60: 
        m_codeBassinCtp = m_codeBassinCtp;
        break;
      case 61: 
        m_refusFneConditionFaitGenerateur = m_refusFneConditionFaitGenerateur;
        break;
      case 62: 
        m_nombreJourSuspensionMinimumCsr = m_nombreJourSuspensionMinimumCsr;
        break;
      case 63: 
        m_estSinistreOuCalamiteNaturelle = m_estSinistreOuCalamiteNaturelle;
        break;
      case 64: 
        m_etatConditionValiditeReliquat = m_etatConditionValiditeReliquat;
        break;
      case 65: 
        m_codeMotifEchecConditionValiditeReliquat = m_codeMotifEchecConditionValiditeReliquat;
        break;
      case 66: 
        m_dateDecheanceConditionValiditeReliquat = m_dateDecheanceConditionValiditeReliquat;
        break;
      case 67: 
        m_motifNonValiditeConditionValiditeReliquat = m_motifNonValiditeConditionValiditeReliquat;
        break;
      case 68: 
        m_causeExtinctionConditionValiditeReliquat = m_causeExtinctionConditionValiditeReliquat;
        break;
      case 69: 
        m_estSalarieHandicape = m_estSalarieHandicape;
        break;
      case 70: 
        m_identifiantActivitePortantDVConditionChomageInvolontaire = m_identifiantActivitePortantDVConditionChomageInvolontaire;
        break;
      case 71: 
        m_etatPndsPourCalculAffi = m_etatPndsPourCalculAffi;
        break;
      case 72: 
        m_dateDepartDelai121j = m_dateDepartDelai121j;
        break;
      case 73: 
        m_dureeAeDvConditionChomageInvolontaire = m_dureeAeDvConditionChomageInvolontaire;
        break;
      case 74: 
        m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire = m_intensiteHoraireSalarieAeDvConditionChomageInvolontaire;
        break;
      case 75: 
        m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire = m_quantiteAffiliationPrincipaleInopposabiliteConditionChomageInvolontaire;
        break;
      case 76: 
        m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire = m_quantiteAffiliationSecondaireInopposabiliteConditionChomageInvolontaire;
        break;
      case 77: 
        m_listeSjrActiviteConserveeConditionActiviteConservee = m_listeSjrActiviteConserveeConditionActiviteConservee;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */