package fr.unedic.cali.asu.produits.liquidation.dom.pc;

import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.temps.ObjetChronoPeriodePC;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public abstract class PrcPC
  extends ObjetChronoPeriodePC
  implements DomPCSpec, PersistenceCapable
{
  protected Integer m_dureePrc;
  protected BigDecimal m_nombreJourAbsence;
  protected BigDecimal m_diviseur;
  protected Periode m_prip;
  protected BigDecimal m_nombreHeuresTotal;
  protected BigDecimal m_srip;
  protected Integer m_nombreJourDeductible;
  protected Integer m_nombreJourInappartenance;
  protected BigDecimal m_nombreJourTravailEffectif;
  protected BigDecimal m_nombreHeuresA4ouA5;
  protected BigDecimal m_droitCongesA4ouA5;
  protected boolean m_topContratsDeTypeParticulier;
  protected boolean m_estSripReduit;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_periode", "m_dureePrc", "m_nombreJourAbsence", "m_diviseur", "m_prip", "m_nombreHeuresTotal", "m_srip", "m_nombreJourDeductible", "m_nombreJourInappartenance", "m_nombreJourTravailEffectif", "m_nombreHeuresA4ouA5", "m_droitCongesA4ouA5", "m_topContratsDeTypeParticulier", "m_estSripReduit" };
  private static Class[] jdoFieldTypes = { Periode.class, Integer.class, BigDecimal.class, BigDecimal.class, Periode.class, BigDecimal.class, BigDecimal.class, Integer.class, Integer.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, Boolean.TYPE, Boolean.TYPE };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  static final long serialVersionUID = 4370443269449740476L;
  
  public PrcPC()
  {
    jdoSetm_dureePrc(this, new Integer("0"));
    jdoSetm_nombreJourAbsence(this, new BigDecimal("0"));
    jdoSetm_diviseur(this, new BigDecimal("0"));
    jdoSetm_prip(this, null);
    jdoSetm_nombreHeuresTotal(this, new BigDecimal("0"));
    jdoSetm_srip(this, new BigDecimal("0"));
    jdoSetm_nombreJourDeductible(this, new Integer("0"));
    jdoSetm_nombreJourInappartenance(this, new Integer("0"));
    jdoSetm_nombreJourTravailEffectif(this, new BigDecimal("0"));
    jdoSetm_nombreHeuresA4ouA5(this, new BigDecimal("0"));
    jdoSetm_droitCongesA4ouA5(this, new BigDecimal("0"));
  }
  
  public abstract Object createOM();
  
  public Integer getDureePrc()
  {
    return jdoGetm_dureePrc(this);
  }
  
  public final void setDureePrc(Integer p_dureePrc)
  {
    jdoSetm_dureePrc(this, p_dureePrc);
  }
  
  public BigDecimal getNombreJourAbsence()
  {
    return jdoGetm_nombreJourAbsence(this);
  }
  
  public final void setNombreJourAbsence(BigDecimal p_nombreJourAbsence)
  {
    jdoSetm_nombreJourAbsence(this, p_nombreJourAbsence);
  }
  
  public BigDecimal getDiviseur()
  {
    return jdoGetm_diviseur(this);
  }
  
  public final void setDiviseur(BigDecimal p_diviseur)
  {
    jdoSetm_diviseur(this, p_diviseur);
  }
  
  public Periode getPrip()
  {
    return jdoGetm_prip(this);
  }
  
  public final void setPrip(Periode p_prip)
  {
    jdoSetm_prip(this, p_prip);
  }
  
  public BigDecimal getNombreHeuresTotal()
  {
    return jdoGetm_nombreHeuresTotal(this);
  }
  
  public final void setNombreHeuresTotal(BigDecimal p_nombreHeuresTotal)
  {
    jdoSetm_nombreHeuresTotal(this, p_nombreHeuresTotal);
  }
  
  public BigDecimal getSrip()
  {
    return jdoGetm_srip(this);
  }
  
  public final void setSrip(BigDecimal p_srip)
  {
    jdoSetm_srip(this, p_srip);
  }
  
  public Integer getNombreJourDeductible()
  {
    return jdoGetm_nombreJourDeductible(this);
  }
  
  public final void setNombreJourDeductible(Integer p_nombreJourDeductible)
  {
    jdoSetm_nombreJourDeductible(this, p_nombreJourDeductible);
  }
  
  public Integer getNombreJourInappartenance()
  {
    return jdoGetm_nombreJourInappartenance(this);
  }
  
  public final void setNombreJourInappartenance(Integer p_nombreJourInappartenance)
  {
    jdoSetm_nombreJourInappartenance(this, p_nombreJourInappartenance);
  }
  
  public BigDecimal getNombreJourTravailEffectif()
  {
    return jdoGetm_nombreJourTravailEffectif(this);
  }
  
  public final void setNombreJourTravailEffectif(BigDecimal p_nombreJourTravailEffectif)
  {
    jdoSetm_nombreJourTravailEffectif(this, p_nombreJourTravailEffectif);
  }
  
  public BigDecimal getNombreHeuresA4ouA5()
  {
    return jdoGetm_nombreHeuresA4ouA5(this);
  }
  
  public final void setNombreHeuresA4ouA5(BigDecimal p_nombreHeuresA4ouA5)
  {
    jdoSetm_nombreHeuresA4ouA5(this, p_nombreHeuresA4ouA5);
  }
  
  public BigDecimal getDroitCongesA4ouA5()
  {
    return jdoGetm_droitCongesA4ouA5(this);
  }
  
  public final void setDroitCongesA4ouA5(BigDecimal p_droitCongesA4ouA5)
  {
    jdoSetm_droitCongesA4ouA5(this, p_droitCongesA4ouA5);
  }
  
  public boolean isTopContratsDeTypeParticulier()
  {
    return jdoGetm_topContratsDeTypeParticulier(this);
  }
  
  public final void setTopContratsDeTypeParticulier(boolean p_topContratsDeTypeParticulier)
  {
    jdoSetm_topContratsDeTypeParticulier(this, p_topContratsDeTypeParticulier);
  }
  
  public boolean isEstSripReduit()
  {
    return jdoGetm_estSripReduit(this);
  }
  
  public final void setEstSripReduit(boolean p_estSripReduit)
  {
    jdoSetm_estSripReduit(this, p_estSripReduit);
  }
  
  static
  {
    JDOImplHelper.registerClass(PrcPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, null);
  }
  
  protected static final Periode jdoGetm_periode(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periode;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_periode;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_periode);
    }
    return m_periode;
  }
  
  protected static final Integer jdoGetm_dureePrc(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureePrc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_dureePrc;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_dureePrc);
    }
    return m_dureePrc;
  }
  
  protected static final BigDecimal jdoGetm_nombreJourAbsence(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourAbsence;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_nombreJourAbsence;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 2, m_nombreJourAbsence);
    }
    return m_nombreJourAbsence;
  }
  
  protected static final BigDecimal jdoGetm_diviseur(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_diviseur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_diviseur;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_diviseur);
    }
    return m_diviseur;
  }
  
  protected static final Periode jdoGetm_prip(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_prip;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_prip;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_prip);
    }
    return m_prip;
  }
  
  protected static final BigDecimal jdoGetm_nombreHeuresTotal(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreHeuresTotal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_nombreHeuresTotal;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_nombreHeuresTotal);
    }
    return m_nombreHeuresTotal;
  }
  
  protected static final BigDecimal jdoGetm_srip(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_srip;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_srip;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_srip);
    }
    return m_srip;
  }
  
  protected static final Integer jdoGetm_nombreJourDeductible(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourDeductible;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_nombreJourDeductible;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_nombreJourDeductible);
    }
    return m_nombreJourDeductible;
  }
  
  protected static final Integer jdoGetm_nombreJourInappartenance(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourInappartenance;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_nombreJourInappartenance;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_nombreJourInappartenance);
    }
    return m_nombreJourInappartenance;
  }
  
  protected static final BigDecimal jdoGetm_nombreJourTravailEffectif(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourTravailEffectif;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_nombreJourTravailEffectif;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 9, m_nombreJourTravailEffectif);
    }
    return m_nombreJourTravailEffectif;
  }
  
  protected static final BigDecimal jdoGetm_nombreHeuresA4ouA5(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreHeuresA4ouA5;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_nombreHeuresA4ouA5;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_nombreHeuresA4ouA5);
    }
    return m_nombreHeuresA4ouA5;
  }
  
  protected static final BigDecimal jdoGetm_droitCongesA4ouA5(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_droitCongesA4ouA5;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_droitCongesA4ouA5;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 11, m_droitCongesA4ouA5);
    }
    return m_droitCongesA4ouA5;
  }
  
  protected static final boolean jdoGetm_topContratsDeTypeParticulier(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_topContratsDeTypeParticulier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_topContratsDeTypeParticulier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 12, m_topContratsDeTypeParticulier);
    }
    return m_topContratsDeTypeParticulier;
  }
  
  protected static final boolean jdoGetm_estSripReduit(PrcPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSripReduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_estSripReduit;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 13, m_estSripReduit);
    }
    return m_estSripReduit;
  }
  
  protected static final void jdoSetm_periode(PrcPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periode = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_periode, newValue);
    } else {
      m_periode = newValue;
    }
  }
  
  protected static final void jdoSetm_dureePrc(PrcPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureePrc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_dureePrc, newValue);
    } else {
      m_dureePrc = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreJourAbsence(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourAbsence = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 2, m_nombreJourAbsence, newValue);
    } else {
      m_nombreJourAbsence = newValue;
    }
  }
  
  protected static final void jdoSetm_diviseur(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_diviseur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_diviseur, newValue);
    } else {
      m_diviseur = newValue;
    }
  }
  
  protected static final void jdoSetm_prip(PrcPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_prip = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_prip, newValue);
    } else {
      m_prip = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreHeuresTotal(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreHeuresTotal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_nombreHeuresTotal, newValue);
    } else {
      m_nombreHeuresTotal = newValue;
    }
  }
  
  protected static final void jdoSetm_srip(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_srip = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_srip, newValue);
    } else {
      m_srip = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreJourDeductible(PrcPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourDeductible = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_nombreJourDeductible, newValue);
    } else {
      m_nombreJourDeductible = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreJourInappartenance(PrcPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourInappartenance = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_nombreJourInappartenance, newValue);
    } else {
      m_nombreJourInappartenance = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreJourTravailEffectif(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourTravailEffectif = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 9, m_nombreJourTravailEffectif, newValue);
    } else {
      m_nombreJourTravailEffectif = newValue;
    }
  }
  
  protected static final void jdoSetm_nombreHeuresA4ouA5(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreHeuresA4ouA5 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_nombreHeuresA4ouA5, newValue);
    } else {
      m_nombreHeuresA4ouA5 = newValue;
    }
  }
  
  protected static final void jdoSetm_droitCongesA4ouA5(PrcPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_droitCongesA4ouA5 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 11, m_droitCongesA4ouA5, newValue);
    } else {
      m_droitCongesA4ouA5 = newValue;
    }
  }
  
  protected static final void jdoSetm_topContratsDeTypeParticulier(PrcPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_topContratsDeTypeParticulier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 12, m_topContratsDeTypeParticulier, newValue);
    } else {
      m_topContratsDeTypeParticulier = newValue;
    }
  }
  
  protected static final void jdoSetm_estSripReduit(PrcPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSripReduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 13, m_estSripReduit, newValue);
    } else {
      m_estSripReduit = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periode);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureePrc);
      break;
    case 2: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourAbsence);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_diviseur);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prip);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreHeuresTotal);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_srip);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourDeductible);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourInappartenance);
      break;
    case 9: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourTravailEffectif);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreHeuresA4ouA5);
      break;
    case 11: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_droitCongesA4ouA5);
      break;
    case 12: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_topContratsDeTypeParticulier);
      break;
    case 13: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSripReduit);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_periode = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_dureePrc = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_nombreJourAbsence = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 3: 
      m_diviseur = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_prip = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_nombreHeuresTotal = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_srip = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_nombreJourDeductible = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 8: 
      m_nombreJourInappartenance = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_nombreJourTravailEffectif = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 10: 
      m_nombreHeuresA4ouA5 = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_droitCongesA4ouA5 = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 12: 
      m_topContratsDeTypeParticulier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 13: 
      m_estSripReduit = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  /* Error */
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    // Byte code:
    //   0: new 123	javax/jdo/JDOFatalInternalException
    //   3: dup
    //   4: ldc_w 455
    //   7: invokespecial 367	javax/jdo/JDOFatalInternalException:<init>	(Ljava/lang/String;)V
    //   10: athrow
    //   11: areturn
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	12	0	this	PrcPC
    //   0	12	1	sm	StateManager
  }
  
  /* Error */
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    // Byte code:
    //   0: new 123	javax/jdo/JDOFatalInternalException
    //   3: dup
    //   4: ldc_w 455
    //   7: invokespecial 367	javax/jdo/JDOFatalInternalException:<init>	(Ljava/lang/String;)V
    //   10: athrow
    //   11: areturn
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	12	0	this	PrcPC
    //   0	12	1	sm	StateManager
    //   0	12	2	oid	Object
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 14;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof PrcPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    PrcPC other = (PrcPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_periode = m_periode;
        break;
      case 1: 
        m_dureePrc = m_dureePrc;
        break;
      case 2: 
        m_nombreJourAbsence = m_nombreJourAbsence;
        break;
      case 3: 
        m_diviseur = m_diviseur;
        break;
      case 4: 
        m_prip = m_prip;
        break;
      case 5: 
        m_nombreHeuresTotal = m_nombreHeuresTotal;
        break;
      case 6: 
        m_srip = m_srip;
        break;
      case 7: 
        m_nombreJourDeductible = m_nombreJourDeductible;
        break;
      case 8: 
        m_nombreJourInappartenance = m_nombreJourInappartenance;
        break;
      case 9: 
        m_nombreJourTravailEffectif = m_nombreJourTravailEffectif;
        break;
      case 10: 
        m_nombreHeuresA4ouA5 = m_nombreHeuresA4ouA5;
        break;
      case 11: 
        m_droitCongesA4ouA5 = m_droitCongesA4ouA5;
        break;
      case 12: 
        m_topContratsDeTypeParticulier = m_topContratsDeTypeParticulier;
        break;
      case 13: 
        m_estSripReduit = m_estSripReduit;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     PrcPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */