package fr.unedic.cali.asu.produits.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class TrancheExecutablePC
  implements DomPCSpec, PersistenceCapable
{
  private transient TrancheExecutable m_trancheExecutableOM;
  private Integer m_rang;
  private String m_reglementApplicable;
  private int m_codeProduitReglement;
  private String m_idFaitGenerateur;
  private Quantite m_montantSJC;
  private Damj m_dateSJC;
  private Quantite m_montantSJI;
  private Damj m_dateSJI;
  private BigDecimal m_coefficientSaisonnier;
  private int m_natureCoefficientSaisonnier;
  private BigDecimal m_coefficientTempsPartiel;
  private boolean m_estSjrBaseSmic;
  private int m_codeEmploiA2B;
  private Quantite m_montantPreavis;
  private int m_competenceFinanciere;
  private int m_precompterCRC;
  private String m_etablissementFinanceurCG;
  private String m_codeAffectationCG;
  private int m_codeProduit;
  private Damj m_dateDebutMaintientEuropeen;
  private Damj m_dateLimiteIndemnisation;
  private Integer m_dureeMaxIndemnisation;
  private int m_natureDecision;
  private int m_produitMontantRetenu;
  private Damj m_dateAttribution;
  private boolean m_a3ansActiviteEn5ans;
  private Quantite m_capitalAServir;
  private String m_contexteParticulierSJI;
  private String m_contexteParticulierSJC;
  private int m_competenceAdministrative;
  private Damj m_dateRepriseActivite;
  private int m_joursDureeMaintienEuropeen;
  private int m_moisDureeMaintienEuropeen;
  private int m_anneeDureeMaintienEuropeen;
  private Damj m_dateMaxIndemnisation;
  private Damj m_dateDebutPeriodeSuspension;
  private Damj m_dateFinPeriodeSuspension;
  private String m_typeCapitalRetenu;
  private String m_typeMontantRetenu;
  private BigDecimal m_seuilMensuelPansConservees;
  private boolean m_estAccordCp;
  private boolean m_estSinistreOuCalamite;
  private boolean m_estDecisionProlongation;
  private Periode m_prc;
  private Quantite m_affiliationRequisePourPRA;
  private int m_coefficientHoraireJour;
  private int m_nombreJoursEmploiDansPRC;
  private String m_reglementApplicableMontantRetenu;
  private BigDecimal m_nombreHeuresTravailleesEtendu;
  private BigDecimal m_nombreHeuresTravailleesPlafonne;
  private String m_contexteDateLimiteIndemnisation;
  protected int m_codeProduitExecutable;
  private boolean m_contextePAPPresent;
  protected boolean m_eligibleAllongementAREF;
  public Collection m_listePensionsInvalidites;
  public Collection m_listeDelaisReports;
  public Collection m_listeDurees;
  public Collection m_listeContextes;
  public Collection m_listeSousTrancheExecutable;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_rang", "m_reglementApplicable", "m_codeProduitReglement", "m_idFaitGenerateur", "m_montantSJC", "m_dateSJC", "m_montantSJI", "m_dateSJI", "m_coefficientSaisonnier", "m_natureCoefficientSaisonnier", "m_coefficientTempsPartiel", "m_estSjrBaseSmic", "m_codeEmploiA2B", "m_montantPreavis", "m_competenceFinanciere", "m_precompterCRC", "m_etablissementFinanceurCG", "m_codeAffectationCG", "m_codeProduit", "m_dateDebutMaintientEuropeen", "m_dateLimiteIndemnisation", "m_dureeMaxIndemnisation", "m_natureDecision", "m_produitMontantRetenu", "m_dateAttribution", "m_a3ansActiviteEn5ans", "m_capitalAServir", "m_contexteParticulierSJI", "m_contexteParticulierSJC", "m_competenceAdministrative", "m_dateRepriseActivite", "m_joursDureeMaintienEuropeen", "m_moisDureeMaintienEuropeen", "m_anneeDureeMaintienEuropeen", "m_dateMaxIndemnisation", "m_dateDebutPeriodeSuspension", "m_dateFinPeriodeSuspension", "m_typeCapitalRetenu", "m_typeMontantRetenu", "m_seuilMensuelPansConservees", "m_estAccordCp", "m_estSinistreOuCalamite", "m_estDecisionProlongation", "m_prc", "m_affiliationRequisePourPRA", "m_coefficientHoraireJour", "m_nombreJoursEmploiDansPRC", "m_reglementApplicableMontantRetenu", "m_nombreHeuresTravailleesEtendu", "m_nombreHeuresTravailleesPlafonne", "m_contexteDateLimiteIndemnisation", "m_codeProduitExecutable", "m_contextePAPPresent", "m_eligibleAllongementAREF", "m_listePensionsInvalidites", "m_listeDelaisReports", "m_listeDurees", "m_listeContextes", "m_listeSousTrancheExecutable" };
  private static Class[] jdoFieldTypes = { Integer.class, String.class, Integer.TYPE, String.class, Quantite.class, Damj.class, Quantite.class, Damj.class, BigDecimal.class, Integer.TYPE, BigDecimal.class, Boolean.TYPE, Integer.TYPE, Quantite.class, Integer.TYPE, Integer.TYPE, String.class, String.class, Integer.TYPE, Damj.class, Damj.class, Integer.class, Integer.TYPE, Integer.TYPE, Damj.class, Boolean.TYPE, Quantite.class, String.class, String.class, Integer.TYPE, Damj.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Damj.class, Damj.class, Damj.class, String.class, String.class, BigDecimal.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Periode.class, Quantite.class, Integer.TYPE, Integer.TYPE, String.class, BigDecimal.class, BigDecimal.class, String.class, Integer.TYPE, Boolean.TYPE, Boolean.TYPE, Collection.class, Collection.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public Object createOM()
  {
    if (m_trancheExecutableOM == null) {
      m_trancheExecutableOM = new TrancheExecutable(this);
    }
    return m_trancheExecutableOM;
  }
  
  public Integer getRang()
  {
    return jdoGetm_rang(this);
  }
  
  public final void setRang(Integer p_rang)
  {
    jdoSetm_rang(this, p_rang);
  }
  
  public String getReglementApplicable()
  {
    return jdoGetm_reglementApplicable(this);
  }
  
  public final void setReglementApplicable(String p_reglementApplicable)
  {
    jdoSetm_reglementApplicable(this, p_reglementApplicable);
  }
  
  public int getCodeProduitReglement()
  {
    return jdoGetm_codeProduitReglement(this);
  }
  
  public final void setCodeProduitReglement(int p_codeProduitReglement)
  {
    jdoSetm_codeProduitReglement(this, p_codeProduitReglement);
  }
  
  public String getIdFaitGenerateur()
  {
    return jdoGetm_idFaitGenerateur(this);
  }
  
  public final void setIdFaitGenerateur(String p_idFaitGenerateur)
  {
    jdoSetm_idFaitGenerateur(this, p_idFaitGenerateur);
  }
  
  public Quantite getMontantSJC()
  {
    return jdoGetm_montantSJC(this);
  }
  
  public final void setMontantSJC(Quantite p_montantSJC)
  {
    jdoSetm_montantSJC(this, p_montantSJC);
  }
  
  public Damj getDateSJC()
  {
    return jdoGetm_dateSJC(this);
  }
  
  public final void setDateSJC(Damj p_dateSJC)
  {
    jdoSetm_dateSJC(this, p_dateSJC);
  }
  
  public Quantite getMontantSJI()
  {
    return jdoGetm_montantSJI(this);
  }
  
  public final void setMontantSJI(Quantite p_montantSJI)
  {
    jdoSetm_montantSJI(this, p_montantSJI);
  }
  
  public Damj getDateSJI()
  {
    return jdoGetm_dateSJI(this);
  }
  
  public final void setDateSJI(Damj p_dateSJI)
  {
    jdoSetm_dateSJI(this, p_dateSJI);
  }
  
  public BigDecimal getCoefficientSaisonnier()
  {
    return jdoGetm_coefficientSaisonnier(this);
  }
  
  public final void setCoefficientSaisonnier(BigDecimal p_coefficientSaisonnier)
  {
    jdoSetm_coefficientSaisonnier(this, p_coefficientSaisonnier);
  }
  
  public int getNatureCoefficientSaisonnier()
  {
    return jdoGetm_natureCoefficientSaisonnier(this);
  }
  
  public final void setNatureCoefficientSaisonnier(int p_natureCoefficientSaisonnier)
  {
    jdoSetm_natureCoefficientSaisonnier(this, p_natureCoefficientSaisonnier);
  }
  
  public BigDecimal getCoefficientTempsPartiel()
  {
    return jdoGetm_coefficientTempsPartiel(this);
  }
  
  public final void setCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartiel)
  {
    jdoSetm_coefficientTempsPartiel(this, p_coefficientTempsPartiel);
  }
  
  public boolean isEstSjrBaseSmic()
  {
    return jdoGetm_estSjrBaseSmic(this);
  }
  
  public final void setEstSjrBaseSmic(boolean p_estSjrBaseSmic)
  {
    jdoSetm_estSjrBaseSmic(this, p_estSjrBaseSmic);
  }
  
  public int getCodeEmploiA2B()
  {
    return jdoGetm_codeEmploiA2B(this);
  }
  
  public final void setCodeEmploiA2B(int p_codeEmploiA2B)
  {
    jdoSetm_codeEmploiA2B(this, p_codeEmploiA2B);
  }
  
  public Quantite getMontantPreavis()
  {
    return jdoGetm_montantPreavis(this);
  }
  
  public final void setMontantPreavis(Quantite p_montantPreavis)
  {
    jdoSetm_montantPreavis(this, p_montantPreavis);
  }
  
  public int getCompetenceFinanciere()
  {
    return jdoGetm_competenceFinanciere(this);
  }
  
  public final void setCompetenceFinanciere(int p_competenceFinanciere)
  {
    jdoSetm_competenceFinanciere(this, p_competenceFinanciere);
  }
  
  public int getPrecompterCRC()
  {
    return jdoGetm_precompterCRC(this);
  }
  
  public final void setPrecompterCRC(int p_precompterCRC)
  {
    jdoSetm_precompterCRC(this, p_precompterCRC);
  }
  
  public String getEtablissementFinanceurCG()
  {
    return jdoGetm_etablissementFinanceurCG(this);
  }
  
  public final void setEtablissementFinanceurCG(String p_etablissementFinanceurCG)
  {
    jdoSetm_etablissementFinanceurCG(this, p_etablissementFinanceurCG);
  }
  
  public String getCodeAffectationCG()
  {
    return jdoGetm_codeAffectationCG(this);
  }
  
  public final void setCodeAffectationCG(String p_codeAffectationCG)
  {
    jdoSetm_codeAffectationCG(this, p_codeAffectationCG);
  }
  
  public int getCodeProduit()
  {
    return jdoGetm_codeProduit(this);
  }
  
  public final void setCodeProduit(int p_codeProduit)
  {
    jdoSetm_codeProduit(this, p_codeProduit);
  }
  
  public Damj getDateDebutMaintientEuropeen()
  {
    return jdoGetm_dateDebutMaintientEuropeen(this);
  }
  
  public final void setDateDebutMaintientEuropeen(Damj p_dateDebutMaintientEuropeen)
  {
    jdoSetm_dateDebutMaintientEuropeen(this, p_dateDebutMaintientEuropeen);
  }
  
  public Damj getDateLimiteIndemnisation()
  {
    return jdoGetm_dateLimiteIndemnisation(this);
  }
  
  public final void setDateLimiteIndemnisation(Damj p_dateLimiteIndemnisation)
  {
    jdoSetm_dateLimiteIndemnisation(this, p_dateLimiteIndemnisation);
  }
  
  public Integer getDureeMaxIndemnisation()
  {
    return jdoGetm_dureeMaxIndemnisation(this);
  }
  
  public final void setDureeMaxIndemnisation(Integer p_dureeMaxIndemnisation)
  {
    jdoSetm_dureeMaxIndemnisation(this, p_dureeMaxIndemnisation);
  }
  
  public int getNatureDecision()
  {
    return jdoGetm_natureDecision(this);
  }
  
  public final void setNatureDecision(int p_natureDecision)
  {
    jdoSetm_natureDecision(this, p_natureDecision);
  }
  
  public int getProduitMontantRetenu()
  {
    return jdoGetm_produitMontantRetenu(this);
  }
  
  public final void setProduitMontantRetenu(int p_produitMontantRetenu)
  {
    jdoSetm_produitMontantRetenu(this, p_produitMontantRetenu);
  }
  
  public Damj getDateAttribution()
  {
    return jdoGetm_dateAttribution(this);
  }
  
  public final void setDateAttribution(Damj p_dateAttribution)
  {
    jdoSetm_dateAttribution(this, p_dateAttribution);
  }
  
  public boolean isA3ansActiviteEn5ans()
  {
    return jdoGetm_a3ansActiviteEn5ans(this);
  }
  
  public final void setA3ansActiviteEn5ans(boolean p_a3ansActiviteEn5ans)
  {
    jdoSetm_a3ansActiviteEn5ans(this, p_a3ansActiviteEn5ans);
  }
  
  public Quantite getCapitalAServir()
  {
    return jdoGetm_capitalAServir(this);
  }
  
  public final void setCapitalAServir(Quantite p_capitalAServir)
  {
    jdoSetm_capitalAServir(this, p_capitalAServir);
  }
  
  public String getContexteParticulierSJI()
  {
    return jdoGetm_contexteParticulierSJI(this);
  }
  
  public final void setContexteParticulierSJI(String p_contexteParticulierSJI)
  {
    jdoSetm_contexteParticulierSJI(this, p_contexteParticulierSJI);
  }
  
  public String getContexteParticulierSJC()
  {
    return jdoGetm_contexteParticulierSJC(this);
  }
  
  public final void setContexteParticulierSJC(String p_contexteParticulierSJC)
  {
    jdoSetm_contexteParticulierSJC(this, p_contexteParticulierSJC);
  }
  
  public int getCompetenceAdministrative()
  {
    return jdoGetm_competenceAdministrative(this);
  }
  
  public final void setCompetenceAdministrative(int p_competenceAdministrative)
  {
    jdoSetm_competenceAdministrative(this, p_competenceAdministrative);
  }
  
  public Damj getDateRepriseActivite()
  {
    return jdoGetm_dateRepriseActivite(this);
  }
  
  public final void setDateRepriseActivite(Damj p_dateRepriseActivite)
  {
    jdoSetm_dateRepriseActivite(this, p_dateRepriseActivite);
  }
  
  public int getJoursDureeMaintienEuropeen()
  {
    return jdoGetm_joursDureeMaintienEuropeen(this);
  }
  
  public final void setJoursDureeMaintienEuropeen(int p_joursDureeMaintienEuropeen)
  {
    jdoSetm_joursDureeMaintienEuropeen(this, p_joursDureeMaintienEuropeen);
  }
  
  public int getMoisDureeMaintienEuropeen()
  {
    return jdoGetm_moisDureeMaintienEuropeen(this);
  }
  
  public final void setMoisDureeMaintienEuropeen(int p_moisDureeMaintienEuropeen)
  {
    jdoSetm_moisDureeMaintienEuropeen(this, p_moisDureeMaintienEuropeen);
  }
  
  public int getAnneeDureeMaintienEuropeen()
  {
    return jdoGetm_anneeDureeMaintienEuropeen(this);
  }
  
  public final void setAnneeDureeMaintienEuropeen(int p_anneeDureeMaintienEuropeen)
  {
    jdoSetm_anneeDureeMaintienEuropeen(this, p_anneeDureeMaintienEuropeen);
  }
  
  public Damj getDateMaxIndemnisation()
  {
    return jdoGetm_dateMaxIndemnisation(this);
  }
  
  public final void setDateMaxIndemnisation(Damj p_dateMaxIndemnisation)
  {
    jdoSetm_dateMaxIndemnisation(this, p_dateMaxIndemnisation);
  }
  
  public Damj getDateDebutPeriodeSuspension()
  {
    return jdoGetm_dateDebutPeriodeSuspension(this);
  }
  
  public final void setDateDebutPeriodeSuspension(Damj p_dateDebutPeriodeSuspension)
  {
    jdoSetm_dateDebutPeriodeSuspension(this, p_dateDebutPeriodeSuspension);
  }
  
  public Damj getDateFinPeriodeSuspension()
  {
    return jdoGetm_dateFinPeriodeSuspension(this);
  }
  
  public final void setDateFinPeriodeSuspension(Damj p_dateFinPeriodeSuspension)
  {
    jdoSetm_dateFinPeriodeSuspension(this, p_dateFinPeriodeSuspension);
  }
  
  public String getTypeCapitalRetenu()
  {
    return jdoGetm_typeCapitalRetenu(this);
  }
  
  public final void setTypeCapitalRetenu(String p_typeCapitalRetenu)
  {
    jdoSetm_typeCapitalRetenu(this, p_typeCapitalRetenu);
  }
  
  public String getTypeMontantRetenu()
  {
    return jdoGetm_typeMontantRetenu(this);
  }
  
  public final void setTypeMontantRetenu(String p_typeMontantRetenu)
  {
    jdoSetm_typeMontantRetenu(this, p_typeMontantRetenu);
  }
  
  public BigDecimal getSeuilMensuelPansConservees()
  {
    return jdoGetm_seuilMensuelPansConservees(this);
  }
  
  public final void setSeuilMensuelPansConservees(BigDecimal p_seuilMensuelPansConservees)
  {
    jdoSetm_seuilMensuelPansConservees(this, p_seuilMensuelPansConservees);
  }
  
  public boolean isEstAccordCp()
  {
    return jdoGetm_estAccordCp(this);
  }
  
  public final void setEstAccordCp(boolean p_estAccordCp)
  {
    jdoSetm_estAccordCp(this, p_estAccordCp);
  }
  
  public boolean isEstSinistreOuCalamite()
  {
    return jdoGetm_estSinistreOuCalamite(this);
  }
  
  public final void setEstSinistreOuCalamite(boolean p_estSinistreOuCalamite)
  {
    jdoSetm_estSinistreOuCalamite(this, p_estSinistreOuCalamite);
  }
  
  public boolean isEstDecisionProlongation()
  {
    return jdoGetm_estDecisionProlongation(this);
  }
  
  public final void setEstDecisionProlongation(boolean p_estDecisionProlongation)
  {
    jdoSetm_estDecisionProlongation(this, p_estDecisionProlongation);
  }
  
  public Periode getPrc()
  {
    return jdoGetm_prc(this);
  }
  
  public final void setPrc(Periode p_prc)
  {
    jdoSetm_prc(this, p_prc);
  }
  
  public Quantite getAffiliationRequisePourPRA()
  {
    return jdoGetm_affiliationRequisePourPRA(this);
  }
  
  public final void setAffiliationRequisePourPRA(Quantite p_affiliationRequisePourPRA)
  {
    jdoSetm_affiliationRequisePourPRA(this, p_affiliationRequisePourPRA);
  }
  
  public int getCoefficientHoraireJour()
  {
    return jdoGetm_coefficientHoraireJour(this);
  }
  
  public final void setCoefficientHoraireJour(int p_coefficientHoraireJour)
  {
    jdoSetm_coefficientHoraireJour(this, p_coefficientHoraireJour);
  }
  
  public int getNombreJoursEmploiDansPRC()
  {
    return jdoGetm_nombreJoursEmploiDansPRC(this);
  }
  
  public final void setNombreJoursEmploiDansPRC(int p_nombreJoursEmploiDansPRC)
  {
    jdoSetm_nombreJoursEmploiDansPRC(this, p_nombreJoursEmploiDansPRC);
  }
  
  public String getReglementApplicableMontantRetenu()
  {
    return jdoGetm_reglementApplicableMontantRetenu(this);
  }
  
  public final void setReglementApplicableMontantRetenu(String p_reglementApplicableMontantRetenu)
  {
    jdoSetm_reglementApplicableMontantRetenu(this, p_reglementApplicableMontantRetenu);
  }
  
  public BigDecimal getNombreHeuresTravailleesEtendu()
  {
    return jdoGetm_nombreHeuresTravailleesEtendu(this);
  }
  
  public final void setNombreHeuresTravailleesEtendu(BigDecimal p_nombreHeuresTravailleesEtendu)
  {
    jdoSetm_nombreHeuresTravailleesEtendu(this, p_nombreHeuresTravailleesEtendu);
  }
  
  public BigDecimal getNombreHeuresTravailleesPlafonne()
  {
    return jdoGetm_nombreHeuresTravailleesPlafonne(this);
  }
  
  public final void setNombreHeuresTravailleesPlafonne(BigDecimal p_nombreHeuresTravailleesPlafonne)
  {
    jdoSetm_nombreHeuresTravailleesPlafonne(this, p_nombreHeuresTravailleesPlafonne);
  }
  
  public String getContexteDateLimiteIndemnisation()
  {
    return jdoGetm_contexteDateLimiteIndemnisation(this);
  }
  
  public final void setContexteDateLimiteIndemnisation(String p_contexteDateLimiteIndemnisation)
  {
    jdoSetm_contexteDateLimiteIndemnisation(this, p_contexteDateLimiteIndemnisation);
  }
  
  public int getCodeProduitExecutable()
  {
    return jdoGetm_codeProduitExecutable(this);
  }
  
  public final void setCodeProduitExecutable(int p_codeProduitExecutable)
  {
    jdoSetm_codeProduitExecutable(this, p_codeProduitExecutable);
  }
  
  public boolean isContextePAPPresent()
  {
    return jdoGetm_contextePAPPresent(this);
  }
  
  public final void setContextePAPPresent(boolean p_contextePAPPresent)
  {
    jdoSetm_contextePAPPresent(this, p_contextePAPPresent);
  }
  
  public boolean isEligibleAllongementAREF()
  {
    return jdoGetm_eligibleAllongementAREF(this);
  }
  
  public final void setEligibleAllongementAREF(boolean p_eligibleAllongementAREF)
  {
    jdoSetm_eligibleAllongementAREF(this, p_eligibleAllongementAREF);
  }
  
  public final Collection getCollectionPensionsInvalidites()
  {
    if (jdoGetm_listePensionsInvalidites(this) == null) {
      jdoSetm_listePensionsInvalidites(this, new ArrayList());
    }
    return jdoGetm_listePensionsInvalidites(this);
  }
  
  public final void ajouterPensionsInvalidites(DomPCSpec p_pensionsInvalidites)
    throws NullPointerException
  {
    if (p_pensionsInvalidites == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionsInvalidites ne devrait pas être nul.", p_pensionsInvalidites);
    }
    getCollectionPensionsInvalidites().add(p_pensionsInvalidites);
  }
  
  public final void supprimerPensionsInvalidites(DomPCSpec p_pensionsInvalidites)
    throws NullPointerException
  {
    if (p_pensionsInvalidites == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionsInvalidites ne devrait pas être nul.", p_pensionsInvalidites);
    }
    getCollectionPensionsInvalidites().remove(p_pensionsInvalidites);
  }
  
  public final Collection getCollectionDelaisReports()
  {
    if (jdoGetm_listeDelaisReports(this) == null) {
      jdoSetm_listeDelaisReports(this, new ArrayList());
    }
    return jdoGetm_listeDelaisReports(this);
  }
  
  public final void ajouterDelaisReports(DomPCSpec p_delaisReports)
    throws NullPointerException
  {
    if (p_delaisReports == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReports ne devrait pas être nul.", p_delaisReports);
    }
    getCollectionDelaisReports().add(p_delaisReports);
  }
  
  public final void supprimerDelaisReports(DomPCSpec p_delaisReports)
    throws NullPointerException
  {
    if (p_delaisReports == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReports ne devrait pas être nul.", p_delaisReports);
    }
    getCollectionDelaisReports().remove(p_delaisReports);
  }
  
  public final Collection getCollectionDurees()
  {
    if (jdoGetm_listeDurees(this) == null) {
      jdoSetm_listeDurees(this, new ArrayList());
    }
    return jdoGetm_listeDurees(this);
  }
  
  public final void ajouterDurees(DomPCSpec p_durees)
    throws NullPointerException
  {
    if (p_durees == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_durees ne devrait pas être nul.", p_durees);
    }
    getCollectionDurees().add(p_durees);
  }
  
  public final void supprimerDurees(DomPCSpec p_durees)
    throws NullPointerException
  {
    if (p_durees == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_durees ne devrait pas être nul.", p_durees);
    }
    getCollectionDurees().remove(p_durees);
  }
  
  public final Collection getCollectionContextes()
  {
    if (jdoGetm_listeContextes(this) == null) {
      jdoSetm_listeContextes(this, new ArrayList());
    }
    return jdoGetm_listeContextes(this);
  }
  
  public final void ajouterContextes(DomPCSpec p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionContextes().add(p_contextes);
  }
  
  public final void supprimerContextes(DomPCSpec p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionContextes().remove(p_contextes);
  }
  
  public final Collection getCollectionListeSousTrancheExecutable()
  {
    if (jdoGetm_listeSousTrancheExecutable(this) == null) {
      jdoSetm_listeSousTrancheExecutable(this, new ArrayList());
    }
    return jdoGetm_listeSousTrancheExecutable(this);
  }
  
  public final void ajouterListeSousTrancheExecutable(DomPCSpec p_sousTrancheExecutable)
    throws NullPointerException
  {
    if (p_sousTrancheExecutable == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sousTrancheExecutable ne devrait pas être nul.", p_sousTrancheExecutable);
    }
    getCollectionListeSousTrancheExecutable().add(p_sousTrancheExecutable);
  }
  
  public final void supprimerListeSousTrancheExecutable(DomPCSpec p_sousTrancheExecutable)
    throws NullPointerException
  {
    if (p_sousTrancheExecutable == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sousTrancheExecutable ne devrait pas être nul.", p_sousTrancheExecutable);
    }
    getCollectionListeSousTrancheExecutable().remove(p_sousTrancheExecutable);
  }
  
  static
  {
    JDOImplHelper.registerClass(TrancheExecutablePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new TrancheExecutablePC());
  }
  
  private static final Integer jdoGetm_rang(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_rang;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_rang;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_rang);
    }
    return m_rang;
  }
  
  private static final String jdoGetm_reglementApplicable(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_reglementApplicable;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 1, m_reglementApplicable);
    }
    return m_reglementApplicable;
  }
  
  private static final int jdoGetm_codeProduitReglement(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduitReglement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_codeProduitReglement;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 2, m_codeProduitReglement);
    }
    return m_codeProduitReglement;
  }
  
  private static final String jdoGetm_idFaitGenerateur(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_idFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_idFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 3, m_idFaitGenerateur);
    }
    return m_idFaitGenerateur;
  }
  
  private static final Quantite jdoGetm_montantSJC(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_montantSJC;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_montantSJC);
    }
    return m_montantSJC;
  }
  
  private static final Damj jdoGetm_dateSJC(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateSJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_dateSJC;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_dateSJC);
    }
    return m_dateSJC;
  }
  
  private static final Quantite jdoGetm_montantSJI(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSJI;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_montantSJI;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_montantSJI);
    }
    return m_montantSJI;
  }
  
  private static final Damj jdoGetm_dateSJI(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateSJI;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_dateSJI;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_dateSJI);
    }
    return m_dateSJI;
  }
  
  private static final BigDecimal jdoGetm_coefficientSaisonnier(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_coefficientSaisonnier;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_coefficientSaisonnier);
    }
    return m_coefficientSaisonnier;
  }
  
  private static final int jdoGetm_natureCoefficientSaisonnier(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_natureCoefficientSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_natureCoefficientSaisonnier;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 9, m_natureCoefficientSaisonnier);
    }
    return m_natureCoefficientSaisonnier;
  }
  
  private static final BigDecimal jdoGetm_coefficientTempsPartiel(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_coefficientTempsPartiel;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_coefficientTempsPartiel);
    }
    return m_coefficientTempsPartiel;
  }
  
  private static final boolean jdoGetm_estSjrBaseSmic(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSjrBaseSmic;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_estSjrBaseSmic;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_estSjrBaseSmic);
    }
    return m_estSjrBaseSmic;
  }
  
  private static final int jdoGetm_codeEmploiA2B(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeEmploiA2B;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_codeEmploiA2B;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 12, m_codeEmploiA2B);
    }
    return m_codeEmploiA2B;
  }
  
  private static final Quantite jdoGetm_montantPreavis(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPreavis;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_montantPreavis;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_montantPreavis);
    }
    return m_montantPreavis;
  }
  
  private static final int jdoGetm_competenceFinanciere(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_competenceFinanciere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_competenceFinanciere;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 14, m_competenceFinanciere);
    }
    return m_competenceFinanciere;
  }
  
  private static final int jdoGetm_precompterCRC(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_precompterCRC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_precompterCRC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 15, m_precompterCRC);
    }
    return m_precompterCRC;
  }
  
  private static final String jdoGetm_etablissementFinanceurCG(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_etablissementFinanceurCG;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_etablissementFinanceurCG;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 16, m_etablissementFinanceurCG);
    }
    return m_etablissementFinanceurCG;
  }
  
  private static final String jdoGetm_codeAffectationCG(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeAffectationCG;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_codeAffectationCG;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 17, m_codeAffectationCG);
    }
    return m_codeAffectationCG;
  }
  
  private static final int jdoGetm_codeProduit(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_codeProduit;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 18, m_codeProduit);
    }
    return m_codeProduit;
  }
  
  private static final Damj jdoGetm_dateDebutMaintientEuropeen(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutMaintientEuropeen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_dateDebutMaintientEuropeen;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_dateDebutMaintientEuropeen);
    }
    return m_dateDebutMaintientEuropeen;
  }
  
  private static final Damj jdoGetm_dateLimiteIndemnisation(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_dateLimiteIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_dateLimiteIndemnisation);
    }
    return m_dateLimiteIndemnisation;
  }
  
  private static final Integer jdoGetm_dureeMaxIndemnisation(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeMaxIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_dureeMaxIndemnisation;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_dureeMaxIndemnisation);
    }
    return m_dureeMaxIndemnisation;
  }
  
  private static final int jdoGetm_natureDecision(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_natureDecision;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_natureDecision;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 22, m_natureDecision);
    }
    return m_natureDecision;
  }
  
  private static final int jdoGetm_produitMontantRetenu(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_produitMontantRetenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_produitMontantRetenu;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 23, m_produitMontantRetenu);
    }
    return m_produitMontantRetenu;
  }
  
  private static final Damj jdoGetm_dateAttribution(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_dateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_dateAttribution);
    }
    return m_dateAttribution;
  }
  
  private static final boolean jdoGetm_a3ansActiviteEn5ans(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_a3ansActiviteEn5ans;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_a3ansActiviteEn5ans;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 25, m_a3ansActiviteEn5ans);
    }
    return m_a3ansActiviteEn5ans;
  }
  
  private static final Quantite jdoGetm_capitalAServir(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalAServir;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_capitalAServir;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 26, m_capitalAServir);
    }
    return m_capitalAServir;
  }
  
  private static final String jdoGetm_contexteParticulierSJI(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteParticulierSJI;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_contexteParticulierSJI;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 27, m_contexteParticulierSJI);
    }
    return m_contexteParticulierSJI;
  }
  
  private static final String jdoGetm_contexteParticulierSJC(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteParticulierSJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_contexteParticulierSJC;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 28, m_contexteParticulierSJC);
    }
    return m_contexteParticulierSJC;
  }
  
  private static final int jdoGetm_competenceAdministrative(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_competenceAdministrative;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_competenceAdministrative;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 29, m_competenceAdministrative);
    }
    return m_competenceAdministrative;
  }
  
  private static final Damj jdoGetm_dateRepriseActivite(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateRepriseActivite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_dateRepriseActivite;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_dateRepriseActivite);
    }
    return m_dateRepriseActivite;
  }
  
  private static final int jdoGetm_joursDureeMaintienEuropeen(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_joursDureeMaintienEuropeen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_joursDureeMaintienEuropeen;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 31, m_joursDureeMaintienEuropeen);
    }
    return m_joursDureeMaintienEuropeen;
  }
  
  private static final int jdoGetm_moisDureeMaintienEuropeen(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_moisDureeMaintienEuropeen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_moisDureeMaintienEuropeen;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 32, m_moisDureeMaintienEuropeen);
    }
    return m_moisDureeMaintienEuropeen;
  }
  
  private static final int jdoGetm_anneeDureeMaintienEuropeen(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_anneeDureeMaintienEuropeen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_anneeDureeMaintienEuropeen;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 33, m_anneeDureeMaintienEuropeen);
    }
    return m_anneeDureeMaintienEuropeen;
  }
  
  private static final Damj jdoGetm_dateMaxIndemnisation(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateMaxIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_dateMaxIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_dateMaxIndemnisation);
    }
    return m_dateMaxIndemnisation;
  }
  
  private static final Damj jdoGetm_dateDebutPeriodeSuspension(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutPeriodeSuspension;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_dateDebutPeriodeSuspension;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 35, m_dateDebutPeriodeSuspension);
    }
    return m_dateDebutPeriodeSuspension;
  }
  
  private static final Damj jdoGetm_dateFinPeriodeSuspension(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPeriodeSuspension;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_dateFinPeriodeSuspension;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 36, m_dateFinPeriodeSuspension);
    }
    return m_dateFinPeriodeSuspension;
  }
  
  private static final String jdoGetm_typeCapitalRetenu(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCapitalRetenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_typeCapitalRetenu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 37, m_typeCapitalRetenu);
    }
    return m_typeCapitalRetenu;
  }
  
  private static final String jdoGetm_typeMontantRetenu(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeMontantRetenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_typeMontantRetenu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 38, m_typeMontantRetenu);
    }
    return m_typeMontantRetenu;
  }
  
  private static final BigDecimal jdoGetm_seuilMensuelPansConservees(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_seuilMensuelPansConservees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_seuilMensuelPansConservees;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_seuilMensuelPansConservees);
    }
    return m_seuilMensuelPansConservees;
  }
  
  private static final boolean jdoGetm_estAccordCp(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estAccordCp;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_estAccordCp;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 40, m_estAccordCp);
    }
    return m_estAccordCp;
  }
  
  private static final boolean jdoGetm_estSinistreOuCalamite(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSinistreOuCalamite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_estSinistreOuCalamite;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 41, m_estSinistreOuCalamite);
    }
    return m_estSinistreOuCalamite;
  }
  
  private static final boolean jdoGetm_estDecisionProlongation(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDecisionProlongation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_estDecisionProlongation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 42, m_estDecisionProlongation);
    }
    return m_estDecisionProlongation;
  }
  
  private static final Periode jdoGetm_prc(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_prc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_prc;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_prc);
    }
    return m_prc;
  }
  
  private static final Quantite jdoGetm_affiliationRequisePourPRA(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_affiliationRequisePourPRA;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_affiliationRequisePourPRA;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_affiliationRequisePourPRA);
    }
    return m_affiliationRequisePourPRA;
  }
  
  private static final int jdoGetm_coefficientHoraireJour(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientHoraireJour;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_coefficientHoraireJour;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 45, m_coefficientHoraireJour);
    }
    return m_coefficientHoraireJour;
  }
  
  private static final int jdoGetm_nombreJoursEmploiDansPRC(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJoursEmploiDansPRC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_nombreJoursEmploiDansPRC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 46, m_nombreJoursEmploiDansPRC);
    }
    return m_nombreJoursEmploiDansPRC;
  }
  
  private static final String jdoGetm_reglementApplicableMontantRetenu(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reglementApplicableMontantRetenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_reglementApplicableMontantRetenu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 47, m_reglementApplicableMontantRetenu);
    }
    return m_reglementApplicableMontantRetenu;
  }
  
  private static final BigDecimal jdoGetm_nombreHeuresTravailleesEtendu(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreHeuresTravailleesEtendu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_nombreHeuresTravailleesEtendu;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 48, m_nombreHeuresTravailleesEtendu);
    }
    return m_nombreHeuresTravailleesEtendu;
  }
  
  private static final BigDecimal jdoGetm_nombreHeuresTravailleesPlafonne(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreHeuresTravailleesPlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_nombreHeuresTravailleesPlafonne;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_nombreHeuresTravailleesPlafonne);
    }
    return m_nombreHeuresTravailleesPlafonne;
  }
  
  private static final String jdoGetm_contexteDateLimiteIndemnisation(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_contexteDateLimiteIndemnisation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 50, m_contexteDateLimiteIndemnisation);
    }
    return m_contexteDateLimiteIndemnisation;
  }
  
  protected static final int jdoGetm_codeProduitExecutable(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduitExecutable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_codeProduitExecutable;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 51, m_codeProduitExecutable);
    }
    return m_codeProduitExecutable;
  }
  
  private static final boolean jdoGetm_contextePAPPresent(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contextePAPPresent;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_contextePAPPresent;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 52, m_contextePAPPresent);
    }
    return m_contextePAPPresent;
  }
  
  protected static final boolean jdoGetm_eligibleAllongementAREF(TrancheExecutablePC pc)
  {
    if (jdoFlags <= 0) {
      return m_eligibleAllongementAREF;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_eligibleAllongementAREF;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 53, m_eligibleAllongementAREF);
    }
    return m_eligibleAllongementAREF;
  }
  
  public static final Collection jdoGetm_listePensionsInvalidites(TrancheExecutablePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_listePensionsInvalidites;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_listePensionsInvalidites);
    }
    return m_listePensionsInvalidites;
  }
  
  public static final Collection jdoGetm_listeDelaisReports(TrancheExecutablePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_listeDelaisReports;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 55, m_listeDelaisReports);
    }
    return m_listeDelaisReports;
  }
  
  public static final Collection jdoGetm_listeDurees(TrancheExecutablePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_listeDurees;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 56, m_listeDurees);
    }
    return m_listeDurees;
  }
  
  public static final Collection jdoGetm_listeContextes(TrancheExecutablePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_listeContextes;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 57, m_listeContextes);
    }
    return m_listeContextes;
  }
  
  public static final Collection jdoGetm_listeSousTrancheExecutable(TrancheExecutablePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_listeSousTrancheExecutable;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_listeSousTrancheExecutable);
    }
    return m_listeSousTrancheExecutable;
  }
  
  private static final void jdoSetm_rang(TrancheExecutablePC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_rang = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_rang, newValue);
    } else {
      m_rang = newValue;
    }
  }
  
  private static final void jdoSetm_reglementApplicable(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_reglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 1, m_reglementApplicable, newValue);
    } else {
      m_reglementApplicable = newValue;
    }
  }
  
  private static final void jdoSetm_codeProduitReglement(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduitReglement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 2, m_codeProduitReglement, newValue);
    } else {
      m_codeProduitReglement = newValue;
    }
  }
  
  private static final void jdoSetm_idFaitGenerateur(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_idFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 3, m_idFaitGenerateur, newValue);
    } else {
      m_idFaitGenerateur = newValue;
    }
  }
  
  private static final void jdoSetm_montantSJC(TrancheExecutablePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_montantSJC, newValue);
    } else {
      m_montantSJC = newValue;
    }
  }
  
  private static final void jdoSetm_dateSJC(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateSJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_dateSJC, newValue);
    } else {
      m_dateSJC = newValue;
    }
  }
  
  private static final void jdoSetm_montantSJI(TrancheExecutablePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSJI = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_montantSJI, newValue);
    } else {
      m_montantSJI = newValue;
    }
  }
  
  private static final void jdoSetm_dateSJI(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateSJI = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_dateSJI, newValue);
    } else {
      m_dateSJI = newValue;
    }
  }
  
  private static final void jdoSetm_coefficientSaisonnier(TrancheExecutablePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_coefficientSaisonnier, newValue);
    } else {
      m_coefficientSaisonnier = newValue;
    }
  }
  
  private static final void jdoSetm_natureCoefficientSaisonnier(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_natureCoefficientSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 9, m_natureCoefficientSaisonnier, newValue);
    } else {
      m_natureCoefficientSaisonnier = newValue;
    }
  }
  
  private static final void jdoSetm_coefficientTempsPartiel(TrancheExecutablePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_coefficientTempsPartiel, newValue);
    } else {
      m_coefficientTempsPartiel = newValue;
    }
  }
  
  private static final void jdoSetm_estSjrBaseSmic(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSjrBaseSmic = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_estSjrBaseSmic, newValue);
    } else {
      m_estSjrBaseSmic = newValue;
    }
  }
  
  private static final void jdoSetm_codeEmploiA2B(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeEmploiA2B = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 12, m_codeEmploiA2B, newValue);
    } else {
      m_codeEmploiA2B = newValue;
    }
  }
  
  private static final void jdoSetm_montantPreavis(TrancheExecutablePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPreavis = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_montantPreavis, newValue);
    } else {
      m_montantPreavis = newValue;
    }
  }
  
  private static final void jdoSetm_competenceFinanciere(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_competenceFinanciere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 14, m_competenceFinanciere, newValue);
    } else {
      m_competenceFinanciere = newValue;
    }
  }
  
  private static final void jdoSetm_precompterCRC(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_precompterCRC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 15, m_precompterCRC, newValue);
    } else {
      m_precompterCRC = newValue;
    }
  }
  
  private static final void jdoSetm_etablissementFinanceurCG(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_etablissementFinanceurCG = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 16, m_etablissementFinanceurCG, newValue);
    } else {
      m_etablissementFinanceurCG = newValue;
    }
  }
  
  private static final void jdoSetm_codeAffectationCG(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeAffectationCG = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 17, m_codeAffectationCG, newValue);
    } else {
      m_codeAffectationCG = newValue;
    }
  }
  
  private static final void jdoSetm_codeProduit(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 18, m_codeProduit, newValue);
    } else {
      m_codeProduit = newValue;
    }
  }
  
  private static final void jdoSetm_dateDebutMaintientEuropeen(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutMaintientEuropeen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_dateDebutMaintientEuropeen, newValue);
    } else {
      m_dateDebutMaintientEuropeen = newValue;
    }
  }
  
  private static final void jdoSetm_dateLimiteIndemnisation(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_dateLimiteIndemnisation, newValue);
    } else {
      m_dateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dureeMaxIndemnisation(TrancheExecutablePC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeMaxIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_dureeMaxIndemnisation, newValue);
    } else {
      m_dureeMaxIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_natureDecision(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_natureDecision = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 22, m_natureDecision, newValue);
    } else {
      m_natureDecision = newValue;
    }
  }
  
  private static final void jdoSetm_produitMontantRetenu(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_produitMontantRetenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 23, m_produitMontantRetenu, newValue);
    } else {
      m_produitMontantRetenu = newValue;
    }
  }
  
  private static final void jdoSetm_dateAttribution(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_dateAttribution, newValue);
    } else {
      m_dateAttribution = newValue;
    }
  }
  
  private static final void jdoSetm_a3ansActiviteEn5ans(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_a3ansActiviteEn5ans = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 25, m_a3ansActiviteEn5ans, newValue);
    } else {
      m_a3ansActiviteEn5ans = newValue;
    }
  }
  
  private static final void jdoSetm_capitalAServir(TrancheExecutablePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalAServir = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 26, m_capitalAServir, newValue);
    } else {
      m_capitalAServir = newValue;
    }
  }
  
  private static final void jdoSetm_contexteParticulierSJI(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteParticulierSJI = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 27, m_contexteParticulierSJI, newValue);
    } else {
      m_contexteParticulierSJI = newValue;
    }
  }
  
  private static final void jdoSetm_contexteParticulierSJC(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteParticulierSJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 28, m_contexteParticulierSJC, newValue);
    } else {
      m_contexteParticulierSJC = newValue;
    }
  }
  
  private static final void jdoSetm_competenceAdministrative(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_competenceAdministrative = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 29, m_competenceAdministrative, newValue);
    } else {
      m_competenceAdministrative = newValue;
    }
  }
  
  private static final void jdoSetm_dateRepriseActivite(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateRepriseActivite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_dateRepriseActivite, newValue);
    } else {
      m_dateRepriseActivite = newValue;
    }
  }
  
  private static final void jdoSetm_joursDureeMaintienEuropeen(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_joursDureeMaintienEuropeen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 31, m_joursDureeMaintienEuropeen, newValue);
    } else {
      m_joursDureeMaintienEuropeen = newValue;
    }
  }
  
  private static final void jdoSetm_moisDureeMaintienEuropeen(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_moisDureeMaintienEuropeen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 32, m_moisDureeMaintienEuropeen, newValue);
    } else {
      m_moisDureeMaintienEuropeen = newValue;
    }
  }
  
  private static final void jdoSetm_anneeDureeMaintienEuropeen(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_anneeDureeMaintienEuropeen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 33, m_anneeDureeMaintienEuropeen, newValue);
    } else {
      m_anneeDureeMaintienEuropeen = newValue;
    }
  }
  
  private static final void jdoSetm_dateMaxIndemnisation(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateMaxIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_dateMaxIndemnisation, newValue);
    } else {
      m_dateMaxIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dateDebutPeriodeSuspension(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutPeriodeSuspension = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 35, m_dateDebutPeriodeSuspension, newValue);
    } else {
      m_dateDebutPeriodeSuspension = newValue;
    }
  }
  
  private static final void jdoSetm_dateFinPeriodeSuspension(TrancheExecutablePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPeriodeSuspension = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 36, m_dateFinPeriodeSuspension, newValue);
    } else {
      m_dateFinPeriodeSuspension = newValue;
    }
  }
  
  private static final void jdoSetm_typeCapitalRetenu(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCapitalRetenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 37, m_typeCapitalRetenu, newValue);
    } else {
      m_typeCapitalRetenu = newValue;
    }
  }
  
  private static final void jdoSetm_typeMontantRetenu(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeMontantRetenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 38, m_typeMontantRetenu, newValue);
    } else {
      m_typeMontantRetenu = newValue;
    }
  }
  
  private static final void jdoSetm_seuilMensuelPansConservees(TrancheExecutablePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_seuilMensuelPansConservees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_seuilMensuelPansConservees, newValue);
    } else {
      m_seuilMensuelPansConservees = newValue;
    }
  }
  
  private static final void jdoSetm_estAccordCp(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estAccordCp = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 40, m_estAccordCp, newValue);
    } else {
      m_estAccordCp = newValue;
    }
  }
  
  private static final void jdoSetm_estSinistreOuCalamite(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSinistreOuCalamite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 41, m_estSinistreOuCalamite, newValue);
    } else {
      m_estSinistreOuCalamite = newValue;
    }
  }
  
  private static final void jdoSetm_estDecisionProlongation(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDecisionProlongation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 42, m_estDecisionProlongation, newValue);
    } else {
      m_estDecisionProlongation = newValue;
    }
  }
  
  private static final void jdoSetm_prc(TrancheExecutablePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_prc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_prc, newValue);
    } else {
      m_prc = newValue;
    }
  }
  
  private static final void jdoSetm_affiliationRequisePourPRA(TrancheExecutablePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_affiliationRequisePourPRA = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_affiliationRequisePourPRA, newValue);
    } else {
      m_affiliationRequisePourPRA = newValue;
    }
  }
  
  private static final void jdoSetm_coefficientHoraireJour(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientHoraireJour = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 45, m_coefficientHoraireJour, newValue);
    } else {
      m_coefficientHoraireJour = newValue;
    }
  }
  
  private static final void jdoSetm_nombreJoursEmploiDansPRC(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJoursEmploiDansPRC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 46, m_nombreJoursEmploiDansPRC, newValue);
    } else {
      m_nombreJoursEmploiDansPRC = newValue;
    }
  }
  
  private static final void jdoSetm_reglementApplicableMontantRetenu(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_reglementApplicableMontantRetenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 47, m_reglementApplicableMontantRetenu, newValue);
    } else {
      m_reglementApplicableMontantRetenu = newValue;
    }
  }
  
  private static final void jdoSetm_nombreHeuresTravailleesEtendu(TrancheExecutablePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreHeuresTravailleesEtendu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 48, m_nombreHeuresTravailleesEtendu, newValue);
    } else {
      m_nombreHeuresTravailleesEtendu = newValue;
    }
  }
  
  private static final void jdoSetm_nombreHeuresTravailleesPlafonne(TrancheExecutablePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreHeuresTravailleesPlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_nombreHeuresTravailleesPlafonne, newValue);
    } else {
      m_nombreHeuresTravailleesPlafonne = newValue;
    }
  }
  
  private static final void jdoSetm_contexteDateLimiteIndemnisation(TrancheExecutablePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 50, m_contexteDateLimiteIndemnisation, newValue);
    } else {
      m_contexteDateLimiteIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_codeProduitExecutable(TrancheExecutablePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduitExecutable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 51, m_codeProduitExecutable, newValue);
    } else {
      m_codeProduitExecutable = newValue;
    }
  }
  
  private static final void jdoSetm_contextePAPPresent(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_contextePAPPresent = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 52, m_contextePAPPresent, newValue);
    } else {
      m_contextePAPPresent = newValue;
    }
  }
  
  protected static final void jdoSetm_eligibleAllongementAREF(TrancheExecutablePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_eligibleAllongementAREF = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 53, m_eligibleAllongementAREF, newValue);
    } else {
      m_eligibleAllongementAREF = newValue;
    }
  }
  
  public static final void jdoSetm_listePensionsInvalidites(TrancheExecutablePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_listePensionsInvalidites, newValue);
    } else {
      m_listePensionsInvalidites = newValue;
    }
  }
  
  public static final void jdoSetm_listeDelaisReports(TrancheExecutablePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 55, m_listeDelaisReports, newValue);
    } else {
      m_listeDelaisReports = newValue;
    }
  }
  
  public static final void jdoSetm_listeDurees(TrancheExecutablePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 56, m_listeDurees, newValue);
    } else {
      m_listeDurees = newValue;
    }
  }
  
  public static final void jdoSetm_listeContextes(TrancheExecutablePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 57, m_listeContextes, newValue);
    } else {
      m_listeContextes = newValue;
    }
  }
  
  public static final void jdoSetm_listeSousTrancheExecutable(TrancheExecutablePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_listeSousTrancheExecutable, newValue);
    } else {
      m_listeSousTrancheExecutable = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_rang);
      break;
    case 1: 
      jdoStateManager.providedStringField(this, fieldNumber, m_reglementApplicable);
      break;
    case 2: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduitReglement);
      break;
    case 3: 
      jdoStateManager.providedStringField(this, fieldNumber, m_idFaitGenerateur);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSJC);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateSJC);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSJI);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateSJI);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnier);
      break;
    case 9: 
      jdoStateManager.providedIntField(this, fieldNumber, m_natureCoefficientSaisonnier);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartiel);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSjrBaseSmic);
      break;
    case 12: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeEmploiA2B);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPreavis);
      break;
    case 14: 
      jdoStateManager.providedIntField(this, fieldNumber, m_competenceFinanciere);
      break;
    case 15: 
      jdoStateManager.providedIntField(this, fieldNumber, m_precompterCRC);
      break;
    case 16: 
      jdoStateManager.providedStringField(this, fieldNumber, m_etablissementFinanceurCG);
      break;
    case 17: 
      jdoStateManager.providedStringField(this, fieldNumber, m_codeAffectationCG);
      break;
    case 18: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduit);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutMaintientEuropeen);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateLimiteIndemnisation);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeMaxIndemnisation);
      break;
    case 22: 
      jdoStateManager.providedIntField(this, fieldNumber, m_natureDecision);
      break;
    case 23: 
      jdoStateManager.providedIntField(this, fieldNumber, m_produitMontantRetenu);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttribution);
      break;
    case 25: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_a3ansActiviteEn5ans);
      break;
    case 26: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalAServir);
      break;
    case 27: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteParticulierSJI);
      break;
    case 28: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteParticulierSJC);
      break;
    case 29: 
      jdoStateManager.providedIntField(this, fieldNumber, m_competenceAdministrative);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateRepriseActivite);
      break;
    case 31: 
      jdoStateManager.providedIntField(this, fieldNumber, m_joursDureeMaintienEuropeen);
      break;
    case 32: 
      jdoStateManager.providedIntField(this, fieldNumber, m_moisDureeMaintienEuropeen);
      break;
    case 33: 
      jdoStateManager.providedIntField(this, fieldNumber, m_anneeDureeMaintienEuropeen);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateMaxIndemnisation);
      break;
    case 35: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutPeriodeSuspension);
      break;
    case 36: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPeriodeSuspension);
      break;
    case 37: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeCapitalRetenu);
      break;
    case 38: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeMontantRetenu);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_seuilMensuelPansConservees);
      break;
    case 40: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estAccordCp);
      break;
    case 41: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSinistreOuCalamite);
      break;
    case 42: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDecisionProlongation);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prc);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_affiliationRequisePourPRA);
      break;
    case 45: 
      jdoStateManager.providedIntField(this, fieldNumber, m_coefficientHoraireJour);
      break;
    case 46: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nombreJoursEmploiDansPRC);
      break;
    case 47: 
      jdoStateManager.providedStringField(this, fieldNumber, m_reglementApplicableMontantRetenu);
      break;
    case 48: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreHeuresTravailleesEtendu);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreHeuresTravailleesPlafonne);
      break;
    case 50: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteDateLimiteIndemnisation);
      break;
    case 51: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduitExecutable);
      break;
    case 52: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_contextePAPPresent);
      break;
    case 53: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_eligibleAllongementAREF);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePensionsInvalidites);
      break;
    case 55: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeDelaisReports);
      break;
    case 56: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeDurees);
      break;
    case 57: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeContextes);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSousTrancheExecutable);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_rang = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_reglementApplicable = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 2: 
      m_codeProduitReglement = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 3: 
      m_idFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 4: 
      m_montantSJC = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_dateSJC = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_montantSJI = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_dateSJI = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 8: 
      m_coefficientSaisonnier = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_natureCoefficientSaisonnier = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 10: 
      m_coefficientTempsPartiel = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_estSjrBaseSmic = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_codeEmploiA2B = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 13: 
      m_montantPreavis = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_competenceFinanciere = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 15: 
      m_precompterCRC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 16: 
      m_etablissementFinanceurCG = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 17: 
      m_codeAffectationCG = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 18: 
      m_codeProduit = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 19: 
      m_dateDebutMaintientEuropeen = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_dateLimiteIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_dureeMaxIndemnisation = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_natureDecision = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 23: 
      m_produitMontantRetenu = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 24: 
      m_dateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_a3ansActiviteEn5ans = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 26: 
      m_capitalAServir = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 27: 
      m_contexteParticulierSJI = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 28: 
      m_contexteParticulierSJC = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 29: 
      m_competenceAdministrative = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 30: 
      m_dateRepriseActivite = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_joursDureeMaintienEuropeen = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 32: 
      m_moisDureeMaintienEuropeen = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 33: 
      m_anneeDureeMaintienEuropeen = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 34: 
      m_dateMaxIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_dateDebutPeriodeSuspension = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 36: 
      m_dateFinPeriodeSuspension = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 37: 
      m_typeCapitalRetenu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 38: 
      m_typeMontantRetenu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 39: 
      m_seuilMensuelPansConservees = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_estAccordCp = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 41: 
      m_estSinistreOuCalamite = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 42: 
      m_estDecisionProlongation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 43: 
      m_prc = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_affiliationRequisePourPRA = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_coefficientHoraireJour = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 46: 
      m_nombreJoursEmploiDansPRC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 47: 
      m_reglementApplicableMontantRetenu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 48: 
      m_nombreHeuresTravailleesEtendu = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 49: 
      m_nombreHeuresTravailleesPlafonne = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_contexteDateLimiteIndemnisation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 51: 
      m_codeProduitExecutable = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 52: 
      m_contextePAPPresent = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 53: 
      m_eligibleAllongementAREF = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 54: 
      m_listePensionsInvalidites = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_listeDelaisReports = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 56: 
      m_listeDurees = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 57: 
      m_listeContextes = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 58: 
      m_listeSousTrancheExecutable = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    TrancheExecutablePC pc = new TrancheExecutablePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    TrancheExecutablePC pc = new TrancheExecutablePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 59;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof TrancheExecutablePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    TrancheExecutablePC other = (TrancheExecutablePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_rang = m_rang;
        break;
      case 1: 
        m_reglementApplicable = m_reglementApplicable;
        break;
      case 2: 
        m_codeProduitReglement = m_codeProduitReglement;
        break;
      case 3: 
        m_idFaitGenerateur = m_idFaitGenerateur;
        break;
      case 4: 
        m_montantSJC = m_montantSJC;
        break;
      case 5: 
        m_dateSJC = m_dateSJC;
        break;
      case 6: 
        m_montantSJI = m_montantSJI;
        break;
      case 7: 
        m_dateSJI = m_dateSJI;
        break;
      case 8: 
        m_coefficientSaisonnier = m_coefficientSaisonnier;
        break;
      case 9: 
        m_natureCoefficientSaisonnier = m_natureCoefficientSaisonnier;
        break;
      case 10: 
        m_coefficientTempsPartiel = m_coefficientTempsPartiel;
        break;
      case 11: 
        m_estSjrBaseSmic = m_estSjrBaseSmic;
        break;
      case 12: 
        m_codeEmploiA2B = m_codeEmploiA2B;
        break;
      case 13: 
        m_montantPreavis = m_montantPreavis;
        break;
      case 14: 
        m_competenceFinanciere = m_competenceFinanciere;
        break;
      case 15: 
        m_precompterCRC = m_precompterCRC;
        break;
      case 16: 
        m_etablissementFinanceurCG = m_etablissementFinanceurCG;
        break;
      case 17: 
        m_codeAffectationCG = m_codeAffectationCG;
        break;
      case 18: 
        m_codeProduit = m_codeProduit;
        break;
      case 19: 
        m_dateDebutMaintientEuropeen = m_dateDebutMaintientEuropeen;
        break;
      case 20: 
        m_dateLimiteIndemnisation = m_dateLimiteIndemnisation;
        break;
      case 21: 
        m_dureeMaxIndemnisation = m_dureeMaxIndemnisation;
        break;
      case 22: 
        m_natureDecision = m_natureDecision;
        break;
      case 23: 
        m_produitMontantRetenu = m_produitMontantRetenu;
        break;
      case 24: 
        m_dateAttribution = m_dateAttribution;
        break;
      case 25: 
        m_a3ansActiviteEn5ans = m_a3ansActiviteEn5ans;
        break;
      case 26: 
        m_capitalAServir = m_capitalAServir;
        break;
      case 27: 
        m_contexteParticulierSJI = m_contexteParticulierSJI;
        break;
      case 28: 
        m_contexteParticulierSJC = m_contexteParticulierSJC;
        break;
      case 29: 
        m_competenceAdministrative = m_competenceAdministrative;
        break;
      case 30: 
        m_dateRepriseActivite = m_dateRepriseActivite;
        break;
      case 31: 
        m_joursDureeMaintienEuropeen = m_joursDureeMaintienEuropeen;
        break;
      case 32: 
        m_moisDureeMaintienEuropeen = m_moisDureeMaintienEuropeen;
        break;
      case 33: 
        m_anneeDureeMaintienEuropeen = m_anneeDureeMaintienEuropeen;
        break;
      case 34: 
        m_dateMaxIndemnisation = m_dateMaxIndemnisation;
        break;
      case 35: 
        m_dateDebutPeriodeSuspension = m_dateDebutPeriodeSuspension;
        break;
      case 36: 
        m_dateFinPeriodeSuspension = m_dateFinPeriodeSuspension;
        break;
      case 37: 
        m_typeCapitalRetenu = m_typeCapitalRetenu;
        break;
      case 38: 
        m_typeMontantRetenu = m_typeMontantRetenu;
        break;
      case 39: 
        m_seuilMensuelPansConservees = m_seuilMensuelPansConservees;
        break;
      case 40: 
        m_estAccordCp = m_estAccordCp;
        break;
      case 41: 
        m_estSinistreOuCalamite = m_estSinistreOuCalamite;
        break;
      case 42: 
        m_estDecisionProlongation = m_estDecisionProlongation;
        break;
      case 43: 
        m_prc = m_prc;
        break;
      case 44: 
        m_affiliationRequisePourPRA = m_affiliationRequisePourPRA;
        break;
      case 45: 
        m_coefficientHoraireJour = m_coefficientHoraireJour;
        break;
      case 46: 
        m_nombreJoursEmploiDansPRC = m_nombreJoursEmploiDansPRC;
        break;
      case 47: 
        m_reglementApplicableMontantRetenu = m_reglementApplicableMontantRetenu;
        break;
      case 48: 
        m_nombreHeuresTravailleesEtendu = m_nombreHeuresTravailleesEtendu;
        break;
      case 49: 
        m_nombreHeuresTravailleesPlafonne = m_nombreHeuresTravailleesPlafonne;
        break;
      case 50: 
        m_contexteDateLimiteIndemnisation = m_contexteDateLimiteIndemnisation;
        break;
      case 51: 
        m_codeProduitExecutable = m_codeProduitExecutable;
        break;
      case 52: 
        m_contextePAPPresent = m_contextePAPPresent;
        break;
      case 53: 
        m_eligibleAllongementAREF = m_eligibleAllongementAREF;
        break;
      case 54: 
        m_listePensionsInvalidites = m_listePensionsInvalidites;
        break;
      case 55: 
        m_listeDelaisReports = m_listeDelaisReports;
        break;
      case 56: 
        m_listeDurees = m_listeDurees;
        break;
      case 57: 
        m_listeContextes = m_listeContextes;
        break;
      case 58: 
        m_listeSousTrancheExecutable = m_listeSousTrancheExecutable;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     TrancheExecutablePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */