package fr.unedic.cali.asu.spe02.p03.avant.outilsfonctionnels;

import fr.unedic.cali.asu.spe02.p03.avant.FacadeAvantProduitImpl;
import fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.CarenceIslr;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.CarenceStandard;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Differe;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.PreavisMesureConservatoireNonIndemnisable;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.ConsommationPeriodes;
import fr.unedic.cali.calcul.dom.DureeConsommableAvant;
import fr.unedic.cali.calcul.dom.EtatAuDernierJourAvant;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.calcul.dom.periode.PeriodeActiviteEmploiCalcul;
import fr.unedic.cali.calcul.dom.periode.PeriodeConflitGAEC;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.calcul.outilsfonctionnels.filtres.FiltrePeriodeTravailCalculPAEC;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieQuantiteAffiliationHeureAvecCachet;
import fr.unedic.cali.outilsfonctionnels.Anomalie;
import fr.unedic.cali.outilsfonctionnels.GestionAnomalies;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieQuantiteAffiliationHeureAvecCachetSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltreDebutDansBornes;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.util.Iterator;
import java.util.ListIterator;

public class TraitementUtAvant
{
  public static int executerUtAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    convertionCachets(chronologiePeriodes);
    
    UniteTraitementAvant utAvant = executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, chronologiePeriodes);
    return executerUtAvant(calendrierAvant, utAvant, attribution.getDemandeur());
  }
  
  public static void convertionCachets(ChronologiePeriodes periodes)
  {
    if ((periodes != null) && (!periodes.estVide()))
    {
      PeriodeActiviteEmploiCalcul periodeActivite = null;
      Chronologie chronoPeriodesPAEC = periodes.copier(new FiltrePeriodeTravailCalculPAEC());
      if ((chronoPeriodesPAEC != null) && (!chronoPeriodesPAEC.estVide()))
      {
        chronoPeriodesPAEC.iterer();
        while (chronoPeriodesPAEC.encoreSuivant())
        {
          periodeActivite = (PeriodeActiviteEmploiCalcul)chronoPeriodesPAEC.elementSuivant();
          if ((periodeActivite.getQuantiteAffiliationCachets() != null) && (periodeActivite.getCachets() != null))
          {
            periodeActivite.setNombreHeures(periodeActivite.getNombreHeuresDeCompletude());
            
            CritereStrategie strategieHeureCachets = new CritereStrategie();
            strategieHeureCachets.setDatePivot(periodeActivite.getDateDebut());
            StrategieQuantiteAffiliationHeureAvecCachetSpec strategieHeureAvecCachet = (StrategieQuantiteAffiliationHeureAvecCachetSpec)FabriqueStrategieQuantiteAffiliationHeureAvecCachet.getInstance().getStrategie(strategieHeureCachets);
            
            strategieHeureAvecCachet.determinerQuantiteAffiliationHeureAvecCachet(periodeActivite, periodeActivite.getQuantiteAffiliationCachets());
          }
        }
      }
    }
  }
  
  public static int executerUtAvant(CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant utAvant, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    int etat = 0;
    
    DureeConsommableAvant dureeActive = utAvant.getDureeConsommableAvantActiveEnFinUt();
    if (dureeActive != null)
    {
      Periode p = utAvant.getConsommationPeriodes().getPeriodesParTypologie(dureeActive.getTypeDureeConsommable());
      if (p != null) {
        if (utAvant.isProduitATerminerApresUT()) {
          p.setFin(utAvant.getArretProduitAvecRaison().recupereLendemainDateArret().veille());
        } else {
          p.setFin(utAvant.getDateFin());
        }
      }
    }
    calendrierAvant.ajouterUniteTraitementAvant(utAvant);
    if (utAvant.isProduitATerminerApresUT())
    {
      calendrierAvant.setDernierJourAvant(utAvant.getArretProduitAvecRaison().recupereLendemainDateArret().veille());
      if ((etat == 0) && (utAvant.getArretProduitAvecRaison().isRaisonsContientRaison(4))) {
        etat = 1;
      }
      ChronologiePeriodes periodesInterruptivesDefinitives = new ChronologiePeriodes();
      periodesInterruptivesDefinitives.ajouter(utAvant.getArretProduitAvecRaison().getPeriodesInterruptivesDefinitives());
      if (!periodesInterruptivesDefinitives.estVide())
      {
        Damj datePeriodeInterruptives = null;
        
        ObjetChronoPeriode premiereChronoPeriode = null;
        
        periodesInterruptivesDefinitives.iterer();
        while (periodesInterruptivesDefinitives.encoreSuivant())
        {
          ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)periodesInterruptivesDefinitives.elementSuivant();
          datePeriodeInterruptives = objetChronoPeriode.getDateDebut();
          if ((datePeriodeInterruptives.estContenueDans(new Periode(calendrierAvant.getDateDebut(), calendrierAvant.getDateFin().lendemain()))) && ((premiereChronoPeriode == null) || (objetChronoPeriode.getDateDebut().estAvant(premiereChronoPeriode.getDateDebut())))) {
            premiereChronoPeriode = objetChronoPeriode;
          }
        }
        if ((premiereChronoPeriode instanceof PeriodeExclusionDefinitiveDDTE)) {
          etat = 9;
        } else if ((premiereChronoPeriode instanceof PeriodeConflitGAEC)) {
          GestionAnomalies.ajouteAnomalie(new Anomalie("M02", calendrierAvant.getDateFin().lendemain(), ""), individu);
        } else if ((premiereChronoPeriode instanceof PeriodeFormationNonIndemniseeAbsenceHeure)) {
          GestionAnomalies.ajouteAnomalie(new Anomalie("M06", calendrierAvant.getDateFin().lendemain(), ""), individu);
        }
      }
      mettreAJourPeriodeApplicationDureeConsommableAvant(calendrierAvant);
      calendrierAvant.setEtatAuDernierJourAvant(new EtatAuDernierJourAvant(utAvant, etat, null));
    }
    return etat;
  }
  
  public static UniteTraitementAvant executerAttributionAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronoPeriodesSurUt = new ChronologiePeriodes(new FiltreChevauchePeriode(new Periode(periodeUtAvant.getDebut(), periodeUtAvant.getFin().lendemain())));
    
    chronoPeriodesSurUt.ajouter(chronologiePeriodes);
    
    Qualification qualification = new Qualification();
    QualificationPeriodes periodesQualifie = qualification.qualificationPeriodesPourAvant(chronoPeriodesSurUt, attribution);
    
    ChronologiePeriodes periodesInterruptives = periodesQualifie.getPeriodesInterruptivesDefinitives();
    ChronologiePeriodes periodesNouvellesInterruptives = new ChronologiePeriodes();
    periodesInterruptives.iterer();
    while (periodesInterruptives.encoreSuivant())
    {
      ObjetChronoPeriodeCalcul periode = (ObjetChronoPeriodeCalcul)periodesInterruptives.elementSuivant();
      if (periode.getDateDebut().estApresOuCoincideAvec(attribution.getDateAttribution())) {
        periodesNouvellesInterruptives.ajouter(periode);
      }
    }
    periodesQualifie.setPeriodesInterruptivesDefinitives(periodesNouvellesInterruptives);
    return executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, periodesQualifie);
  }
  
  public static UniteTraitementAvant executerAttributionAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, QualificationPeriodes periodesQualifie)
    throws CoucheLogiqueException
  {
    UniteTraitementAvant utAvant = null;
    ChronologiePeriodes periodesAnalyses = null;
    PeriodesPriseEnCompte periodesPriseEnCompte = null;
    
    Periode pUtAvant = (Periode)periodeUtAvant.copie();
    
    utAvant = new UniteTraitementAvant(Unite.get("jour"), pUtAvant);
    
    utAvant.setQualificationPeriodes(periodesQualifie);
    
    utAvant.setConsommationPeriodes(new ConsommationPeriodes());
    
    periodesPriseEnCompte = new PeriodesPriseEnCompte(periodeUtAvant);
    if (calendrierAvant.getEtatExecutionAvant() == 1)
    {
      periodesPriseEnCompte.tronquePeriodesPriseEnCompteEnDebut(calendrierAvant.getPremierJourAvant());
      
      calendrierAvant.setEtatExecutionAvant(2);
    }
    initialiserDureesConsommablesAvant(calendrierAvant, utAvant, attribution);
    
    ArretProduitAvecRaison arretProduitAvecRaison = effectuerTraitementPeriodes(utAvant, periodesPriseEnCompte);
    
    DureeConsommableAvant dureeActive = utAvant.getDureeConsommableAvantActiveEnDebutUt();
    if ((dureeActive != null) && (dureeActive.getQuantiteInitial().getValeurEntiere() > 0))
    {
      Periode p = utAvant.getConsommationPeriodes().getPeriodesParTypologie(dureeActive.getTypeDureeConsommable());
      if (p == null)
      {
        p = new Periode(utAvant.getDateDebut());
        utAvant.getConsommationPeriodes().setPeriodesParTypologie(dureeActive.getTypeDureeConsommable(), p);
      }
    }
    periodesAnalyses = creerLesPeriodesAnalyses(utAvant, utAvant.getQualificationPeriodes(), periodesPriseEnCompte);
    
    TraitementPeriodesAnalyseAvant.traitementDesPeriodesAnalyses(attribution, utAvant, periodesAnalyses, utAvant.getQualificationPeriodes(), arretProduitAvecRaison);
    if (arretProduitAvecRaison.isProduitAArreter())
    {
      utAvant.setProduitATerminerApresUT(true);
      utAvant.setArretProduitAvecRaison(arretProduitAvecRaison);
      calendrierAvant.setEtatExecutionAvant(3);
    }
    return utAvant;
  }
  
  public static void initialiserDureesConsommablesAvant(CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant putAvant, AttributionSpec attribution)
  {
    if (calendrierAvant.getChronologieUnitesTraitements() != null)
    {
      UniteTraitementAvant utAvant = null;
      Iterator listeUt = calendrierAvant.getChronologieUnitesTraitements().iterer();
      while (listeUt.hasNext()) {
        utAvant = (UniteTraitementAvant)listeUt.next();
      }
      if (utAvant != null)
      {
        if (utAvant.getDureePmcEnFinUT() != null)
        {
          DureeConsommableAvant dureePmc = (DureeConsommableAvant)utAvant.getDureePmcEnFinUT().copie();
          putAvant.setDureePmcEnDebutUT(dureePmc);
        }
        if (utAvant.getDureeDiffereStandardEnFinUT() != null)
        {
          DureeConsommableAvant dureeDiffereStandard = (DureeConsommableAvant)utAvant.getDureeDiffereStandardEnFinUT().copie();
          putAvant.setDureeDiffereStandardEnDebutUT(dureeDiffereStandard);
        }
        if (utAvant.getDureeDiffereSpecifiqueEnFinUT() != null)
        {
          DureeConsommableAvant dureeDiffereSpecifique = (DureeConsommableAvant)utAvant.getDureeDiffereSpecifiqueEnFinUT().copie();
          putAvant.setDureeDiffereSpecifiqueEnDebutUT(dureeDiffereSpecifique);
        }
        if (utAvant.getDureeDelaiAttenteEnFinUT() != null)
        {
          DureeConsommableAvant dureeDelaiAttente = (DureeConsommableAvant)utAvant.getDureeDelaiAttenteEnFinUT().copie();
          putAvant.setDureeDelaiAttenteEnDebutUT(dureeDelaiAttente);
        }
        return;
      }
    }
    creerDureeIndemnisation(attribution, calendrierAvant, putAvant);
  }
  
  private static void creerDureeIndemnisation(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, UniteTraitementAvant utAvant)
  {
    DureeConsommableAvant dureePmc = new DureeConsommableAvant(0, new QuantiteJour("0"));
    DureeConsommableAvant dureeDiffereStandard = new DureeConsommableAvant(1, new QuantiteJour("0"));
    DureeConsommableAvant dureeDiffereSpecifique = new DureeConsommableAvant(2, new QuantiteJour("0"));
    DureeConsommableAvant dureeDelaiAttente = new DureeConsommableAvant(3, new QuantiteJour("0"));
    
    PreavisMesureConservatoireNonIndemnisable pmc = FacadeAvantProduitImpl.getPmcAConsommer((Attribution)attribution);
    if (pmc != null) {
      dureePmc.setQuantiteInitial(pmc.getQuantiteInitiale());
    }
    CarenceStandard differeStandard = FacadeAvantProduitImpl.getDiffereStandardAConsommer((Attribution)attribution);
    if (differeStandard != null) {
      dureeDiffereStandard.setQuantiteInitial(differeStandard.getQuantiteInitiale());
    }
    CarenceIslr differeSpecifique = FacadeAvantProduitImpl.getDiffereSpecifiqueAConsommer((Attribution)attribution);
    if (differeSpecifique != null) {
      dureeDiffereSpecifique.setQuantiteInitial(differeSpecifique.getQuantiteInitiale());
    }
    Differe delaiAttente = FacadeAvantProduitImpl.getDelaiAttenteAConsommer((Attribution)attribution);
    if (delaiAttente != null) {
      dureeDelaiAttente.setQuantiteInitial(delaiAttente.getQuantiteInitiale());
    }
    dureePmc.activer();
    if (dureePmc.getQuantiteInitial().getValeurEntiere() > 0)
    {
      Periode p = new Periode(calendrierAvant.getPremierJourAvant());
      utAvant.getConsommationPeriodes().setPeriodePmc(p);
    }
    utAvant.setDureePmcEnDebutUT(dureePmc);
    utAvant.setDureeDiffereStandardEnDebutUT(dureeDiffereStandard);
    utAvant.setDureeDiffereSpecifiqueEnDebutUT(dureeDiffereSpecifique);
    utAvant.setDureeDelaiAttenteEnDebutUT(dureeDelaiAttente);
  }
  
  public static ChronologiePeriodes creerLesPeriodesAnalyses(UniteTraitementAvant utAvant, QualificationPeriodes qualificationPeriodes, PeriodesPriseEnCompte periodesPriseEnCompte)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesAnalyses = null;
    if (periodesAnalyses == null)
    {
      Iterator iterator = null;
      ChronologiePeriodes chronologie = null;
      ObjetChronoPeriode objetChronoPeriode = null;
      Periode periode = null;
      
      iterator = periodesPriseEnCompte.getPeriodesParTypologie(3).iterer();
      chronologie = new ChronologiePeriodes();
      while (iterator.hasNext())
      {
        objetChronoPeriode = (ObjetChronoPeriode)iterator.next();
        periode = new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin());
        chronologie.ajouter((ChronologiePeriodes)qualificationPeriodes.getPeriodesSegmentantes().copier(new FiltreDebutDansBornes(periode)));
      }
      iterator = periodesPriseEnCompte.getPeriodesParTypologie(3).iterer();
      ChronologiePeriodes chronologiePeriodesAnalyses = new ChronologiePeriodes();
      while (iterator.hasNext())
      {
        objetChronoPeriode = (ObjetChronoPeriode)iterator.next();
        periode = new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin());
        if (periode.getFin().estApresOuCoincideAvec(periode.getDebut())) {
          chronologiePeriodesAnalyses.ajouter(TraitementPeriodesAvant.traitementPeriodesSegmentantes(periode, utAvant, chronologie));
        }
      }
      periodesAnalyses = chronologiePeriodesAnalyses;
    }
    return periodesAnalyses;
  }
  
  public static ArretProduitAvecRaison effectuerTraitementPeriodes(UniteTraitementAvant utAvant, PeriodesPriseEnCompte periodesPriseEnCompte)
    throws CoucheLogiqueException
  {
    QualificationPeriodes qualificationPeriodes = utAvant.getQualificationPeriodes();
    
    filtrerPeriodesPourUneTypologie(1, qualificationPeriodes, periodesPriseEnCompte);
    
    ArretProduitAvecRaison arretProduitAvecRaison = traitementPeriodesInterruptivesDefinitives(periodesPriseEnCompte, utAvant);
    
    return arretProduitAvecRaison;
  }
  
  private static void filtrerPeriodesPourUneTypologie(int periodeType, QualificationPeriodes qualificationPeriodes, PeriodesPriseEnCompte periodesPriseEnCompte)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronologie = new ChronologiePeriodes();
    
    Iterator it = periodesPriseEnCompte.getPeriodesParTypologie(periodeType).iterer();
    while (it.hasNext())
    {
      ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)it.next();
      Periode periode = new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin());
      ChronologiePeriodes chronoAAjouter = (ChronologiePeriodes)qualificationPeriodes.getPeriodesParTypologie(periodeType).copier(new FiltreChevauchePeriode(periode));
      
      Iterator itChronoAAjouter = chronoAAjouter.iterer();
      while (itChronoAAjouter.hasNext())
      {
        Temporel temporel = (Temporel)itChronoAAjouter.next();
        if (!chronologie.contientElement(temporel)) {
          chronologie.ajouter(temporel);
        }
      }
    }
    qualificationPeriodes.setPeriodesParTypologie(periodeType, chronologie);
  }
  
  static ArretProduitAvecRaison traitementPeriodesInterruptivesDefinitives(PeriodesPriseEnCompte periodesPriseEnCompte, UniteTraitementAvant utAvant)
    throws CoucheLogiqueException
  {
    ObjetChronoPeriode objetChronoPeriode = null;
    ListIterator iterator = null;
    ArretProduitAvecRaison retour = new ArretProduitAvecRaison();
    Damj dateDebutPremierePeriodeTraitee = null;
    ChronologiePeriodes periodesInterruptivesDefinitives = utAvant.getQualificationPeriodes().getPeriodesInterruptivesDefinitives();
    
    iterator = periodesInterruptivesDefinitives.iterer();
    while (iterator.hasNext())
    {
      objetChronoPeriode = (ObjetChronoPeriode)iterator.next();
      if ((dateDebutPremierePeriodeTraitee == null) || (objetChronoPeriode.getDateDebut().equals(dateDebutPremierePeriodeTraitee)))
      {
        dateDebutPremierePeriodeTraitee = objetChronoPeriode.getDateDebut();
        
        retour.ajoutePeriodeInterruptiveDefinitive(objetChronoPeriode);
        
        periodesPriseEnCompte.tronquePeriodesPriseEnCompteEnFin(objetChronoPeriode.getDateDebut().veille());
      }
    }
    return retour;
  }
  
  protected static void mettreAJourPeriodeApplicationDureeConsommableAvant(CalendrierExecutionAvant calendrierExecutionAvant)
  {
    Chronologie uts = calendrierExecutionAvant.getChronologieUnitesTraitements();
    UniteTraitementAvant derniereUtAvant = (UniteTraitementAvant)uts.dernierElement();
    DureeConsommableAvant duree = null;
    Periode periodeConsoPmc = getPeriode(calendrierExecutionAvant, 0);
    Periode periodeConsoDiffereStandard = getPeriode(calendrierExecutionAvant, 1);
    Periode periodeConsoDiffereSpecifique = getPeriode(calendrierExecutionAvant, 2);
    Periode periodeConsoDelaiAttente = getPeriode(calendrierExecutionAvant, 3);
    
    duree = derniereUtAvant.getDureePmcEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeConsoPmc);
    }
    duree = derniereUtAvant.getDureeDiffereStandardEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeConsoDiffereStandard);
    }
    duree = derniereUtAvant.getDureeDiffereSpecifiqueEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeConsoDiffereSpecifique);
    }
    duree = derniereUtAvant.getDureeDelaiAttenteEnFinUT();
    if (duree != null) {
      duree.setPeriodeApplicationCarence(periodeConsoDelaiAttente);
    }
  }
  
  public static Periode getPeriode(CalendrierExecutionAvant calendrierExecutionAvant, int typeDureeConsommableAvant)
  {
    Chronologie uts = calendrierExecutionAvant.getChronologieUnitesTraitements();
    ConsommationPeriodes periodes = null;
    Periode periodeConsommationTotale = null;
    Periode periodeConsommationMensuelle = null;
    
    uts.iterer();
    while (uts.encoreSuivant())
    {
      UniteTraitementAvant utAvant = (UniteTraitementAvant)uts.elementSuivant();
      periodes = utAvant.getConsommationPeriodes();
      periodeConsommationMensuelle = periodes.getPeriodesParTypologie(typeDureeConsommableAvant);
      if (periodeConsommationMensuelle != null) {
        if (periodeConsommationTotale == null) {
          periodeConsommationTotale = (Periode)periodeConsommationMensuelle.copie();
        } else {
          periodeConsommationTotale.setFin(periodeConsommationMensuelle.getFin());
        }
      }
    }
    return periodeConsommationTotale;
  }
}

/* Location:
 * Qualified Name:     TraitementUtAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */