package fr.unedic.cali.asu.spe02.p03.calcul;

import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.DureeConsommableAvant;
import fr.unedic.cali.calcul.dom.EvenementLendemainFinQuantiteDroit;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;

public class TraitementDureeIndemnisation
{
  public static void simulerImputationEtImputerLaQuantite(Quantite paramQuantiteAImputer, PeriodeAnalyseSpec pa, DureeConsommableAvant dureeIndemnisation, ArretProduitAvecRaison arretProduitAvecRaison)
    throws CoucheLogiqueException
  {
    QuantiteDroitSpec quantiteDroitAImputer = null;
    Quantite quantiteAImputer = null;
    Quantite quantiteRestantAImputer = null;
    boolean finDeProduit = false;
    boolean finDeQuantiteDroitDansPeriodeAnalyse = false;
    Damj dateDebutQuantiteDroit = null;
    Damj dateFinQuantiteDroit = null;
    
    quantiteRestantAImputer = paramQuantiteAImputer;
    
    dateDebutQuantiteDroit = pa.getDateDebut();
    
    finDeQuantiteDroitDansPeriodeAnalyse = detecterFinQuantiteDansPeriodeAnalyse(dureeIndemnisation, quantiteRestantAImputer);
    while ((quantiteRestantAImputer.getValeur().compareTo(new BigDecimal(0)) > 0) && (!finDeProduit))
    {
      quantiteDroitAImputer = determinerQuantiteDroitAImputer(dureeIndemnisation, quantiteRestantAImputer);
      
      quantiteAImputer = quantiteRestantAImputer;
      if (quantiteDroitAImputer != null) {
        quantiteAImputer = quantiteDroitAImputer.getQuantiteCourante();
      }
      if (finDeQuantiteDroitDansPeriodeAnalyse)
      {
        if (dateFinQuantiteDroit != null)
        {
          dateDebutQuantiteDroit = dateFinQuantiteDroit.lendemain();
          dateFinQuantiteDroit = pa.getDateFin();
        }
        if (quantiteDroitAImputer != null)
        {
          DureeCalendaire d = new DureeCalendaire(0, 0, quantiteDroitAImputer.getQuantiteCourante().getValeurEntiere());
          dateFinQuantiteDroit = dateDebutQuantiteDroit.deplacerVersAvant(d).veille();
          
          pa.addEvenement(new fr.unedic.cali.asu.spe02.p03.calcul.dom.EvenementFinQuantiteDroit(dateFinQuantiteDroit, quantiteDroitAImputer));
        }
      }
      finDeProduit = imputerLaQuantite(pa, dureeIndemnisation, quantiteAImputer, dateFinQuantiteDroit, arretProduitAvecRaison);
      
      quantiteRestantAImputer = quantiteRestantAImputer.soustraire(quantiteAImputer);
      if (finDeProduit) {
        pa.setProduitATerminerApresUT(true);
      }
      if (finDeProduit) {
        pa.setQuantiteNonIndemnisee(pa.getQuantiteNonIndemnisee().ajouter(quantiteRestantAImputer));
      }
    }
  }
  
  private static boolean detecterFinQuantiteDansPeriodeAnalyse(DureeConsommableAvant quantiteActive, Quantite quantiteAImputer)
  {
    ImputationSpec quantiteImputee = null;
    boolean finDeQuantiteDroitDansPeriodeAnalyse = false;
    
    quantiteImputee = quantiteActive.simulerImputer(quantiteAImputer);
    if ((quantiteImputee.estImpute()) && 
      (quantiteImputee.getResteAImputer().getValeur().compareTo(new BigDecimal(0)) <= 0)) {
      finDeQuantiteDroitDansPeriodeAnalyse = true;
    }
    return finDeQuantiteDroitDansPeriodeAnalyse;
  }
  
  private static QuantiteDroitSpec determinerQuantiteDroitAImputer(DureeConsommableAvant dureeIndemnisation, Quantite quantiteAImputer)
  {
    ImputationSpec imputationImputee = null;
    QuantiteDroitSpec quantiteDroitAImputer = null;
    
    imputationImputee = dureeIndemnisation.simulerImputer(quantiteAImputer);
    if ((imputationImputee.estImpute()) && (imputationImputee.getResteAImputer().getValeur().compareTo(new BigDecimal(0)) <= 0)) {
      quantiteDroitAImputer = imputationImputee.getQuantiteDroit();
    }
    return quantiteDroitAImputer;
  }
  
  private static boolean imputerLaQuantite(PeriodeAnalyseSpec pa, DureeConsommableAvant dureeIndemnisationActive, Quantite quantiteAImputer, Damj dateFinQuantiteDroit, ArretProduitAvecRaison arretProduitAvecRaison)
    throws CoucheLogiqueException
  {
    boolean finDeProduit = false;
    
    dureeIndemnisationActive.imputer(quantiteAImputer);
    if (dureeIndemnisationActive.getQuantiteCourante().getValeur().compareTo(new BigDecimal(0)) == 0)
    {
      dureeIndemnisationActive.epuiser();
      finDeProduit = true;
      
      fr.unedic.cali.calcul.dom.EvenementFinQuantiteDroit evtFinQuantiteDroit = new fr.unedic.cali.asu.spe02.p03.calcul.dom.EvenementFinQuantiteDroit(dateFinQuantiteDroit, dureeIndemnisationActive);
      evtFinQuantiteDroit.setEstCauseFinProduit(finDeProduit);
      
      EvenementLendemainFinQuantiteDroit evtLendemainFinQuantiteDroit = new EvenementLendemainFinQuantiteDroit(dateFinQuantiteDroit.lendemain(), dureeIndemnisationActive);
      
      evtLendemainFinQuantiteDroit.setEstCauseFinProduit(finDeProduit);
      
      arretProduitAvecRaison.ajouteLendemainFinQuantiteDroitArretCalcul(evtLendemainFinQuantiteDroit);
    }
    return finDeProduit;
  }
}

/* Location:
 * Qualified Name:     TraitementDureeIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */