package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConditionsAttributionAdmissionGen;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ConditionsAttributionAdmission
  extends ConditionsAttributionAdmissionGen
  implements ConditionsAttributionSpec
{
  public ConditionsAttributionAdmission() {}
  
  public ConditionsAttributionAdmission(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionsAttributionAdmission copie = (ConditionsAttributionAdmission)p_copie;
    super.copieElements(copie);
    if (getConditionAdhesionDispositif() != null)
    {
      ConditionAdhesionDispositif copieCap = copie.createConditionAdhesionDispositif();
      getConditionAdhesionDispositif().copieElements(copieCap);
    }
    if (getConditionAge() != null)
    {
      ConditionAge copieCap = copie.createConditionAge();
      getConditionAge().copieElements(copieCap);
    }
    if (getConditionChomageInvolontaire() != null)
    {
      ConditionChomageInvolontaire copieCap = copie.createConditionChomageInvolontaire();
      getConditionChomageInvolontaire().copieElements(copieCap);
    }
    if (getConditionCumulAvantageVieillesse() != null)
    {
      ConditionCumulAvantageVieillesse copieCap = copie.createConditionCumulAvantageVieillesse();
      getConditionCumulAvantageVieillesse().copieElements(copieCap);
    }
    if (getConditionCumulPrestationFamiliale() != null)
    {
      ConditionCumulPrestationFamiliale copieCap = copie.createConditionCumulPrestationFamiliale();
      getConditionCumulPrestationFamiliale().copieElements(copieCap);
    }
    if (getConditionFaitGenerateur() != null)
    {
      ConditionFaitGenerateur copieCap = copie.createConditionFaitGenerateur();
      getConditionFaitGenerateur().copieElements(copieCap);
    }
    if (getConditionMontantNonNul() != null)
    {
      ConditionMontantNonNul copieCap = copie.createConditionMontantNonNul();
      getConditionMontantNonNul().copieElements(copieCap);
    }
    if (getConditionQuantiteAffiliation() != null)
    {
      ConditionQuantiteAffiliation copieCap = copie.createConditionQuantiteAffiliation();
      getConditionQuantiteAffiliation().copieElements(copieCap);
    }
    if (getConditionRechercheEmploi() != null)
    {
      ConditionRechercheEmploi copieCap = copie.createConditionRechercheEmploi();
      getConditionRechercheEmploi().copieElements(copieCap);
    }
    if (getConditionBeneficeAutreProduit() != null)
    {
      ConditionBeneficeAutreProduit copieCap = copie.createConditionBeneficeAutreProduit();
      getConditionBeneficeAutreProduit().copieElements(copieCap);
    }
    if (getConditionAnciennete() != null)
    {
      ConditionAnciennete copieCap = copie.createConditionAnciennete();
      getConditionAnciennete().copieElements(copieCap);
    }
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConditionRechercheEmploi());
    DomManager.persisterEnProfondeur(super.getConditionAdhesionDispositif());
    DomManager.persisterEnProfondeur(super.getConditionFaitGenerateur());
    DomManager.persisterEnProfondeur(super.getConditionAge());
    DomManager.persisterEnProfondeur(super.getConditionQuantiteAffiliation());
    DomManager.persisterEnProfondeur(super.getConditionChomageInvolontaire());
    DomManager.persisterEnProfondeur(super.getConditionCumulAvantageVieillesse());
    DomManager.persisterEnProfondeur(super.getConditionCumulPrestationFamiliale());
    DomManager.persisterEnProfondeur(super.getConditionMontantNonNul());
    DomManager.persisterEnProfondeur(super.getConditionBeneficeAutreProduit());
    DomManager.persisterEnProfondeur(super.getConditionValiditeReliquat());
    DomManager.persisterEnProfondeur(super.getConditionAnciennete());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public boolean estSatisfait()
  {
    for (Iterator iter = getListeConditionsAttribution().iterator(); iter.hasNext();)
    {
      ElementDroitSpec droit = (ElementDroitSpec)iter.next();
      if ((droit != null) && 
        (!(droit instanceof ConditionChomageInvolontaire)) && (!droit.estSatisfait())) {
        return false;
      }
    }
    return true;
  }
  
  public List getListeConditionsAttribution()
  {
    List listeConditions = new ArrayList();
    listeConditions.add(getConditionAge());
    listeConditions.add(getConditionChomageInvolontaire());
    listeConditions.add(getConditionCumulPrestationFamiliale());
    listeConditions.add(getConditionMontantNonNul());
    listeConditions.add(getConditionRechercheEmploi());
    listeConditions.add(getConditionCumulAvantageVieillesse());
    listeConditions.add(getConditionFaitGenerateur());
    listeConditions.add(getConditionQuantiteAffiliation());
    listeConditions.add(getConditionRechercheEmploi());
    
    listeConditions.add(getConditionBeneficeAutreProduit());
    listeConditions.add(getConditionAnciennete());
    return listeConditions;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */