package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConditionsAttributionRepriseGen;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ConditionsAttributionReprise
  extends ConditionsAttributionRepriseGen
  implements ConditionsAttributionSpec
{
  public ConditionsAttributionReprise() {}
  
  public ConditionsAttributionReprise(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionsAttributionReprise copie = (ConditionsAttributionReprise)p_copie;
    super.copieElements(copie);
    if (getConditionAdhesionDispositif() != null)
    {
      ConditionAdhesionDispositif copieCap = copie.createConditionAdhesionDispositif();
      getConditionAdhesionDispositif().copieElements(copieCap);
    }
    if (getConditionAge() != null)
    {
      ConditionAge copieCap = copie.createConditionAge();
      getConditionAge().copieElements(copieCap);
    }
    if (getConditionChomageInvolontaire() != null)
    {
      ConditionChomageInvolontaire copieCap = copie.createConditionChomageInvolontaire();
      getConditionChomageInvolontaire().copieElements(copieCap);
    }
    if (getConditionCumulPrestationFamiliale() != null)
    {
      ConditionCumulPrestationFamiliale copieCap = copie.createConditionCumulPrestationFamiliale();
      getConditionCumulPrestationFamiliale().copieElements(copieCap);
    }
    if (getConditionMontantNonNul() != null)
    {
      ConditionMontantNonNul copieCap = copie.createConditionMontantNonNul();
      getConditionMontantNonNul().copieElements(copieCap);
    }
    if (getConditionRechercheEmploi() != null)
    {
      ConditionRechercheEmploi copieCap = copie.createConditionRechercheEmploi();
      getConditionRechercheEmploi().copieElements(copieCap);
    }
    if (getConditionValiditeReliquat() != null)
    {
      ConditionValiditeReliquat copieCap = copie.createConditionValiditeReliquat();
      getConditionValiditeReliquat().copieElements(copieCap);
    }
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getConditionRechercheEmploi());
    DomManager.persisterEnProfondeur(getConditionAdhesionDispositif());
    DomManager.persisterEnProfondeur(getConditionAge());
    DomManager.persisterEnProfondeur(getConditionChomageInvolontaire());
    DomManager.persisterEnProfondeur(getConditionCumulPrestationFamiliale());
    DomManager.persisterEnProfondeur(getConditionMontantNonNul());
    DomManager.persisterEnProfondeur(getConditionValiditeReliquat());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public boolean estSatisfait()
  {
    for (Iterator iter = getListeConditionsAttribution().iterator(); iter.hasNext();)
    {
      ElementDroitSpec droit = (ElementDroitSpec)iter.next();
      if ((droit != null) && 
        (!(droit instanceof ConditionChomageInvolontaire)) && (!droit.estSatisfait())) {
        return false;
      }
    }
    return true;
  }
  
  public List getListeConditionsAttribution()
  {
    List listeConditions = new ArrayList();
    listeConditions.add(getConditionAge());
    listeConditions.add(getConditionChomageInvolontaire());
    listeConditions.add(getConditionCumulPrestationFamiliale());
    listeConditions.add(getConditionMontantNonNul());
    listeConditions.add(getConditionRechercheEmploi());
    listeConditions.add(getConditionValiditeReliquat());
    return listeConditions;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */