package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;

public abstract class ConstitutionDateLimiteIndemnisationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Damj m_dateLimiteIndemnisation;
  private String m_contexteDateLimiteIndemnisation;
  private DureeCalendaire m_dureeIndemnisation;
  private Damj m_pointDepart;
  private BigDecimal m_dureeImputee;
  
  public ConstitutionDateLimiteIndemnisationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionDateLimiteIndemnisationGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Damj rawGetDateLimiteIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateLimiteIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public Damj getDateLimiteIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateLimiteIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public void setDateLimiteIndemnisation(Damj p_dateLimiteIndemnisation)
  {
    if ((m_dateLimiteIndemnisation == null) || (p_dateLimiteIndemnisation == null))
    {
      m_dateLimiteIndemnisation = p_dateLimiteIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(p_dateLimiteIndemnisation);
    }
    else if ((m_dateLimiteIndemnisation != null) && (p_dateLimiteIndemnisation != null) && (!p_dateLimiteIndemnisation.equals(m_dateLimiteIndemnisation)))
    {
      m_dateLimiteIndemnisation = p_dateLimiteIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(p_dateLimiteIndemnisation);
    }
  }
  
  protected String rawGetContexteDateLimiteIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public String getContexteDateLimiteIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public void setContexteDateLimiteIndemnisation(String p_contexteDateLimiteIndemnisation)
  {
    if ((m_contexteDateLimiteIndemnisation == null) || (p_contexteDateLimiteIndemnisation == null))
    {
      m_contexteDateLimiteIndemnisation = p_contexteDateLimiteIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(p_contexteDateLimiteIndemnisation);
    }
    else if ((m_contexteDateLimiteIndemnisation != null) && (p_contexteDateLimiteIndemnisation != null) && (!p_contexteDateLimiteIndemnisation.equals(m_contexteDateLimiteIndemnisation)))
    {
      m_contexteDateLimiteIndemnisation = p_contexteDateLimiteIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(p_contexteDateLimiteIndemnisation);
    }
  }
  
  protected DureeCalendaire rawGetDureeIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public DureeCalendaire getDureeIndemnisation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeIndemnisationConstitutionDateLimiteIndemnisation();
  }
  
  public void setDureeIndemnisation(DureeCalendaire p_dureeIndemnisation)
  {
    if ((m_dureeIndemnisation == null) || (p_dureeIndemnisation == null))
    {
      m_dureeIndemnisation = p_dureeIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeIndemnisationConstitutionDateLimiteIndemnisation(p_dureeIndemnisation);
    }
    else if ((m_dureeIndemnisation != null) && (p_dureeIndemnisation != null) && (!p_dureeIndemnisation.equals(m_dureeIndemnisation)))
    {
      m_dureeIndemnisation = p_dureeIndemnisation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeIndemnisationConstitutionDateLimiteIndemnisation(p_dureeIndemnisation);
    }
  }
  
  protected Damj rawGetPointDepart()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPointDepartConstitutionDateLimiteIndemnisation();
  }
  
  public Damj getPointDepart()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPointDepartConstitutionDateLimiteIndemnisation();
  }
  
  public void setPointDepart(Damj p_pointDepart)
  {
    if ((m_pointDepart == null) || (p_pointDepart == null))
    {
      m_pointDepart = p_pointDepart;
      ((ConstitutionElementsAbstraitPC)getPC()).setPointDepartConstitutionDateLimiteIndemnisation(p_pointDepart);
    }
    else if ((m_pointDepart != null) && (p_pointDepart != null) && (!p_pointDepart.equals(m_pointDepart)))
    {
      m_pointDepart = p_pointDepart;
      ((ConstitutionElementsAbstraitPC)getPC()).setPointDepartConstitutionDateLimiteIndemnisation(p_pointDepart);
    }
  }
  
  protected BigDecimal rawGetDureeImputee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputeeConstitutionDateLimiteIndemnisation();
  }
  
  public BigDecimal getDureeImputee()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputeeConstitutionDateLimiteIndemnisation();
  }
  
  public void setDureeImputee(BigDecimal p_dureeImputee)
  {
    if ((m_dureeImputee == null) || (p_dureeImputee == null))
    {
      m_dureeImputee = p_dureeImputee;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputeeConstitutionDateLimiteIndemnisation(p_dureeImputee);
    }
    else if ((m_dureeImputee != null) && (p_dureeImputee != null) && (!p_dureeImputee.equals(m_dureeImputee)))
    {
      m_dureeImputee = p_dureeImputee;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputeeConstitutionDateLimiteIndemnisation(p_dureeImputee);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setDateLimiteIndemnisation(null);
    setContexteDateLimiteIndemnisation(null);
    setDureeIndemnisation(null);
    setPointDepart(null);
    setDureeImputee(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionDateLimiteIndemnisationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */