package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationMontantsBruts;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.ApplicativeRuntimeException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ConstitutionMontantsBrutsGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private QuantiteEuro m_montantJournalierBrut = null;
  private QuantiteEuro m_montantPartieA = null;
  private QuantiteEuro m_montantPartieB = null;
  private QuantiteEuro m_montantPartieC = null;
  private QuantiteEuro m_montantBase = null;
  private QuantiteEuro m_cotisationRetraiteComplementaire = null;
  private QuantiteEuro m_montantBrutPensionInvaliditeDeduit = null;
  private QuantiteEuro m_montantJournalierAvantageVieillesse = null;
  private QuantiteEuro m_montantJournalierAvantageVieillesseDeduit = null;
  private QuantiteEuro m_montantPlafond = null;
  private QuantiteEuro m_capitalInitialBrut = null;
  private QuantiteEuro m_montantJournalierBrutNonPrecompte;
  private Collection m_listePensionInvalidite;
  private transient JustificationMontantsBruts m_justificationMontantsBruts;
  
  public ConstitutionMontantsBrutsGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionMontantsBrutsGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected QuantiteEuro rawGetMontantJournalierBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantJournalierBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierBrut(QuantiteEuro p_montantJournalierBrut)
  {
    if ((m_montantJournalierBrut == null) || (p_montantJournalierBrut == null))
    {
      m_montantJournalierBrut = p_montantJournalierBrut;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutConstitutionMontantsBruts(p_montantJournalierBrut);
    }
    else if ((m_montantJournalierBrut != null) && (p_montantJournalierBrut != null) && (!p_montantJournalierBrut.equals(m_montantJournalierBrut)))
    {
      m_montantJournalierBrut = p_montantJournalierBrut;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutConstitutionMontantsBruts(p_montantJournalierBrut);
    }
  }
  
  protected QuantiteEuro rawGetMontantPartieA()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieAConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantPartieA()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieAConstitutionMontantsBruts();
  }
  
  public void setMontantPartieA(QuantiteEuro p_montantPartieA)
  {
    if ((m_montantPartieA == null) || (p_montantPartieA == null))
    {
      m_montantPartieA = p_montantPartieA;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieAConstitutionMontantsBruts(p_montantPartieA);
    }
    else if ((m_montantPartieA != null) && (p_montantPartieA != null) && (!p_montantPartieA.equals(m_montantPartieA)))
    {
      m_montantPartieA = p_montantPartieA;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieAConstitutionMontantsBruts(p_montantPartieA);
    }
  }
  
  protected QuantiteEuro rawGetMontantPartieB()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieBConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantPartieB()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieBConstitutionMontantsBruts();
  }
  
  public void setMontantPartieB(QuantiteEuro p_montantPartieB)
  {
    if ((m_montantPartieB == null) || (p_montantPartieB == null))
    {
      m_montantPartieB = p_montantPartieB;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieBConstitutionMontantsBruts(p_montantPartieB);
    }
    else if ((m_montantPartieB != null) && (p_montantPartieB != null) && (!p_montantPartieB.equals(m_montantPartieB)))
    {
      m_montantPartieB = p_montantPartieB;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieBConstitutionMontantsBruts(p_montantPartieB);
    }
  }
  
  protected QuantiteEuro rawGetMontantPartieC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieCConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantPartieC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPartieCConstitutionMontantsBruts();
  }
  
  public void setMontantPartieC(QuantiteEuro p_montantPartieC)
  {
    if ((m_montantPartieC == null) || (p_montantPartieC == null))
    {
      m_montantPartieC = p_montantPartieC;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieCConstitutionMontantsBruts(p_montantPartieC);
    }
    else if ((m_montantPartieC != null) && (p_montantPartieC != null) && (!p_montantPartieC.equals(m_montantPartieC)))
    {
      m_montantPartieC = p_montantPartieC;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPartieCConstitutionMontantsBruts(p_montantPartieC);
    }
  }
  
  protected QuantiteEuro rawGetMontantBase()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBaseConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantBase()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBaseConstitutionMontantsBruts();
  }
  
  public void setMontantBase(QuantiteEuro p_montantBase)
  {
    if ((m_montantBase == null) || (p_montantBase == null))
    {
      m_montantBase = p_montantBase;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBaseConstitutionMontantsBruts(p_montantBase);
    }
    else if ((m_montantBase != null) && (p_montantBase != null) && (!p_montantBase.equals(m_montantBase)))
    {
      m_montantBase = p_montantBase;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBaseConstitutionMontantsBruts(p_montantBase);
    }
  }
  
  protected QuantiteEuro rawGetCotisationRetraiteComplementaire()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCotisationRetraiteComplementaireConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getCotisationRetraiteComplementaire()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCotisationRetraiteComplementaireConstitutionMontantsBruts();
  }
  
  public void setCotisationRetraiteComplementaire(QuantiteEuro p_cotisationRetraiteComplementaire)
  {
    if ((m_cotisationRetraiteComplementaire == null) || (p_cotisationRetraiteComplementaire == null))
    {
      m_cotisationRetraiteComplementaire = p_cotisationRetraiteComplementaire;
      ((ConstitutionElementsAbstraitPC)getPC()).setCotisationRetraiteComplementaireConstitutionMontantsBruts(p_cotisationRetraiteComplementaire);
    }
    else if ((m_cotisationRetraiteComplementaire != null) && (p_cotisationRetraiteComplementaire != null) && (!p_cotisationRetraiteComplementaire.equals(m_cotisationRetraiteComplementaire)))
    {
      m_cotisationRetraiteComplementaire = p_cotisationRetraiteComplementaire;
      ((ConstitutionElementsAbstraitPC)getPC()).setCotisationRetraiteComplementaireConstitutionMontantsBruts(p_cotisationRetraiteComplementaire);
    }
  }
  
  protected QuantiteEuro rawGetMontantBrutPensionInvaliditeDeduit()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantBrutPensionInvaliditeDeduit()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts();
  }
  
  public void setMontantBrutPensionInvaliditeDeduit(QuantiteEuro p_montantBrutPensionInvaliditeDeduit)
  {
    if ((m_montantBrutPensionInvaliditeDeduit == null) || (p_montantBrutPensionInvaliditeDeduit == null))
    {
      m_montantBrutPensionInvaliditeDeduit = p_montantBrutPensionInvaliditeDeduit;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(p_montantBrutPensionInvaliditeDeduit);
    }
    else if ((m_montantBrutPensionInvaliditeDeduit != null) && (p_montantBrutPensionInvaliditeDeduit != null) && (!p_montantBrutPensionInvaliditeDeduit.equals(m_montantBrutPensionInvaliditeDeduit)))
    {
      m_montantBrutPensionInvaliditeDeduit = p_montantBrutPensionInvaliditeDeduit;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(p_montantBrutPensionInvaliditeDeduit);
    }
  }
  
  protected QuantiteEuro rawGetMontantJournalierAvantageVieillesse()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesse()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierAvantageVieillesse(QuantiteEuro p_montantJournalierAvantageVieillesse)
  {
    if ((m_montantJournalierAvantageVieillesse == null) || (p_montantJournalierAvantageVieillesse == null))
    {
      m_montantJournalierAvantageVieillesse = p_montantJournalierAvantageVieillesse;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(p_montantJournalierAvantageVieillesse);
    }
    else if ((m_montantJournalierAvantageVieillesse != null) && (p_montantJournalierAvantageVieillesse != null) && (!p_montantJournalierAvantageVieillesse.equals(m_montantJournalierAvantageVieillesse)))
    {
      m_montantJournalierAvantageVieillesse = p_montantJournalierAvantageVieillesse;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(p_montantJournalierAvantageVieillesse);
    }
  }
  
  protected QuantiteEuro rawGetMontantJournalierAvantageVieillesseDeduit()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesseDeduit()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts();
  }
  
  public void setMontantJournalierAvantageVieillesseDeduit(QuantiteEuro p_montantJournalierAvantageVieillesseDeduit)
  {
    if ((m_montantJournalierAvantageVieillesseDeduit == null) || (p_montantJournalierAvantageVieillesseDeduit == null))
    {
      m_montantJournalierAvantageVieillesseDeduit = p_montantJournalierAvantageVieillesseDeduit;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(p_montantJournalierAvantageVieillesseDeduit);
    }
    else if ((m_montantJournalierAvantageVieillesseDeduit != null) && (p_montantJournalierAvantageVieillesseDeduit != null) && (!p_montantJournalierAvantageVieillesseDeduit.equals(m_montantJournalierAvantageVieillesseDeduit)))
    {
      m_montantJournalierAvantageVieillesseDeduit = p_montantJournalierAvantageVieillesseDeduit;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(p_montantJournalierAvantageVieillesseDeduit);
    }
  }
  
  protected QuantiteEuro rawGetMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionMontantsBruts();
  }
  
  public void setMontantPlafond(QuantiteEuro p_montantPlafond)
  {
    if ((m_montantPlafond == null) || (p_montantPlafond == null))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionMontantsBruts(p_montantPlafond);
    }
    else if ((m_montantPlafond != null) && (p_montantPlafond != null) && (!p_montantPlafond.equals(m_montantPlafond)))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionMontantsBruts(p_montantPlafond);
    }
  }
  
  protected QuantiteEuro rawGetCapitalInitialBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalInitialBrutConstitutionMontantsBruts();
  }
  
  public QuantiteEuro getCapitalInitialBrut()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalInitialBrutConstitutionMontantsBruts();
  }
  
  public void setCapitalInitialBrut(QuantiteEuro p_capitalInitialBrut)
  {
    if ((m_capitalInitialBrut == null) || (p_capitalInitialBrut == null))
    {
      m_capitalInitialBrut = p_capitalInitialBrut;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalInitialBrutConstitutionMontantsBruts(p_capitalInitialBrut);
    }
    else if ((m_capitalInitialBrut != null) && (p_capitalInitialBrut != null) && (!p_capitalInitialBrut.equals(m_capitalInitialBrut)))
    {
      m_capitalInitialBrut = p_capitalInitialBrut;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalInitialBrutConstitutionMontantsBruts(p_capitalInitialBrut);
    }
  }
  
  protected QuantiteEuro rawGetMontantJournalierBrutNonPrecompte()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutNonPrecompteMontantsBruts();
  }
  
  public QuantiteEuro getMontantJournalierBrutNonPrecompte()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutNonPrecompteMontantsBruts();
  }
  
  public void setMontantJournalierBrutNonPrecompte(QuantiteEuro p_montantJournalierBrutNonPrecompte)
  {
    if ((m_montantJournalierBrutNonPrecompte == null) || (p_montantJournalierBrutNonPrecompte == null))
    {
      m_montantJournalierBrutNonPrecompte = p_montantJournalierBrutNonPrecompte;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutNonPrecompteMontantsBruts(p_montantJournalierBrutNonPrecompte);
    }
    else if ((m_montantJournalierBrutNonPrecompte != null) && (p_montantJournalierBrutNonPrecompte != null) && (!p_montantJournalierBrutNonPrecompte.equals(m_montantJournalierBrutNonPrecompte)))
    {
      m_montantJournalierBrutNonPrecompte = p_montantJournalierBrutNonPrecompte;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutNonPrecompteMontantsBruts(p_montantJournalierBrutNonPrecompte);
    }
  }
  
  private final Collection getCollectionModifiableMontantBrutPensionInvalidite()
  {
    Iterator itCollectionPC;
    if (m_listePensionInvalidite == null)
    {
      m_listePensionInvalidite = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionMontantBrutPensionInvalidite().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePensionInvalidite.add(currentOM);
      }
    }
    return m_listePensionInvalidite;
  }
  
  public Collection getCollectionMontantBrutPensionInvalidite()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableMontantBrutPensionInvalidite());
  }
  
  public List getListMontantBrutPensionInvalidite()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableMontantBrutPensionInvalidite());
  }
  
  public void remplacerCollectionMontantBrutPensionInvalidite(Collection p_collectionACopier)
  {
    clearCollectionMontantBrutPensionInvalidite();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PensionInvaliditeChainee objet = (PensionInvaliditeChainee)i.next();
      ajouterMontantBrutPensionInvalidite(objet);
    }
  }
  
  public void supprimerSousCollectionMontantBrutPensionInvalidite(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PensionInvaliditeChainee objet = (PensionInvaliditeChainee)i.next();
      supprimerMontantBrutPensionInvalidite(objet);
    }
  }
  
  public void ajouterMontantBrutPensionInvalidite(PensionInvaliditeChainee p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionModifiableMontantBrutPensionInvalidite().add(p_pensionInvaliditeMontantBrut);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterMontantBrutPensionInvalidite(p_pensionInvaliditeMontantBrut.getPC());
  }
  
  public void supprimerMontantBrutPensionInvalidite(PensionInvaliditeChainee p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionModifiableMontantBrutPensionInvalidite().remove(p_pensionInvaliditeMontantBrut);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerMontantBrutPensionInvalidite(p_pensionInvaliditeMontantBrut.getPC());
  }
  
  public void recopierCollectionMontantBrutPensionInvaliditeVers(ObjetMetierSpec p_copie)
  {
    ConstitutionMontantsBrutsGen copie = (ConstitutionMontantsBrutsGen)p_copie;
    Collection listeACopier = getCollectionMontantBrutPensionInvalidite();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterMontantBrutPensionInvalidite((PensionInvaliditeChainee)objet);
    }
  }
  
  public void clearCollectionMontantBrutPensionInvalidite()
  {
    getCollectionModifiableMontantBrutPensionInvalidite().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionMontantBrutPensionInvalidite().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getJustificationMontantsBruts() != null)
    {
      getJustificationMontantsBruts().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationMontantsBruts = null;
    }
    for (Iterator iter = getCollectionMontantBrutPensionInvalidite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getJustificationMontantsBruts() != null)
    {
      getJustificationMontantsBruts().initEnProfondeur();
      m_justificationMontantsBruts = null;
    }
    setMontantJournalierBrut(null);
    setMontantPartieA(null);
    setMontantPartieB(null);
    setMontantPartieC(null);
    setMontantBase(null);
    setCotisationRetraiteComplementaire(null);
    setMontantBrutPensionInvaliditeDeduit(null);
    setMontantJournalierAvantageVieillesse(null);
    setMontantJournalierAvantageVieillesseDeduit(null);
    setMontantPlafond(null);
    setCapitalInitialBrut(null);
    setMontantJournalierBrutNonPrecompte(null);
    for (Iterator iter = getCollectionMontantBrutPensionInvalidite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionMontantBrutPensionInvalidite();
  }
  
  public JustificationMontantsBruts getJustificationMontantsBruts()
  {
    if (m_justificationMontantsBruts == null) {
      m_justificationMontantsBruts = new JustificationMontantsBruts(getPC());
    }
    return m_justificationMontantsBruts;
  }
  
  public JustificationMontantsBruts createJustificationMontantsBruts()
  {
    if (m_justificationMontantsBruts == null) {
      m_justificationMontantsBruts = new JustificationMontantsBruts(getPC());
    }
    try
    {
      m_justificationMontantsBruts.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationMontantsBruts;
  }
  
  public void removeJustificationMontantsBruts()
  {
    try
    {
      m_justificationMontantsBruts.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionMontantsBrutsGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */