package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.JustificationSRPeriodeRemunerationPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriodeCREM;

public abstract class JustificationSRPeriodeRemunerationGen
  extends ObjetChronoPeriodeCREM
  implements DomGenSpec
{
  private QuantiteEuro m_montantRetenu = null;
  private QuantiteEuro m_montantBrut = null;
  private QuantiteEuro m_montantReduit = null;
  private Damj m_datePaie = null;
  
  public JustificationSRPeriodeRemunerationGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public JustificationSRPeriodeRemunerationGen() {}
  
  protected DomPCSpec createPC()
  {
    return new JustificationSRPeriodeRemunerationPC();
  }
  
  protected QuantiteEuro rawGetMontantRetenu()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantRetenu();
  }
  
  public QuantiteEuro getMontantRetenu()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantRetenu();
  }
  
  public void setMontantRetenu(QuantiteEuro p_montantRetenu)
  {
    if ((m_montantRetenu == null) || (p_montantRetenu == null))
    {
      m_montantRetenu = p_montantRetenu;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantRetenu(p_montantRetenu);
    }
    else if ((m_montantRetenu != null) && (p_montantRetenu != null) && (!p_montantRetenu.equals(m_montantRetenu)))
    {
      m_montantRetenu = p_montantRetenu;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantRetenu(p_montantRetenu);
    }
  }
  
  protected int rawGetNature()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getNature();
  }
  
  public int getNature()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getNature();
  }
  
  public void setNature(int p_nature)
  {
    ((JustificationSRPeriodeRemunerationPC)getPC()).setNature(p_nature);
  }
  
  protected QuantiteEuro rawGetMontantBrut()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantBrut();
  }
  
  public QuantiteEuro getMontantBrut()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantBrut();
  }
  
  public void setMontantBrut(QuantiteEuro p_montantBrut)
  {
    if ((m_montantBrut == null) || (p_montantBrut == null))
    {
      m_montantBrut = p_montantBrut;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantBrut(p_montantBrut);
    }
    else if ((m_montantBrut != null) && (p_montantBrut != null) && (!p_montantBrut.equals(m_montantBrut)))
    {
      m_montantBrut = p_montantBrut;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantBrut(p_montantBrut);
    }
  }
  
  protected QuantiteEuro rawGetMontantReduit()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantReduit();
  }
  
  public QuantiteEuro getMontantReduit()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getMontantReduit();
  }
  
  public void setMontantReduit(QuantiteEuro p_montantReduit)
  {
    if ((m_montantReduit == null) || (p_montantReduit == null))
    {
      m_montantReduit = p_montantReduit;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantReduit(p_montantReduit);
    }
    else if ((m_montantReduit != null) && (p_montantReduit != null) && (!p_montantReduit.equals(m_montantReduit)))
    {
      m_montantReduit = p_montantReduit;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setMontantReduit(p_montantReduit);
    }
  }
  
  protected Damj rawGetDatePaie()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getDatePaie();
  }
  
  public Damj getDatePaie()
  {
    return ((JustificationSRPeriodeRemunerationPC)getPC()).getDatePaie();
  }
  
  public void setDatePaie(Damj p_datePaie)
  {
    if ((m_datePaie == null) || (p_datePaie == null))
    {
      m_datePaie = p_datePaie;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setDatePaie(p_datePaie);
    }
    else if ((m_datePaie != null) && (p_datePaie != null) && (!p_datePaie.equals(m_datePaie)))
    {
      m_datePaie = p_datePaie;
      ((JustificationSRPeriodeRemunerationPC)getPC()).setDatePaie(p_datePaie);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     JustificationSRPeriodeRemunerationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */