package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationSRPeriodeActivite;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class JustificationSalaireReferenceGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private QuantiteEuro m_montantTotalSalairesRetenus;
  private QuantiteEuro m_montantTotalPrimesNormalesRetenues;
  private QuantiteEuro m_montantTotalPrimesExceptionnellesRetenues;
  private Collection m_listePeriodeActivite;
  
  public JustificationSalaireReferenceGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationSalaireReferenceGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected QuantiteEuro rawGetMontantTotalSalairesRetenus()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalSalairesRetenusJustificationSalaireReference();
  }
  
  public QuantiteEuro getMontantTotalSalairesRetenus()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalSalairesRetenusJustificationSalaireReference();
  }
  
  public void setMontantTotalSalairesRetenus(QuantiteEuro p_montantTotalSalairesRetenus)
  {
    if ((m_montantTotalSalairesRetenus == null) || (p_montantTotalSalairesRetenus == null))
    {
      m_montantTotalSalairesRetenus = p_montantTotalSalairesRetenus;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalSalairesRetenusJustificationSalaireReference(p_montantTotalSalairesRetenus);
    }
    else if ((m_montantTotalSalairesRetenus != null) && (p_montantTotalSalairesRetenus != null) && (!p_montantTotalSalairesRetenus.equals(m_montantTotalSalairesRetenus)))
    {
      m_montantTotalSalairesRetenus = p_montantTotalSalairesRetenus;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalSalairesRetenusJustificationSalaireReference(p_montantTotalSalairesRetenus);
    }
  }
  
  protected QuantiteEuro rawGetMontantTotalPrimesNormalesRetenues()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalPrimesNormalesRetenuesJustificationSalaireReference();
  }
  
  public QuantiteEuro getMontantTotalPrimesNormalesRetenues()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalPrimesNormalesRetenuesJustificationSalaireReference();
  }
  
  public void setMontantTotalPrimesNormalesRetenues(QuantiteEuro p_montantTotalPrimesNormalesRetenues)
  {
    if ((m_montantTotalPrimesNormalesRetenues == null) || (p_montantTotalPrimesNormalesRetenues == null))
    {
      m_montantTotalPrimesNormalesRetenues = p_montantTotalPrimesNormalesRetenues;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalPrimesNormalesRetenuesJustificationSalaireReference(p_montantTotalPrimesNormalesRetenues);
    }
    else if ((m_montantTotalPrimesNormalesRetenues != null) && (p_montantTotalPrimesNormalesRetenues != null) && (!p_montantTotalPrimesNormalesRetenues.equals(m_montantTotalPrimesNormalesRetenues)))
    {
      m_montantTotalPrimesNormalesRetenues = p_montantTotalPrimesNormalesRetenues;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalPrimesNormalesRetenuesJustificationSalaireReference(p_montantTotalPrimesNormalesRetenues);
    }
  }
  
  protected QuantiteEuro rawGetMontantTotalPrimesExceptionnellesRetenues()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference();
  }
  
  public QuantiteEuro getMontantTotalPrimesExceptionnellesRetenues()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference();
  }
  
  public void setMontantTotalPrimesExceptionnellesRetenues(QuantiteEuro p_montantTotalPrimesExceptionnellesRetenues)
  {
    if ((m_montantTotalPrimesExceptionnellesRetenues == null) || (p_montantTotalPrimesExceptionnellesRetenues == null))
    {
      m_montantTotalPrimesExceptionnellesRetenues = p_montantTotalPrimesExceptionnellesRetenues;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference(p_montantTotalPrimesExceptionnellesRetenues);
    }
    else if ((m_montantTotalPrimesExceptionnellesRetenues != null) && (p_montantTotalPrimesExceptionnellesRetenues != null) && (!p_montantTotalPrimesExceptionnellesRetenues.equals(m_montantTotalPrimesExceptionnellesRetenues)))
    {
      m_montantTotalPrimesExceptionnellesRetenues = p_montantTotalPrimesExceptionnellesRetenues;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference(p_montantTotalPrimesExceptionnellesRetenues);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeActivite()
  {
    Iterator itCollectionPC;
    if (m_listePeriodeActivite == null)
    {
      m_listePeriodeActivite = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionPeriodeActivite().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodeActivite.add(currentOM);
      }
    }
    return m_listePeriodeActivite;
  }
  
  public Collection getCollectionPeriodeActivite()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeActivite());
  }
  
  public List getListPeriodeActivite()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeActivite());
  }
  
  public void remplacerCollectionPeriodeActivite(Collection p_collectionACopier)
  {
    clearCollectionPeriodeActivite();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      JustificationSRPeriodeActivite objet = (JustificationSRPeriodeActivite)i.next();
      ajouterPeriodeActivite(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeActivite(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      JustificationSRPeriodeActivite objet = (JustificationSRPeriodeActivite)i.next();
      supprimerPeriodeActivite(objet);
    }
  }
  
  public void ajouterPeriodeActivite(JustificationSRPeriodeActivite p_periodeActiviteJustificationSalaireReference)
    throws NullPointerException
  {
    if (p_periodeActiviteJustificationSalaireReference == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeActiviteJustificationSalaireReference ne devrait pas être nul.", p_periodeActiviteJustificationSalaireReference);
    }
    getCollectionModifiablePeriodeActivite().add(p_periodeActiviteJustificationSalaireReference);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterPeriodeActivite(p_periodeActiviteJustificationSalaireReference.getPC());
  }
  
  public void supprimerPeriodeActivite(JustificationSRPeriodeActivite p_periodeActiviteJustificationSalaireReference)
    throws NullPointerException
  {
    if (p_periodeActiviteJustificationSalaireReference == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeActiviteJustificationSalaireReference ne devrait pas être nul.", p_periodeActiviteJustificationSalaireReference);
    }
    getCollectionModifiablePeriodeActivite().remove(p_periodeActiviteJustificationSalaireReference);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerPeriodeActivite(p_periodeActiviteJustificationSalaireReference.getPC());
  }
  
  public void recopierCollectionPeriodeActiviteVers(ObjetMetierSpec p_copie)
  {
    JustificationSalaireReferenceGen copie = (JustificationSalaireReferenceGen)p_copie;
    Collection listeACopier = getCollectionPeriodeActivite();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeActivite((JustificationSRPeriodeActivite)objet);
    }
  }
  
  public void clearCollectionPeriodeActivite()
  {
    getCollectionModifiablePeriodeActivite().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionPeriodeActivite().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPeriodeActivite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setMontantTotalSalairesRetenus(null);
    setMontantTotalPrimesNormalesRetenues(null);
    setMontantTotalPrimesExceptionnellesRetenues(null);
    for (Iterator iter = getCollectionPeriodeActivite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionPeriodeActivite();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationSalaireReferenceGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */