package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.PeriodeElementaireEmployeurPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public abstract class PeriodeElementaireEmployeurGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_periodeElementaireEmployeurPC;
  private String m_numeroAffiliation;
  private String m_numeroSiret;
  private String m_raisonSociale;
  private BigDecimal m_heuresA8Totales;
  private BigDecimal m_heuresA10Totales;
  private BigDecimal m_heuresPlafonnees;
  private BigDecimal m_plafond;
  
  public PeriodeElementaireEmployeurGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public PeriodeElementaireEmployeurGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new PeriodeElementaireEmployeurPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_periodeElementaireEmployeurPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_periodeElementaireEmployeurPC)
  {
    m_periodeElementaireEmployeurPC = p_periodeElementaireEmployeurPC;
  }
  
  protected String rawGetNumeroAffiliation()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getNumeroAffiliation();
  }
  
  public String getNumeroAffiliation()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getNumeroAffiliation();
  }
  
  public void setNumeroAffiliation(String p_numeroAffiliation)
  {
    if ((m_numeroAffiliation == null) || (p_numeroAffiliation == null))
    {
      m_numeroAffiliation = p_numeroAffiliation;
      ((PeriodeElementaireEmployeurPC)getPC()).setNumeroAffiliation(p_numeroAffiliation);
    }
    else if ((m_numeroAffiliation != null) && (p_numeroAffiliation != null) && (!p_numeroAffiliation.equals(m_numeroAffiliation)))
    {
      m_numeroAffiliation = p_numeroAffiliation;
      ((PeriodeElementaireEmployeurPC)getPC()).setNumeroAffiliation(p_numeroAffiliation);
    }
  }
  
  protected String rawGetNumeroSiret()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getNumeroSiret();
  }
  
  public String getNumeroSiret()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getNumeroSiret();
  }
  
  public void setNumeroSiret(String p_numeroSiret)
  {
    if ((m_numeroSiret == null) || (p_numeroSiret == null))
    {
      m_numeroSiret = p_numeroSiret;
      ((PeriodeElementaireEmployeurPC)getPC()).setNumeroSiret(p_numeroSiret);
    }
    else if ((m_numeroSiret != null) && (p_numeroSiret != null) && (!p_numeroSiret.equals(m_numeroSiret)))
    {
      m_numeroSiret = p_numeroSiret;
      ((PeriodeElementaireEmployeurPC)getPC()).setNumeroSiret(p_numeroSiret);
    }
  }
  
  protected String rawGetRaisonSociale()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getRaisonSociale();
  }
  
  public String getRaisonSociale()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getRaisonSociale();
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    if ((m_raisonSociale == null) || (p_raisonSociale == null))
    {
      m_raisonSociale = p_raisonSociale;
      ((PeriodeElementaireEmployeurPC)getPC()).setRaisonSociale(p_raisonSociale);
    }
    else if ((m_raisonSociale != null) && (p_raisonSociale != null) && (!p_raisonSociale.equals(m_raisonSociale)))
    {
      m_raisonSociale = p_raisonSociale;
      ((PeriodeElementaireEmployeurPC)getPC()).setRaisonSociale(p_raisonSociale);
    }
  }
  
  protected BigDecimal rawGetHeuresA8Totales()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresA8Totales();
  }
  
  public BigDecimal getHeuresA8Totales()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresA8Totales();
  }
  
  public void setHeuresA8Totales(BigDecimal p_heuresA8Totales)
  {
    if ((m_heuresA8Totales == null) || (p_heuresA8Totales == null))
    {
      m_heuresA8Totales = p_heuresA8Totales;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresA8Totales(p_heuresA8Totales);
    }
    else if ((m_heuresA8Totales != null) && (p_heuresA8Totales != null) && (!p_heuresA8Totales.equals(m_heuresA8Totales)))
    {
      m_heuresA8Totales = p_heuresA8Totales;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresA8Totales(p_heuresA8Totales);
    }
  }
  
  protected BigDecimal rawGetHeuresA10Totales()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresA10Totales();
  }
  
  public BigDecimal getHeuresA10Totales()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresA10Totales();
  }
  
  public void setHeuresA10Totales(BigDecimal p_heuresA10Totales)
  {
    if ((m_heuresA10Totales == null) || (p_heuresA10Totales == null))
    {
      m_heuresA10Totales = p_heuresA10Totales;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresA10Totales(p_heuresA10Totales);
    }
    else if ((m_heuresA10Totales != null) && (p_heuresA10Totales != null) && (!p_heuresA10Totales.equals(m_heuresA10Totales)))
    {
      m_heuresA10Totales = p_heuresA10Totales;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresA10Totales(p_heuresA10Totales);
    }
  }
  
  protected BigDecimal rawGetHeuresPlafonnees()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresPlafonnees();
  }
  
  public BigDecimal getHeuresPlafonnees()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getHeuresPlafonnees();
  }
  
  public void setHeuresPlafonnees(BigDecimal p_heuresPlafonnees)
  {
    if ((m_heuresPlafonnees == null) || (p_heuresPlafonnees == null))
    {
      m_heuresPlafonnees = p_heuresPlafonnees;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresPlafonnees(p_heuresPlafonnees);
    }
    else if ((m_heuresPlafonnees != null) && (p_heuresPlafonnees != null) && (!p_heuresPlafonnees.equals(m_heuresPlafonnees)))
    {
      m_heuresPlafonnees = p_heuresPlafonnees;
      ((PeriodeElementaireEmployeurPC)getPC()).setHeuresPlafonnees(p_heuresPlafonnees);
    }
  }
  
  protected BigDecimal rawGetPlafond()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getPlafond();
  }
  
  public BigDecimal getPlafond()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).getPlafond();
  }
  
  public void setPlafond(BigDecimal p_plafond)
  {
    if ((m_plafond == null) || (p_plafond == null))
    {
      m_plafond = p_plafond;
      ((PeriodeElementaireEmployeurPC)getPC()).setPlafond(p_plafond);
    }
    else if ((m_plafond != null) && (p_plafond != null) && (!p_plafond.equals(m_plafond)))
    {
      m_plafond = p_plafond;
      ((PeriodeElementaireEmployeurPC)getPC()).setPlafond(p_plafond);
    }
  }
  
  protected boolean rawIsEstPlafonneMonoEmployeur()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).isEstPlafonneMonoEmployeur();
  }
  
  public boolean isEstPlafonneMonoEmployeur()
  {
    return ((PeriodeElementaireEmployeurPC)getPC()).isEstPlafonneMonoEmployeur();
  }
  
  public void setEstPlafonneMonoEmployeur(boolean p_estPlafonneMonoEmployeur)
  {
    ((PeriodeElementaireEmployeurPC)getPC()).setEstPlafonneMonoEmployeur(p_estPlafonneMonoEmployeur);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     PeriodeElementaireEmployeurGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */