package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.ValidationProduitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ValidationProduitGen
  extends ValidationProduit
  implements DomGenSpec
{
  private Quantite m_heuresRequises;
  private transient JustificationAffiliation m_justificationAffiliation = null;
  
  public ValidationProduitGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ValidationProduitGen() {}
  
  protected DomPCSpec createPC()
  {
    return new ValidationProduitPC();
  }
  
  protected int rawGetRangAllongement()
  {
    return ((ValidationProduitPC)getPC()).getRangAllongement();
  }
  
  public int getRangAllongement()
  {
    return ((ValidationProduitPC)getPC()).getRangAllongement();
  }
  
  public void setRangAllongement(int p_rangAllongement)
  {
    ((ValidationProduitPC)getPC()).setRangAllongement(p_rangAllongement);
  }
  
  protected Quantite rawGetHeuresRequises()
  {
    return ((ValidationProduitPC)getPC()).getHeuresRequises();
  }
  
  public Quantite getHeuresRequises()
  {
    return ((ValidationProduitPC)getPC()).getHeuresRequises();
  }
  
  public void setHeuresRequises(Quantite p_heuresRequises)
  {
    if ((m_heuresRequises == null) || (p_heuresRequises == null))
    {
      m_heuresRequises = p_heuresRequises;
      ((ValidationProduitPC)getPC()).setHeuresRequises(p_heuresRequises);
    }
    else if ((m_heuresRequises != null) && (p_heuresRequises != null) && (!p_heuresRequises.equals(m_heuresRequises)))
    {
      m_heuresRequises = p_heuresRequises;
      ((ValidationProduitPC)getPC()).setHeuresRequises(p_heuresRequises);
    }
  }
  
  protected boolean rawIsEstProduitValide()
  {
    return ((ValidationProduitPC)getPC()).isEstProduitValide();
  }
  
  public boolean isEstProduitValide()
  {
    return ((ValidationProduitPC)getPC()).isEstProduitValide();
  }
  
  public void setEstProduitValide(boolean p_estProduitValide)
  {
    ((ValidationProduitPC)getPC()).setEstProduitValide(p_estProduitValide);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    if (getJustificationAffiliation() != null)
    {
      getJustificationAffiliation().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationAffiliation = null;
    }
  }
  
  public JustificationAffiliation getJustificationAffiliation()
  {
    if ((((ValidationProduitPC)getPC()).isPresenceDonneesJustificationAffiliation()) && (m_justificationAffiliation == null)) {
      m_justificationAffiliation = new JustificationAffiliation(getPC());
    }
    return m_justificationAffiliation;
  }
  
  public JustificationAffiliation createJustificationAffiliation()
  {
    ((ValidationProduitPC)getPC()).setPresenceDonneesJustificationAffiliation(true);
    if (m_justificationAffiliation == null) {
      m_justificationAffiliation = new JustificationAffiliation(getPC());
    }
    try
    {
      m_justificationAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationAffiliation;
  }
  
  public void removeJustificationAffiliation()
  {
    try
    {
      m_justificationAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ValidationProduitPC)getPC()).setPresenceDonneesJustificationAffiliation(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     ValidationProduitGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */