package fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConditionsAttributionAdmissionPC
  extends ConditionsAttributionAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConditionRechercheEmploi;
  protected boolean m_presenceDonneesConditionAdhesionDispositif;
  protected boolean m_presenceDonneesConditionFaitGenerateur;
  protected boolean m_presenceDonneesConditionAge;
  protected boolean m_presenceDonneesConditionQuantiteAffiliation;
  protected boolean m_presenceDonneesConditionChomageInvolontaire;
  protected boolean m_presenceDonneesConditionCumulAvantageVieillesse;
  protected boolean m_presenceDonneesConditionCumulPrestationFamiliale;
  protected boolean m_presenceDonneesConditionMontantNonNul;
  private boolean m_presenceDonneesConditionAnciennete;
  private boolean m_presenceDonneesConditionValiditeReliquat;
  private transient ConditionsAttributionAdmission m_conditionsAttributionAdmissionOM;
  protected int m_etatConditionRechercheEmploi;
  protected int m_codeMotifEchecConditionRechercheEmploi;
  protected int m_etatConditionAdhesionDispositif;
  protected int m_codeMotifEchecConditionAdhesionDispositif;
  protected int m_etatConditionFaitGenerateur;
  protected int m_codeMotifEchecConditionFaitGenerateur;
  protected String m_identifiantPeriodeFGConditionFaitGenerateur;
  protected Damj m_dateEvenementConditionFaitGenerateur;
  protected String m_motifFinPeriodeFGConditionFaitGenerateur;
  protected Damj m_dateFinPeriodeFGConditionFaitGenerateur;
  protected DureeCalendaire m_ageIndividuDateFGConditionFaitGenerateur;
  protected int m_etatConditionAge;
  protected int m_codeMotifEchecConditionAge;
  protected Damj m_datePensionRetraiteConditionAge;
  protected DureeCalendaire m_ageDateAttributionConditionAge;
  protected int m_etatConditionQuantiteAffiliation;
  protected int m_codeMotifEchecConditionQuantiteAffiliation;
  protected int m_etatConditionChomageInvolontaire;
  protected int m_codeMotifEchecConditionChomageInvolontaire;
  protected Quantite m_quantiteAffiliationChomageInvolontaire;
  protected int m_etatConditionCumulAvantageVieillesse;
  protected int m_codeMotifEchecConditionCumulAvantageVieillesse;
  protected int m_etatConditionCumulPrestationFamiliale;
  protected int m_codeMotifEchecConditionCumulPrestationFamiliale;
  protected int m_etatConditionMontantNonNul;
  protected int m_codeMotifEchecConditionMontantNonNul;
  protected int m_etatConditionBeneficeAutreProduit;
  protected int m_codeMotifEchecConditionBeneficeAutreProduit;
  protected Integer m_dureeAncienneteIntermittantConditionBeneficeAutreProduit;
  protected int m_rangAttributionAFDFiliere;
  protected String m_refusFneConditionFaitGenerateur;
  private int m_etatConditionValiditeReliquat;
  private int m_codeMotifEchecConditionValiditeReliquat;
  private Damj m_dateDecheanceConditionValiditeReliquat;
  private int m_motifNonValiditeConditionValiditeReliquat;
  private int m_causeExtinctionConditionValiditeReliquat;
  private int m_etatConditionAnciennete;
  private int m_codeMotifEchecConditionAnciennete;
  private Damj m_dateDernierEvenementEtudieConditionAnciennete;
  private String m_etatPndsPourCalculAffi;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConditionRechercheEmploi", "m_presenceDonneesConditionAdhesionDispositif", "m_presenceDonneesConditionFaitGenerateur", "m_presenceDonneesConditionAge", "m_presenceDonneesConditionQuantiteAffiliation", "m_presenceDonneesConditionChomageInvolontaire", "m_presenceDonneesConditionCumulAvantageVieillesse", "m_presenceDonneesConditionCumulPrestationFamiliale", "m_presenceDonneesConditionMontantNonNul", "m_presenceDonneesConditionAnciennete", "m_presenceDonneesConditionValiditeReliquat", "m_etatConditionRechercheEmploi", "m_codeMotifEchecConditionRechercheEmploi", "m_etatConditionAdhesionDispositif", "m_codeMotifEchecConditionAdhesionDispositif", "m_etatConditionFaitGenerateur", "m_codeMotifEchecConditionFaitGenerateur", "m_identifiantPeriodeFGConditionFaitGenerateur", "m_dateEvenementConditionFaitGenerateur", "m_motifFinPeriodeFGConditionFaitGenerateur", "m_dateFinPeriodeFGConditionFaitGenerateur", "m_ageIndividuDateFGConditionFaitGenerateur", "m_etatConditionAge", "m_codeMotifEchecConditionAge", "m_datePensionRetraiteConditionAge", "m_ageDateAttributionConditionAge", "m_etatConditionQuantiteAffiliation", "m_codeMotifEchecConditionQuantiteAffiliation", "m_etatConditionChomageInvolontaire", "m_codeMotifEchecConditionChomageInvolontaire", "m_quantiteAffiliationChomageInvolontaire", "m_etatConditionCumulAvantageVieillesse", "m_codeMotifEchecConditionCumulAvantageVieillesse", "m_etatConditionCumulPrestationFamiliale", "m_codeMotifEchecConditionCumulPrestationFamiliale", "m_etatConditionMontantNonNul", "m_codeMotifEchecConditionMontantNonNul", "m_etatConditionBeneficeAutreProduit", "m_codeMotifEchecConditionBeneficeAutreProduit", "m_dureeAncienneteIntermittantConditionBeneficeAutreProduit", "m_rangAttributionAFDFiliere", "m_refusFneConditionFaitGenerateur", "m_etatConditionValiditeReliquat", "m_codeMotifEchecConditionValiditeReliquat", "m_dateDecheanceConditionValiditeReliquat", "m_motifNonValiditeConditionValiditeReliquat", "m_causeExtinctionConditionValiditeReliquat", "m_etatConditionAnciennete", "m_codeMotifEchecConditionAnciennete", "m_dateDernierEvenementEtudieConditionAnciennete", "m_etatPndsPourCalculAffi" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, String.class, Damj.class, String.class, Damj.class, DureeCalendaire.class, Integer.TYPE, Integer.TYPE, Damj.class, DureeCalendaire.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Quantite.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.class, Integer.TYPE, String.class, Integer.TYPE, Integer.TYPE, Damj.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Damj.class, String.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConditionsAttributionAdmissionPC()
  {
    jdoSetm_presenceDonneesConditionRechercheEmploi(this, false);
    jdoSetm_presenceDonneesConditionAdhesionDispositif(this, false);
    jdoSetm_presenceDonneesConditionFaitGenerateur(this, false);
    jdoSetm_presenceDonneesConditionAge(this, false);
    jdoSetm_presenceDonneesConditionQuantiteAffiliation(this, false);
    jdoSetm_presenceDonneesConditionChomageInvolontaire(this, false);
    jdoSetm_presenceDonneesConditionCumulAvantageVieillesse(this, false);
    jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(this, false);
    jdoSetm_presenceDonneesConditionMontantNonNul(this, false);
    jdoSetm_presenceDonneesConditionAnciennete(this, false);
    jdoSetm_presenceDonneesConditionValiditeReliquat(this, false);
    
    jdoSetm_quantiteAffiliationChomageInvolontaire(this, null);
  }
  
  public Object createOM()
  {
    if (m_conditionsAttributionAdmissionOM == null) {
      m_conditionsAttributionAdmissionOM = new ConditionsAttributionAdmission(this);
    }
    return m_conditionsAttributionAdmissionOM;
  }
  
  public boolean isPresenceDonneesConditionRechercheEmploi()
  {
    return jdoGetm_presenceDonneesConditionRechercheEmploi(this);
  }
  
  public final void setPresenceDonneesConditionRechercheEmploi(boolean p_presenceDonneesConditionRechercheEmploi)
  {
    jdoSetm_presenceDonneesConditionRechercheEmploi(this, p_presenceDonneesConditionRechercheEmploi);
  }
  
  public boolean isPresenceDonneesConditionAdhesionDispositif()
  {
    return jdoGetm_presenceDonneesConditionAdhesionDispositif(this);
  }
  
  public final void setPresenceDonneesConditionAdhesionDispositif(boolean p_presenceDonneesConditionAdhesionDispositif)
  {
    jdoSetm_presenceDonneesConditionAdhesionDispositif(this, p_presenceDonneesConditionAdhesionDispositif);
  }
  
  public boolean isPresenceDonneesConditionFaitGenerateur()
  {
    return jdoGetm_presenceDonneesConditionFaitGenerateur(this);
  }
  
  public final void setPresenceDonneesConditionFaitGenerateur(boolean p_presenceDonneesConditionFaitGenerateur)
  {
    jdoSetm_presenceDonneesConditionFaitGenerateur(this, p_presenceDonneesConditionFaitGenerateur);
  }
  
  public boolean isPresenceDonneesConditionAge()
  {
    return jdoGetm_presenceDonneesConditionAge(this);
  }
  
  public final void setPresenceDonneesConditionAge(boolean p_presenceDonneesConditionAge)
  {
    jdoSetm_presenceDonneesConditionAge(this, p_presenceDonneesConditionAge);
  }
  
  public boolean isPresenceDonneesConditionQuantiteAffiliation()
  {
    return jdoGetm_presenceDonneesConditionQuantiteAffiliation(this);
  }
  
  public final void setPresenceDonneesConditionQuantiteAffiliation(boolean p_presenceDonneesConditionQuantiteAffiliation)
  {
    jdoSetm_presenceDonneesConditionQuantiteAffiliation(this, p_presenceDonneesConditionQuantiteAffiliation);
  }
  
  public boolean isPresenceDonneesConditionChomageInvolontaire()
  {
    return jdoGetm_presenceDonneesConditionChomageInvolontaire(this);
  }
  
  public final void setPresenceDonneesConditionChomageInvolontaire(boolean p_presenceDonneesConditionChomageInvolontaire)
  {
    jdoSetm_presenceDonneesConditionChomageInvolontaire(this, p_presenceDonneesConditionChomageInvolontaire);
  }
  
  public boolean isPresenceDonneesConditionCumulAvantageVieillesse()
  {
    return jdoGetm_presenceDonneesConditionCumulAvantageVieillesse(this);
  }
  
  public final void setPresenceDonneesConditionCumulAvantageVieillesse(boolean p_presenceDonneesConditionCumulAvantageVieillesse)
  {
    jdoSetm_presenceDonneesConditionCumulAvantageVieillesse(this, p_presenceDonneesConditionCumulAvantageVieillesse);
  }
  
  public boolean isPresenceDonneesConditionCumulPrestationFamiliale()
  {
    return jdoGetm_presenceDonneesConditionCumulPrestationFamiliale(this);
  }
  
  public final void setPresenceDonneesConditionCumulPrestationFamiliale(boolean p_presenceDonneesConditionCumulPrestationFamiliale)
  {
    jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(this, p_presenceDonneesConditionCumulPrestationFamiliale);
  }
  
  public boolean isPresenceDonneesConditionMontantNonNul()
  {
    return jdoGetm_presenceDonneesConditionMontantNonNul(this);
  }
  
  public final void setPresenceDonneesConditionMontantNonNul(boolean p_presenceDonneesConditionMontantNonNul)
  {
    jdoSetm_presenceDonneesConditionMontantNonNul(this, p_presenceDonneesConditionMontantNonNul);
  }
  
  public boolean isPresenceDonneesConditionAnciennete()
  {
    return jdoGetm_presenceDonneesConditionAnciennete(this);
  }
  
  public final void setPresenceDonneesConditionAnciennete(boolean p_presenceDonneesConditionAnciennete)
  {
    jdoSetm_presenceDonneesConditionAnciennete(this, p_presenceDonneesConditionAnciennete);
  }
  
  public boolean isPresenceDonneesConditionValiditeReliquat()
  {
    return jdoGetm_presenceDonneesConditionValiditeReliquat(this);
  }
  
  public final void setPresenceDonneesConditionValiditeReliquat(boolean p_presenceDonneesConditionValiditeReliquat)
  {
    jdoSetm_presenceDonneesConditionValiditeReliquat(this, p_presenceDonneesConditionValiditeReliquat);
  }
  
  public int getEtatConditionRechercheEmploi()
  {
    return jdoGetm_etatConditionRechercheEmploi(this);
  }
  
  public final void setEtatConditionRechercheEmploi(int p_etatConditionRechercheEmploi)
  {
    jdoSetm_etatConditionRechercheEmploi(this, p_etatConditionRechercheEmploi);
  }
  
  public int getCodeMotifEchecConditionRechercheEmploi()
  {
    return jdoGetm_codeMotifEchecConditionRechercheEmploi(this);
  }
  
  public final void setCodeMotifEchecConditionRechercheEmploi(int p_codeMotifEchecConditionRechercheEmploi)
  {
    jdoSetm_codeMotifEchecConditionRechercheEmploi(this, p_codeMotifEchecConditionRechercheEmploi);
  }
  
  public int getEtatConditionAdhesionDispositif()
  {
    return jdoGetm_etatConditionAdhesionDispositif(this);
  }
  
  public final void setEtatConditionAdhesionDispositif(int p_etatConditionAdhesionDispositif)
  {
    jdoSetm_etatConditionAdhesionDispositif(this, p_etatConditionAdhesionDispositif);
  }
  
  public int getCodeMotifEchecConditionAdhesionDispositif()
  {
    return jdoGetm_codeMotifEchecConditionAdhesionDispositif(this);
  }
  
  public final void setCodeMotifEchecConditionAdhesionDispositif(int p_codeMotifEchecConditionAdhesionDispositif)
  {
    jdoSetm_codeMotifEchecConditionAdhesionDispositif(this, p_codeMotifEchecConditionAdhesionDispositif);
  }
  
  public int getEtatConditionFaitGenerateur()
  {
    return jdoGetm_etatConditionFaitGenerateur(this);
  }
  
  public final void setEtatConditionFaitGenerateur(int p_etatConditionFaitGenerateur)
  {
    jdoSetm_etatConditionFaitGenerateur(this, p_etatConditionFaitGenerateur);
  }
  
  public int getCodeMotifEchecConditionFaitGenerateur()
  {
    return jdoGetm_codeMotifEchecConditionFaitGenerateur(this);
  }
  
  public final void setCodeMotifEchecConditionFaitGenerateur(int p_codeMotifEchecConditionFaitGenerateur)
  {
    jdoSetm_codeMotifEchecConditionFaitGenerateur(this, p_codeMotifEchecConditionFaitGenerateur);
  }
  
  public String getIdentifiantPeriodeFGConditionFaitGenerateur()
  {
    return jdoGetm_identifiantPeriodeFGConditionFaitGenerateur(this);
  }
  
  public final void setIdentifiantPeriodeFGConditionFaitGenerateur(String p_identifiantPeriodeFGConditionFaitGenerateur)
  {
    jdoSetm_identifiantPeriodeFGConditionFaitGenerateur(this, p_identifiantPeriodeFGConditionFaitGenerateur);
  }
  
  public Damj getDateEvenementConditionFaitGenerateur()
  {
    return jdoGetm_dateEvenementConditionFaitGenerateur(this);
  }
  
  public final void setDateEvenementConditionFaitGenerateur(Damj p_dateEvenementConditionFaitGenerateur)
  {
    jdoSetm_dateEvenementConditionFaitGenerateur(this, p_dateEvenementConditionFaitGenerateur);
  }
  
  public String getMotifFinPeriodeFGConditionFaitGenerateur()
  {
    return jdoGetm_motifFinPeriodeFGConditionFaitGenerateur(this);
  }
  
  public final void setMotifFinPeriodeFGConditionFaitGenerateur(String p_motifFinPeriodeFGConditionFaitGenerateur)
  {
    jdoSetm_motifFinPeriodeFGConditionFaitGenerateur(this, p_motifFinPeriodeFGConditionFaitGenerateur);
  }
  
  public Damj getDateFinPeriodeFGConditionFaitGenerateur()
  {
    return jdoGetm_dateFinPeriodeFGConditionFaitGenerateur(this);
  }
  
  public final void setDateFinPeriodeFGConditionFaitGenerateur(Damj p_dateFinPeriodeFGConditionFaitGenerateur)
  {
    jdoSetm_dateFinPeriodeFGConditionFaitGenerateur(this, p_dateFinPeriodeFGConditionFaitGenerateur);
  }
  
  public DureeCalendaire getAgeIndividuDateFGConditionFaitGenerateur()
  {
    return jdoGetm_ageIndividuDateFGConditionFaitGenerateur(this);
  }
  
  public final void setAgeIndividuDateFGConditionFaitGenerateur(DureeCalendaire p_ageIndividuDateFGConditionFaitGenerateur)
  {
    jdoSetm_ageIndividuDateFGConditionFaitGenerateur(this, p_ageIndividuDateFGConditionFaitGenerateur);
  }
  
  public int getEtatConditionAge()
  {
    return jdoGetm_etatConditionAge(this);
  }
  
  public final void setEtatConditionAge(int p_etatConditionAge)
  {
    jdoSetm_etatConditionAge(this, p_etatConditionAge);
  }
  
  public int getCodeMotifEchecConditionAge()
  {
    return jdoGetm_codeMotifEchecConditionAge(this);
  }
  
  public final void setCodeMotifEchecConditionAge(int p_codeMotifEchecConditionAge)
  {
    jdoSetm_codeMotifEchecConditionAge(this, p_codeMotifEchecConditionAge);
  }
  
  public Damj getDatePensionRetraiteConditionAge()
  {
    return jdoGetm_datePensionRetraiteConditionAge(this);
  }
  
  public final void setDatePensionRetraiteConditionAge(Damj p_datePensionRetraiteConditionAge)
  {
    jdoSetm_datePensionRetraiteConditionAge(this, p_datePensionRetraiteConditionAge);
  }
  
  public DureeCalendaire getAgeDateAttributionConditionAge()
  {
    return jdoGetm_ageDateAttributionConditionAge(this);
  }
  
  public final void setAgeDateAttributionConditionAge(DureeCalendaire p_ageDateAttributionConditionAge)
  {
    jdoSetm_ageDateAttributionConditionAge(this, p_ageDateAttributionConditionAge);
  }
  
  public int getEtatConditionQuantiteAffiliation()
  {
    return jdoGetm_etatConditionQuantiteAffiliation(this);
  }
  
  public final void setEtatConditionQuantiteAffiliation(int p_etatConditionQuantiteAffiliation)
  {
    jdoSetm_etatConditionQuantiteAffiliation(this, p_etatConditionQuantiteAffiliation);
  }
  
  public int getCodeMotifEchecConditionQuantiteAffiliation()
  {
    return jdoGetm_codeMotifEchecConditionQuantiteAffiliation(this);
  }
  
  public final void setCodeMotifEchecConditionQuantiteAffiliation(int p_codeMotifEchecConditionQuantiteAffiliation)
  {
    jdoSetm_codeMotifEchecConditionQuantiteAffiliation(this, p_codeMotifEchecConditionQuantiteAffiliation);
  }
  
  public int getEtatConditionChomageInvolontaire()
  {
    return jdoGetm_etatConditionChomageInvolontaire(this);
  }
  
  public final void setEtatConditionChomageInvolontaire(int p_etatConditionChomageInvolontaire)
  {
    jdoSetm_etatConditionChomageInvolontaire(this, p_etatConditionChomageInvolontaire);
  }
  
  public int getCodeMotifEchecConditionChomageInvolontaire()
  {
    return jdoGetm_codeMotifEchecConditionChomageInvolontaire(this);
  }
  
  public final void setCodeMotifEchecConditionChomageInvolontaire(int p_codeMotifEchecConditionChomageInvolontaire)
  {
    jdoSetm_codeMotifEchecConditionChomageInvolontaire(this, p_codeMotifEchecConditionChomageInvolontaire);
  }
  
  public Quantite getQuantiteAffiliationChomageInvolontaire()
  {
    return jdoGetm_quantiteAffiliationChomageInvolontaire(this);
  }
  
  public final void setQuantiteAffiliationChomageInvolontaire(Quantite p_quantiteAffiliationChomageInvolontaire)
  {
    jdoSetm_quantiteAffiliationChomageInvolontaire(this, p_quantiteAffiliationChomageInvolontaire);
  }
  
  public int getEtatConditionCumulAvantageVieillesse()
  {
    return jdoGetm_etatConditionCumulAvantageVieillesse(this);
  }
  
  public final void setEtatConditionCumulAvantageVieillesse(int p_etatConditionCumulAvantageVieillesse)
  {
    jdoSetm_etatConditionCumulAvantageVieillesse(this, p_etatConditionCumulAvantageVieillesse);
  }
  
  public int getCodeMotifEchecConditionCumulAvantageVieillesse()
  {
    return jdoGetm_codeMotifEchecConditionCumulAvantageVieillesse(this);
  }
  
  public final void setCodeMotifEchecConditionCumulAvantageVieillesse(int p_codeMotifEchecConditionCumulAvantageVieillesse)
  {
    jdoSetm_codeMotifEchecConditionCumulAvantageVieillesse(this, p_codeMotifEchecConditionCumulAvantageVieillesse);
  }
  
  public int getEtatConditionCumulPrestationFamiliale()
  {
    return jdoGetm_etatConditionCumulPrestationFamiliale(this);
  }
  
  public final void setEtatConditionCumulPrestationFamiliale(int p_etatConditionCumulPrestationFamiliale)
  {
    jdoSetm_etatConditionCumulPrestationFamiliale(this, p_etatConditionCumulPrestationFamiliale);
  }
  
  public int getCodeMotifEchecConditionCumulPrestationFamiliale()
  {
    return jdoGetm_codeMotifEchecConditionCumulPrestationFamiliale(this);
  }
  
  public final void setCodeMotifEchecConditionCumulPrestationFamiliale(int p_codeMotifEchecConditionCumulPrestationFamiliale)
  {
    jdoSetm_codeMotifEchecConditionCumulPrestationFamiliale(this, p_codeMotifEchecConditionCumulPrestationFamiliale);
  }
  
  public int getEtatConditionMontantNonNul()
  {
    return jdoGetm_etatConditionMontantNonNul(this);
  }
  
  public final void setEtatConditionMontantNonNul(int p_etatConditionMontantNonNul)
  {
    jdoSetm_etatConditionMontantNonNul(this, p_etatConditionMontantNonNul);
  }
  
  public int getCodeMotifEchecConditionMontantNonNul()
  {
    return jdoGetm_codeMotifEchecConditionMontantNonNul(this);
  }
  
  public final void setCodeMotifEchecConditionMontantNonNul(int p_codeMotifEchecConditionMontantNonNul)
  {
    jdoSetm_codeMotifEchecConditionMontantNonNul(this, p_codeMotifEchecConditionMontantNonNul);
  }
  
  public int getEtatConditionBeneficeAutreProduit()
  {
    return jdoGetm_etatConditionBeneficeAutreProduit(this);
  }
  
  public final void setEtatConditionBeneficeAutreProduit(int p_etatConditionBeneficeAutreProduit)
  {
    jdoSetm_etatConditionBeneficeAutreProduit(this, p_etatConditionBeneficeAutreProduit);
  }
  
  public int getCodeMotifEchecConditionBeneficeAutreProduit()
  {
    return jdoGetm_codeMotifEchecConditionBeneficeAutreProduit(this);
  }
  
  public final void setCodeMotifEchecConditionBeneficeAutreProduit(int p_codeMotifEchecConditionBeneficeAutreProduit)
  {
    jdoSetm_codeMotifEchecConditionBeneficeAutreProduit(this, p_codeMotifEchecConditionBeneficeAutreProduit);
  }
  
  public Integer getDureeAncienneteIntermittantConditionBeneficeAutreProduit()
  {
    return jdoGetm_dureeAncienneteIntermittantConditionBeneficeAutreProduit(this);
  }
  
  public final void setDureeAncienneteIntermittantConditionBeneficeAutreProduit(Integer p_dureeAncienneteIntermittantConditionBeneficeAutreProduit)
  {
    jdoSetm_dureeAncienneteIntermittantConditionBeneficeAutreProduit(this, p_dureeAncienneteIntermittantConditionBeneficeAutreProduit);
  }
  
  public int getRangAttributionAFDFiliere()
  {
    return jdoGetm_rangAttributionAFDFiliere(this);
  }
  
  public final void setRangAttributionAFDFiliere(int p_rangAttributionAFDFiliere)
  {
    jdoSetm_rangAttributionAFDFiliere(this, p_rangAttributionAFDFiliere);
  }
  
  public String getRefusFneConditionFaitGenerateur()
  {
    return jdoGetm_refusFneConditionFaitGenerateur(this);
  }
  
  public final void setRefusFneConditionFaitGenerateur(String p_refusFneConditionFaitGenerateur)
  {
    jdoSetm_refusFneConditionFaitGenerateur(this, p_refusFneConditionFaitGenerateur);
  }
  
  public int getEtatConditionValiditeReliquat()
  {
    return jdoGetm_etatConditionValiditeReliquat(this);
  }
  
  public final void setEtatConditionValiditeReliquat(int p_etatConditionValiditeReliquat)
  {
    jdoSetm_etatConditionValiditeReliquat(this, p_etatConditionValiditeReliquat);
  }
  
  public int getCodeMotifEchecConditionValiditeReliquat()
  {
    return jdoGetm_codeMotifEchecConditionValiditeReliquat(this);
  }
  
  public final void setCodeMotifEchecConditionValiditeReliquat(int p_codeMotifEchecConditionValiditeReliquat)
  {
    jdoSetm_codeMotifEchecConditionValiditeReliquat(this, p_codeMotifEchecConditionValiditeReliquat);
  }
  
  public Damj getDateDecheanceConditionValiditeReliquat()
  {
    return jdoGetm_dateDecheanceConditionValiditeReliquat(this);
  }
  
  public final void setDateDecheanceConditionValiditeReliquat(Damj p_dateDecheanceConditionValiditeReliquat)
  {
    jdoSetm_dateDecheanceConditionValiditeReliquat(this, p_dateDecheanceConditionValiditeReliquat);
  }
  
  public int getMotifNonValiditeConditionValiditeReliquat()
  {
    return jdoGetm_motifNonValiditeConditionValiditeReliquat(this);
  }
  
  public final void setMotifNonValiditeConditionValiditeReliquat(int p_motifNonValiditeConditionValiditeReliquat)
  {
    jdoSetm_motifNonValiditeConditionValiditeReliquat(this, p_motifNonValiditeConditionValiditeReliquat);
  }
  
  public int getCauseExtinctionConditionValiditeReliquat()
  {
    return jdoGetm_causeExtinctionConditionValiditeReliquat(this);
  }
  
  public final void setCauseExtinctionConditionValiditeReliquat(int p_causeExtinctionConditionValiditeReliquat)
  {
    jdoSetm_causeExtinctionConditionValiditeReliquat(this, p_causeExtinctionConditionValiditeReliquat);
  }
  
  public int getEtatConditionAnciennete()
  {
    return jdoGetm_etatConditionAnciennete(this);
  }
  
  public final void setEtatConditionAnciennete(int p_etatConditionAnciennete)
  {
    jdoSetm_etatConditionAnciennete(this, p_etatConditionAnciennete);
  }
  
  public int getCodeMotifEchecConditionAnciennete()
  {
    return jdoGetm_codeMotifEchecConditionAnciennete(this);
  }
  
  public final void setCodeMotifEchecConditionAnciennete(int p_codeMotifEchecConditionAnciennete)
  {
    jdoSetm_codeMotifEchecConditionAnciennete(this, p_codeMotifEchecConditionAnciennete);
  }
  
  public Damj getDateDernierEvenementEtudieConditionAnciennete()
  {
    return jdoGetm_dateDernierEvenementEtudieConditionAnciennete(this);
  }
  
  public final void setDateDernierEvenementEtudieConditionAnciennete(Damj p_dateDernierEvenementEtudieConditionAnciennete)
  {
    jdoSetm_dateDernierEvenementEtudieConditionAnciennete(this, p_dateDernierEvenementEtudieConditionAnciennete);
  }
  
  public String getEtatPndsPourCalculAffi()
  {
    return jdoGetm_etatPndsPourCalculAffi(this);
  }
  
  public final void setEtatPndsPourCalculAffi(String p_etatPndsPourCalculAffi)
  {
    jdoSetm_etatPndsPourCalculAffi(this, p_etatPndsPourCalculAffi);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConditionsAttributionAdmissionPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConditionsAttributionAdmissionPC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConditionRechercheEmploi;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConditionRechercheEmploi);
    }
    return m_presenceDonneesConditionRechercheEmploi;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionAdhesionDispositif;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConditionAdhesionDispositif;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConditionAdhesionDispositif);
    }
    return m_presenceDonneesConditionAdhesionDispositif;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConditionFaitGenerateur;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConditionFaitGenerateur);
    }
    return m_presenceDonneesConditionFaitGenerateur;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConditionAge;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConditionAge);
    }
    return m_presenceDonneesConditionAge;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConditionQuantiteAffiliation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConditionQuantiteAffiliation);
    }
    return m_presenceDonneesConditionQuantiteAffiliation;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConditionChomageInvolontaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConditionChomageInvolontaire);
    }
    return m_presenceDonneesConditionChomageInvolontaire;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCumulAvantageVieillesse;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConditionCumulAvantageVieillesse;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConditionCumulAvantageVieillesse);
    }
    return m_presenceDonneesConditionCumulAvantageVieillesse;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_presenceDonneesConditionCumulPrestationFamiliale;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConditionCumulPrestationFamiliale);
    }
    return m_presenceDonneesConditionCumulPrestationFamiliale;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_presenceDonneesConditionMontantNonNul;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConditionMontantNonNul);
    }
    return m_presenceDonneesConditionMontantNonNul;
  }
  
  private static final boolean jdoGetm_presenceDonneesConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_presenceDonneesConditionAnciennete;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConditionAnciennete);
    }
    return m_presenceDonneesConditionAnciennete;
  }
  
  private static final boolean jdoGetm_presenceDonneesConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_presenceDonneesConditionValiditeReliquat;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConditionValiditeReliquat);
    }
    return m_presenceDonneesConditionValiditeReliquat;
  }
  
  protected static final int jdoGetm_etatConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_etatConditionRechercheEmploi;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 11, m_etatConditionRechercheEmploi);
    }
    return m_etatConditionRechercheEmploi;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionRechercheEmploi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_codeMotifEchecConditionRechercheEmploi;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 12, m_codeMotifEchecConditionRechercheEmploi);
    }
    return m_codeMotifEchecConditionRechercheEmploi;
  }
  
  protected static final int jdoGetm_etatConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionAdhesionDispositif;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_etatConditionAdhesionDispositif;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 13, m_etatConditionAdhesionDispositif);
    }
    return m_etatConditionAdhesionDispositif;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionAdhesionDispositif;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_codeMotifEchecConditionAdhesionDispositif;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 14, m_codeMotifEchecConditionAdhesionDispositif);
    }
    return m_codeMotifEchecConditionAdhesionDispositif;
  }
  
  protected static final int jdoGetm_etatConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_etatConditionFaitGenerateur;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 15, m_etatConditionFaitGenerateur);
    }
    return m_etatConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_codeMotifEchecConditionFaitGenerateur;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 16, m_codeMotifEchecConditionFaitGenerateur);
    }
    return m_codeMotifEchecConditionFaitGenerateur;
  }
  
  protected static final String jdoGetm_identifiantPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantPeriodeFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_identifiantPeriodeFGConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 17, m_identifiantPeriodeFGConditionFaitGenerateur);
    }
    return m_identifiantPeriodeFGConditionFaitGenerateur;
  }
  
  protected static final Damj jdoGetm_dateEvenementConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_dateEvenementConditionFaitGenerateur;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 18, m_dateEvenementConditionFaitGenerateur);
    }
    return m_dateEvenementConditionFaitGenerateur;
  }
  
  protected static final String jdoGetm_motifFinPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifFinPeriodeFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_motifFinPeriodeFGConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 19, m_motifFinPeriodeFGConditionFaitGenerateur);
    }
    return m_motifFinPeriodeFGConditionFaitGenerateur;
  }
  
  protected static final Damj jdoGetm_dateFinPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPeriodeFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_dateFinPeriodeFGConditionFaitGenerateur;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_dateFinPeriodeFGConditionFaitGenerateur);
    }
    return m_dateFinPeriodeFGConditionFaitGenerateur;
  }
  
  protected static final DureeCalendaire jdoGetm_ageIndividuDateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_ageIndividuDateFGConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_ageIndividuDateFGConditionFaitGenerateur;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_ageIndividuDateFGConditionFaitGenerateur);
    }
    return m_ageIndividuDateFGConditionFaitGenerateur;
  }
  
  protected static final int jdoGetm_etatConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_etatConditionAge;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 22, m_etatConditionAge);
    }
    return m_etatConditionAge;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_codeMotifEchecConditionAge;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 23, m_codeMotifEchecConditionAge);
    }
    return m_codeMotifEchecConditionAge;
  }
  
  protected static final Damj jdoGetm_datePensionRetraiteConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_datePensionRetraiteConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_datePensionRetraiteConditionAge;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_datePensionRetraiteConditionAge);
    }
    return m_datePensionRetraiteConditionAge;
  }
  
  protected static final DureeCalendaire jdoGetm_ageDateAttributionConditionAge(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_ageDateAttributionConditionAge;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_ageDateAttributionConditionAge;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_ageDateAttributionConditionAge);
    }
    return m_ageDateAttributionConditionAge;
  }
  
  protected static final int jdoGetm_etatConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_etatConditionQuantiteAffiliation;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 26, m_etatConditionQuantiteAffiliation);
    }
    return m_etatConditionQuantiteAffiliation;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_codeMotifEchecConditionQuantiteAffiliation;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 27, m_codeMotifEchecConditionQuantiteAffiliation);
    }
    return m_codeMotifEchecConditionQuantiteAffiliation;
  }
  
  protected static final int jdoGetm_etatConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_etatConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 28, m_etatConditionChomageInvolontaire);
    }
    return m_etatConditionChomageInvolontaire;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_codeMotifEchecConditionChomageInvolontaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 29, m_codeMotifEchecConditionChomageInvolontaire);
    }
    return m_codeMotifEchecConditionChomageInvolontaire;
  }
  
  protected static final Quantite jdoGetm_quantiteAffiliationChomageInvolontaire(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_quantiteAffiliationChomageInvolontaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_quantiteAffiliationChomageInvolontaire);
    }
    return m_quantiteAffiliationChomageInvolontaire;
  }
  
  protected static final int jdoGetm_etatConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCumulAvantageVieillesse;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_etatConditionCumulAvantageVieillesse;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 31, m_etatConditionCumulAvantageVieillesse);
    }
    return m_etatConditionCumulAvantageVieillesse;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCumulAvantageVieillesse;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_codeMotifEchecConditionCumulAvantageVieillesse;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 32, m_codeMotifEchecConditionCumulAvantageVieillesse);
    }
    return m_codeMotifEchecConditionCumulAvantageVieillesse;
  }
  
  protected static final int jdoGetm_etatConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_etatConditionCumulPrestationFamiliale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 33, m_etatConditionCumulPrestationFamiliale);
    }
    return m_etatConditionCumulPrestationFamiliale;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionCumulPrestationFamiliale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_codeMotifEchecConditionCumulPrestationFamiliale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 34, m_codeMotifEchecConditionCumulPrestationFamiliale);
    }
    return m_codeMotifEchecConditionCumulPrestationFamiliale;
  }
  
  protected static final int jdoGetm_etatConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_etatConditionMontantNonNul;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 35, m_etatConditionMontantNonNul);
    }
    return m_etatConditionMontantNonNul;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionMontantNonNul(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionMontantNonNul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_codeMotifEchecConditionMontantNonNul;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 36, m_codeMotifEchecConditionMontantNonNul);
    }
    return m_codeMotifEchecConditionMontantNonNul;
  }
  
  protected static final int jdoGetm_etatConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionBeneficeAutreProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_etatConditionBeneficeAutreProduit;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 37, m_etatConditionBeneficeAutreProduit);
    }
    return m_etatConditionBeneficeAutreProduit;
  }
  
  protected static final int jdoGetm_codeMotifEchecConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionBeneficeAutreProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_codeMotifEchecConditionBeneficeAutreProduit;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 38, m_codeMotifEchecConditionBeneficeAutreProduit);
    }
    return m_codeMotifEchecConditionBeneficeAutreProduit;
  }
  
  protected static final Integer jdoGetm_dureeAncienneteIntermittantConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAncienneteIntermittantConditionBeneficeAutreProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_dureeAncienneteIntermittantConditionBeneficeAutreProduit;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_dureeAncienneteIntermittantConditionBeneficeAutreProduit);
    }
    return m_dureeAncienneteIntermittantConditionBeneficeAutreProduit;
  }
  
  protected static final int jdoGetm_rangAttributionAFDFiliere(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_rangAttributionAFDFiliere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_rangAttributionAFDFiliere;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 40, m_rangAttributionAFDFiliere);
    }
    return m_rangAttributionAFDFiliere;
  }
  
  protected static final String jdoGetm_refusFneConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_refusFneConditionFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_refusFneConditionFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 41, m_refusFneConditionFaitGenerateur);
    }
    return m_refusFneConditionFaitGenerateur;
  }
  
  private static final int jdoGetm_etatConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_etatConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 42, m_etatConditionValiditeReliquat);
    }
    return m_etatConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_codeMotifEchecConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_codeMotifEchecConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 43, m_codeMotifEchecConditionValiditeReliquat);
    }
    return m_codeMotifEchecConditionValiditeReliquat;
  }
  
  private static final Damj jdoGetm_dateDecheanceConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDecheanceConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_dateDecheanceConditionValiditeReliquat;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_dateDecheanceConditionValiditeReliquat);
    }
    return m_dateDecheanceConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_motifNonValiditeConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifNonValiditeConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_motifNonValiditeConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 45, m_motifNonValiditeConditionValiditeReliquat);
    }
    return m_motifNonValiditeConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_causeExtinctionConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_causeExtinctionConditionValiditeReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_causeExtinctionConditionValiditeReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 46, m_causeExtinctionConditionValiditeReliquat);
    }
    return m_causeExtinctionConditionValiditeReliquat;
  }
  
  private static final int jdoGetm_etatConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_etatConditionAnciennete;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 47, m_etatConditionAnciennete);
    }
    return m_etatConditionAnciennete;
  }
  
  private static final int jdoGetm_codeMotifEchecConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeMotifEchecConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_codeMotifEchecConditionAnciennete;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 48, m_codeMotifEchecConditionAnciennete);
    }
    return m_codeMotifEchecConditionAnciennete;
  }
  
  private static final Damj jdoGetm_dateDernierEvenementEtudieConditionAnciennete(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDernierEvenementEtudieConditionAnciennete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_dateDernierEvenementEtudieConditionAnciennete;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_dateDernierEvenementEtudieConditionAnciennete);
    }
    return m_dateDernierEvenementEtudieConditionAnciennete;
  }
  
  private static final String jdoGetm_etatPndsPourCalculAffi(ConditionsAttributionAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatPndsPourCalculAffi;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_etatPndsPourCalculAffi;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 50, m_etatPndsPourCalculAffi);
    }
    return m_etatPndsPourCalculAffi;
  }
  
  protected static final void jdoSetm_presenceDonneesConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConditionRechercheEmploi, newValue);
    } else {
      m_presenceDonneesConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionAdhesionDispositif = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConditionAdhesionDispositif, newValue);
    } else {
      m_presenceDonneesConditionAdhesionDispositif = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConditionFaitGenerateur, newValue);
    } else {
      m_presenceDonneesConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionAge(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConditionAge, newValue);
    } else {
      m_presenceDonneesConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConditionQuantiteAffiliation, newValue);
    } else {
      m_presenceDonneesConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConditionChomageInvolontaire, newValue);
    } else {
      m_presenceDonneesConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCumulAvantageVieillesse = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConditionCumulAvantageVieillesse, newValue);
    } else {
      m_presenceDonneesConditionCumulAvantageVieillesse = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConditionCumulPrestationFamiliale, newValue);
    } else {
      m_presenceDonneesConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConditionMontantNonNul, newValue);
    } else {
      m_presenceDonneesConditionMontantNonNul = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDonneesConditionAnciennete(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConditionAnciennete, newValue);
    } else {
      m_presenceDonneesConditionAnciennete = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDonneesConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConditionValiditeReliquat, newValue);
    } else {
      m_presenceDonneesConditionValiditeReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 11, m_etatConditionRechercheEmploi, newValue);
    } else {
      m_etatConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionRechercheEmploi(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionRechercheEmploi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 12, m_codeMotifEchecConditionRechercheEmploi, newValue);
    } else {
      m_codeMotifEchecConditionRechercheEmploi = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionAdhesionDispositif = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 13, m_etatConditionAdhesionDispositif, newValue);
    } else {
      m_etatConditionAdhesionDispositif = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionAdhesionDispositif(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionAdhesionDispositif = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 14, m_codeMotifEchecConditionAdhesionDispositif, newValue);
    } else {
      m_codeMotifEchecConditionAdhesionDispositif = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 15, m_etatConditionFaitGenerateur, newValue);
    } else {
      m_etatConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 16, m_codeMotifEchecConditionFaitGenerateur, newValue);
    } else {
      m_codeMotifEchecConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantPeriodeFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 17, m_identifiantPeriodeFGConditionFaitGenerateur, newValue);
    } else {
      m_identifiantPeriodeFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 18, m_dateEvenementConditionFaitGenerateur, newValue);
    } else {
      m_dateEvenementConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_motifFinPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifFinPeriodeFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 19, m_motifFinPeriodeFGConditionFaitGenerateur, newValue);
    } else {
      m_motifFinPeriodeFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinPeriodeFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPeriodeFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_dateFinPeriodeFGConditionFaitGenerateur, newValue);
    } else {
      m_dateFinPeriodeFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_ageIndividuDateFGConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_ageIndividuDateFGConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_ageIndividuDateFGConditionFaitGenerateur, newValue);
    } else {
      m_ageIndividuDateFGConditionFaitGenerateur = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionAge(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 22, m_etatConditionAge, newValue);
    } else {
      m_etatConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionAge(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 23, m_codeMotifEchecConditionAge, newValue);
    } else {
      m_codeMotifEchecConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_datePensionRetraiteConditionAge(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_datePensionRetraiteConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_datePensionRetraiteConditionAge, newValue);
    } else {
      m_datePensionRetraiteConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_ageDateAttributionConditionAge(ConditionsAttributionAdmissionPC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_ageDateAttributionConditionAge = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_ageDateAttributionConditionAge, newValue);
    } else {
      m_ageDateAttributionConditionAge = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 26, m_etatConditionQuantiteAffiliation, newValue);
    } else {
      m_etatConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionQuantiteAffiliation(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 27, m_codeMotifEchecConditionQuantiteAffiliation, newValue);
    } else {
      m_codeMotifEchecConditionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 28, m_etatConditionChomageInvolontaire, newValue);
    } else {
      m_etatConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionChomageInvolontaire(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 29, m_codeMotifEchecConditionChomageInvolontaire, newValue);
    } else {
      m_codeMotifEchecConditionChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAffiliationChomageInvolontaire(ConditionsAttributionAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_quantiteAffiliationChomageInvolontaire, newValue);
    } else {
      m_quantiteAffiliationChomageInvolontaire = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCumulAvantageVieillesse = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 31, m_etatConditionCumulAvantageVieillesse, newValue);
    } else {
      m_etatConditionCumulAvantageVieillesse = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCumulAvantageVieillesse(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCumulAvantageVieillesse = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 32, m_codeMotifEchecConditionCumulAvantageVieillesse, newValue);
    } else {
      m_codeMotifEchecConditionCumulAvantageVieillesse = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 33, m_etatConditionCumulPrestationFamiliale, newValue);
    } else {
      m_etatConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionCumulPrestationFamiliale(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionCumulPrestationFamiliale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 34, m_codeMotifEchecConditionCumulPrestationFamiliale, newValue);
    } else {
      m_codeMotifEchecConditionCumulPrestationFamiliale = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 35, m_etatConditionMontantNonNul, newValue);
    } else {
      m_etatConditionMontantNonNul = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionMontantNonNul(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionMontantNonNul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 36, m_codeMotifEchecConditionMontantNonNul, newValue);
    } else {
      m_codeMotifEchecConditionMontantNonNul = newValue;
    }
  }
  
  protected static final void jdoSetm_etatConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionBeneficeAutreProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 37, m_etatConditionBeneficeAutreProduit, newValue);
    } else {
      m_etatConditionBeneficeAutreProduit = newValue;
    }
  }
  
  protected static final void jdoSetm_codeMotifEchecConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionBeneficeAutreProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 38, m_codeMotifEchecConditionBeneficeAutreProduit, newValue);
    } else {
      m_codeMotifEchecConditionBeneficeAutreProduit = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeAncienneteIntermittantConditionBeneficeAutreProduit(ConditionsAttributionAdmissionPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAncienneteIntermittantConditionBeneficeAutreProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_dureeAncienneteIntermittantConditionBeneficeAutreProduit, newValue);
    } else {
      m_dureeAncienneteIntermittantConditionBeneficeAutreProduit = newValue;
    }
  }
  
  protected static final void jdoSetm_rangAttributionAFDFiliere(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_rangAttributionAFDFiliere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 40, m_rangAttributionAFDFiliere, newValue);
    } else {
      m_rangAttributionAFDFiliere = newValue;
    }
  }
  
  protected static final void jdoSetm_refusFneConditionFaitGenerateur(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_refusFneConditionFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 41, m_refusFneConditionFaitGenerateur, newValue);
    } else {
      m_refusFneConditionFaitGenerateur = newValue;
    }
  }
  
  private static final void jdoSetm_etatConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 42, m_etatConditionValiditeReliquat, newValue);
    } else {
      m_etatConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_codeMotifEchecConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 43, m_codeMotifEchecConditionValiditeReliquat, newValue);
    } else {
      m_codeMotifEchecConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_dateDecheanceConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDecheanceConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_dateDecheanceConditionValiditeReliquat, newValue);
    } else {
      m_dateDecheanceConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_motifNonValiditeConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifNonValiditeConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 45, m_motifNonValiditeConditionValiditeReliquat, newValue);
    } else {
      m_motifNonValiditeConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_causeExtinctionConditionValiditeReliquat(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_causeExtinctionConditionValiditeReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 46, m_causeExtinctionConditionValiditeReliquat, newValue);
    } else {
      m_causeExtinctionConditionValiditeReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_etatConditionAnciennete(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 47, m_etatConditionAnciennete, newValue);
    } else {
      m_etatConditionAnciennete = newValue;
    }
  }
  
  private static final void jdoSetm_codeMotifEchecConditionAnciennete(ConditionsAttributionAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeMotifEchecConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 48, m_codeMotifEchecConditionAnciennete, newValue);
    } else {
      m_codeMotifEchecConditionAnciennete = newValue;
    }
  }
  
  private static final void jdoSetm_dateDernierEvenementEtudieConditionAnciennete(ConditionsAttributionAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDernierEvenementEtudieConditionAnciennete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_dateDernierEvenementEtudieConditionAnciennete, newValue);
    } else {
      m_dateDernierEvenementEtudieConditionAnciennete = newValue;
    }
  }
  
  private static final void jdoSetm_etatPndsPourCalculAffi(ConditionsAttributionAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatPndsPourCalculAffi = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 50, m_etatPndsPourCalculAffi, newValue);
    } else {
      m_etatPndsPourCalculAffi = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionRechercheEmploi);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionAdhesionDispositif);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionFaitGenerateur);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionAge);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionQuantiteAffiliation);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionChomageInvolontaire);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCumulAvantageVieillesse);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionCumulPrestationFamiliale);
      break;
    case 8: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionMontantNonNul);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionAnciennete);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConditionValiditeReliquat);
      break;
    case 11: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionRechercheEmploi);
      break;
    case 12: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionRechercheEmploi);
      break;
    case 13: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionAdhesionDispositif);
      break;
    case 14: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionAdhesionDispositif);
      break;
    case 15: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionFaitGenerateur);
      break;
    case 16: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionFaitGenerateur);
      break;
    case 17: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantPeriodeFGConditionFaitGenerateur);
      break;
    case 18: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConditionFaitGenerateur);
      break;
    case 19: 
      jdoStateManager.providedStringField(this, fieldNumber, m_motifFinPeriodeFGConditionFaitGenerateur);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPeriodeFGConditionFaitGenerateur);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_ageIndividuDateFGConditionFaitGenerateur);
      break;
    case 22: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionAge);
      break;
    case 23: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionAge);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_datePensionRetraiteConditionAge);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_ageDateAttributionConditionAge);
      break;
    case 26: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionQuantiteAffiliation);
      break;
    case 27: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionQuantiteAffiliation);
      break;
    case 28: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionChomageInvolontaire);
      break;
    case 29: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionChomageInvolontaire);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationChomageInvolontaire);
      break;
    case 31: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCumulAvantageVieillesse);
      break;
    case 32: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCumulAvantageVieillesse);
      break;
    case 33: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionCumulPrestationFamiliale);
      break;
    case 34: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionCumulPrestationFamiliale);
      break;
    case 35: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionMontantNonNul);
      break;
    case 36: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionMontantNonNul);
      break;
    case 37: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionBeneficeAutreProduit);
      break;
    case 38: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionBeneficeAutreProduit);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeAncienneteIntermittantConditionBeneficeAutreProduit);
      break;
    case 40: 
      jdoStateManager.providedIntField(this, fieldNumber, m_rangAttributionAFDFiliere);
      break;
    case 41: 
      jdoStateManager.providedStringField(this, fieldNumber, m_refusFneConditionFaitGenerateur);
      break;
    case 42: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionValiditeReliquat);
      break;
    case 43: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionValiditeReliquat);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDecheanceConditionValiditeReliquat);
      break;
    case 45: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifNonValiditeConditionValiditeReliquat);
      break;
    case 46: 
      jdoStateManager.providedIntField(this, fieldNumber, m_causeExtinctionConditionValiditeReliquat);
      break;
    case 47: 
      jdoStateManager.providedIntField(this, fieldNumber, m_etatConditionAnciennete);
      break;
    case 48: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeMotifEchecConditionAnciennete);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDernierEvenementEtudieConditionAnciennete);
      break;
    case 50: 
      jdoStateManager.providedStringField(this, fieldNumber, m_etatPndsPourCalculAffi);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConditionRechercheEmploi = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConditionAdhesionDispositif = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConditionFaitGenerateur = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConditionAge = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConditionQuantiteAffiliation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConditionChomageInvolontaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConditionCumulAvantageVieillesse = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_presenceDonneesConditionCumulPrestationFamiliale = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_presenceDonneesConditionMontantNonNul = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 9: 
      m_presenceDonneesConditionAnciennete = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_presenceDonneesConditionValiditeReliquat = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_etatConditionRechercheEmploi = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 12: 
      m_codeMotifEchecConditionRechercheEmploi = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 13: 
      m_etatConditionAdhesionDispositif = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 14: 
      m_codeMotifEchecConditionAdhesionDispositif = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 15: 
      m_etatConditionFaitGenerateur = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 16: 
      m_codeMotifEchecConditionFaitGenerateur = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 17: 
      m_identifiantPeriodeFGConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 18: 
      m_dateEvenementConditionFaitGenerateur = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 19: 
      m_motifFinPeriodeFGConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 20: 
      m_dateFinPeriodeFGConditionFaitGenerateur = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_ageIndividuDateFGConditionFaitGenerateur = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_etatConditionAge = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 23: 
      m_codeMotifEchecConditionAge = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 24: 
      m_datePensionRetraiteConditionAge = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_ageDateAttributionConditionAge = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_etatConditionQuantiteAffiliation = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 27: 
      m_codeMotifEchecConditionQuantiteAffiliation = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 28: 
      m_etatConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 29: 
      m_codeMotifEchecConditionChomageInvolontaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 30: 
      m_quantiteAffiliationChomageInvolontaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_etatConditionCumulAvantageVieillesse = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 32: 
      m_codeMotifEchecConditionCumulAvantageVieillesse = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 33: 
      m_etatConditionCumulPrestationFamiliale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 34: 
      m_codeMotifEchecConditionCumulPrestationFamiliale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 35: 
      m_etatConditionMontantNonNul = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 36: 
      m_codeMotifEchecConditionMontantNonNul = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 37: 
      m_etatConditionBeneficeAutreProduit = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 38: 
      m_codeMotifEchecConditionBeneficeAutreProduit = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 39: 
      m_dureeAncienneteIntermittantConditionBeneficeAutreProduit = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_rangAttributionAFDFiliere = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 41: 
      m_refusFneConditionFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 42: 
      m_etatConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 43: 
      m_codeMotifEchecConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 44: 
      m_dateDecheanceConditionValiditeReliquat = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_motifNonValiditeConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 46: 
      m_causeExtinctionConditionValiditeReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 47: 
      m_etatConditionAnciennete = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 48: 
      m_codeMotifEchecConditionAnciennete = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 49: 
      m_dateDernierEvenementEtudieConditionAnciennete = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_etatPndsPourCalculAffi = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConditionsAttributionAdmissionPC pc = new ConditionsAttributionAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConditionsAttributionAdmissionPC pc = new ConditionsAttributionAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 51;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConditionsAttributionAdmissionPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConditionsAttributionAdmissionPC other = (ConditionsAttributionAdmissionPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConditionRechercheEmploi = m_presenceDonneesConditionRechercheEmploi;
        break;
      case 1: 
        m_presenceDonneesConditionAdhesionDispositif = m_presenceDonneesConditionAdhesionDispositif;
        break;
      case 2: 
        m_presenceDonneesConditionFaitGenerateur = m_presenceDonneesConditionFaitGenerateur;
        break;
      case 3: 
        m_presenceDonneesConditionAge = m_presenceDonneesConditionAge;
        break;
      case 4: 
        m_presenceDonneesConditionQuantiteAffiliation = m_presenceDonneesConditionQuantiteAffiliation;
        break;
      case 5: 
        m_presenceDonneesConditionChomageInvolontaire = m_presenceDonneesConditionChomageInvolontaire;
        break;
      case 6: 
        m_presenceDonneesConditionCumulAvantageVieillesse = m_presenceDonneesConditionCumulAvantageVieillesse;
        break;
      case 7: 
        m_presenceDonneesConditionCumulPrestationFamiliale = m_presenceDonneesConditionCumulPrestationFamiliale;
        break;
      case 8: 
        m_presenceDonneesConditionMontantNonNul = m_presenceDonneesConditionMontantNonNul;
        break;
      case 9: 
        m_presenceDonneesConditionAnciennete = m_presenceDonneesConditionAnciennete;
        break;
      case 10: 
        m_presenceDonneesConditionValiditeReliquat = m_presenceDonneesConditionValiditeReliquat;
        break;
      case 11: 
        m_etatConditionRechercheEmploi = m_etatConditionRechercheEmploi;
        break;
      case 12: 
        m_codeMotifEchecConditionRechercheEmploi = m_codeMotifEchecConditionRechercheEmploi;
        break;
      case 13: 
        m_etatConditionAdhesionDispositif = m_etatConditionAdhesionDispositif;
        break;
      case 14: 
        m_codeMotifEchecConditionAdhesionDispositif = m_codeMotifEchecConditionAdhesionDispositif;
        break;
      case 15: 
        m_etatConditionFaitGenerateur = m_etatConditionFaitGenerateur;
        break;
      case 16: 
        m_codeMotifEchecConditionFaitGenerateur = m_codeMotifEchecConditionFaitGenerateur;
        break;
      case 17: 
        m_identifiantPeriodeFGConditionFaitGenerateur = m_identifiantPeriodeFGConditionFaitGenerateur;
        break;
      case 18: 
        m_dateEvenementConditionFaitGenerateur = m_dateEvenementConditionFaitGenerateur;
        break;
      case 19: 
        m_motifFinPeriodeFGConditionFaitGenerateur = m_motifFinPeriodeFGConditionFaitGenerateur;
        break;
      case 20: 
        m_dateFinPeriodeFGConditionFaitGenerateur = m_dateFinPeriodeFGConditionFaitGenerateur;
        break;
      case 21: 
        m_ageIndividuDateFGConditionFaitGenerateur = m_ageIndividuDateFGConditionFaitGenerateur;
        break;
      case 22: 
        m_etatConditionAge = m_etatConditionAge;
        break;
      case 23: 
        m_codeMotifEchecConditionAge = m_codeMotifEchecConditionAge;
        break;
      case 24: 
        m_datePensionRetraiteConditionAge = m_datePensionRetraiteConditionAge;
        break;
      case 25: 
        m_ageDateAttributionConditionAge = m_ageDateAttributionConditionAge;
        break;
      case 26: 
        m_etatConditionQuantiteAffiliation = m_etatConditionQuantiteAffiliation;
        break;
      case 27: 
        m_codeMotifEchecConditionQuantiteAffiliation = m_codeMotifEchecConditionQuantiteAffiliation;
        break;
      case 28: 
        m_etatConditionChomageInvolontaire = m_etatConditionChomageInvolontaire;
        break;
      case 29: 
        m_codeMotifEchecConditionChomageInvolontaire = m_codeMotifEchecConditionChomageInvolontaire;
        break;
      case 30: 
        m_quantiteAffiliationChomageInvolontaire = m_quantiteAffiliationChomageInvolontaire;
        break;
      case 31: 
        m_etatConditionCumulAvantageVieillesse = m_etatConditionCumulAvantageVieillesse;
        break;
      case 32: 
        m_codeMotifEchecConditionCumulAvantageVieillesse = m_codeMotifEchecConditionCumulAvantageVieillesse;
        break;
      case 33: 
        m_etatConditionCumulPrestationFamiliale = m_etatConditionCumulPrestationFamiliale;
        break;
      case 34: 
        m_codeMotifEchecConditionCumulPrestationFamiliale = m_codeMotifEchecConditionCumulPrestationFamiliale;
        break;
      case 35: 
        m_etatConditionMontantNonNul = m_etatConditionMontantNonNul;
        break;
      case 36: 
        m_codeMotifEchecConditionMontantNonNul = m_codeMotifEchecConditionMontantNonNul;
        break;
      case 37: 
        m_etatConditionBeneficeAutreProduit = m_etatConditionBeneficeAutreProduit;
        break;
      case 38: 
        m_codeMotifEchecConditionBeneficeAutreProduit = m_codeMotifEchecConditionBeneficeAutreProduit;
        break;
      case 39: 
        m_dureeAncienneteIntermittantConditionBeneficeAutreProduit = m_dureeAncienneteIntermittantConditionBeneficeAutreProduit;
        break;
      case 40: 
        m_rangAttributionAFDFiliere = m_rangAttributionAFDFiliere;
        break;
      case 41: 
        m_refusFneConditionFaitGenerateur = m_refusFneConditionFaitGenerateur;
        break;
      case 42: 
        m_etatConditionValiditeReliquat = m_etatConditionValiditeReliquat;
        break;
      case 43: 
        m_codeMotifEchecConditionValiditeReliquat = m_codeMotifEchecConditionValiditeReliquat;
        break;
      case 44: 
        m_dateDecheanceConditionValiditeReliquat = m_dateDecheanceConditionValiditeReliquat;
        break;
      case 45: 
        m_motifNonValiditeConditionValiditeReliquat = m_motifNonValiditeConditionValiditeReliquat;
        break;
      case 46: 
        m_causeExtinctionConditionValiditeReliquat = m_causeExtinctionConditionValiditeReliquat;
        break;
      case 47: 
        m_etatConditionAnciennete = m_etatConditionAnciennete;
        break;
      case 48: 
        m_codeMotifEchecConditionAnciennete = m_codeMotifEchecConditionAnciennete;
        break;
      case 49: 
        m_dateDernierEvenementEtudieConditionAnciennete = m_dateDernierEvenementEtudieConditionAnciennete;
        break;
      case 50: 
        m_etatPndsPourCalculAffi = m_etatPndsPourCalculAffi;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */