package fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionElementsReprisePC
  extends ConstitutionElementsAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConstitutionDurees;
  protected boolean m_presenceDonneesConstitutionMontantsBruts;
  protected boolean m_presenceDonneesConstitutionSalaireJournalierMoyen;
  protected boolean m_presenceDonneesConstitutionDelaisReport;
  protected boolean m_presenceDonneesConstitutionReglementApplicable;
  protected boolean m_presenceDonneesConstitutionDateAttribution;
  protected boolean m_presenceDonneesConstitutionPointDepartIndemnisation;
  private transient ConstitutionElementsReprise m_constitutionElementsRepriseOM;
  protected Quantite m_dureeEffectiveConstitutionDurees;
  protected Quantite m_dureeImputationConstitutionDurees;
  protected Quantite m_dureeTheoriqueConstitutionDurees;
  protected QuantiteEuro m_montantJournalierBrutConstitutionMontantsBruts;
  protected QuantiteEuro m_montantPartieAConstitutionMontantsBruts;
  protected QuantiteEuro m_montantPartieBConstitutionMontantsBruts;
  protected QuantiteEuro m_montantPartieCConstitutionMontantsBruts;
  protected QuantiteEuro m_montantBaseConstitutionMontantsBruts;
  protected QuantiteEuro m_cotisationRetraiteComplementaireConstitutionMontantsBruts;
  protected QuantiteEuro m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts;
  protected QuantiteEuro m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  protected QuantiteEuro m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  protected QuantiteEuro m_montantPlafondConstitutionMontantsBruts;
  protected QuantiteEuro m_capitalInitialBrutConstitutionMontantsBruts;
  protected Damj m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
  protected QuantiteEuro m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
  protected Damj m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
  protected QuantiteEuro m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
  protected QuantiteEuro m_montantPlafondConstitutionSalaireJournalierMoyen;
  protected int m_nbJoursPMCNonIndemnConstitutionDelaisReport;
  protected Damj m_debutPMCNonIndemnConstitutionDelaisReport;
  protected Damj m_termePMCNonIndemnConstitutionDelaisReport;
  protected int m_nbJoursPMCIndemnConstitutionDelaisReport;
  protected Damj m_debutPMCIndemnConstitutionDelaisReport;
  protected Damj m_termePMCIndemnConstitutionDelaisReport;
  protected int m_nbJoursCarenceStandardConstitutionDelaisReport;
  protected Damj m_debutCarenceStandardConstitutionDelaisReport;
  protected Damj m_termeCarenceStandardConstitutionDelaisReport;
  protected int m_nbJoursCarenceISLRConstitutionDelaisReport;
  protected Damj m_debutCarenceISLRConstitutionDelaisReport;
  protected Damj m_termeCarenceISLRConstitutionDelaisReport;
  protected int m_nbJoursDelaiReportConstitutionDelaisReport;
  protected Damj m_debutDelaiReportConstitutionDelaisReport;
  protected Damj m_termeDelaiReportConstitutionDelaisReport;
  protected String m_nomReglementConstitutionReglementApplicable;
  protected int m_codeProduitReglementConstitutionReglementApplicable;
  protected Damj m_dateAttributionConstitutionDateAttribution;
  protected Damj m_pointDepartIndemnisationConstitutionPointDepartIndemnisation;
  protected QuantiteEuro m_totalSalairesNonPlafonnesJustificationDiffere;
  protected QuantiteEuro m_smicMensuelJustificationDiffere;
  protected QuantiteEuro m_smicJournalierJustificationDiffere;
  protected BigDecimal m_coefA1JustificationMontantsBruts;
  protected BigDecimal m_coefA2JustificationMontantsBruts;
  protected BigDecimal m_coefB1JustificationMontantsBruts;
  protected BigDecimal m_coefB2JustificationMontantsBruts;
  protected BigDecimal m_coefCJustificationMontantsBruts;
  protected QuantiteEuro m_montantMiniJustificationMontantsBruts;
  protected BigDecimal m_salaireReferenceForfaitaireJustificationMontantsBruts;
  protected BigDecimal m_forfaitHeuresJustificationMontantsBruts;
  private int m_franchiseCongesPayesConstitutionDelaisReport;
  private Quantite m_quantiteFranchiseCPMensuelle;
  private Quantite m_quantiteFranchiseSalaireMensuelle;
  public JustificationFranchiseCongesPayesPC m_justificationFranchiseCongesPayes;
  private String m_formuleJustificationDiffere;
  private Periode m_periodeApplicationDifferePrecedentConstitutionDelaisReport;
  private boolean m_presenceDonneesConstitutionDateLimiteIndemnisation;
  private Damj m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
  private String m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
  private DureeCalendaire m_dureeIndemnisationConstitutionDateLimiteIndemnisation;
  private Damj m_pointDepartConstitutionDateLimiteIndemnisation;
  private BigDecimal m_dureeImputeeConstitutionDateLimiteIndemnisation;
  private QuantiteEuro m_montantJournalierBrutNonPrecompteMontantsBruts;
  protected Collection m_listeCarencesConstitutionDelaisReport;
  protected Collection m_listePeriodeRetenueJustificationDiffere;
  protected Collection m_listePensionInvaliditeMontantBrut;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConstitutionDurees", "m_presenceDonneesConstitutionMontantsBruts", "m_presenceDonneesConstitutionSalaireJournalierMoyen", "m_presenceDonneesConstitutionDelaisReport", "m_presenceDonneesConstitutionReglementApplicable", "m_presenceDonneesConstitutionDateAttribution", "m_presenceDonneesConstitutionPointDepartIndemnisation", "m_dureeEffectiveConstitutionDurees", "m_dureeImputationConstitutionDurees", "m_dureeTheoriqueConstitutionDurees", "m_montantJournalierBrutConstitutionMontantsBruts", "m_montantPartieAConstitutionMontantsBruts", "m_montantPartieBConstitutionMontantsBruts", "m_montantPartieCConstitutionMontantsBruts", "m_montantBaseConstitutionMontantsBruts", "m_cotisationRetraiteComplementaireConstitutionMontantsBruts", "m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts", "m_montantPlafondConstitutionMontantsBruts", "m_capitalInitialBrutConstitutionMontantsBruts", "m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen", "m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen", "m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen", "m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen", "m_montantPlafondConstitutionSalaireJournalierMoyen", "m_nbJoursPMCNonIndemnConstitutionDelaisReport", "m_debutPMCNonIndemnConstitutionDelaisReport", "m_termePMCNonIndemnConstitutionDelaisReport", "m_nbJoursPMCIndemnConstitutionDelaisReport", "m_debutPMCIndemnConstitutionDelaisReport", "m_termePMCIndemnConstitutionDelaisReport", "m_nbJoursCarenceStandardConstitutionDelaisReport", "m_debutCarenceStandardConstitutionDelaisReport", "m_termeCarenceStandardConstitutionDelaisReport", "m_nbJoursCarenceISLRConstitutionDelaisReport", "m_debutCarenceISLRConstitutionDelaisReport", "m_termeCarenceISLRConstitutionDelaisReport", "m_nbJoursDelaiReportConstitutionDelaisReport", "m_debutDelaiReportConstitutionDelaisReport", "m_termeDelaiReportConstitutionDelaisReport", "m_nomReglementConstitutionReglementApplicable", "m_codeProduitReglementConstitutionReglementApplicable", "m_dateAttributionConstitutionDateAttribution", "m_pointDepartIndemnisationConstitutionPointDepartIndemnisation", "m_totalSalairesNonPlafonnesJustificationDiffere", "m_smicMensuelJustificationDiffere", "m_smicJournalierJustificationDiffere", "m_coefA1JustificationMontantsBruts", "m_coefA2JustificationMontantsBruts", "m_coefB1JustificationMontantsBruts", "m_coefB2JustificationMontantsBruts", "m_coefCJustificationMontantsBruts", "m_montantMiniJustificationMontantsBruts", "m_salaireReferenceForfaitaireJustificationMontantsBruts", "m_forfaitHeuresJustificationMontantsBruts", "m_franchiseCongesPayesConstitutionDelaisReport", "m_quantiteFranchiseCPMensuelle", "m_quantiteFranchiseSalaireMensuelle", "m_justificationFranchiseCongesPayes", "m_formuleJustificationDiffere", "m_periodeApplicationDifferePrecedentConstitutionDelaisReport", "m_presenceDonneesConstitutionDateLimiteIndemnisation", "m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation", "m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation", "m_dureeIndemnisationConstitutionDateLimiteIndemnisation", "m_pointDepartConstitutionDateLimiteIndemnisation", "m_dureeImputeeConstitutionDateLimiteIndemnisation", "m_montantJournalierBrutNonPrecompteMontantsBruts", "m_listeCarencesConstitutionDelaisReport", "m_listePeriodeRetenueJustificationDiffere", "m_listePensionInvaliditeMontantBrut" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Quantite.class, Quantite.class, Quantite.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, QuantiteEuro.class, Damj.class, QuantiteEuro.class, QuantiteEuro.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, String.class, Integer.TYPE, Damj.class, Damj.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, QuantiteEuro.class, BigDecimal.class, BigDecimal.class, Integer.TYPE, Quantite.class, Quantite.class, JustificationFranchiseCongesPayesPC.class, String.class, Periode.class, Boolean.TYPE, Damj.class, String.class, DureeCalendaire.class, Damj.class, BigDecimal.class, QuantiteEuro.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionElementsReprisePC()
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, false);
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, false);
    jdoSetm_presenceDonneesConstitutionSalaireJournalierMoyen(this, false);
    jdoSetm_presenceDonneesConstitutionDelaisReport(this, false);
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, false);
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, false);
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, false);
    
    jdoSetm_dureeEffectiveConstitutionDurees(this, null);
    jdoSetm_dureeImputationConstitutionDurees(this, null);
    jdoSetm_dureeTheoriqueConstitutionDurees(this, null);
    jdoSetm_montantJournalierBrutConstitutionMontantsBruts(this, null);
    jdoSetm_montantPartieAConstitutionMontantsBruts(this, null);
    jdoSetm_montantPartieBConstitutionMontantsBruts(this, null);
    jdoSetm_montantPartieCConstitutionMontantsBruts(this, null);
    jdoSetm_montantBaseConstitutionMontantsBruts(this, null);
    jdoSetm_cotisationRetraiteComplementaireConstitutionMontantsBruts(this, null);
    jdoSetm_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(this, null);
    jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this, null);
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this, null);
    jdoSetm_montantPlafondConstitutionMontantsBruts(this, null);
    jdoSetm_capitalInitialBrutConstitutionMontantsBruts(this, null);
    
    jdoSetm_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(this, null);
    
    jdoSetm_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(this, null);
    jdoSetm_montantPlafondConstitutionSalaireJournalierMoyen(this, null);
    
    jdoSetm_smicMensuelJustificationDiffere(this, null);
    jdoSetm_smicJournalierJustificationDiffere(this, null);
    jdoSetm_coefA1JustificationMontantsBruts(this, null);
    jdoSetm_coefA2JustificationMontantsBruts(this, null);
    jdoSetm_coefB1JustificationMontantsBruts(this, null);
    jdoSetm_coefB2JustificationMontantsBruts(this, null);
    jdoSetm_coefCJustificationMontantsBruts(this, null);
    jdoSetm_montantMiniJustificationMontantsBruts(this, null);
    jdoSetm_salaireReferenceForfaitaireJustificationMontantsBruts(this, null);
    jdoSetm_forfaitHeuresJustificationMontantsBruts(this, null);
  }
  
  public Object createOM()
  {
    if (m_constitutionElementsRepriseOM == null) {
      m_constitutionElementsRepriseOM = new ConstitutionElementsReprise(this);
    }
    return m_constitutionElementsRepriseOM;
  }
  
  public boolean isPresenceDonneesConstitutionDurees()
  {
    return jdoGetm_presenceDonneesConstitutionDurees(this);
  }
  
  public final void setPresenceDonneesConstitutionDurees(boolean p_presenceDonneesConstitutionDurees)
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, p_presenceDonneesConstitutionDurees);
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBruts()
  {
    return jdoGetm_presenceDonneesConstitutionMontantsBruts(this);
  }
  
  public final void setPresenceDonneesConstitutionMontantsBruts(boolean p_presenceDonneesConstitutionMontantsBruts)
  {
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, p_presenceDonneesConstitutionMontantsBruts);
  }
  
  public boolean isPresenceDonneesConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_presenceDonneesConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setPresenceDonneesConstitutionSalaireJournalierMoyen(boolean p_presenceDonneesConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_presenceDonneesConstitutionSalaireJournalierMoyen(this, p_presenceDonneesConstitutionSalaireJournalierMoyen);
  }
  
  public boolean isPresenceDonneesConstitutionDelaisReport()
  {
    return jdoGetm_presenceDonneesConstitutionDelaisReport(this);
  }
  
  public final void setPresenceDonneesConstitutionDelaisReport(boolean p_presenceDonneesConstitutionDelaisReport)
  {
    jdoSetm_presenceDonneesConstitutionDelaisReport(this, p_presenceDonneesConstitutionDelaisReport);
  }
  
  public boolean isPresenceDonneesConstitutionReglementApplicable()
  {
    return jdoGetm_presenceDonneesConstitutionReglementApplicable(this);
  }
  
  public final void setPresenceDonneesConstitutionReglementApplicable(boolean p_presenceDonneesConstitutionReglementApplicable)
  {
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, p_presenceDonneesConstitutionReglementApplicable);
  }
  
  public boolean isPresenceDonneesConstitutionDateAttribution()
  {
    return jdoGetm_presenceDonneesConstitutionDateAttribution(this);
  }
  
  public final void setPresenceDonneesConstitutionDateAttribution(boolean p_presenceDonneesConstitutionDateAttribution)
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, p_presenceDonneesConstitutionDateAttribution);
  }
  
  public boolean isPresenceDonneesConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPresenceDonneesConstitutionPointDepartIndemnisation(boolean p_presenceDonneesConstitutionPointDepartIndemnisation)
  {
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, p_presenceDonneesConstitutionPointDepartIndemnisation);
  }
  
  public Quantite getDureeEffectiveConstitutionDurees()
  {
    return jdoGetm_dureeEffectiveConstitutionDurees(this);
  }
  
  public final void setDureeEffectiveConstitutionDurees(Quantite p_dureeEffectiveConstitutionDurees)
  {
    jdoSetm_dureeEffectiveConstitutionDurees(this, p_dureeEffectiveConstitutionDurees);
  }
  
  public Quantite getDureeImputationConstitutionDurees()
  {
    return jdoGetm_dureeImputationConstitutionDurees(this);
  }
  
  public final void setDureeImputationConstitutionDurees(Quantite p_dureeImputationConstitutionDurees)
  {
    jdoSetm_dureeImputationConstitutionDurees(this, p_dureeImputationConstitutionDurees);
  }
  
  public Quantite getDureeTheoriqueConstitutionDurees()
  {
    return jdoGetm_dureeTheoriqueConstitutionDurees(this);
  }
  
  public final void setDureeTheoriqueConstitutionDurees(Quantite p_dureeTheoriqueConstitutionDurees)
  {
    jdoSetm_dureeTheoriqueConstitutionDurees(this, p_dureeTheoriqueConstitutionDurees);
  }
  
  public QuantiteEuro getMontantJournalierBrutConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierBrutConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierBrutConstitutionMontantsBruts(QuantiteEuro p_montantJournalierBrutConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierBrutConstitutionMontantsBruts(this, p_montantJournalierBrutConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantPartieAConstitutionMontantsBruts()
  {
    return jdoGetm_montantPartieAConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPartieAConstitutionMontantsBruts(QuantiteEuro p_montantPartieAConstitutionMontantsBruts)
  {
    jdoSetm_montantPartieAConstitutionMontantsBruts(this, p_montantPartieAConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantPartieBConstitutionMontantsBruts()
  {
    return jdoGetm_montantPartieBConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPartieBConstitutionMontantsBruts(QuantiteEuro p_montantPartieBConstitutionMontantsBruts)
  {
    jdoSetm_montantPartieBConstitutionMontantsBruts(this, p_montantPartieBConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantPartieCConstitutionMontantsBruts()
  {
    return jdoGetm_montantPartieCConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPartieCConstitutionMontantsBruts(QuantiteEuro p_montantPartieCConstitutionMontantsBruts)
  {
    jdoSetm_montantPartieCConstitutionMontantsBruts(this, p_montantPartieCConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantBaseConstitutionMontantsBruts()
  {
    return jdoGetm_montantBaseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBaseConstitutionMontantsBruts(QuantiteEuro p_montantBaseConstitutionMontantsBruts)
  {
    jdoSetm_montantBaseConstitutionMontantsBruts(this, p_montantBaseConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getCotisationRetraiteComplementaireConstitutionMontantsBruts()
  {
    return jdoGetm_cotisationRetraiteComplementaireConstitutionMontantsBruts(this);
  }
  
  public final void setCotisationRetraiteComplementaireConstitutionMontantsBruts(QuantiteEuro p_cotisationRetraiteComplementaireConstitutionMontantsBruts)
  {
    jdoSetm_cotisationRetraiteComplementaireConstitutionMontantsBruts(this, p_cotisationRetraiteComplementaireConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts()
  {
    return jdoGetm_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(QuantiteEuro p_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts)
  {
    jdoSetm_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(this, p_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesseConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(QuantiteEuro p_montantJournalierAvantageVieillesseConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(QuantiteEuro p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getMontantPlafondConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlafondConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlafondConstitutionMontantsBruts(QuantiteEuro p_montantPlafondConstitutionMontantsBruts)
  {
    jdoSetm_montantPlafondConstitutionMontantsBruts(this, p_montantPlafondConstitutionMontantsBruts);
  }
  
  public QuantiteEuro getCapitalInitialBrutConstitutionMontantsBruts()
  {
    return jdoGetm_capitalInitialBrutConstitutionMontantsBruts(this);
  }
  
  public final void setCapitalInitialBrutConstitutionMontantsBruts(QuantiteEuro p_capitalInitialBrutConstitutionMontantsBruts)
  {
    jdoSetm_capitalInitialBrutConstitutionMontantsBruts(this, p_capitalInitialBrutConstitutionMontantsBruts);
  }
  
  public Damj getDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(Damj p_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(this, p_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(QuantiteEuro p_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(this, p_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
  }
  
  public Damj getDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(Damj p_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(this, p_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(QuantiteEuro p_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(this, p_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
  }
  
  public QuantiteEuro getMontantPlafondConstitutionSalaireJournalierMoyen()
  {
    return jdoGetm_montantPlafondConstitutionSalaireJournalierMoyen(this);
  }
  
  public final void setMontantPlafondConstitutionSalaireJournalierMoyen(QuantiteEuro p_montantPlafondConstitutionSalaireJournalierMoyen)
  {
    jdoSetm_montantPlafondConstitutionSalaireJournalierMoyen(this, p_montantPlafondConstitutionSalaireJournalierMoyen);
  }
  
  public int getNbJoursPMCNonIndemnConstitutionDelaisReport()
  {
    return jdoGetm_nbJoursPMCNonIndemnConstitutionDelaisReport(this);
  }
  
  public final void setNbJoursPMCNonIndemnConstitutionDelaisReport(int p_nbJoursPMCNonIndemnConstitutionDelaisReport)
  {
    jdoSetm_nbJoursPMCNonIndemnConstitutionDelaisReport(this, p_nbJoursPMCNonIndemnConstitutionDelaisReport);
  }
  
  public Damj getDebutPMCNonIndemnConstitutionDelaisReport()
  {
    return jdoGetm_debutPMCNonIndemnConstitutionDelaisReport(this);
  }
  
  public final void setDebutPMCNonIndemnConstitutionDelaisReport(Damj p_debutPMCNonIndemnConstitutionDelaisReport)
  {
    jdoSetm_debutPMCNonIndemnConstitutionDelaisReport(this, p_debutPMCNonIndemnConstitutionDelaisReport);
  }
  
  public Damj getTermePMCNonIndemnConstitutionDelaisReport()
  {
    return jdoGetm_termePMCNonIndemnConstitutionDelaisReport(this);
  }
  
  public final void setTermePMCNonIndemnConstitutionDelaisReport(Damj p_termePMCNonIndemnConstitutionDelaisReport)
  {
    jdoSetm_termePMCNonIndemnConstitutionDelaisReport(this, p_termePMCNonIndemnConstitutionDelaisReport);
  }
  
  public int getNbJoursPMCIndemnConstitutionDelaisReport()
  {
    return jdoGetm_nbJoursPMCIndemnConstitutionDelaisReport(this);
  }
  
  public final void setNbJoursPMCIndemnConstitutionDelaisReport(int p_nbJoursPMCIndemnConstitutionDelaisReport)
  {
    jdoSetm_nbJoursPMCIndemnConstitutionDelaisReport(this, p_nbJoursPMCIndemnConstitutionDelaisReport);
  }
  
  public Damj getDebutPMCIndemnConstitutionDelaisReport()
  {
    return jdoGetm_debutPMCIndemnConstitutionDelaisReport(this);
  }
  
  public final void setDebutPMCIndemnConstitutionDelaisReport(Damj p_debutPMCIndemnConstitutionDelaisReport)
  {
    jdoSetm_debutPMCIndemnConstitutionDelaisReport(this, p_debutPMCIndemnConstitutionDelaisReport);
  }
  
  public Damj getTermePMCIndemnConstitutionDelaisReport()
  {
    return jdoGetm_termePMCIndemnConstitutionDelaisReport(this);
  }
  
  public final void setTermePMCIndemnConstitutionDelaisReport(Damj p_termePMCIndemnConstitutionDelaisReport)
  {
    jdoSetm_termePMCIndemnConstitutionDelaisReport(this, p_termePMCIndemnConstitutionDelaisReport);
  }
  
  public int getNbJoursCarenceStandardConstitutionDelaisReport()
  {
    return jdoGetm_nbJoursCarenceStandardConstitutionDelaisReport(this);
  }
  
  public final void setNbJoursCarenceStandardConstitutionDelaisReport(int p_nbJoursCarenceStandardConstitutionDelaisReport)
  {
    jdoSetm_nbJoursCarenceStandardConstitutionDelaisReport(this, p_nbJoursCarenceStandardConstitutionDelaisReport);
  }
  
  public Damj getDebutCarenceStandardConstitutionDelaisReport()
  {
    return jdoGetm_debutCarenceStandardConstitutionDelaisReport(this);
  }
  
  public final void setDebutCarenceStandardConstitutionDelaisReport(Damj p_debutCarenceStandardConstitutionDelaisReport)
  {
    jdoSetm_debutCarenceStandardConstitutionDelaisReport(this, p_debutCarenceStandardConstitutionDelaisReport);
  }
  
  public Damj getTermeCarenceStandardConstitutionDelaisReport()
  {
    return jdoGetm_termeCarenceStandardConstitutionDelaisReport(this);
  }
  
  public final void setTermeCarenceStandardConstitutionDelaisReport(Damj p_termeCarenceStandardConstitutionDelaisReport)
  {
    jdoSetm_termeCarenceStandardConstitutionDelaisReport(this, p_termeCarenceStandardConstitutionDelaisReport);
  }
  
  public int getNbJoursCarenceISLRConstitutionDelaisReport()
  {
    return jdoGetm_nbJoursCarenceISLRConstitutionDelaisReport(this);
  }
  
  public final void setNbJoursCarenceISLRConstitutionDelaisReport(int p_nbJoursCarenceISLRConstitutionDelaisReport)
  {
    jdoSetm_nbJoursCarenceISLRConstitutionDelaisReport(this, p_nbJoursCarenceISLRConstitutionDelaisReport);
  }
  
  public Damj getDebutCarenceISLRConstitutionDelaisReport()
  {
    return jdoGetm_debutCarenceISLRConstitutionDelaisReport(this);
  }
  
  public final void setDebutCarenceISLRConstitutionDelaisReport(Damj p_debutCarenceISLRConstitutionDelaisReport)
  {
    jdoSetm_debutCarenceISLRConstitutionDelaisReport(this, p_debutCarenceISLRConstitutionDelaisReport);
  }
  
  public Damj getTermeCarenceISLRConstitutionDelaisReport()
  {
    return jdoGetm_termeCarenceISLRConstitutionDelaisReport(this);
  }
  
  public final void setTermeCarenceISLRConstitutionDelaisReport(Damj p_termeCarenceISLRConstitutionDelaisReport)
  {
    jdoSetm_termeCarenceISLRConstitutionDelaisReport(this, p_termeCarenceISLRConstitutionDelaisReport);
  }
  
  public int getNbJoursDelaiReportConstitutionDelaisReport()
  {
    return jdoGetm_nbJoursDelaiReportConstitutionDelaisReport(this);
  }
  
  public final void setNbJoursDelaiReportConstitutionDelaisReport(int p_nbJoursDelaiReportConstitutionDelaisReport)
  {
    jdoSetm_nbJoursDelaiReportConstitutionDelaisReport(this, p_nbJoursDelaiReportConstitutionDelaisReport);
  }
  
  public Damj getDebutDelaiReportConstitutionDelaisReport()
  {
    return jdoGetm_debutDelaiReportConstitutionDelaisReport(this);
  }
  
  public final void setDebutDelaiReportConstitutionDelaisReport(Damj p_debutDelaiReportConstitutionDelaisReport)
  {
    jdoSetm_debutDelaiReportConstitutionDelaisReport(this, p_debutDelaiReportConstitutionDelaisReport);
  }
  
  public Damj getTermeDelaiReportConstitutionDelaisReport()
  {
    return jdoGetm_termeDelaiReportConstitutionDelaisReport(this);
  }
  
  public final void setTermeDelaiReportConstitutionDelaisReport(Damj p_termeDelaiReportConstitutionDelaisReport)
  {
    jdoSetm_termeDelaiReportConstitutionDelaisReport(this, p_termeDelaiReportConstitutionDelaisReport);
  }
  
  public String getNomReglementConstitutionReglementApplicable()
  {
    return jdoGetm_nomReglementConstitutionReglementApplicable(this);
  }
  
  public final void setNomReglementConstitutionReglementApplicable(String p_nomReglementConstitutionReglementApplicable)
  {
    jdoSetm_nomReglementConstitutionReglementApplicable(this, p_nomReglementConstitutionReglementApplicable);
  }
  
  public int getCodeProduitReglementConstitutionReglementApplicable()
  {
    return jdoGetm_codeProduitReglementConstitutionReglementApplicable(this);
  }
  
  public final void setCodeProduitReglementConstitutionReglementApplicable(int p_codeProduitReglementConstitutionReglementApplicable)
  {
    jdoSetm_codeProduitReglementConstitutionReglementApplicable(this, p_codeProduitReglementConstitutionReglementApplicable);
  }
  
  public Damj getDateAttributionConstitutionDateAttribution()
  {
    return jdoGetm_dateAttributionConstitutionDateAttribution(this);
  }
  
  public final void setDateAttributionConstitutionDateAttribution(Damj p_dateAttributionConstitutionDateAttribution)
  {
    jdoSetm_dateAttributionConstitutionDateAttribution(this, p_dateAttributionConstitutionDateAttribution);
  }
  
  public Damj getPointDepartIndemnisationConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_pointDepartIndemnisationConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPointDepartIndemnisationConstitutionPointDepartIndemnisation(Damj p_pointDepartIndemnisationConstitutionPointDepartIndemnisation)
  {
    jdoSetm_pointDepartIndemnisationConstitutionPointDepartIndemnisation(this, p_pointDepartIndemnisationConstitutionPointDepartIndemnisation);
  }
  
  public QuantiteEuro getTotalSalairesNonPlafonnesJustificationDiffere()
  {
    return jdoGetm_totalSalairesNonPlafonnesJustificationDiffere(this);
  }
  
  public final void setTotalSalairesNonPlafonnesJustificationDiffere(QuantiteEuro p_totalSalairesNonPlafonnesJustificationDiffere)
  {
    jdoSetm_totalSalairesNonPlafonnesJustificationDiffere(this, p_totalSalairesNonPlafonnesJustificationDiffere);
  }
  
  public QuantiteEuro getSmicMensuelJustificationDiffere()
  {
    return jdoGetm_smicMensuelJustificationDiffere(this);
  }
  
  public final void setSmicMensuelJustificationDiffere(QuantiteEuro p_smicMensuelJustificationDiffere)
  {
    jdoSetm_smicMensuelJustificationDiffere(this, p_smicMensuelJustificationDiffere);
  }
  
  public QuantiteEuro getSmicJournalierJustificationDiffere()
  {
    return jdoGetm_smicJournalierJustificationDiffere(this);
  }
  
  public final void setSmicJournalierJustificationDiffere(QuantiteEuro p_smicJournalierJustificationDiffere)
  {
    jdoSetm_smicJournalierJustificationDiffere(this, p_smicJournalierJustificationDiffere);
  }
  
  public BigDecimal getCoefA1JustificationMontantsBruts()
  {
    return jdoGetm_coefA1JustificationMontantsBruts(this);
  }
  
  public final void setCoefA1JustificationMontantsBruts(BigDecimal p_coefA1JustificationMontantsBruts)
  {
    jdoSetm_coefA1JustificationMontantsBruts(this, p_coefA1JustificationMontantsBruts);
  }
  
  public BigDecimal getCoefA2JustificationMontantsBruts()
  {
    return jdoGetm_coefA2JustificationMontantsBruts(this);
  }
  
  public final void setCoefA2JustificationMontantsBruts(BigDecimal p_coefA2JustificationMontantsBruts)
  {
    jdoSetm_coefA2JustificationMontantsBruts(this, p_coefA2JustificationMontantsBruts);
  }
  
  public BigDecimal getCoefB1JustificationMontantsBruts()
  {
    return jdoGetm_coefB1JustificationMontantsBruts(this);
  }
  
  public final void setCoefB1JustificationMontantsBruts(BigDecimal p_coefB1JustificationMontantsBruts)
  {
    jdoSetm_coefB1JustificationMontantsBruts(this, p_coefB1JustificationMontantsBruts);
  }
  
  public BigDecimal getCoefB2JustificationMontantsBruts()
  {
    return jdoGetm_coefB2JustificationMontantsBruts(this);
  }
  
  public final void setCoefB2JustificationMontantsBruts(BigDecimal p_coefB2JustificationMontantsBruts)
  {
    jdoSetm_coefB2JustificationMontantsBruts(this, p_coefB2JustificationMontantsBruts);
  }
  
  public BigDecimal getCoefCJustificationMontantsBruts()
  {
    return jdoGetm_coefCJustificationMontantsBruts(this);
  }
  
  public final void setCoefCJustificationMontantsBruts(BigDecimal p_coefCJustificationMontantsBruts)
  {
    jdoSetm_coefCJustificationMontantsBruts(this, p_coefCJustificationMontantsBruts);
  }
  
  public QuantiteEuro getMontantMiniJustificationMontantsBruts()
  {
    return jdoGetm_montantMiniJustificationMontantsBruts(this);
  }
  
  public final void setMontantMiniJustificationMontantsBruts(QuantiteEuro p_montantMiniJustificationMontantsBruts)
  {
    jdoSetm_montantMiniJustificationMontantsBruts(this, p_montantMiniJustificationMontantsBruts);
  }
  
  public BigDecimal getSalaireReferenceForfaitaireJustificationMontantsBruts()
  {
    return jdoGetm_salaireReferenceForfaitaireJustificationMontantsBruts(this);
  }
  
  public final void setSalaireReferenceForfaitaireJustificationMontantsBruts(BigDecimal p_salaireReferenceForfaitaireJustificationMontantsBruts)
  {
    jdoSetm_salaireReferenceForfaitaireJustificationMontantsBruts(this, p_salaireReferenceForfaitaireJustificationMontantsBruts);
  }
  
  public BigDecimal getForfaitHeuresJustificationMontantsBruts()
  {
    return jdoGetm_forfaitHeuresJustificationMontantsBruts(this);
  }
  
  public final void setForfaitHeuresJustificationMontantsBruts(BigDecimal p_forfaitHeuresJustificationMontantsBruts)
  {
    jdoSetm_forfaitHeuresJustificationMontantsBruts(this, p_forfaitHeuresJustificationMontantsBruts);
  }
  
  public int getFranchiseCongesPayesConstitutionDelaisReport()
  {
    return jdoGetm_franchiseCongesPayesConstitutionDelaisReport(this);
  }
  
  public final void setFranchiseCongesPayesConstitutionDelaisReport(int p_franchiseCongesPayesConstitutionDelaisReport)
  {
    jdoSetm_franchiseCongesPayesConstitutionDelaisReport(this, p_franchiseCongesPayesConstitutionDelaisReport);
  }
  
  public Quantite getQuantiteFranchiseCPMensuelle()
  {
    return jdoGetm_quantiteFranchiseCPMensuelle(this);
  }
  
  public final void setQuantiteFranchiseCPMensuelle(Quantite p_quantiteFranchiseCPMensuelle)
  {
    jdoSetm_quantiteFranchiseCPMensuelle(this, p_quantiteFranchiseCPMensuelle);
  }
  
  public Quantite getQuantiteFranchiseSalaireMensuelle()
  {
    return jdoGetm_quantiteFranchiseSalaireMensuelle(this);
  }
  
  public final void setQuantiteFranchiseSalaireMensuelle(Quantite p_quantiteFranchiseSalaireMensuelle)
  {
    jdoSetm_quantiteFranchiseSalaireMensuelle(this, p_quantiteFranchiseSalaireMensuelle);
  }
  
  public DomPCSpec getJustificationFranchiseCongesPayes()
  {
    return jdoGetm_justificationFranchiseCongesPayes(this);
  }
  
  public final void setJustificationFranchiseCongesPayes(DomPCSpec p_justificationFranchiseCongesPayes)
  {
    jdoSetm_justificationFranchiseCongesPayes(this, (JustificationFranchiseCongesPayesPC)p_justificationFranchiseCongesPayes);
  }
  
  public String getFormuleJustificationDiffere()
  {
    return jdoGetm_formuleJustificationDiffere(this);
  }
  
  public final void setFormuleJustificationDiffere(String p_formuleJustificationDiffere)
  {
    jdoSetm_formuleJustificationDiffere(this, p_formuleJustificationDiffere);
  }
  
  public Periode getPeriodeApplicationDifferePrecedentConstitutionDelaisReport()
  {
    return jdoGetm_periodeApplicationDifferePrecedentConstitutionDelaisReport(this);
  }
  
  public final void setPeriodeApplicationDifferePrecedentConstitutionDelaisReport(Periode p_periodeApplicationDifferePrecedentConstitutionDelaisReport)
  {
    jdoSetm_periodeApplicationDifferePrecedentConstitutionDelaisReport(this, p_periodeApplicationDifferePrecedentConstitutionDelaisReport);
  }
  
  public boolean isPresenceDonneesConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_presenceDonneesConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setPresenceDonneesConstitutionDateLimiteIndemnisation(boolean p_presenceDonneesConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_presenceDonneesConstitutionDateLimiteIndemnisation(this, p_presenceDonneesConstitutionDateLimiteIndemnisation);
  }
  
  public Damj getDateLimiteIndemnisationConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(Damj p_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation(this, p_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
  }
  
  public String getContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(String p_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(this, p_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
  }
  
  public DureeCalendaire getDureeIndemnisationConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_dureeIndemnisationConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setDureeIndemnisationConstitutionDateLimiteIndemnisation(DureeCalendaire p_dureeIndemnisationConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_dureeIndemnisationConstitutionDateLimiteIndemnisation(this, p_dureeIndemnisationConstitutionDateLimiteIndemnisation);
  }
  
  public Damj getPointDepartConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_pointDepartConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setPointDepartConstitutionDateLimiteIndemnisation(Damj p_pointDepartConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_pointDepartConstitutionDateLimiteIndemnisation(this, p_pointDepartConstitutionDateLimiteIndemnisation);
  }
  
  public BigDecimal getDureeImputeeConstitutionDateLimiteIndemnisation()
  {
    return jdoGetm_dureeImputeeConstitutionDateLimiteIndemnisation(this);
  }
  
  public final void setDureeImputeeConstitutionDateLimiteIndemnisation(BigDecimal p_dureeImputeeConstitutionDateLimiteIndemnisation)
  {
    jdoSetm_dureeImputeeConstitutionDateLimiteIndemnisation(this, p_dureeImputeeConstitutionDateLimiteIndemnisation);
  }
  
  public QuantiteEuro getMontantJournalierBrutNonPrecompteMontantsBruts()
  {
    return jdoGetm_montantJournalierBrutNonPrecompteMontantsBruts(this);
  }
  
  public final void setMontantJournalierBrutNonPrecompteMontantsBruts(QuantiteEuro p_montantJournalierBrutNonPrecompteMontantsBruts)
  {
    jdoSetm_montantJournalierBrutNonPrecompteMontantsBruts(this, p_montantJournalierBrutNonPrecompteMontantsBruts);
  }
  
  public final Collection getCollectionCarence()
  {
    if (jdoGetm_listeCarencesConstitutionDelaisReport(this) == null) {
      jdoSetm_listeCarencesConstitutionDelaisReport(this, new ArrayList());
    }
    return jdoGetm_listeCarencesConstitutionDelaisReport(this);
  }
  
  public final void ajouterCarence(DomPCSpec p_carencesConstitutionDelaisReport)
    throws NullPointerException
  {
    if (p_carencesConstitutionDelaisReport == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_carencesConstitutionDelaisReport ne devrait pas être nul.", p_carencesConstitutionDelaisReport);
    }
    getCollectionCarence().add(p_carencesConstitutionDelaisReport);
  }
  
  public final void supprimerCarence(DomPCSpec p_carencesConstitutionDelaisReport)
    throws NullPointerException
  {
    if (p_carencesConstitutionDelaisReport == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_carencesConstitutionDelaisReport ne devrait pas être nul.", p_carencesConstitutionDelaisReport);
    }
    getCollectionCarence().remove(p_carencesConstitutionDelaisReport);
  }
  
  public final Collection getCollectionPeriodeRetenue()
  {
    if (jdoGetm_listePeriodeRetenueJustificationDiffere(this) == null) {
      jdoSetm_listePeriodeRetenueJustificationDiffere(this, new ArrayList());
    }
    return jdoGetm_listePeriodeRetenueJustificationDiffere(this);
  }
  
  public final void ajouterPeriodeRetenue(DomPCSpec p_periodeRetenueJustificationDiffere)
    throws NullPointerException
  {
    if (p_periodeRetenueJustificationDiffere == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRetenueJustificationDiffere ne devrait pas être nul.", p_periodeRetenueJustificationDiffere);
    }
    getCollectionPeriodeRetenue().add(p_periodeRetenueJustificationDiffere);
  }
  
  public final void supprimerPeriodeRetenue(DomPCSpec p_periodeRetenueJustificationDiffere)
    throws NullPointerException
  {
    if (p_periodeRetenueJustificationDiffere == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRetenueJustificationDiffere ne devrait pas être nul.", p_periodeRetenueJustificationDiffere);
    }
    getCollectionPeriodeRetenue().remove(p_periodeRetenueJustificationDiffere);
  }
  
  public final Collection getCollectionMontantBrutPensionInvalidite()
  {
    if (jdoGetm_listePensionInvaliditeMontantBrut(this) == null) {
      jdoSetm_listePensionInvaliditeMontantBrut(this, new ArrayList());
    }
    return jdoGetm_listePensionInvaliditeMontantBrut(this);
  }
  
  public final void ajouterMontantBrutPensionInvalidite(DomPCSpec p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionMontantBrutPensionInvalidite().add(p_pensionInvaliditeMontantBrut);
  }
  
  public final void supprimerMontantBrutPensionInvalidite(DomPCSpec p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionMontantBrutPensionInvalidite().remove(p_pensionInvaliditeMontantBrut);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionElementsReprisePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionElementsReprisePC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDurees);
    }
    return m_presenceDonneesConstitutionDurees;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConstitutionMontantsBruts;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionMontantsBruts);
    }
    return m_presenceDonneesConstitutionMontantsBruts;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConstitutionSalaireJournalierMoyen;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionSalaireJournalierMoyen);
    }
    return m_presenceDonneesConstitutionSalaireJournalierMoyen;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConstitutionDelaisReport;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionDelaisReport);
    }
    return m_presenceDonneesConstitutionDelaisReport;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConstitutionReglementApplicable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionReglementApplicable);
    }
    return m_presenceDonneesConstitutionReglementApplicable;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConstitutionDateAttribution;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionDateAttribution);
    }
    return m_presenceDonneesConstitutionDateAttribution;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConstitutionPointDepartIndemnisation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionPointDepartIndemnisation);
    }
    return m_presenceDonneesConstitutionPointDepartIndemnisation;
  }
  
  protected static final Quantite jdoGetm_dureeEffectiveConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeEffectiveConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_dureeEffectiveConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_dureeEffectiveConstitutionDurees);
    }
    return m_dureeEffectiveConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeImputationConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_dureeImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_dureeImputationConstitutionDurees);
    }
    return m_dureeImputationConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_dureeTheoriqueConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 9, m_dureeTheoriqueConstitutionDurees);
    }
    return m_dureeTheoriqueConstitutionDurees;
  }
  
  protected static final QuantiteEuro jdoGetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_montantJournalierBrutConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_montantJournalierBrutConstitutionMontantsBruts);
    }
    return m_montantJournalierBrutConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPartieAConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPartieAConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_montantPartieAConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 11, m_montantPartieAConstitutionMontantsBruts);
    }
    return m_montantPartieAConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPartieBConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPartieBConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_montantPartieBConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 12, m_montantPartieBConstitutionMontantsBruts);
    }
    return m_montantPartieBConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPartieCConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPartieCConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_montantPartieCConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_montantPartieCConstitutionMontantsBruts);
    }
    return m_montantPartieCConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBaseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_montantBaseConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 14, m_montantBaseConstitutionMontantsBruts);
    }
    return m_montantBaseConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_cotisationRetraiteComplementaireConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_cotisationRetraiteComplementaireConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_cotisationRetraiteComplementaireConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_cotisationRetraiteComplementaireConstitutionMontantsBruts);
    }
    return m_cotisationRetraiteComplementaireConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts);
    }
    return m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 18, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_montantPlafondConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_montantPlafondConstitutionMontantsBruts);
    }
    return m_montantPlafondConstitutionMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_capitalInitialBrutConstitutionMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_capitalInitialBrutConstitutionMontantsBruts);
    }
    return m_capitalInitialBrutConstitutionMontantsBruts;
  }
  
  protected static final Damj jdoGetm_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
    }
    return m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
  }
  
  protected static final QuantiteEuro jdoGetm_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 22, m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
    }
    return m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
  }
  
  protected static final Damj jdoGetm_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
    }
    return m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
  }
  
  protected static final QuantiteEuro jdoGetm_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
    }
    return m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPlafondConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionSalaireJournalierMoyen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_montantPlafondConstitutionSalaireJournalierMoyen;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_montantPlafondConstitutionSalaireJournalierMoyen);
    }
    return m_montantPlafondConstitutionSalaireJournalierMoyen;
  }
  
  protected static final int jdoGetm_nbJoursPMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursPMCNonIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_nbJoursPMCNonIndemnConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 26, m_nbJoursPMCNonIndemnConstitutionDelaisReport);
    }
    return m_nbJoursPMCNonIndemnConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_debutPMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutPMCNonIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_debutPMCNonIndemnConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_debutPMCNonIndemnConstitutionDelaisReport);
    }
    return m_debutPMCNonIndemnConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_termePMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePMCNonIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_termePMCNonIndemnConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 28, m_termePMCNonIndemnConstitutionDelaisReport);
    }
    return m_termePMCNonIndemnConstitutionDelaisReport;
  }
  
  protected static final int jdoGetm_nbJoursPMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursPMCIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_nbJoursPMCIndemnConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 29, m_nbJoursPMCIndemnConstitutionDelaisReport);
    }
    return m_nbJoursPMCIndemnConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_debutPMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutPMCIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_debutPMCIndemnConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_debutPMCIndemnConstitutionDelaisReport);
    }
    return m_debutPMCIndemnConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_termePMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePMCIndemnConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_termePMCIndemnConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 31, m_termePMCIndemnConstitutionDelaisReport);
    }
    return m_termePMCIndemnConstitutionDelaisReport;
  }
  
  protected static final int jdoGetm_nbJoursCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceStandardConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_nbJoursCarenceStandardConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 32, m_nbJoursCarenceStandardConstitutionDelaisReport);
    }
    return m_nbJoursCarenceStandardConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_debutCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceStandardConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_debutCarenceStandardConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 33, m_debutCarenceStandardConstitutionDelaisReport);
    }
    return m_debutCarenceStandardConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_termeCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceStandardConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_termeCarenceStandardConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_termeCarenceStandardConstitutionDelaisReport);
    }
    return m_termeCarenceStandardConstitutionDelaisReport;
  }
  
  protected static final int jdoGetm_nbJoursCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceISLRConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_nbJoursCarenceISLRConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 35, m_nbJoursCarenceISLRConstitutionDelaisReport);
    }
    return m_nbJoursCarenceISLRConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_debutCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceISLRConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_debutCarenceISLRConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 36, m_debutCarenceISLRConstitutionDelaisReport);
    }
    return m_debutCarenceISLRConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_termeCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceISLRConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_termeCarenceISLRConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 37, m_termeCarenceISLRConstitutionDelaisReport);
    }
    return m_termeCarenceISLRConstitutionDelaisReport;
  }
  
  protected static final int jdoGetm_nbJoursDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursDelaiReportConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_nbJoursDelaiReportConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 38, m_nbJoursDelaiReportConstitutionDelaisReport);
    }
    return m_nbJoursDelaiReportConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_debutDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutDelaiReportConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_debutDelaiReportConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_debutDelaiReportConstitutionDelaisReport);
    }
    return m_debutDelaiReportConstitutionDelaisReport;
  }
  
  protected static final Damj jdoGetm_termeDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeDelaiReportConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_termeDelaiReportConstitutionDelaisReport;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 40, m_termeDelaiReportConstitutionDelaisReport);
    }
    return m_termeDelaiReportConstitutionDelaisReport;
  }
  
  protected static final String jdoGetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nomReglementConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_nomReglementConstitutionReglementApplicable;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 41, m_nomReglementConstitutionReglementApplicable);
    }
    return m_nomReglementConstitutionReglementApplicable;
  }
  
  protected static final int jdoGetm_codeProduitReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduitReglementConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_codeProduitReglementConstitutionReglementApplicable;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 42, m_codeProduitReglementConstitutionReglementApplicable);
    }
    return m_codeProduitReglementConstitutionReglementApplicable;
  }
  
  protected static final Damj jdoGetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_dateAttributionConstitutionDateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_dateAttributionConstitutionDateAttribution);
    }
    return m_dateAttributionConstitutionDateAttribution;
  }
  
  protected static final Damj jdoGetm_pointDepartIndemnisationConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pointDepartIndemnisationConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_pointDepartIndemnisationConstitutionPointDepartIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_pointDepartIndemnisationConstitutionPointDepartIndemnisation);
    }
    return m_pointDepartIndemnisationConstitutionPointDepartIndemnisation;
  }
  
  protected static final QuantiteEuro jdoGetm_totalSalairesNonPlafonnesJustificationDiffere(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalSalairesNonPlafonnesJustificationDiffere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_totalSalairesNonPlafonnesJustificationDiffere;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 45, m_totalSalairesNonPlafonnesJustificationDiffere);
    }
    return m_totalSalairesNonPlafonnesJustificationDiffere;
  }
  
  protected static final QuantiteEuro jdoGetm_smicMensuelJustificationDiffere(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_smicMensuelJustificationDiffere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_smicMensuelJustificationDiffere;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 46, m_smicMensuelJustificationDiffere);
    }
    return m_smicMensuelJustificationDiffere;
  }
  
  protected static final QuantiteEuro jdoGetm_smicJournalierJustificationDiffere(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_smicJournalierJustificationDiffere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_smicJournalierJustificationDiffere;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 47, m_smicJournalierJustificationDiffere);
    }
    return m_smicJournalierJustificationDiffere;
  }
  
  protected static final BigDecimal jdoGetm_coefA1JustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefA1JustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_coefA1JustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 48, m_coefA1JustificationMontantsBruts);
    }
    return m_coefA1JustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_coefA2JustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefA2JustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_coefA2JustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_coefA2JustificationMontantsBruts);
    }
    return m_coefA2JustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_coefB1JustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefB1JustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_coefB1JustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 50, m_coefB1JustificationMontantsBruts);
    }
    return m_coefB1JustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_coefB2JustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefB2JustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_coefB2JustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 51, m_coefB2JustificationMontantsBruts);
    }
    return m_coefB2JustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_coefCJustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefCJustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_coefCJustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 52, m_coefCJustificationMontantsBruts);
    }
    return m_coefCJustificationMontantsBruts;
  }
  
  protected static final QuantiteEuro jdoGetm_montantMiniJustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMiniJustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_montantMiniJustificationMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 53, m_montantMiniJustificationMontantsBruts);
    }
    return m_montantMiniJustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_salaireReferenceForfaitaireJustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceForfaitaireJustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_salaireReferenceForfaitaireJustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_salaireReferenceForfaitaireJustificationMontantsBruts);
    }
    return m_salaireReferenceForfaitaireJustificationMontantsBruts;
  }
  
  protected static final BigDecimal jdoGetm_forfaitHeuresJustificationMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_forfaitHeuresJustificationMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_forfaitHeuresJustificationMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 55, m_forfaitHeuresJustificationMontantsBruts);
    }
    return m_forfaitHeuresJustificationMontantsBruts;
  }
  
  private static final int jdoGetm_franchiseCongesPayesConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_franchiseCongesPayesConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_franchiseCongesPayesConstitutionDelaisReport;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 56, m_franchiseCongesPayesConstitutionDelaisReport);
    }
    return m_franchiseCongesPayesConstitutionDelaisReport;
  }
  
  private static final Quantite jdoGetm_quantiteFranchiseCPMensuelle(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteFranchiseCPMensuelle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_quantiteFranchiseCPMensuelle;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 57, m_quantiteFranchiseCPMensuelle);
    }
    return m_quantiteFranchiseCPMensuelle;
  }
  
  private static final Quantite jdoGetm_quantiteFranchiseSalaireMensuelle(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteFranchiseSalaireMensuelle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_quantiteFranchiseSalaireMensuelle;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_quantiteFranchiseSalaireMensuelle);
    }
    return m_quantiteFranchiseSalaireMensuelle;
  }
  
  public static final JustificationFranchiseCongesPayesPC jdoGetm_justificationFranchiseCongesPayes(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_justificationFranchiseCongesPayes;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_justificationFranchiseCongesPayes;
      }
      return (JustificationFranchiseCongesPayesPC)sm.getObjectField(pc, jdoInheritedFieldCount + 59, m_justificationFranchiseCongesPayes);
    }
    return m_justificationFranchiseCongesPayes;
  }
  
  private static final String jdoGetm_formuleJustificationDiffere(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_formuleJustificationDiffere;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_formuleJustificationDiffere;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 60, m_formuleJustificationDiffere);
    }
    return m_formuleJustificationDiffere;
  }
  
  private static final Periode jdoGetm_periodeApplicationDifferePrecedentConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeApplicationDifferePrecedentConstitutionDelaisReport;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_periodeApplicationDifferePrecedentConstitutionDelaisReport;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 61, m_periodeApplicationDifferePrecedentConstitutionDelaisReport);
    }
    return m_periodeApplicationDifferePrecedentConstitutionDelaisReport;
  }
  
  private static final boolean jdoGetm_presenceDonneesConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_presenceDonneesConstitutionDateLimiteIndemnisation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 62, m_presenceDonneesConstitutionDateLimiteIndemnisation);
    }
    return m_presenceDonneesConstitutionDateLimiteIndemnisation;
  }
  
  private static final Damj jdoGetm_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 63, m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
    }
    return m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
  }
  
  private static final String jdoGetm_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 64, m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
    }
    return m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
  }
  
  private static final DureeCalendaire jdoGetm_dureeIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeIndemnisationConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_dureeIndemnisationConstitutionDateLimiteIndemnisation;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 65, m_dureeIndemnisationConstitutionDateLimiteIndemnisation);
    }
    return m_dureeIndemnisationConstitutionDateLimiteIndemnisation;
  }
  
  private static final Damj jdoGetm_pointDepartConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pointDepartConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_pointDepartConstitutionDateLimiteIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 66, m_pointDepartConstitutionDateLimiteIndemnisation);
    }
    return m_pointDepartConstitutionDateLimiteIndemnisation;
  }
  
  private static final BigDecimal jdoGetm_dureeImputeeConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputeeConstitutionDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_dureeImputeeConstitutionDateLimiteIndemnisation;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 67, m_dureeImputeeConstitutionDateLimiteIndemnisation);
    }
    return m_dureeImputeeConstitutionDateLimiteIndemnisation;
  }
  
  private static final QuantiteEuro jdoGetm_montantJournalierBrutNonPrecompteMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutNonPrecompteMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_montantJournalierBrutNonPrecompteMontantsBruts;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 68, m_montantJournalierBrutNonPrecompteMontantsBruts);
    }
    return m_montantJournalierBrutNonPrecompteMontantsBruts;
  }
  
  protected static final Collection jdoGetm_listeCarencesConstitutionDelaisReport(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_listeCarencesConstitutionDelaisReport;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 69, m_listeCarencesConstitutionDelaisReport);
    }
    return m_listeCarencesConstitutionDelaisReport;
  }
  
  protected static final Collection jdoGetm_listePeriodeRetenueJustificationDiffere(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_listePeriodeRetenueJustificationDiffere;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 70, m_listePeriodeRetenueJustificationDiffere);
    }
    return m_listePeriodeRetenueJustificationDiffere;
  }
  
  protected static final Collection jdoGetm_listePensionInvaliditeMontantBrut(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_listePensionInvaliditeMontantBrut;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 71, m_listePensionInvaliditeMontantBrut);
    }
    return m_listePensionInvaliditeMontantBrut;
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDurees(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDurees, newValue);
    } else {
      m_presenceDonneesConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionMontantsBruts, newValue);
    } else {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_presenceDonneesConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDelaisReport(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionDelaisReport, newValue);
    } else {
      m_presenceDonneesConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionReglementApplicable, newValue);
    } else {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionDateAttribution, newValue);
    } else {
      m_presenceDonneesConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeEffectiveConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeEffectiveConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_dureeEffectiveConstitutionDurees, newValue);
    } else {
      m_dureeEffectiveConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeImputationConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_dureeImputationConstitutionDurees, newValue);
    } else {
      m_dureeImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 9, m_dureeTheoriqueConstitutionDurees, newValue);
    } else {
      m_dureeTheoriqueConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_montantJournalierBrutConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPartieAConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPartieAConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 11, m_montantPartieAConstitutionMontantsBruts, newValue);
    } else {
      m_montantPartieAConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPartieBConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPartieBConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 12, m_montantPartieBConstitutionMontantsBruts, newValue);
    } else {
      m_montantPartieBConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPartieCConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPartieCConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_montantPartieCConstitutionMontantsBruts, newValue);
    } else {
      m_montantPartieCConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBaseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 14, m_montantBaseConstitutionMontantsBruts, newValue);
    } else {
      m_montantBaseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_cotisationRetraiteComplementaireConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_cotisationRetraiteComplementaireConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_cotisationRetraiteComplementaireConstitutionMontantsBruts, newValue);
    } else {
      m_cotisationRetraiteComplementaireConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts, newValue);
    } else {
      m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 18, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_montantPlafondConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlafondConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_capitalInitialBrutConstitutionMontantsBruts, newValue);
    } else {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 22, m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionSalaireJournalierMoyen(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionSalaireJournalierMoyen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_montantPlafondConstitutionSalaireJournalierMoyen, newValue);
    } else {
      m_montantPlafondConstitutionSalaireJournalierMoyen = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursPMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursPMCNonIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 26, m_nbJoursPMCNonIndemnConstitutionDelaisReport, newValue);
    } else {
      m_nbJoursPMCNonIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_debutPMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutPMCNonIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_debutPMCNonIndemnConstitutionDelaisReport, newValue);
    } else {
      m_debutPMCNonIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_termePMCNonIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePMCNonIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 28, m_termePMCNonIndemnConstitutionDelaisReport, newValue);
    } else {
      m_termePMCNonIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursPMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursPMCIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 29, m_nbJoursPMCIndemnConstitutionDelaisReport, newValue);
    } else {
      m_nbJoursPMCIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_debutPMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutPMCIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_debutPMCIndemnConstitutionDelaisReport, newValue);
    } else {
      m_debutPMCIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_termePMCIndemnConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePMCIndemnConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 31, m_termePMCIndemnConstitutionDelaisReport, newValue);
    } else {
      m_termePMCIndemnConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceStandardConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 32, m_nbJoursCarenceStandardConstitutionDelaisReport, newValue);
    } else {
      m_nbJoursCarenceStandardConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceStandardConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 33, m_debutCarenceStandardConstitutionDelaisReport, newValue);
    } else {
      m_debutCarenceStandardConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceStandardConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceStandardConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_termeCarenceStandardConstitutionDelaisReport, newValue);
    } else {
      m_termeCarenceStandardConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceISLRConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 35, m_nbJoursCarenceISLRConstitutionDelaisReport, newValue);
    } else {
      m_nbJoursCarenceISLRConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceISLRConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 36, m_debutCarenceISLRConstitutionDelaisReport, newValue);
    } else {
      m_debutCarenceISLRConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceISLRConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceISLRConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 37, m_termeCarenceISLRConstitutionDelaisReport, newValue);
    } else {
      m_termeCarenceISLRConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursDelaiReportConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 38, m_nbJoursDelaiReportConstitutionDelaisReport, newValue);
    } else {
      m_nbJoursDelaiReportConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_debutDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutDelaiReportConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_debutDelaiReportConstitutionDelaisReport, newValue);
    } else {
      m_debutDelaiReportConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_termeDelaiReportConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeDelaiReportConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 40, m_termeDelaiReportConstitutionDelaisReport, newValue);
    } else {
      m_termeDelaiReportConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_nomReglementConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 41, m_nomReglementConstitutionReglementApplicable, newValue);
    } else {
      m_nomReglementConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_codeProduitReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduitReglementConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 42, m_codeProduitReglementConstitutionReglementApplicable, newValue);
    } else {
      m_codeProduitReglementConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_dateAttributionConstitutionDateAttribution, newValue);
    } else {
      m_dateAttributionConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_pointDepartIndemnisationConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_pointDepartIndemnisationConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_pointDepartIndemnisationConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_pointDepartIndemnisationConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_totalSalairesNonPlafonnesJustificationDiffere(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalSalairesNonPlafonnesJustificationDiffere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 45, m_totalSalairesNonPlafonnesJustificationDiffere, newValue);
    } else {
      m_totalSalairesNonPlafonnesJustificationDiffere = newValue;
    }
  }
  
  protected static final void jdoSetm_smicMensuelJustificationDiffere(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_smicMensuelJustificationDiffere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 46, m_smicMensuelJustificationDiffere, newValue);
    } else {
      m_smicMensuelJustificationDiffere = newValue;
    }
  }
  
  protected static final void jdoSetm_smicJournalierJustificationDiffere(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_smicJournalierJustificationDiffere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 47, m_smicJournalierJustificationDiffere, newValue);
    } else {
      m_smicJournalierJustificationDiffere = newValue;
    }
  }
  
  protected static final void jdoSetm_coefA1JustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefA1JustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 48, m_coefA1JustificationMontantsBruts, newValue);
    } else {
      m_coefA1JustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_coefA2JustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefA2JustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_coefA2JustificationMontantsBruts, newValue);
    } else {
      m_coefA2JustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_coefB1JustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefB1JustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 50, m_coefB1JustificationMontantsBruts, newValue);
    } else {
      m_coefB1JustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_coefB2JustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefB2JustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 51, m_coefB2JustificationMontantsBruts, newValue);
    } else {
      m_coefB2JustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_coefCJustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefCJustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 52, m_coefCJustificationMontantsBruts, newValue);
    } else {
      m_coefCJustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMiniJustificationMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMiniJustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 53, m_montantMiniJustificationMontantsBruts, newValue);
    } else {
      m_montantMiniJustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_salaireReferenceForfaitaireJustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceForfaitaireJustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_salaireReferenceForfaitaireJustificationMontantsBruts, newValue);
    } else {
      m_salaireReferenceForfaitaireJustificationMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_forfaitHeuresJustificationMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_forfaitHeuresJustificationMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 55, m_forfaitHeuresJustificationMontantsBruts, newValue);
    } else {
      m_forfaitHeuresJustificationMontantsBruts = newValue;
    }
  }
  
  private static final void jdoSetm_franchiseCongesPayesConstitutionDelaisReport(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_franchiseCongesPayesConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 56, m_franchiseCongesPayesConstitutionDelaisReport, newValue);
    } else {
      m_franchiseCongesPayesConstitutionDelaisReport = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteFranchiseCPMensuelle(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteFranchiseCPMensuelle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 57, m_quantiteFranchiseCPMensuelle, newValue);
    } else {
      m_quantiteFranchiseCPMensuelle = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteFranchiseSalaireMensuelle(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteFranchiseSalaireMensuelle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_quantiteFranchiseSalaireMensuelle, newValue);
    } else {
      m_quantiteFranchiseSalaireMensuelle = newValue;
    }
  }
  
  public static final void jdoSetm_justificationFranchiseCongesPayes(ConstitutionElementsReprisePC pc, JustificationFranchiseCongesPayesPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_justificationFranchiseCongesPayes = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 59, m_justificationFranchiseCongesPayes, newValue);
    } else {
      m_justificationFranchiseCongesPayes = newValue;
    }
  }
  
  private static final void jdoSetm_formuleJustificationDiffere(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_formuleJustificationDiffere = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 60, m_formuleJustificationDiffere, newValue);
    } else {
      m_formuleJustificationDiffere = newValue;
    }
  }
  
  private static final void jdoSetm_periodeApplicationDifferePrecedentConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeApplicationDifferePrecedentConstitutionDelaisReport = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 61, m_periodeApplicationDifferePrecedentConstitutionDelaisReport, newValue);
    } else {
      m_periodeApplicationDifferePrecedentConstitutionDelaisReport = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDonneesConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 62, m_presenceDonneesConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_presenceDonneesConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 63, m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 64, m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dureeIndemnisationConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeIndemnisationConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 65, m_dureeIndemnisationConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_dureeIndemnisationConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_pointDepartConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_pointDepartConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 66, m_pointDepartConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_pointDepartConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dureeImputeeConstitutionDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputeeConstitutionDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 67, m_dureeImputeeConstitutionDateLimiteIndemnisation, newValue);
    } else {
      m_dureeImputeeConstitutionDateLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_montantJournalierBrutNonPrecompteMontantsBruts(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutNonPrecompteMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 68, m_montantJournalierBrutNonPrecompteMontantsBruts, newValue);
    } else {
      m_montantJournalierBrutNonPrecompteMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_listeCarencesConstitutionDelaisReport(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 69, m_listeCarencesConstitutionDelaisReport, newValue);
    } else {
      m_listeCarencesConstitutionDelaisReport = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodeRetenueJustificationDiffere(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 70, m_listePeriodeRetenueJustificationDiffere, newValue);
    } else {
      m_listePeriodeRetenueJustificationDiffere = newValue;
    }
  }
  
  protected static final void jdoSetm_listePensionInvaliditeMontantBrut(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 71, m_listePensionInvaliditeMontantBrut, newValue);
    } else {
      m_listePensionInvaliditeMontantBrut = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDurees);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionMontantsBruts);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSalaireJournalierMoyen);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDelaisReport);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionReglementApplicable);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateAttribution);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionPointDepartIndemnisation);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeEffectiveConstitutionDurees);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationConstitutionDurees);
      break;
    case 9: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueConstitutionDurees);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutConstitutionMontantsBruts);
      break;
    case 11: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPartieAConstitutionMontantsBruts);
      break;
    case 12: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPartieBConstitutionMontantsBruts);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPartieCConstitutionMontantsBruts);
      break;
    case 14: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBaseConstitutionMontantsBruts);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_cotisationRetraiteComplementaireConstitutionMontantsBruts);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
      break;
    case 18: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionMontantsBruts);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrutConstitutionMontantsBruts);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
      break;
    case 22: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionSalaireJournalierMoyen);
      break;
    case 26: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursPMCNonIndemnConstitutionDelaisReport);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutPMCNonIndemnConstitutionDelaisReport);
      break;
    case 28: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePMCNonIndemnConstitutionDelaisReport);
      break;
    case 29: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursPMCIndemnConstitutionDelaisReport);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutPMCIndemnConstitutionDelaisReport);
      break;
    case 31: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePMCIndemnConstitutionDelaisReport);
      break;
    case 32: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceStandardConstitutionDelaisReport);
      break;
    case 33: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceStandardConstitutionDelaisReport);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceStandardConstitutionDelaisReport);
      break;
    case 35: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceISLRConstitutionDelaisReport);
      break;
    case 36: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceISLRConstitutionDelaisReport);
      break;
    case 37: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceISLRConstitutionDelaisReport);
      break;
    case 38: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursDelaiReportConstitutionDelaisReport);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutDelaiReportConstitutionDelaisReport);
      break;
    case 40: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeDelaiReportConstitutionDelaisReport);
      break;
    case 41: 
      jdoStateManager.providedStringField(this, fieldNumber, m_nomReglementConstitutionReglementApplicable);
      break;
    case 42: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduitReglementConstitutionReglementApplicable);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionConstitutionDateAttribution);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pointDepartIndemnisationConstitutionPointDepartIndemnisation);
      break;
    case 45: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalSalairesNonPlafonnesJustificationDiffere);
      break;
    case 46: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_smicMensuelJustificationDiffere);
      break;
    case 47: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_smicJournalierJustificationDiffere);
      break;
    case 48: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefA1JustificationMontantsBruts);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefA2JustificationMontantsBruts);
      break;
    case 50: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefB1JustificationMontantsBruts);
      break;
    case 51: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefB2JustificationMontantsBruts);
      break;
    case 52: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefCJustificationMontantsBruts);
      break;
    case 53: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMiniJustificationMontantsBruts);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireReferenceForfaitaireJustificationMontantsBruts);
      break;
    case 55: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_forfaitHeuresJustificationMontantsBruts);
      break;
    case 56: 
      jdoStateManager.providedIntField(this, fieldNumber, m_franchiseCongesPayesConstitutionDelaisReport);
      break;
    case 57: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteFranchiseCPMensuelle);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteFranchiseSalaireMensuelle);
      break;
    case 59: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_justificationFranchiseCongesPayes);
      break;
    case 60: 
      jdoStateManager.providedStringField(this, fieldNumber, m_formuleJustificationDiffere);
      break;
    case 61: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeApplicationDifferePrecedentConstitutionDelaisReport);
      break;
    case 62: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateLimiteIndemnisation);
      break;
    case 63: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
      break;
    case 64: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation);
      break;
    case 65: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeIndemnisationConstitutionDateLimiteIndemnisation);
      break;
    case 66: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pointDepartConstitutionDateLimiteIndemnisation);
      break;
    case 67: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputeeConstitutionDateLimiteIndemnisation);
      break;
    case 68: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutNonPrecompteMontantsBruts);
      break;
    case 69: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeCarencesConstitutionDelaisReport);
      break;
    case 70: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodeRetenueJustificationDiffere);
      break;
    case 71: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePensionInvaliditeMontantBrut);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConstitutionMontantsBruts = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConstitutionSalaireJournalierMoyen = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConstitutionDelaisReport = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConstitutionReglementApplicable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConstitutionDateAttribution = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConstitutionPointDepartIndemnisation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_dureeEffectiveConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 8: 
      m_dureeImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_dureeTheoriqueConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 10: 
      m_montantJournalierBrutConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_montantPartieAConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 12: 
      m_montantPartieBConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 13: 
      m_montantPartieCConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_montantBaseConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 15: 
      m_cotisationRetraiteComplementaireConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 17: 
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 19: 
      m_montantPlafondConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_capitalInitialBrutConstitutionMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 23: 
      m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_montantPlafondConstitutionSalaireJournalierMoyen = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_nbJoursPMCNonIndemnConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 27: 
      m_debutPMCNonIndemnConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_termePMCNonIndemnConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 29: 
      m_nbJoursPMCIndemnConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 30: 
      m_debutPMCIndemnConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_termePMCIndemnConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 32: 
      m_nbJoursCarenceStandardConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 33: 
      m_debutCarenceStandardConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 34: 
      m_termeCarenceStandardConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_nbJoursCarenceISLRConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 36: 
      m_debutCarenceISLRConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 37: 
      m_termeCarenceISLRConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 38: 
      m_nbJoursDelaiReportConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 39: 
      m_debutDelaiReportConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_termeDelaiReportConstitutionDelaisReport = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 41: 
      m_nomReglementConstitutionReglementApplicable = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 42: 
      m_codeProduitReglementConstitutionReglementApplicable = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 43: 
      m_dateAttributionConstitutionDateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_pointDepartIndemnisationConstitutionPointDepartIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_totalSalairesNonPlafonnesJustificationDiffere = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 46: 
      m_smicMensuelJustificationDiffere = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 47: 
      m_smicJournalierJustificationDiffere = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 48: 
      m_coefA1JustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 49: 
      m_coefA2JustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_coefB1JustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 51: 
      m_coefB2JustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 52: 
      m_coefCJustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 53: 
      m_montantMiniJustificationMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 54: 
      m_salaireReferenceForfaitaireJustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_forfaitHeuresJustificationMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 56: 
      m_franchiseCongesPayesConstitutionDelaisReport = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 57: 
      m_quantiteFranchiseCPMensuelle = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 58: 
      m_quantiteFranchiseSalaireMensuelle = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 59: 
      m_justificationFranchiseCongesPayes = ((JustificationFranchiseCongesPayesPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 60: 
      m_formuleJustificationDiffere = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 61: 
      m_periodeApplicationDifferePrecedentConstitutionDelaisReport = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 62: 
      m_presenceDonneesConstitutionDateLimiteIndemnisation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 63: 
      m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 64: 
      m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 65: 
      m_dureeIndemnisationConstitutionDateLimiteIndemnisation = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 66: 
      m_pointDepartConstitutionDateLimiteIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 67: 
      m_dureeImputeeConstitutionDateLimiteIndemnisation = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 68: 
      m_montantJournalierBrutNonPrecompteMontantsBruts = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 69: 
      m_listeCarencesConstitutionDelaisReport = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 70: 
      m_listePeriodeRetenueJustificationDiffere = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 71: 
      m_listePensionInvaliditeMontantBrut = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionElementsReprisePC pc = new ConstitutionElementsReprisePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionElementsReprisePC pc = new ConstitutionElementsReprisePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 72;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionElementsReprisePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionElementsReprisePC other = (ConstitutionElementsReprisePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConstitutionDurees = m_presenceDonneesConstitutionDurees;
        break;
      case 1: 
        m_presenceDonneesConstitutionMontantsBruts = m_presenceDonneesConstitutionMontantsBruts;
        break;
      case 2: 
        m_presenceDonneesConstitutionSalaireJournalierMoyen = m_presenceDonneesConstitutionSalaireJournalierMoyen;
        break;
      case 3: 
        m_presenceDonneesConstitutionDelaisReport = m_presenceDonneesConstitutionDelaisReport;
        break;
      case 4: 
        m_presenceDonneesConstitutionReglementApplicable = m_presenceDonneesConstitutionReglementApplicable;
        break;
      case 5: 
        m_presenceDonneesConstitutionDateAttribution = m_presenceDonneesConstitutionDateAttribution;
        break;
      case 6: 
        m_presenceDonneesConstitutionPointDepartIndemnisation = m_presenceDonneesConstitutionPointDepartIndemnisation;
        break;
      case 7: 
        m_dureeEffectiveConstitutionDurees = m_dureeEffectiveConstitutionDurees;
        break;
      case 8: 
        m_dureeImputationConstitutionDurees = m_dureeImputationConstitutionDurees;
        break;
      case 9: 
        m_dureeTheoriqueConstitutionDurees = m_dureeTheoriqueConstitutionDurees;
        break;
      case 10: 
        m_montantJournalierBrutConstitutionMontantsBruts = m_montantJournalierBrutConstitutionMontantsBruts;
        break;
      case 11: 
        m_montantPartieAConstitutionMontantsBruts = m_montantPartieAConstitutionMontantsBruts;
        break;
      case 12: 
        m_montantPartieBConstitutionMontantsBruts = m_montantPartieBConstitutionMontantsBruts;
        break;
      case 13: 
        m_montantPartieCConstitutionMontantsBruts = m_montantPartieCConstitutionMontantsBruts;
        break;
      case 14: 
        m_montantBaseConstitutionMontantsBruts = m_montantBaseConstitutionMontantsBruts;
        break;
      case 15: 
        m_cotisationRetraiteComplementaireConstitutionMontantsBruts = m_cotisationRetraiteComplementaireConstitutionMontantsBruts;
        break;
      case 16: 
        m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts = m_montantBrutPensionInvaliditeDeduitConstitutionMontantsBruts;
        break;
      case 17: 
        m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
        break;
      case 18: 
        m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
        break;
      case 19: 
        m_montantPlafondConstitutionMontantsBruts = m_montantPlafondConstitutionMontantsBruts;
        break;
      case 20: 
        m_capitalInitialBrutConstitutionMontantsBruts = m_capitalInitialBrutConstitutionMontantsBruts;
        break;
      case 21: 
        m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = m_dateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
        break;
      case 22: 
        m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen = m_montantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen;
        break;
      case 23: 
        m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = m_dateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
        break;
      case 24: 
        m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen = m_montantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen;
        break;
      case 25: 
        m_montantPlafondConstitutionSalaireJournalierMoyen = m_montantPlafondConstitutionSalaireJournalierMoyen;
        break;
      case 26: 
        m_nbJoursPMCNonIndemnConstitutionDelaisReport = m_nbJoursPMCNonIndemnConstitutionDelaisReport;
        break;
      case 27: 
        m_debutPMCNonIndemnConstitutionDelaisReport = m_debutPMCNonIndemnConstitutionDelaisReport;
        break;
      case 28: 
        m_termePMCNonIndemnConstitutionDelaisReport = m_termePMCNonIndemnConstitutionDelaisReport;
        break;
      case 29: 
        m_nbJoursPMCIndemnConstitutionDelaisReport = m_nbJoursPMCIndemnConstitutionDelaisReport;
        break;
      case 30: 
        m_debutPMCIndemnConstitutionDelaisReport = m_debutPMCIndemnConstitutionDelaisReport;
        break;
      case 31: 
        m_termePMCIndemnConstitutionDelaisReport = m_termePMCIndemnConstitutionDelaisReport;
        break;
      case 32: 
        m_nbJoursCarenceStandardConstitutionDelaisReport = m_nbJoursCarenceStandardConstitutionDelaisReport;
        break;
      case 33: 
        m_debutCarenceStandardConstitutionDelaisReport = m_debutCarenceStandardConstitutionDelaisReport;
        break;
      case 34: 
        m_termeCarenceStandardConstitutionDelaisReport = m_termeCarenceStandardConstitutionDelaisReport;
        break;
      case 35: 
        m_nbJoursCarenceISLRConstitutionDelaisReport = m_nbJoursCarenceISLRConstitutionDelaisReport;
        break;
      case 36: 
        m_debutCarenceISLRConstitutionDelaisReport = m_debutCarenceISLRConstitutionDelaisReport;
        break;
      case 37: 
        m_termeCarenceISLRConstitutionDelaisReport = m_termeCarenceISLRConstitutionDelaisReport;
        break;
      case 38: 
        m_nbJoursDelaiReportConstitutionDelaisReport = m_nbJoursDelaiReportConstitutionDelaisReport;
        break;
      case 39: 
        m_debutDelaiReportConstitutionDelaisReport = m_debutDelaiReportConstitutionDelaisReport;
        break;
      case 40: 
        m_termeDelaiReportConstitutionDelaisReport = m_termeDelaiReportConstitutionDelaisReport;
        break;
      case 41: 
        m_nomReglementConstitutionReglementApplicable = m_nomReglementConstitutionReglementApplicable;
        break;
      case 42: 
        m_codeProduitReglementConstitutionReglementApplicable = m_codeProduitReglementConstitutionReglementApplicable;
        break;
      case 43: 
        m_dateAttributionConstitutionDateAttribution = m_dateAttributionConstitutionDateAttribution;
        break;
      case 44: 
        m_pointDepartIndemnisationConstitutionPointDepartIndemnisation = m_pointDepartIndemnisationConstitutionPointDepartIndemnisation;
        break;
      case 45: 
        m_totalSalairesNonPlafonnesJustificationDiffere = m_totalSalairesNonPlafonnesJustificationDiffere;
        break;
      case 46: 
        m_smicMensuelJustificationDiffere = m_smicMensuelJustificationDiffere;
        break;
      case 47: 
        m_smicJournalierJustificationDiffere = m_smicJournalierJustificationDiffere;
        break;
      case 48: 
        m_coefA1JustificationMontantsBruts = m_coefA1JustificationMontantsBruts;
        break;
      case 49: 
        m_coefA2JustificationMontantsBruts = m_coefA2JustificationMontantsBruts;
        break;
      case 50: 
        m_coefB1JustificationMontantsBruts = m_coefB1JustificationMontantsBruts;
        break;
      case 51: 
        m_coefB2JustificationMontantsBruts = m_coefB2JustificationMontantsBruts;
        break;
      case 52: 
        m_coefCJustificationMontantsBruts = m_coefCJustificationMontantsBruts;
        break;
      case 53: 
        m_montantMiniJustificationMontantsBruts = m_montantMiniJustificationMontantsBruts;
        break;
      case 54: 
        m_salaireReferenceForfaitaireJustificationMontantsBruts = m_salaireReferenceForfaitaireJustificationMontantsBruts;
        break;
      case 55: 
        m_forfaitHeuresJustificationMontantsBruts = m_forfaitHeuresJustificationMontantsBruts;
        break;
      case 56: 
        m_franchiseCongesPayesConstitutionDelaisReport = m_franchiseCongesPayesConstitutionDelaisReport;
        break;
      case 57: 
        m_quantiteFranchiseCPMensuelle = m_quantiteFranchiseCPMensuelle;
        break;
      case 58: 
        m_quantiteFranchiseSalaireMensuelle = m_quantiteFranchiseSalaireMensuelle;
        break;
      case 59: 
        m_justificationFranchiseCongesPayes = m_justificationFranchiseCongesPayes;
        break;
      case 60: 
        m_formuleJustificationDiffere = m_formuleJustificationDiffere;
        break;
      case 61: 
        m_periodeApplicationDifferePrecedentConstitutionDelaisReport = m_periodeApplicationDifferePrecedentConstitutionDelaisReport;
        break;
      case 62: 
        m_presenceDonneesConstitutionDateLimiteIndemnisation = m_presenceDonneesConstitutionDateLimiteIndemnisation;
        break;
      case 63: 
        m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation = m_dateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
        break;
      case 64: 
        m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation = m_contexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation;
        break;
      case 65: 
        m_dureeIndemnisationConstitutionDateLimiteIndemnisation = m_dureeIndemnisationConstitutionDateLimiteIndemnisation;
        break;
      case 66: 
        m_pointDepartConstitutionDateLimiteIndemnisation = m_pointDepartConstitutionDateLimiteIndemnisation;
        break;
      case 67: 
        m_dureeImputeeConstitutionDateLimiteIndemnisation = m_dureeImputeeConstitutionDateLimiteIndemnisation;
        break;
      case 68: 
        m_montantJournalierBrutNonPrecompteMontantsBruts = m_montantJournalierBrutNonPrecompteMontantsBruts;
        break;
      case 69: 
        m_listeCarencesConstitutionDelaisReport = m_listeCarencesConstitutionDelaisReport;
        break;
      case 70: 
        m_listePeriodeRetenueJustificationDiffere = m_listePeriodeRetenueJustificationDiffere;
        break;
      case 71: 
        m_listePensionInvaliditeMontantBrut = m_listePensionInvaliditeMontantBrut;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsReprisePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */