package fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec;

import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.Collection;

public abstract class ConstitutionElementsAbstraitPC
{
  public Quantite getDureeEffectiveConstitutionDurees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDureeEffectiveConstitutionDurees(Quantite dureeEffective)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Quantite getDureeImputationConstitutionDurees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDureeImputationConstitutionDurees(Quantite dureeImputation)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Quantite getDureeTheoriqueConstitutionDurees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDureeTheoriqueConstitutionDurees(Quantite dureeTheorique)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Periode getPeriodeReference91joursConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPeriodeReference91joursConstitutionDelaisReport(Periode periodeReference91jours)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNbJoursPMCNonIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNbJoursPMCNonIndemnConstitutionDelaisReport(int nbJoursPMCNonIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDebutPMCNonIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDebutPMCNonIndemnConstitutionDelaisReport(Damj debutPMCNonIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getTermePMCNonIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTermePMCNonIndemnConstitutionDelaisReport(Damj termePMCNonIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNbJoursCarenceStandardConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNbJoursCarenceStandardConstitutionDelaisReport(int nbJoursCarenceStandard)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDebutCarenceStandardConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDebutCarenceStandardConstitutionDelaisReport(Damj debutCarenceStandard)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getTermeCarenceStandardConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTermeCarenceStandardConstitutionDelaisReport(Damj termeCarenceStandard)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNbJoursCarenceISLRConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNbJoursCarenceISLRConstitutionDelaisReport(int nbJoursCarenceISLR)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDebutCarenceISLRConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDebutCarenceISLRConstitutionDelaisReport(Damj debutCarenceISLR)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getTermeCarenceISLRConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTermeCarenceISLRConstitutionDelaisReport(Damj termeCarenceISLR)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNbJoursDelaiReportConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNbJoursDelaiReportConstitutionDelaisReport(int nbJoursDelaiReport)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDebutDelaiReportConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDebutDelaiReportConstitutionDelaisReport(Damj debutDelaiReport)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getTermeDelaiReportConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTermeDelaiReportConstitutionDelaisReport(Damj termeDelaiReport)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setJustificationDiffereConstitutionDelaisReport(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DomPCSpec getJustificationDiffereConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionCarence()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterCarence(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerCarence(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantJournalierBrutConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantJournalierBrutConstitutionMontantsBruts(QuantiteEuro montantJournalierBrut)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPartieAConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPartieAConstitutionMontantsBruts(QuantiteEuro montantPartieA)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPartieBConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPartieBConstitutionMontantsBruts(QuantiteEuro montantPartieB)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPartieCConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPartieCConstitutionMontantsBruts(QuantiteEuro montantPartieC)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantBaseConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantBaseConstitutionMontantsBruts(QuantiteEuro montantBase)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getCotisationRetraiteComplementaireConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCotisationRetraiteComplementaireConstitutionMontantsBruts(QuantiteEuro cotisationRetraiteComplementaire)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantBrutPensionInvaliditeDeduitConstitutionMontantsBruts(QuantiteEuro montantBrutPensionInvaliditeDeduit)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesseConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(QuantiteEuro montantJournalierAvantageVieillesse)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(QuantiteEuro montantJournalierAvantageVieillesseDeduit)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getNombreHeuresTravailleesConstitutionNbHeuresTravaillees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreHeuresTravailleesConstitutionNbHeuresTravaillees(BigDecimal nombreHeuresTravaillees)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getNombreHeuresTravailleesEtenduConstitutionNbHeuresTravaillees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreHeuresTravailleesEtenduConstitutionNbHeuresTravaillees(BigDecimal nombreHeuresTravailleesEtendu)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getNombreHeuresTravailleesPlafonneConstitutionNbHeuresTravaillees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreHeuresTravailleesPlafonneConstitutionNbHeuresTravaillees(BigDecimal nombreHeuresTravailleesPlafonne)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getPointDepartIndemnisationConstitutionPointDepartIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPointDepartIndemnisationConstitutionPointDepartIndemnisation(Damj pointDepartIndemnisation)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(Damj dateSalaireJournalierMoyenInitial)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(QuantiteEuro montantSalaireJournalierMoyenInitial)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(Damj dateSalaireJournalierMoyenRevalorise)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(QuantiteEuro montantSalaireJournalierMoyenRevalorise)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPlafondConstitutionSalaireJournalierMoyen()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPlafondConstitutionSalaireJournalierMoyen(QuantiteEuro montantPlafond)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantSalaireReferenceInitialConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantSalaireReferenceInitialConstitutionSalaireReference(QuantiteEuro montantSalaireReferenceInitial)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Periode getPrcConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPrcConstitutionSalaireReference(Periode prc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Periode getPripConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPripConstitutionSalaireReference(Periode prip)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPlafondConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPlafondConstitutionSalaireReference(QuantiteEuro montantPlafond)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setJustificationSalaireReferenceConstitutionSalaireReference(Object object)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DomPCSpec getJustificationReductionSalaireConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setJustificationReductionSalaireConstitutionSalaireReference(Object object)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DomPCSpec getJustificationPlafondConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DomPCSpec getJustificationSalaireReferenceConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setJustificationPlafondConstitutionSalaireReference(Object object)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterMois(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerMois(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDateAttributionConstitutionDateAttribution()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDateAttributionConstitutionDateAttribution(Damj dateAttribution)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getTotalSalairesNonPlafonnesJustificationDiffere()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTotalSalairesNonPlafonnesJustificationDiffere(QuantiteEuro totalSalairesNonPlafonnes)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getSmicMensuelJustificationDiffere()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setSmicMensuelJustificationDiffere(QuantiteEuro smicMensuel)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getSmicJournalierJustificationDiffere()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setSmicJournalierJustificationDiffere(QuantiteEuro smicJournalier)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionPeriodeRetenue()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerPeriodeRetenue(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterPeriodeRetenue(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionExercice()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterExercice(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerExercice(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionPeriodeActivite()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterPeriodeActivite(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerPeriodeActivite(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionMoisCivils()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference(QuantiteEuro montantSalaireReferenceInitialPlafonne)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference(QuantiteEuro montantSalaireReferenceRevalorisePlafonne)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterMoisCivils(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerMoisCivils(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterDiffere(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerDiffere(DomPCSpec pc)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionDiffere()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNomReglementConstitutionReglementApplicable(String nomReglement)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getCodeProduitReglementConstitutionReglementApplicable()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public String getNomReglementConstitutionReglementApplicable()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCodeProduitReglementConstitutionReglementApplicable(int codeProduitReglement)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNbJoursPMCIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNbJoursPMCIndemnConstitutionDelaisReport(int nbJoursPMCIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDebutPMCIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDebutPMCIndemnConstitutionDelaisReport(Damj debutPMCIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getTermePMCIndemnConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setTermePMCIndemnConstitutionDelaisReport(Damj termePMCIndemn)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantTotalSalairesRetenusJustificationSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantTotalSalairesRetenusJustificationSalaireReference(QuantiteEuro montantTotalSalairesRetenus)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantTotalPrimesNormalesRetenuesJustificationSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantTotalPrimesNormalesRetenuesJustificationSalaireReference(QuantiteEuro montantTotalPrimesNormalesRetenues)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantTotalPrimesExceptionnellesRetenuesJustificationSalaireReference(QuantiteEuro montantTotalPrimesExceptionnellesRetenues)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantPlafondConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantPlafondConstitutionMontantsBruts(QuantiteEuro montantPlafond)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getCapitalInitialBrutConstitutionMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCapitalInitialBrutConstitutionMontantsBruts(QuantiteEuro capitalInitialBrut)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getCoefA1JustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getCoefA2JustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getCoefB1JustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getCoefB2JustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getCoefCJustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantMiniJustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getSalaireReferenceForfaitaireJustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getForfaitHeuresJustificationMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCoefA1JustificationMontantsBruts(BigDecimal coefA1)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCoefA2JustificationMontantsBruts(BigDecimal coefA2)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCoefB1JustificationMontantsBruts(BigDecimal coefB1)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCoefB2JustificationMontantsBruts(BigDecimal coefB2)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setCoefCJustificationMontantsBruts(BigDecimal coefC)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantMiniJustificationMontantsBruts(QuantiteEuro montantMini)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setSalaireReferenceForfaitaireJustificationMontantsBruts(BigDecimal salaireReferenceForfaitaire)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setForfaitHeuresJustificationMontantsBruts(BigDecimal forfaitHeures)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getNombreJoursEmploiDansPRCConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreJoursEmploiDansPRCConstitutionSalaireReference(int nombreJoursEmploiDansPRCConstitutionSalaireReference)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Collection getCollectionMontantBrutPensionInvalidite()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void ajouterMontantBrutPensionInvalidite(DomPCSpec pensionInvaliditeConstitutionMontantBrut)
    throws NullPointerException
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void supprimerMontantBrutPensionInvalidite(DomPCSpec pensionInvaliditeConstitutionMontantBrut)
    throws NullPointerException
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Quantite getQuantiteFranchiseCPMensuelle()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setFranchiseCongesPayesConstitutionDelaisReport(int franchiseCongesPayes)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public int getFranchiseCongesPayesConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setJustificationFranchiseCongesPayes(DomPCSpec justificationFranchiseCongesPayes)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DomPCSpec getJustificationFranchiseCongesPayes()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setQuantiteFranchiseCPMensuelle(Quantite quantiteFranchiseCPMensuelle)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Quantite getQuantiteFranchiseSalaireMensuelle()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setQuantiteFranchiseSalaireMensuelle(Quantite quantiteFranchiseSalaireMensuelle)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public String getFormuleJustificationDiffere()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setFormuleJustificationDiffere(String formule)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPeriodeApplicationDifferePrecedentConstitutionDelaisReport(Periode periode)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Periode getPeriodeApplicationDifferePrecedentConstitutionDelaisReport()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getDateLimiteIndemnisationConstitutionDateLimiteIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(Damj date)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public String getContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setContexteDateLimiteIndemnisationConstitutionDateLimiteIndemnisation(String contexte)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public DureeCalendaire getDureeIndemnisationConstitutionDateLimiteIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDureeIndemnisationConstitutionDateLimiteIndemnisation(DureeCalendaire duree)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public Damj getPointDepartConstitutionDateLimiteIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setPointDepartConstitutionDateLimiteIndemnisation(Damj date)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getDureeImputeeConstitutionDateLimiteIndemnisation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setDureeImputeeConstitutionDateLimiteIndemnisation(BigDecimal jours)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getNombreHeuresTravailleesMajoreesConstitutionNbHeuresTravaillees()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreHeuresTravailleesMajoreesConstitutionNbHeuresTravaillees(BigDecimal nbHeures)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public QuantiteEuro getMontantJournalierBrutNonPrecompteMontantsBruts()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setMontantJournalierBrutNonPrecompteMontantsBruts(QuantiteEuro montant)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public void setNombreJoursInactiviteDansPRCConstitutionSalaireReference(BigDecimal nombreJoursInactiviteDansPRC)
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
  
  public BigDecimal getNombreJoursInactiviteDansPRCConstitutionSalaireReference()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée. Elle doit être rédéfinie dans la classe fille");
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsAbstraitPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */