package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.DelaiRechercheProduit;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.CertifieSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.DeclareSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.autresdoms.ga.outilsfonctionnels.OutilPasseProfessionel;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public class RechercheConditionFaitGenerateurDemandeClassique
  implements RechercheConditionFaitGenerateurSpec
{
  public ConditionFaitGenerateur rechercherConditionFaitGenerateur(Demande demande)
    throws CoucheLogiqueException
  {
    ConditionFaitGenerateur conditionFaitGenerateurRetourne = ((DossierExamen)demande.getDossierExamen()).getConditionAttributionAdmission().createConditionFaitGenerateur();
    
    boolean echecCondition = false;
    TravailSpec dernierSinistre = null;
    if (!estDemandeCra(demande))
    {
      DelaiRechercheProduit periodeDelaiForclusion = determinerDelaiForclusion(demande);
      
      DelaiRechercheProduit periodeDelaiValiditeFaitGenerateur = null;
      if (periodeDelaiForclusion != null) {
        periodeDelaiValiditeFaitGenerateur = determinerDelaiValiditeFaitGenerateur(demande, periodeDelaiForclusion);
      }
      Chronologie chronoActivitesParticipantesDansDelai = ConstructionChronologie.determinerChronoPeriodesTravailFiniesDansDelai(periodeDelaiForclusion, OutilPasseProfessionel.trouverChronoPasseProfessionelAvecFiltrageDNJ(demande.getDemandeur()));
      
      Chronologie chronoActivitesHorsChampDansDelai = null;
      if ((chronoActivitesParticipantesDansDelai != null) && (!chronoActivitesParticipantesDansDelai.estVide()))
      {
        chronoActivitesHorsChampDansDelai = ConstructionChronologie.determinerChronoPeriodesTravailHorsChamp(chronoActivitesParticipantesDansDelai);
        if ((chronoActivitesHorsChampDansDelai != null) && (!chronoActivitesHorsChampDansDelai.estVide()) && (chronoActivitesParticipantesDansDelai.getTaille() == chronoActivitesHorsChampDansDelai.getTaille()))
        {
          conditionFaitGenerateurRetourne.setEtatSatisfait(false);
          conditionFaitGenerateurRetourne.setCodeMotifEchec(42);
          echecCondition = true;
        }
      }
      dernierSinistre = determinerDernierSinistre(demande);
      if ((!echecCondition) && (dernierSinistre == null))
      {
        conditionFaitGenerateurRetourne.setEtatSatisfait(false);
        conditionFaitGenerateurRetourne.setCodeMotifEchec(41);
        echecCondition = true;
      }
      if ((!echecCondition) && (dernierSinistre != null) && (((dernierSinistre instanceof DeclareSpec)) || (((dernierSinistre instanceof CertifieSpec)) && (!((CertifieSpec)dernierSinistre).estAtteste())))) {
        if (demande.getFormulaire().getPresenceAe().equalsIgnoreCase("I"))
        {
          conditionFaitGenerateurRetourne.setEtatSatisfait(false);
          
          conditionFaitGenerateurRetourne.setCodeMotifEchec(46);
          echecCondition = true;
        }
        else if (demande.getFormulaire().getPresenceAe().equalsIgnoreCase("O"))
        {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB1", new String[] { dernierSinistre.getDateDebut().toString(), dernierSinistre.getDateFin().toString() });
        }
      }
      boolean delaiForclusionAllonge = (periodeDelaiForclusion != null) && (demande.getDonneesTemporaires() != null) && (demande.getDonneesTemporaires().getAllongementDelaiForclusion() != null) && (demande.getDonneesTemporaires().getAllongementDelaiForclusion().getJours() != 0);
      
      int codeMotifEchecDelaiForclusion = delaiForclusionAllonge ? 45 : 44;
      if ((!echecCondition) && (dernierSinistre != null)) {
        if ((periodeDelaiValiditeFaitGenerateur == null) || (!dernierSinistre.getDateFin().estContenueDans(periodeDelaiValiditeFaitGenerateur)))
        {
          if ((periodeDelaiValiditeFaitGenerateur != null) && (periodeDelaiValiditeFaitGenerateur.getDebut().coincideAvec(periodeDelaiForclusion.getDebut())) && (periodeDelaiValiditeFaitGenerateur.getFin().coincideAvec(periodeDelaiForclusion.getFin()))) {
            conditionFaitGenerateurRetourne.setCodeMotifEchec(codeMotifEchecDelaiForclusion);
          } else {
            conditionFaitGenerateurRetourne.setCodeMotifEchec(41);
          }
          conditionFaitGenerateurRetourne.setEtatSatisfait(false);
          echecCondition = true;
        }
      }
      TravailSpec derniereFctEtudieeAffectationProduit = determinerDerniereFctEtudiee(demande);
      if ((!echecCondition) && (derniereFctEtudieeAffectationProduit != null)) {
        if ((periodeDelaiForclusion != null) && (derniereFctEtudieeAffectationProduit.getDateFin().estContenueDans(periodeDelaiForclusion))) {
          if (((derniereFctEtudieeAffectationProduit instanceof DeclareSpec)) || (((derniereFctEtudieeAffectationProduit instanceof CertifieSpec)) && (!((CertifieSpec)derniereFctEtudieeAffectationProduit).estAtteste()))) {
            if ((demande.getFormulaire().getPresenceAe() == null) || (demande.getFormulaire().getPresenceAe().equalsIgnoreCase("I")))
            {
              conditionFaitGenerateurRetourne.setEtatSatisfait(false);
              
              conditionFaitGenerateurRetourne.setCodeMotifEchec(46);
              echecCondition = true;
            }
            else if (demande.getFormulaire().getPresenceAe().equalsIgnoreCase("O"))
            {
              fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB2", new String[] { derniereFctEtudieeAffectationProduit.getDateFin().toString() });
            }
          }
        }
      }
      if (!echecCondition)
      {
        conditionFaitGenerateurRetourne.setEtatSatisfait(true);
        conditionFaitGenerateurRetourne.setPeriodeFaitGenerateur((ActiviteSalarie)dernierSinistre);
        conditionFaitGenerateurRetourne.setAgeIndividuDateFG(demande.getDemandeur().getAgeALaDate(dernierSinistre.getDateFin()));
      }
    }
    else
    {
      conditionFaitGenerateurRetourne.setEtatSatisfait(true);
      dernierSinistre = ((DossierAffectation)demande.getDossierAffectation()).getSinistre();
      conditionFaitGenerateurRetourne.setPeriodeFaitGenerateur((ActiviteSalarie)dernierSinistre);
      conditionFaitGenerateurRetourne.setAgeIndividuDateFG(demande.getDemandeur().getAgeALaDate(dernierSinistre.getDateFin()));
    }
    return conditionFaitGenerateurRetourne;
  }
  
  protected DelaiRechercheProduit determinerDelaiForclusion(Demande demande)
    throws CoucheLogiqueException
  {
    return ((DossierAffectation)demande.getDossierAffectation()).getDelaiRecherche();
  }
  
  protected DelaiRechercheProduit determinerDelaiValiditeFaitGenerateur(Demande demande, DelaiRechercheProduit delaiForclusion)
  {
    return (DelaiRechercheProduit)delaiForclusion.copie();
  }
  
  protected TravailSpec determinerDernierSinistre(Demande demande)
    throws CoucheLogiqueException
  {
    return ((DossierAffectation)demande.getDossierAffectation()).getSinistre();
  }
  
  protected TravailSpec determinerDerniereFctEtudiee(Demande demande)
  {
    return ((DossierAffectation)demande.getDossierAffectation()).getDerniereFctEtudiee();
  }
  
  protected boolean estDemandeCra(Demande demande)
  {
    return (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ENTREECRA")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ENCOURSCRA"));
  }
}

/* Location:
 * Qualified Name:     RechercheConditionFaitGenerateurDemandeClassique
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */