package fr.unedic.cali.asu.spe02.p05;

import fr.pe.cali.liquidation.outilsfonctionnels.dom.ResultatImputationSuiteArce;
import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.SalaireReference;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.condition.cumulactiviteconservee.RechercheConditionCumulActiviteConservee;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ObjectifExamenSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.ComparateurDecisionSpeSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.formules.ParametresCarenceIndemnisationStandard2016;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.spec.ParametresCarenceIndemnisationStandardSpec;
import fr.unedic.cali.asu.spe02.p05.antecedent.GrapheAntecedent;
import fr.unedic.cali.asu.spe02.p05.liquidation.dom.FabriqueObjectifExamen;
import fr.unedic.cali.asu.spe02.p05.liquidation.dom.FabriqueObjectifExamenSpec;
import fr.unedic.cali.asu.spe02.p05.liquidation.dom.ObjectifExamenAdmission;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.ConstructionPra;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.ConvertisseurUniteAffiliation;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.OutilPeriodeElementaire;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.dom.ComportementCalculAffiliation;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.AlimentationBaseEchangesSPE02P05;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.AlimentationBasePivotSpectacle2016;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.ComparateurDecision;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.OutilDeterminationDureePourArce;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.OutilDeterminationImputationSuiteArce;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.OutilSimulationAffiliation;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.RechercheValiditeProduit;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DomSimulationAffiliation;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.dom.affectation.spec.IProduitAsuSansDuree;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.cali.dom.spec.ComportementAffiliationSpec;
import fr.unedic.cali.liquidation.outilsfonctionnels.spec.OutilPeriodeElementaireSpectacleSpec;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.Convertisseur;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.List;

public class ProduitDelegue
  extends fr.unedic.cali.asu.spe02.p04.ProduitDelegue
  implements IProduitAsuSansDuree
{
  public ParametresCarenceIndemnisationStandardSpec recupererParametresCarenceIndemnisationDiffereStandard()
  {
    return new ParametresCarenceIndemnisationStandard2016();
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie activiteSalarie, IndividuSpec individu, DemandeSpec demande, boolean avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    return RechercheValiditeProduit.getInstance().validerProduit(activiteSalarie, (DemandeAssuranceSpec)demande);
  }
  
  public ComportementAffiliationSpec getComportementAffiliation()
  {
    return ComportementCalculAffiliation.creerInstance();
  }
  
  public Convertisseur determinerConvertisseurUniteAffiliation()
  {
    return ConvertisseurUniteAffiliation.getInstance();
  }
  
  public Resultat executerSimulationAffiliation(DomSimulationAffiliation domSimulationAffiliation)
    throws ApplicativeException
  {
    return new OutilSimulationAffiliation().calculAffi(domSimulationAffiliation);
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    return ConstructionPra.determinerPraLaPlusLongue(demandeCourante, periodeFctCourante);
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    FabriqueObjectifExamenSpec fabrique = FabriqueObjectifExamen.getInstance();
    return fabrique.creerObjectif(sousType, contexteDemande);
  }
  
  public Resultat verifierConditionAnciennete(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenAdmission objectifCourant = (ObjectifExamenAdmission)recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionAnciennete();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDateLimiteIndemnisation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateLimiteIndemnisation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec resultatExecutionCalcul, Damj dateEtude)
    throws ApplicativeException
  {
    return null;
  }
  
  public OutilPeriodeElementaireSpectacleSpec getOutilPeriodeElementaire()
  {
    return OutilPeriodeElementaire.getInstance();
  }
  
  protected ComparateurDecisionSpeSpec recupererComparateurDecision()
  {
    return ComparateurDecision.getInstance();
  }
  
  public String determinerCodeSousProduitPourSigma(DecisionSpec dossierExamen)
  {
    String codeSousProduit = null;
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)dossierExamen.getDemande(), "ENTREECRA")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)dossierExamen.getDemande(), "ENCOURSCRA"))) {
      codeSousProduit = "CR";
    }
    return codeSousProduit;
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec dossierExamen, Decision demandeEchange)
    throws CoucheLogiqueException
  {
    AlimentationBaseEchangesSPE02P05.getInstance().alimenterDonneesProduit(dossierExamen, demandeEchange);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException
  {
    AlimentationBasePivotSpectacle2016.getInstance().alimenterDonneesProduit(dossierExamen, demandePivot);
  }
  
  public Quantite getDureeRestante(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    return OutilDeterminationDureePourArce.getInstance().determinerNombreMaximalJoursAllocationAServir((AttributionAssuranceSpec)attribution, dateCalcul);
  }
  
  public ResultatImputationSuiteArce traiterImputationSuiteArce(AttributionSpec attributionPrecedente, Damj dateCalcul)
    throws ApplicativeException
  {
    return OutilDeterminationImputationSuiteArce.getInstance().traiterImputationSuiteArce((AttributionAssuranceSpec)attributionPrecedente, dateCalcul);
  }
  
  public Resultat verifierConditionCumulActiviteConservee(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    if (objectifCourant.getType() == 2)
    {
      DomLiquidationAssurance donnees = (DomLiquidationAssurance)contexte.getDonnees();
      if (RechercheConditionCumulActiviteConservee.getInstance().estPansSurArceOuvertSurDroitToujoursEnCours(donnees.getDemande())) {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_REPRISE_SPECTACLE_SUITE_ARCE_ET_ANS_EN_COURS");
      }
    }
    return super.verifierConditionCumulActiviteConservee(contexte);
  }
  
  public Resultat creerGrapheDemandeAntecedent(Contexte contexte)
    throws CoucheLogiqueException
  {
    GrapheAntecedent.getInstance().alimenterGrapheDecisionAntecedent(contexte);
    return new Resultat(0);
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec pEbi, Damj date)
  {
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)pEbi;
    
    SalaireReference srrp = fr.unedic.cali.asu.spe02.p05.calcul.outilsfonctionnels.RevalorisationSalaire.determinerSrrp(ebi.getSalaireReference(), ebi.getNbJoursEmploiSurPrc(), ebi.getNombreJoursInactivite(), date);
    
    return fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels.RevalorisationSalaire.determinerSjmrp(srrp, ebi.getCoefficientHoraireJour(), ebi.getNombreHeuresTravailleesPlafonnees(), date);
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */