package fr.pe.cali.logique.donnees.vls;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _NotificationImpl
  extends Notification
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _Notification m_notificationInfra;
  
  public _NotificationImpl()
  {
    m_notificationInfra = new _Notification();
  }
  
  public _NotificationImpl(_Notification pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("NotificationInfra", pValeur);
    
    m_notificationInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_notificationInfra;
  }
  
  public String getIdentifiant()
  {
    return m_notificationInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_notificationInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_notificationInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_notificationInfra.set_C_ETAT(pCode);
  }
  
  public BigDecimal getIdRCI()
  {
    return m_notificationInfra.getIdRCI();
  }
  
  public String getCodeErreurIdRCI()
  {
    return m_notificationInfra.getIdRCI_C_ERR();
  }
  
  public void setIdRCI(BigDecimal pValeur)
  {
    m_notificationInfra.setIdRCI(pValeur);
  }
  
  public void setCodeErreurIdRCI(String pCodeErreur)
  {
    m_notificationInfra.setIdRCI_C_ERR(pCodeErreur);
  }
  
  public String getCodeNotification()
  {
    return m_notificationInfra.getCodeNotification();
  }
  
  public String getCodeErreurCodeNotification()
  {
    return m_notificationInfra.getCodeNotification_C_ERR();
  }
  
  public void setCodeNotification(String pValeur)
  {
    m_notificationInfra.setCodeNotification(pValeur);
  }
  
  public void setCodeErreurCodeNotification(String pCodeErreur)
  {
    m_notificationInfra.setCodeNotification_C_ERR(pCodeErreur);
  }
  
  public String getCodeServiceMetier()
  {
    return m_notificationInfra.getCodeServiceMetier();
  }
  
  public String getCodeErreurCodeServiceMetier()
  {
    return m_notificationInfra.getCodeServiceMetier_C_ERR();
  }
  
  public void setCodeServiceMetier(String pValeur)
  {
    m_notificationInfra.setCodeServiceMetier(pValeur);
  }
  
  public void setCodeErreurCodeServiceMetier(String pCodeErreur)
  {
    m_notificationInfra.setCodeServiceMetier_C_ERR(pCodeErreur);
  }
  
  public String getCodeActionMetier()
  {
    return m_notificationInfra.getCodeActionMetier();
  }
  
  public String getCodeErreurCodeActionMetier()
  {
    return m_notificationInfra.getCodeActionMetier_C_ERR();
  }
  
  public void setCodeActionMetier(String pValeur)
  {
    m_notificationInfra.setCodeActionMetier(pValeur);
  }
  
  public void setCodeErreurCodeActionMetier(String pCodeErreur)
  {
    m_notificationInfra.setCodeActionMetier_C_ERR(pCodeErreur);
  }
  
  public String getTypeAction()
  {
    return m_notificationInfra.getTypeAction();
  }
  
  public String getCodeErreurTypeAction()
  {
    return m_notificationInfra.getTypeAction_C_ERR();
  }
  
  public void setTypeAction(String pValeur)
  {
    m_notificationInfra.setTypeAction(pValeur);
  }
  
  public void setCodeErreurTypeAction(String pCodeErreur)
  {
    m_notificationInfra.setTypeAction_C_ERR(pCodeErreur);
  }
  
  public String getDomaineMetierEmetteur()
  {
    return m_notificationInfra.getDomaineMetierEmetteur();
  }
  
  public String getCodeErreurDomaineMetierEmetteur()
  {
    return m_notificationInfra.getDomaineMetierEmetteur_C_ERR();
  }
  
  public void setDomaineMetierEmetteur(String pValeur)
  {
    m_notificationInfra.setDomaineMetierEmetteur(pValeur);
  }
  
  public void setCodeErreurDomaineMetierEmetteur(String pCodeErreur)
  {
    m_notificationInfra.setDomaineMetierEmetteur_C_ERR(pCodeErreur);
  }
  
  public String getOrigineChargement()
  {
    return m_notificationInfra.getOrigineChargement();
  }
  
  public String getCodeErreurOrigineChargement()
  {
    return m_notificationInfra.getOrigineChargement_C_ERR();
  }
  
  public void setOrigineChargement(String pValeur)
  {
    m_notificationInfra.setOrigineChargement(pValeur);
  }
  
  public void setCodeErreurOrigineChargement(String pCodeErreur)
  {
    m_notificationInfra.setOrigineChargement_C_ERR(pCodeErreur);
  }
  
  public String getDateGenerationNotification()
  {
    return m_notificationInfra.getDateGenerationNotification();
  }
  
  public String getCodeErreurDateGenerationNotification()
  {
    return m_notificationInfra.getDateGenerationNotification_C_ERR();
  }
  
  public void setDateGenerationNotification(String pValeur)
  {
    m_notificationInfra.setDateGenerationNotification(pValeur);
  }
  
  public void setCodeErreurDateGenerationNotification(String pCodeErreur)
  {
    m_notificationInfra.setDateGenerationNotification_C_ERR(pCodeErreur);
  }
  
  public String getDateDebutAffichage()
  {
    return m_notificationInfra.getDateDebutAffichage();
  }
  
  public String getCodeErreurDateDebutAffichage()
  {
    return m_notificationInfra.getDateDebutAffichage_C_ERR();
  }
  
  public void setDateDebutAffichage(String pValeur)
  {
    m_notificationInfra.setDateDebutAffichage(pValeur);
  }
  
  public void setCodeErreurDateDebutAffichage(String pCodeErreur)
  {
    m_notificationInfra.setDateDebutAffichage_C_ERR(pCodeErreur);
  }
  
  public String getDateFinAffichage()
  {
    return m_notificationInfra.getDateFinAffichage();
  }
  
  public String getCodeErreurDateFinAffichage()
  {
    return m_notificationInfra.getDateFinAffichage_C_ERR();
  }
  
  public void setDateFinAffichage(String pValeur)
  {
    m_notificationInfra.setDateFinAffichage(pValeur);
  }
  
  public void setCodeErreurDateFinAffichage(String pCodeErreur)
  {
    m_notificationInfra.setDateFinAffichage_C_ERR(pCodeErreur);
  }
  
  public String getMessage()
  {
    return m_notificationInfra.getMessage();
  }
  
  public String getCodeErreurMessage()
  {
    return m_notificationInfra.getMessage_C_ERR();
  }
  
  public void setMessage(String pValeur)
  {
    m_notificationInfra.setMessage(pValeur);
  }
  
  public void setCodeErreurMessage(String pCodeErreur)
  {
    m_notificationInfra.setMessage_C_ERR(pCodeErreur);
  }
  
  public String getTypeOperation()
  {
    return m_notificationInfra.getTypeOperation();
  }
  
  public String getCodeErreurTypeOperation()
  {
    return m_notificationInfra.getTypeOperation_C_ERR();
  }
  
  public void setTypeOperation(String pValeur)
  {
    m_notificationInfra.setTypeOperation(pValeur);
  }
  
  public void setCodeErreurTypeOperation(String pCodeErreur)
  {
    m_notificationInfra.setTypeOperation_C_ERR(pCodeErreur);
  }
  
  public String getIdMetier()
  {
    return m_notificationInfra.getIdMetier();
  }
  
  public String getCodeErreurIdMetier()
  {
    return m_notificationInfra.getIdMetier_C_ERR();
  }
  
  public void setIdMetier(String pValeur)
  {
    m_notificationInfra.setIdMetier(pValeur);
  }
  
  public void setCodeErreurIdMetier(String pCodeErreur)
  {
    m_notificationInfra.setIdMetier_C_ERR(pCodeErreur);
  }
  
  public _Notification getNotificationInfra()
  {
    return m_notificationInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurIdRCI() != null) && 
      ("".equals(getCodeErreurIdRCI()))) {
      return true;
    }
    if ((getCodeErreurCodeNotification() != null) && 
      ("".equals(getCodeErreurCodeNotification()))) {
      return true;
    }
    if ((getCodeErreurCodeServiceMetier() != null) && 
      ("".equals(getCodeErreurCodeServiceMetier()))) {
      return true;
    }
    if ((getCodeErreurCodeActionMetier() != null) && 
      ("".equals(getCodeErreurCodeActionMetier()))) {
      return true;
    }
    if ((getCodeErreurTypeAction() != null) && 
      ("".equals(getCodeErreurTypeAction()))) {
      return true;
    }
    if ((getCodeErreurDomaineMetierEmetteur() != null) && 
      ("".equals(getCodeErreurDomaineMetierEmetteur()))) {
      return true;
    }
    if ((getCodeErreurOrigineChargement() != null) && 
      ("".equals(getCodeErreurOrigineChargement()))) {
      return true;
    }
    if ((getCodeErreurDateGenerationNotification() != null) && 
      ("".equals(getCodeErreurDateGenerationNotification()))) {
      return true;
    }
    if ((getCodeErreurDateDebutAffichage() != null) && 
      ("".equals(getCodeErreurDateDebutAffichage()))) {
      return true;
    }
    if ((getCodeErreurDateFinAffichage() != null) && 
      ("".equals(getCodeErreurDateFinAffichage()))) {
      return true;
    }
    if ((getCodeErreurMessage() != null) && 
      ("".equals(getCodeErreurMessage()))) {
      return true;
    }
    if ((getCodeErreurTypeOperation() != null) && 
      ("".equals(getCodeErreurTypeOperation()))) {
      return true;
    }
    if ((getCodeErreurIdMetier() != null) && 
      ("".equals(getCodeErreurIdMetier()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _NotificationImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */