package fr.unedic.logique.donnees.dr1.service.vls;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _YI5NImpl
  extends YI5N
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _YI5N m_YI5NInfra;
  
  public _YI5NImpl()
  {
    m_YI5NInfra = new _YI5N();
  }
  
  public _YI5NImpl(_YI5N pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("YI5NInfra", pValeur);
    
    m_YI5NInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_YI5NInfra;
  }
  
  public String getIdentifiant()
  {
    return m_YI5NInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_YI5NInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_YI5NInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_YI5NInfra.set_C_ETAT(pCode);
  }
  
  public Damj getDDAAHG()
  {
    return m_YI5NInfra.getDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH();
  }
  
  public String getCodeErreurDDAAHG()
  {
    return m_YI5NInfra.getDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH_C_ERR();
  }
  
  public void setDDAAHG(Damj pValeur)
  {
    m_YI5NInfra.setDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH(pValeur);
  }
  
  public void setCodeErreurDDAAHG(String pCodeErreur)
  {
    m_YI5NInfra.setDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH_C_ERR(pCodeErreur);
  }
  
  public Damj getDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH()
  {
    return m_YI5NInfra.getDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH();
  }
  
  public String getCodeErreurDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH()
  {
    return m_YI5NInfra.getDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH_C_ERR();
  }
  
  public void setDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH(Damj pValeur)
  {
    m_YI5NInfra.setDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH(pValeur);
  }
  
  public void setCodeErreurDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH(String pCodeErreur)
  {
    m_YI5NInfra.setDDAAHG_DATE_DE_DEBUT_DE_PERIODE_AAH_C_ERR(pCodeErreur);
  }
  
  public Damj getDFAAHG()
  {
    return m_YI5NInfra.getDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH();
  }
  
  public String getCodeErreurDFAAHG()
  {
    return m_YI5NInfra.getDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH_C_ERR();
  }
  
  public void setDFAAHG(Damj pValeur)
  {
    m_YI5NInfra.setDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH(pValeur);
  }
  
  public void setCodeErreurDFAAHG(String pCodeErreur)
  {
    m_YI5NInfra.setDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH_C_ERR(pCodeErreur);
  }
  
  public Damj getDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH()
  {
    return m_YI5NInfra.getDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH();
  }
  
  public String getCodeErreurDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH()
  {
    return m_YI5NInfra.getDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH_C_ERR();
  }
  
  public void setDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH(Damj pValeur)
  {
    m_YI5NInfra.setDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH(pValeur);
  }
  
  public void setCodeErreurDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH(String pCodeErreur)
  {
    m_YI5NInfra.setDFAAHG_DATE_DE_FIN_DE_PERIODE_AAH_C_ERR(pCodeErreur);
  }
  
  public String getCKAAHD()
  {
    return m_YI5NInfra.getCKAAHD_CODE_EVENEMENT_de_type_ouverture();
  }
  
  public String getCodeErreurCKAAHD()
  {
    return m_YI5NInfra.getCKAAHD_CODE_EVENEMENT_de_type_ouverture_C_ERR();
  }
  
  public void setCKAAHD(String pValeur)
  {
    m_YI5NInfra.setCKAAHD_CODE_EVENEMENT_de_type_ouverture(pValeur);
  }
  
  public void setCodeErreurCKAAHD(String pCodeErreur)
  {
    m_YI5NInfra.setCKAAHD_CODE_EVENEMENT_de_type_ouverture_C_ERR(pCodeErreur);
  }
  
  public String getCKAAHD_CODE_EVENEMENT_de_type_ouverture()
  {
    return m_YI5NInfra.getCKAAHD_CODE_EVENEMENT_de_type_ouverture();
  }
  
  public String getCodeErreurCKAAHD_CODE_EVENEMENT_de_type_ouverture()
  {
    return m_YI5NInfra.getCKAAHD_CODE_EVENEMENT_de_type_ouverture_C_ERR();
  }
  
  public void setCKAAHD_CODE_EVENEMENT_de_type_ouverture(String pValeur)
  {
    m_YI5NInfra.setCKAAHD_CODE_EVENEMENT_de_type_ouverture(pValeur);
  }
  
  public void setCodeErreurCKAAHD_CODE_EVENEMENT_de_type_ouverture(String pCodeErreur)
  {
    m_YI5NInfra.setCKAAHD_CODE_EVENEMENT_de_type_ouverture_C_ERR(pCodeErreur);
  }
  
  public String getCKAAHF()
  {
    return m_YI5NInfra.getCKAAHF_CODE_EVENEMENT_de_type_fermeture();
  }
  
  public String getCodeErreurCKAAHF()
  {
    return m_YI5NInfra.getCKAAHF_CODE_EVENEMENT_de_type_fermeture_C_ERR();
  }
  
  public void setCKAAHF(String pValeur)
  {
    m_YI5NInfra.setCKAAHF_CODE_EVENEMENT_de_type_fermeture(pValeur);
  }
  
  public void setCodeErreurCKAAHF(String pCodeErreur)
  {
    m_YI5NInfra.setCKAAHF_CODE_EVENEMENT_de_type_fermeture_C_ERR(pCodeErreur);
  }
  
  public String getCKAAHF_CODE_EVENEMENT_de_type_fermeture()
  {
    return m_YI5NInfra.getCKAAHF_CODE_EVENEMENT_de_type_fermeture();
  }
  
  public String getCodeErreurCKAAHF_CODE_EVENEMENT_de_type_fermeture()
  {
    return m_YI5NInfra.getCKAAHF_CODE_EVENEMENT_de_type_fermeture_C_ERR();
  }
  
  public void setCKAAHF_CODE_EVENEMENT_de_type_fermeture(String pValeur)
  {
    m_YI5NInfra.setCKAAHF_CODE_EVENEMENT_de_type_fermeture(pValeur);
  }
  
  public void setCodeErreurCKAAHF_CODE_EVENEMENT_de_type_fermeture(String pCodeErreur)
  {
    m_YI5NInfra.setCKAAHF_CODE_EVENEMENT_de_type_fermeture_C_ERR(pCodeErreur);
  }
  
  public _YI5N getYI5NInfra()
  {
    return m_YI5NInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurDDAAHG() != null) && 
      ("".equals(getCodeErreurDDAAHG()))) {
      return true;
    }
    if ((getCodeErreurDFAAHG() != null) && 
      ("".equals(getCodeErreurDFAAHG()))) {
      return true;
    }
    if ((getCodeErreurCKAAHD() != null) && 
      ("".equals(getCodeErreurCKAAHD()))) {
      return true;
    }
    if ((getCodeErreurCKAAHF() != null) && 
      ("".equals(getCodeErreurCKAAHF()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _YI5NImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */