package fr.unedic.logique.donnees.rac.commun.dra.d01.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _GSPARImpl
  extends GSPAR
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _GSPAR m_GSPARInfra;
  
  public _GSPARImpl()
  {
    m_GSPARInfra = new _GSPAR();
  }
  
  public _GSPARImpl(_GSPAR pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("GSPARInfra", pValeur);
    
    m_GSPARInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_GSPARInfra;
  }
  
  public String getIdentifiant()
  {
    return m_GSPARInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_GSPARInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_GSPARInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_GSPARInfra.set_C_ETAT(pCode);
  }
  
  public BigDecimal getCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_GSPARInfra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  public String getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_GSPARInfra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR();
  }
  
  public void setCXALA_IDENTIFIANT_NATIONAL_ALADIN(BigDecimal pValeur)
  {
    m_GSPARInfra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  public void setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(String pCodeErreur)
  {
    m_GSPARInfra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCXALA()
  {
    return getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALA()
  {
    return getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public void setCXALA(BigDecimal pValeur)
  {
    setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALA(String pCodeErreur)
  {
    setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(pCodeErreur);
  }
  
  public String getLJGLOM_LIBELLE_PHONETISE_MARITAL()
  {
    return m_GSPARInfra.getLJGLOM_LIBELLE_PHONETISE_MARITAL();
  }
  
  public String getCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL()
  {
    return m_GSPARInfra.getLJGLOM_LIBELLE_PHONETISE_MARITAL_C_ERR();
  }
  
  public void setLJGLOM_LIBELLE_PHONETISE_MARITAL(String pValeur)
  {
    m_GSPARInfra.setLJGLOM_LIBELLE_PHONETISE_MARITAL(pValeur);
  }
  
  public void setCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL(String pCodeErreur)
  {
    m_GSPARInfra.setLJGLOM_LIBELLE_PHONETISE_MARITAL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLJGLOM()
  {
    return getLJGLOM_LIBELLE_PHONETISE_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLJGLOM()
  {
    return getCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public void setLJGLOM(String pValeur)
  {
    setLJGLOM_LIBELLE_PHONETISE_MARITAL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLJGLOM(String pCodeErreur)
  {
    setCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL(pCodeErreur);
  }
  
  public String getLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE()
  {
    return m_GSPARInfra.getLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE();
  }
  
  public String getCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE()
  {
    return m_GSPARInfra.getLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE_C_ERR();
  }
  
  public void setLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE(String pValeur)
  {
    m_GSPARInfra.setLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE(pValeur);
  }
  
  public void setCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE(String pCodeErreur)
  {
    m_GSPARInfra.setLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLJGLOP()
  {
    return getLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLJGLOP()
  {
    return getCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public void setLJGLOP(String pValeur)
  {
    setLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLJGLOP(String pCodeErreur)
  {
    setCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE(pCodeErreur);
  }
  
  public String getLNIND1_NOM_PATRONYMIQUE()
  {
    return m_GSPARInfra.getLNIND1_NOM_PATRONYMIQUE();
  }
  
  public String getCodeErreurLNIND1_NOM_PATRONYMIQUE()
  {
    return m_GSPARInfra.getLNIND1_NOM_PATRONYMIQUE_C_ERR();
  }
  
  public void setLNIND1_NOM_PATRONYMIQUE(String pValeur)
  {
    m_GSPARInfra.setLNIND1_NOM_PATRONYMIQUE(pValeur);
  }
  
  public void setCodeErreurLNIND1_NOM_PATRONYMIQUE(String pCodeErreur)
  {
    m_GSPARInfra.setLNIND1_NOM_PATRONYMIQUE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNIND1()
  {
    return getLNIND1_NOM_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNIND1()
  {
    return getCodeErreurLNIND1_NOM_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public void setLNIND1(String pValeur)
  {
    setLNIND1_NOM_PATRONYMIQUE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNIND1(String pCodeErreur)
  {
    setCodeErreurLNIND1_NOM_PATRONYMIQUE(pCodeErreur);
  }
  
  public String getLNIND2_NOM_MARITAL()
  {
    return m_GSPARInfra.getLNIND2_NOM_MARITAL();
  }
  
  public String getCodeErreurLNIND2_NOM_MARITAL()
  {
    return m_GSPARInfra.getLNIND2_NOM_MARITAL_C_ERR();
  }
  
  public void setLNIND2_NOM_MARITAL(String pValeur)
  {
    m_GSPARInfra.setLNIND2_NOM_MARITAL(pValeur);
  }
  
  public void setCodeErreurLNIND2_NOM_MARITAL(String pCodeErreur)
  {
    m_GSPARInfra.setLNIND2_NOM_MARITAL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNIND2()
  {
    return getLNIND2_NOM_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNIND2()
  {
    return getCodeErreurLNIND2_NOM_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public void setLNIND2(String pValeur)
  {
    setLNIND2_NOM_MARITAL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNIND2(String pCodeErreur)
  {
    setCodeErreurLNIND2_NOM_MARITAL(pCodeErreur);
  }
  
  public String getLNPIN_PRENOM()
  {
    return m_GSPARInfra.getLNPIN_PRENOM();
  }
  
  public String getCodeErreurLNPIN_PRENOM()
  {
    return m_GSPARInfra.getLNPIN_PRENOM_C_ERR();
  }
  
  public void setLNPIN_PRENOM(String pValeur)
  {
    m_GSPARInfra.setLNPIN_PRENOM(pValeur);
  }
  
  public void setCodeErreurLNPIN_PRENOM(String pCodeErreur)
  {
    m_GSPARInfra.setLNPIN_PRENOM_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNPIN()
  {
    return getLNPIN_PRENOM();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNPIN()
  {
    return getCodeErreurLNPIN_PRENOM();
  }
  
  /**
   * @deprecated
   */
  public void setLNPIN(String pValeur)
  {
    setLNPIN_PRENOM(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNPIN(String pCodeErreur)
  {
    setCodeErreurLNPIN_PRENOM(pCodeErreur);
  }
  
  public _GSPAR getGSPARInfra()
  {
    return m_GSPARInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN() != null) && 
      ("".equals(getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()))) {
      return true;
    }
    if ((getCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL() != null) && 
      ("".equals(getCodeErreurLJGLOM_LIBELLE_PHONETISE_MARITAL()))) {
      return true;
    }
    if ((getCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE() != null) && 
      ("".equals(getCodeErreurLJGLOP_LIBELLE_PHONETISE_PATRONYMIQUE()))) {
      return true;
    }
    if ((getCodeErreurLNIND1_NOM_PATRONYMIQUE() != null) && 
      ("".equals(getCodeErreurLNIND1_NOM_PATRONYMIQUE()))) {
      return true;
    }
    if ((getCodeErreurLNIND2_NOM_MARITAL() != null) && 
      ("".equals(getCodeErreurLNIND2_NOM_MARITAL()))) {
      return true;
    }
    if ((getCodeErreurLNPIN_PRENOM() != null) && 
      ("".equals(getCodeErreurLNPIN_PRENOM()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _GSPARImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */