package fr.unedic.logique.donnees.rac.commun.dra.d01.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _ML50Impl
  extends ML50
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _ML50 m_ML50Infra;
  
  public _ML50Impl()
  {
    m_ML50Infra = new _ML50();
  }
  
  public _ML50Impl(_ML50 pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("ML50Infra", pValeur);
    
    m_ML50Infra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_ML50Infra;
  }
  
  public String getIdentifiant()
  {
    return m_ML50Infra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_ML50Infra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_ML50Infra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_ML50Infra.set_C_ETAT(pCode);
  }
  
  public BigDecimal getCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_ML50Infra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  public String getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_ML50Infra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR();
  }
  
  public void setCXALA_IDENTIFIANT_NATIONAL_ALADIN(BigDecimal pValeur)
  {
    m_ML50Infra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  public void setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(String pCodeErreur)
  {
    m_ML50Infra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCXALA()
  {
    return getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALA()
  {
    return getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public void setCXALA(BigDecimal pValeur)
  {
    setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALA(String pCodeErreur)
  {
    setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(pCodeErreur);
  }
  
  public String getCDRSO_CODE_RESSORTISSANT()
  {
    return m_ML50Infra.getCDRSO_CODE_RESSORTISSANT();
  }
  
  public String getCodeErreurCDRSO_CODE_RESSORTISSANT()
  {
    return m_ML50Infra.getCDRSO_CODE_RESSORTISSANT_C_ERR();
  }
  
  public void setCDRSO_CODE_RESSORTISSANT(String pValeur)
  {
    m_ML50Infra.setCDRSO_CODE_RESSORTISSANT(pValeur);
  }
  
  public void setCodeErreurCDRSO_CODE_RESSORTISSANT(String pCodeErreur)
  {
    m_ML50Infra.setCDRSO_CODE_RESSORTISSANT_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDRSO()
  {
    return getCDRSO_CODE_RESSORTISSANT();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDRSO()
  {
    return getCodeErreurCDRSO_CODE_RESSORTISSANT();
  }
  
  /**
   * @deprecated
   */
  public void setCDRSO(String pValeur)
  {
    setCDRSO_CODE_RESSORTISSANT(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDRSO(String pCodeErreur)
  {
    setCodeErreurCDRSO_CODE_RESSORTISSANT(pCodeErreur);
  }
  
  public Damj getDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE()
  {
    return m_ML50Infra.getDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE();
  }
  
  public String getCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE()
  {
    return m_ML50Infra.getDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE_C_ERR();
  }
  
  public void setDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE(Damj pValeur)
  {
    m_ML50Infra.setDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE(pValeur);
  }
  
  public void setCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE(String pCodeErreur)
  {
    m_ML50Infra.setDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public Damj getDVENAA()
  {
    return getDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurDVENAA()
  {
    return getCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE();
  }
  
  /**
   * @deprecated
   */
  public void setDVENAA(Damj pValeur)
  {
    setDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurDVENAA(String pCodeErreur)
  {
    setCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE(pCodeErreur);
  }
  
  public String getCDERJ_CODE_ERREUR()
  {
    return m_ML50Infra.getCDERJ_CODE_ERREUR();
  }
  
  public String getCodeErreurCDERJ_CODE_ERREUR()
  {
    return m_ML50Infra.getCDERJ_CODE_ERREUR_C_ERR();
  }
  
  public void setCDERJ_CODE_ERREUR(String pValeur)
  {
    m_ML50Infra.setCDERJ_CODE_ERREUR(pValeur);
  }
  
  public void setCodeErreurCDERJ_CODE_ERREUR(String pCodeErreur)
  {
    m_ML50Infra.setCDERJ_CODE_ERREUR_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDERJ()
  {
    return getCDERJ_CODE_ERREUR();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDERJ()
  {
    return getCodeErreurCDERJ_CODE_ERREUR();
  }
  
  /**
   * @deprecated
   */
  public void setCDERJ(String pValeur)
  {
    setCDERJ_CODE_ERREUR(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDERJ(String pCodeErreur)
  {
    setCodeErreurCDERJ_CODE_ERREUR(pCodeErreur);
  }
  
  public BigDecimal getCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU()
  {
    return m_ML50Infra.getCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU()
  {
    return m_ML50Infra.getCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU(BigDecimal pValeur)
  {
    m_ML50Infra.setCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_ML50Infra.setCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCZNIN()
  {
    return getCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCZNIN()
  {
    return getCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCZNIN(BigDecimal pValeur)
  {
    setCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCZNIN(String pCodeErreur)
  {
    setCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public _ML50 getML50Infra()
  {
    return m_ML50Infra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN() != null) && 
      ("".equals(getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()))) {
      return true;
    }
    if ((getCodeErreurCDRSO_CODE_RESSORTISSANT() != null) && 
      ("".equals(getCodeErreurCDRSO_CODE_RESSORTISSANT()))) {
      return true;
    }
    if ((getCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE() != null) && 
      ("".equals(getCodeErreurDVENAA_DATE_VERIFICATION_DE_LA_NATIONALITE()))) {
      return true;
    }
    if ((getCodeErreurCDERJ_CODE_ERREUR() != null) && 
      ("".equals(getCodeErreurCDERJ_CODE_ERREUR()))) {
      return true;
    }
    if ((getCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCZNIN_CODE_NATIONALITE_DE_L_INDIVIDU()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _ML50Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */