package fr.unedic.logique.donnees.rac.commun.dra.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _MI8HImpl
  extends MI8H
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _MI8H m_MI8HInfra;
  
  public _MI8HImpl()
  {
    m_MI8HInfra = new _MI8H();
  }
  
  public _MI8HImpl(_MI8H pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("MI8HInfra", pValeur);
    
    m_MI8HInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_MI8HInfra;
  }
  
  public String getIdentifiant()
  {
    return m_MI8HInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_MI8HInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_MI8HInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_MI8HInfra.set_C_ETAT(pCode);
  }
  
  public BigDecimal getCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_MI8HInfra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  public String getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()
  {
    return m_MI8HInfra.getCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR();
  }
  
  public void setCXALA_IDENTIFIANT_NATIONAL_ALADIN(BigDecimal pValeur)
  {
    m_MI8HInfra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  public void setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(String pCodeErreur)
  {
    m_MI8HInfra.setCXALA_IDENTIFIANT_NATIONAL_ALADIN_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCXALA()
  {
    return getCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALA()
  {
    return getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN();
  }
  
  /**
   * @deprecated
   */
  public void setCXALA(BigDecimal pValeur)
  {
    setCXALA_IDENTIFIANT_NATIONAL_ALADIN(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALA(String pCodeErreur)
  {
    setCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN(pCodeErreur);
  }
  
  public String getCXASS_CODE_ASSEDIC()
  {
    return m_MI8HInfra.getCXASS_CODE_ASSEDIC();
  }
  
  public String getCodeErreurCXASS_CODE_ASSEDIC()
  {
    return m_MI8HInfra.getCXASS_CODE_ASSEDIC_C_ERR();
  }
  
  public void setCXASS_CODE_ASSEDIC(String pValeur)
  {
    m_MI8HInfra.setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  public void setCodeErreurCXASS_CODE_ASSEDIC(String pCodeErreur)
  {
    m_MI8HInfra.setCXASS_CODE_ASSEDIC_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXASS()
  {
    return getCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXASS()
  {
    return getCodeErreurCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public void setCXASS(String pValeur)
  {
    setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXASS(String pCodeErreur)
  {
    setCodeErreurCXASS_CODE_ASSEDIC(pCodeErreur);
  }
  
  public String getCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI8HInfra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI8HInfra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pValeur)
  {
    m_MI8HInfra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_MI8HInfra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXIN()
  {
    return getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXIN()
  {
    return getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCXIN(String pValeur)
  {
    setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXIN(String pCodeErreur)
  {
    setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getCXALAK_IDENTIFIANT_ALIAS_NCP()
  {
    return m_MI8HInfra.getCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  public String getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP()
  {
    return m_MI8HInfra.getCXALAK_IDENTIFIANT_ALIAS_NCP_C_ERR();
  }
  
  public void setCXALAK_IDENTIFIANT_ALIAS_NCP(String pValeur)
  {
    m_MI8HInfra.setCXALAK_IDENTIFIANT_ALIAS_NCP(pValeur);
  }
  
  public void setCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP(String pCodeErreur)
  {
    m_MI8HInfra.setCXALAK_IDENTIFIANT_ALIAS_NCP_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXALAK()
  {
    return getCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALAK()
  {
    return getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  /**
   * @deprecated
   */
  public void setCXALAK(String pValeur)
  {
    setCXALAK_IDENTIFIANT_ALIAS_NCP(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALAK(String pCodeErreur)
  {
    setCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP(pCodeErreur);
  }
  
  public String getFFREF_TOP_REFERENT()
  {
    return m_MI8HInfra.getFFREF_TOP_REFERENT();
  }
  
  public String getCodeErreurFFREF_TOP_REFERENT()
  {
    return m_MI8HInfra.getFFREF_TOP_REFERENT_C_ERR();
  }
  
  public void setFFREF_TOP_REFERENT(String pValeur)
  {
    m_MI8HInfra.setFFREF_TOP_REFERENT(pValeur);
  }
  
  public void setCodeErreurFFREF_TOP_REFERENT(String pCodeErreur)
  {
    m_MI8HInfra.setFFREF_TOP_REFERENT_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getFFREF()
  {
    return getFFREF_TOP_REFERENT();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurFFREF()
  {
    return getCodeErreurFFREF_TOP_REFERENT();
  }
  
  /**
   * @deprecated
   */
  public void setFFREF(String pValeur)
  {
    setFFREF_TOP_REFERENT(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurFFREF(String pCodeErreur)
  {
    setCodeErreurFFREF_TOP_REFERENT(pCodeErreur);
  }
  
  public String getCDANT_ANTENNE_DE_L_INDIVIDU()
  {
    return m_MI8HInfra.getCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU()
  {
    return m_MI8HInfra.getCDANT_ANTENNE_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCDANT_ANTENNE_DE_L_INDIVIDU(String pValeur)
  {
    m_MI8HInfra.setCDANT_ANTENNE_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_MI8HInfra.setCDANT_ANTENNE_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDANT()
  {
    return getCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDANT()
  {
    return getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCDANT(String pValeur)
  {
    setCDANT_ANTENNE_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDANT(String pCodeErreur)
  {
    setCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getISDNA_Valeur_Identifiant_DNA()
  {
    return m_MI8HInfra.getISDNA_Valeur_Identifiant_DNA();
  }
  
  public String getCodeErreurISDNA_Valeur_Identifiant_DNA()
  {
    return m_MI8HInfra.getISDNA_Valeur_Identifiant_DNA_C_ERR();
  }
  
  public void setISDNA_Valeur_Identifiant_DNA(String pValeur)
  {
    m_MI8HInfra.setISDNA_Valeur_Identifiant_DNA(pValeur);
  }
  
  public void setCodeErreurISDNA_Valeur_Identifiant_DNA(String pCodeErreur)
  {
    m_MI8HInfra.setISDNA_Valeur_Identifiant_DNA_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISDNA()
  {
    return getISDNA_Valeur_Identifiant_DNA();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISDNA()
  {
    return getCodeErreurISDNA_Valeur_Identifiant_DNA();
  }
  
  /**
   * @deprecated
   */
  public void setISDNA(String pValeur)
  {
    setISDNA_Valeur_Identifiant_DNA(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISDNA(String pCodeErreur)
  {
    setCodeErreurISDNA_Valeur_Identifiant_DNA(pCodeErreur);
  }
  
  public _MI8H getMI8HInfra()
  {
    return m_MI8HInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN() != null) && 
      ("".equals(getCodeErreurCXALA_IDENTIFIANT_NATIONAL_ALADIN()))) {
      return true;
    }
    if ((getCodeErreurCXASS_CODE_ASSEDIC() != null) && 
      ("".equals(getCodeErreurCXASS_CODE_ASSEDIC()))) {
      return true;
    }
    if ((getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP() != null) && 
      ("".equals(getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP()))) {
      return true;
    }
    if ((getCodeErreurFFREF_TOP_REFERENT() != null) && 
      ("".equals(getCodeErreurFFREF_TOP_REFERENT()))) {
      return true;
    }
    if ((getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurISDNA_Valeur_Identifiant_DNA() != null) && 
      ("".equals(getCodeErreurISDNA_Valeur_Identifiant_DNA()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _MI8HImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */