package fr.unedic.cali.asu.caa14.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.parametres.EvenementParametre;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FormuleMontantRegimeGeneralASPARE
  implements FormuleMontantSpec
{
  private FormuleMontantSpec formuleMontantDroitAssocie = null;
  private int formuleMontantApplicable = 1;
  
  public static String getCode()
  {
    return "1";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation constituantsIndemnisation, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
    ProduitAsuSpec produitPourCalculMontant = (ProduitAsuSpec)ebi.getProduitAreActif();
    
    ebi.setProduitMontantRetenu(produitPourCalculMontant);
    FormuleMontantSpec formuleMontantAUtiliser = produitPourCalculMontant.getFormuleMontant("2");
    MontantBaseSpec montantAre = formuleMontantAUtiliser.calculer(constituantsIndemnisation, dateCalcul);
    montantAre.setType("NORMAL");
    Montant montant = new Montant(montantAre);
    EvenementParametre parametres = ParametresIndemnisation.getParametresIndemnisation().getElementActif(dateCalcul);
    montant.setMiniFormation(new Quantite(Mathematiques.arrondiASup(parametres.getSeuilMinimalAREF(), 2), UniteMonaitaire.get("Euros")));
    montant.setMini(determinerMontantMini(ebi, parametres));
    return montant;
  }
  
  private Quantite determinerMontantMini(ElementBaseIndemnisation ebi, EvenementParametre parametres)
  {
    BigDecimal mini = null;
    
    BigDecimal coefficientParametre = ebi.getCoefficientSaisonnier();
    if (coefficientParametre.intValue() == 1) {
      coefficientParametre = ebi.getCoefficientTempsPartiel();
    }
    mini = parametres.getAllocationMinimale().multiply(coefficientParametre);
    
    Quantite montantMini = new Quantite(Mathematiques.arrondiASup(mini, 2), UniteMonaitaire.get("Euros"));
    return montantMini;
  }
  
  public FormuleMontantSpec getFormuleMontantDroitAssocie()
  {
    return formuleMontantDroitAssocie;
  }
  
  public int getFormuleMontantApplicable()
  {
    return formuleMontantApplicable;
  }
  
  public void setFormuleMontantDroitAssocie(FormuleMontantSpec formuleMontantDroitAssocie) {}
  
  public void setFormuleMontantApplicable(int formuleMontantApplicable) {}
}

/* Location:
 * Qualified Name:     FormuleMontantRegimeGeneralASPARE
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */