package fr.unedic.cali.asu.caa14.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class RechercheConditionFaitGenerateur
  extends fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels.RechercheConditionFaitGenerateur
{
  public static RechercheConditionFaitGenerateur getInstance()
  {
    return new RechercheConditionFaitGenerateur();
  }
  
  protected void verifierMotifRuptureDernierAu(TravailSpec dernierSinistre, boolean estContextePap)
    throws CoucheLogiqueException
  {
    int motifFin = Integer.parseInt(((ActiviteSalarie)dernierSinistre).getMotifFin());
    if (estContextePap) {
      controlerMotifRupturePAP(motifFin);
    } else {
      controlerMotifRuptureCSP(motifFin);
    }
  }
  
  private void controlerMotifRupturePAP(int motifFin)
    throws CoucheLogiqueException
  {
    if ((motifFin != 48) && (motifFin != 49)) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A8MB10", new String[] { "entrée en PAP" });
    }
  }
  
  private void controlerMotifRuptureCSP(int motifFin)
    throws CoucheLogiqueException
  {
    if ((motifFin != 44) && (motifFin != 45)) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A8MB10", new String[] { "entrée en CSP" });
    }
  }
  
  protected void verifierDateExamenLendemainDernierAu(DossierAffectation dossierAffectation, TravailSpec dernierSinistre)
    throws CoucheLogiqueException
  {
    Demande demande = (Demande)dossierAffectation.getDemande();
    int motifFin = Integer.parseInt(((ActiviteSalarie)dernierSinistre).getMotifFin());
    if (((motifFin == 44) || (motifFin == 48)) && (demande.getDonneesTemporaires().getMotifExamen() == 0) && (!demande.getDateExamen().coincideAvec(dernierSinistre.getDateFin().lendemain()))) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A8MB8", new String[] { demande.getDateExamen().toString(), dernierSinistre.getDateFin().toString() });
    }
  }
}

/* Location:
 * Qualified Name:     RechercheConditionFaitGenerateur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */