package fr.unedic.cali.asu.caa14.p02.calcul;

import fr.unedic.cali.asu.caa14.calcul.FacadeCalculLigneCAA14Impl;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationASP;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ObjetChronoPeriode;
import java.util.Collection;
import java.util.Iterator;

public class FacadeCalculProduitImpl
  extends FacadeCalculLigneCAA14Impl
{
  public void realiserDetectionFinDeProduitPourSuivi(AttributionSpec attribution, UniteTraitement ut, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    super.realiserDetectionFinDeProduitPourSuivi(attribution, ut, contexteUT);
    ArretProduitAvecRaison arretProduitAvecRaison = ut.getArretProduitAvecRaison();
    genererEnquetesCourrierFinDeDroitAsp(attribution, ut, arretProduitAvecRaison);
  }
  
  private void genererEnquetesCourrierFinDeDroitAsp(AttributionSpec attribution, UniteTraitement ut, ArretProduitAvecRaison arretProduitAvecRaison)
  {
    boolean estFinASP = false;
    
    Iterator itID = arretProduitAvecRaison.getPeriodesInterruptivesDefinitives().iterator();
    while (itID.hasNext())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)itID.next();
      if ((periode instanceof ObjetChronoPeriodeLimiteIndemnisationASP)) {
        estFinASP = true;
      }
    }
    if ((arretProduitAvecRaison.isRaisonsContientRaison(1)) || (estFinASP)) {
      genererEnquetesFinASP(attribution, ut, arretProduitAvecRaison);
    }
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */