package fr.unedic.cali.asu.caa14.p02.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.EreDvAuFilEau;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsActiviteConserve;
import fr.unedic.cali.dom.affectation.ProduitAbstrait;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import java.util.ArrayList;
import java.util.List;

public class OutilDeterminationOrdreObjectifs
  extends fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs
{
  public static fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs getInstance()
  {
    return new OutilDeterminationOrdreObjectifs();
  }
  
  public void determinerOrdreObjectifs(Demande demande, int contexteExamen, ProduitAsuSpec produitPrecedent, boolean estContexteRepriseContextuelle, boolean estReliquatDroitMaintenu)
    throws ApplicativeException
  {
    List<Integer> listeTypesObjectifs = new ArrayList();
    if (OutilsActiviteConserve.estUneDemandeDeRevision(demande)) {
      listeTypesObjectifs = determinerObjectifsRevision();
    } else if (OutilsActiviteConserve.estUneDemandeDeRevisionAdmission(demande)) {
      listeTypesObjectifs = determinerObjectifsRevisionAdmission();
    } else if ((demande.getEvenementReferenceExamen() instanceof EreDvAuFilEau)) {
      listeTypesObjectifs = determinerObjectifPoursuiteIndemnisation();
    } else {
      switch (contexteExamen)
      {
      case 1: 
        listeTypesObjectifs = determinerObjectifsSansAntecedent();
        break;
      case 2: 
        listeTypesObjectifs = determinerObjectifsAvecAntecedentNonValide();
        break;
      case 3: 
        listeTypesObjectifs = determinerObjectifsAvecAntecedentValide(produitPrecedent);
        break;
      case 4: 
        listeTypesObjectifs = determinerObjectifsAntecedentSecteurPublic(demande);
        break;
      }
    }
    demande.viderListeObjectifsExamen();
    for (int i = 0; i < listeTypesObjectifs.size(); i++)
    {
      int sousTypeObjectif = ((Integer)listeTypesObjectifs.get(i)).intValue();
      
      ObjectifExamen objectif = demande.creerObjectifExamen(sousTypeObjectif, getProduit(demande, produitPrecedent, sousTypeObjectif));
      ajouteObjectifSurDemande(objectif, demande);
    }
  }
  
  protected List<Integer> determinerObjectifsAvecAntecedentNonValide()
  {
    List<Integer> listeTypesObjectifs = new ArrayList();
    
    listeTypesObjectifs.add(Integer.valueOf(12));
    
    return listeTypesObjectifs;
  }
  
  protected List<Integer> determinerObjectifsAvecAntecedentValide(ProduitAsuSpec produitPrecedent)
  {
    List<Integer> listeTypesObjectifs = new ArrayList();
    if (ProduitAbstrait.estDuType(5, produitPrecedent)) {
      listeTypesObjectifs.add(Integer.valueOf(12));
    } else if ((produitPrecedent.getNom().equals("ASU_CAA14_02")) || (produitPrecedent.getNom().equals("ASU_CVA10_02"))) {
      listeTypesObjectifs.add(Integer.valueOf(15));
    } else {
      listeTypesObjectifs.add(Integer.valueOf(12));
    }
    return listeTypesObjectifs;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationOrdreObjectifs
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */