package fr.unedic.cali.asu.caa14.p02.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels.DeterminationCompetence;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence.DeterminationCompetenceCge;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence.OutilDeterminationCompetence;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationCompetencesProduitCourant
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    Competence competence = new Competence();
    
    DeterminationCompetenceCge determinationCompetence = DeterminationCompetence.getInstance();
    
    ResultatDeterminationCompetence resultatDeterminationCompetence = determinationCompetence.determinationCompetencesProduitCourant(demandeCourante);
    
    OutilDeterminationCompetence.mapperResultatSurCompetence(resultatDeterminationCompetence, competence);
    
    dossierExamenCourant.setCompetence(competence);
    
    OutilTrace.tracerFinParcours();
    
    return new Resultat();
  }
  
  public void controlerContexte(Contexte contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(contexte) == null) {
      try
      {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "Une demande est obligatoire pour ce produit. : DeterminationCompetencesProduitCourant impossible", 1);
      }
      catch (CoucheLogiqueException ex)
      {
        throw new ContexteException(ex.getCode(), ex.getLibelle(), ex);
      }
    }
    if (DomLiquidationAssurance.getDemande(contexte).getDemandeur() == null) {
      try
      {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Absence individu demandeur sur la demande : DeterminationCompetencesProduitCourant impossible", 1);
      }
      catch (CoucheLogiqueException ex)
      {
        throw new ContexteException(ex.getCode(), ex.getLibelle(), ex);
      }
    }
    if (DomLiquidationAssurance.getDemande(contexte).getDossierExamen() == null) {
      try
      {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_CONTEXTE_ABSENCE_DOSSIER_EXAMEN", "Le dossier examen est null: DeterminationCompetencesProduitCourant impossible", 1);
      }
      catch (CoucheLogiqueException ex)
      {
        throw new ContexteException(ex.getCode(), ex.getLibelle(), ex);
      }
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetencesProduitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */