package fr.unedic.cali.asu.calcul.dom;

import fr.unedic.cali.asu.calcul.dom.gen.ConstituantsCalculActiviteReduiteAsuGen;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public class ConstituantsCalculActiviteReduiteAsu
  extends ConstituantsCalculActiviteReduiteAsuGen
{
  private static final long serialVersionUID = 3627251709015513058L;
  
  public ConstituantsCalculActiviteReduiteAsu() {}
  
  public ConstituantsCalculActiviteReduiteAsu(int p_cumul, Sjr p_sjr, Sjc p_sjc)
  {
    setCumul(p_cumul);
    setSjc(p_sjc);
    setSjr(p_sjr);
  }
  
  public ConstituantsCalculActiviteReduiteAsu(DomPCSpec p_produitPC)
  {
    super(p_produitPC);
  }
  
  public ObjetMetierSpec copie()
  {
    ConstituantsCalculActiviteReduiteAsu copie = new ConstituantsCalculActiviteReduiteAsu();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstituantsCalculActiviteReduiteAsu copie = (ConstituantsCalculActiviteReduiteAsu)p_copie;
    super.copieElements(copie);
    if (getSjr() != null) {
      copie.setSjr((Sjr)getSjr().copie());
    }
    if (getSjc() != null) {
      copie.setSjc((Sjc)getSjc().copie());
    }
    copie.setCumulJours(getCumulJours());
    copie.setCumulMoisNonIndemnise(getCumulMoisNonIndemnise());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void setCumul(int p_nbMoisActiviteReduite)
  {
    int nbMoisAInserer = p_nbMoisActiviteReduite;
    if (nbMoisAInserer > 99) {
      nbMoisAInserer = 99;
    }
    super.setCumul(nbMoisAInserer);
  }
  
  public void setNbMoisInactivite(int p_nbMoisInactivite) {}
  
  public void setCumulHeuresAR(BigDecimal p_cumulheure) {}
  
  public SalaireJournalierSpec getSjcProduit()
  {
    return super.getSjc();
  }
  
  public SalaireJournalierSpec getSjrProduit()
  {
    return super.getSjr();
  }
  
  public void setSjcProduit(SalaireJournalierSpec p_sjc)
  {
    super.setSjc((Sjc)p_sjc);
  }
  
  public void setSjrProduit(SalaireJournalierSpec p_sjr)
  {
    super.setSjr((Sjr)p_sjr);
  }
}

/* Location:
 * Qualified Name:     ConstituantsCalculActiviteReduiteAsu
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */