package fr.unedic.cali.asu.calcul.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.calcul.dom.ConstituantsCalculActiviteReduiteGamme;
import fr.unedic.cali.asu.calcul.dom.pc.ConstituantsCalculActiviteReduiteAsuPC;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConstituantsCalculActiviteReduiteAsuGen
  extends ConstituantsCalculActiviteReduiteGamme
  implements DomGenSpec
{
  private Sjr m_sjr = null;
  private Sjc m_sjc = null;
  
  public ConstituantsCalculActiviteReduiteAsuGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConstituantsCalculActiviteReduiteAsuGen() {}
  
  protected DomPCSpec createPC()
  {
    return new ConstituantsCalculActiviteReduiteAsuPC();
  }
  
  protected Sjr rawGetSjr()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getSjr();
  }
  
  public Sjr getSjr()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getSjr();
  }
  
  public void setSjr(Sjr p_sjr)
  {
    if ((m_sjr == null) || (p_sjr == null))
    {
      m_sjr = p_sjr;
      ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setSjr(p_sjr);
    }
    else if ((m_sjr != null) && (p_sjr != null) && (!p_sjr.equals(m_sjr)))
    {
      m_sjr = p_sjr;
      ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setSjr(p_sjr);
    }
  }
  
  protected Sjc rawGetSjc()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getSjc();
  }
  
  public Sjc getSjc()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getSjc();
  }
  
  public void setSjc(Sjc p_sjc)
  {
    if ((m_sjc == null) || (p_sjc == null))
    {
      m_sjc = p_sjc;
      ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setSjc(p_sjc);
    }
    else if ((m_sjc != null) && (p_sjc != null) && (!p_sjc.equals(m_sjc)))
    {
      m_sjc = p_sjc;
      ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setSjc(p_sjc);
    }
  }
  
  protected int rawGetCumulJours()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getCumulJours();
  }
  
  public int getCumulJours()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getCumulJours();
  }
  
  public void setCumulJours(int p_cumulJours)
  {
    ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setCumulJours(p_cumulJours);
  }
  
  protected int rawGetCumulMoisNonIndemnise()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getCumulMoisNonIndemnise();
  }
  
  public int getCumulMoisNonIndemnise()
  {
    return ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).getCumulMoisNonIndemnise();
  }
  
  public void setCumulMoisNonIndemnise(int p_cumulMoisNonIndemnise)
  {
    ((ConstituantsCalculActiviteReduiteAsuPC)getPC()).setCumulMoisNonIndemnise(p_cumulMoisNonIndemnise);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     ConstituantsCalculActiviteReduiteAsuGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */