package fr.unedic.cali.asu.calcul.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.calcul.dom.pc.DureeProlongationPC;
import fr.unedic.cali.dom.DureeProlongationAbstraite;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class DureeProlongationGen
  extends DureeProlongationAbstraite
  implements DomGenSpec
{
  private Quantite m_quantiteCourante;
  
  public DureeProlongationGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeProlongationGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DureeProlongationPC();
  }
  
  protected int rawGetEtat()
  {
    return ((DureeProlongationPC)getPC()).getEtat();
  }
  
  public int getEtat()
  {
    return ((DureeProlongationPC)getPC()).getEtat();
  }
  
  public void setEtat(int p_etat)
  {
    ((DureeProlongationPC)getPC()).setEtat(p_etat);
  }
  
  protected Quantite rawGetQuantiteCourante()
  {
    return ((DureeProlongationPC)getPC()).getQuantiteCourante();
  }
  
  public Quantite getQuantiteCourante()
  {
    return ((DureeProlongationPC)getPC()).getQuantiteCourante();
  }
  
  public void setQuantiteCourante(Quantite p_quantiteCourante)
  {
    if ((m_quantiteCourante == null) || (p_quantiteCourante == null))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeProlongationPC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
    else if ((m_quantiteCourante != null) && (p_quantiteCourante != null) && (!p_quantiteCourante.equals(m_quantiteCourante)))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeProlongationPC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DureeProlongationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */