package fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import java.util.Iterator;

public class StrategieConventionARE14Avant
  extends Qualification
  implements StrategieConventionARE14Spec
{
  public boolean estAvantConventionARE14()
  {
    return true;
  }
  
  public boolean estApresConventionARE14()
  {
    return false;
  }
  
  public Damj recupererDateFaitGenerateurDroitCsp(AttributionSpec p_attribution)
  {
    return ((AttributionAssuranceSpec)p_attribution).getDateFaitGenerateurDroit();
  }
  
  public QualificationPeriodes qualificationPeriodesPourAvant(QualificationPeriodes p_qualificationPeriodes, ChronologiePeriodes p_chronologiePeriodes, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    ObjetChronoPeriodeCalcul periode = null;
    Iterator iterator = null;
    
    iterator = p_chronologiePeriodes.iterer();
    while (iterator.hasNext())
    {
      periode = (ObjetChronoPeriodeCalcul)iterator.next();
      
      boolean resultat = qualifierUnePeriodeSuspensivesPourAvant(periode, p_qualificationPeriodes, p_attribution);
      
      resultat = (qualifierUnePeriodeInterruptives(periode, p_qualificationPeriodes, p_attribution)) || (resultat);
      if (resultat)
      {
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
        ObjetChronoPeriodeCalcul periodeSegmentanteEnDebut = (ObjetChronoPeriodeCalcul)periode.copie();
        periodeSegmentanteEnDebut.setDateFin(periodeSegmentanteEnDebut.getDateDebut());
        ObjetChronoPeriodeCalcul periodeSegmentanteEnFin = (ObjetChronoPeriodeCalcul)periode.copie();
        periodeSegmentanteEnFin.setDateDebut(periodeSegmentanteEnFin.getDateFin().lendemain());
        p_qualificationPeriodes.ajouterPeriodesSegmentantes(periodeSegmentanteEnFin);
      }
      resultat = (qualifierUnePeriodeInterruptivesDefinitives(periode, p_qualificationPeriodes, p_attribution)) || (resultat);
      resultat = (qualifierUnePeriodeSegmentantesPourAvant(periode, p_qualificationPeriodes, p_attribution)) || (resultat);
      if ((!resultat) && 
        (estTypeAPrendreEnCompte((ObjetChronoPeriode)periode))) {
        p_qualificationPeriodes.ajouterPeriodesNonQualifiees(periode);
      }
    }
    return p_qualificationPeriodes;
  }
}

/* Location:
 * Qualified Name:     StrategieConventionARE14Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */