package fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontaireAre17Apres;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontaireAre17Avant;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.spec.StrategieConditionChomageInvolontaireAre17Spec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public enum FabriqueStrategieConditionChomageInvolontaireAre17
{
  SINGLETON;
  
  private FabriqueStrategieConditionChomageInvolontaireAre17() {}
  
  public static FabriqueStrategieConditionChomageInvolontaireAre17 getInstance()
  {
    return SINGLETON;
  }
  
  public StrategieConditionChomageInvolontaireAre17Spec getStrategie(Demande demande)
    throws CoucheLogiqueException
  {
    if (appliquerModaliteCaractereOpposable2017(demande)) {
      return StrategieConditionChomageInvolontaireAre17Apres.getInstance();
    }
    return StrategieConditionChomageInvolontaireAre17Avant.getInstance();
  }
  
  static boolean appliquerModaliteCaractereOpposable2017(Demande demande)
    throws CoucheLogiqueException
  {
    Damj dateApplication = GestionnaireDateApplication.getInstance().recupererDateApplication("Date d'application de la convention ARE 2017");
    Damj dateExamen = demande.getDateExamen();
    int sousTypeObjectif = demande.getObjectifCourant().getSousType();
    boolean appliquerBorne2017 = (NaturesDecisions.estdeTypeReprise(sousTypeObjectif)) || (NaturesDecisions.estdeTypeNovation(sousTypeObjectif)) || (demande.getDossierExamen().getDossierAffecte().getProduit().getPeriodeValidite().getDebut().estApresOuCoincideAvec(dateApplication));
    
    return (dateExamen.estApresOuCoincideAvec(dateApplication)) && (appliquerBorne2017);
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieConditionChomageInvolontaireAre17
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */