package fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.spec.StrategieConditionChomageInvolontaireAre17Spec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreRevisionAre14DV;
import fr.unedic.cali.utilitaire.filtres.FiltreCaliSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionAssurance;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourERE;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltrePoursuiteSurDecisions;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreNegation;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreOU;
import fr.unedic.cali.utilitaire.filtres.metiers.FiltreAttributionEnCoursIndemnisationPourDate;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public enum StrategieConditionChomageInvolontaireAre17Apres
  implements StrategieConditionChomageInvolontaireAre17Spec
{
  SINGLETON;
  
  private StrategieConditionChomageInvolontaireAre17Apres() {}
  
  public static StrategieConditionChomageInvolontaireAre17Spec getInstance()
  {
    return SINGLETON;
  }
  
  public boolean estInopposablePourContratCourt(Demande demande, TravailSpec activiteAControler, ResultatRechercheConditionChomageInvolontaire resultatRechercheConditionChomageInvolontaire)
    throws CoucheLogiqueException
  {
    FiltreET filtres = new FiltreET();
    
    FiltreAttributionEnCoursIndemnisationPourDate enCoursIndemnisation = new FiltreAttributionEnCoursIndemnisationPourDate(activiteAControler.getDateFin());
    FiltreAttributionAssurance filtreAsu = new FiltreAttributionAssurance(true, true, false, false, null);
    
    filtres.ajouterFiltre(filtreAsu);
    filtres.ajouterFiltre(enCoursIndemnisation);
    
    AttributionAssuranceSpec attributionEnCours = (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(demande.getChronologieDemandesAssuranceSansCourante(), demande, filtres);
    
    boolean droitEnCoursEnDateFinDv = attributionEnCours != null;
    
    return (droitEnCoursEnDateFinDv) && (!StrategieConditionChomageInvolontaireAre14Apres.estContratLong(activiteAControler, resultatRechercheConditionChomageInvolontaire));
  }
  
  public FiltreCaliSpec recupererFiltreDecisionPositiveAUtiliserPourBorneDelaiRechercheDv(Demande demande)
    throws CoucheLogiqueException
  {
    FiltreOU filtreAttributionOuPoursuite = new FiltreOU();
    
    FiltreET filtreAttribution = new FiltreET();
    filtreAttribution.ajouterFiltre(new FiltreAttributionStandardAssurance(true, true, true, false, demande));
    filtreAttribution.ajouterFiltre(new FiltreNegation(new FiltreRevisionAre14DV()));
    
    filtreAttributionOuPoursuite.ajouterFiltre(filtreAttribution);
    
    FiltreET filtrePoursuiteFilDeLEau = new FiltreET();
    filtrePoursuiteFilDeLEau.ajouterFiltre(new FiltreDemandePourERE("ASU_30"));
    filtrePoursuiteFilDeLEau.ajouterFiltre(new FiltrePoursuiteSurDecisions());
    filtreAttributionOuPoursuite.ajouterFiltre(filtrePoursuiteFilDeLEau);
    
    return filtreAttributionOuPoursuite;
  }
  
  public Damj gestionIPRRepriseDV(Damj pointDepartDelaiRecherche, Demande demande)
    throws CoucheLogiqueException
  {
    return pointDepartDelaiRecherche;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionChomageInvolontaireAre17Apres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */