package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.dom.CarenceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilCarence;
import fr.unedic.cali.asu.produits.liquidation.dom.CarenceIccp;
import fr.unedic.cali.asu.produits.liquidation.dom.CarenceIslr;
import fr.unedic.cali.asu.produits.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.produits.liquidation.dom.Differe;
import fr.unedic.cali.asu.produits.liquidation.dom.PreavisLegal;
import fr.unedic.cali.asu.produits.liquidation.dom.PreavisMesureConservatoireIndemnisable;
import fr.unedic.cali.asu.produits.liquidation.dom.PreavisMesureConservatoireNonIndemnisable;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.ObjetChronoPeriode;
import java.util.Collection;
import java.util.List;

public class OutilDelaiReport
  implements OutilFonctionnel
{
  public static CarenceSpec trouverDelaiReport(Collection p_listeDelaiReport, String p_typeDelaiReport)
  {
    return OutilCarence.trouverCarence(p_listeDelaiReport, p_typeDelaiReport);
  }
  
  public static List trouverDelaisReports(Collection p_listeDelaiReport, String p_typeDelaiReport)
  {
    return OutilCarence.trouverCarences(p_listeDelaiReport, p_typeDelaiReport);
  }
  
  public static boolean estDelaiReportDeType(CarenceSpec p_delaiReport, String p_typeDelaiReport)
  {
    return OutilCarence.estCarenceDeType(p_delaiReport, p_typeDelaiReport);
  }
  
  private static CarencePrefixeAFixer creerDelaiReportSelonType(String p_typeDelaiReport)
  {
    if ("Différé".equals(p_typeDelaiReport)) {
      return new Differe();
    }
    if ("ICCP".equals(p_typeDelaiReport)) {
      return new CarenceIccp();
    }
    if ("ISLR".equals(p_typeDelaiReport)) {
      return new CarenceIslr();
    }
    if ("PMC_I".equals(p_typeDelaiReport)) {
      return new PreavisMesureConservatoireIndemnisable();
    }
    if ("PMC_NI".equals(p_typeDelaiReport)) {
      return new PreavisMesureConservatoireNonIndemnisable();
    }
    if ("PREAVIS_LEGAL".equals(p_typeDelaiReport)) {
      return new PreavisLegal();
    }
    return null;
  }
  
  public static CarencePrefixeAFixer creerDelaiReport(String p_type, ObjetChronoPeriode p_periodeOrigine, Quantite p_quantite)
  {
    CarencePrefixeAFixer delaiReportRetour = null;
    if (p_quantite != null)
    {
      delaiReportRetour = creerDelaiReportSelonType(p_type);
      
      delaiReportRetour.setOrigine(p_periodeOrigine);
      
      delaiReportRetour.setQuantiteInitial(p_quantite);
    }
    return delaiReportRetour;
  }
  
  public static CarencePrefixeAFixer creerDelaiReport(String p_type, ObjetChronoPeriode p_periodeOrigine, Quantite p_quantite, boolean p_estReliquatCarence)
  {
    CarencePrefixeAFixer delaiReportRetour = null;
    if (p_quantite != null)
    {
      delaiReportRetour = creerDelaiReportSelonType(p_type);
      
      delaiReportRetour.setOrigine(p_periodeOrigine);
      
      delaiReportRetour.setQuantiteInitial(p_quantite);
      delaiReportRetour.setReliquatCarence(p_estReliquatCarence);
    }
    return delaiReportRetour;
  }
  
  public static void ajouterDelaiReportDansCollection(Collection p_collectionDelaisReports, CarencePrefixeAFixer p_delaiReport)
  {
    if ((p_collectionDelaisReports != null) && (p_delaiReport != null))
    {
      OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Création du délai report de type [", p_delaiReport.getClass().getName(), "] (", p_delaiReport.getQuantiteInitial().getValeur(), " jours)." });
      
      p_collectionDelaisReports.add(p_delaiReport);
    }
  }
}

/* Location:
 * Qualified Name:     OutilDelaiReport
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */