package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.pe.cali.reglementaire.regles.assurance.cep.dureereglementaire.outils.spec.IOutilFonctionnelDureeReglementaireConvention2017;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.DureeReglementaire;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class OutilFonctionnelDureeReglementaire
  implements IOutilFonctionnelDureeReglementaireConvention2017
{
  private Demande demande;
  
  public OutilFonctionnelDureeReglementaire(Demande demande)
  {
    this.demande = demande;
  }
  
  public BigDecimal determinerDureeImputationFormationDroitCourant(BigDecimal dureeTheoriqueDroitCourant)
  {
    BigDecimal retour = BigDecimal.ZERO;
    if ((dureeTheoriqueDroitCourant != null) && (demande != null))
    {
      Quantite qteDureeTheorique = new Quantite(dureeTheoriqueDroitCourant, DureeReglementaire.UNITE_DEFAUT);
      
      int dureeTheorique = dureeTheoriqueDroitCourant.intValue();
      Quantite qteDureeImputationDroitCourant = OutilTraitementReliquat.determinerDureeImputationFormationDroitCourant(demande.getDossierAffectation().getProduit(), demande, qteDureeTheorique, OutilTraitementReliquat.determinerPeriodeImputationFormationDroitCourant(demande, demande.getDateExamen().veille()), dureeTheorique);
      
      retour = qteDureeImputationDroitCourant.getValeur();
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     OutilFonctionnelDureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */