package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.util.services.OutilFonctionnel;

public class RechercheValiditeProduit
  implements OutilFonctionnel
{
  public static ValidationProduitSpec validerProduit(ActiviteSalarie p_activiteSalarie, DemandeAssuranceSpec p_demandeAssurance, boolean p_avecPeriodeNonAttestee, ProduitAsuSpec p_produit)
    throws ApplicativeException
  {
    ValidationProduit validationProduitRetour = RechercheReglementApplicable.getInstance().rechercher((Demande)p_demandeAssurance, p_activiteSalarie, p_avecPeriodeNonAttestee, p_produit);
    if (validationProduitRetour != null) {
      validationProduitRetour.setEstProduitValide(true);
    }
    return validationProduitRetour;
  }
  
  public static ValidationProduitSpec validerProduitFinancement(ActiviteSalarie p_activiteSalarie, DemandeAssuranceSpec p_demandeAssurance, boolean p_avecPeriodeNonAttestee, ProduitAsuSpec p_produit)
    throws ApplicativeException
  {
    ValidationProduit validationProduitRetour = RechercheReglementApplicableFinancement.getInstance().rechercher((Demande)p_demandeAssurance, p_activiteSalarie, p_avecPeriodeNonAttestee, p_produit);
    
    return validationProduitRetour;
  }
}

/* Location:
 * Qualified Name:     RechercheValiditeProduit
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */