package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieAppelContribApres2015;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieAppelContribAvant2015;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieAppelContrib
  implements FabriqueStrategieSpec
{
  private static final Damj DATE_APPLICATION = new Damj(2015, 1, 1);
  private static FabriqueStrategieAppelContrib instance = new FabriqueStrategieAppelContrib();
  
  public static FabriqueStrategieAppelContrib getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieAppelContrib : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = new StrategieAppelContribApres2015();
    } else {
      retour = new StrategieAppelContribAvant2015();
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieAppelContrib
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */