package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDeterminationDebutPRAAPartirARE09;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDeterminationDebutPRAAvantARE09;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieDeterminationDebutPRA;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P04;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class FabriqueStrategieDeterminationDebutPRA
{
  private static FabriqueStrategieDeterminationDebutPRA s_fabrique = new FabriqueStrategieDeterminationDebutPRA();
  private static final Damj DATE_PIVOT_DETERMINATION_DEBUT_PRA = ProduitAsuCge01P04.getInstance().getPeriodeValidite().getDebut();
  
  public static FabriqueStrategieDeterminationDebutPRA getInstance()
  {
    return s_fabrique;
  }
  
  public StrategieDeterminationDebutPRA getStrategie(ActiviteSalarie p_activite)
  {
    Damj debutValiditeProduitRelatifAActivite = p_activite.getReglement().getProduit().getPeriodeValidite().getDebut();
    if (debutValiditeProduitRelatifAActivite.estApresOuCoincideAvec(DATE_PIVOT_DETERMINATION_DEBUT_PRA)) {
      return new StrategieDeterminationDebutPRAAPartirARE09();
    }
    return new StrategieDeterminationDebutPRAAvantARE09();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDeterminationDebutPRA
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */