package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDeterminationFormuleICCPMontantApresARE14;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDeterminationFormuleICCPMontantAvantARE14;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieDeterminationFormuleICCPMontant
  extends FabriqueConvention2014
{
  private static FabriqueStrategieDeterminationFormuleICCPMontant s_instance = new FabriqueStrategieDeterminationFormuleICCPMontant();
  
  public static FabriqueStrategieDeterminationFormuleICCPMontant getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieDeterminationFormuleICCPMontant : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieDeterminationFormuleICCPMontantAvantARE14();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieDeterminationFormuleICCPMontantApresARE14();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDeterminationFormuleICCPMontant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */