package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.CriteresStrategieFormuleICCP;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieIccpApresARE14;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieIccpApresMajPriorisation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieIccpAvantARE14;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieFormuleICCP
  extends FabriqueConvention2014
{
  private static FabriqueStrategieFormuleICCP instance = new FabriqueStrategieFormuleICCP();
  
  public static FabriqueStrategieFormuleICCP getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    Damj datePivot = critereStrategie.getDatePivot();
    int sousType = ((CriteresStrategieFormuleICCP)critereStrategie).getSousTypeObjectifCourant();
    boolean typeReprise = NaturesDecisions.estdeTypeReprise(sousType);
    
    Damj dateApplicationPriorisationICCP = GestionnaireDateApplication.getInstance().recupererDateApplication("Modification des règles ICCP en 15SI4");
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieICCP : la date pivot est null.");
    }
    StrategieSpec retour;
    StrategieSpec retour;
    if ((typeReprise) && (datePivot.estApresOuCoincideAvec(dateApplicationPriorisationICCP)))
    {
      retour = getStrategieApresMajPriorisationICCP();
    }
    else
    {
      StrategieSpec retour;
      if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
        retour = getStrategieApresARE14();
      } else {
        retour = getStrategieAvant();
      }
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieIccpAvantARE14();
  }
  
  protected StrategieSpec getStrategieApresARE14()
  {
    return new StrategieIccpApresARE14();
  }
  
  protected StrategieSpec getStrategieApresMajPriorisationICCP()
  {
    return new StrategieIccpApresMajPriorisation();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieFormuleICCP
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */