package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieProduitResultantApresARE14;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieProduitResultantAvantARE14;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieProduitResultantSpec;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieProduitResultant
  extends FabriqueConvention2014
{
  private static FabriqueStrategieProduitResultant s_instance = new FabriqueStrategieProduitResultant();
  
  public static FabriqueStrategieProduitResultant getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieProduitResultantSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieProduitResultant : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieProduitResultantApresARE14();
    } else {
      strategie = new StrategieProduitResultantAvantARE14();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */