package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec;

import fr.unedic.cali.asu.produits.liquidation.dom.JustificationDiviseur;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPlafonds;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPlafondsParEmployeur;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPlafondsParExerciceEtEmployeur;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSrPeriodeActiviteRetenue;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public abstract interface OutilJustificationSjrSpec
  extends OutilFonctionnel
{
  public static final int JUSTIF_SR_MONTANT_SRIP = 1;
  public static final int JUSTIF_SR_MONTANT_SRI = 2;
  public static final int JUSTIF_SR_MONTANT_TOTAL_SALAIRES = 3;
  public static final int JUSTIF_SR_MONTANT_TOTAL_PRIMES_NORM = 4;
  public static final int JUSTIF_SR_MONTANT_TOTAL_PRIMES_EXCEP = 5;
  public static final int JUSTIF_SR_TYPE_REMUNERATION_AUCUNE = 0;
  public static final int JUSTIF_SR_TYPE_REMUNERATION_SALAIRE = 1;
  public static final int JUSTIF_SR_TYPE_REMUNERATION_PRIME_NORM = 2;
  public static final int JUSTIF_SR_TYPE_REMUNERATION_PRIME_EXCEP = 3;
  public static final int JUSTIF_SR_TYPE_REMUNERATION_PRIME_ICRS = 4;
  
  public abstract void justifierDiviseurDonneeDiviseurMinimal(JustificationDiviseur paramJustificationDiviseur, int paramInt);
  
  public abstract void justifierDiviseurDonneePremiereValeurFormule(JustificationDiviseur paramJustificationDiviseur, int paramInt);
  
  public abstract void justifierDiviseurDonneePrimoDemandeurA3A4A5(JustificationDiviseur paramJustificationDiviseur, boolean paramBoolean);
  
  public abstract void justifierDiviseurPeriodeParticipanteHeures(JustificationDiviseur paramJustificationDiviseur, Reglement paramReglement, ActiviteSalarie paramActiviteSalarie, int paramInt);
  
  public abstract void justifierDiviseurPeriodeParticipanteJoursAbsence(JustificationDiviseur paramJustificationDiviseur, Periode paramPeriode, ObjetChronoPeriode paramObjetChronoPeriode, BigDecimal paramBigDecimal);
  
  public abstract void justifierDiviseurPeriodeParticipanteJoursAbsenceNatureMultiple(JustificationDiviseur paramJustificationDiviseur, Periode paramPeriode, Chronologie paramChronologie, BigDecimal paramBigDecimal);
  
  public abstract void justifierDiviseurPeriodeParticipanteJoursDeductibles(JustificationDiviseur paramJustificationDiviseur, Periode paramPeriode, ObjetChronoPeriode paramObjetChronoPeriode, int paramInt);
  
  public abstract void justifierDiviseurPeriodeParticipanteJoursDeductiblesNatureMultiple(JustificationDiviseur paramJustificationDiviseur, Periode paramPeriode, Chronologie paramChronologie, int paramInt);
  
  public abstract void justifierDiviseurPeriodeParticipanteJoursInappartenance(JustificationDiviseur paramJustificationDiviseur, Periode paramPeriode, ChronologiePeriodes paramChronologiePeriodes);
  
  public abstract void justifierPlafondsDetailParExerciceEtEmployeur(JustificationPlafondsParEmployeur paramJustificationPlafondsParEmployeur, Periode paramPeriode, BigDecimal paramBigDecimal1, BigDecimal paramBigDecimal2);
  
  public abstract JustificationPlafondsParExerciceEtEmployeur initialiserJustificationPlafondsParExerciceEtEmployeur(JustificationPlafonds paramJustificationPlafonds);
  
  public abstract JustificationPlafondsParEmployeur initialiserJustificationPlafondsParEmployeur(JustificationPlafondsParExerciceEtEmployeur paramJustificationPlafondsParExerciceEtEmployeur);
  
  public abstract void justifierPlafondsParEmployeur(JustificationPlafondsParEmployeur paramJustificationPlafondsParEmployeur, String paramString, BigDecimal paramBigDecimal1, BigDecimal paramBigDecimal2, BigDecimal paramBigDecimal3);
  
  public abstract void justifierPlafondsParExerciceEtEmployeur(JustificationPlafondsParExerciceEtEmployeur paramJustificationPlafondsParExerciceEtEmployeur, String paramString, BigDecimal paramBigDecimal1, BigDecimal paramBigDecimal2, BigDecimal paramBigDecimal3);
  
  public abstract void justifierSrMontant(JustificationSr paramJustificationSr, int paramInt, BigDecimal paramBigDecimal);
  
  public abstract JustificationSrPeriodeActiviteRetenue initialiserJustificationSrPeriodeActiviteRetenue(JustificationSr paramJustificationSr, ActiviteSalarie paramActiviteSalarie);
  
  public abstract void justifierSrPeriodeRemunerationParticipante(JustificationSrPeriodeActiviteRetenue paramJustificationSrPeriodeActiviteRetenue, Damj paramDamj1, Damj paramDamj2, RemunerationSpec paramRemunerationSpec, int paramInt, BigDecimal paramBigDecimal);
}

/* Location:
 * Qualified Name:     OutilJustificationSjrSpec
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */