package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilGestionActivitesConservees;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieActiviteConserveeConvention2014Spec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieActiviteConserveeSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjc;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Sjcip;
import fr.unedic.cali.asu.produits.liquidation.dom.SjrActiviteConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.Collection;

public class StrategieActiviteConserveeConvention2014Avant
  implements StrategieActiviteConserveeConvention2014Spec
{
  public boolean verifierSeuilsConditionActiviteConservee(boolean p_reglementApplicableA4)
  {
    return !p_reglementApplicableA4;
  }
  
  public boolean constituerSalaireJournalierConserve(DemandeAssuranceSpec p_demande)
    throws CoucheLogiqueException
  {
    return true;
  }
  
  public Collection<SjrActiviteConservee> recupererListeActivitesConservees(DemandeAssuranceSpec p_demande)
    throws CoucheLogiqueException
  {
    Collection<SjrActiviteConservee> collectionGlobaleActivitesConservees = null;
    
    DossierExamen dossierExamenCourant = (DossierExamen)p_demande.getDossierExamen();
    ProduitSpec produit = ((DossierAffectation)p_demande.getDossierAffectation()).getProduit();
    Reglement reglementApplicableCourant = dossierExamenCourant.getReglementApplicable().getReglement();
    boolean estReglementApplicableA4 = reglementApplicableCourant.equals(produit.getReglement("A4"));
    if ((!estReglementApplicableA4) && (dossierExamenCourant.getConstitutionElementsActifs().getConstitutionSjc() != null) && (dossierExamenCourant.getConstitutionElementsActifs().getConstitutionSjc().getSjcip() != null))
    {
      collectionGlobaleActivitesConservees = dossierExamenCourant.getConstitutionElementsActifs().getConstitutionSjc().getSjcip().getListeSjrActiviteConserve();
    }
    else
    {
      Damj dateFaitGenerateur = ((Demande)p_demande).getDateFaitGenerateurOuDernierSinistre();
      CritereStrategie critere = new CritereStrategie();
      critere.setDatePivot(dateFaitGenerateur);
      StrategieActiviteConserveeSpec strategie = (StrategieActiviteConserveeSpec)FabriqueStrategieActiviteConservee.getInstance().getStrategie(critere);
      
      collectionGlobaleActivitesConservees = strategie.determinerListeActivitesConserveesEnAbsenceSjc(p_demande);
    }
    return collectionGlobaleActivitesConservees;
  }
  
  public boolean persisterListeActivitesConserveesCapa12()
  {
    return false;
  }
  
  public Chronologie recupererChronoActivitesConservees(DemandeAssuranceSpec p_demande, Periode p_periodePrc)
    throws CoucheLogiqueException
  {
    return OutilGestionActivitesConservees.getInstance().determinerChronoGlobaleActivitesConservees(p_demande);
  }
  
  public boolean traiterActivitesConserveesA4()
  {
    return true;
  }
}

/* Location:
 * Qualified Name:     StrategieActiviteConserveeConvention2014Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */