package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionBaseCarence;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationCarenceIccpA4;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieMajorationRemunerationIccp;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieMajorationRemunerationIccpSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategiePriseEnCompteIccpSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class StrategiePriseEnCompteIccpApres
  extends ConstructionBaseCarence
  implements StrategiePriseEnCompteIccpSpec
{
  public QuantiteEuro determinerMontantIccpALaFctOdRg(ActiviteSalarie periodeActiviteSalarie, Damj dateFg)
  {
    CritereStrategie critereStrategie = new CritereStrategie();
    critereStrategie.setDatePivot(periodeActiviteSalarie.getDateFin());
    StrategieMajorationRemunerationIccpSpec strategieMajorationRemunerationIccpCourante = (StrategieMajorationRemunerationIccpSpec)FabriqueStrategieMajorationRemunerationIccp.getInstance().getStrategie(critereStrategie);
    
    return strategieMajorationRemunerationIccpCourante.determinerMontantIccpOdRg(periodeActiviteSalarie, dateFg);
  }
  
  public QuantiteEuro determinerMontantIccpA5(ActiviteSalarie periodeActiviteSalarie, Damj dateFg)
  {
    CritereStrategie critereStrategie = new CritereStrategie();
    critereStrategie.setDatePivot(periodeActiviteSalarie.getDateFin());
    StrategieMajorationRemunerationIccpSpec strategieMajorationRemunerationIccpCourante = (StrategieMajorationRemunerationIccpSpec)FabriqueStrategieMajorationRemunerationIccp.getInstance().getStrategie(critereStrategie);
    
    return strategieMajorationRemunerationIccpCourante.determinerMontantIccpA5(periodeActiviteSalarie, dateFg);
  }
  
  public BigDecimal determinerMontantIccpOdA4(ActiviteSalarie periodeActiviteSalarie, Damj finPeriodeAttributionAsuPrecedente, Damj finPeriodeAttributionAssPrecedente, boolean estUneChronoPendantAttribution)
  {
    return DeterminationCarenceIccpA4.getInstance().determinerMontantIccpOdA4Apres(periodeActiviteSalarie, finPeriodeAttributionAsuPrecedente, finPeriodeAttributionAssPrecedente, estUneChronoPendantAttribution);
  }
}

/* Location:
 * Qualified Name:     StrategiePriseEnCompteIccpApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */