package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Prae;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.Prce;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Prime;
import fr.unedic.cali.autresdoms.ga.dom.Salaire;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class StrategiePriseEnCompteRemunerationSrParDateVersement
  implements StrategiePriseEnCompteRemunerationSrSjrSpec
{
  public boolean prendreEnCompteSourceRemuneration(Prae p_prae, RemunerationSpec p_sourceRemuneration)
    throws CoucheLogiqueException
  {
    boolean priseEnCompteRemuneration = false;
    
    boolean estSourceRemunerationTypeSalaire = p_sourceRemuneration.estType(Salaire.class);
    boolean estSourceRemunerationTypePrime = p_sourceRemuneration.estType(Prime.class);
    if (p_sourceRemuneration.getDatePaie() == null)
    {
      OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Date de paie d'un salaire ou d'une prime non renseignée" });
      
      String typeRemuneration = new String();
      Damj dateFinRemuneration = p_sourceRemuneration.getDateFin();
      if (estSourceRemunerationTypeSalaire) {
        typeRemuneration = "le salaire";
      } else if (estSourceRemunerationTypePrime) {
        typeRemuneration = "la prime";
      }
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ABSENCE_DATE_PAIE", new Object[] { typeRemuneration, dateFinRemuneration });
    }
    Periode periodeRecherche = null;
    if ((estSourceRemunerationTypeSalaire) || ((estSourceRemunerationTypePrime) && (((Prime)p_sourceRemuneration).getTypePrime() == 1)) || (((Prime)p_sourceRemuneration).getTypePrime() == 5))
    {
      periodeRecherche = new Periode(p_prae.getPrce().getDateDebut(), p_prae.getPrce().getDateFin());
      if (p_sourceRemuneration.getDatePaie().estContenueDans(periodeRecherche)) {
        priseEnCompteRemuneration = true;
      }
      if ((!priseEnCompteRemuneration) && (p_prae.getPeriodeActiviteSalarie().getDateFin().estAvantOuCoincideAvec(periodeRecherche.getFin())) && (p_sourceRemuneration.getDatePaie().estApres(periodeRecherche.getFin())) && (p_sourceRemuneration.getDatePaie().estContenueDans(new Periode(p_prae.getPrce().getPrc().getDateDebut(), p_prae.getPrce().getPrc().getDateFin())))) {
        priseEnCompteRemuneration = true;
      }
    }
    else if ((estSourceRemunerationTypePrime) && (((Prime)p_sourceRemuneration).getTypePrime() == 2))
    {
      periodeRecherche = new Periode(p_prae.getPrce().getPrc().getDateDebut(), p_prae.getPrce().getPrc().getDateFin());
      if (p_sourceRemuneration.getDatePaie().estContenueDans(periodeRecherche)) {
        priseEnCompteRemuneration = true;
      }
    }
    return priseEnCompteRemuneration;
  }
  
  public boolean proratiserSourceRemuneration()
  {
    return false;
  }
}

/* Location:
 * Qualified Name:     StrategiePriseEnCompteRemunerationSrParDateVersement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */