package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationProduitResultant;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.AgregatGaec;
import fr.unedic.cali.dom.DonneesChargementGaec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.parcours.AccesDonneesGaecException;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionProduitResultantClassique
  extends ParcoursConstitutionProduitResultant
  implements ParcoursAssurance
{
  public Resultat demarrerParcours(Contexte p_contexte)
    throws CoucheLogiqueException, ApplicativeException
  {
    DomLiquidationAssurance dom = (DomLiquidationAssurance)p_contexte.getDonnees();
    Demande demandeCourante = dom.getDemande();
    
    m_determinationProduitResultant.constitutionDureeDroitPrecedentCepa15(demandeCourante);
    
    return constitutionProduitResultant(p_contexte);
  }
  
  protected void affectationDemandeOrigine(Demande p_demandeCourante, DomLiquidationAssurance p_dom)
    throws CoucheLogiqueException
  {
    p_demandeCourante.setDemandeOrigine((DemandeAssuranceSpec)p_dom.getAttributionPrecedente().getDemande());
  }
  
  protected void verifierCapitalPrecedentSP(Quantite p_duree, MontantAsuSpec p_montant, Quantite p_capital)
    throws CoucheLogiqueException
  {}
  
  protected int getModeChargementDebrayageDossiersLourds(Individu p_individu)
  {
    return 0;
  }
  
  protected void alimenterAgregatGaec(Individu p_individu, String p_idDemande)
  {
    p_individu.getDonneesChargementGaec().getAgregatGaec().setModeAppel(0);
  }
  
  protected void controlerPostTraitement(Individu p_individu)
    throws AccesDonneesGaecException
  {
    controlerModeAppel(p_individu.getDonneesChargementGaec().getAppelGaecReduit(), 0);
  }
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultantClassique
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */