package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.parcours.conteneurs.ConteneurParcoursRevisionAutomatique;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsActiviteConserve;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourReferenceExterne;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreFinAvantOuCoincideAvecDate;

public class ConstitutionRevisionAutomatiqueAreSousJacent
  extends ConstitutionRevisionAutomatiqueFinDroit
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    Attribution attributionARESJ = (Attribution)demandeCourante.getDossierExamen();
    ConteneurParcoursRevisionAutomatique conteneur = initialiserDonneesEnEntree(demandeCourante, attributionARESJ, demandeCourante);
    return demarrerParcours(conteneur);
  }
  
  protected ConteneurParcoursRevisionAutomatique initialiserDonneesEnEntree(Demande p_demandeCourante, Attribution p_attributionAReviser, Demande p_demandeOrigine)
  {
    ConteneurParcoursRevisionAutomatique conteneur = new ConteneurParcoursRevisionAutomatique();
    conteneur.setDemandeCourante(p_demandeCourante);
    conteneur.setAttributionAReviser(p_attributionAReviser);
    conteneur.setDemandeOrigine(p_demandeOrigine);
    conteneur.setNouvelleRevisionDroit(false);
    return conteneur;
  }
  
  protected Chronologie trouverChronoActiviteAReviser(Demande p_demandeCourante)
    throws ApplicativeException
  {
    Chronologie resultat = OutilsActiviteConserve.getListeActiviteConserveesPerdues(p_demandeCourante);
    if (resultat != null)
    {
      DemandeSpec demandeAsp = OutilRecherche.rechercherDemandeSuivante(p_demandeCourante.getDemandeur().getChronoDemandeAssurance(), p_demandeCourante, new FiltreDemandePourReferenceExterne(p_demandeCourante.getFormulaire().getReferenceExterne()));
      if (demandeAsp != null) {
        return resultat.copier(new FiltreFinAvantOuCoincideAvecDate(demandeAsp.getDateExamen().veille()));
      }
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionRevisionAutomatiqueAreSousJacent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */