package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionCSRAccordCP;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionCSRAccordCP;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionAccordCP
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultat = new Resultat(1);
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    DonneesTemporaires donnesTemporaires = demandeCourante.getDonneesTemporaires();
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    ConditionCSRAccordCP conditionCSRAccordCP = dossierExamenCourant.getConditionsAttributionActives().createConditionCSRAccordCP();
    ResultatElementDroit resultatConditionCSRAccordCP = RechercheConditionCSRAccordCP.rechercherConditionCsrAccordCp(demandeCourante);
    conditionCSRAccordCP.setCodeMotifEchec(resultatConditionCSRAccordCP.getCodeMotifEchec());
    conditionCSRAccordCP.setEtat(resultatConditionCSRAccordCP.getEtat());
    conditionCSRAccordCP.setEstSinistreOuCalamiteNaturelle(donnesTemporaires.isSinistreOuCalamiteNaturelleChomageTotalSansRupture());
    
    conditionCSRAccordCP.setEstSalarieHandicape(donnesTemporaires.isEstSalarieHandicapeChomageTotalSansRupture());
    
    resultat.setEtat(resultatConditionCSRAccordCP.getEtat());
    return resultat;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionAccordCP
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */