package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionAgePourMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionAgeMaintien;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionAgePourMaintien
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCam01 = new Resultat(1);
    DemandeMaintien demandeMaintien = (DemandeMaintien)getDemande(p_contexte);
    
    ConditionAgeMaintien conditionAge = getOutilRechercheConditionAgePourMaintien().rechercherConditionAge(demandeMaintien);
    
    demandeMaintien.getDossierExamen().setConditionAge(conditionAge);
    if (conditionAge.estSatisfait())
    {
      resultatCam01.setEtat(0);
    }
    else
    {
      resultatCam01.setEtat(1);
      resultatCam01.setMessageErreur(Integer.toString(conditionAge.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCam01;
  }
  
  public static DemandeSpec getDemande(Contexte p_contexte)
  {
    return ((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
  }
  
  public RechercheConditionAgePourMaintien getOutilRechercheConditionAgePourMaintien()
  {
    return RechercheConditionAgePourMaintien.getInstance();
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionAgePourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */