package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.spec.EvenementReferenceExamenFinDroitSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;

public class VerifierConditionSurFinDispositifReclassement
  extends ParcoursCali
  implements ParcoursAssurance
{
  Parcours m_parcours = null;
  
  public VerifierConditionSurFinDispositifReclassement(Parcours p_parcours)
  {
    m_parcours = p_parcours;
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    ((EvenementReferenceExamenFinDroitSpec)demande.getEvenementReferenceExamen()).setCalculerDateExamenHorsLiquidation(true);
    
    Resultat resultatParcours = m_parcours.demarrer(p_contexte);
    
    ((EvenementReferenceExamenFinDroitSpec)demande.getEvenementReferenceExamen()).setCalculerDateExamenHorsLiquidation(false);
    
    OutilTrace.tracerFinParcours();
    
    return resultatParcours;
  }
}

/* Location:
 * Qualified Name:     VerifierConditionSurFinDispositifReclassement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */