package fr.unedic.cali.asu.cge01.liquidation.parcours.asp;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.EreDemandeAssociee;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursLiquidationAssuranceFinancement;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatServiceDemande;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class ParcoursLiquidationDemandeAssuranceCSPDroitCommun
  extends ParcoursLiquidationAssuranceFinancement
{
  protected void initialisationPasseProfessionnelLiquidation(Contexte contexte) {}
  
  protected void verifierPreconditions(Contexte contexte)
    throws CoucheLogiqueException
  {}
  
  protected void verifierPrescription(DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  protected void affecterProduit(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = getDemandeAsu(contexte);
    Demande demandeMere = (Demande)((EreDemandeAssociee)demande.getEvenementReferenceExamen()).getDemandeMere();
    
    DossierAffecte dossierAffecteMere = (DossierAffecte)demandeMere.getDossierAffectationAdmission();
    ValidationProduit validationMere = dossierAffecteMere.getValidationProduit();
    
    DossierAffectation dossierAffectation = new DossierAffecte(1);
    demande.setDossierAffectation(dossierAffectation);
    dossierAffectation.setValidationProduit((ValidationProduit)validationMere.copie());
    dossierAffectation.setSinistre(dossierAffecteMere.getSinistre());
    dossierAffectation.setProduitSecours(dossierAffecteMere.getProduitSecours());
  }
  
  protected void determinerContexteExamen(Contexte contexte)
    throws ApplicativeException
  {
    getDom(contexte).setContexteExamen(1);
    getDom(contexte).setCauseNonValidite(0);
  }
  
  protected void determinerCREMModificationLiquidation(Contexte contexte, ResultatServiceDemande resultatServiceDemande)
    throws ApplicativeException
  {}
  
  protected void chargermentListePNDSIndividu(DemandeSpec demandeCourante, Damj dateExamen)
    throws CoucheLogiqueException
  {}
  
  protected void proposerAttribution(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = getDemandeAsu(contexte);
    
    demande.getDossierAffectationAdmission().getDossierExamen().changerEtat(35);
    ((DecisionSpec)demande.getDossierAffectationAdmission().getDossierExamen()).setNatureDecision(35);
    
    DossierExamenSpec dossierExamen = demande.getDossierAffectationAdmission().getDossierExamen();
    
    ((ProduitAsuSpec)dossierExamen.getDossierAffecte().getProduit()).verifierPropositionAttribution(demande);
    
    demande.setListeMotifsReexamen(null);
    
    getDom(contexte).setContinuerEtudeFctEre(false);
    
    alimenterTranchesExecutables(contexte);
    
    demande.setObjectifCourant(null);
    postTraiterJustificationAffiliation(getDemandeAsu(contexte));
    
    ContexteService contexteService = ((DomLiquidationDemande)contexte.getDonnees()).getContexteService();
    demande.definirDateValidation(contexteService.getDateTraitement());
  }
}

/* Location:
 * Qualified Name:     ParcoursLiquidationDemandeAssuranceCSPDroitCommun
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */