package fr.unedic.cali.asu.cge01.liquidation.parcours.cep02dureeRegl.asp;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatDeterminationDureePostPrime;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.dureeReglementaire.asp.DeterminationDureeReglementaire;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.DureeReglementaireSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class ConstitutionDureePostPrime
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA02 = new Resultat(0);
    
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    
    DureeReglementaireSpec dureeReglementaire = creerDureeReglementaire((DossierExamenAssuranceSpec)demande.getDossierExamen());
    
    ResultatDeterminationDureePostPrime resultatDeterminationDuree = DeterminationDureeReglementaire.determinerDureeReglementairePostPrime(demande);
    
    dureeReglementaire.setDureePostPrimeCspConstitutionDurees(resultatDeterminationDuree.getDureePostPrime());
    
    dureeReglementaire.setDureeImputationPostPrime(resultatDeterminationDuree.getDureeImputationPostPrime());
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA02;
  }
  
  protected DureeReglementaireSpec creerDureeReglementaire(DossierExamenAssuranceSpec dossierExamenCourant)
  {
    ConstitutionElementsSpec constitutionElements = ((DossierExamen)dossierExamenCourant).getConstitutionElementsActifs();
    ConstitutionDurees constitutionDurees = constitutionElements.createConstitutionDurees();
    return constitutionDurees.getDureeIndemnisation();
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureePostPrime
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */