package fr.unedic.cali.asu.cge01.liquidation.parcours.fabrique;

import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDeterminationDelaisReports;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDeterminationDelaisReportsA4;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDeterminationDelaisReportsCasGeneral;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionReglementApplicable;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;

public class FabriqueDeterminationDelaisReports
{
  public static ParcoursDeterminationDelaisReports getParcoursDeterminationDelaisReports(DemandeAssuranceSpec demande)
  {
    Reglement reglementApplicableCourant = ((DossierExamen)demande.getDossierExamen()).getReglementApplicable().getReglement();
    ProduitSpec produit = ((DossierAffectation)demande.getDossierAffectation()).getProduit();
    ParcoursDeterminationDelaisReports parcours = null;
    boolean estDroitInterimaire = false;
    if ((((DossierExamen)demande.getDossierExamen()).getReglementApplicable() instanceof ConstitutionReglementApplicable)) {
      estDroitInterimaire = ((ConstitutionReglementApplicable)((DossierExamen)demande.getDossierExamen()).getReglementApplicable()).isDroitInterimaire();
    }
    if ((estReglementAutreA4(reglementApplicableCourant, produit)) && (!estDroitInterimaire)) {
      parcours = new ParcoursDeterminationDelaisReportsCasGeneral();
    } else if ((estReglementA4(reglementApplicableCourant, produit)) || (estDroitInterimaire)) {
      parcours = new ParcoursDeterminationDelaisReportsA4();
    }
    return parcours;
  }
  
  private static boolean estReglementAutreA4(Reglement reglementCourant, ProduitSpec produit)
  {
    boolean estReglementRGOuOPOuA1 = (reglementCourant.reglementsEgaux(produit.getReglement("RG"))) || (reglementCourant.reglementsEgaux(produit.getReglement("OP"))) || (reglementCourant.reglementsEgaux(produit.getReglement("A1")));
    
    boolean estReglement2Ou3 = (reglementCourant.reglementsEgaux(produit.getReglement("A2a"))) || (reglementCourant.reglementsEgaux(produit.getReglement("A2b"))) || (reglementCourant.reglementsEgaux(produit.getReglement("A3")));
    
    boolean estReglement5Ou6Ou9 = (reglementCourant.reglementsEgaux(produit.getReglement("A5"))) || (reglementCourant.reglementsEgaux(produit.getReglement("A6"))) || (reglementCourant.reglementsEgaux(produit.getReglement("A9A")));
    
    return (estReglementRGOuOPOuA1) || (estReglement2Ou3) || (estReglement5Ou6Ou9);
  }
  
  private static boolean estReglementA4(Reglement reglementCourant, ProduitSpec produit)
  {
    return reglementCourant.reglementsEgaux(produit.getReglement("A4"));
  }
}

/* Location:
 * Qualified Name:     FabriqueDeterminationDelaisReports
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */