package fr.unedic.cali.asu.cge01.p02.calcul.dom;

import fr.unedic.cali.asu.calcul.dom.UniteTraitement;
import fr.unedic.cali.asu.cge01.p02.calcul.dom.gen.CalendrierExecutionCalculGen;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.EtatAuDji;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class CalendrierExecutionCalcul
  extends CalendrierExecutionCalculGen
{
  private static final long serialVersionUID = -4686925332237709059L;
  
  public CalendrierExecutionCalcul(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public CalendrierExecutionCalcul(CalendrierExecutionCalculSpec calendrier)
  {
    CalendrierExecutionCalculPeriodique calendrierExecutionCalculPeriodique = (CalendrierExecutionCalculPeriodique)calendrier;
    setDateDebut(calendrierExecutionCalculPeriodique.getDateDebut());
    setDateFin(calendrierExecutionCalculPeriodique.getDateFin());
    setEtatAttribution(calendrierExecutionCalculPeriodique.getEtatAttribution());
    setDernierJourIndemnisablePourSuivi(calendrierExecutionCalculPeriodique.getDernierJourIndemnisablePourSuivi());
    setDateDrv(calendrierExecutionCalculPeriodique.getDateDrv());
    setDateEpuisementDuree(calendrierExecutionCalculPeriodique.getDateEpuisementDuree());
    if (calendrierExecutionCalculPeriodique.getEtatAuDJI() != null) {
      setEtatAuDJI(calendrierExecutionCalculPeriodique.getEtatAuDJI().dupliquer());
    }
    ArrayList listeUniteTraitementCopies = new ArrayList();
    Iterator iterUniteTraitement = calendrierExecutionCalculPeriodique.getChronologieUnitesTraitements().mapperVersCollection().iterator();
    while (iterUniteTraitement.hasNext())
    {
      UniteTraitement element = (UniteTraitement)iterUniteTraitement.next();
      listeUniteTraitementCopies.add(element.copie());
    }
    remplacerCollectionUniteTraitement(listeUniteTraitementCopies);
  }
  
  public CalendrierExecutionCalcul() {}
  
  public ObjetMetierSpec copie()
  {
    CalendrierExecutionCalcul copie = new CalendrierExecutionCalcul();
    copie.setDateDrv(getDateDrv());
    copie.setDateEpuisementDuree(getDateEpuisementDuree());
    copieElements(copie);
    return copie;
  }
  
  public CalendrierExecutionCalculPeriodique dupliquerEtatAuDji()
  {
    CalendrierExecutionCalcul copie = new CalendrierExecutionCalcul();
    copie.setDateDebut(getDateDebut());
    copie.setDateFin(getDateFin());
    m_demandeur = m_demandeur;
    copie.setEtatAttribution(getEtatAttribution());
    copie.setDernierJourIndemnisablePourSuivi(getDernierJourIndemnisablePourSuivi());
    copie.setDateDrv(getDateDrv());
    copie.setDateEpuisementDuree(getDateEpuisementDuree());
    if (getEtatAuDJI() != null) {
      copie.setEtatAuDJI(getEtatAuDJI().dupliquer());
    }
    return copie;
  }
}

/* Location:
 * Qualified Name:     CalendrierExecutionCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */