package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionMontantsBrutsGen;
import fr.unedic.cali.asu.dom.ConstitutionMontantsBrutsSpec;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public class ConstitutionMontantsBruts
  extends ConstitutionMontantsBrutsGen
  implements ConstitutionMontantsBrutsSpec
{
  private static final long serialVersionUID = -3898493918539244644L;
  private transient Quantite m_montantBrutSansDeduction;
  private transient MontantAsuSpec m_montantAAttribution;
  
  public ConstitutionMontantsBruts() {}
  
  public ConstitutionMontantsBruts(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public Quantite getMontantBrutSansDeduction()
  {
    return m_montantBrutSansDeduction;
  }
  
  public void setMontantBrutSansDeduction(Quantite p_quantite)
  {
    m_montantBrutSansDeduction = p_quantite;
  }
  
  public MontantAsuSpec getMontantAAttribution()
  {
    return m_montantAAttribution;
  }
  
  public void setMontantAAttribution(MontantAsuSpec p_montantAAttribution)
  {
    m_montantAAttribution = p_montantAAttribution;
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public void jdoPreStore() {}
  
  public ObjetMetierSpec copie()
  {
    ConstitutionMontantsBruts copie = new ConstitutionMontantsBruts();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionMontantsBruts copie = (ConstitutionMontantsBruts)p_copie;
    
    copie.setCapitalInitialBrut(getCapitalInitialBrut());
    copie.setMontantBase(getMontantBase());
    copie.setMontantBrutSansPensionInvaliditeADeduire(getMontantBrutSansPensionInvaliditeADeduire());
    copie.setMontantJournalierBrut(getMontantJournalierBrut());
    copie.setMontantBrutSansDeduction(getMontantBrutSansDeduction());
    copie.setMontantMini(getMontantMini());
    copie.setMontantPlafond(getMontantPlafond());
    copie.setMontantPlancher(getMontantPlancher());
    copie.setPensionInvaliditeADeduirePriseEnCompte(getPensionInvaliditeADeduirePriseEnCompte());
    copie.setMontantJournalierAvantageVieillesse(getMontantJournalierAvantageVieillesse());
    copie.setMontantJournalierAvantageVieillesseDeduit(getMontantJournalierAvantageVieillesseDeduit());
    copie.setCrc(getCrc());
    copie.setMontantAAttribution(getMontantAAttribution());
  }
}

/* Location:
 * Qualified Name:     ConstitutionMontantsBruts
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */