package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionProduitResultantGen;
import fr.unedic.cali.asu.dom.ConstitutionProduitResultantSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionProduitResultant
  extends ConstitutionProduitResultantGen
  implements ConstitutionProduitResultantSpec
{
  private static final long serialVersionUID = 4176743079069767355L;
  
  public ConstitutionProduitResultant() {}
  
  public ConstitutionProduitResultant(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    ConstitutionProduitResultant copie = new ConstitutionProduitResultant();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionProduitResultant copie = (ConstitutionProduitResultant)p_copie;
    
    copie.setCapitalDroitPrecedent(getCapitalDroitPrecedent());
    copie.setDureeDroitPrecedent(getDureeDroitPrecedent());
    copie.setMontantDroitPrecedent(getMontantDroitPrecedent());
    if (getConstitutionDurees() != null) {
      copie.setConstitutionDurees((ConstitutionDurees)getConstitutionDurees().copie());
    }
    if (getConstitutionMontantsBruts() != null) {
      copie.setConstitutionMontantsBrutsDroitPrecedent((ConstitutionMontantsBruts)getConstitutionMontantsBruts().copie());
    }
    if (getSjrrpProduitPrecedent() != null) {
      copie.setSjrrpProduitPrecedent((Sjr)getSjrrpProduitPrecedent().copie());
    }
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete()
  {
    DomManager.supprimer(super.getConstitutionDurees());
    DomManager.supprimer(super.getConstitutionMontantsBrutsDroitPrecedent());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBrutsDroitPrecedent());
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void setConstitutionDurees(ConstitutionDurees p_constitutionDurees)
  {
    DomManager.supprimer(super.getConstitutionDurees(), p_constitutionDurees);
    super.setConstitutionDurees(p_constitutionDurees);
  }
  
  public ConstitutionMontantsBruts getConstitutionMontantsBruts()
  {
    return super.getConstitutionMontantsBrutsDroitPrecedent();
  }
  
  public void setConstitutionMontantsBruts(ConstitutionMontantsBruts constitutionMontantsBruts)
  {
    setConstitutionMontantsBrutsDroitPrecedent(constitutionMontantsBruts);
  }
  
  public void setConstitutionMontantsBrutsDroitPrecedent(ConstitutionMontantsBruts pConstitutionMontantsBruts)
  {
    DomManager.supprimer(super.getConstitutionMontantsBrutsDroitPrecedent(), pConstitutionMontantsBruts);
    super.setConstitutionMontantsBrutsDroitPrecedent(pConstitutionMontantsBruts);
  }
  
  public int getMontantRetenu()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée, en ARE 2003");
  }
  
  public int getTypeMontantRetenu()
  {
    return getMontantRetenu();
  }
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */