package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.DureeReglementaireGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.QuantiteDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;

public abstract class DureeReglementaire
  extends DureeReglementaireGen
  implements ObjetPersistantSpec
{
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  protected DureeReglementaire() {}
  
  public DureeReglementaire(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public String toString()
  {
    StringBuffer chaine = new StringBuffer();
    
    chaine.append("--- Duree Reglementaire ---");
    chaine.append("- duree effective : " + getDureeEffective());
    return chaine.toString();
  }
  
  public abstract QuantiteDroit creerDureeCalcul();
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DureeReglementaire copie = (DureeReglementaire)p_copie;
    
    copie.setDureeEffective(getDureeEffective());
  }
}

/* Location:
 * Qualified Name:     DureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */