package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.OdGen;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class Od
  extends OdGen
  implements fr.unedic.cali.asu.dom.OdAssuranceSpec
{
  private static final long serialVersionUID = -3145501454368528558L;
  
  public Od() {}
  
  public Od(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Od(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  public Od(Damj p_dateEvenement, DossierExamen p_dossierExamen)
  {
    super(p_dateEvenement);
    copie(p_dossierExamen);
  }
  
  public String getRsod()
  {
    return getReferenceExterne();
  }
  
  public String getRsrp()
  {
    return "0";
  }
  
  public String getSituationParticuliere()
  {
    String situationParticuliere = super.getSituationParticuliere();
    if (situationParticuliere == null) {
      situationParticuliere = "";
    }
    return situationParticuliere;
  }
  
  public void jdoPreDelete()
  {
    super.jdoPreDelete();
  }
  
  protected void copie(Attribution p_source)
  {
    if (p_source == null) {
      return;
    }
    super.copie(p_source);
  }
  
  public ObjetMetierSpec copie()
  {
    Od copie = new Od();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Od copie = (Od)p_copie;
    copie.setSituationParticuliere(getSituationParticuliere());
    super.copieElements(copie);
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    return getConstitutionQuantiteAffiliation().getJustificationAffiliation();
  }
  
  public AttributionSpec getAttributionMaitre()
  {
    Demande demande = (Demande)getDemande();
    if (demande.getObjectifDecisionne().getSousType() == 11) {
      if (getAttributionPrecedente() != null) {
        return getAttributionPrecedente().getAttributionMaitre();
      }
    }
    return this;
  }
  
  public AttributionAssuranceSpec getAttributionOrigine()
  {
    return this;
  }
  
  public Damj getDateFaitGenerateurDroit()
  {
    return getConditionFaitGenerateur().getDateFaitGenerateur();
  }
  
  public fr.unedic.cali.dom.OdAssuranceSpec getOuvertureDroit()
  {
    return this;
  }
  
  public fr.unedic.cali.asu.dom.OdAssuranceSpec getOuvertureDroitCapitalRetenu()
  {
    return this;
  }
  
  public AttributionAssuranceSpec rechercherAttributionPrecedenteDuMemeType()
  {
    AttributionAssuranceSpec attributionPrecedente = getAttributionPrecedente();
    if (attributionPrecedente == null) {
      attributionPrecedente = super.rechercherAttributionPrecedenteDuMemeType();
    }
    return attributionPrecedente;
  }
  
  public fr.unedic.cali.asu.dom.OdAssuranceSpec rechercherOuvertureDroitPrecedenteDuMemeType()
  {
    fr.unedic.cali.asu.dom.OdAssuranceSpec odAssuranceSpec = (fr.unedic.cali.asu.dom.OdAssuranceSpec)getOuvertureDroit();
    if (odAssuranceSpec == null) {
      odAssuranceSpec = super.rechercherOuvertureDroitPrecedenteDuMemeType();
    }
    return odAssuranceSpec;
  }
  
  public ResultatAvant determinationEtatACT()
    throws CoucheLogiqueException
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     Od
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */