package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.PreavisMesureConservatoireNonIndemnisableGen;
import fr.unedic.cali.asu.dom.PreavisMesureConservatoireNonIndemnisableSpec;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import org.apache.commons.lang.builder.EqualsBuilder;

public class PreavisMesureConservatoireNonIndemnisable
  extends PreavisMesureConservatoireNonIndemnisableGen
  implements ObjetPersistantSpec, PreavisMesureConservatoireNonIndemnisableSpec
{
  private static final long serialVersionUID = -600640620968874771L;
  
  public String getTypeCarence()
  {
    return "PMC_NI";
  }
  
  public boolean peutEtreFixee()
  {
    return true;
  }
  
  public PreavisMesureConservatoireNonIndemnisable() {}
  
  public PreavisMesureConservatoireNonIndemnisable(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public PreavisMesureConservatoireNonIndemnisable(ObjetChronoPeriode p_periodeOrigine, Periode p_periodeApplication)
  {
    super(p_periodeApplication.getDuree());
    setPeriodeApplicationCarence(p_periodeApplication);
    setOrigine(p_periodeOrigine);
  }
  
  public Periode getPeriodeApplicationCarence()
  {
    return super.getPeriodeApplicationCarence();
  }
  
  public void setPeriodeApplicationCarence(Periode p_periodeApplicationCarence)
  {
    super.setPeriodeApplicationCarence(p_periodeApplicationCarence);
  }
  
  public String toString()
  {
    StringBuffer chaineRetour = new StringBuffer();
    
    chaineRetour.append("Carence PMC:");
    chaineRetour.append("\n\t Période d'origine: " + getOrigine());
    chaineRetour.append("\n\t Nombre initial de jours: " + getQuantiteInitialJour());
    chaineRetour.append("\n\t Carence suivante: ");
    chaineRetour.append(getCarenceSuivante());
    
    return chaineRetour.toString();
  }
  
  public ObjetMetierSpec copie()
  {
    PreavisMesureConservatoireNonIndemnisable copie = new PreavisMesureConservatoireNonIndemnisable();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public void jdoPreDelete()
  {
    super.jdoPreDelete();
  }
  
  public CarencePrefixeAFixer getCarencePrecedente()
  {
    return null;
  }
  
  public CarencePrefixeAFixer getCarenceSuivante()
  {
    CarencePrefixeAFixer suivante = null;
    if (getEnsembleCarences().getCarenceIccp() != null) {
      suivante = getEnsembleCarences().getCarenceIccp();
    } else if (getEnsembleCarences().getCarenceIslr() != null) {
      suivante = getEnsembleCarences().getCarenceIslr();
    }
    return suivante;
  }
  
  public boolean estIdentiqueA(CarencePrefixeAFixer p_carence)
  {
    if ((p_carence == null) || (!(p_carence instanceof PreavisMesureConservatoireNonIndemnisable))) {
      return false;
    }
    PreavisMesureConservatoireNonIndemnisable aComparer = (PreavisMesureConservatoireNonIndemnisable)p_carence;
    
    EqualsBuilder eqb = new EqualsBuilder();
    return eqb.append(getPeriodeApplicationCarence().getDebut(), aComparer.getPeriodeApplicationCarence().getDebut()).append(getPeriodeApplicationCarence().getFin(), aComparer.getPeriodeApplicationCarence().getFin()).append(getQuantiteInitial(), aComparer.getQuantiteInitial()).append(getIdentifiantPeriodeOrigine(), aComparer.getIdentifiantPeriodeOrigine()).isEquals();
  }
}

/* Location:
 * Qualified Name:     PreavisMesureConservatoireNonIndemnisable
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */