package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionCoefficientSaisonnierPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;

public abstract class ConstitutionCoefficientSaisonnierGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionCoefficientSaisonnierPC;
  private BigDecimal m_coefficientSaisonnierRetenu = new BigDecimal("1");
  private Quantite m_jourActiviteDouzeDerniersMois = null;
  
  public ConstitutionCoefficientSaisonnierGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionCoefficientSaisonnierGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionCoefficientSaisonnierPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionCoefficientSaisonnierPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionCoefficientSaisonnierPC)
  {
    m_constitutionCoefficientSaisonnierPC = p_constitutionCoefficientSaisonnierPC;
  }
  
  protected BigDecimal rawGetCoefficientSaisonnierRetenu()
  {
    return ((ConstitutionCoefficientSaisonnierPC)getPC()).getCoefficientSaisonnierRetenu();
  }
  
  public BigDecimal getCoefficientSaisonnierRetenu()
  {
    return ((ConstitutionCoefficientSaisonnierPC)getPC()).getCoefficientSaisonnierRetenu();
  }
  
  public void setCoefficientSaisonnierRetenu(BigDecimal p_coefficientSaisonnierRetenu)
  {
    if ((m_coefficientSaisonnierRetenu == null) || (p_coefficientSaisonnierRetenu == null))
    {
      m_coefficientSaisonnierRetenu = p_coefficientSaisonnierRetenu;
      ((ConstitutionCoefficientSaisonnierPC)getPC()).setCoefficientSaisonnierRetenu(p_coefficientSaisonnierRetenu);
    }
    else if ((m_coefficientSaisonnierRetenu != null) && (p_coefficientSaisonnierRetenu != null) && (!p_coefficientSaisonnierRetenu.equals(m_coefficientSaisonnierRetenu)))
    {
      m_coefficientSaisonnierRetenu = p_coefficientSaisonnierRetenu;
      ((ConstitutionCoefficientSaisonnierPC)getPC()).setCoefficientSaisonnierRetenu(p_coefficientSaisonnierRetenu);
    }
  }
  
  protected Quantite rawGetJourActiviteDouzeDerniersMois()
  {
    return ((ConstitutionCoefficientSaisonnierPC)getPC()).getJourActiviteDouzeDerniersMois();
  }
  
  public Quantite getJourActiviteDouzeDerniersMois()
  {
    return ((ConstitutionCoefficientSaisonnierPC)getPC()).getJourActiviteDouzeDerniersMois();
  }
  
  public void setJourActiviteDouzeDerniersMois(Quantite p_jourActiviteDouzeDerniersMois)
  {
    if ((m_jourActiviteDouzeDerniersMois == null) || (p_jourActiviteDouzeDerniersMois == null))
    {
      m_jourActiviteDouzeDerniersMois = p_jourActiviteDouzeDerniersMois;
      ((ConstitutionCoefficientSaisonnierPC)getPC()).setJourActiviteDouzeDerniersMois(p_jourActiviteDouzeDerniersMois);
    }
    else if ((m_jourActiviteDouzeDerniersMois != null) && (p_jourActiviteDouzeDerniersMois != null) && (!p_jourActiviteDouzeDerniersMois.equals(m_jourActiviteDouzeDerniersMois)))
    {
      m_jourActiviteDouzeDerniersMois = p_jourActiviteDouzeDerniersMois;
      ((ConstitutionCoefficientSaisonnierPC)getPC()).setJourActiviteDouzeDerniersMois(p_jourActiviteDouzeDerniersMois);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionCoefficientSaisonnierGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */