package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionCoefficientTempsPartielPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public abstract class ConstitutionCoefficientTempsPartielGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionCoefficientTempsPartielPC;
  private BigDecimal m_coefficientTempsPartielRetenu;
  
  public ConstitutionCoefficientTempsPartielGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionCoefficientTempsPartielGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionCoefficientTempsPartielPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionCoefficientTempsPartielPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionCoefficientTempsPartielPC)
  {
    m_constitutionCoefficientTempsPartielPC = p_constitutionCoefficientTempsPartielPC;
  }
  
  protected BigDecimal rawGetCoefficientTempsPartielRetenu()
  {
    return ((ConstitutionCoefficientTempsPartielPC)getPC()).getCoefficientTempsPartielRetenu();
  }
  
  public BigDecimal getCoefficientTempsPartielRetenu()
  {
    return ((ConstitutionCoefficientTempsPartielPC)getPC()).getCoefficientTempsPartielRetenu();
  }
  
  public void setCoefficientTempsPartielRetenu(BigDecimal p_coefficientTempsPartielRetenu)
  {
    if ((m_coefficientTempsPartielRetenu == null) || (p_coefficientTempsPartielRetenu == null))
    {
      m_coefficientTempsPartielRetenu = p_coefficientTempsPartielRetenu;
      ((ConstitutionCoefficientTempsPartielPC)getPC()).setCoefficientTempsPartielRetenu(p_coefficientTempsPartielRetenu);
    }
    else if ((m_coefficientTempsPartielRetenu != null) && (p_coefficientTempsPartielRetenu != null) && (!p_coefficientTempsPartielRetenu.equals(m_coefficientTempsPartielRetenu)))
    {
      m_coefficientTempsPartielRetenu = p_coefficientTempsPartielRetenu;
      ((ConstitutionCoefficientTempsPartielPC)getPC()).setCoefficientTempsPartielRetenu(p_coefficientTempsPartielRetenu);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionCoefficientTempsPartielGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */