package fr.unedic.cali.asu.cge01.p02.liquidation.dom.persistance;

import fr.unedic.cali.asu.dom.SalaireJournalierAbstrait;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import xcalia.lido.api.mapper.CustomMapper;

public class SalaireJournalierMultiCustomMapper
  implements CustomMapper
{
  public Class getStorageType()
  {
    return SalaireJournalierMultiCustomMapper.SalaireJournalierMultiCustomSubTypes.class;
  }
  
  public Object fromStorage(Object p_obj)
  {
    SalaireJournalierAbstrait salaireJournalier = null;
    if (p_obj != null)
    {
      Map subFieldValues = (Map)p_obj;
      
      String e = (String)subFieldValues.get("{exists}");
      int exists = 0;
      if (e != null) {
        exists = Integer.parseInt(e);
      }
      if (exists == 1)
      {
        int type = Integer.parseInt((String)subFieldValues.get("{type}"));
        Date date = (Date)subFieldValues.get("{date}");
        BigDecimal valeur = (BigDecimal)subFieldValues.get("{valeur}");
        if (type == 1) {
          salaireJournalier = new Sjr(valeur, Damj.dateVersDamj(date), null);
        } else {
          salaireJournalier = new Sjc(valeur, Damj.dateVersDamj(date), null);
        }
      }
    }
    return salaireJournalier;
  }
  
  public Object toStorage(Object p_obj)
  {
    Map valuesToWrite = new HashMap();
    if (p_obj != null)
    {
      if (!(p_obj instanceof SalaireJournalierAbstrait)) {
        throw new ApplicativeRuntimeException("PR_UTIL_L_MAPPING", "Mauvais mapping ! type de classe attendu en paramètre et type effectivement passé en paramètre : fr.unedic.cali.asu.cge01.p02.liquidation.dom.SalaireJournalier " + p_obj.getClass().getName(), new CoucheLogiqueException("PR_UTIL_L_MAPPING", "Mauvais mapping ! type de classe attendu en paramètre et type effectivement passé en paramètre : fr.unedic.cali.asu.cge01.p02.liquidation.dom.SalaireJournalier " + p_obj.getClass().getName()));
      }
      if ((p_obj instanceof Sjr))
      {
        valuesToWrite.put("{exists}", "1");
        valuesToWrite.put("{type}", "1");
        valuesToWrite.put("{date}", Damj.damjVersDate(((SalaireJournalierAbstrait)p_obj).getDateDepart()));
        valuesToWrite.put("{valeur}", ((SalaireJournalierAbstrait)p_obj).getSalaire());
      }
      else
      {
        valuesToWrite.put("{exists}", "1");
        valuesToWrite.put("{type}", "0");
        valuesToWrite.put("{date}", Damj.damjVersDate(((SalaireJournalierAbstrait)p_obj).getDateDepart()));
        valuesToWrite.put("{valeur}", ((SalaireJournalierAbstrait)p_obj).getSalaire());
      }
    }
    else
    {
      valuesToWrite.put("{exists}", "0");
      valuesToWrite.put("{type}", null);
      valuesToWrite.put("{date}", null);
      valuesToWrite.put("{valeur}", null);
    }
    return valuesToWrite;
  }
}

/* Location:
 * Qualified Name:     SalaireJournalierMultiCustomMapper
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */