package fr.unedic.cali.asu.cge01.p02.liquidation.parcours;

import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionReglementApplicable
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La DemandeAssurance est null pour la recherche du reglement applicable.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    if (Log.isTraceActive(ConstitutionReglementApplicable.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "\t\t******** Début Parcours ConstitutionReglementApplicable ********\n");
    }
    Resultat resultatCepa13 = new Resultat(0);
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionReglementApplicable reglementApplicable = new fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionReglementApplicable();
    
    Reglement reglement = ((DossierAffectation)demandeCourante.getDossierAffectation()).getReglementPeriodeValidationProduit();
    
    reglementApplicable.setReglement(reglement);
    
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    dossierExamenCourant.setConstitutionReglementApplicable(reglementApplicable);
    if (Log.isTraceActive(ConstitutionReglementApplicable.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "\t\t******** Résultat Parcours ConstitutionReglementApplicable ********\n" + resultatCepa13);
      
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionReglementApplicable.class, "demarrer", "\t\t******** Fin Parcours ConstitutionReglementApplicable ********\n");
    }
    return resultatCepa13;
  }
}

/* Location:
 * Qualified Name:     ConstitutionReglementApplicable
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */