package fr.unedic.cali.asu.cge01.p02.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence.OutilDeterminationCompetence;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationCompetence;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationCompetenceAdministrative
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "Une demande est obligatoire pour ce produit. : DeterminationCompetenceAdministrative impossible");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getDemandeur() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Absence individu demandeur sur la demande : DeterminationCompetenceAdministrative impossible");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen() == null) {
      throw new ContexteException("ASU_PR_CALI_L_CONTEXTE_ABSENCE_DOSSIER_EXAMEN", "Le dossier examen est null: DeterminationCompetenceAdministrative impossible");
    }
  }
  
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)demandeCourante.getDossierExamen();
    
    DeterminationCompetence determinationCompetence = DeterminationCompetence.getInstance();
    
    ResultatDeterminationCompetence resultatDeterminationCompetence = new ResultatDeterminationCompetence();
    
    OutilDeterminationCompetence.mapperCompetenceSurResultat(dossierExamen.getCompetence(), resultatDeterminationCompetence);
    
    determinationCompetence.determinerCompetenceAdministrative(demandeCourante, resultatDeterminationCompetence);
    
    OutilDeterminationCompetence.mapperResultatSurCompetence(resultatDeterminationCompetence, dossierExamen.getCompetence());
    
    OutilTrace.tracerFinParcours();
    
    return new Resultat();
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetenceAdministrative
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */