package fr.unedic.cali.asu.cge01.p02.liquidation.parcours;

import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationCompetenceFinanciereDroitCourant
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "Une demande est obligatoire pour ce produit. : DeterminationCompetenceFinanciereDroitCourant impossible");
    }
    if (DomLiquidationAssurance.getDemande(contexte).getDemandeur() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Absence individu demandeur sur la demande : DeterminationCompetenceFinanciereDroitCourant impossible");
    }
    if (DomLiquidationAssurance.getDemande(contexte).getDossierExamen() == null) {
      throw new ContexteException("ASU_PR_CALI_L_CONTEXTE_ABSENCE_DOSSIER_EXAMEN", "Le dossier examen est null: DeterminationCompetenceFinanciereDroitCourant impossible");
    }
  }
  
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    if (Log.isTraceActive(DeterminationCompetenceFinanciereDroitCourant.class, Niveau.DEBUG)) {
      Log.ecritTrace(Niveau.DEBUG, DeterminationCompetenceFinanciereDroitCourant.class, "demarrer", "\t\t******** Début Parcours DeterminationCompetenceFinanciereDroitCourant ********\n");
    }
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    demandeCourante.getDossierExamen();
    if (Log.isTraceActive(DeterminationCompetenceFinanciereDroitCourant.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, DeterminationCompetenceFinanciereDroitCourant.class, "demarrer", "\t\t******** Résultat Parcours DeterminationCompetenceFinanciereDroitCourant ********\n");
      
      Log.ecritTrace(Niveau.DEBUG, DeterminationCompetenceFinanciereDroitCourant.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationCompetenceFinanciereDroitCourant.class, "demarrer", "\t\t******** Fin Parcours DeterminationCompetenceFinanciereDroitCourant ********\n");
    }
    return new Resultat();
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetenceFinanciereDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */