package fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.novation.OutilConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public final class ParcoursConstitutionCoefficientTempsPartiel
  extends ParcoursCali
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    Attribution attributionAssurance = (Attribution)demande.getAttribution();
    
    ConstitutionCoefficientTempsPartiel coefficientTempsPartiel = attributionAssurance.getConstitutionElementsActifs().getConstitutionCoefficientTempsPartiel();
    if (coefficientTempsPartiel == null)
    {
      coefficientTempsPartiel = new ConstitutionCoefficientTempsPartiel();
      attributionAssurance.getConstitutionElementsActifs().setConstitutionCoefficientTempsPartiel(coefficientTempsPartiel);
    }
    OutilConstitutionCoefficientTempsPartiel.getInstance().alimenterCoefficientTempsPartiel(coefficientTempsPartiel, attributionAssurance);
    return new Resultat(0);
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionCoefficientTempsPartiel
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */