package fr.unedic.cali.asu.cge01.p02.migration.recalcul;

import fr.unedic.cali.asu.cge01.p02.calcul.dom.Montant;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerMontantBrutDroitCourant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    Montant montantBrutAttribution = null;
    try
    {
      GammeAsuSpec gamme = (GammeAsuSpec)attribution.getGamme();
      DonneesEntreesRecuperationMontant donneesEntreesRecuperationMontant = gamme.mapperDonneesEntreesRecuperationMontant(attribution);
      donneesEntreesRecuperationMontant.setDateCalculMontant(attribution.getDateEffet());
      
      montantBrutAttribution = (Montant)DeterminationMontant.determinerMontant(donneesEntreesRecuperationMontant);
    }
    catch (CoucheLogiqueException ex)
    {
      throw new ApplicativeRuntimeException("", ex);
    }
    ConstitutionMontantsBruts constitutionMontantsBruts = attribution.getConstitutionMontantsBruts();
    if (montantBrutAttribution != null)
    {
      constitutionMontantsBruts.setMontantJournalierBrut(montantBrutAttribution.getMontantPrecompteEffectif());
      constitutionMontantsBruts.setMontantBrutSansDeduction(montantBrutAttribution.getMontantBrut());
      constitutionMontantsBruts.setMontantBase(montantBrutAttribution.getBase());
      constitutionMontantsBruts.setMontantMini(montantBrutAttribution.getMini());
      constitutionMontantsBruts.setMontantPlafond(montantBrutAttribution.getPlafond());
      constitutionMontantsBruts.setMontantPlancher(montantBrutAttribution.getPlancher());
      constitutionMontantsBruts.setMontantBrutSansPensionInvaliditeADeduire(montantBrutAttribution.getMontantBrutSansPensionInvaliditeADeduire());
      
      constitutionMontantsBruts.setPensionInvaliditeADeduirePriseEnCompte(montantBrutAttribution.getPensionInvaliditeADeduirePriseEnCompte());
      constitutionMontantsBruts.setMontantJournalierAvantageVieillesse(montantBrutAttribution.getMontantJournalierAvantageVieillesse());
      constitutionMontantsBruts.setMontantJournalierAvantageVieillesseDeduit(montantBrutAttribution.getMontantJournalierAvantageVieillesseDeduit());
      
      constitutionMontantsBruts.setCrc(montantBrutAttribution.getCrc());
    }
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerMontantBrutDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */