package fr.unedic.cali.asu.cge01.p02.migration.recalcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerPji
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    ResultatExecutionCalculSpec resultatCalcul = null;
    try
    {
      resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit(attribution, null, false);
    }
    catch (ApplicativeException ex)
    {
      throw new ApplicativeRuntimeException("", ex);
    }
    attribution.getConstitutionPointDepartIndemnisation().setPji(resultatCalcul.getPji());
    
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerPji
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */