package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConditionActiviteConserveeGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public class ConditionActiviteConservee
  extends ConditionActiviteConserveeGen
  implements ConditionAttributionSpec
{
  public static final int SITUATION_MEME_EMPLOYEUR = 1;
  public static final int SITUATION_DEPASSEMENT_PLAFOND_HEURE = 2;
  public static final int SITUATION_DEPASSEMENT_PLAFOND_REMUNERATION = 3;
  public static final int SITUATION_ACTIVITE_CONSERVEE_ET_CONDITION_REMPLIE = 4;
  
  private ConditionActiviteConservee() {}
  
  public ConditionActiviteConservee(DomPCSpec pc)
  {
    super(pc);
  }
  
  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("ConditionActiviteConservee:");
    
    sb.append("\n\tEtat Condition Activite Conservee:");
    sb.append("\n\t" + getEtat());
    
    sb.append("\n\tSituation Condition Activite Conservee:");
    sb.append("\n\t" + getSituationConditionActiviteConservee());
    if (getNombreHeuresMensuelActiviteConservee().compareTo(new BigDecimal("0")) != 0)
    {
      sb.append("\n\tNombre heures mensuel Condition Activite Conservee:");
      sb.append("\n\t" + getNombreHeuresMensuelActiviteConservee());
    }
    if (getMontantMensuelActiviteConservee().compareTo(new BigDecimal("0")) != 0)
    {
      sb.append("\n\tMontant mensuel Condition Activite Conservee:");
      sb.append("\n\t" + getMontantMensuelActiviteConservee());
    }
    return sb.toString();
  }
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public void setEtatSatisfait(boolean etatSatisfait)
  {
    if (etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionActiviteConservee copie = (ConditionActiviteConservee)p_copie;
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setSituationConditionActiviteConservee(getSituationConditionActiviteConservee());
    copie.setNombreHeuresMensuelActiviteConservee(getNombreHeuresMensuelActiviteConservee());
    copie.setMontantMensuelActiviteConservee(getMontantMensuelActiviteConservee());
    copie.setSeuilMontantMensuelActiviteConservee(getSeuilMontantMensuelActiviteConservee());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public BigDecimal getSeuilMontantMensuelActiviteConservee()
  {
    if (super.getSeuilMontantMensuelActiviteConservee() == null) {
      setSeuilMontantMensuelActiviteConservee(new BigDecimal("0"));
    }
    return super.getSeuilMontantMensuelActiviteConservee();
  }
}

/* Location:
 * Qualified Name:     ConditionActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */