package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConstitutionCaractereSaisonnierGen;
import fr.unedic.cali.asu.dom.PeriodeChomageSaisonnier;
import fr.unedic.cali.asu.dom.spec.ConstitutionCaractereSaisonnierSpec;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionCaractereSaisonnier
  extends ConstitutionCaractereSaisonnierGen
  implements ConstitutionDroitSpec, ConstitutionCaractereSaisonnierSpec
{
  public static final int CARACTERE_SAISONNIER_NATURE = 2;
  public static final int CARACTERE_SAISONNIER_RYTHME = 1;
  public static final int CARACTERE_SAISONNIER_NON_DETERMINE = -1;
  
  private ConstitutionCaractereSaisonnier() {}
  
  public ConstitutionCaractereSaisonnier(DomPCSpec p_cepAbstraitPC)
  {
    super(p_cepAbstraitPC);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionCaractereSaisonnier copie = (ConstitutionCaractereSaisonnier)p_copie;
    if (getPeriodeRechercheActiviteSaisonniere() != null) {
      copie.setPeriodeRechercheActiviteSaisonniere(new Periode(getPeriodeRechercheActiviteSaisonniere().getDebut(), getPeriodeRechercheActiviteSaisonniere().getFin()));
    }
    if (getPeriodeReferenceSaisonnier() != null) {
      copie.setPeriodeReferenceSaisonnier(new Periode(getPeriodeReferenceSaisonnier().getDebut(), getPeriodeReferenceSaisonnier().getFin()));
    }
    copie.setActivite3Sur5(isActivite3Sur5());
    copie.setCaractereSaisonnierRetenu(isCaractereSaisonnierRetenu());
    copie.setTypeCaractereSaisonnierRetenu(getTypeCaractereSaisonnierRetenu());
    
    Iterator iter = getCollectionPeriodeChomageSaisonnier().iterator();
    while (iter.hasNext())
    {
      PeriodeChomageSaisonnier element = (PeriodeChomageSaisonnier)iter.next();
      copie.ajouterPeriodeChomageSaisonnier((PeriodeChomageSaisonnier)element.copie());
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public boolean getCaractereSaisonnierRetenu()
  {
    return super.isCaractereSaisonnierRetenu();
  }
  
  public Collection getListePeriodesChomageSaisonnier()
  {
    return getCollectionPeriodeChomageSaisonnier();
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getCollectionPeriodeChomageSaisonnier());
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void remplacerCollectionPeriodeChomageSaisonnier(Collection collectionACopier)
  {
    for (Iterator iter = super.getCollectionPeriodeChomageSaisonnier().iterator(); iter.hasNext();)
    {
      PeriodeChomageSaisonnier element = (PeriodeChomageSaisonnier)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionPeriodeChomageSaisonnier(collectionACopier);
  }
}

/* Location:
 * Qualified Name:     ConstitutionCaractereSaisonnier
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */