package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConstitutionSjrGen;
import fr.unedic.cali.asu.dom.ConstitutionSjrSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class ConstitutionSjr
  extends ConstitutionSjrGen
  implements ConstitutionDroitSpec, ConstitutionSjrSpec
{
  private static final long serialVersionUID = -1544713082373313355L;
  private transient Sjr m_sjnp;
  private static final int ARRONDI_DIVISION = 2;
  
  private ConstitutionSjr() {}
  
  public ConstitutionSjr(DomPCSpec constitutionElementsAdmissionPC)
  {
    super(constitutionElementsAdmissionPC);
  }
  
  public Sjrip createSjrip(Damj termePrcSaisi, QuantiteEuro plafondSjr, QuantiteEuro sjrInitial)
  {
    Sjrip om = super.createSjrip();
    om.setDateEvenement(termePrcSaisi);
    om.setPlafondSjr(plafondSjr);
    om.setSjrInitial(sjrInitial);
    return om;
  }
  
  public Sjrip getSjrip()
  {
    Sjrip sjrip = super.getSjrip();
    if (sjrip == null) {
      sjrip = createSjrip();
    }
    return sjrip;
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getSjrip());
    DomManager.persisterEnProfondeur(super.getJustificationSjr());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copieParametre)
  {
    ConstitutionSjr copie = (ConstitutionSjr)copieParametre;
    if (getSjrip() != null)
    {
      Sjrip copieSjrip = copie.createSjrip();
      getSjrip().copieElements(copieSjrip);
    }
    copie.setSjrrp(getSjrrp() != null ? (Sjr)getSjrrp().copie() : null);
    if (getJustificationSjr() != null)
    {
      JustificationSjr copieJustif = copie.createJustificationSjr();
      getJustificationSjr().copieElements(copieJustif);
    }
    copie.setCodeEmploiA2b(getCodeEmploiA2b());
    copie.setSommeMontantRevision(getSommeMontantRevision());
  }
  
  public void setSjnp(Sjr sjnp)
  {
    m_sjnp = sjnp;
  }
  
  public void setCoeffReducteurSjr(BigDecimal coef) {}
  
  public void setPlancherCoefficientSjr(BigDecimal plancherCoefficientSjr) {}
  
  public void setSjrTheorique(BigDecimal sjrTheorique) {}
}

/* Location:
 * Qualified Name:     ConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */