package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.OdGen;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class Od
  extends OdGen
  implements fr.unedic.cali.asu.dom.OdAssuranceSpec
{
  private static final long serialVersionUID = -8056304877169514160L;
  public static final String CODE_FORMULE_MONTANT = "1";
  public static final String CODE_FORMULE_MONTANT_AREF = "2";
  
  public Od() {}
  
  public Od(DomPCSpec p_odPC)
  {
    super(p_odPC);
  }
  
  public Od(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  public Od(Damj p_dateEvenement, DossierExamen p_dossierExamen)
  {
    super(p_dateEvenement);
    copie(p_dossierExamen);
  }
  
  public String getRsod()
  {
    return getReferenceExterne();
  }
  
  public String getRsrp()
  {
    return "0";
  }
  
  protected void copie(Attribution p_source)
  {
    if (p_source == null) {
      return;
    }
    super.copie(p_source);
  }
  
  public ObjetMetierSpec copie()
  {
    Od copie = new Od();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Od copie = (Od)p_copie;
    super.copieElements(copie);
    copie.setSituationParticuliere(getSituationParticuliere());
  }
  
  public AttributionSpec getAttributionMaitre()
  {
    return this;
  }
  
  public AttributionAssuranceSpec getAttributionOrigine()
  {
    return this;
  }
  
  public AttributionAssuranceSpec getAttributionMaitrePourRevision()
  {
    return this;
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    return getConstitutionQuantiteAffiliation().getJustificationAffiliation();
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public Damj getDateFaitGenerateurDroit()
  {
    return getConditionFaitGenerateur().getDateFaitGenerateur();
  }
  
  public String getSituationParticuliere()
  {
    String situationParticuliere = super.getSituationParticuliere();
    if (situationParticuliere == null) {
      situationParticuliere = "";
    }
    return situationParticuliere;
  }
  
  public fr.unedic.cali.dom.OdAssuranceSpec getOuvertureDroit()
  {
    return this;
  }
  
  public fr.unedic.cali.asu.dom.OdAssuranceSpec getOuvertureDroitCapitalRetenu()
  {
    return this;
  }
  
  public ResultatAvant determinationEtatACT()
    throws CoucheLogiqueException
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     Od
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */