package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionMontantRevise;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc.ConditionsAttributionRevisionPC;
import fr.unedic.cali.dom.ConditionsAttributionAbstrait;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ConditionsAttributionRevisionGen
  extends ConditionsAttributionAbstrait
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionRevisionPC;
  private transient ConditionMontantRevise m_conditionMontantRevise = null;
  
  public ConditionsAttributionRevisionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionsAttributionRevisionGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionsAttributionRevisionPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionRevisionPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionRevisionPC)
  {
    m_conditionsAttributionRevisionPC = p_conditionsAttributionRevisionPC;
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getConditionMontantRevise() != null)
    {
      getConditionMontantRevise().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionMontantRevise = null;
    }
  }
  
  public ConditionMontantRevise getConditionMontantRevise()
  {
    if ((((ConditionsAttributionRevisionPC)getPC()).isPresenceDonneesConditionMontantRevise()) && (m_conditionMontantRevise == null)) {
      m_conditionMontantRevise = new ConditionMontantRevise(getPC());
    }
    return m_conditionMontantRevise;
  }
  
  public ConditionMontantRevise createConditionMontantRevise()
  {
    ((ConditionsAttributionRevisionPC)getPC()).setPresenceDonneesConditionMontantRevise(true);
    if (m_conditionMontantRevise == null) {
      m_conditionMontantRevise = new ConditionMontantRevise(getPC());
    }
    try
    {
      m_conditionMontantRevise.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionMontantRevise;
  }
  
  public void removeConditionMontantRevise()
  {
    try
    {
      m_conditionMontantRevise.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionRevisionPC)getPC()).setPresenceDonneesConditionMontantRevise(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionsAttributionRevisionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */