package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.JustificationSr;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class JustificationSjrGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private transient JustificationSr m_justificationSr;
  
  public JustificationSjrGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationSjrGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getJustificationSr() != null)
    {
      getJustificationSr().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationSr = null;
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getJustificationSr() != null)
    {
      getJustificationSr().initEnProfondeur();
      m_justificationSr = null;
    }
  }
  
  public JustificationSr getJustificationSr()
  {
    if (m_justificationSr == null) {
      m_justificationSr = new JustificationSr(getPC());
    }
    return m_justificationSr;
  }
  
  public JustificationSr createJustificationSr()
  {
    if (m_justificationSr == null) {
      m_justificationSr = new JustificationSr(getPC());
    }
    try
    {
      m_justificationSr.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationSr;
  }
  
  public void removeJustificationSr()
  {
    try
    {
      m_justificationSr.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationSjrGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */