package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCompetenceCaCaeAncienDispositif;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCompetenceCaCaeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieCompetenceCaCae
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_PIVOT_DISPOSITIF_CA_CAE = new Damj(2008, 1, 1);
  private static FabriqueStrategieCompetenceCaCae s_instance = new FabriqueStrategieCompetenceCaCae();
  
  public static FabriqueStrategieCompetenceCaCae getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieCompetenceCaCaeSpec strategie = null;
    
    Damj datePivotDispositifCaCae = p_critereStrategie.getDatePivot();
    if (datePivotDispositifCaCae == null) {
      throw new UnsupportedOperationException("FabriqueStrategieCompetenceCaCae : la date pivot est null.");
    }
    if (datePivotDispositifCaCae.estApresOuCoincideAvec(DATE_PIVOT_DISPOSITIF_CA_CAE)) {
      strategie = new StrategieCompetenceCaCaeAncienDispositif();
    } else {
      strategie = new StrategieCompetenceCaCaeAncienDispositif();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieCompetenceCaCae
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */