package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCondition28JoursApres2009;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCondition28JoursAvant2009;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCondition28JoursSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieCondition28Jours
  implements FabriqueStrategieSpec
{
  private static final Damj DATE_PIVOT = new Damj(2008, 12, 30);
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieCondition28JoursSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieCondition28Jours : la date pivot pour déterminer quelle stratégie utilisée est nulle");
    }
    if (datePivot.estAvant(DATE_PIVOT)) {
      strategie = new StrategieCondition28JoursAvant2009();
    } else {
      strategie = new StrategieCondition28JoursApres2009();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieCondition28Jours
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */