package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieSjrJoursDeductiblesApresMEP08SI1;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieSjrJoursDeductiblesAvantMEP08SI1;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieSjrJoursDeductiblesSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieSjrJoursDeductibles
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_PIVOT_MEP_CORRECTIF_SJR_JOURS_DEDUCTIBLES = new Damj(2008, 3, 7);
  private static FabriqueStrategieSjrJoursDeductibles s_instance = new FabriqueStrategieSjrJoursDeductibles();
  
  public static FabriqueStrategieSjrJoursDeductibles getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieSjrJoursDeductiblesSpec strategie = null;
    
    Damj datePivotSjrJoursDeductibles = p_critereStrategie.getDatePivot();
    if (datePivotSjrJoursDeductibles == null) {
      throw new UnsupportedOperationException("FabriqueStrategieSjrJoursDeductibles : la date pivot est null.");
    }
    if (datePivotSjrJoursDeductibles.estApresOuCoincideAvec(DATE_PIVOT_MEP_CORRECTIF_SJR_JOURS_DEDUCTIBLES)) {
      strategie = new StrategieSjrJoursDeductiblesApresMEP08SI1();
    } else {
      strategie = new StrategieSjrJoursDeductiblesAvantMEP08SI1();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieSjrJoursDeductibles
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */