package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.JustificationSrPeriodeRemunerationParticipante;
import fr.unedic.cali.autresdoms.ga.dom.Prime;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import java.util.Comparator;

public class ComparateurRemunerationDecroissantParNature
  implements Comparator, Serializable
{
  private static final long serialVersionUID = 1L;
  
  public int compare(Object p_objet1, Object p_objet2)
  {
    JustificationSrPeriodeRemunerationParticipante temporel1 = (JustificationSrPeriodeRemunerationParticipante)p_objet1;
    JustificationSrPeriodeRemunerationParticipante temporel2 = (JustificationSrPeriodeRemunerationParticipante)p_objet2;
    Damj dateFin1 = temporel1.getDateFin();
    Damj dateFin2 = temporel2.getDateFin();
    if (dateFin1.estApres(dateFin2)) {
      return -1;
    }
    if (dateFin1.estAvant(dateFin2)) {
      return 1;
    }
    RemunerationSpec remuneration1 = temporel1.getPeriodeRemunerationParticipante();
    RemunerationSpec remuneration2 = temporel2.getPeriodeRemunerationParticipante();
    
    boolean isRem1Prime = remuneration1 instanceof Prime;
    boolean isRem2Prime = remuneration2 instanceof Prime;
    if ((isRem1Prime) && ((!isRem2Prime) || ((isRem2Prime) && (((Prime)remuneration1).getTypePrime() == 2) && (((Prime)remuneration2).getTypePrime() != 2)))) {
      return 1;
    }
    if ((isRem2Prime) && ((!isRem1Prime) || ((isRem1Prime) && (((Prime)remuneration1).getTypePrime() != 2) && (((Prime)remuneration2).getTypePrime() == 2)))) {
      return -1;
    }
    return 0;
  }
}

/* Location:
 * Qualified Name:     ComparateurRemunerationDecroissantParNature
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */