package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ConstitutionSjrSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.SjripSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.QuantiteEuro;

public class OutilConstitutionSjr
{
  public static void alimenterSjr(ConstitutionSjrSpec constitutionSjr, AttributionAssuranceSpec attribution)
  {
    ElementBaseIndemnisation ebiAttributionPrecedente = attribution.getAttributionPrecedente().getElementBaseIndemnisation();
    Reglement reglementApplicableCourant = ebiAttributionPrecedente.getReglementApplicableMontantRetenu().getReglement();
    
    Sjr sjrAServir = ebiAttributionPrecedente.getSjr();
    SjripSpec sjrip = constitutionSjr.getSjrip();
    sjrip.setDateEvenement(sjrAServir.getDateDepart());
    sjrip.setPlafondSjr(null);
    sjrip.setSjrInitial(new QuantiteEuro(sjrAServir.getSalaire()));
    
    int codeEmploiA2B = ebiAttributionPrecedente.getCodeEmploiA2B();
    constitutionSjr.setCodeEmploiA2b(codeEmploiA2B);
    if (sjrAServir != null)
    {
      Sjr sjr = null;
      if (reglementApplicableCourant.equals(attribution.getDossierAffecte().getProduit().getReglement("A2b"))) {
        sjr = new Sjr(sjrip.getSjrInitial().getValeur(), sjrip.getDateEffet(), null);
      } else {
        sjr = RevalorisationSalaire.revaloriserSjr(ebiAttributionPrecedente, attribution.getProduitMontantRetenu(), attribution.getDateAttribution());
      }
      constitutionSjr.setSjrrp(sjr);
    }
  }
}

/* Location:
 * Qualified Name:     OutilConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */