package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.utilitaire.filtres.generiques.FiltreDemandePourTypeContexteAntecedent;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreNegation;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Chronologie;

public class PriseEnComptePrimoDemandeur
  implements OutilFonctionnel
{
  public static boolean estPrimoDemandeurA3A4A5(Attribution p_attribution, Reglement p_reglementApplicableRecherche)
  {
    boolean primoDemandeur = false;
    AttributionAssuranceSpec attributionCourante = null;
    DemandeAssuranceSpec demande = p_attribution.getDemandeAssurance();
    
    Reglement reglementApplicableRecherche = p_reglementApplicableRecherche;
    if ((reglementApplicableRecherche.estNomReglementIdentique("A3")) || (reglementApplicableRecherche.estNomReglementIdentique("A4")) || (reglementApplicableRecherche.estNomReglementIdentique("A5")))
    {
      primoDemandeur = true;
      
      boolean isPrimoDemandeurA3A4A5Renseignee = ((Demande)p_attribution.getDemande()).getDonneesTemporaires().isPrimoDemandeurA3A4A5Renseignee();
      if (isPrimoDemandeurA3A4A5Renseignee)
      {
        primoDemandeur = demande.getDonneesTemporaires().isEstPrimoDemandeurA3A4A5();
      }
      else
      {
        FiltreET filtre = new FiltreET();
        filtre.ajouterFiltre(new FiltreAttributionStandardAssurance(true, true, false, false, null));
        FiltreNegation filtreNegationAntecedent = new FiltreNegation(new FiltreDemandePourTypeContexteAntecedent(4));
        
        filtre.ajouterFiltre(filtreNegationAntecedent);
        Chronologie listeAttributionPrecedente = OutilRecherche.rechercherDecisionsPrecedentes(demande.getChronologieDemandesAssuranceSansCourante(), p_attribution, filtre);
        if ((listeAttributionPrecedente != null) && (!listeAttributionPrecedente.estVide()))
        {
          listeAttributionPrecedente.iterer();
          while (listeAttributionPrecedente.encoreSuivant())
          {
            attributionCourante = (AttributionAssuranceSpec)listeAttributionPrecedente.elementSuivant();
            
            Reglement reglementApplicableCourant = attributionCourante.getReglementApplicable().getReglement();
            if (reglementApplicableRecherche.estNomReglementIdentique(reglementApplicableCourant.getNomReglement()))
            {
              primoDemandeur = false;
              break;
            }
          }
        }
      }
    }
    return primoDemandeur;
  }
}

/* Location:
 * Qualified Name:     PriseEnComptePrimoDemandeur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */