package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.spec.StrategieConditionChomageInvolontaireAre14Spec;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.RechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ErePassageCPSuiteRejetDV;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.affectation.Reglement;

public class StrategieConditionChomageInvolontaireAre14Avant
  implements StrategieConditionChomageInvolontaireAre14Spec
{
  public ResultatRechercheConditionChomageInvolontaire rechercheConditionChomageInvolontairePourOd(Demande p_demande)
    throws ApplicativeException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = initialiserResultat();
    
    DossierExamen dossierExamen = (DossierExamen)p_demande.getDossierExamen();
    boolean conditionForcee = false;
    if (p_demande.getDonneesTemporaires() != null) {
      conditionForcee = p_demande.getDonneesTemporaires().isConditionChomageInvolontaireSatistaite();
    }
    if (conditionForcee)
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
      resultat.setSituationConditionChomageInvolontaire(3);
    }
    else if ((p_demande.getEvenementReferenceExamen() instanceof ErePassageCPSuiteRejetDV))
    {
      resultat = RechercheConditionChomageInvolontaire.verifierChomageInvolontaireExamen122Jour(p_demande);
    }
    else
    {
      resultat = RechercheConditionChomageInvolontaire.verifierChomageInvolontaireDemandeAssurance(p_demande, dossierExamen.getFaitGenerateur());
    }
    return resultat;
  }
  
  public ResultatRechercheConditionChomageInvolontaire rechercheConditionChomageInvolontairePourReprise(Demande p_demande)
    throws ApplicativeException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = initialiserResultat();
    if (p_demande.getFormulaire().getPresenceAe().equalsIgnoreCase("I"))
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
      resultat.setSituationConditionChomageInvolontaire(2);
    }
    else
    {
      Reglement reglementApplicableCourant = ((DossierAffectation)p_demande.getDossierAffectation()).getReglementPeriodeValidationProduit();
      if (reglementApplicableCourant == null)
      {
        AttributionAssuranceSpec odPrecedente = p_demande.rechercherOuvertureDroitPrecedenteDuMemeType();
        reglementApplicableCourant = odPrecedente.getReglementApplicable().getReglement();
      }
      RechercheConditionChomageInvolontaire.traiterSituation1(p_demande, reglementApplicableCourant, resultat);
      if (!resultat.getResultatElementDroit().estSatisfait()) {
        RechercheConditionChomageInvolontaire.traiterSituation2(p_demande, reglementApplicableCourant, resultat);
      }
    }
    return resultat;
  }
  
  private ResultatRechercheConditionChomageInvolontaire initialiserResultat()
  {
    ResultatRechercheConditionChomageInvolontaire resultatRechercheConditionChomageInvolontaire = new ResultatRechercheConditionChomageInvolontaire();
    ResultatElementDroit resultatElementDroit = new ResultatElementDroit();
    resultatRechercheConditionChomageInvolontaire.setResultatElementDroit(resultatElementDroit);
    return resultatRechercheConditionChomageInvolontaire;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionChomageInvolontaireAre14Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */