package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Periode;

public class StrategieSjrJoursDeductiblesAvantMEP08SI1
  implements StrategieSjrJoursDeductiblesSpec
{
  public ChronologiePeriodes determinerChronoActivitesPourChomageAtteste(Demande p_demande, Periode p_prc)
  {
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarie());
    filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
    filtres.ajouterFiltre(new FiltreChevauchePeriode(p_prc));
    
    ChronologiePeriodes chronoPeriodesTravailRetenues = (ChronologiePeriodes)p_demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
    
    return chronoPeriodesTravailRetenues;
  }
}

/* Location:
 * Qualified Name:     StrategieSjrJoursDeductiblesAvantMEP08SI1
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */