package fr.unedic.cali.asu.cge01.p03.liquidation.parcours;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurConditionActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionCumulActiviteConservee;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionActiviteConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionCumulActiviteConserveeReprise
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCAPR12 = new Resultat(1);
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    
    RechercheConditionCumulActiviteConservee rechercheConditionCumulActiviteConservee = RechercheConditionCumulActiviteConservee.getInstance();
    
    ConteneurConditionActiviteConservee conteneurConditionActiviteConservee = rechercheConditionCumulActiviteConservee.rechercherConditionCumulActiviteConserveeReprise(demandeCourante);
    
    ConditionActiviteConservee conditionActiviteConservee = dossierExamenCourant.createConditionActiviteConservee();
    rechercheConditionCumulActiviteConservee.mapperConteneurVersConditionActiviteConservee(conteneurConditionActiviteConservee, conditionActiviteConservee);
    if (conditionActiviteConservee.estSatisfait())
    {
      resultatCAPR12.setEtat(0);
    }
    else
    {
      resultatCAPR12.setEtat(1);
      resultatCAPR12.setMessageErreur(Integer.toString(conditionActiviteConservee.getCodeMotifEchec()));
    }
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Résultat", resultatCAPR12 });
    
    OutilTrace.tracerFinParcours();
    
    return resultatCAPR12;
  }
  
  public void controlerContexte(Contexte contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: determination condition de cumul avec une activite conservee impossible.");
    }
    DossierExamen dossierExamenCourant = (DossierExamen)DomLiquidationAssurance.getDemande(contexte).getDossierExamen();
    if (dossierExamenCourant == null) {
      throw new ContexteException("ASU_PR_CALI_L_CONTEXTE_ABSENCE_DOSSIER_EXAMEN", "Le dossier examen courant est null: determination condition de cumul avec une activite conservee impossible.");
    }
    if ((dossierExamenCourant.getConstitutionSjr() == null) || (dossierExamenCourant.getConstitutionSjr().getSjrip() == null)) {
      throw new ContexteException("ASU_SC_L_ES_ED_CONTEXTE_ABSENCE_SJRIP", "Le Sjrip est null: determination condition de cumul avec une activite conservee impossible.");
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionCumulActiviteConserveeReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */