package fr.unedic.cali.asu.cge01.p03.liquidation.parcours;

import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionMontantRevise;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.RechercheConditionMontantRevise;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionMontantRevisePourRevision
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance est null pour une détermination condition montant non nul.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    if (Log.isTraceActive(DeterminationConditionMontantRevisePourRevision.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "\t\t******** Début Parcours DeterminationConditionMontantRevisePourRevision ********\n");
    }
    Resultat resultatCaprevSup = new Resultat(1);
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    ConditionMontantRevise condition = RechercheConditionMontantRevise.rechercherConditionMontantRevise(demandeCourante);
    if (condition.estSatisfait())
    {
      resultatCaprevSup.setEtat(0);
    }
    else
    {
      resultatCaprevSup.setEtat(1);
      resultatCaprevSup.setMessageErreur(Integer.toString(condition.getCodeMotifEchec()));
    }
    if (Log.isTraceActive(DeterminationConditionMontantRevisePourRevision.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "\t\t******** Résultat Parcours DeterminationConditionMontantRevisePourRevision pour Reprise ********\n" + resultatCaprevSup);
      
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionMontantRevisePourRevision.class, "demarrer", "\t\t******** Fin Parcours DeterminationConditionMontantRevisePourRevision pour Reprise ********\n");
    }
    return resultatCaprevSup;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionMontantRevisePourRevision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */