package fr.unedic.cali.asu.cge01.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.RechercheConditionNombreTrimestresMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionNombreTrimestresMaintien;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionNombreTrimestresPourMaintien
  extends ParcoursCali
  implements ParcoursAssurance
{
  public static DemandeSpec getDemande(Contexte p_contexte)
  {
    return ((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultatCam02 = new Resultat(1);
    DemandeMaintien demandeMaintien = (DemandeMaintien)getDemande(p_contexte);
    if (Log.isTraceActive(DeterminationConditionNombreTrimestresPourMaintien.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionNombreTrimestresPourMaintien.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionNombreTrimestresPourMaintien.class, "demarrer", "\t\t******** Début Parcours DeterminationConditionNombreTrimestresPourMaintien ********\n");
    }
    ConditionNombreTrimestresMaintien conditionNombreTrimestres = RechercheConditionNombreTrimestresMaintien.rechercherConditionNombreTrimestres(demandeMaintien);
    
    demandeMaintien.getDossierExamen().setConditionNombreTrimestres(conditionNombreTrimestres);
    if (conditionNombreTrimestres.estSatisfait())
    {
      resultatCam02.setEtat(0);
    }
    else
    {
      resultatCam02.setEtat(1);
      resultatCam02.setMessageErreur(Integer.toString(conditionNombreTrimestres.getCodeMotifEchec()));
    }
    if (Log.isTraceActive(DeterminationConditionNombreTrimestresPourMaintien.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionNombreTrimestresPourMaintien.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, DeterminationConditionNombreTrimestresPourMaintien.class, "demarrer", "\t\t******** Fin Parcours DeterminationConditionNombreTrimestresPourMaintien ********\n");
    }
    return resultatCam02;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionNombreTrimestresPourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */