package fr.unedic.cali.asu.cge01.p04.occasionnel.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDelaiReport;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesDemandeAssociee;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.produits.liquidation.dom.PreavisLegal;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;

public class TraitementPopulationPreavisLegal
  implements TraitementPopulationSpec
{
  public ResultatTraitementPopulation effectuerTraitement(CriteresTraitementPopulation p_criteres)
  {
    Demande demandeAtp = (Demande)p_criteres.getParametres().get(0);
    Demande demandeFinancement = demandeAtp.getDonneesDemandeAssociee().getDemandeAssociee();
    if ((demandeFinancement.getAttribution() instanceof OdSpec))
    {
      ConstitutionDelais delais = ((Attribution)demandeFinancement.getAttribution()).getConstitutionDelais();
      PreavisLegal preavisLegal = (PreavisLegal)OutilDelaiReport.trouverDelaiReport(delais.getCollectionCarences(), "PREAVIS_LEGAL");
      if ((preavisLegal != null) && (delais.getDebutCarencePreavisLegal() == null) && (delais.getTermeCarencePreavisLegal() == null) && (preavisLegal.getPeriodeApplicationCarence() != null))
      {
        delais.setNbJoursCarencePreavisLegal(preavisLegal.getQuantiteInitial().getValeurEntiere());
        delais.setDebutCarencePreavisLegal(preavisLegal.getPeriodeApplicationCarence().getDebut());
        delais.setTermeCarencePreavisLegal(preavisLegal.getPeriodeApplicationCarence().getFin());
      }
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     TraitementPopulationPreavisLegal
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */