package fr.unedic.cali.asu.cge01.p07.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.dom.DuoAppartenance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Reprise;
import fr.unedic.cali.dom.pivot.Decision;
import fr.unedic.util.temps.Periode;

public class AlimentationBasePivot
  extends fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimentationBasePivot
{
  private static AlimentationBasePivot instance = null;
  
  public static AlimentationBasePivot getInstance()
  {
    if (instance == null) {
      instance = new AlimentationBasePivot();
    }
    return instance;
  }
  
  protected void alimenterQuantitesAppartenance(DuoAppartenance quantiteAppartenance, Decision decision, DossierExamen dossier)
  {
    if ((dossier instanceof Reprise))
    {
      Reprise reprise = (Reprise)dossier;
      ConstitutionQuantiteAffiliation cepa09 = ((DossierExamen)reprise.getOuvertureDroit()).getConstitutionQuantiteAffiliation();
      if (cepa09 != null)
      {
        quantiteAppartenance.setQuantiteAppartenancePrincipale(cepa09.getQuantiteAcquise());
        quantiteAppartenance.setQuantiteAppartenanceSecondaire(cepa09.getQuantiteAcquiseSecondaire());
        Periode pra = cepa09.getPeriodePRA();
        if (pra != null)
        {
          decision.setDateDebutPra(pra.getDebut());
          decision.setDateFinPra(pra.getFin());
        }
      }
    }
    else
    {
      super.alimenterQuantitesAppartenance(quantiteAppartenance, decision, dossier);
    }
  }
}

/* Location:
 * Qualified Name:     AlimentationBasePivot
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */