package fr.unedic.cali.asu.cge01.p07.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.spec.ObjectifExamenAssuranceSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.services.Contexte;

public class ParcoursObjectifAdmission
  extends fr.unedic.cali.asu.parcours.ParcoursObjectifAdmission
{
  protected void executerCepa(Contexte contexte, ObjectifExamenAssuranceSpec objectifExamenCourant)
    throws ApplicativeException
  {
    Demande demandeCourante = (Demande)getDemande(contexte);
    IndividuSpec individu = demandeCourante.getDemandeur();
    
    ProduitAsuSpec produitCourant = getProduit(contexte);
    
    changerEtatDossierExamenEnAttribution(demandeCourante);
    
    produitCourant.constituerDateAttribution(contexte);
    
    produitCourant.constituerReglementApplicable(contexte);
    
    activerExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    produitCourant.constituerQuantiteAffiliation(contexte);
    desactiverExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    
    produitCourant.constituerNbHeuresTravaillees(contexte);
    
    activerExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    produitCourant.constituerSalaireJournalierDeReference(contexte);
    desactiverExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    
    produitCourant.liquiderDemandeAssociee(contexte);
    
    produitCourant.constituerSalaireJournalierConserve(contexte);
    
    activerExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    produitCourant.constituerCoefficientTempsPartiel(contexte);
    desactiverExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    
    produitCourant.constituerCaractereSaisonnier(contexte);
    
    produitCourant.constituerCoefficientSaisonnier(contexte);
    
    produitCourant.constituerDateLimiteIndemnisation(contexte);
    
    activerExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    produitCourant.determinerCompetencesDroitCourant(contexte);
    desactiverExclusionChronoPasseProPourLiquidationFCTRevision(demandeCourante, individu);
    
    effectuerParcours(objectifExamenCourant.creerParcoursConstitutionDureePostPrime(), contexte);
    
    produitCourant.constituerMontantsBruts(contexte);
    
    produitCourant.constituerDureesReglementaires(contexte);
    
    produitCourant.constituerRevisionAutomatique(contexte);
    
    alimenterTrancheExecutable(contexte);
    
    produitCourant.constituerProduitResultant(contexte);
    
    alimenterTrancheExecutable(contexte);
    
    produitCourant.constituerDelaisReports(contexte);
    
    produitCourant.constituerPointDeDepart(contexte);
    
    nettoyerTrancheExecutable(contexte);
    
    produitCourant.constituerDureeEffective(contexte);
    
    produitCourant.constituerCapitalAvecDureeEffective(contexte);
  }
}

/* Location:
 * Qualified Name:     ParcoursObjectifAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */