package fr.unedic.cali.asu.cge01.p6b.antecedent;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ResultatDeterminationDateLimiteIndemnisation;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.util.services.CoucheLogiqueException;

public class GrapheAntecedent
  extends fr.unedic.cali.asu.cge01.antecedent.GrapheAntecedent
{
  public static GrapheAntecedent getInstance()
  {
    return new GrapheAntecedent();
  }
  
  protected void alimenterConstitutionMontantBrut(DossierExamenAssuranceSpec p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    DeterminationMontantsBruts.getInstance().determinerMontantsBruts((Demande)p_dossierExamen.getDemande());
    DeterminationMontantsBruts.getInstance().alimentationCapitalDroitCourant((Demande)p_dossierExamen.getDemande());
  }
  
  protected void alimenterDateLimiteIndemnisation(Demande p_demande, DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    ConstitutionDateLimiteIndemnisation dateLimiteIndemnisation = p_dossierExamen.getConstitutionElementsActifs().createConstitutionDateLimiteIndemnisation();
    
    ContexteDemande contexteDemande = (ContexteDemande)OutilGestionContexteDemande.trouverUnContexteDemandeAssurancePresent(p_demande, 2);
    if (contexteDemande != null) {
      dateLimiteIndemnisation.setDateLimiteIndem(contexteDemande.getDateFinJustifContexte());
    }
    if ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPARE")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(p_demande, "ASPDC")))
    {
      ResultatDeterminationDateLimiteIndemnisation resultat = DeterminationDateLimiteIndemnisation.determinerDateLimiteIndemnisation(p_demande);
      dateLimiteIndemnisation.setDateLimiteIndem(resultat.getDateLimiteIndemnisation());
    }
  }
}

/* Location:
 * Qualified Name:     GrapheAntecedent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */