package fr.unedic.cali.asu.cge01.p6b.avant;

import fr.unedic.cali.asu.cge01.avant.FacadeAvantLigneImpl;
import fr.unedic.cali.asu.cge01.avant.FacadeAvantLigneSansTrancheImpl;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsTrancheCalcul;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.util.Collection;

public class FacadeAvantProduitImpl
  extends FacadeAvantLigneImpl
{
  public ResultatAvant executerAvant(AttributionSpec p_attribution, boolean p_avecPriseEnCompteEvenement, Damj p_dateEtude, boolean p_executionPersistante)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      return FacadeAvantLigneSansTrancheImpl.getInstance().executerAvant(p_attribution, p_avecPriseEnCompteEvenement, p_dateEtude, p_executionPersistante);
    }
    return super.executerAvant(p_attribution, p_avecPriseEnCompteEvenement, p_dateEtude, p_executionPersistante);
  }
  
  public Collection<?> recupererCarrence(AttributionSpec attribution)
  {
    if (!OutilsTrancheCalcul.estTrancheActive(attribution)) {
      return FacadeAvantLigneSansTrancheImpl.getInstance().recupererCarrence(attribution);
    }
    return super.recupererCarrence(attribution);
  }
  
  public Damj rechercherPremierJourAvant(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if (!OutilsTrancheCalcul.estTrancheActive(attribution)) {
      return FacadeAvantLigneSansTrancheImpl.getInstance().rechercherPremierJourAvant(attribution);
    }
    return super.rechercherPremierJourAvant(attribution);
  }
  
  public boolean estUnContexteDeChomageEnCoursDeSuspensionAvecRupture(AttributionSpec attribution, Damj dateEtude)
  {
    if (!OutilsTrancheCalcul.estTrancheActive(attribution)) {
      return FacadeAvantLigneSansTrancheImpl.getInstance().estUnContexteDeChomageEnCoursDeSuspensionAvecRupture(attribution, dateEtude);
    }
    return super.estUnContexteDeChomageEnCoursDeSuspensionAvecRupture(attribution, dateEtude);
  }
  
  public boolean estUnContexteDeChomageEnCoursDeSuspension(AttributionSpec attribution)
  {
    if (!OutilsTrancheCalcul.estTrancheActive(attribution)) {
      return FacadeAvantLigneSansTrancheImpl.getInstance().estUnContexteDeChomageEnCoursDeSuspension(attribution);
    }
    return super.estUnContexteDeChomageEnCoursDeSuspension(attribution);
  }
}

/* Location:
 * Qualified Name:     FacadeAvantProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */