package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.DeterminationCapital;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.dom.Reliquat;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ConstitutionCapitalDroitCourant
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    Demande demandeRevision = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen attributionRevision = (DossierExamen)demandeRevision.getDossierExamen();
    
    ConstitutionMontantsBruts cepaMontant = attributionRevision.getConstitutionElementsActifs().createConstitutionMontantsBruts();
    
    Reliquat reliquat = demandeRevision.getReliquat();
    
    MontantAsuSpec montantDroitAReviser = DeterminationCapital.determinerMontantDroitAReviser(demandeRevision);
    boolean estDroitAReviserDifferentMaintien = DeterminationCapital.estDroitAReviserDifferentMaintien(p_contexte);
    BigDecimal capitalDroitAReviser = DeterminationCapital.determinerCapitalDroitAReviser(demandeRevision, montantDroitAReviser, estDroitAReviserDifferentMaintien);
    
    reliquat.setMontantJournalierReliquat(montantDroitAReviser.getMontantPrecompte());
    reliquat.setCapitalReliquat(capitalDroitAReviser);
    
    BigDecimal capitalRevision = DeterminationCapital.determinerCapitalRevise(demandeRevision);
    cepaMontant.setCapitalInitialBrut(new QuantiteEuro(capitalRevision));
    
    resultatCEPA.setEtat(0);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
}

/* Location:
 * Qualified Name:     ConstitutionCapitalDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */