package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.DeterminationDureeReglementaire;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ConstitutionDureeReglementaire
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    ConstitutionDurees constitutionDurees = dossierExamenCourant.getConstitutionElementsActifs().createConstitutionDurees();
    
    DureeIndemnisation dureeIndemnisation = constitutionDurees.createDureeIndemnisation();
    
    BigDecimal dureeRevision = DeterminationDureeReglementaire.deteminerDureeReglementaire(demande);
    if (dureeRevision.compareTo(BigDecimal.ZERO) == 0) {
      dureeIndemnisation.setDureeNulle(true);
    }
    dureeIndemnisation.setDureeTheorique(new QuantiteJour(dureeRevision));
    
    resultatCEPA.setEtat(0);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */