package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.DeterminationCompetence;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationCompetencesAdministratives
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    DossierExamen dossierExamen = (DossierExamen)demande.getDossierExamen();
    Competence competenceRevision = new Competence();
    dossierExamen.setCompetence(competenceRevision);
    DeterminationCompetence determinationCompetence = new DeterminationCompetence();
    
    Competence competenceOd = (Competence)determinationCompetence.determinerCompetence(demande);
    competenceOd.copieElements(competenceRevision);
    
    Competence competenceSousJacenteCalculee = (Competence)determinationCompetence.determinerCompetenceSousJacente(demande);
    if (competenceSousJacenteCalculee != null)
    {
      Competence competenceSousJacente = new Competence();
      competenceSousJacenteCalculee.copieElements(competenceSousJacente);
      dossierExamen.setCompetenceSousJacente(competenceSousJacente);
    }
    resultatCEPA.setEtat(0);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetencesAdministratives
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */