package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionFaitGenerateur
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCAPA04 = new Resultat(0);
    
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    
    TravailSpec sinistre = determinerDernierSinistre(demande);
    ConditionFaitGenerateur capa = ((DossierExamen)demande.getDossierExamen()).createConditionFaitGenerateur();
    
    capa.setEtatSatisfait(true);
    capa.setPeriodeFaitGenerateur((ActiviteSalarie)sinistre);
    capa.setDateFaitGenerateur(sinistre.getDateFin());
    capa.setAgeIndividuDateFG(demande.getDemandeur().getAgeALaDate(sinistre.getDateFin()));
    
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Résultat : ", resultatCAPA04 });
    
    OutilTrace.tracerFinParcours();
    
    return resultatCAPA04;
  }
  
  protected TravailSpec determinerDernierSinistre(Demande demande)
    throws CoucheLogiqueException
  {
    TravailSpec dernierSinistre = ((DossierAffectation)demande.getDossierAffectation()).getSinistre();
    return dernierSinistre;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionFaitGenerateur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */