package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.RechercheConditionQuantiteAffiliation;
import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionQuantiteAffiliation
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    DossierAffectation dossierAffectation = (DossierAffectation)demande.getDossierAffectation();
    DossierExamen dossierExamen = (DossierExamen)dossierAffectation.getDossierExamen();
    
    ConditionQuantiteAffiliation conditionQuantiteAffiliation = dossierExamen.createConditionQuantiteAffiliation();
    
    ConditionQuantiteAffiliationSpec conditionDemandeSoujacente = RechercheConditionQuantiteAffiliation.rechercheConditionQuantiteAffiliation(demande);
    
    recopierDonnees(conditionDemandeSoujacente, conditionQuantiteAffiliation);
    if (conditionDemandeSoujacente.estSatisfait()) {
      resultatCEPA.setEtat(0);
    } else {
      resultatCEPA.setEtat(1);
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
  
  private void recopierDonnees(ConditionQuantiteAffiliationSpec conditionDemandeSoujacente, ConditionQuantiteAffiliation conditionQuantiteAffiliation)
  {
    conditionQuantiteAffiliation.setQuantiteAppartenance(conditionDemandeSoujacente.getQuantiteAppartenance());
    conditionQuantiteAffiliation.setQuantiteAppartenanceSecondaire(conditionDemandeSoujacente.getQuantiteAppartenanceSecondaire());
    conditionQuantiteAffiliation.setCodeMotifEchec(conditionDemandeSoujacente.getCodeMotifEchec());
    conditionQuantiteAffiliation.setEtatSatisfait(conditionDemandeSoujacente.estSatisfait());
    if ((conditionDemandeSoujacente instanceof ConditionQuantiteAffiliation))
    {
      conditionQuantiteAffiliation.setEtatPndsPourCalculAffi(((ConditionQuantiteAffiliation)conditionDemandeSoujacente).getEtatPndsPourCalculAffi());
      if (conditionDemandeSoujacente.getJustificationAffiliation() != null) {
        conditionQuantiteAffiliation.setJustificationAffiliation((JustificationAffiliationSpec)conditionDemandeSoujacente.getJustificationAffiliation().copie());
      }
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionQuantiteAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */