package fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDonneesDeterminationSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueOutilFonctionnelDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.resultats.ResultatConstructionSjr;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.FormuleReconstitutionSjrSpec;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.fabrique.FabriqueFormuleReconstitutionSjr;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public final class OutilReconstructionSjr
{
  public static ResultatConstructionSjr construireSjr(DemandeSpec pDemande)
    throws CoucheLogiqueException
  {
    DonneesEntreesOutilReconstructionSjr donneesEntreesOutilReconstructionSjr = OutilConstructionDonneesEntreesReconstructionSjr.construireDonneesEntreeesOutilReconstructionSjr(pDemande);
    
    return construireSjr(donneesEntreesOutilReconstructionSjr);
  }
  
  public static ResultatConstructionSjr construireSjr(DonneesEntreesOutilReconstructionSjr pDonneesEntreesOutilReconstructionSjr)
    throws CoucheLogiqueException
  {
    FormuleReconstitutionSjrSpec formuleReconstructionSjr = FabriqueFormuleReconstitutionSjr.getInstance().creerFormuleReconstitutionSjr(pDonneesEntreesOutilReconstructionSjr);
    
    BigDecimal sjr = formuleReconstructionSjr.appliquerFormule(pDonneesEntreesOutilReconstructionSjr);
    
    return creationResultat(pDonneesEntreesOutilReconstructionSjr, sjr);
  }
  
  public static ResultatConstructionSjr creationResultat(DonneesEntreesOutilReconstructionSjr pDonneesEntreesOutilReconstructionSjr, BigDecimal pSjr)
    throws CoucheLogiqueException
  {
    ResultatConstructionSjr resultatConstructionSjr = new ResultatConstructionSjr();
    
    Damj dateCalcul = pDonneesEntreesOutilReconstructionSjr.getDateCalcul();
    resultatConstructionSjr.setSjri(pSjr);
    
    resultatConstructionSjr.setPlafondSjr(calculerPlafondSjr(pDonneesEntreesOutilReconstructionSjr.getProduit(), dateCalcul));
    
    resultatConstructionSjr.setDateEffet(dateCalcul);
    return resultatConstructionSjr;
  }
  
  public static BigDecimal calculerPlafondSjr(ProduitAsuSpec pProduitMontantRetenu, Damj pDateCalcul)
    throws CoucheLogiqueException
  {
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)pProduitMontantRetenu.determinerFabriqueOutilFonctionnelDeterminationSjr(pDateCalcul);
    
    DonneesEntreeDeterminationSjrSpec donneesEntree = OutilDonneesDeterminationSjr.getInstance().initialiserDonneesEntreeAvecProduit();
    
    return fabriqueOfSjr.getOutilDeterminationSjr().determinerPlafondSjr(pDateCalcul, donneesEntree);
  }
}

/* Location:
 * Qualified Name:     OutilReconstructionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */