package fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule;

import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.DonneesEntreesOutilReconstructionSjr;
import fr.unedic.util.Mathematiques;
import java.math.BigDecimal;

public abstract class FormuleReconstitutionSjrAbstrait
  implements FormuleReconstitutionSjrSpec
{
  protected BigDecimal calculerMtPlusPiPlusTavFoisMav(DonneesEntreesOutilReconstructionSjr pDonneesEntreesOutilReconstructionSjr)
  {
    BigDecimal tavFoisMav = pDonneesEntreesOutilReconstructionSjr.getTauxAvantageVieillesse().multiply(pDonneesEntreesOutilReconstructionSjr.getMontantAvantageVieillesse());
    
    BigDecimal montantRetour = calculerMontantPlusPi(pDonneesEntreesOutilReconstructionSjr).add(tavFoisMav);
    return montantRetour;
  }
  
  protected BigDecimal calculerMtPlusPiPlusTavFoisMavMoinsPfFoisCp(DonneesEntreesOutilReconstructionSjr pDonneesEntreesOutilReconstructionSjr)
  {
    BigDecimal montantPlusPiPlusTavFoisMav = calculerMtPlusPiPlusTavFoisMav(pDonneesEntreesOutilReconstructionSjr);
    BigDecimal partieFixeFoisCoefficientSurParametre = pDonneesEntreesOutilReconstructionSjr.getPartieFixe().multiply(pDonneesEntreesOutilReconstructionSjr.getCoefficientSurParametre());
    
    return montantPlusPiPlusTavFoisMav.subtract(partieFixeFoisCoefficientSurParametre);
  }
  
  protected BigDecimal calculerMontantPlusPi(DonneesEntreesOutilReconstructionSjr pDonneesEntreesOutilReconstructionSjr)
  {
    BigDecimal montantPlusPi = pDonneesEntreesOutilReconstructionSjr.getMontant().add(pDonneesEntreesOutilReconstructionSjr.getMontantPi());
    
    return montantPlusPi;
  }
  
  public BigDecimal arrondirErBornerMontant(BigDecimal pMontant)
  {
    BigDecimal montantFormateBorne = pMontant.max(MONTANT_0);
    montantFormateBorne = Mathematiques.arrondiASup(pMontant, 2);
    return montantFormateBorne;
  }
}

/* Location:
 * Qualified Name:     FormuleReconstitutionSjrAbstrait
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */