package fr.unedic.cali.asu.csa06.p06.parametres;

import fr.unedic.cali.asu.csa06.parametres.Parametres;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteAffiliation;

public class ParametresConvention2017
  extends Parametres
{
  private static final int QUANTITE_APPARTENANCE_REQUISE_JOURS_TRAVAILLES = 88;
  private static final int QUANTITE_APPARTENANCE_REQUISE_SUITE_DV_JOURS_TRAVAILLES = 65;
  
  public ParametresConvention2017(DemandeSpec demande)
  {
    super(demande);
  }
  
  public Quantite getQuantiteAffiliationRequise(Unite unite)
  {
    Quantite quantiteRequise;
    Quantite quantiteRequise;
    if (UniteAffiliation.JOUR_TRAVAILLE.equals(unite)) {
      quantiteRequise = new Quantite(88, unite);
    } else {
      quantiteRequise = new Quantite(610, unite);
    }
    return quantiteRequise;
  }
  
  public Quantite getQuantiteAffiliationRequiseSuiteDV(Unite unite)
  {
    Quantite quantiteRequise;
    Quantite quantiteRequise;
    if (UniteAffiliation.JOUR_TRAVAILLE.equals(unite)) {
      quantiteRequise = new Quantite(65, unite);
    } else {
      quantiteRequise = new Quantite(455, unite);
    }
    return quantiteRequise;
  }
}

/* Location:
 * Qualified Name:     ParametresConvention2017
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */