package fr.unedic.cali.asu.csr04.p01.liquidation.dom;

import fr.unedic.cali.asu.csr04.p01.liquidation.dom.gen.ObjectifExamenAdmissionGen;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDateAttribution;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDelaiReport;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDureeEffective;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionProduitResultant;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.DeterminationCondition28JoursSuspension;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.DeterminationConditionCSRAccordCP;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.services.Parcours;

public class ObjectifExamenAdmission
  extends ObjectifExamenAdmissionGen
{
  private static final long serialVersionUID = 1L;
  
  public ObjectifExamenAdmission() {}
  
  public ObjectifExamenAdmission(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttribution();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return new ConstitutionDelaiReport();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return new ConstitutionProduitResultant();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffective();
  }
  
  public Parcours creerParcoursConditionNbJourSuspension()
  {
    return new DeterminationCondition28JoursSuspension();
  }
  
  public Parcours creerPacoursConditionCSRAccordCP()
  {
    return new DeterminationConditionCSRAccordCP();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */