package fr.unedic.cali.asu.csr04.p01.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.pivot.Decision;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.util.services.CoucheLogiqueException;

public final class AlimentationBasePivot
{
  public static void alimenterDonneesProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    Demande demandeAssurance = (Demande)dossierExamen.getDemande();
    
    Decision decision = demandePivot.getDecision();
    
    fr.unedic.cali.dom.pivot.Attribution attribution = demandePivot.getAttribution();
    
    fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.AlimentationBasePivot.renseignerDecision(decision, demandeAssurance);
    if (attribution != null)
    {
      fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.AlimentationBasePivot.renseignerAttribution(demandePivot.getAttribution(), demandeAssurance);
      renseignerAttributionChomageSansRCT(demandePivot.getAttribution(), demandeAssurance);
    }
    if (attribution != null) {
      fr.unedic.cali.asu.liquidation.outilsfonctionnels.AlimentationBasePivot.alimentationMontantAllocationJournaliereBrut(dossierExamen, attribution);
    }
  }
  
  protected static void renseignerAttributionChomageSansRCT(fr.unedic.cali.dom.pivot.Attribution attribution, Demande demande)
  {
    fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution decision = (fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution)demande.getDossierExamen();
    
    String codeSousProduitRetourne = decision.determinerCodeSousProduitPourSigma();
    switch (decision.getNatureDecision())
    {
    case 10: 
    case 12: 
      attribution.setCodeSousProduitRetenu(codeSousProduitRetourne);
      break;
    case 3: 
    case 11: 
    case 26: 
      if (decision.getAttributionPrecedente() != null)
      {
        AttributionSpec attributionPrec = decision.getAttributionPrecedente();
        attribution.setCodeSousProduitRetenu(attributionPrec.determinerCodeSousProduitPourSigma());
      }
      break;
    }
  }
}

/* Location:
 * Qualified Name:     AlimentationBasePivot
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */