package fr.unedic.cali.asu.csr04.p01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Differe;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.EnsembleCarences;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.DeterminationCarenceRCT;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class ConstitutionDelaiReport
  extends fr.unedic.cali.asu.cge01.p03.liquidation.parcours.ConstitutionDelaiReport
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    Differe differe = DeterminationCarenceRCT.definirDiffereContexteChomageSansRCT(demande);
    
    EnsembleCarences ensembleCarencesChomageSansRCT = DeterminationCarenceRCT.definirCarenceSupSiContexteChomageSansRCT(demande);
    
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    ConstitutionDelais constitutionDelais = dossierExamenCourant.createConstitutionDelais();
    
    Damj dateDebut = OutilsChomageSansRCT.getDateFinSuspension(demande);
    if (ensembleCarencesChomageSansRCT != null) {
      constitutionDelais.ajouterEnsembleCarences(ensembleCarencesChomageSansRCT);
    }
    Damj dateFinCarences = null;
    if (ensembleCarencesChomageSansRCT != null) {
      dateFinCarences = ensembleCarencesChomageSansRCT.getDateFinDerniereCarence();
    }
    if (differe != null)
    {
      dateDebut = Damj.max(dateFinCarences, dateDebut).lendemain();
      
      differe.setPeriodeEffet(new Periode(dateDebut, differe.getQuantiteInitialJour()));
      constitutionDelais.ajouterDelaisReports(differe);
    }
    return new Resultat(0);
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaiReport
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */