package fr.unedic.cali.asu.cva10.calcul.dom;

import fr.unedic.cali.asu.cva10.calcul.dom.gen.MontantASPDCFGen;
import fr.unedic.cali.asu.cva10.calcul.dom.pc.MontantASPDCFPC;
import fr.unedic.cali.dom.MontantAREFSpec;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.util.ObjetMetierSpec;

public class MontantASPDCF
  extends MontantASPDCFGen
  implements DomGenSpec, MontantAREFSpec
{
  private static final long serialVersionUID = 1L;
  
  private MontantASPDCF() {}
  
  public MontantASPDCF(Montant p_montant)
  {
    setMontantBrut(p_montant.getMontantBrut());
    setCrc(p_montant.getCrc());
    setBase(p_montant.getBase());
    setBaseCalculCrc(p_montant.getBaseCalculCrc());
    setCrds(p_montant.getCrds());
    setCsg(p_montant.getCsg());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setMini(p_montant.getMini());
    setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
    setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
    setPlafond(p_montant.getPlafond());
    setPlancher(p_montant.getPlancher());
    setPositionExonerationCrc(p_montant.getPositionExonerationCrc());
    setTauxCrc(p_montant.getTauxCrc());
    setTotalCotisationContribution(p_montant.getTotalCotisationContribution());
    setType("FORMATION PREVISIONNELLE");
    setSjrNonReduit(p_montant.getSjrNonReduit());
    setMiniFormation(p_montant.getMiniFormation());
    setMontantFinancement(p_montant.getMontantFinancement());
  }
  
  public MontantASPDCF(MontantASPDCFPC p_montant)
  {
    super(p_montant);
  }
  
  public ObjetMetierSpec copie()
  {
    MontantASPDCF copie = new MontantASPDCF();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    MontantASPDCF copie = (MontantASPDCF)p_copie;
    super.copieElements(copie);
  }
}

/* Location:
 * Qualified Name:     MontantASPDCF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */