package fr.unedic.cali.asu.cva10.p02.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.List;

public class OutilDeterminationOrdreObjectifs
  extends fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs
{
  public static fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs getInstance()
  {
    return new OutilDeterminationOrdreObjectifs();
  }
  
  public void determinerOrdreObjectifs(Demande demande, int contexteExamen, ProduitAsuSpec produitPrecedent, boolean estContexteRepriseContextuelle, boolean estReliquatDroitMaintenu)
    throws ApplicativeException
  {
    List listeTypesObjectifs = null;
    switch (contexteExamen)
    {
    case 1: 
    case 2: 
      listeTypesObjectifs = determinerObjectifsSansAntecedent();
      break;
    case 3: 
      listeTypesObjectifs = determinerObjectifsAvecAntecedentValide(produitPrecedent);
      break;
    case 4: 
      listeTypesObjectifs = determinerObjectifsAntecedentSecteurPublic(demande);
    }
    demande.viderListeObjectifsExamen();
    for (int i = 0; i < listeTypesObjectifs.size(); i++)
    {
      int sousTypeObjectif = ((Integer)listeTypesObjectifs.get(i)).intValue();
      
      ObjectifExamen objectif = demande.creerObjectifExamen(sousTypeObjectif, getProduit(demande, produitPrecedent, sousTypeObjectif));
      ajouteObjectifSurDemande(objectif, demande);
    }
  }
  
  protected List determinerObjectifsAvecAntecedentValide(ProduitAsuSpec produitPrecedent)
  {
    List listeTypesObjectifs = new ArrayList();
    if ((produitPrecedent.getNom().equals("ASU_CVA10_02")) || (produitPrecedent.getNom().equals("ASU_CAA14_02"))) {
      listeTypesObjectifs.add(Integer.valueOf(15));
    } else {
      listeTypesObjectifs.add(Integer.valueOf(10));
    }
    return listeTypesObjectifs;
  }
  
  protected List<Integer> determinerObjectifsAntecedentSecteurPublic(Demande demande)
    throws CoucheLogiqueException
  {
    List<Integer> listeTypesObjectifs = new ArrayList();
    listeTypesObjectifs.add(Integer.valueOf(12));
    return listeTypesObjectifs;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationOrdreObjectifs
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */