package fr.unedic.cali.asu.cva10.p03.calcul.dom;

import fr.unedic.cali.asu.cva10.calcul.dom.FormuleMontantASPSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FormuleMontantRegimeGeneralASPDCAvecFinancement
  extends FormuleMontantRegimeGeneralASPDCP03
  implements FormuleMontantASPSpec
{
  public static String getCode()
  {
    return "3";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation constituantsIndem, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    Montant leMontant = (Montant)super.calculer(constituantsIndem, dateCalcul);
    if (leMontant.getMontantBrut().getValeur().compareTo(leMontant.getMontantAreExecute().getMontantBrut().getValeur()) <= 0)
    {
      leMontant.setJustificationCalculMontant("35");
    }
    else
    {
      leMontant.setMontantFinancement(leMontant.getMontantAreExecute().getMontantBrut().getValeur());
      leMontant.setJustificationCalculMontant("34");
    }
    return leMontant;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantRegimeGeneralASPDCAvecFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */