package fr.unedic.cali.asu.cve13.p01.calcul.dom;

import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilMappingSjmSjr;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public class ElementBaseIndemnisation
  extends fr.unedic.cali.asu.dom.ElementBaseIndemnisation
{
  private static final long serialVersionUID = 1858389380241219419L;
  private boolean m_montantReduit = false;
  private BigDecimal m_totalGainSurUt = null;
  private ProduitSpec m_produitFinancement = null;
  private BigDecimal m_nbJourIndemnisee = new BigDecimal("0");
  private SalaireJournalierSpec m_salaireJournalierATP = null;
  private BigDecimal m_coefficientTempsPartielATP = null;
  
  public ElementBaseIndemnisation() {}
  
  public ElementBaseIndemnisation(fr.unedic.cali.asu.dom.ElementBaseIndemnisation p_elementBaseIndemnisation)
  {
    p_elementBaseIndemnisation.copieElements(this);
  }
  
  public boolean estMontantReduit()
  {
    return m_montantReduit;
  }
  
  public void setEstMontantReduit(boolean p_montantReduit)
  {
    m_montantReduit = p_montantReduit;
  }
  
  public ProduitSpec getProduitFinancement()
  {
    return m_produitFinancement;
  }
  
  public void setProduitFinancement(ProduitSpec p_produitFinancement)
  {
    m_produitFinancement = p_produitFinancement;
  }
  
  public BigDecimal getTotalGainSurUt()
  {
    return m_totalGainSurUt;
  }
  
  public void setTotalGainSurUt(BigDecimal p_totalGainSurUt)
  {
    m_totalGainSurUt = p_totalGainSurUt;
  }
  
  public BigDecimal getNbJourIndemnisee()
  {
    return m_nbJourIndemnisee;
  }
  
  public void setNbJourIndemnisee(BigDecimal p_nbJourIndemnisee)
  {
    m_nbJourIndemnisee = p_nbJourIndemnisee;
  }
  
  public ObjetMetierSpec copie()
  {
    ElementBaseIndemnisation copie = new ElementBaseIndemnisation();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ElementBaseIndemnisation copie = (ElementBaseIndemnisation)p_copie;
    super.copieElements(p_copie);
    
    copie.setEstMontantReduit(estMontantReduit());
    copie.setTotalGainSurUt(getTotalGainSurUt());
    copie.setProduitFinancement(getProduitFinancement());
    copie.setNbJourIndemnisee(getNbJourIndemnisee());
    if (getSjrATP() != null) {
      copie.setSjrATP((Sjr)getSjrATP().copie());
    }
    copie.setCoefficientTempsPartielATP(getCoefficientTempsPartielATP());
  }
  
  public Sjr getSjrATP()
  {
    if (m_salaireJournalierATP != null) {
      return OutilMappingSjmSjr.convertirSjr(m_salaireJournalierATP);
    }
    return null;
  }
  
  public void setSjrATP(Sjr p_sjrATP)
  {
    m_salaireJournalierATP = p_sjrATP;
  }
  
  public BigDecimal getCoefficientTempsPartielATP()
  {
    return m_coefficientTempsPartielATP;
  }
  
  public void setCoefficientTempsPartielATP(BigDecimal p_coefficientTempsPartielATP)
  {
    m_coefficientTempsPartielATP = p_coefficientTempsPartielATP;
  }
}

/* Location:
 * Qualified Name:     ElementBaseIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */