package fr.unedic.cali.asu.cve13.p01.calcul.dom;

import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuAbstrait;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FormuleMontantATPAvecFinancement
  extends FormuleMontantATP
  implements FormuleMontantATPSpec
{
  public static String getCode()
  {
    return "3";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    Montant montant = null;
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    ConstituantsIndemnisation constituantIndemnisation = new ConstituantsIndemnisation();
    constituantIndemnisation.setElementBaseIndemnisationCourant(ebi);
    
    montant = (Montant)super.calculer(constituantIndemnisation, p_dateCalcul);
    if (!ebi.estMontantReduit())
    {
      ProduitAsuAbstrait produitFinancement = (ProduitAsuAbstrait)ebi.getProduitFinancement();
      FormuleMontantSpec formuleMontant = produitFinancement.getFormuleMontant("1");
      Quantite montantFinancement = formuleMontant.calculer(constituantIndemnisation, p_dateCalcul).getMontantBrut();
      montant.setMontantFinancement(montantFinancement.getValeur());
    }
    return montant;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantATPAvecFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */