package fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;

public class DeterminationMontantsBruts
  implements OutilFonctionnel
{
  public static DeterminationMontantsBruts getInstance()
  {
    return new DeterminationMontantsBruts();
  }
  
  public void determinerMontantsBruts(Demande p_demande)
    throws CoucheLogiqueException
  {
    Attribution attributionCourante = (Attribution)p_demande.getAttribution();
    
    attributionCourante.getConstitutionElementsActifs().createConstitutionMontantsBruts();
    
    DonneesEntreesRecuperationMontant donneesEntrees = ((GammeAsuSpec)attributionCourante.getGamme()).mapperDonneesEntreesRecuperationMontant(attributionCourante);
    
    donneesEntrees.setDateCalculMontant(attributionCourante.getDateEffet());
    
    MontantAsuSpec montantAAttribution = DeterminationMontant.determinerMontant(donneesEntrees);
    if (montantAAttribution != null) {
      alimenterResultatCep(montantAAttribution, attributionCourante);
    }
  }
  
  protected void alimenterResultatCep(MontantAsuSpec p_montant, Attribution p_attribution)
    throws CoucheLogiqueException
  {
    ConstitutionMontantsBruts resultatCep = p_attribution.getConstitutionElementsActifs().getConstitutionMontantsBruts();
    
    resultatCep.setMontantAAttribution(p_montant);
    
    resultatCep.setMontantJournalierBrut(p_montant.getMontantPrecompteEffectif());
    
    resultatCep.setMontantBrutSansDeduction(p_montant.getMontantBrut());
    if (p_montant != null)
    {
      resultatCep.setMontantBase(p_montant.getBase());
      resultatCep.setMontantMini(p_montant.getMini());
      
      Quantite miniFormation = p_montant.getMiniFormation();
      if (miniFormation != null) {
        resultatCep.setMiniAREF(miniFormation.getValeur());
      }
      resultatCep.setMontantPlafond(p_montant.getPlafond());
      resultatCep.setMontantPlancher(p_montant.getPlancher());
      resultatCep.setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
      resultatCep.setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
      resultatCep.setMontantJournalierAvantageVieillesse(p_montant.getMontantJournalierAvantageVieillesse());
      resultatCep.setMontantJournalierAvantageVieillesseDeduit(p_montant.getMontantJournalierAvantageVieillesseDeduit());
      resultatCep.setCrc(p_montant.getCrc());
      resultatCep.setQuatreVingtSjr(p_montant.getMontantBrut().getValeur());
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationMontantsBruts
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */