package fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;

public class RechercheConditionRechercheEmploi
  implements OutilFonctionnel
{
  public static RechercheConditionRechercheEmploi getInstance()
  {
    return new RechercheConditionRechercheEmploi();
  }
  
  public ResultatElementDroit determinerConditionRechercheEmploi(Demande p_demande)
    throws CoucheLogiqueException
  {
    ResultatElementDroit elementDroit = new ResultatElementDroit();
    
    Damj dateExamenDemandeCourante = p_demande.getDateExamen();
    ObjetChronoPeriodePriseEnCharge periodePEC = OutillagePEC.getPeriodePECIndemnisableContenant(p_demande.getDemandeur(), dateExamenDemandeCourante);
    if (periodePEC == null) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_ERR_DEMANDEUR_NON_INSCRIT");
    }
    if (periodePEC.getIdentifiantPec() < p_demande.getFormulaire().getIdPec()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_ERR_PEC_INFERIEURE");
    } else if (periodePEC.getIdentifiantPec() > p_demande.getFormulaire().getIdPec()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_ERR_PEC_SUPERIEURE", new Object[] { Integer.toString(p_demande.getFormulaire().getIdPec()) });
    }
    if (!periodePEC.estUnePecCTP()) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ATP_DEMANDE_SUR_PEC_NON_CTP");
    }
    elementDroit.setEtat(0);
    return elementDroit;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionRechercheEmploi
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */