package fr.unedic.cali.asu.cve13.p01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursConstitutionSjr;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.DelaiRecherche;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPrc;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSr;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.Sjrip;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ConstitutionSjr
  extends ParcoursConstitutionSjr
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultatCEPA07 = new Resultat(0);
    
    OutilTrace.tracerDebutParcours();
    
    super.demarrer(p_contexte);
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    
    fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr constitutionSjr = dossierExamenCourant.getConstitutionElementsActifs().getConstitutionSjr();
    
    Quantite sjrSaisi = demandeCourante.getDonneesTemporaires().getSjr();
    if (sjrSaisi == null)
    {
      BigDecimal salaireReferenceNonPlafonne = constitutionSjr.getJustificationSjr().getJustificationSr().getSalaireReferenceNonPlafonne();
      BigDecimal diviseur = constitutionSjr.getSjrip().getPrc().getDiviseur();
      BigDecimal sjnpr = Mathematiques.diviseParDefaut(salaireReferenceNonPlafonne, diviseur);
      constitutionSjr.getSjrip().setSjrInitial(new QuantiteEuro(Mathematiques.arrondiASup(sjnpr, 2)));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA07;
  }
  
  protected JustificationPrc determinerEtJustifierPeriodePrc(Demande p_demande)
    throws ApplicativeException
  {
    JustificationPrc justificationPrc = ((DelaiRecherche)DelaiRecherche.getInstance()).determinerEtJustifierPrc(p_demande);
    return justificationPrc;
  }
}

/* Location:
 * Qualified Name:     ConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */