package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.AffiliationSupplementaireGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class AffiliationSupplementaire
  extends AffiliationSupplementaireGen
  implements PeriodeAffiliationSpec, ObjetPersistantSpec
{
  private static final long serialVersionUID = -7092466558422602457L;
  public static final int TAUX_PLEIN = 1;
  
  public AffiliationSupplementaire() {}
  
  public AffiliationSupplementaire(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getLibelle()
  {
    return getRaisonSociale() + " " + getReglement();
  }
  
  public Periode getPeriode()
  {
    return getPeriodeAffiliationSupplementaire();
  }
  
  public ObjetMetierSpec copie()
  {
    AffiliationSupplementaire copie = new AffiliationSupplementaire();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    AffiliationSupplementaire copie = (AffiliationSupplementaire)p_copie;
    copie.setIdPeriodeActivite(getIdPeriodeActivite());
    copie.setIntensite(getIntensite());
    copie.setNature(getNature());
    copie.setPeriodeActiviteSalariee(getPeriodeActiviteSalariee());
    copie.setPeriodeAffiliationSupplementaire(getPeriodeAffiliationSupplementaire());
    copie.setQuantiteInitiale(getQuantiteInitiale());
    copie.setQuantiteRetenue(getQuantiteRetenue());
    copie.setRaisonSociale(getRaisonSociale());
    copie.setReglement(getReglement());
    copie.setHoraireSalarie(getHoraireSalarie());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public boolean estTauxPlein()
  {
    return getIntensite().intValue() == 1;
  }
}

/* Location:
 * Qualified Name:     AffiliationSupplementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */