package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MaintienEuropeen;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.List;

public abstract interface AttributionAssuranceSpec
  extends AttributionSpec, DecisionAssuranceSpec, DossierExamenAssuranceSpec, fr.unedic.cali.dom.AttributionAssuranceSpec
{
  public abstract boolean isUnJourDiffereConsomme();
  
  public abstract void setUnJourDiffereConsomme(boolean paramBoolean);
  
  public abstract FaitGenerateurSpec getFaitGenerateur();
  
  public abstract Damj getDateFaitGenerateur();
  
  public abstract Quantite getDureeIndemnisationTheorique();
  
  public abstract Quantite getDureeTheorique();
  
  public abstract Quantite getDureeIndemnisationInitiale();
  
  public abstract List getListeDurees();
  
  public abstract ElementBaseIndemnisation getElementBaseIndemnisation();
  
  public abstract void supprimerCacheElementBaseIndemnisation();
  
  public abstract ElementBaseActiviteReduite getElementBaseActiviteReduite();
  
  public abstract FormuleMontantSpec getFormuleMontant(String paramString);
  
  public abstract void setTopRenoncement(boolean paramBoolean);
  
  public abstract Damj getTermePrcActiviteConservee();
  
  public abstract int getNbJoursActiviteCourrierASS();
  
  public abstract void setNbJoursActiviteCourrierASS(int paramInt);
  
  /**
   * @deprecated
   */
  public abstract AttributionSpec getAttributionMaitre();
  
  public abstract Collection getListeCarences();
  
  public abstract Quantite getDureeInitiale();
  
  public abstract boolean isCapitalRetenuCourant();
  
  public abstract boolean estDemandeSuiteExamenFilEau();
  
  public abstract boolean estDemandeSuiteFinDeDroit();
  
  public abstract MontantAsuSpec getMontantRecalcule(Damj paramDamj)
    throws CoucheLogiqueException;
  
  public abstract boolean isTopContratsRemuneresBaseSmic();
  
  public abstract ProduitAsuSpec getProduitMontantRetenu();
  
  public abstract boolean estDemandeExpresse();
  
  public abstract DemandeSpec getDemandeSuivantePourTraitementReliquat();
  
  public abstract void setDemandeSuivantePourTraitementReliquat(DemandeSpec paramDemandeSpec);
  
  public abstract Damj getPremierJourIndemnisable();
  
  public abstract Quantite getDureeIndemnisationEffective();
  
  public abstract boolean estPresenceDiffere();
  
  /**
   * @deprecated
   */
  public abstract AttributionAssuranceSpec getAttributionOrigine();
  
  public abstract Damj getDateFaitGenerateurDroit();
  
  public abstract MaintienEuropeen getMaintienEuropeen();
  
  public abstract AttributionAssuranceSpec getAttributionFinancement();
  
  public abstract int getBassinEmploi();
  
  public abstract BigDecimal getCumulMoisActiviteReduite();
  
  public abstract BigDecimal getNbJoursIccp();
  
  public abstract BigDecimal getSeuilMensuelPansConservees();
  
  public abstract DemandeSpec getDemandeMontantRetenu();
  
  public abstract ConventionGestionSpec getConventionGestion();
  
  public abstract int getTypeMontantRetenu();
  
  public abstract int getTypeCapitalRetenu();
  
  public abstract OdAssuranceSpec getOuvertureDroitCapitalRetenu();
  
  public abstract Collection getListePensionInvalidite();
  
  public abstract boolean notifierEESSI();
  
  public abstract Quantite getMontantJournalierBrut();
  
  public abstract DemandeMaintien getDemandeMaintien();
  
  public abstract SalaireJournalierSpec getSalaireJournalierInitial();
  
  public abstract SalaireJournalierSpec getSalaireJournalierConserve();
  
  public abstract Boolean estAvecPrecompteCRC();
  
  public abstract BigDecimal getCoefficientSaisonnier();
  
  public abstract int getNatureCoefficientSaisonnier();
  
  public abstract boolean a3ansActiviteEn5ans();
  
  public abstract BigDecimal getCoefficientTempsPartiel();
  
  public abstract boolean estSjrBaseSmic();
  
  public abstract int getCategorieEmploiA2B();
  
  public abstract Quantite getMontantPreavis();
  
  public abstract Quantite getCapitalAServir();
  
  public abstract ReglementApplicableSpec getReglementApplicableMontantRetenu();
  
  public abstract void viderCacheElementsChomageSansRupture();
  
  public abstract ResultatAvant determinationEtatACT()
    throws CoucheLogiqueException;
  
  public abstract ReglementApplicableSpec getConstitutionReglementApplicable();
  
  public abstract Damj getDateDebutDelaiDecheance();
  
  public abstract Quantite getDureeTheoriquePourDelaiDecheance();
  
  public abstract AttributionAssuranceSpec getAttributionAssociee();
}

/* Location:
 * Qualified Name:     AttributionAssuranceSpec
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */