package fr.unedic.cali.asu.dom;

import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;

public abstract interface CompetenceSpec
  extends ObjetPersistantSpec
{
  public static final int COMPETENCE_NON_RENSEIGNEE = 0;
  public static final int COMPETENCE_ASSEDIC = 1;
  public static final int COMPETENCE_SECTEUR_PUBLIC = 2;
  public static final String LIB_COMPETENCE_ASSEDIC = "Assurance Chômage";
  public static final String LIB_COMPETENCE_SECTEUR_PUBLIC = "Secteur public";
  
  public abstract int getCompetenceFinanciere();
  
  public abstract int getCompetenceAdministrative();
  
  public abstract int getCompetenceFinanciereDroitCourant();
  
  public abstract int getCompetenceAdministrativeDroitCourant();
  
  public abstract void setCompetenceAdministrative(int paramInt);
  
  public abstract void setCompetenceFinanciere(int paramInt);
  
  public abstract void setCompetenceAdministrativeDroitCourant(int paramInt);
  
  public abstract void setCompetenceFinanciereDroitCourant(int paramInt);
  
  public abstract String getLibelleEmployeurCompetent();
  
  public abstract String getNumeroConventionGestion();
  
  public abstract int getDureeActiviteSecteurPrive();
  
  public abstract int getDureeActiviteSecteurPriveCaCae();
  
  public abstract int getDureeActiviteSecteurPublicAffilie();
  
  public abstract int getDureeActiviteSecteurPublicAutoAssurance();
  
  public abstract int getDureeActiviteSecteurPublicConventionGestion();
  
  public abstract boolean estCompetenceFinanciereSecteurPublic();
  
  public abstract boolean estCompetenceAdministrativeSecteurPublic();
  
  public abstract String donnerLibelleCompetence(int paramInt);
  
  public abstract String getIdentifiantEmployeurCompetent();
  
  public abstract int getChargeIndemnisationDroitCourant();
  
  public abstract ChronologiePeriodes getChronoPeriodesActiviteSecteurPublicRetenues();
  
  public abstract void setChronoPeriodesActiviteSecteurPublicRetenues(ChronologiePeriodes paramChronologiePeriodes);
  
  public abstract ChronologiePeriodes getChronoPeriodesActiviteSecteurPriveRetenues();
  
  public abstract void setChronoPeriodesActiviteSecteurPriveRetenues(ChronologiePeriodes paramChronologiePeriodes);
  
  public abstract void setIdentifiantEmployeurCompetent(String paramString);
  
  public abstract void setLibelleEmployeurCompetent(String paramString);
  
  public abstract void setNumeroConventionGestion(String paramString);
  
  public abstract void setSignataireConvention(String paramString);
  
  public abstract String getSignataireConvention();
  
  public abstract boolean isPrecompteCrc();
  
  public abstract void setPrecompteCrc(boolean paramBoolean);
  
  public abstract void setApplicationDesAides(String paramString);
  
  public abstract String getApplicationDesAides();
  
  public abstract void setCodeAffectationConvention(String paramString);
  
  public abstract String getCodeAffectationConvention();
  
  public abstract void setLibelleAffectationConventionGestion(String paramString);
  
  public abstract String getLibelleAffectationConventionGestion();
  
  public abstract Damj getFinValiditeConventionGestion();
  
  public abstract void setFinValiditeConventionGestion(Damj paramDamj);
  
  public abstract Damj getDebutValiditeConventionGestion();
  
  public abstract void setDebutValiditeConventionGestion(Damj paramDamj);
  
  public abstract ConventionGestionSpec getConventionGestion();
  
  public abstract boolean isEstAideArce();
  
  public abstract void setEstAideArce(boolean paramBoolean);
  
  public abstract boolean isEstAideAdr();
  
  public abstract void setEstAideAdr(boolean paramBoolean);
  
  public abstract boolean isEstAideCongeNonPaye();
  
  public abstract void setEstAideCongeNonPaye(boolean paramBoolean);
  
  public abstract void setEstAideFinDroit(boolean paramBoolean);
  
  public abstract boolean isEstAideFinDroit();
  
  public abstract boolean isEstAideAllocationDeces();
  
  public abstract void setEstAideAllocationDeces(boolean paramBoolean);
  
  public abstract String getIdExterneEmployeurSp();
  
  public abstract void setIdExterneEmployeurSp(String paramString);
  
  public abstract boolean estIdExterneObligatoire();
  
  public abstract void setIdExterneObligatoire(boolean paramBoolean);
  
  public abstract String getIdFctEmployeurCompetent();
  
  public abstract void setIdFctEmployeurCompetent(String paramString);
  
  public abstract String getBouchonnageAppelCaro();
  
  public abstract void setBouchonnageAppelCaro(String paramString);
  
  public abstract Damj getDateDepotDemande();
  
  public abstract void setDateDepotDemande(Damj paramDamj);
  
  public abstract void setChargeIndemnisationDroitCourant(int paramInt);
  
  public abstract void setActivitesParticipantes(ChronologiePeriodes paramChronologiePeriodes);
  
  public abstract ChronologiePeriodes getActivitesParticipantes();
  
  public abstract boolean isEstCoeffTPAppliqueRAC();
  
  public abstract boolean isEstCoeffTPAppliqueSP();
}

/* Location:
 * Qualified Name:     CompetenceSpec
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */