package fr.unedic.cali.asu.dom;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.Hashtable;

public abstract interface DemandeAssuranceSpec
  extends DemandeSpec
{
  public abstract Damj getDateFaitGenerateurOdPrecedente();
  
  public abstract OdSpec getOdAcquise();
  
  public abstract void setDonneesSortieNPDE(DonneesSortieNPDE paramDonneesSortieNPDE);
  
  public abstract DonneesSortieNPDE getDonneesSortieNPDE();
  
  public abstract void setDonneesTemporaires(DonneesTemporaires paramDonneesTemporaires);
  
  public abstract void setDonneesDAL(DonneesDAL paramDonneesDAL);
  
  public abstract DonneesTemporaires getDonneesTemporaires();
  
  public abstract DonneesDAL getDonneesDAL();
  
  public abstract ObjectifExamen creerObjectifExamen(int paramInt, ProduitAsuSpec paramProduitAsuSpec);
  
  public abstract void ajouterObjectifExamen(ObjectifExamen paramObjectifExamen);
  
  public abstract Collection getListeObjectifsExamen();
  
  public abstract ObjectifExamen getObjectifSatisfait();
  
  public abstract ObjectifExamen getObjectifDecisionne();
  
  public abstract ObjectifExamen getObjectifCourant();
  
  public abstract void setObjectifCourant(ObjectifExamen paramObjectifExamen);
  
  public abstract DossierAffectation getDossierAffectationAdmission();
  
  public abstract void setDossierAffectationAdmission(DossierAffectation paramDossierAffectation);
  
  public abstract DossierAffectation getDossierAffectationReprise();
  
  public abstract void setDossierAffectationReprise(DossierAffectation paramDossierAffectation);
  
  public abstract DossierAffectationSpec getDossierAffectation();
  
  public abstract void setDossierAffectation(DossierAffectationSpec paramDossierAffectationSpec);
  
  public abstract DossierExamenSpec getDossierExamen();
  
  public abstract void setDossierExamen(DossierExamenSpec paramDossierExamenSpec);
  
  public abstract void setDemandeExpresse(boolean paramBoolean);
  
  public abstract FaitGenerateurSpec getFaitGenerateur();
  
  public abstract EvenementReferenceExamenSpec getEvenementReferenceExamen();
  
  public abstract void setEvenementReferenceExamen(EvenementReferenceExamenSpec paramEvenementReferenceExamenSpec);
  
  public abstract FormulaireSpec getFormulaire();
  
  public abstract ElementJustification getElementJustification();
  
  public abstract void setElementJustification(ElementJustification paramElementJustification);
  
  public abstract boolean estEnContexteDroitAnterieurSecteurPublic();
  
  public abstract boolean estEnContexteDroitAnterieurSecteurPublicValide();
  
  public abstract boolean estClasseeEnCompetenceSecteurPublic();
  
  public abstract Hashtable getAlertesNonBloquantes();
  
  public abstract void setAlertesNonBloquantes(Hashtable paramHashtable);
  
  public abstract void setDroitOptionReadmission(boolean paramBoolean);
  
  public abstract boolean estDroitOptionReadmission();
  
  public abstract void setDroitOptionReprise(boolean paramBoolean);
  
  public abstract boolean estDroitOptionReprise();
  
  public abstract void setDroitOptionASS(boolean paramBoolean);
  
  public abstract boolean estDroitOptionASS();
  
  public abstract boolean estLiquideeAvecDroitOptionReprise();
  
  public abstract void setLiquideeAvecDroitOptionReprise(boolean paramBoolean);
  
  public abstract String getIdDecorDepuisPN();
  
  public abstract void setIdDecorDepuisPN(String paramString);
  
  public abstract DemandeMaintien getDemandeMaintien();
  
  public abstract boolean estMaintenue();
  
  public abstract boolean estExamenSuiteRejetDV();
  
  public abstract Demande getDemandeOrigine();
  
  public abstract void setDemandeOrigine(DemandeAssuranceSpec paramDemandeAssuranceSpec);
  
  public abstract Chronologie getChronologiePNDS(Periode paramPeriode)
    throws ApplicativeException;
  
  public abstract String getCommentaire();
  
  public abstract void setCommentaire(String paramString);
  
  public abstract boolean estUneDemandeV2();
  
  public abstract boolean estUneDemandeAps();
  
  public abstract boolean estUneDemandeAtAfd();
  
  public abstract boolean estUneDemandeAreEfe();
  
  public abstract boolean estUneDemandeApsFdd();
  
  public abstract boolean estUneDemandeApsIde();
  
  public abstract boolean estUneDemandeEfe();
  
  public abstract boolean estUneDemandeAreFdd();
  
  public abstract boolean estUneDemandeAre();
  
  public abstract boolean estUneDemandeAreIde();
  
  public abstract boolean estUneDemandeAreSpe();
  
  public abstract boolean estUnContexteDeRepriseSansFCT();
  
  public abstract AttributionAssuranceSpec getAttribution();
  
  public abstract boolean estUneDemandeAfdFdd();
  
  public abstract boolean estUneDemandeAsr();
  
  public abstract boolean estUneDemandeFinDroitAsr();
  
  public abstract boolean estUneDemandeAtp();
  
  public abstract boolean estUneDemandeAtpBasculeCrp();
  
  public abstract boolean estUneDemandeFinDroitAtp();
  
  public abstract boolean estUneDemandeFinancement();
  
  public abstract boolean estUneDemandeAntecedentFinDroitSp();
  
  public abstract boolean estUneDemandeAsp();
  
  public abstract boolean estUneDemandeFinDroitAsp();
  
  public abstract boolean estUneDemandeFinDroit();
  
  public abstract boolean estDemandeSuiteFinDeDroit();
  
  public abstract boolean estUneDemandeFinDroitCasGeneral();
  
  public abstract void setAttributionPrecedenteDuMemeType(AttributionAssuranceSpec paramAttributionAssuranceSpec);
  
  public abstract void setOuvertureDroitPrecedenteDuMemeType(OdAssuranceSpec paramOdAssuranceSpec);
  
  public abstract AttributionAssuranceSpec rechercherAttributionPrecedenteDuMemeType();
  
  public abstract OdAssuranceSpec rechercherOuvertureDroitPrecedenteDuMemeType();
  
  public abstract String getRefusPropositionFNE();
  
  public abstract String getTopContribution();
  
  public abstract Boolean estTopPropositionPAP();
  
  public abstract void ajouterContexteDemande(ContexteDemande paramContexteDemande);
  
  public abstract void ajouterBlocageLiquidation(String paramString);
  
  public abstract boolean contientBlocageLiquidation(String paramString);
  
  public abstract void reinitialiserBlocageLiquidation();
  
  public abstract boolean getModeSimulation();
  
  public abstract void setModeSimulation(boolean paramBoolean);
}

/* Location:
 * Qualified Name:     DemandeAssuranceSpec
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */