package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.ElementZoneMemeExerciceGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ElementZoneMemeExercice
  extends ElementZoneMemeExerciceGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = -2068428787346955209L;
  
  public ElementZoneMemeExercice() {}
  
  public ElementZoneMemeExercice(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    ElementZoneMemeExercice copie = new ElementZoneMemeExercice();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ElementZoneMemeExercice copie = (ElementZoneMemeExercice)p_copie;
    copie.setAffiliationAssimilee(getAffiliationAssimilee());
    copie.setAffiliationSupplementaire(getAffiliationSupplementaire());
    copie.setPeriodeElementaire(getPeriodeElementaire());
    copie.setQuantiteAffiliation(getQuantiteAffiliation());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getPeriodeElementaire());
    DomManager.persisterEnProfondeur(super.getAffiliationSupplementaire());
    DomManager.persisterEnProfondeur(super.getAffiliationAssimilee());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void setPeriodeAffiliation(PeriodeAffiliationSpec p_periodeAffiliation)
  {
    if (1 == p_periodeAffiliation.getNature()) {
      setPeriodeElementaire((PeriodeElementaire)p_periodeAffiliation);
    } else if (2 == p_periodeAffiliation.getNature()) {
      setAffiliationSupplementaire((AffiliationSupplementaire)p_periodeAffiliation);
    } else if (3 == p_periodeAffiliation.getNature()) {
      setAffiliationAssimilee((AffiliationAssimilee)p_periodeAffiliation);
    }
  }
  
  public PeriodeAffiliationSpec getPeriodeAffiliation()
  {
    if (getPeriodeElementaire() != null) {
      return getPeriodeElementaire();
    }
    if (getAffiliationSupplementaire() != null) {
      return getAffiliationSupplementaire();
    }
    if (getAffiliationAssimilee() != null) {
      return getAffiliationAssimilee();
    }
    return null;
  }
  
  public void setPeriodeElementaire(PeriodeElementaire periodeElementaire)
  {
    DomManager.supprimer(super.getPeriodeElementaire(), periodeElementaire);
    super.setPeriodeElementaire(periodeElementaire);
  }
  
  public void setAffiliationSupplementaire(AffiliationSupplementaire affiliationSupplementaire)
  {
    DomManager.supprimer(super.getAffiliationSupplementaire(), affiliationSupplementaire);
    super.setAffiliationSupplementaire(affiliationSupplementaire);
  }
  
  public void setAffiliationAssimilee(AffiliationAssimilee affiliationAssimilee)
  {
    DomManager.supprimer(super.getAffiliationAssimilee(), affiliationAssimilee);
    super.setAffiliationAssimilee(affiliationAssimilee);
  }
}

/* Location:
 * Qualified Name:     ElementZoneMemeExercice
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */