package fr.unedic.cali.asu.dom;

import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.util.ObjetMetierSpec;

public class TraitementReliquat
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = -5219137353661905671L;
  private transient Reliquat m_reliquat;
  
  private TraitementReliquat() {}
  
  protected TraitementReliquat(Reliquat p_reliquat)
  {
    m_reliquat = p_reliquat;
  }
  
  public Reliquat getReliquat()
  {
    return m_reliquat;
  }
  
  private void setReliquat(Reliquat p_reliquat)
  {
    m_reliquat = p_reliquat;
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(m_reliquat);
  }
  
  public void jdoPreStore() {}
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    TraitementReliquat copie = (TraitementReliquat)p_copie;
    
    copie.setReliquat(getReliquat() != null ? (Reliquat)getReliquat().copie() : null);
  }
}

/* Location:
 * Qualified Name:     TraitementReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */