package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.ZoneMemeExerciceGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class ZoneMemeExercice
  extends ZoneMemeExerciceGen
  implements ObjetPersistantSpec, Comparable
{
  private static final long serialVersionUID = 1101074503215590033L;
  private Map m_quantiteAffiliationRegroupees;
  private Quantite m_quantiteTotalUniteTypeHeure;
  private Quantite m_quantiteTotalUniteTypeJour;
  
  public ZoneMemeExercice()
  {
    m_quantiteAffiliationRegroupees = new HashMap();
  }
  
  public ZoneMemeExercice(DomPCSpec p_pc)
  {
    super(p_pc);
    m_quantiteAffiliationRegroupees = new HashMap();
  }
  
  public ObjetMetierSpec copie()
  {
    ZoneMemeExercice copie = new ZoneMemeExercice();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ZoneMemeExercice copie = (ZoneMemeExercice)p_copie;
    copie.setPeriodeZomeMemeExercice(getPeriodeZomeMemeExercice());
    copie.setQuantiteAffiliationRetenue(getQuantiteAffiliationRetenue());
    copie.setQuantiteAssimilationRetenue(getQuantiteAssimilationRetenue());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getCollectionElementZoneMemeExercice());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void ajouterQuantiteAffiliationRegroupee(Quantite p_quantite)
  {
    m_quantiteAffiliationRegroupees.put(p_quantite.getUnite(), p_quantite);
  }
  
  public Quantite getQuantiteAffiliationRegroupee(Unite p_unite)
  {
    return (Quantite)m_quantiteAffiliationRegroupees.get(p_unite);
  }
  
  public Collection getListQuantiteAffiliationRegroupee()
  {
    return m_quantiteAffiliationRegroupees.values();
  }
  
  public Quantite getQuantiteTotalUniteTypeHeure()
  {
    return m_quantiteTotalUniteTypeHeure;
  }
  
  public void setQuantiteTotalUniteTypeHeure(Quantite p_quantiteTotalUniteTypeHeure)
  {
    m_quantiteTotalUniteTypeHeure = p_quantiteTotalUniteTypeHeure;
  }
  
  public Quantite getQuantiteTotalUniteTypeJour()
  {
    return m_quantiteTotalUniteTypeJour;
  }
  
  public void setQuantiteTotalUniteTypeJour(Quantite p_quantiteTotalUniteTypeJour)
  {
    m_quantiteTotalUniteTypeJour = p_quantiteTotalUniteTypeJour;
  }
  
  public int compareTo(Object p_o)
  {
    Periode periodeA = getPeriodeZomeMemeExercice();
    Periode periodeB = ((ZoneMemeExercice)p_o).getPeriodeZomeMemeExercice();
    
    return periodeA.compareTo(periodeB);
  }
  
  public void remplacerCollectionElementZoneMemeExercice(Collection collectionACopier)
  {
    for (Iterator iter = super.getCollectionElementZoneMemeExercice().iterator(); iter.hasNext();)
    {
      ElementZoneMemeExercice element = (ElementZoneMemeExercice)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionElementZoneMemeExercice(collectionACopier);
  }
}

/* Location:
 * Qualified Name:     ZoneMemeExercice
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */