package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class DonneesDALGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_demandePC;
  
  public DonneesDALGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public DonneesDALGen() {}
  
  public DomPCSpec getPC()
  {
    return m_demandePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_demandePC)
  {
    m_demandePC = p_demandePC;
  }
  
  protected int rawGetCategorieParticuliere()
  {
    return ((DemandePC)getPC()).getCategorieParticuliereDonneesDal();
  }
  
  public int getCategorieParticuliere()
  {
    return ((DemandePC)getPC()).getCategorieParticuliereDonneesDal();
  }
  
  public void setCategorieParticuliere(int p_categorieParticuliere)
  {
    ((DemandePC)getPC()).setCategorieParticuliereDonneesDal(p_categorieParticuliere);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setCategorieParticuliere(0);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     DonneesDALGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */