package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class DonneesDemandeAssocieeGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_demandePC;
  private Demande m_demandeAssociee;
  
  public DonneesDemandeAssocieeGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public DonneesDemandeAssocieeGen() {}
  
  public DomPCSpec getPC()
  {
    return m_demandePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_demandePC)
  {
    m_demandePC = p_demandePC;
  }
  
  public Demande getDemandeAssociee()
  {
    if (m_demandeAssociee == null)
    {
      DomPCSpec demandeAssocieePC = ((DemandePC)getPC()).getDemandeAssociee();
      if (demandeAssocieePC != null) {
        m_demandeAssociee = ((Demande)demandeAssocieePC.createOM());
      }
    }
    return m_demandeAssociee;
  }
  
  public void setDemandeAssociee(Demande p_demandeAssociee)
  {
    if (p_demandeAssociee == null)
    {
      ((DemandePC)getPC()).setDemandeAssociee(null);
      m_demandeAssociee = p_demandeAssociee;
    }
    else if (!p_demandeAssociee.equals(m_demandeAssociee))
    {
      ((DemandePC)getPC()).setDemandeAssociee(p_demandeAssociee.getPC());
      m_demandeAssociee = p_demandeAssociee;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getDemandeAssociee() != null)
    {
      DomManager.supprimer(getDemandeAssociee());
      setDemandeAssociee(null);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     DonneesDemandeAssocieeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */