package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.pc.DossierAffectePC;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class DossierAffecteGen
  extends DossierAffectation
  implements DomGenSpec
{
  private DossierExamenSpec m_dossierExamen = null;
  
  public DossierAffecteGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DossierAffecteGen() {}
  
  public DossierAffecteGen(int p_typeDossier)
  {
    super(p_typeDossier);
  }
  
  protected DomPCSpec createPC()
  {
    return new DossierAffectePC();
  }
  
  public DossierExamenSpec getDossierExamen()
  {
    if (m_dossierExamen == null)
    {
      DomPCSpec dossierExamenPC = ((DossierAffectePC)getPC()).getDossierExamen();
      if (dossierExamenPC != null) {
        m_dossierExamen = ((DossierExamenSpec)dossierExamenPC.createOM());
      }
    }
    return m_dossierExamen;
  }
  
  public void setDossierExamen(DossierExamenSpec p_dossierExamen)
  {
    if (p_dossierExamen == null)
    {
      ((DossierAffectePC)getPC()).setDossierExamen(null);
      m_dossierExamen = p_dossierExamen;
    }
    else if (!p_dossierExamen.equals(m_dossierExamen))
    {
      ((DossierAffectePC)getPC()).setDossierExamen(((DomGenSpec)p_dossierExamen).getPC());
      m_dossierExamen = p_dossierExamen;
    }
  }
  
  protected int rawGetCodeProduitForce()
  {
    return ((DossierAffectePC)getPC()).getCodeProduitForce();
  }
  
  public int getCodeProduitForce()
  {
    return ((DossierAffectePC)getPC()).getCodeProduitForce();
  }
  
  public void setCodeProduitForce(int p_codeProduitForce)
  {
    ((DossierAffectePC)getPC()).setCodeProduitForce(p_codeProduitForce);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object dossierExamen = getDossierExamen();
    if ((dossierExamen != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(dossierExamen))) {
      DomManager.supprimer(getDossierExamen(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DossierAffecteGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */