package fr.unedic.cali.asu.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.pc.ClassementAdministratifPC;
import fr.unedic.cali.dom.pc.DemandeAbstraitePC;
import fr.unedic.cali.dom.pc.EntretienPC;
import fr.unedic.cali.dom.pivot.pc.DemandePivotPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUserException;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.StateManager;

public class DemandePC
  extends DemandeAbstraitePC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesReliquat;
  protected boolean m_presenceDonneesDonneesDAL;
  protected boolean m_presenceDonneesElementJustification;
  protected boolean m_presenceDonneesDemandeAssociee;
  private boolean m_presenceDonneesTypeContexte;
  private transient Demande m_demandeOM;
  protected String m_motifReexamenPrincipalDemande;
  protected boolean m_demandeExpresseDemande;
  protected boolean m_liquideeAvecConflitsDemande;
  protected int m_estMigreeDemande;
  protected boolean m_estDeneutralisable;
  protected boolean m_estNeutraliseeLiquidationDemande;
  protected boolean m_estNeutraliseeCalculDemande;
  protected boolean m_estLiquidableDemande;
  protected DemandePivotPC m_demandePivotDemande;
  protected Damj m_datePremiereValidationDemande;
  protected Damj m_dateDerniereValidationDemande;
  protected Damj m_dateDerniereNotificationDemande;
  protected DemandePC m_demandeOrigineDemande;
  protected DossierAffectationPC m_dossierAffectationAdmissionDemande;
  protected DossierAffectationPC m_dossierAffectationRepriseDemande;
  protected ClassementAdministratifPC m_classementAdministratifDemande;
  protected EvenementReferenceExamenSpec m_evenementReferenceExamen;
  protected String m_commentaire;
  protected Damj m_termePrcDonneesTemporaire;
  protected DureeCalendaire m_allongementDelaiDecheanceDonneesTemporaire;
  protected DureeCalendaire m_allongementDelaiForclusionDonneesTemporaire;
  protected boolean m_inopposabiliteDelaiDecheanceDonneesTemporaire;
  protected BigDecimal m_coefficientSaisonnierDonneesTemporaire;
  protected BigDecimal m_coefficientTempsPartielDonneesTemporaire;
  protected Quantite m_sjcDonneesTemporaire;
  protected Quantite m_sjrDonneesTemporaire;
  protected boolean m_canAvecCentVingtTrimestresDonneesTemporaire;
  protected boolean m_caractereSaisonnierForceDonneesTemporaire;
  protected boolean m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire;
  protected boolean m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire;
  protected boolean m_pensionRaccordementDonneesTemporaire;
  protected int m_typeCaractereSaisonnierForceDonneesTemporaire;
  protected Quantite m_capitalReliquatSecteurPublicDonneesTemporaire;
  protected Damj m_dateDebutPIDonneesTemporaire;
  protected Damj m_dateFinPIDonneesTemporaire;
  protected String m_identifiantPeriodeFctARetenirDonneesTemporaire;
  protected Quantite m_quantiteAffiliationDonneesTemporaire;
  protected Damj m_dateAttributionDroitAnterieurSpDonneesTemporaire;
  protected Damj m_dateFgDroitAnterieurSpDonneesTemporaire;
  protected int m_dureeInitialeDroitAnterieurSpDonneesTemporaire;
  protected short m_avisCommissionParitaireDonneesTemporaire;
  protected BigDecimal m_montantAideDonneesTemporaire;
  protected int m_natureMontantAideDonneesTemporaire;
  protected QuantiteJour m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire;
  protected BigDecimal m_coefficientSaisonnierSpDonneesTemporaire;
  protected BigDecimal m_coefficientTempsPartielSpDonneesTemporaire;
  protected Quantite m_sjrSPDonneesTemporaire;
  protected Damj m_termePrcSpDonneesTemporaire;
  protected boolean m_conditionCumulActiviteConserveeRemplieDonneesTemporaire;
  protected Damj m_finPmcDonneesTemporaire;
  protected String m_indentifiantFctPMCDonneesTemporaire;
  protected boolean m_pmcIndemnisableDonneesTemporaire;
  protected boolean m_accordPoursuite182JoursChomageTotalSansRupture;
  protected Damj m_dateAttributionCPChomageTotalSansRupture;
  protected Damj m_dateChomageTotalSansRupture;
  protected Damj m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
  protected boolean m_avisFavorableCPChomageTotalSansRupture;
  protected boolean m_decisionCPRenseigneeChomageTotalSansRupture;
  protected boolean m_leveeCondition28JoursChomageTotalSansRupture;
  protected boolean m_sinistreOuCalamiteNaturelleChomageTotalSansRupture;
  protected Damj m_nouvelleDateAttributionChomageTotalSansRupture;
  protected String m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
  protected QuantiteJour m_quantiteJoursDiffereChomageTotalSansRupture;
  protected Quantite m_sjrPerteActConserveeDonneesTemporaire;
  protected Quantite m_sjcPerteActConserveeDonneesTemporaire;
  protected BigDecimal m_coefficientTempsPartielActConserveeDonneesTemporaire;
  protected String m_identifiantPeriodeActiviteConserveePerdue;
  protected boolean m_estPrimoDemandeurA3A4A5;
  protected boolean m_primoDemandeurA3A4A5Renseignee;
  protected int m_typeCoordinationEuropeenne;
  protected BigDecimal m_nbJourImputer;
  protected String m_reglementApplicableSpectacleDonneesTemporaire;
  protected Integer m_rangAllongementPraSpectacleDonneesTemporaire;
  protected QuantiteEuro m_sripSpectacleDonneesTemporaire;
  protected QuantiteEuro m_totalRemunerationDansPRCDonneesTemporaire;
  protected Quantite m_nbHeuresTravailEtenduSpectacleDonneesTemporaire;
  protected Quantite m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire;
  protected Quantite m_nbJourContratSurPraSpectacleDonneesTemporaire;
  protected boolean m_saisieCasGeneralDonneesTemporaire;
  protected boolean m_saisieCasSpectacleDonneesTemporaire;
  protected int m_idPecSigmaFormulaireAsu;
  protected String m_referenceExterneFormulaireAsu;
  protected String m_typeExamenFormulaireAsu;
  protected Damj m_dateEvenementFormulaireAsu;
  protected Quantite m_quantiteReliquatReliquat;
  protected Quantite m_quantiteFormationReliquat;
  protected Quantite m_quantiteAideReliquat;
  protected boolean m_reliquatValideReliquat;
  protected int m_cumulMoisActiviteReduiteReliquat;
  protected Quantite m_quantiteReliquatRenouvellementReliquat;
  protected int m_categorieParticuliereDonneesDal;
  protected Periode m_prsRepriseContextuelleElementJustification;
  protected boolean m_leveePmcDonneesTemporaires;
  protected boolean m_aBeneficeDroitAt12MoisDonneesTemporaires;
  protected Integer m_dureeAncienneteIntermittantSpectacleDonneesTemporaires;
  protected boolean m_estDemandeAtDonneesTemporaires;
  protected boolean m_estDemandeAfdDonneesTemporaires;
  protected int m_comportmentDemandeMigree;
  protected Damj m_dateFinDroitSpecNonMigre;
  protected boolean m_saisieCasExpatriesDonneesTemporaire;
  protected boolean m_rejetChomageVolontaireGARP;
  protected QuantiteJour m_quantiteJourICCP;
  protected QuantiteJour m_quantiteJourISLR;
  protected String m_identifiantFCTCarenceExpatries;
  protected BigDecimal m_nbJourImputationDroitPrecedent;
  protected int m_topPremiereODARE;
  private BigDecimal m_montantContributionPourNonCTP;
  private Damj m_dateAttributionAide;
  protected boolean m_estRetenirActSectPrive;
  protected int m_motifExamen;
  protected Damj m_dateFinEvenement;
  private Quantite m_quantiteJourImputationDonneesForceesReliquat;
  protected boolean m_leverBornageDureeEffectiveRetraite;
  protected Damj m_dateEffetActConserveeDonneesTemporaire;
  protected Damj m_dateAnnulationReexamen;
  protected String m_modeLiquidation;
  protected String m_typeContexteDemandeDonneesTemporaires;
  protected Damj m_dateFinPreavisLegal;
  protected BigDecimal m_dureeFinancement;
  protected String m_typeContexteDemande;
  public DemandePC m_demandeAssociee;
  protected boolean m_saisieCasFinancementDonneesTemporaire;
  protected EntretienPC m_entretien;
  protected boolean m_fctDansLesDeuxMoisAvantFddAre;
  protected String m_sousTypeContexteDemande;
  protected Damj m_dateDebutJustifContexte;
  protected Damj m_dateFinJustifContexte;
  private SaisieAntecedentPC m_saisieAntecedent;
  protected String m_etatForcageDelaiAttente;
  private String m_numeroConventionPE;
  private String m_codeAffectationConvention;
  private boolean m_estDerogationCspDonneesTemporaire;
  private boolean m_estSalarieHandicapeChomageTotalSansRupture;
  private BigDecimal m_dureeImputationSP;
  private Damj m_djiSpFinDroit;
  private String m_idExterneEmployeurSp;
  protected boolean m_estLeveeControlePANSSuiteARCEDonneesTemporaires;
  private boolean m_estLeveeConditionACMemeEmployeur;
  private BigDecimal m_nbjImputationDroitAServir;
  private int m_motifNbJourImputationDroitAServir;
  private int m_motifNbJourImputationDroitCourant;
  private int m_motifNbJourImputationDroitPrecedent;
  private int m_motifMontantImputationDroitAServir;
  private BigDecimal m_montantImputationDroitAServir;
  private boolean m_estIgnorerAttribPrecCSR;
  private boolean m_estPCRCForceDroitCourant;
  private boolean m_estPCRCForceDroitPrecedent;
  private Damj m_dateDepartICCP;
  private boolean m_estDemarcheReintegrationEffectuee;
  protected Quantite m_dureeTheoriqueForcee;
  protected Damj m_dateExamenForcee;
  protected Damj m_dateAttributionForcee;
  protected Boolean m_delaiAttenteForce;
  protected boolean m_conditionChomageInvolontaireSatistaite;
  protected boolean m_droitOptionForce;
  protected Damj m_djiDroitSpContexteRechargement;
  protected Damj m_fgdDroitSpContexteRechargement;
  protected boolean m_repriseForceeSurDemandeExpresse;
  protected BigDecimal m_montantJournalierReliquat;
  private BigDecimal m_capitalReliquat;
  private boolean m_estNonExecutable;
  private Boolean m_estDesactivationPnds;
  private Quantite m_dureePostPrime;
  private Damj m_dateFinDispositifCSP;
  private String m_motifEchecTraitement;
  private String m_modeTraitementDemande;
  private BigDecimal m_dureeImputation;
  private BigDecimal m_nbJoursAllongement;
  private Damj m_dateLimiteIndemnisationDonneeForcee;
  private Damj m_dateTraitementDemande;
  private boolean m_reliquatSecteurPublicEteintDonneesComplementaires;
  private boolean m_reliquatSecteurPublicPrescritRejete;
  private boolean m_leveeConditionCLCA;
  private String m_identifiantObjetMetier;
  private Boolean m_conditionAffiliationSatisfaiteForcee;
  private Boolean m_conditionAncienneteSatisfaiteForcee;
  private Damj m_dateFinPeriodeAncienneteForcee;
  private BigDecimal m_nombreJourTotalA8A10Force;
  private boolean m_estRepriseStockSpectacle2016Faite;
  private boolean m_attenteIncoherenceSalaireLevee;
  private String m_competenceFinanciereDonneesTemporaires;
  private String m_employeurSecteurPublicCompetentDonneesTemporaires;
  private BigDecimal m_montantIndemnitePreavisContribDonneesTemporaires;
  private BigDecimal m_contributionAdhesionVolontaireDonneesTemporaires;
  private BigDecimal m_nombreMoisPreavisDonneesTemporaires;
  private boolean m_presenceDerniersSalairesDonneesTemporaires;
  private boolean m_droitInterimaireDonneesTemporaires;
  private BigDecimal m_diviseurSjrDonneesTemporaires;
  private BigDecimal m_dureeAllongementAREFDonneesTemporaires;
  private int m_reliquatAllongementArefPossibleReliquat;
  private boolean m_rejetConditionChomageInvolontaire;
  private Damj m_dateDepotOrigineFormulaireAsu;
  private Boolean m_leverConditionBeneficeAutreProduit;
  protected Collection m_listeObjectifsExamenDemande;
  protected Collection m_listeMotifsReexamenDemande;
  protected Collection m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire;
  protected Collection m_listePeriodesChomageSaisonnierRepContextuelleElementJustification;
  public Collection m_listePensionInvaliditeDonneeForcee;
  public Collection m_forcageExecutionDemande;
  public Collection m_listeContextes;
  private static int jdoInheritedFieldCount = ;
  private static String[] jdoFieldNames = { "m_presenceDonneesReliquat", "m_presenceDonneesDonneesDAL", "m_presenceDonneesElementJustification", "m_presenceDonneesDemandeAssociee", "m_presenceDonneesTypeContexte", "m_motifReexamenPrincipalDemande", "m_demandeExpresseDemande", "m_liquideeAvecConflitsDemande", "m_estMigreeDemande", "m_estDeneutralisable", "m_estNeutraliseeLiquidationDemande", "m_estNeutraliseeCalculDemande", "m_estLiquidableDemande", "m_demandePivotDemande", "m_datePremiereValidationDemande", "m_dateDerniereValidationDemande", "m_dateDerniereNotificationDemande", "m_demandeOrigineDemande", "m_dossierAffectationAdmissionDemande", "m_dossierAffectationRepriseDemande", "m_classementAdministratifDemande", "m_evenementReferenceExamen", "m_commentaire", "m_termePrcDonneesTemporaire", "m_allongementDelaiDecheanceDonneesTemporaire", "m_allongementDelaiForclusionDonneesTemporaire", "m_inopposabiliteDelaiDecheanceDonneesTemporaire", "m_coefficientSaisonnierDonneesTemporaire", "m_coefficientTempsPartielDonneesTemporaire", "m_sjcDonneesTemporaire", "m_sjrDonneesTemporaire", "m_canAvecCentVingtTrimestresDonneesTemporaire", "m_caractereSaisonnierForceDonneesTemporaire", "m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire", "m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire", "m_pensionRaccordementDonneesTemporaire", "m_typeCaractereSaisonnierForceDonneesTemporaire", "m_capitalReliquatSecteurPublicDonneesTemporaire", "m_dateDebutPIDonneesTemporaire", "m_dateFinPIDonneesTemporaire", "m_identifiantPeriodeFctARetenirDonneesTemporaire", "m_quantiteAffiliationDonneesTemporaire", "m_dateAttributionDroitAnterieurSpDonneesTemporaire", "m_dateFgDroitAnterieurSpDonneesTemporaire", "m_dureeInitialeDroitAnterieurSpDonneesTemporaire", "m_avisCommissionParitaireDonneesTemporaire", "m_montantAideDonneesTemporaire", "m_natureMontantAideDonneesTemporaire", "m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire", "m_coefficientSaisonnierSpDonneesTemporaire", "m_coefficientTempsPartielSpDonneesTemporaire", "m_sjrSPDonneesTemporaire", "m_termePrcSpDonneesTemporaire", "m_conditionCumulActiviteConserveeRemplieDonneesTemporaire", "m_finPmcDonneesTemporaire", "m_indentifiantFctPMCDonneesTemporaire", "m_pmcIndemnisableDonneesTemporaire", "m_accordPoursuite182JoursChomageTotalSansRupture", "m_dateAttributionCPChomageTotalSansRupture", "m_dateChomageTotalSansRupture", "m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture", "m_avisFavorableCPChomageTotalSansRupture", "m_decisionCPRenseigneeChomageTotalSansRupture", "m_leveeCondition28JoursChomageTotalSansRupture", "m_sinistreOuCalamiteNaturelleChomageTotalSansRupture", "m_nouvelleDateAttributionChomageTotalSansRupture", "m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture", "m_quantiteJoursDiffereChomageTotalSansRupture", "m_sjrPerteActConserveeDonneesTemporaire", "m_sjcPerteActConserveeDonneesTemporaire", "m_coefficientTempsPartielActConserveeDonneesTemporaire", "m_identifiantPeriodeActiviteConserveePerdue", "m_estPrimoDemandeurA3A4A5", "m_primoDemandeurA3A4A5Renseignee", "m_typeCoordinationEuropeenne", "m_nbJourImputer", "m_reglementApplicableSpectacleDonneesTemporaire", "m_rangAllongementPraSpectacleDonneesTemporaire", "m_sripSpectacleDonneesTemporaire", "m_totalRemunerationDansPRCDonneesTemporaire", "m_nbHeuresTravailEtenduSpectacleDonneesTemporaire", "m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire", "m_nbJourContratSurPraSpectacleDonneesTemporaire", "m_saisieCasGeneralDonneesTemporaire", "m_saisieCasSpectacleDonneesTemporaire", "m_idPecSigmaFormulaireAsu", "m_referenceExterneFormulaireAsu", "m_typeExamenFormulaireAsu", "m_dateEvenementFormulaireAsu", "m_quantiteReliquatReliquat", "m_quantiteFormationReliquat", "m_quantiteAideReliquat", "m_reliquatValideReliquat", "m_cumulMoisActiviteReduiteReliquat", "m_quantiteReliquatRenouvellementReliquat", "m_categorieParticuliereDonneesDal", "m_prsRepriseContextuelleElementJustification", "m_leveePmcDonneesTemporaires", "m_aBeneficeDroitAt12MoisDonneesTemporaires", "m_dureeAncienneteIntermittantSpectacleDonneesTemporaires", "m_estDemandeAtDonneesTemporaires", "m_estDemandeAfdDonneesTemporaires", "m_comportmentDemandeMigree", "m_dateFinDroitSpecNonMigre", "m_saisieCasExpatriesDonneesTemporaire", "m_rejetChomageVolontaireGARP", "m_quantiteJourICCP", "m_quantiteJourISLR", "m_identifiantFCTCarenceExpatries", "m_nbJourImputationDroitPrecedent", "m_topPremiereODARE", "m_montantContributionPourNonCTP", "m_dateAttributionAide", "m_estRetenirActSectPrive", "m_motifExamen", "m_dateFinEvenement", "m_quantiteJourImputationDonneesForceesReliquat", "m_leverBornageDureeEffectiveRetraite", "m_dateEffetActConserveeDonneesTemporaire", "m_dateAnnulationReexamen", "m_modeLiquidation", "m_typeContexteDemandeDonneesTemporaires", "m_dateFinPreavisLegal", "m_dureeFinancement", "m_typeContexteDemande", "m_demandeAssociee", "m_saisieCasFinancementDonneesTemporaire", "m_entretien", "m_fctDansLesDeuxMoisAvantFddAre", "m_sousTypeContexteDemande", "m_dateDebutJustifContexte", "m_dateFinJustifContexte", "m_saisieAntecedent", "m_etatForcageDelaiAttente", "m_numeroConventionPE", "m_codeAffectationConvention", "m_estDerogationCspDonneesTemporaire", "m_estSalarieHandicapeChomageTotalSansRupture", "m_dureeImputationSP", "m_djiSpFinDroit", "m_idExterneEmployeurSp", "m_estLeveeControlePANSSuiteARCEDonneesTemporaires", "m_estLeveeConditionACMemeEmployeur", "m_nbjImputationDroitAServir", "m_motifNbJourImputationDroitAServir", "m_motifNbJourImputationDroitCourant", "m_motifNbJourImputationDroitPrecedent", "m_motifMontantImputationDroitAServir", "m_montantImputationDroitAServir", "m_estIgnorerAttribPrecCSR", "m_estPCRCForceDroitCourant", "m_estPCRCForceDroitPrecedent", "m_dateDepartICCP", "m_estDemarcheReintegrationEffectuee", "m_dureeTheoriqueForcee", "m_dateExamenForcee", "m_dateAttributionForcee", "m_delaiAttenteForce", "m_conditionChomageInvolontaireSatistaite", "m_droitOptionForce", "m_djiDroitSpContexteRechargement", "m_fgdDroitSpContexteRechargement", "m_repriseForceeSurDemandeExpresse", "m_montantJournalierReliquat", "m_capitalReliquat", "m_estNonExecutable", "m_estDesactivationPnds", "m_dureePostPrime", "m_dateFinDispositifCSP", "m_motifEchecTraitement", "m_modeTraitementDemande", "m_dureeImputation", "m_nbJoursAllongement", "m_dateLimiteIndemnisationDonneeForcee", "m_dateTraitementDemande", "m_reliquatSecteurPublicEteintDonneesComplementaires", "m_reliquatSecteurPublicPrescritRejete", "m_leveeConditionCLCA", "m_identifiantObjetMetier", "m_conditionAffiliationSatisfaiteForcee", "m_conditionAncienneteSatisfaiteForcee", "m_dateFinPeriodeAncienneteForcee", "m_nombreJourTotalA8A10Force", "m_estRepriseStockSpectacle2016Faite", "m_attenteIncoherenceSalaireLevee", "m_competenceFinanciereDonneesTemporaires", "m_employeurSecteurPublicCompetentDonneesTemporaires", "m_montantIndemnitePreavisContribDonneesTemporaires", "m_contributionAdhesionVolontaireDonneesTemporaires", "m_nombreMoisPreavisDonneesTemporaires", "m_presenceDerniersSalairesDonneesTemporaires", "m_droitInterimaireDonneesTemporaires", "m_diviseurSjrDonneesTemporaires", "m_dureeAllongementAREFDonneesTemporaires", "m_reliquatAllongementArefPossibleReliquat", "m_rejetConditionChomageInvolontaire", "m_dateDepotOrigineFormulaireAsu", "m_leverConditionBeneficeAutreProduit", "m_listeObjectifsExamenDemande", "m_listeMotifsReexamenDemande", "m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire", "m_listePeriodesChomageSaisonnierRepContextuelleElementJustification", "m_listePensionInvaliditeDonneeForcee", "m_forcageExecutionDemande", "m_listeContextes" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, String.class, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, DemandePivotPC.class, Damj.class, Damj.class, Damj.class, DemandePC.class, DossierAffectationPC.class, DossierAffectationPC.class, ClassementAdministratifPC.class, EvenementReferenceExamenSpec.class, String.class, Damj.class, DureeCalendaire.class, DureeCalendaire.class, Boolean.TYPE, BigDecimal.class, BigDecimal.class, Quantite.class, Quantite.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Quantite.class, Damj.class, Damj.class, String.class, Quantite.class, Damj.class, Damj.class, Integer.TYPE, Short.TYPE, BigDecimal.class, Integer.TYPE, QuantiteJour.class, BigDecimal.class, BigDecimal.class, Quantite.class, Damj.class, Boolean.TYPE, Damj.class, String.class, Boolean.TYPE, Boolean.TYPE, Damj.class, Damj.class, Damj.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Damj.class, String.class, QuantiteJour.class, Quantite.class, Quantite.class, BigDecimal.class, String.class, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, BigDecimal.class, String.class, Integer.class, QuantiteEuro.class, QuantiteEuro.class, Quantite.class, Quantite.class, Quantite.class, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, String.class, String.class, Damj.class, Quantite.class, Quantite.class, Quantite.class, Boolean.TYPE, Integer.TYPE, Quantite.class, Integer.TYPE, Periode.class, Boolean.TYPE, Boolean.TYPE, Integer.class, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Damj.class, Boolean.TYPE, Boolean.TYPE, QuantiteJour.class, QuantiteJour.class, String.class, BigDecimal.class, Integer.TYPE, BigDecimal.class, Damj.class, Boolean.TYPE, Integer.TYPE, Damj.class, Quantite.class, Boolean.TYPE, Damj.class, Damj.class, String.class, String.class, Damj.class, BigDecimal.class, String.class, DemandePC.class, Boolean.TYPE, EntretienPC.class, Boolean.TYPE, String.class, Damj.class, Damj.class, SaisieAntecedentPC.class, String.class, String.class, String.class, Boolean.TYPE, Boolean.TYPE, BigDecimal.class, Damj.class, String.class, Boolean.TYPE, Boolean.TYPE, BigDecimal.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, BigDecimal.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Damj.class, Boolean.TYPE, Quantite.class, Damj.class, Damj.class, Boolean.class, Boolean.TYPE, Boolean.TYPE, Damj.class, Damj.class, Boolean.TYPE, BigDecimal.class, BigDecimal.class, Boolean.TYPE, Boolean.class, Quantite.class, Damj.class, String.class, String.class, BigDecimal.class, BigDecimal.class, Damj.class, Damj.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, String.class, Boolean.class, Boolean.class, Damj.class, BigDecimal.class, Boolean.TYPE, Boolean.TYPE, String.class, String.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, Boolean.TYPE, Boolean.TYPE, BigDecimal.class, BigDecimal.class, Integer.TYPE, Boolean.TYPE, Damj.class, Boolean.class, Collection.class, Collection.class, Collection.class, Collection.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = class$("fr.unedic.cali.dom.pc.DemandeAbstraitePC");
  
  public DemandePC()
  {
    jdoSetm_presenceDonneesReliquat(this, false);
    jdoSetm_presenceDonneesDonneesDAL(this, false);
    jdoSetm_presenceDonneesElementJustification(this, false);
    jdoSetm_presenceDonneesDemandeAssociee(this, false);
    jdoSetm_presenceDonneesTypeContexte(this, false);
    
    jdoSetm_demandeExpresseDemande(this, false);
    jdoSetm_liquideeAvecConflitsDemande(this, false);
    
    jdoSetm_estDeneutralisable(this, false);
    jdoSetm_estNeutraliseeLiquidationDemande(this, false);
    jdoSetm_estNeutraliseeCalculDemande(this, false);
    jdoSetm_estLiquidableDemande(this, false);
    
    jdoSetm_commentaire(this, null);
    jdoSetm_termePrcDonneesTemporaire(this, null);
    jdoSetm_allongementDelaiDecheanceDonneesTemporaire(this, null);
    jdoSetm_allongementDelaiForclusionDonneesTemporaire(this, null);
    
    jdoSetm_coefficientSaisonnierDonneesTemporaire(this, null);
    jdoSetm_coefficientTempsPartielDonneesTemporaire(this, null);
    jdoSetm_sjcDonneesTemporaire(this, null);
    jdoSetm_sjrDonneesTemporaire(this, null);
    
    jdoSetm_capitalReliquatSecteurPublicDonneesTemporaire(this, null);
    jdoSetm_dateDebutPIDonneesTemporaire(this, null);
    jdoSetm_dateFinPIDonneesTemporaire(this, null);
    
    jdoSetm_dateAttributionDroitAnterieurSpDonneesTemporaire(this, null);
    jdoSetm_dateFgDroitAnterieurSpDonneesTemporaire(this, null);
    
    jdoSetm_montantAideDonneesTemporaire(this, null);
    jdoSetm_natureMontantAideDonneesTemporaire(this, 0);
    
    jdoSetm_coefficientSaisonnierSpDonneesTemporaire(this, null);
    jdoSetm_coefficientTempsPartielSpDonneesTemporaire(this, null);
    jdoSetm_sjrSPDonneesTemporaire(this, null);
    jdoSetm_termePrcSpDonneesTemporaire(this, null);
    
    jdoSetm_sjrPerteActConserveeDonneesTemporaire(this, null);
    jdoSetm_sjcPerteActConserveeDonneesTemporaire(this, null);
    jdoSetm_coefficientTempsPartielActConserveeDonneesTemporaire(this, null);
    
    jdoSetm_sripSpectacleDonneesTemporaire(this, null);
    jdoSetm_totalRemunerationDansPRCDonneesTemporaire(this, null);
    jdoSetm_nbHeuresTravailEtenduSpectacleDonneesTemporaire(this, null);
    jdoSetm_nbHeuresTravailPlafonneSpectacleDonneesTemporaire(this, null);
    jdoSetm_nbJourContratSurPraSpectacleDonneesTemporaire(this, null);
    
    jdoSetm_categorieParticuliereDonneesDal(this, 0);
    
    jdoSetm_entretien(this, null);
    jdoSetm_fctDansLesDeuxMoisAvantFddAre(this, true);
    
    jdoSetm_motifNbJourImputationDroitAServir(this, 0);
    jdoSetm_motifNbJourImputationDroitCourant(this, 0);
    jdoSetm_motifNbJourImputationDroitPrecedent(this, 0);
    jdoSetm_motifMontantImputationDroitAServir(this, 0);
    
    jdoSetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(this, null);
    jdoSetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(this, null);
    
    jdoSetm_forcageExecutionDemande(this, null);
  }
  
  public Object createOM()
  {
    if (m_demandeOM == null) {
      m_demandeOM = new Demande(this);
    }
    return m_demandeOM;
  }
  
  public boolean isPresenceDonneesReliquat()
  {
    return jdoGetm_presenceDonneesReliquat(this);
  }
  
  public final void setPresenceDonneesReliquat(boolean p_presenceDonneesReliquat)
  {
    jdoSetm_presenceDonneesReliquat(this, p_presenceDonneesReliquat);
  }
  
  public boolean isPresenceDonneesDonneesDAL()
  {
    return jdoGetm_presenceDonneesDonneesDAL(this);
  }
  
  public final void setPresenceDonneesDonneesDAL(boolean p_presenceDonneesDonneesDAL)
  {
    jdoSetm_presenceDonneesDonneesDAL(this, p_presenceDonneesDonneesDAL);
  }
  
  public boolean isPresenceDonneesElementJustification()
  {
    return jdoGetm_presenceDonneesElementJustification(this);
  }
  
  public final void setPresenceDonneesElementJustification(boolean p_presenceDonneesElementJustification)
  {
    jdoSetm_presenceDonneesElementJustification(this, p_presenceDonneesElementJustification);
  }
  
  public boolean isPresenceDonneesDemandeAssociee()
  {
    return jdoGetm_presenceDonneesDemandeAssociee(this);
  }
  
  public final void setPresenceDonneesDemandeAssociee(boolean p_presenceDonneesDemandeAssociee)
  {
    jdoSetm_presenceDonneesDemandeAssociee(this, p_presenceDonneesDemandeAssociee);
  }
  
  public boolean isPresenceDonneesTypeContexte()
  {
    return jdoGetm_presenceDonneesTypeContexte(this);
  }
  
  public final void setPresenceDonneesTypeContexte(boolean p_presenceDonneesTypeContexte)
  {
    jdoSetm_presenceDonneesTypeContexte(this, p_presenceDonneesTypeContexte);
  }
  
  public String getMotifReexamenPrincipalDemande()
  {
    return jdoGetm_motifReexamenPrincipalDemande(this);
  }
  
  public final void setMotifReexamenPrincipalDemande(String p_motifReexamenPrincipalDemande)
  {
    jdoSetm_motifReexamenPrincipalDemande(this, p_motifReexamenPrincipalDemande);
  }
  
  public boolean isDemandeExpresseDemande()
  {
    return jdoGetm_demandeExpresseDemande(this);
  }
  
  public final void setDemandeExpresseDemande(boolean p_demandeExpresseDemande)
  {
    jdoSetm_demandeExpresseDemande(this, p_demandeExpresseDemande);
  }
  
  public boolean isLiquideeAvecConflitsDemande()
  {
    return jdoGetm_liquideeAvecConflitsDemande(this);
  }
  
  public final void setLiquideeAvecConflitsDemande(boolean p_liquideeAvecConflitsDemande)
  {
    jdoSetm_liquideeAvecConflitsDemande(this, p_liquideeAvecConflitsDemande);
  }
  
  public int getEstMigreeDemande()
  {
    return jdoGetm_estMigreeDemande(this);
  }
  
  public final void setEstMigreeDemande(int p_estMigreeDemande)
  {
    jdoSetm_estMigreeDemande(this, p_estMigreeDemande);
  }
  
  public boolean isEstDeneutralisable()
  {
    return jdoGetm_estDeneutralisable(this);
  }
  
  public final void setEstDeneutralisable(boolean p_estDeneutralisable)
  {
    jdoSetm_estDeneutralisable(this, p_estDeneutralisable);
  }
  
  public boolean isEstNeutraliseeLiquidationDemande()
  {
    return jdoGetm_estNeutraliseeLiquidationDemande(this);
  }
  
  public final void setEstNeutraliseeLiquidationDemande(boolean p_estNeutraliseeLiquidationDemande)
  {
    jdoSetm_estNeutraliseeLiquidationDemande(this, p_estNeutraliseeLiquidationDemande);
  }
  
  public boolean isEstNeutraliseeCalculDemande()
  {
    return jdoGetm_estNeutraliseeCalculDemande(this);
  }
  
  public final void setEstNeutraliseeCalculDemande(boolean p_estNeutraliseeCalculDemande)
  {
    jdoSetm_estNeutraliseeCalculDemande(this, p_estNeutraliseeCalculDemande);
  }
  
  public boolean isEstLiquidableDemande()
  {
    return jdoGetm_estLiquidableDemande(this);
  }
  
  public final void setEstLiquidableDemande(boolean p_estLiquidableDemande)
  {
    jdoSetm_estLiquidableDemande(this, p_estLiquidableDemande);
  }
  
  public DomPCSpec getDemandePivotDemande()
  {
    return jdoGetm_demandePivotDemande(this);
  }
  
  public final void setDemandePivotDemande(DomPCSpec p_demandePivotDemande)
  {
    jdoSetm_demandePivotDemande(this, (DemandePivotPC)p_demandePivotDemande);
  }
  
  public Damj getDatePremiereValidationDemande()
  {
    return jdoGetm_datePremiereValidationDemande(this);
  }
  
  public final void setDatePremiereValidationDemande(Damj p_datePremiereValidationDemande)
  {
    jdoSetm_datePremiereValidationDemande(this, p_datePremiereValidationDemande);
  }
  
  public Damj getDateDerniereValidationDemande()
  {
    return jdoGetm_dateDerniereValidationDemande(this);
  }
  
  public final void setDateDerniereValidationDemande(Damj p_dateDerniereValidationDemande)
  {
    jdoSetm_dateDerniereValidationDemande(this, p_dateDerniereValidationDemande);
  }
  
  public Damj getDateDerniereNotificationDemande()
  {
    return jdoGetm_dateDerniereNotificationDemande(this);
  }
  
  public final void setDateDerniereNotificationDemande(Damj p_dateDerniereNotificationDemande)
  {
    jdoSetm_dateDerniereNotificationDemande(this, p_dateDerniereNotificationDemande);
  }
  
  public DomPCSpec getDemandeOrigineDemande()
  {
    return jdoGetm_demandeOrigineDemande(this);
  }
  
  public final void setDemandeOrigineDemande(DomPCSpec p_demandeOrigineDemande)
  {
    jdoSetm_demandeOrigineDemande(this, (DemandePC)p_demandeOrigineDemande);
  }
  
  public DomPCSpec getDossierAffectationAdmissionDemande()
  {
    return jdoGetm_dossierAffectationAdmissionDemande(this);
  }
  
  public final void setDossierAffectationAdmissionDemande(DomPCSpec p_dossierAffectationAdmissionDemande)
  {
    jdoSetm_dossierAffectationAdmissionDemande(this, (DossierAffectationPC)p_dossierAffectationAdmissionDemande);
  }
  
  public DomPCSpec getDossierAffectationRepriseDemande()
  {
    return jdoGetm_dossierAffectationRepriseDemande(this);
  }
  
  public final void setDossierAffectationRepriseDemande(DomPCSpec p_dossierAffectationRepriseDemande)
  {
    jdoSetm_dossierAffectationRepriseDemande(this, (DossierAffectationPC)p_dossierAffectationRepriseDemande);
  }
  
  public DomPCSpec getClassementAdministratifDemande()
  {
    return jdoGetm_classementAdministratifDemande(this);
  }
  
  public final void setClassementAdministratifDemande(DomPCSpec p_classementAdministratifDemande)
  {
    jdoSetm_classementAdministratifDemande(this, (ClassementAdministratifPC)p_classementAdministratifDemande);
  }
  
  public EvenementReferenceExamenSpec getEvenementReferenceExamen()
  {
    return jdoGetm_evenementReferenceExamen(this);
  }
  
  public final void setEvenementReferenceExamen(EvenementReferenceExamenSpec p_evenementReferenceExamen)
  {
    jdoSetm_evenementReferenceExamen(this, p_evenementReferenceExamen);
  }
  
  public String getCommentaire()
  {
    return jdoGetm_commentaire(this);
  }
  
  public final void setCommentaire(String p_commentaire)
  {
    jdoSetm_commentaire(this, p_commentaire);
  }
  
  public Damj getTermePrcDonneesTemporaire()
  {
    return jdoGetm_termePrcDonneesTemporaire(this);
  }
  
  public final void setTermePrcDonneesTemporaire(Damj p_termePrcDonneesTemporaire)
  {
    jdoSetm_termePrcDonneesTemporaire(this, p_termePrcDonneesTemporaire);
  }
  
  public DureeCalendaire getAllongementDelaiDecheanceDonneesTemporaire()
  {
    return jdoGetm_allongementDelaiDecheanceDonneesTemporaire(this);
  }
  
  public final void setAllongementDelaiDecheanceDonneesTemporaire(DureeCalendaire p_allongementDelaiDecheanceDonneesTemporaire)
  {
    jdoSetm_allongementDelaiDecheanceDonneesTemporaire(this, p_allongementDelaiDecheanceDonneesTemporaire);
  }
  
  public DureeCalendaire getAllongementDelaiForclusionDonneesTemporaire()
  {
    return jdoGetm_allongementDelaiForclusionDonneesTemporaire(this);
  }
  
  public final void setAllongementDelaiForclusionDonneesTemporaire(DureeCalendaire p_allongementDelaiForclusionDonneesTemporaire)
  {
    jdoSetm_allongementDelaiForclusionDonneesTemporaire(this, p_allongementDelaiForclusionDonneesTemporaire);
  }
  
  public boolean isInopposabiliteDelaiDecheanceDonneesTemporaire()
  {
    return jdoGetm_inopposabiliteDelaiDecheanceDonneesTemporaire(this);
  }
  
  public final void setInopposabiliteDelaiDecheanceDonneesTemporaire(boolean p_inopposabiliteDelaiDecheanceDonneesTemporaire)
  {
    jdoSetm_inopposabiliteDelaiDecheanceDonneesTemporaire(this, p_inopposabiliteDelaiDecheanceDonneesTemporaire);
  }
  
  public BigDecimal getCoefficientSaisonnierDonneesTemporaire()
  {
    return jdoGetm_coefficientSaisonnierDonneesTemporaire(this);
  }
  
  public final void setCoefficientSaisonnierDonneesTemporaire(BigDecimal p_coefficientSaisonnierDonneesTemporaire)
  {
    jdoSetm_coefficientSaisonnierDonneesTemporaire(this, p_coefficientSaisonnierDonneesTemporaire);
  }
  
  public BigDecimal getCoefficientTempsPartielDonneesTemporaire()
  {
    return jdoGetm_coefficientTempsPartielDonneesTemporaire(this);
  }
  
  public final void setCoefficientTempsPartielDonneesTemporaire(BigDecimal p_coefficientTempsPartielDonneesTemporaire)
  {
    jdoSetm_coefficientTempsPartielDonneesTemporaire(this, p_coefficientTempsPartielDonneesTemporaire);
  }
  
  public Quantite getSjcDonneesTemporaire()
  {
    return jdoGetm_sjcDonneesTemporaire(this);
  }
  
  public final void setSjcDonneesTemporaire(Quantite p_sjcDonneesTemporaire)
  {
    jdoSetm_sjcDonneesTemporaire(this, p_sjcDonneesTemporaire);
  }
  
  public Quantite getSjrDonneesTemporaire()
  {
    return jdoGetm_sjrDonneesTemporaire(this);
  }
  
  public final void setSjrDonneesTemporaire(Quantite p_sjrDonneesTemporaire)
  {
    jdoSetm_sjrDonneesTemporaire(this, p_sjrDonneesTemporaire);
  }
  
  public boolean isCanAvecCentVingtTrimestresDonneesTemporaire()
  {
    return jdoGetm_canAvecCentVingtTrimestresDonneesTemporaire(this);
  }
  
  public final void setCanAvecCentVingtTrimestresDonneesTemporaire(boolean p_canAvecCentVingtTrimestresDonneesTemporaire)
  {
    jdoSetm_canAvecCentVingtTrimestresDonneesTemporaire(this, p_canAvecCentVingtTrimestresDonneesTemporaire);
  }
  
  public boolean isCaractereSaisonnierForceDonneesTemporaire()
  {
    return jdoGetm_caractereSaisonnierForceDonneesTemporaire(this);
  }
  
  public final void setCaractereSaisonnierForceDonneesTemporaire(boolean p_caractereSaisonnierForceDonneesTemporaire)
  {
    jdoSetm_caractereSaisonnierForceDonneesTemporaire(this, p_caractereSaisonnierForceDonneesTemporaire);
  }
  
  public boolean isFortuiteCaractereSaisonnierParRythmeDonneesTemporaire()
  {
    return jdoGetm_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire(this);
  }
  
  public final void setFortuiteCaractereSaisonnierParRythmeDonneesTemporaire(boolean p_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire)
  {
    jdoSetm_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire(this, p_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire);
  }
  
  public boolean isFortuiteCaractereSaisonnierParTypeDonneesTemporaire()
  {
    return jdoGetm_fortuiteCaractereSaisonnierParTypeDonneesTemporaire(this);
  }
  
  public final void setFortuiteCaractereSaisonnierParTypeDonneesTemporaire(boolean p_fortuiteCaractereSaisonnierParTypeDonneesTemporaire)
  {
    jdoSetm_fortuiteCaractereSaisonnierParTypeDonneesTemporaire(this, p_fortuiteCaractereSaisonnierParTypeDonneesTemporaire);
  }
  
  public boolean isPensionRaccordementDonneesTemporaire()
  {
    return jdoGetm_pensionRaccordementDonneesTemporaire(this);
  }
  
  public final void setPensionRaccordementDonneesTemporaire(boolean p_pensionRaccordementDonneesTemporaire)
  {
    jdoSetm_pensionRaccordementDonneesTemporaire(this, p_pensionRaccordementDonneesTemporaire);
  }
  
  public int getTypeCaractereSaisonnierForceDonneesTemporaire()
  {
    return jdoGetm_typeCaractereSaisonnierForceDonneesTemporaire(this);
  }
  
  public final void setTypeCaractereSaisonnierForceDonneesTemporaire(int p_typeCaractereSaisonnierForceDonneesTemporaire)
  {
    jdoSetm_typeCaractereSaisonnierForceDonneesTemporaire(this, p_typeCaractereSaisonnierForceDonneesTemporaire);
  }
  
  public Quantite getCapitalReliquatSecteurPublicDonneesTemporaire()
  {
    return jdoGetm_capitalReliquatSecteurPublicDonneesTemporaire(this);
  }
  
  public final void setCapitalReliquatSecteurPublicDonneesTemporaire(Quantite p_capitalReliquatSecteurPublicDonneesTemporaire)
  {
    jdoSetm_capitalReliquatSecteurPublicDonneesTemporaire(this, p_capitalReliquatSecteurPublicDonneesTemporaire);
  }
  
  public Damj getDateDebutPIDonneesTemporaire()
  {
    return jdoGetm_dateDebutPIDonneesTemporaire(this);
  }
  
  public final void setDateDebutPIDonneesTemporaire(Damj p_dateDebutPIDonneesTemporaire)
  {
    jdoSetm_dateDebutPIDonneesTemporaire(this, p_dateDebutPIDonneesTemporaire);
  }
  
  public Damj getDateFinPIDonneesTemporaire()
  {
    return jdoGetm_dateFinPIDonneesTemporaire(this);
  }
  
  public final void setDateFinPIDonneesTemporaire(Damj p_dateFinPIDonneesTemporaire)
  {
    jdoSetm_dateFinPIDonneesTemporaire(this, p_dateFinPIDonneesTemporaire);
  }
  
  public String getIdentifiantPeriodeFctARetenirDonneesTemporaire()
  {
    return jdoGetm_identifiantPeriodeFctARetenirDonneesTemporaire(this);
  }
  
  public final void setIdentifiantPeriodeFctARetenirDonneesTemporaire(String p_identifiantPeriodeFctARetenirDonneesTemporaire)
  {
    jdoSetm_identifiantPeriodeFctARetenirDonneesTemporaire(this, p_identifiantPeriodeFctARetenirDonneesTemporaire);
  }
  
  public Quantite getQuantiteAffiliationDonneesTemporaire()
  {
    return jdoGetm_quantiteAffiliationDonneesTemporaire(this);
  }
  
  public final void setQuantiteAffiliationDonneesTemporaire(Quantite p_quantiteAffiliationDonneesTemporaire)
  {
    jdoSetm_quantiteAffiliationDonneesTemporaire(this, p_quantiteAffiliationDonneesTemporaire);
  }
  
  public Damj getDateAttributionDroitAnterieurSpDonneesTemporaire()
  {
    return jdoGetm_dateAttributionDroitAnterieurSpDonneesTemporaire(this);
  }
  
  public final void setDateAttributionDroitAnterieurSpDonneesTemporaire(Damj p_dateAttributionDroitAnterieurSpDonneesTemporaire)
  {
    jdoSetm_dateAttributionDroitAnterieurSpDonneesTemporaire(this, p_dateAttributionDroitAnterieurSpDonneesTemporaire);
  }
  
  public Damj getDateFgDroitAnterieurSpDonneesTemporaire()
  {
    return jdoGetm_dateFgDroitAnterieurSpDonneesTemporaire(this);
  }
  
  public final void setDateFgDroitAnterieurSpDonneesTemporaire(Damj p_dateFgDroitAnterieurSpDonneesTemporaire)
  {
    jdoSetm_dateFgDroitAnterieurSpDonneesTemporaire(this, p_dateFgDroitAnterieurSpDonneesTemporaire);
  }
  
  public int getDureeInitialeDroitAnterieurSpDonneesTemporaire()
  {
    return jdoGetm_dureeInitialeDroitAnterieurSpDonneesTemporaire(this);
  }
  
  public final void setDureeInitialeDroitAnterieurSpDonneesTemporaire(int p_dureeInitialeDroitAnterieurSpDonneesTemporaire)
  {
    jdoSetm_dureeInitialeDroitAnterieurSpDonneesTemporaire(this, p_dureeInitialeDroitAnterieurSpDonneesTemporaire);
  }
  
  public short getAvisCommissionParitaireDonneesTemporaire()
  {
    return jdoGetm_avisCommissionParitaireDonneesTemporaire(this);
  }
  
  public final void setAvisCommissionParitaireDonneesTemporaire(short p_avisCommissionParitaireDonneesTemporaire)
  {
    jdoSetm_avisCommissionParitaireDonneesTemporaire(this, p_avisCommissionParitaireDonneesTemporaire);
  }
  
  public BigDecimal getMontantAideDonneesTemporaire()
  {
    return jdoGetm_montantAideDonneesTemporaire(this);
  }
  
  public final void setMontantAideDonneesTemporaire(BigDecimal p_montantAideDonneesTemporaire)
  {
    jdoSetm_montantAideDonneesTemporaire(this, p_montantAideDonneesTemporaire);
  }
  
  public int getNatureMontantAideDonneesTemporaire()
  {
    return jdoGetm_natureMontantAideDonneesTemporaire(this);
  }
  
  public final void setNatureMontantAideDonneesTemporaire(int p_natureMontantAideDonneesTemporaire)
  {
    jdoSetm_natureMontantAideDonneesTemporaire(this, p_natureMontantAideDonneesTemporaire);
  }
  
  public QuantiteJour getQuantiteJoursDiffereIccpConservatoireDonneesTemporaire()
  {
    return jdoGetm_quantiteJoursDiffereIccpConservatoireDonneesTemporaire(this);
  }
  
  public final void setQuantiteJoursDiffereIccpConservatoireDonneesTemporaire(QuantiteJour p_quantiteJoursDiffereIccpConservatoireDonneesTemporaire)
  {
    jdoSetm_quantiteJoursDiffereIccpConservatoireDonneesTemporaire(this, p_quantiteJoursDiffereIccpConservatoireDonneesTemporaire);
  }
  
  public BigDecimal getCoefficientSaisonnierSpDonneesTemporaire()
  {
    return jdoGetm_coefficientSaisonnierSpDonneesTemporaire(this);
  }
  
  public final void setCoefficientSaisonnierSpDonneesTemporaire(BigDecimal p_coefficientSaisonnierSpDonneesTemporaire)
  {
    jdoSetm_coefficientSaisonnierSpDonneesTemporaire(this, p_coefficientSaisonnierSpDonneesTemporaire);
  }
  
  public BigDecimal getCoefficientTempsPartielSpDonneesTemporaire()
  {
    return jdoGetm_coefficientTempsPartielSpDonneesTemporaire(this);
  }
  
  public final void setCoefficientTempsPartielSpDonneesTemporaire(BigDecimal p_coefficientTempsPartielSpDonneesTemporaire)
  {
    jdoSetm_coefficientTempsPartielSpDonneesTemporaire(this, p_coefficientTempsPartielSpDonneesTemporaire);
  }
  
  public Quantite getSjrSPDonneesTemporaire()
  {
    return jdoGetm_sjrSPDonneesTemporaire(this);
  }
  
  public final void setSjrSPDonneesTemporaire(Quantite p_sjrSPDonneesTemporaire)
  {
    jdoSetm_sjrSPDonneesTemporaire(this, p_sjrSPDonneesTemporaire);
  }
  
  public Damj getTermePrcSpDonneesTemporaire()
  {
    return jdoGetm_termePrcSpDonneesTemporaire(this);
  }
  
  public final void setTermePrcSpDonneesTemporaire(Damj p_termePrcSpDonneesTemporaire)
  {
    jdoSetm_termePrcSpDonneesTemporaire(this, p_termePrcSpDonneesTemporaire);
  }
  
  public boolean isConditionCumulActiviteConserveeRemplieDonneesTemporaire()
  {
    return jdoGetm_conditionCumulActiviteConserveeRemplieDonneesTemporaire(this);
  }
  
  public final void setConditionCumulActiviteConserveeRemplieDonneesTemporaire(boolean p_conditionCumulActiviteConserveeRemplieDonneesTemporaire)
  {
    jdoSetm_conditionCumulActiviteConserveeRemplieDonneesTemporaire(this, p_conditionCumulActiviteConserveeRemplieDonneesTemporaire);
  }
  
  public Damj getFinPmcDonneesTemporaire()
  {
    return jdoGetm_finPmcDonneesTemporaire(this);
  }
  
  public final void setFinPmcDonneesTemporaire(Damj p_finPmcDonneesTemporaire)
  {
    jdoSetm_finPmcDonneesTemporaire(this, p_finPmcDonneesTemporaire);
  }
  
  public String getIndentifiantFctPMCDonneesTemporaire()
  {
    return jdoGetm_indentifiantFctPMCDonneesTemporaire(this);
  }
  
  public final void setIndentifiantFctPMCDonneesTemporaire(String p_indentifiantFctPMCDonneesTemporaire)
  {
    jdoSetm_indentifiantFctPMCDonneesTemporaire(this, p_indentifiantFctPMCDonneesTemporaire);
  }
  
  public boolean isPmcIndemnisableDonneesTemporaire()
  {
    return jdoGetm_pmcIndemnisableDonneesTemporaire(this);
  }
  
  public final void setPmcIndemnisableDonneesTemporaire(boolean p_pmcIndemnisableDonneesTemporaire)
  {
    jdoSetm_pmcIndemnisableDonneesTemporaire(this, p_pmcIndemnisableDonneesTemporaire);
  }
  
  public boolean isAccordPoursuite182JoursChomageTotalSansRupture()
  {
    return jdoGetm_accordPoursuite182JoursChomageTotalSansRupture(this);
  }
  
  public final void setAccordPoursuite182JoursChomageTotalSansRupture(boolean p_accordPoursuite182JoursChomageTotalSansRupture)
  {
    jdoSetm_accordPoursuite182JoursChomageTotalSansRupture(this, p_accordPoursuite182JoursChomageTotalSansRupture);
  }
  
  public Damj getDateAttributionCPChomageTotalSansRupture()
  {
    return jdoGetm_dateAttributionCPChomageTotalSansRupture(this);
  }
  
  public final void setDateAttributionCPChomageTotalSansRupture(Damj p_dateAttributionCPChomageTotalSansRupture)
  {
    jdoSetm_dateAttributionCPChomageTotalSansRupture(this, p_dateAttributionCPChomageTotalSansRupture);
  }
  
  public Damj getDateChomageTotalSansRupture()
  {
    return jdoGetm_dateChomageTotalSansRupture(this);
  }
  
  public final void setDateChomageTotalSansRupture(Damj p_dateChomageTotalSansRupture)
  {
    jdoSetm_dateChomageTotalSansRupture(this, p_dateChomageTotalSansRupture);
  }
  
  public Damj getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture()
  {
    return jdoGetm_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture(this);
  }
  
  public final void setDateMaximumPoursuiteIndeminisationChomageTotalSansRupture(Damj p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture)
  {
    jdoSetm_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture(this, p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
  }
  
  public boolean isAvisFavorableCPChomageTotalSansRupture()
  {
    return jdoGetm_avisFavorableCPChomageTotalSansRupture(this);
  }
  
  public final void setAvisFavorableCPChomageTotalSansRupture(boolean p_avisFavorableCPChomageTotalSansRupture)
  {
    jdoSetm_avisFavorableCPChomageTotalSansRupture(this, p_avisFavorableCPChomageTotalSansRupture);
  }
  
  public boolean isDecisionCPRenseigneeChomageTotalSansRupture()
  {
    return jdoGetm_decisionCPRenseigneeChomageTotalSansRupture(this);
  }
  
  public final void setDecisionCPRenseigneeChomageTotalSansRupture(boolean p_decisionCPRenseigneeChomageTotalSansRupture)
  {
    jdoSetm_decisionCPRenseigneeChomageTotalSansRupture(this, p_decisionCPRenseigneeChomageTotalSansRupture);
  }
  
  public boolean isLeveeCondition28JoursChomageTotalSansRupture()
  {
    return jdoGetm_leveeCondition28JoursChomageTotalSansRupture(this);
  }
  
  public final void setLeveeCondition28JoursChomageTotalSansRupture(boolean p_leveeCondition28JoursChomageTotalSansRupture)
  {
    jdoSetm_leveeCondition28JoursChomageTotalSansRupture(this, p_leveeCondition28JoursChomageTotalSansRupture);
  }
  
  public boolean isSinistreOuCalamiteNaturelleChomageTotalSansRupture()
  {
    return jdoGetm_sinistreOuCalamiteNaturelleChomageTotalSansRupture(this);
  }
  
  public final void setSinistreOuCalamiteNaturelleChomageTotalSansRupture(boolean p_sinistreOuCalamiteNaturelleChomageTotalSansRupture)
  {
    jdoSetm_sinistreOuCalamiteNaturelleChomageTotalSansRupture(this, p_sinistreOuCalamiteNaturelleChomageTotalSansRupture);
  }
  
  public Damj getNouvelleDateAttributionChomageTotalSansRupture()
  {
    return jdoGetm_nouvelleDateAttributionChomageTotalSansRupture(this);
  }
  
  public final void setNouvelleDateAttributionChomageTotalSansRupture(Damj p_nouvelleDateAttributionChomageTotalSansRupture)
  {
    jdoSetm_nouvelleDateAttributionChomageTotalSansRupture(this, p_nouvelleDateAttributionChomageTotalSansRupture);
  }
  
  public String getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture()
  {
    return jdoGetm_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture(this);
  }
  
  public final void setIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture(String p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture)
  {
    jdoSetm_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture(this, p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture);
  }
  
  public QuantiteJour getQuantiteJoursDiffereChomageTotalSansRupture()
  {
    return jdoGetm_quantiteJoursDiffereChomageTotalSansRupture(this);
  }
  
  public final void setQuantiteJoursDiffereChomageTotalSansRupture(QuantiteJour p_quantiteJoursDiffereChomageTotalSansRupture)
  {
    jdoSetm_quantiteJoursDiffereChomageTotalSansRupture(this, p_quantiteJoursDiffereChomageTotalSansRupture);
  }
  
  public Quantite getSjrPerteActConserveeDonneesTemporaire()
  {
    return jdoGetm_sjrPerteActConserveeDonneesTemporaire(this);
  }
  
  public final void setSjrPerteActConserveeDonneesTemporaire(Quantite p_sjrPerteActConserveeDonneesTemporaire)
  {
    jdoSetm_sjrPerteActConserveeDonneesTemporaire(this, p_sjrPerteActConserveeDonneesTemporaire);
  }
  
  public Quantite getSjcPerteActConserveeDonneesTemporaire()
  {
    return jdoGetm_sjcPerteActConserveeDonneesTemporaire(this);
  }
  
  public final void setSjcPerteActConserveeDonneesTemporaire(Quantite p_sjcPerteActConserveeDonneesTemporaire)
  {
    jdoSetm_sjcPerteActConserveeDonneesTemporaire(this, p_sjcPerteActConserveeDonneesTemporaire);
  }
  
  public BigDecimal getCoefficientTempsPartielActConserveeDonneesTemporaire()
  {
    return jdoGetm_coefficientTempsPartielActConserveeDonneesTemporaire(this);
  }
  
  public final void setCoefficientTempsPartielActConserveeDonneesTemporaire(BigDecimal p_coefficientTempsPartielActConserveeDonneesTemporaire)
  {
    jdoSetm_coefficientTempsPartielActConserveeDonneesTemporaire(this, p_coefficientTempsPartielActConserveeDonneesTemporaire);
  }
  
  public String getIdentifiantPeriodeActiviteConserveePerdue()
  {
    return jdoGetm_identifiantPeriodeActiviteConserveePerdue(this);
  }
  
  public final void setIdentifiantPeriodeActiviteConserveePerdue(String p_identifiantPeriodeActiviteConserveePerdue)
  {
    jdoSetm_identifiantPeriodeActiviteConserveePerdue(this, p_identifiantPeriodeActiviteConserveePerdue);
  }
  
  public boolean isEstPrimoDemandeurA3A4A5()
  {
    return jdoGetm_estPrimoDemandeurA3A4A5(this);
  }
  
  public final void setEstPrimoDemandeurA3A4A5(boolean p_estPrimoDemandeurA3A4A5)
  {
    jdoSetm_estPrimoDemandeurA3A4A5(this, p_estPrimoDemandeurA3A4A5);
  }
  
  public boolean isPrimoDemandeurA3A4A5Renseignee()
  {
    return jdoGetm_primoDemandeurA3A4A5Renseignee(this);
  }
  
  public final void setPrimoDemandeurA3A4A5Renseignee(boolean p_primoDemandeurA3A4A5Renseignee)
  {
    jdoSetm_primoDemandeurA3A4A5Renseignee(this, p_primoDemandeurA3A4A5Renseignee);
  }
  
  public int getTypeCoordinationEuropeenne()
  {
    return jdoGetm_typeCoordinationEuropeenne(this);
  }
  
  public final void setTypeCoordinationEuropeenne(int p_typeCoordinationEuropeenne)
  {
    jdoSetm_typeCoordinationEuropeenne(this, p_typeCoordinationEuropeenne);
  }
  
  public BigDecimal getNbJourImputer()
  {
    return jdoGetm_nbJourImputer(this);
  }
  
  public final void setNbJourImputer(BigDecimal p_nbJourImputer)
  {
    jdoSetm_nbJourImputer(this, p_nbJourImputer);
  }
  
  public String getReglementApplicableSpectacleDonneesTemporaire()
  {
    return jdoGetm_reglementApplicableSpectacleDonneesTemporaire(this);
  }
  
  public final void setReglementApplicableSpectacleDonneesTemporaire(String p_reglementApplicableSpectacleDonneesTemporaire)
  {
    jdoSetm_reglementApplicableSpectacleDonneesTemporaire(this, p_reglementApplicableSpectacleDonneesTemporaire);
  }
  
  public Integer getRangAllongementPraSpectacleDonneesTemporaire()
  {
    return jdoGetm_rangAllongementPraSpectacleDonneesTemporaire(this);
  }
  
  public final void setRangAllongementPraSpectacleDonneesTemporaire(Integer p_rangAllongementPraSpectacleDonneesTemporaire)
  {
    jdoSetm_rangAllongementPraSpectacleDonneesTemporaire(this, p_rangAllongementPraSpectacleDonneesTemporaire);
  }
  
  public QuantiteEuro getSripSpectacleDonneesTemporaire()
  {
    return jdoGetm_sripSpectacleDonneesTemporaire(this);
  }
  
  public final void setSripSpectacleDonneesTemporaire(QuantiteEuro p_sripSpectacleDonneesTemporaire)
  {
    jdoSetm_sripSpectacleDonneesTemporaire(this, p_sripSpectacleDonneesTemporaire);
  }
  
  public QuantiteEuro getTotalRemunerationDansPRCDonneesTemporaire()
  {
    return jdoGetm_totalRemunerationDansPRCDonneesTemporaire(this);
  }
  
  public final void setTotalRemunerationDansPRCDonneesTemporaire(QuantiteEuro p_totalRemunerationDansPRCDonneesTemporaire)
  {
    jdoSetm_totalRemunerationDansPRCDonneesTemporaire(this, p_totalRemunerationDansPRCDonneesTemporaire);
  }
  
  public Quantite getNbHeuresTravailEtenduSpectacleDonneesTemporaire()
  {
    return jdoGetm_nbHeuresTravailEtenduSpectacleDonneesTemporaire(this);
  }
  
  public final void setNbHeuresTravailEtenduSpectacleDonneesTemporaire(Quantite p_nbHeuresTravailEtenduSpectacleDonneesTemporaire)
  {
    jdoSetm_nbHeuresTravailEtenduSpectacleDonneesTemporaire(this, p_nbHeuresTravailEtenduSpectacleDonneesTemporaire);
  }
  
  public Quantite getNbHeuresTravailPlafonneSpectacleDonneesTemporaire()
  {
    return jdoGetm_nbHeuresTravailPlafonneSpectacleDonneesTemporaire(this);
  }
  
  public final void setNbHeuresTravailPlafonneSpectacleDonneesTemporaire(Quantite p_nbHeuresTravailPlafonneSpectacleDonneesTemporaire)
  {
    jdoSetm_nbHeuresTravailPlafonneSpectacleDonneesTemporaire(this, p_nbHeuresTravailPlafonneSpectacleDonneesTemporaire);
  }
  
  public Quantite getNbJourContratSurPraSpectacleDonneesTemporaire()
  {
    return jdoGetm_nbJourContratSurPraSpectacleDonneesTemporaire(this);
  }
  
  public final void setNbJourContratSurPraSpectacleDonneesTemporaire(Quantite p_nbJourContratSurPraSpectacleDonneesTemporaire)
  {
    jdoSetm_nbJourContratSurPraSpectacleDonneesTemporaire(this, p_nbJourContratSurPraSpectacleDonneesTemporaire);
  }
  
  public boolean isSaisieCasGeneralDonneesTemporaire()
  {
    return jdoGetm_saisieCasGeneralDonneesTemporaire(this);
  }
  
  public final void setSaisieCasGeneralDonneesTemporaire(boolean p_saisieCasGeneralDonneesTemporaire)
  {
    jdoSetm_saisieCasGeneralDonneesTemporaire(this, p_saisieCasGeneralDonneesTemporaire);
  }
  
  public boolean isSaisieCasSpectacleDonneesTemporaire()
  {
    return jdoGetm_saisieCasSpectacleDonneesTemporaire(this);
  }
  
  public final void setSaisieCasSpectacleDonneesTemporaire(boolean p_saisieCasSpectacleDonneesTemporaire)
  {
    jdoSetm_saisieCasSpectacleDonneesTemporaire(this, p_saisieCasSpectacleDonneesTemporaire);
  }
  
  public int getIdPecSigmaFormulaireAsu()
  {
    return jdoGetm_idPecSigmaFormulaireAsu(this);
  }
  
  public final void setIdPecSigmaFormulaireAsu(int p_idPecSigmaFormulaireAsu)
  {
    jdoSetm_idPecSigmaFormulaireAsu(this, p_idPecSigmaFormulaireAsu);
  }
  
  public String getReferenceExterneFormulaireAsu()
  {
    return jdoGetm_referenceExterneFormulaireAsu(this);
  }
  
  public final void setReferenceExterneFormulaireAsu(String p_referenceExterneFormulaireAsu)
  {
    jdoSetm_referenceExterneFormulaireAsu(this, p_referenceExterneFormulaireAsu);
  }
  
  public String getTypeExamenFormulaireAsu()
  {
    return jdoGetm_typeExamenFormulaireAsu(this);
  }
  
  public final void setTypeExamenFormulaireAsu(String p_typeExamenFormulaireAsu)
  {
    jdoSetm_typeExamenFormulaireAsu(this, p_typeExamenFormulaireAsu);
  }
  
  public Damj getDateEvenementFormulaireAsu()
  {
    return jdoGetm_dateEvenementFormulaireAsu(this);
  }
  
  public final void setDateEvenementFormulaireAsu(Damj p_dateEvenementFormulaireAsu)
  {
    jdoSetm_dateEvenementFormulaireAsu(this, p_dateEvenementFormulaireAsu);
  }
  
  public Quantite getQuantiteReliquatReliquat()
  {
    return jdoGetm_quantiteReliquatReliquat(this);
  }
  
  public final void setQuantiteReliquatReliquat(Quantite p_quantiteReliquatReliquat)
  {
    jdoSetm_quantiteReliquatReliquat(this, p_quantiteReliquatReliquat);
  }
  
  public Quantite getQuantiteFormationReliquat()
  {
    return jdoGetm_quantiteFormationReliquat(this);
  }
  
  public final void setQuantiteFormationReliquat(Quantite p_quantiteFormationReliquat)
  {
    jdoSetm_quantiteFormationReliquat(this, p_quantiteFormationReliquat);
  }
  
  public Quantite getQuantiteAideReliquat()
  {
    return jdoGetm_quantiteAideReliquat(this);
  }
  
  public final void setQuantiteAideReliquat(Quantite p_quantiteAideReliquat)
  {
    jdoSetm_quantiteAideReliquat(this, p_quantiteAideReliquat);
  }
  
  public boolean isReliquatValideReliquat()
  {
    return jdoGetm_reliquatValideReliquat(this);
  }
  
  public final void setReliquatValideReliquat(boolean p_reliquatValideReliquat)
  {
    jdoSetm_reliquatValideReliquat(this, p_reliquatValideReliquat);
  }
  
  /**
   * @deprecated
   */
  public int getCumulMoisActiviteReduiteReliquat()
  {
    return jdoGetm_cumulMoisActiviteReduiteReliquat(this);
  }
  
  /**
   * @deprecated
   */
  public final void setCumulMoisActiviteReduiteReliquat(int p_cumulMoisActiviteReduiteReliquat)
  {
    jdoSetm_cumulMoisActiviteReduiteReliquat(this, p_cumulMoisActiviteReduiteReliquat);
  }
  
  public Quantite getQuantiteReliquatRenouvellementReliquat()
  {
    return jdoGetm_quantiteReliquatRenouvellementReliquat(this);
  }
  
  public final void setQuantiteReliquatRenouvellementReliquat(Quantite p_quantiteReliquatRenouvellementReliquat)
  {
    jdoSetm_quantiteReliquatRenouvellementReliquat(this, p_quantiteReliquatRenouvellementReliquat);
  }
  
  public int getCategorieParticuliereDonneesDal()
  {
    return jdoGetm_categorieParticuliereDonneesDal(this);
  }
  
  public final void setCategorieParticuliereDonneesDal(int p_categorieParticuliereDonneesDal)
  {
    jdoSetm_categorieParticuliereDonneesDal(this, p_categorieParticuliereDonneesDal);
  }
  
  public Periode getPrsRepriseContextuelleElementJustification()
  {
    return jdoGetm_prsRepriseContextuelleElementJustification(this);
  }
  
  public final void setPrsRepriseContextuelleElementJustification(Periode p_prsRepriseContextuelleElementJustification)
  {
    jdoSetm_prsRepriseContextuelleElementJustification(this, p_prsRepriseContextuelleElementJustification);
  }
  
  public boolean isLeveePmcDonneesTemporaires()
  {
    return jdoGetm_leveePmcDonneesTemporaires(this);
  }
  
  public final void setLeveePmcDonneesTemporaires(boolean p_leveePmcDonneesTemporaires)
  {
    jdoSetm_leveePmcDonneesTemporaires(this, p_leveePmcDonneesTemporaires);
  }
  
  public boolean isABeneficeDroitAt12MoisDonneesTemporaires()
  {
    return jdoGetm_aBeneficeDroitAt12MoisDonneesTemporaires(this);
  }
  
  public final void setABeneficeDroitAt12MoisDonneesTemporaires(boolean p_aBeneficeDroitAt12MoisDonneesTemporaires)
  {
    jdoSetm_aBeneficeDroitAt12MoisDonneesTemporaires(this, p_aBeneficeDroitAt12MoisDonneesTemporaires);
  }
  
  public Integer getDureeAncienneteIntermittantSpectacleDonneesTemporaires()
  {
    return jdoGetm_dureeAncienneteIntermittantSpectacleDonneesTemporaires(this);
  }
  
  public final void setDureeAncienneteIntermittantSpectacleDonneesTemporaires(Integer p_dureeAncienneteIntermittantSpectacleDonneesTemporaires)
  {
    jdoSetm_dureeAncienneteIntermittantSpectacleDonneesTemporaires(this, p_dureeAncienneteIntermittantSpectacleDonneesTemporaires);
  }
  
  public boolean isEstDemandeAtDonneesTemporaires()
  {
    return jdoGetm_estDemandeAtDonneesTemporaires(this);
  }
  
  public final void setEstDemandeAtDonneesTemporaires(boolean p_estDemandeAtDonneesTemporaires)
  {
    jdoSetm_estDemandeAtDonneesTemporaires(this, p_estDemandeAtDonneesTemporaires);
  }
  
  public boolean isEstDemandeAfdDonneesTemporaires()
  {
    return jdoGetm_estDemandeAfdDonneesTemporaires(this);
  }
  
  public final void setEstDemandeAfdDonneesTemporaires(boolean p_estDemandeAfdDonneesTemporaires)
  {
    jdoSetm_estDemandeAfdDonneesTemporaires(this, p_estDemandeAfdDonneesTemporaires);
  }
  
  public int getComportmentDemandeMigree()
  {
    return jdoGetm_comportmentDemandeMigree(this);
  }
  
  public final void setComportmentDemandeMigree(int p_comportmentDemandeMigree)
  {
    jdoSetm_comportmentDemandeMigree(this, p_comportmentDemandeMigree);
  }
  
  public Damj getDateFinDroitSpecNonMigre()
  {
    return jdoGetm_dateFinDroitSpecNonMigre(this);
  }
  
  public final void setDateFinDroitSpecNonMigre(Damj p_dateFinDroitSpecNonMigre)
  {
    jdoSetm_dateFinDroitSpecNonMigre(this, p_dateFinDroitSpecNonMigre);
  }
  
  public boolean isSaisieCasExpatriesDonneesTemporaire()
  {
    return jdoGetm_saisieCasExpatriesDonneesTemporaire(this);
  }
  
  public final void setSaisieCasExpatriesDonneesTemporaire(boolean p_saisieCasExpatriesDonneesTemporaire)
  {
    jdoSetm_saisieCasExpatriesDonneesTemporaire(this, p_saisieCasExpatriesDonneesTemporaire);
  }
  
  public boolean isRejetChomageVolontaireGARP()
  {
    return jdoGetm_rejetChomageVolontaireGARP(this);
  }
  
  public final void setRejetChomageVolontaireGARP(boolean p_rejetChomageVolontaireGARP)
  {
    jdoSetm_rejetChomageVolontaireGARP(this, p_rejetChomageVolontaireGARP);
  }
  
  public QuantiteJour getQuantiteJourICCP()
  {
    return jdoGetm_quantiteJourICCP(this);
  }
  
  public final void setQuantiteJourICCP(QuantiteJour p_quantiteJourICCP)
  {
    jdoSetm_quantiteJourICCP(this, p_quantiteJourICCP);
  }
  
  public QuantiteJour getQuantiteJourISLR()
  {
    return jdoGetm_quantiteJourISLR(this);
  }
  
  public final void setQuantiteJourISLR(QuantiteJour p_quantiteJourISLR)
  {
    jdoSetm_quantiteJourISLR(this, p_quantiteJourISLR);
  }
  
  public String getIdentifiantFCTCarenceExpatries()
  {
    return jdoGetm_identifiantFCTCarenceExpatries(this);
  }
  
  public final void setIdentifiantFCTCarenceExpatries(String p_identifiantFCTCarenceExpatries)
  {
    jdoSetm_identifiantFCTCarenceExpatries(this, p_identifiantFCTCarenceExpatries);
  }
  
  public BigDecimal getNbJourImputationDroitPrecedent()
  {
    return jdoGetm_nbJourImputationDroitPrecedent(this);
  }
  
  public final void setNbJourImputationDroitPrecedent(BigDecimal p_nbJourImputationDroitPrecedent)
  {
    jdoSetm_nbJourImputationDroitPrecedent(this, p_nbJourImputationDroitPrecedent);
  }
  
  public int getTopPremiereODARE()
  {
    return jdoGetm_topPremiereODARE(this);
  }
  
  public final void setTopPremiereODARE(int p_topPremiereODARE)
  {
    jdoSetm_topPremiereODARE(this, p_topPremiereODARE);
  }
  
  public BigDecimal getMontantContributionPourNonCTP()
  {
    return jdoGetm_montantContributionPourNonCTP(this);
  }
  
  public final void setMontantContributionPourNonCTP(BigDecimal p_montantContributionPourNonCTP)
  {
    jdoSetm_montantContributionPourNonCTP(this, p_montantContributionPourNonCTP);
  }
  
  public Damj getDateAttributionAide()
  {
    return jdoGetm_dateAttributionAide(this);
  }
  
  public final void setDateAttributionAide(Damj p_dateAttributionAide)
  {
    jdoSetm_dateAttributionAide(this, p_dateAttributionAide);
  }
  
  public boolean isEstRetenirActSectPrive()
  {
    return jdoGetm_estRetenirActSectPrive(this);
  }
  
  public final void setEstRetenirActSectPrive(boolean p_estRetenirActSectPrive)
  {
    jdoSetm_estRetenirActSectPrive(this, p_estRetenirActSectPrive);
  }
  
  public int getMotifExamen()
  {
    return jdoGetm_motifExamen(this);
  }
  
  public final void setMotifExamen(int p_motifExamen)
  {
    jdoSetm_motifExamen(this, p_motifExamen);
  }
  
  public Damj getDateFinEvenement()
  {
    return jdoGetm_dateFinEvenement(this);
  }
  
  public final void setDateFinEvenement(Damj p_dateFinEvenement)
  {
    jdoSetm_dateFinEvenement(this, p_dateFinEvenement);
  }
  
  public Quantite getQuantiteJourImputationDonneesForceesReliquat()
  {
    return jdoGetm_quantiteJourImputationDonneesForceesReliquat(this);
  }
  
  public final void setQuantiteJourImputationDonneesForceesReliquat(Quantite p_quantiteJourImputationDonneesForceesReliquat)
  {
    jdoSetm_quantiteJourImputationDonneesForceesReliquat(this, p_quantiteJourImputationDonneesForceesReliquat);
  }
  
  public boolean isLeverBornageDureeEffectiveRetraite()
  {
    return jdoGetm_leverBornageDureeEffectiveRetraite(this);
  }
  
  public final void setLeverBornageDureeEffectiveRetraite(boolean p_leverBornageDureeEffectiveRetraite)
  {
    jdoSetm_leverBornageDureeEffectiveRetraite(this, p_leverBornageDureeEffectiveRetraite);
  }
  
  public Damj getDateEffetActConserveeDonneesTemporaire()
  {
    return jdoGetm_dateEffetActConserveeDonneesTemporaire(this);
  }
  
  public final void setDateEffetActConserveeDonneesTemporaire(Damj p_dateEffetActConserveeDonneesTemporaire)
  {
    jdoSetm_dateEffetActConserveeDonneesTemporaire(this, p_dateEffetActConserveeDonneesTemporaire);
  }
  
  public Damj getDateAnnulationReexamen()
  {
    return jdoGetm_dateAnnulationReexamen(this);
  }
  
  public final void setDateAnnulationReexamen(Damj p_dateAnnulationReexamen)
  {
    jdoSetm_dateAnnulationReexamen(this, p_dateAnnulationReexamen);
  }
  
  public String getModeLiquidation()
  {
    return jdoGetm_modeLiquidation(this);
  }
  
  public final void setModeLiquidation(String p_modeLiquidation)
  {
    jdoSetm_modeLiquidation(this, p_modeLiquidation);
  }
  
  public String getTypeContexteDemandeDonneesTemporaires()
  {
    return jdoGetm_typeContexteDemandeDonneesTemporaires(this);
  }
  
  public final void setTypeContexteDemandeDonneesTemporaires(String p_typeContexteDemandeDonneesTemporaires)
  {
    jdoSetm_typeContexteDemandeDonneesTemporaires(this, p_typeContexteDemandeDonneesTemporaires);
  }
  
  public Damj getDateFinPreavisLegal()
  {
    return jdoGetm_dateFinPreavisLegal(this);
  }
  
  public final void setDateFinPreavisLegal(Damj p_dateFinPreavisLegal)
  {
    jdoSetm_dateFinPreavisLegal(this, p_dateFinPreavisLegal);
  }
  
  public BigDecimal getDureeFinancement()
  {
    return jdoGetm_dureeFinancement(this);
  }
  
  public final void setDureeFinancement(BigDecimal p_dureeFinancement)
  {
    jdoSetm_dureeFinancement(this, p_dureeFinancement);
  }
  
  public String getTypeContexteDemande()
  {
    return jdoGetm_typeContexteDemande(this);
  }
  
  public final void setTypeContexteDemande(String p_typeContexteDemande)
  {
    jdoSetm_typeContexteDemande(this, p_typeContexteDemande);
  }
  
  public DomPCSpec getDemandeAssociee()
  {
    return jdoGetm_demandeAssociee(this);
  }
  
  public final void setDemandeAssociee(DomPCSpec p_demandeAssociee)
  {
    jdoSetm_demandeAssociee(this, (DemandePC)p_demandeAssociee);
  }
  
  public boolean isSaisieCasFinancementDonneesTemporaire()
  {
    return jdoGetm_saisieCasFinancementDonneesTemporaire(this);
  }
  
  public final void setSaisieCasFinancementDonneesTemporaire(boolean p_saisieCasFinancementDonneesTemporaire)
  {
    jdoSetm_saisieCasFinancementDonneesTemporaire(this, p_saisieCasFinancementDonneesTemporaire);
  }
  
  public DomPCSpec getEntretien()
  {
    return jdoGetm_entretien(this);
  }
  
  public final void setEntretien(DomPCSpec p_entretien)
  {
    jdoSetm_entretien(this, (EntretienPC)p_entretien);
  }
  
  public boolean isFctDansLesDeuxMoisAvantFddAre()
  {
    return jdoGetm_fctDansLesDeuxMoisAvantFddAre(this);
  }
  
  public final void setFctDansLesDeuxMoisAvantFddAre(boolean p_fctDansLesDeuxMoisAvantFddAre)
  {
    jdoSetm_fctDansLesDeuxMoisAvantFddAre(this, p_fctDansLesDeuxMoisAvantFddAre);
  }
  
  public String getSousTypeContexteDemande()
  {
    return jdoGetm_sousTypeContexteDemande(this);
  }
  
  public final void setSousTypeContexteDemande(String p_sousTypeContexteDemande)
  {
    jdoSetm_sousTypeContexteDemande(this, p_sousTypeContexteDemande);
  }
  
  public Damj getDateDebutJustifContexte()
  {
    return jdoGetm_dateDebutJustifContexte(this);
  }
  
  public final void setDateDebutJustifContexte(Damj p_dateDebutJustifContexte)
  {
    jdoSetm_dateDebutJustifContexte(this, p_dateDebutJustifContexte);
  }
  
  public Damj getDateFinJustifContexte()
  {
    return jdoGetm_dateFinJustifContexte(this);
  }
  
  public final void setDateFinJustifContexte(Damj p_dateFinJustifContexte)
  {
    jdoSetm_dateFinJustifContexte(this, p_dateFinJustifContexte);
  }
  
  public DomPCSpec getSaisieAntecedent()
  {
    return jdoGetm_saisieAntecedent(this);
  }
  
  public final void setSaisieAntecedent(DomPCSpec p_saisieAntecedent)
  {
    jdoSetm_saisieAntecedent(this, (SaisieAntecedentPC)p_saisieAntecedent);
  }
  
  public String getEtatForcageDelaiAttente()
  {
    return jdoGetm_etatForcageDelaiAttente(this);
  }
  
  public final void setEtatForcageDelaiAttente(String p_etatForcageDelaiAttente)
  {
    jdoSetm_etatForcageDelaiAttente(this, p_etatForcageDelaiAttente);
  }
  
  public String getNumeroConventionPE()
  {
    return jdoGetm_numeroConventionPE(this);
  }
  
  public final void setNumeroConventionPE(String p_numeroConventionPE)
  {
    jdoSetm_numeroConventionPE(this, p_numeroConventionPE);
  }
  
  public String getCodeAffectationConvention()
  {
    return jdoGetm_codeAffectationConvention(this);
  }
  
  public final void setCodeAffectationConvention(String p_codeAffectationConvention)
  {
    jdoSetm_codeAffectationConvention(this, p_codeAffectationConvention);
  }
  
  public boolean isEstDerogationCspDonneesTemporaire()
  {
    return jdoGetm_estDerogationCspDonneesTemporaire(this);
  }
  
  public final void setEstDerogationCspDonneesTemporaire(boolean p_estDerogationCspDonneesTemporaire)
  {
    jdoSetm_estDerogationCspDonneesTemporaire(this, p_estDerogationCspDonneesTemporaire);
  }
  
  public boolean isEstSalarieHandicapeChomageTotalSansRupture()
  {
    return jdoGetm_estSalarieHandicapeChomageTotalSansRupture(this);
  }
  
  public final void setEstSalarieHandicapeChomageTotalSansRupture(boolean p_estSalarieHandicapeChomageTotalSansRupture)
  {
    jdoSetm_estSalarieHandicapeChomageTotalSansRupture(this, p_estSalarieHandicapeChomageTotalSansRupture);
  }
  
  public BigDecimal getDureeImputationSP()
  {
    return jdoGetm_dureeImputationSP(this);
  }
  
  public final void setDureeImputationSP(BigDecimal p_dureeImputationSP)
  {
    jdoSetm_dureeImputationSP(this, p_dureeImputationSP);
  }
  
  public Damj getDjiSpFinDroit()
  {
    return jdoGetm_djiSpFinDroit(this);
  }
  
  public final void setDjiSpFinDroit(Damj p_djiSpFinDroit)
  {
    jdoSetm_djiSpFinDroit(this, p_djiSpFinDroit);
  }
  
  public String getIdExterneEmployeurSp()
  {
    return jdoGetm_idExterneEmployeurSp(this);
  }
  
  public final void setIdExterneEmployeurSp(String p_idExterneEmployeurSp)
  {
    jdoSetm_idExterneEmployeurSp(this, p_idExterneEmployeurSp);
  }
  
  public boolean isEstLeveeControlePANSSuiteARCEDonneesTemporaires()
  {
    return jdoGetm_estLeveeControlePANSSuiteARCEDonneesTemporaires(this);
  }
  
  public final void setEstLeveeControlePANSSuiteARCEDonneesTemporaires(boolean p_estLeveeControlePANSSuiteARCEDonneesTemporaires)
  {
    jdoSetm_estLeveeControlePANSSuiteARCEDonneesTemporaires(this, p_estLeveeControlePANSSuiteARCEDonneesTemporaires);
  }
  
  public boolean isEstLeveeConditionACMemeEmployeur()
  {
    return jdoGetm_estLeveeConditionACMemeEmployeur(this);
  }
  
  public final void setEstLeveeConditionACMemeEmployeur(boolean p_estLeveeConditionACMemeEmployeur)
  {
    jdoSetm_estLeveeConditionACMemeEmployeur(this, p_estLeveeConditionACMemeEmployeur);
  }
  
  public BigDecimal getNbjImputationDroitAServir()
  {
    return jdoGetm_nbjImputationDroitAServir(this);
  }
  
  public final void setNbjImputationDroitAServir(BigDecimal p_nbjImputationDroitAServir)
  {
    jdoSetm_nbjImputationDroitAServir(this, p_nbjImputationDroitAServir);
  }
  
  public int getMotifNbJourImputationDroitAServir()
  {
    return jdoGetm_motifNbJourImputationDroitAServir(this);
  }
  
  public final void setMotifNbJourImputationDroitAServir(int p_motifNbJourImputationDroitAServir)
  {
    jdoSetm_motifNbJourImputationDroitAServir(this, p_motifNbJourImputationDroitAServir);
  }
  
  public int getMotifNbJourImputationDroitCourant()
  {
    return jdoGetm_motifNbJourImputationDroitCourant(this);
  }
  
  public final void setMotifNbJourImputationDroitCourant(int p_motifNbJourImputationDroitCourant)
  {
    jdoSetm_motifNbJourImputationDroitCourant(this, p_motifNbJourImputationDroitCourant);
  }
  
  public int getMotifNbJourImputationDroitPrecedent()
  {
    return jdoGetm_motifNbJourImputationDroitPrecedent(this);
  }
  
  public final void setMotifNbJourImputationDroitPrecedent(int p_motifNbJourImputationDroitPrecedent)
  {
    jdoSetm_motifNbJourImputationDroitPrecedent(this, p_motifNbJourImputationDroitPrecedent);
  }
  
  public int getMotifMontantImputationDroitAServir()
  {
    return jdoGetm_motifMontantImputationDroitAServir(this);
  }
  
  public final void setMotifMontantImputationDroitAServir(int p_motifMontantImputationDroitAServir)
  {
    jdoSetm_motifMontantImputationDroitAServir(this, p_motifMontantImputationDroitAServir);
  }
  
  public BigDecimal getMontantImputationDroitAServir()
  {
    return jdoGetm_montantImputationDroitAServir(this);
  }
  
  public final void setMontantImputationDroitAServir(BigDecimal p_montantImputationDroitAServir)
  {
    jdoSetm_montantImputationDroitAServir(this, p_montantImputationDroitAServir);
  }
  
  public boolean isEstIgnorerAttribPrecCSR()
  {
    return jdoGetm_estIgnorerAttribPrecCSR(this);
  }
  
  public final void setEstIgnorerAttribPrecCSR(boolean p_estIgnorerAttribPrecCSR)
  {
    jdoSetm_estIgnorerAttribPrecCSR(this, p_estIgnorerAttribPrecCSR);
  }
  
  public boolean isEstPCRCForceDroitCourant()
  {
    return jdoGetm_estPCRCForceDroitCourant(this);
  }
  
  public final void setEstPCRCForceDroitCourant(boolean p_estPCRCForceDroitCourant)
  {
    jdoSetm_estPCRCForceDroitCourant(this, p_estPCRCForceDroitCourant);
  }
  
  public boolean isEstPCRCForceDroitPrecedent()
  {
    return jdoGetm_estPCRCForceDroitPrecedent(this);
  }
  
  public final void setEstPCRCForceDroitPrecedent(boolean p_estPCRCForceDroitPrecedent)
  {
    jdoSetm_estPCRCForceDroitPrecedent(this, p_estPCRCForceDroitPrecedent);
  }
  
  public Damj getDateDepartICCP()
  {
    return jdoGetm_dateDepartICCP(this);
  }
  
  public final void setDateDepartICCP(Damj p_dateDepartICCP)
  {
    jdoSetm_dateDepartICCP(this, p_dateDepartICCP);
  }
  
  public boolean isEstDemarcheReintegrationEffectuee()
  {
    return jdoGetm_estDemarcheReintegrationEffectuee(this);
  }
  
  public final void setEstDemarcheReintegrationEffectuee(boolean p_estDemarcheReintegrationEffectuee)
  {
    jdoSetm_estDemarcheReintegrationEffectuee(this, p_estDemarcheReintegrationEffectuee);
  }
  
  public Quantite getDureeTheoriqueForcee()
  {
    return jdoGetm_dureeTheoriqueForcee(this);
  }
  
  public final void setDureeTheoriqueForcee(Quantite p_dureeTheoriqueForcee)
  {
    jdoSetm_dureeTheoriqueForcee(this, p_dureeTheoriqueForcee);
  }
  
  public Damj getDateExamenForcee()
  {
    return jdoGetm_dateExamenForcee(this);
  }
  
  public final void setDateExamenForcee(Damj p_dateExamenForcee)
  {
    jdoSetm_dateExamenForcee(this, p_dateExamenForcee);
  }
  
  public Damj getDateAttributionForcee()
  {
    return jdoGetm_dateAttributionForcee(this);
  }
  
  public final void setDateAttributionForcee(Damj p_dateAttributionForcee)
  {
    jdoSetm_dateAttributionForcee(this, p_dateAttributionForcee);
  }
  
  public Boolean isDelaiAttenteForce()
  {
    return jdoGetm_delaiAttenteForce(this);
  }
  
  public final void setDelaiAttenteForce(Boolean p_delaiAttenteForce)
  {
    jdoSetm_delaiAttenteForce(this, p_delaiAttenteForce);
  }
  
  public boolean isConditionChomageInvolontaireSatistaite()
  {
    return jdoGetm_conditionChomageInvolontaireSatistaite(this);
  }
  
  public final void setConditionChomageInvolontaireSatistaite(boolean p_conditionChomageInvolontaireSatistaite)
  {
    jdoSetm_conditionChomageInvolontaireSatistaite(this, p_conditionChomageInvolontaireSatistaite);
  }
  
  public boolean isDroitOptionForce()
  {
    return jdoGetm_droitOptionForce(this);
  }
  
  public final void setDroitOptionForce(boolean p_droitOptionForce)
  {
    jdoSetm_droitOptionForce(this, p_droitOptionForce);
  }
  
  public Damj getDjiDroitSpContexteRechargement()
  {
    return jdoGetm_djiDroitSpContexteRechargement(this);
  }
  
  public final void setDjiDroitSpContexteRechargement(Damj p_djiDroitSpContexteRechargement)
  {
    jdoSetm_djiDroitSpContexteRechargement(this, p_djiDroitSpContexteRechargement);
  }
  
  public Damj getFgdDroitSpContexteRechargement()
  {
    return jdoGetm_fgdDroitSpContexteRechargement(this);
  }
  
  public final void setFgdDroitSpContexteRechargement(Damj p_fgdDroitSpContexteRechargement)
  {
    jdoSetm_fgdDroitSpContexteRechargement(this, p_fgdDroitSpContexteRechargement);
  }
  
  public boolean isRepriseForceeSurDemandeExpresse()
  {
    return jdoGetm_repriseForceeSurDemandeExpresse(this);
  }
  
  public final void setRepriseForceeSurDemandeExpresse(boolean p_repriseForceeSurDemandeExpresse)
  {
    jdoSetm_repriseForceeSurDemandeExpresse(this, p_repriseForceeSurDemandeExpresse);
  }
  
  public BigDecimal getMontantJournalierReliquat()
  {
    return jdoGetm_montantJournalierReliquat(this);
  }
  
  public final void setMontantJournalierReliquat(BigDecimal p_montantJournalierReliquat)
  {
    jdoSetm_montantJournalierReliquat(this, p_montantJournalierReliquat);
  }
  
  public BigDecimal getCapitalReliquat()
  {
    return jdoGetm_capitalReliquat(this);
  }
  
  public final void setCapitalReliquat(BigDecimal p_capitalReliquat)
  {
    jdoSetm_capitalReliquat(this, p_capitalReliquat);
  }
  
  public boolean isEstNonExecutable()
  {
    return jdoGetm_estNonExecutable(this);
  }
  
  public final void setEstNonExecutable(boolean p_estNonExecutable)
  {
    jdoSetm_estNonExecutable(this, p_estNonExecutable);
  }
  
  public Boolean isEstDesactivationPnds()
  {
    return jdoGetm_estDesactivationPnds(this);
  }
  
  public final void setEstDesactivationPnds(Boolean p_estDesactivationPnds)
  {
    jdoSetm_estDesactivationPnds(this, p_estDesactivationPnds);
  }
  
  public Quantite getDureePostPrime()
  {
    return jdoGetm_dureePostPrime(this);
  }
  
  public final void setDureePostPrime(Quantite p_dureePostPrime)
  {
    jdoSetm_dureePostPrime(this, p_dureePostPrime);
  }
  
  public Damj getDateFinDispositifCSP()
  {
    return jdoGetm_dateFinDispositifCSP(this);
  }
  
  public final void setDateFinDispositifCSP(Damj p_dateFinDispositifCSP)
  {
    jdoSetm_dateFinDispositifCSP(this, p_dateFinDispositifCSP);
  }
  
  public String getMotifEchecTraitement()
  {
    return jdoGetm_motifEchecTraitement(this);
  }
  
  public final void setMotifEchecTraitement(String p_motifEchecTraitement)
  {
    jdoSetm_motifEchecTraitement(this, p_motifEchecTraitement);
  }
  
  public String getModeTraitementDemande()
  {
    return jdoGetm_modeTraitementDemande(this);
  }
  
  public final void setModeTraitementDemande(String p_modeTraitementDemande)
  {
    jdoSetm_modeTraitementDemande(this, p_modeTraitementDemande);
  }
  
  public BigDecimal getDureeImputation()
  {
    return jdoGetm_dureeImputation(this);
  }
  
  public final void setDureeImputation(BigDecimal p_dureeImputation)
  {
    jdoSetm_dureeImputation(this, p_dureeImputation);
  }
  
  public BigDecimal getNbJoursAllongement()
  {
    return jdoGetm_nbJoursAllongement(this);
  }
  
  public final void setNbJoursAllongement(BigDecimal p_nbJoursAllongement)
  {
    jdoSetm_nbJoursAllongement(this, p_nbJoursAllongement);
  }
  
  public Damj getDateLimiteIndemnisationDonneeForcee()
  {
    return jdoGetm_dateLimiteIndemnisationDonneeForcee(this);
  }
  
  public final void setDateLimiteIndemnisationDonneeForcee(Damj p_dateLimiteIndemnisationDonneeForcee)
  {
    jdoSetm_dateLimiteIndemnisationDonneeForcee(this, p_dateLimiteIndemnisationDonneeForcee);
  }
  
  public Damj getDateTraitementDemande()
  {
    return jdoGetm_dateTraitementDemande(this);
  }
  
  public final void setDateTraitementDemande(Damj p_dateTraitementDemande)
  {
    jdoSetm_dateTraitementDemande(this, p_dateTraitementDemande);
  }
  
  public boolean isReliquatSecteurPublicEteintDonneesComplementaires()
  {
    return jdoGetm_reliquatSecteurPublicEteintDonneesComplementaires(this);
  }
  
  public final void setReliquatSecteurPublicEteintDonneesComplementaires(boolean p_reliquatSecteurPublicEteintDonneesComplementaires)
  {
    jdoSetm_reliquatSecteurPublicEteintDonneesComplementaires(this, p_reliquatSecteurPublicEteintDonneesComplementaires);
  }
  
  public boolean isReliquatSecteurPublicPrescritRejete()
  {
    return jdoGetm_reliquatSecteurPublicPrescritRejete(this);
  }
  
  public final void setReliquatSecteurPublicPrescritRejete(boolean p_reliquatSecteurPublicPrescritRejete)
  {
    jdoSetm_reliquatSecteurPublicPrescritRejete(this, p_reliquatSecteurPublicPrescritRejete);
  }
  
  public boolean isLeveeConditionCLCA()
  {
    return jdoGetm_leveeConditionCLCA(this);
  }
  
  public final void setLeveeConditionCLCA(boolean p_leveeConditionCLCA)
  {
    jdoSetm_leveeConditionCLCA(this, p_leveeConditionCLCA);
  }
  
  public String getIdentifiantObjetMetier()
  {
    return jdoGetm_identifiantObjetMetier(this);
  }
  
  public final void setIdentifiantObjetMetier(String p_identifiantObjetMetier)
  {
    jdoSetm_identifiantObjetMetier(this, p_identifiantObjetMetier);
  }
  
  public Boolean isConditionAffiliationSatisfaiteForcee()
  {
    return jdoGetm_conditionAffiliationSatisfaiteForcee(this);
  }
  
  public final void setConditionAffiliationSatisfaiteForcee(Boolean p_conditionAffiliationSatisfaiteForcee)
  {
    jdoSetm_conditionAffiliationSatisfaiteForcee(this, p_conditionAffiliationSatisfaiteForcee);
  }
  
  public Boolean isConditionAncienneteSatisfaiteForcee()
  {
    return jdoGetm_conditionAncienneteSatisfaiteForcee(this);
  }
  
  public final void setConditionAncienneteSatisfaiteForcee(Boolean p_conditionAncienneteSatisfaiteForcee)
  {
    jdoSetm_conditionAncienneteSatisfaiteForcee(this, p_conditionAncienneteSatisfaiteForcee);
  }
  
  public Damj getDateFinPeriodeAncienneteForcee()
  {
    return jdoGetm_dateFinPeriodeAncienneteForcee(this);
  }
  
  public final void setDateFinPeriodeAncienneteForcee(Damj p_dateFinPeriodeAncienneteForcee)
  {
    jdoSetm_dateFinPeriodeAncienneteForcee(this, p_dateFinPeriodeAncienneteForcee);
  }
  
  public BigDecimal getNombreJourTotalA8A10Force()
  {
    return jdoGetm_nombreJourTotalA8A10Force(this);
  }
  
  public final void setNombreJourTotalA8A10Force(BigDecimal p_nombreJourTotalA8A10Force)
  {
    jdoSetm_nombreJourTotalA8A10Force(this, p_nombreJourTotalA8A10Force);
  }
  
  public boolean isEstRepriseStockSpectacle2016Faite()
  {
    return jdoGetm_estRepriseStockSpectacle2016Faite(this);
  }
  
  public final void setEstRepriseStockSpectacle2016Faite(boolean p_estRepriseStockSpectacle2016Faite)
  {
    jdoSetm_estRepriseStockSpectacle2016Faite(this, p_estRepriseStockSpectacle2016Faite);
  }
  
  public boolean isAttenteIncoherenceSalaireLevee()
  {
    return jdoGetm_attenteIncoherenceSalaireLevee(this);
  }
  
  public final void setAttenteIncoherenceSalaireLevee(boolean p_attenteIncoherenceSalaireLevee)
  {
    jdoSetm_attenteIncoherenceSalaireLevee(this, p_attenteIncoherenceSalaireLevee);
  }
  
  public String getCompetenceFinanciereDonneesTemporaires()
  {
    return jdoGetm_competenceFinanciereDonneesTemporaires(this);
  }
  
  public final void setCompetenceFinanciereDonneesTemporaires(String p_competenceFinanciereDonneesTemporaires)
  {
    jdoSetm_competenceFinanciereDonneesTemporaires(this, p_competenceFinanciereDonneesTemporaires);
  }
  
  public String getEmployeurSecteurPublicCompetentDonneesTemporaires()
  {
    return jdoGetm_employeurSecteurPublicCompetentDonneesTemporaires(this);
  }
  
  public final void setEmployeurSecteurPublicCompetentDonneesTemporaires(String p_employeurSecteurPublicCompetentDonneesTemporaires)
  {
    jdoSetm_employeurSecteurPublicCompetentDonneesTemporaires(this, p_employeurSecteurPublicCompetentDonneesTemporaires);
  }
  
  public BigDecimal getMontantIndemnitePreavisContribDonneesTemporaires()
  {
    return jdoGetm_montantIndemnitePreavisContribDonneesTemporaires(this);
  }
  
  public final void setMontantIndemnitePreavisContribDonneesTemporaires(BigDecimal p_montantIndemnitePreavisContribDonneesTemporaires)
  {
    jdoSetm_montantIndemnitePreavisContribDonneesTemporaires(this, p_montantIndemnitePreavisContribDonneesTemporaires);
  }
  
  public BigDecimal getContributionAdhesionVolontaireDonneesTemporaires()
  {
    return jdoGetm_contributionAdhesionVolontaireDonneesTemporaires(this);
  }
  
  public final void setContributionAdhesionVolontaireDonneesTemporaires(BigDecimal p_contributionAdhesionVolontaireDonneesTemporaires)
  {
    jdoSetm_contributionAdhesionVolontaireDonneesTemporaires(this, p_contributionAdhesionVolontaireDonneesTemporaires);
  }
  
  public BigDecimal getNombreMoisPreavisDonneesTemporaires()
  {
    return jdoGetm_nombreMoisPreavisDonneesTemporaires(this);
  }
  
  public final void setNombreMoisPreavisDonneesTemporaires(BigDecimal p_nombreMoisPreavisDonneesTemporaires)
  {
    jdoSetm_nombreMoisPreavisDonneesTemporaires(this, p_nombreMoisPreavisDonneesTemporaires);
  }
  
  public boolean isPresenceDerniersSalairesDonneesTemporaires()
  {
    return jdoGetm_presenceDerniersSalairesDonneesTemporaires(this);
  }
  
  public final void setPresenceDerniersSalairesDonneesTemporaires(boolean p_presenceDerniersSalairesDonneesTemporaires)
  {
    jdoSetm_presenceDerniersSalairesDonneesTemporaires(this, p_presenceDerniersSalairesDonneesTemporaires);
  }
  
  public boolean isDroitInterimaireDonneesTemporaires()
  {
    return jdoGetm_droitInterimaireDonneesTemporaires(this);
  }
  
  public final void setDroitInterimaireDonneesTemporaires(boolean p_droitInterimaireDonneesTemporaires)
  {
    jdoSetm_droitInterimaireDonneesTemporaires(this, p_droitInterimaireDonneesTemporaires);
  }
  
  public BigDecimal getDiviseurSjrDonneesTemporaires()
  {
    return jdoGetm_diviseurSjrDonneesTemporaires(this);
  }
  
  public final void setDiviseurSjrDonneesTemporaires(BigDecimal p_diviseurSjrDonneesTemporaires)
  {
    jdoSetm_diviseurSjrDonneesTemporaires(this, p_diviseurSjrDonneesTemporaires);
  }
  
  public BigDecimal getDureeAllongementAREFDonneesTemporaires()
  {
    return jdoGetm_dureeAllongementAREFDonneesTemporaires(this);
  }
  
  public final void setDureeAllongementAREFDonneesTemporaires(BigDecimal p_dureeAllongementAREFDonneesTemporaires)
  {
    jdoSetm_dureeAllongementAREFDonneesTemporaires(this, p_dureeAllongementAREFDonneesTemporaires);
  }
  
  public int getReliquatAllongementArefPossibleReliquat()
  {
    return jdoGetm_reliquatAllongementArefPossibleReliquat(this);
  }
  
  public final void setReliquatAllongementArefPossibleReliquat(int p_reliquatAllongementArefPossibleReliquat)
  {
    jdoSetm_reliquatAllongementArefPossibleReliquat(this, p_reliquatAllongementArefPossibleReliquat);
  }
  
  public boolean isRejetConditionChomageInvolontaire()
  {
    return jdoGetm_rejetConditionChomageInvolontaire(this);
  }
  
  public final void setRejetConditionChomageInvolontaire(boolean p_rejetConditionChomageInvolontaire)
  {
    jdoSetm_rejetConditionChomageInvolontaire(this, p_rejetConditionChomageInvolontaire);
  }
  
  public Damj getDateDepotOrigineFormulaireAsu()
  {
    return jdoGetm_dateDepotOrigineFormulaireAsu(this);
  }
  
  public final void setDateDepotOrigineFormulaireAsu(Damj p_dateDepotOrigineFormulaireAsu)
  {
    jdoSetm_dateDepotOrigineFormulaireAsu(this, p_dateDepotOrigineFormulaireAsu);
  }
  
  public Boolean isLeverConditionBeneficeAutreProduit()
  {
    return jdoGetm_leverConditionBeneficeAutreProduit(this);
  }
  
  public final void setLeverConditionBeneficeAutreProduit(Boolean p_leverConditionBeneficeAutreProduit)
  {
    jdoSetm_leverConditionBeneficeAutreProduit(this, p_leverConditionBeneficeAutreProduit);
  }
  
  public final Collection getCollectionObjectifExamen()
  {
    if (jdoGetm_listeObjectifsExamenDemande(this) == null) {
      jdoSetm_listeObjectifsExamenDemande(this, new ArrayList());
    }
    return jdoGetm_listeObjectifsExamenDemande(this);
  }
  
  public final void ajouterObjectifExamen(DomPCSpec p_objectifExamen)
    throws NullPointerException
  {
    if (p_objectifExamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_objectifExamen ne devrait pas être nul.", p_objectifExamen);
    }
    getCollectionObjectifExamen().add(p_objectifExamen);
  }
  
  public final void supprimerObjectifExamen(DomPCSpec p_objectifExamen)
    throws NullPointerException
  {
    if (p_objectifExamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_objectifExamen ne devrait pas être nul.", p_objectifExamen);
    }
    getCollectionObjectifExamen().remove(p_objectifExamen);
  }
  
  public final Collection getCollectionMotifReexamen()
  {
    if (jdoGetm_listeMotifsReexamenDemande(this) == null) {
      jdoSetm_listeMotifsReexamenDemande(this, new ArrayList());
    }
    return jdoGetm_listeMotifsReexamenDemande(this);
  }
  
  public final void ajouterMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionMotifReexamen().add(p_motifReexamen);
  }
  
  public final void supprimerMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionMotifReexamen().remove(p_motifReexamen);
  }
  
  public final Collection getCollectionPeriodeRepriseActiviteMemeEmployeurPossible()
  {
    if (jdoGetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(this) == null) {
      jdoSetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(this, new ArrayList());
    }
    return jdoGetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(this);
  }
  
  public final void ajouterPeriodeRepriseActiviteMemeEmployeurPossible(DomPCSpec p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire)
    throws NullPointerException
  {
    if (p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire ne devrait pas être nul.", p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    }
    getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().add(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
  }
  
  public final void supprimerPeriodeRepriseActiviteMemeEmployeurPossible(DomPCSpec p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire)
    throws NullPointerException
  {
    if (p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire ne devrait pas être nul.", p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    }
    getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().remove(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
  }
  
  public final Collection getCollectionPeriodeChomageSaisonnierRepContextuelle()
  {
    if (jdoGetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(this) == null) {
      jdoSetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(this, new ArrayList());
    }
    return jdoGetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(this);
  }
  
  public final void ajouterPeriodeChomageSaisonnierRepContextuelle(DomPCSpec p_periodesChomageSaisonnierRepContextuelleElementJustification)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierRepContextuelleElementJustification == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierRepContextuelleElementJustification ne devrait pas être nul.", p_periodesChomageSaisonnierRepContextuelleElementJustification);
    }
    getCollectionPeriodeChomageSaisonnierRepContextuelle().add(p_periodesChomageSaisonnierRepContextuelleElementJustification);
  }
  
  public final void supprimerPeriodeChomageSaisonnierRepContextuelle(DomPCSpec p_periodesChomageSaisonnierRepContextuelleElementJustification)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierRepContextuelleElementJustification == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierRepContextuelleElementJustification ne devrait pas être nul.", p_periodesChomageSaisonnierRepContextuelleElementJustification);
    }
    getCollectionPeriodeChomageSaisonnierRepContextuelle().remove(p_periodesChomageSaisonnierRepContextuelleElementJustification);
  }
  
  public final Collection getCollectionPensionInvalidite()
  {
    if (jdoGetm_listePensionInvaliditeDonneeForcee(this) == null) {
      jdoSetm_listePensionInvaliditeDonneeForcee(this, new ArrayList());
    }
    return jdoGetm_listePensionInvaliditeDonneeForcee(this);
  }
  
  public final void ajouterPensionInvalidite(DomPCSpec p_pensionInvaliditeDonneeForcee)
    throws NullPointerException
  {
    if (p_pensionInvaliditeDonneeForcee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeDonneeForcee ne devrait pas être nul.", p_pensionInvaliditeDonneeForcee);
    }
    getCollectionPensionInvalidite().add(p_pensionInvaliditeDonneeForcee);
  }
  
  public final void supprimerPensionInvalidite(DomPCSpec p_pensionInvaliditeDonneeForcee)
    throws NullPointerException
  {
    if (p_pensionInvaliditeDonneeForcee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeDonneeForcee ne devrait pas être nul.", p_pensionInvaliditeDonneeForcee);
    }
    getCollectionPensionInvalidite().remove(p_pensionInvaliditeDonneeForcee);
  }
  
  public final Collection getCollectionUniteTraitementForcee()
  {
    if (jdoGetm_forcageExecutionDemande(this) == null) {
      jdoSetm_forcageExecutionDemande(this, new ArrayList());
    }
    return jdoGetm_forcageExecutionDemande(this);
  }
  
  public final void ajouterUniteTraitementForcee(DomPCSpec p_forcageExecution)
    throws NullPointerException
  {
    if (p_forcageExecution == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_forcageExecution ne devrait pas être nul.", p_forcageExecution);
    }
    getCollectionUniteTraitementForcee().add(p_forcageExecution);
  }
  
  public final void supprimerUniteTraitementForcee(DomPCSpec p_forcageExecution)
    throws NullPointerException
  {
    if (p_forcageExecution == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_forcageExecution ne devrait pas être nul.", p_forcageExecution);
    }
    getCollectionUniteTraitementForcee().remove(p_forcageExecution);
  }
  
  public final Collection getCollectionContexte()
  {
    if (jdoGetm_listeContextes(this) == null) {
      jdoSetm_listeContextes(this, new ArrayList());
    }
    return jdoGetm_listeContextes(this);
  }
  
  public final void ajouterContexte(DomPCSpec p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionContexte().add(p_contextes);
  }
  
  public final void supprimerContexte(DomPCSpec p_contextes)
    throws NullPointerException
  {
    if (p_contextes == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_contextes ne devrait pas être nul.", p_contextes);
    }
    getCollectionContexte().remove(p_contextes);
  }
  
  static
  {
    JDOImplHelper.registerClass(DemandePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new DemandePC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesReliquat;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesReliquat);
    }
    return m_presenceDonneesReliquat;
  }
  
  protected static final boolean jdoGetm_presenceDonneesDonneesDAL(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesDonneesDAL;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesDonneesDAL;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesDonneesDAL);
    }
    return m_presenceDonneesDonneesDAL;
  }
  
  protected static final boolean jdoGetm_presenceDonneesElementJustification(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesElementJustification;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesElementJustification;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesElementJustification);
    }
    return m_presenceDonneesElementJustification;
  }
  
  protected static final boolean jdoGetm_presenceDonneesDemandeAssociee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesDemandeAssociee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesDemandeAssociee;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesDemandeAssociee);
    }
    return m_presenceDonneesDemandeAssociee;
  }
  
  private static final boolean jdoGetm_presenceDonneesTypeContexte(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesTypeContexte;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesTypeContexte;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesTypeContexte);
    }
    return m_presenceDonneesTypeContexte;
  }
  
  protected static final String jdoGetm_motifReexamenPrincipalDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifReexamenPrincipalDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_motifReexamenPrincipalDemande;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 5, m_motifReexamenPrincipalDemande);
    }
    return m_motifReexamenPrincipalDemande;
  }
  
  protected static final boolean jdoGetm_demandeExpresseDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_demandeExpresseDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_demandeExpresseDemande;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_demandeExpresseDemande);
    }
    return m_demandeExpresseDemande;
  }
  
  protected static final boolean jdoGetm_liquideeAvecConflitsDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_liquideeAvecConflitsDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_liquideeAvecConflitsDemande;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_liquideeAvecConflitsDemande);
    }
    return m_liquideeAvecConflitsDemande;
  }
  
  protected static final int jdoGetm_estMigreeDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estMigreeDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_estMigreeDemande;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 8, m_estMigreeDemande);
    }
    return m_estMigreeDemande;
  }
  
  protected static final boolean jdoGetm_estDeneutralisable(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDeneutralisable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_estDeneutralisable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_estDeneutralisable);
    }
    return m_estDeneutralisable;
  }
  
  protected static final boolean jdoGetm_estNeutraliseeLiquidationDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estNeutraliseeLiquidationDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_estNeutraliseeLiquidationDemande;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_estNeutraliseeLiquidationDemande);
    }
    return m_estNeutraliseeLiquidationDemande;
  }
  
  protected static final boolean jdoGetm_estNeutraliseeCalculDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estNeutraliseeCalculDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_estNeutraliseeCalculDemande;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_estNeutraliseeCalculDemande);
    }
    return m_estNeutraliseeCalculDemande;
  }
  
  protected static final boolean jdoGetm_estLiquidableDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estLiquidableDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_estLiquidableDemande;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 12, m_estLiquidableDemande);
    }
    return m_estLiquidableDemande;
  }
  
  protected static final DemandePivotPC jdoGetm_demandePivotDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_demandePivotDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_demandePivotDemande;
      }
      return (DemandePivotPC)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_demandePivotDemande);
    }
    return m_demandePivotDemande;
  }
  
  protected static final Damj jdoGetm_datePremiereValidationDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_datePremiereValidationDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_datePremiereValidationDemande;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 14, m_datePremiereValidationDemande);
    }
    return m_datePremiereValidationDemande;
  }
  
  protected static final Damj jdoGetm_dateDerniereValidationDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDerniereValidationDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_dateDerniereValidationDemande;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_dateDerniereValidationDemande);
    }
    return m_dateDerniereValidationDemande;
  }
  
  protected static final Damj jdoGetm_dateDerniereNotificationDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDerniereNotificationDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_dateDerniereNotificationDemande;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_dateDerniereNotificationDemande);
    }
    return m_dateDerniereNotificationDemande;
  }
  
  protected static final DemandePC jdoGetm_demandeOrigineDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_demandeOrigineDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_demandeOrigineDemande;
      }
      return (DemandePC)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_demandeOrigineDemande);
    }
    return m_demandeOrigineDemande;
  }
  
  protected static final DossierAffectationPC jdoGetm_dossierAffectationAdmissionDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dossierAffectationAdmissionDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_dossierAffectationAdmissionDemande;
      }
      return (DossierAffectationPC)sm.getObjectField(pc, jdoInheritedFieldCount + 18, m_dossierAffectationAdmissionDemande);
    }
    return m_dossierAffectationAdmissionDemande;
  }
  
  protected static final DossierAffectationPC jdoGetm_dossierAffectationRepriseDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dossierAffectationRepriseDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_dossierAffectationRepriseDemande;
      }
      return (DossierAffectationPC)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_dossierAffectationRepriseDemande);
    }
    return m_dossierAffectationRepriseDemande;
  }
  
  protected static final ClassementAdministratifPC jdoGetm_classementAdministratifDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_classementAdministratifDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_classementAdministratifDemande;
      }
      return (ClassementAdministratifPC)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_classementAdministratifDemande);
    }
    return m_classementAdministratifDemande;
  }
  
  protected static final EvenementReferenceExamenSpec jdoGetm_evenementReferenceExamen(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_evenementReferenceExamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_evenementReferenceExamen;
      }
      return (EvenementReferenceExamenSpec)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_evenementReferenceExamen);
    }
    return m_evenementReferenceExamen;
  }
  
  protected static final String jdoGetm_commentaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_commentaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_commentaire;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 22, m_commentaire);
    }
    return m_commentaire;
  }
  
  protected static final Damj jdoGetm_termePrcDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePrcDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_termePrcDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_termePrcDonneesTemporaire);
    }
    return m_termePrcDonneesTemporaire;
  }
  
  protected static final DureeCalendaire jdoGetm_allongementDelaiDecheanceDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_allongementDelaiDecheanceDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_allongementDelaiDecheanceDonneesTemporaire;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_allongementDelaiDecheanceDonneesTemporaire);
    }
    return m_allongementDelaiDecheanceDonneesTemporaire;
  }
  
  protected static final DureeCalendaire jdoGetm_allongementDelaiForclusionDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_allongementDelaiForclusionDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_allongementDelaiForclusionDonneesTemporaire;
      }
      return (DureeCalendaire)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_allongementDelaiForclusionDonneesTemporaire);
    }
    return m_allongementDelaiForclusionDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_inopposabiliteDelaiDecheanceDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_inopposabiliteDelaiDecheanceDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_inopposabiliteDelaiDecheanceDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 26, m_inopposabiliteDelaiDecheanceDonneesTemporaire);
    }
    return m_inopposabiliteDelaiDecheanceDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_coefficientSaisonnierDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnierDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_coefficientSaisonnierDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_coefficientSaisonnierDonneesTemporaire);
    }
    return m_coefficientSaisonnierDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_coefficientTempsPartielDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 28, m_coefficientTempsPartielDonneesTemporaire);
    }
    return m_coefficientTempsPartielDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_sjcDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_sjcDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 29, m_sjcDonneesTemporaire);
    }
    return m_sjcDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_sjrDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_sjrDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_sjrDonneesTemporaire);
    }
    return m_sjrDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_canAvecCentVingtTrimestresDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_canAvecCentVingtTrimestresDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_canAvecCentVingtTrimestresDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 31, m_canAvecCentVingtTrimestresDonneesTemporaire);
    }
    return m_canAvecCentVingtTrimestresDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_caractereSaisonnierForceDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_caractereSaisonnierForceDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_caractereSaisonnierForceDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 32, m_caractereSaisonnierForceDonneesTemporaire);
    }
    return m_caractereSaisonnierForceDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 33, m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire);
    }
    return m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_fortuiteCaractereSaisonnierParTypeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 34, m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire);
    }
    return m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_pensionRaccordementDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionRaccordementDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_pensionRaccordementDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 35, m_pensionRaccordementDonneesTemporaire);
    }
    return m_pensionRaccordementDonneesTemporaire;
  }
  
  protected static final int jdoGetm_typeCaractereSaisonnierForceDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCaractereSaisonnierForceDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_typeCaractereSaisonnierForceDonneesTemporaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 36, m_typeCaractereSaisonnierForceDonneesTemporaire);
    }
    return m_typeCaractereSaisonnierForceDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_capitalReliquatSecteurPublicDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalReliquatSecteurPublicDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_capitalReliquatSecteurPublicDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 37, m_capitalReliquatSecteurPublicDonneesTemporaire);
    }
    return m_capitalReliquatSecteurPublicDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_dateDebutPIDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutPIDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_dateDebutPIDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 38, m_dateDebutPIDonneesTemporaire);
    }
    return m_dateDebutPIDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_dateFinPIDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPIDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_dateFinPIDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_dateFinPIDonneesTemporaire);
    }
    return m_dateFinPIDonneesTemporaire;
  }
  
  protected static final String jdoGetm_identifiantPeriodeFctARetenirDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantPeriodeFctARetenirDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_identifiantPeriodeFctARetenirDonneesTemporaire;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 40, m_identifiantPeriodeFctARetenirDonneesTemporaire);
    }
    return m_identifiantPeriodeFctARetenirDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_quantiteAffiliationDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_quantiteAffiliationDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 41, m_quantiteAffiliationDonneesTemporaire);
    }
    return m_quantiteAffiliationDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_dateAttributionDroitAnterieurSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionDroitAnterieurSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_dateAttributionDroitAnterieurSpDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 42, m_dateAttributionDroitAnterieurSpDonneesTemporaire);
    }
    return m_dateAttributionDroitAnterieurSpDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_dateFgDroitAnterieurSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFgDroitAnterieurSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_dateFgDroitAnterieurSpDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_dateFgDroitAnterieurSpDonneesTemporaire);
    }
    return m_dateFgDroitAnterieurSpDonneesTemporaire;
  }
  
  protected static final int jdoGetm_dureeInitialeDroitAnterieurSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeInitialeDroitAnterieurSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_dureeInitialeDroitAnterieurSpDonneesTemporaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 44, m_dureeInitialeDroitAnterieurSpDonneesTemporaire);
    }
    return m_dureeInitialeDroitAnterieurSpDonneesTemporaire;
  }
  
  protected static final short jdoGetm_avisCommissionParitaireDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_avisCommissionParitaireDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_avisCommissionParitaireDonneesTemporaire;
      }
      return sm.getShortField(pc, jdoInheritedFieldCount + 45, m_avisCommissionParitaireDonneesTemporaire);
    }
    return m_avisCommissionParitaireDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_montantAideDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantAideDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_montantAideDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 46, m_montantAideDonneesTemporaire);
    }
    return m_montantAideDonneesTemporaire;
  }
  
  protected static final int jdoGetm_natureMontantAideDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_natureMontantAideDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_natureMontantAideDonneesTemporaire;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 47, m_natureMontantAideDonneesTemporaire);
    }
    return m_natureMontantAideDonneesTemporaire;
  }
  
  protected static final QuantiteJour jdoGetm_quantiteJoursDiffereIccpConservatoireDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire;
      }
      return (QuantiteJour)sm.getObjectField(pc, jdoInheritedFieldCount + 48, m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire);
    }
    return m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_coefficientSaisonnierSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnierSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_coefficientSaisonnierSpDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_coefficientSaisonnierSpDonneesTemporaire);
    }
    return m_coefficientSaisonnierSpDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_coefficientTempsPartielSpDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 50, m_coefficientTempsPartielSpDonneesTemporaire);
    }
    return m_coefficientTempsPartielSpDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_sjrSPDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrSPDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_sjrSPDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 51, m_sjrSPDonneesTemporaire);
    }
    return m_sjrSPDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_termePrcSpDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePrcSpDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_termePrcSpDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 52, m_termePrcSpDonneesTemporaire);
    }
    return m_termePrcSpDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_conditionCumulActiviteConserveeRemplieDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_conditionCumulActiviteConserveeRemplieDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_conditionCumulActiviteConserveeRemplieDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 53, m_conditionCumulActiviteConserveeRemplieDonneesTemporaire);
    }
    return m_conditionCumulActiviteConserveeRemplieDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_finPmcDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_finPmcDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_finPmcDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_finPmcDonneesTemporaire);
    }
    return m_finPmcDonneesTemporaire;
  }
  
  protected static final String jdoGetm_indentifiantFctPMCDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_indentifiantFctPMCDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_indentifiantFctPMCDonneesTemporaire;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 55, m_indentifiantFctPMCDonneesTemporaire);
    }
    return m_indentifiantFctPMCDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_pmcIndemnisableDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pmcIndemnisableDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_pmcIndemnisableDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 56, m_pmcIndemnisableDonneesTemporaire);
    }
    return m_pmcIndemnisableDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_accordPoursuite182JoursChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_accordPoursuite182JoursChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_accordPoursuite182JoursChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 57, m_accordPoursuite182JoursChomageTotalSansRupture);
    }
    return m_accordPoursuite182JoursChomageTotalSansRupture;
  }
  
  protected static final Damj jdoGetm_dateAttributionCPChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionCPChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_dateAttributionCPChomageTotalSansRupture;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_dateAttributionCPChomageTotalSansRupture);
    }
    return m_dateAttributionCPChomageTotalSansRupture;
  }
  
  protected static final Damj jdoGetm_dateChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_dateChomageTotalSansRupture;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 59, m_dateChomageTotalSansRupture);
    }
    return m_dateChomageTotalSansRupture;
  }
  
  protected static final Damj jdoGetm_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 60, m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
    }
    return m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
  }
  
  protected static final boolean jdoGetm_avisFavorableCPChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_avisFavorableCPChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_avisFavorableCPChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 61, m_avisFavorableCPChomageTotalSansRupture);
    }
    return m_avisFavorableCPChomageTotalSansRupture;
  }
  
  protected static final boolean jdoGetm_decisionCPRenseigneeChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_decisionCPRenseigneeChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_decisionCPRenseigneeChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 62, m_decisionCPRenseigneeChomageTotalSansRupture);
    }
    return m_decisionCPRenseigneeChomageTotalSansRupture;
  }
  
  protected static final boolean jdoGetm_leveeCondition28JoursChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_leveeCondition28JoursChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_leveeCondition28JoursChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 63, m_leveeCondition28JoursChomageTotalSansRupture);
    }
    return m_leveeCondition28JoursChomageTotalSansRupture;
  }
  
  protected static final boolean jdoGetm_sinistreOuCalamiteNaturelleChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sinistreOuCalamiteNaturelleChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_sinistreOuCalamiteNaturelleChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 64, m_sinistreOuCalamiteNaturelleChomageTotalSansRupture);
    }
    return m_sinistreOuCalamiteNaturelleChomageTotalSansRupture;
  }
  
  protected static final Damj jdoGetm_nouvelleDateAttributionChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nouvelleDateAttributionChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_nouvelleDateAttributionChomageTotalSansRupture;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 65, m_nouvelleDateAttributionChomageTotalSansRupture);
    }
    return m_nouvelleDateAttributionChomageTotalSansRupture;
  }
  
  protected static final String jdoGetm_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 66, m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture);
    }
    return m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
  }
  
  protected static final QuantiteJour jdoGetm_quantiteJoursDiffereChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJoursDiffereChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_quantiteJoursDiffereChomageTotalSansRupture;
      }
      return (QuantiteJour)sm.getObjectField(pc, jdoInheritedFieldCount + 67, m_quantiteJoursDiffereChomageTotalSansRupture);
    }
    return m_quantiteJoursDiffereChomageTotalSansRupture;
  }
  
  protected static final Quantite jdoGetm_sjrPerteActConserveeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrPerteActConserveeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_sjrPerteActConserveeDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 68, m_sjrPerteActConserveeDonneesTemporaire);
    }
    return m_sjrPerteActConserveeDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_sjcPerteActConserveeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcPerteActConserveeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_sjcPerteActConserveeDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 69, m_sjcPerteActConserveeDonneesTemporaire);
    }
    return m_sjcPerteActConserveeDonneesTemporaire;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielActConserveeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielActConserveeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_coefficientTempsPartielActConserveeDonneesTemporaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 70, m_coefficientTempsPartielActConserveeDonneesTemporaire);
    }
    return m_coefficientTempsPartielActConserveeDonneesTemporaire;
  }
  
  protected static final String jdoGetm_identifiantPeriodeActiviteConserveePerdue(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantPeriodeActiviteConserveePerdue;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_identifiantPeriodeActiviteConserveePerdue;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 71, m_identifiantPeriodeActiviteConserveePerdue);
    }
    return m_identifiantPeriodeActiviteConserveePerdue;
  }
  
  protected static final boolean jdoGetm_estPrimoDemandeurA3A4A5(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estPrimoDemandeurA3A4A5;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 72)) {
        return m_estPrimoDemandeurA3A4A5;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 72, m_estPrimoDemandeurA3A4A5);
    }
    return m_estPrimoDemandeurA3A4A5;
  }
  
  protected static final boolean jdoGetm_primoDemandeurA3A4A5Renseignee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_primoDemandeurA3A4A5Renseignee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 73)) {
        return m_primoDemandeurA3A4A5Renseignee;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 73, m_primoDemandeurA3A4A5Renseignee);
    }
    return m_primoDemandeurA3A4A5Renseignee;
  }
  
  protected static final int jdoGetm_typeCoordinationEuropeenne(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCoordinationEuropeenne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 74)) {
        return m_typeCoordinationEuropeenne;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 74, m_typeCoordinationEuropeenne);
    }
    return m_typeCoordinationEuropeenne;
  }
  
  protected static final BigDecimal jdoGetm_nbJourImputer(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJourImputer;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 75)) {
        return m_nbJourImputer;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 75, m_nbJourImputer);
    }
    return m_nbJourImputer;
  }
  
  protected static final String jdoGetm_reglementApplicableSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reglementApplicableSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 76)) {
        return m_reglementApplicableSpectacleDonneesTemporaire;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 76, m_reglementApplicableSpectacleDonneesTemporaire);
    }
    return m_reglementApplicableSpectacleDonneesTemporaire;
  }
  
  protected static final Integer jdoGetm_rangAllongementPraSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_rangAllongementPraSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 77)) {
        return m_rangAllongementPraSpectacleDonneesTemporaire;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 77, m_rangAllongementPraSpectacleDonneesTemporaire);
    }
    return m_rangAllongementPraSpectacleDonneesTemporaire;
  }
  
  protected static final QuantiteEuro jdoGetm_sripSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sripSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 78)) {
        return m_sripSpectacleDonneesTemporaire;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 78, m_sripSpectacleDonneesTemporaire);
    }
    return m_sripSpectacleDonneesTemporaire;
  }
  
  protected static final QuantiteEuro jdoGetm_totalRemunerationDansPRCDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalRemunerationDansPRCDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 79)) {
        return m_totalRemunerationDansPRCDonneesTemporaire;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 79, m_totalRemunerationDansPRCDonneesTemporaire);
    }
    return m_totalRemunerationDansPRCDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_nbHeuresTravailEtenduSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbHeuresTravailEtenduSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 80)) {
        return m_nbHeuresTravailEtenduSpectacleDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 80, m_nbHeuresTravailEtenduSpectacleDonneesTemporaire);
    }
    return m_nbHeuresTravailEtenduSpectacleDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_nbHeuresTravailPlafonneSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 81)) {
        return m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 81, m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire);
    }
    return m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire;
  }
  
  protected static final Quantite jdoGetm_nbJourContratSurPraSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJourContratSurPraSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 82)) {
        return m_nbJourContratSurPraSpectacleDonneesTemporaire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 82, m_nbJourContratSurPraSpectacleDonneesTemporaire);
    }
    return m_nbJourContratSurPraSpectacleDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_saisieCasGeneralDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_saisieCasGeneralDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 83)) {
        return m_saisieCasGeneralDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 83, m_saisieCasGeneralDonneesTemporaire);
    }
    return m_saisieCasGeneralDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_saisieCasSpectacleDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_saisieCasSpectacleDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 84)) {
        return m_saisieCasSpectacleDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 84, m_saisieCasSpectacleDonneesTemporaire);
    }
    return m_saisieCasSpectacleDonneesTemporaire;
  }
  
  protected static final int jdoGetm_idPecSigmaFormulaireAsu(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_idPecSigmaFormulaireAsu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 85)) {
        return m_idPecSigmaFormulaireAsu;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 85, m_idPecSigmaFormulaireAsu);
    }
    return m_idPecSigmaFormulaireAsu;
  }
  
  protected static final String jdoGetm_referenceExterneFormulaireAsu(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_referenceExterneFormulaireAsu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 86)) {
        return m_referenceExterneFormulaireAsu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 86, m_referenceExterneFormulaireAsu);
    }
    return m_referenceExterneFormulaireAsu;
  }
  
  protected static final String jdoGetm_typeExamenFormulaireAsu(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeExamenFormulaireAsu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 87)) {
        return m_typeExamenFormulaireAsu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 87, m_typeExamenFormulaireAsu);
    }
    return m_typeExamenFormulaireAsu;
  }
  
  protected static final Damj jdoGetm_dateEvenementFormulaireAsu(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementFormulaireAsu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 88)) {
        return m_dateEvenementFormulaireAsu;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 88, m_dateEvenementFormulaireAsu);
    }
    return m_dateEvenementFormulaireAsu;
  }
  
  protected static final Quantite jdoGetm_quantiteReliquatReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteReliquatReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 89)) {
        return m_quantiteReliquatReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 89, m_quantiteReliquatReliquat);
    }
    return m_quantiteReliquatReliquat;
  }
  
  protected static final Quantite jdoGetm_quantiteFormationReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteFormationReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 90)) {
        return m_quantiteFormationReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 90, m_quantiteFormationReliquat);
    }
    return m_quantiteFormationReliquat;
  }
  
  protected static final Quantite jdoGetm_quantiteAideReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAideReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 91)) {
        return m_quantiteAideReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 91, m_quantiteAideReliquat);
    }
    return m_quantiteAideReliquat;
  }
  
  protected static final boolean jdoGetm_reliquatValideReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatValideReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 92)) {
        return m_reliquatValideReliquat;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 92, m_reliquatValideReliquat);
    }
    return m_reliquatValideReliquat;
  }
  
  protected static final int jdoGetm_cumulMoisActiviteReduiteReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_cumulMoisActiviteReduiteReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 93)) {
        return m_cumulMoisActiviteReduiteReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 93, m_cumulMoisActiviteReduiteReliquat);
    }
    return m_cumulMoisActiviteReduiteReliquat;
  }
  
  protected static final Quantite jdoGetm_quantiteReliquatRenouvellementReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteReliquatRenouvellementReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 94)) {
        return m_quantiteReliquatRenouvellementReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 94, m_quantiteReliquatRenouvellementReliquat);
    }
    return m_quantiteReliquatRenouvellementReliquat;
  }
  
  protected static final int jdoGetm_categorieParticuliereDonneesDal(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_categorieParticuliereDonneesDal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 95)) {
        return m_categorieParticuliereDonneesDal;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 95, m_categorieParticuliereDonneesDal);
    }
    return m_categorieParticuliereDonneesDal;
  }
  
  protected static final Periode jdoGetm_prsRepriseContextuelleElementJustification(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_prsRepriseContextuelleElementJustification;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 96)) {
        return m_prsRepriseContextuelleElementJustification;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 96, m_prsRepriseContextuelleElementJustification);
    }
    return m_prsRepriseContextuelleElementJustification;
  }
  
  protected static final boolean jdoGetm_leveePmcDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_leveePmcDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 97)) {
        return m_leveePmcDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 97, m_leveePmcDonneesTemporaires);
    }
    return m_leveePmcDonneesTemporaires;
  }
  
  protected static final boolean jdoGetm_aBeneficeDroitAt12MoisDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_aBeneficeDroitAt12MoisDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 98)) {
        return m_aBeneficeDroitAt12MoisDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 98, m_aBeneficeDroitAt12MoisDonneesTemporaires);
    }
    return m_aBeneficeDroitAt12MoisDonneesTemporaires;
  }
  
  protected static final Integer jdoGetm_dureeAncienneteIntermittantSpectacleDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAncienneteIntermittantSpectacleDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 99)) {
        return m_dureeAncienneteIntermittantSpectacleDonneesTemporaires;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 99, m_dureeAncienneteIntermittantSpectacleDonneesTemporaires);
    }
    return m_dureeAncienneteIntermittantSpectacleDonneesTemporaires;
  }
  
  protected static final boolean jdoGetm_estDemandeAtDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDemandeAtDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 100)) {
        return m_estDemandeAtDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 100, m_estDemandeAtDonneesTemporaires);
    }
    return m_estDemandeAtDonneesTemporaires;
  }
  
  protected static final boolean jdoGetm_estDemandeAfdDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDemandeAfdDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 101)) {
        return m_estDemandeAfdDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 101, m_estDemandeAfdDonneesTemporaires);
    }
    return m_estDemandeAfdDonneesTemporaires;
  }
  
  protected static final int jdoGetm_comportmentDemandeMigree(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_comportmentDemandeMigree;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 102)) {
        return m_comportmentDemandeMigree;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 102, m_comportmentDemandeMigree);
    }
    return m_comportmentDemandeMigree;
  }
  
  protected static final Damj jdoGetm_dateFinDroitSpecNonMigre(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinDroitSpecNonMigre;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 103)) {
        return m_dateFinDroitSpecNonMigre;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 103, m_dateFinDroitSpecNonMigre);
    }
    return m_dateFinDroitSpecNonMigre;
  }
  
  protected static final boolean jdoGetm_saisieCasExpatriesDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_saisieCasExpatriesDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 104)) {
        return m_saisieCasExpatriesDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 104, m_saisieCasExpatriesDonneesTemporaire);
    }
    return m_saisieCasExpatriesDonneesTemporaire;
  }
  
  protected static final boolean jdoGetm_rejetChomageVolontaireGARP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_rejetChomageVolontaireGARP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 105)) {
        return m_rejetChomageVolontaireGARP;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 105, m_rejetChomageVolontaireGARP);
    }
    return m_rejetChomageVolontaireGARP;
  }
  
  protected static final QuantiteJour jdoGetm_quantiteJourICCP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourICCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 106)) {
        return m_quantiteJourICCP;
      }
      return (QuantiteJour)sm.getObjectField(pc, jdoInheritedFieldCount + 106, m_quantiteJourICCP);
    }
    return m_quantiteJourICCP;
  }
  
  protected static final QuantiteJour jdoGetm_quantiteJourISLR(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourISLR;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 107)) {
        return m_quantiteJourISLR;
      }
      return (QuantiteJour)sm.getObjectField(pc, jdoInheritedFieldCount + 107, m_quantiteJourISLR);
    }
    return m_quantiteJourISLR;
  }
  
  protected static final String jdoGetm_identifiantFCTCarenceExpatries(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantFCTCarenceExpatries;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 108)) {
        return m_identifiantFCTCarenceExpatries;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 108, m_identifiantFCTCarenceExpatries);
    }
    return m_identifiantFCTCarenceExpatries;
  }
  
  protected static final BigDecimal jdoGetm_nbJourImputationDroitPrecedent(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJourImputationDroitPrecedent;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 109)) {
        return m_nbJourImputationDroitPrecedent;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 109, m_nbJourImputationDroitPrecedent);
    }
    return m_nbJourImputationDroitPrecedent;
  }
  
  protected static final int jdoGetm_topPremiereODARE(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_topPremiereODARE;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 110)) {
        return m_topPremiereODARE;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 110, m_topPremiereODARE);
    }
    return m_topPremiereODARE;
  }
  
  private static final BigDecimal jdoGetm_montantContributionPourNonCTP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantContributionPourNonCTP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 111)) {
        return m_montantContributionPourNonCTP;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 111, m_montantContributionPourNonCTP);
    }
    return m_montantContributionPourNonCTP;
  }
  
  private static final Damj jdoGetm_dateAttributionAide(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionAide;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 112)) {
        return m_dateAttributionAide;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 112, m_dateAttributionAide);
    }
    return m_dateAttributionAide;
  }
  
  protected static final boolean jdoGetm_estRetenirActSectPrive(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estRetenirActSectPrive;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 113)) {
        return m_estRetenirActSectPrive;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 113, m_estRetenirActSectPrive);
    }
    return m_estRetenirActSectPrive;
  }
  
  protected static final int jdoGetm_motifExamen(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifExamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 114)) {
        return m_motifExamen;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 114, m_motifExamen);
    }
    return m_motifExamen;
  }
  
  protected static final Damj jdoGetm_dateFinEvenement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinEvenement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 115)) {
        return m_dateFinEvenement;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 115, m_dateFinEvenement);
    }
    return m_dateFinEvenement;
  }
  
  private static final Quantite jdoGetm_quantiteJourImputationDonneesForceesReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourImputationDonneesForceesReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 116)) {
        return m_quantiteJourImputationDonneesForceesReliquat;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 116, m_quantiteJourImputationDonneesForceesReliquat);
    }
    return m_quantiteJourImputationDonneesForceesReliquat;
  }
  
  protected static final boolean jdoGetm_leverBornageDureeEffectiveRetraite(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_leverBornageDureeEffectiveRetraite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 117)) {
        return m_leverBornageDureeEffectiveRetraite;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 117, m_leverBornageDureeEffectiveRetraite);
    }
    return m_leverBornageDureeEffectiveRetraite;
  }
  
  protected static final Damj jdoGetm_dateEffetActConserveeDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEffetActConserveeDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 118)) {
        return m_dateEffetActConserveeDonneesTemporaire;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 118, m_dateEffetActConserveeDonneesTemporaire);
    }
    return m_dateEffetActConserveeDonneesTemporaire;
  }
  
  protected static final Damj jdoGetm_dateAnnulationReexamen(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAnnulationReexamen;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 119)) {
        return m_dateAnnulationReexamen;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 119, m_dateAnnulationReexamen);
    }
    return m_dateAnnulationReexamen;
  }
  
  protected static final String jdoGetm_modeLiquidation(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_modeLiquidation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 120)) {
        return m_modeLiquidation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 120, m_modeLiquidation);
    }
    return m_modeLiquidation;
  }
  
  protected static final String jdoGetm_typeContexteDemandeDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeContexteDemandeDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 121)) {
        return m_typeContexteDemandeDonneesTemporaires;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 121, m_typeContexteDemandeDonneesTemporaires);
    }
    return m_typeContexteDemandeDonneesTemporaires;
  }
  
  protected static final Damj jdoGetm_dateFinPreavisLegal(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPreavisLegal;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 122)) {
        return m_dateFinPreavisLegal;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 122, m_dateFinPreavisLegal);
    }
    return m_dateFinPreavisLegal;
  }
  
  protected static final BigDecimal jdoGetm_dureeFinancement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeFinancement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 123)) {
        return m_dureeFinancement;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 123, m_dureeFinancement);
    }
    return m_dureeFinancement;
  }
  
  protected static final String jdoGetm_typeContexteDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeContexteDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 124)) {
        return m_typeContexteDemande;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 124, m_typeContexteDemande);
    }
    return m_typeContexteDemande;
  }
  
  public static final DemandePC jdoGetm_demandeAssociee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_demandeAssociee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 125)) {
        return m_demandeAssociee;
      }
      return (DemandePC)sm.getObjectField(pc, jdoInheritedFieldCount + 125, m_demandeAssociee);
    }
    return m_demandeAssociee;
  }
  
  protected static final boolean jdoGetm_saisieCasFinancementDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_saisieCasFinancementDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 126)) {
        return m_saisieCasFinancementDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 126, m_saisieCasFinancementDonneesTemporaire);
    }
    return m_saisieCasFinancementDonneesTemporaire;
  }
  
  protected static final EntretienPC jdoGetm_entretien(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_entretien;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 127)) {
        return m_entretien;
      }
      return (EntretienPC)sm.getObjectField(pc, jdoInheritedFieldCount + 127, m_entretien);
    }
    return m_entretien;
  }
  
  protected static final boolean jdoGetm_fctDansLesDeuxMoisAvantFddAre(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_fctDansLesDeuxMoisAvantFddAre;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 128)) {
        return m_fctDansLesDeuxMoisAvantFddAre;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 128, m_fctDansLesDeuxMoisAvantFddAre);
    }
    return m_fctDansLesDeuxMoisAvantFddAre;
  }
  
  protected static final String jdoGetm_sousTypeContexteDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sousTypeContexteDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 129)) {
        return m_sousTypeContexteDemande;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 129, m_sousTypeContexteDemande);
    }
    return m_sousTypeContexteDemande;
  }
  
  protected static final Damj jdoGetm_dateDebutJustifContexte(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutJustifContexte;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 130)) {
        return m_dateDebutJustifContexte;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 130, m_dateDebutJustifContexte);
    }
    return m_dateDebutJustifContexte;
  }
  
  protected static final Damj jdoGetm_dateFinJustifContexte(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinJustifContexte;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 131)) {
        return m_dateFinJustifContexte;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 131, m_dateFinJustifContexte);
    }
    return m_dateFinJustifContexte;
  }
  
  private static final SaisieAntecedentPC jdoGetm_saisieAntecedent(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_saisieAntecedent;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 132)) {
        return m_saisieAntecedent;
      }
      return (SaisieAntecedentPC)sm.getObjectField(pc, jdoInheritedFieldCount + 132, m_saisieAntecedent);
    }
    return m_saisieAntecedent;
  }
  
  protected static final String jdoGetm_etatForcageDelaiAttente(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_etatForcageDelaiAttente;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 133)) {
        return m_etatForcageDelaiAttente;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 133, m_etatForcageDelaiAttente);
    }
    return m_etatForcageDelaiAttente;
  }
  
  private static final String jdoGetm_numeroConventionPE(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_numeroConventionPE;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 134)) {
        return m_numeroConventionPE;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 134, m_numeroConventionPE);
    }
    return m_numeroConventionPE;
  }
  
  private static final String jdoGetm_codeAffectationConvention(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeAffectationConvention;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 135)) {
        return m_codeAffectationConvention;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 135, m_codeAffectationConvention);
    }
    return m_codeAffectationConvention;
  }
  
  private static final boolean jdoGetm_estDerogationCspDonneesTemporaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDerogationCspDonneesTemporaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 136)) {
        return m_estDerogationCspDonneesTemporaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 136, m_estDerogationCspDonneesTemporaire);
    }
    return m_estDerogationCspDonneesTemporaire;
  }
  
  private static final boolean jdoGetm_estSalarieHandicapeChomageTotalSansRupture(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSalarieHandicapeChomageTotalSansRupture;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 137)) {
        return m_estSalarieHandicapeChomageTotalSansRupture;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 137, m_estSalarieHandicapeChomageTotalSansRupture);
    }
    return m_estSalarieHandicapeChomageTotalSansRupture;
  }
  
  private static final BigDecimal jdoGetm_dureeImputationSP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationSP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 138)) {
        return m_dureeImputationSP;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 138, m_dureeImputationSP);
    }
    return m_dureeImputationSP;
  }
  
  private static final Damj jdoGetm_djiSpFinDroit(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_djiSpFinDroit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 139)) {
        return m_djiSpFinDroit;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 139, m_djiSpFinDroit);
    }
    return m_djiSpFinDroit;
  }
  
  private static final String jdoGetm_idExterneEmployeurSp(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_idExterneEmployeurSp;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 140)) {
        return m_idExterneEmployeurSp;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 140, m_idExterneEmployeurSp);
    }
    return m_idExterneEmployeurSp;
  }
  
  protected static final boolean jdoGetm_estLeveeControlePANSSuiteARCEDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estLeveeControlePANSSuiteARCEDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 141)) {
        return m_estLeveeControlePANSSuiteARCEDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 141, m_estLeveeControlePANSSuiteARCEDonneesTemporaires);
    }
    return m_estLeveeControlePANSSuiteARCEDonneesTemporaires;
  }
  
  private static final boolean jdoGetm_estLeveeConditionACMemeEmployeur(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estLeveeConditionACMemeEmployeur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 142)) {
        return m_estLeveeConditionACMemeEmployeur;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 142, m_estLeveeConditionACMemeEmployeur);
    }
    return m_estLeveeConditionACMemeEmployeur;
  }
  
  private static final BigDecimal jdoGetm_nbjImputationDroitAServir(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbjImputationDroitAServir;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 143)) {
        return m_nbjImputationDroitAServir;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 143, m_nbjImputationDroitAServir);
    }
    return m_nbjImputationDroitAServir;
  }
  
  private static final int jdoGetm_motifNbJourImputationDroitAServir(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifNbJourImputationDroitAServir;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 144)) {
        return m_motifNbJourImputationDroitAServir;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 144, m_motifNbJourImputationDroitAServir);
    }
    return m_motifNbJourImputationDroitAServir;
  }
  
  private static final int jdoGetm_motifNbJourImputationDroitCourant(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifNbJourImputationDroitCourant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 145)) {
        return m_motifNbJourImputationDroitCourant;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 145, m_motifNbJourImputationDroitCourant);
    }
    return m_motifNbJourImputationDroitCourant;
  }
  
  private static final int jdoGetm_motifNbJourImputationDroitPrecedent(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifNbJourImputationDroitPrecedent;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 146)) {
        return m_motifNbJourImputationDroitPrecedent;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 146, m_motifNbJourImputationDroitPrecedent);
    }
    return m_motifNbJourImputationDroitPrecedent;
  }
  
  private static final int jdoGetm_motifMontantImputationDroitAServir(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifMontantImputationDroitAServir;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 147)) {
        return m_motifMontantImputationDroitAServir;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 147, m_motifMontantImputationDroitAServir);
    }
    return m_motifMontantImputationDroitAServir;
  }
  
  private static final BigDecimal jdoGetm_montantImputationDroitAServir(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantImputationDroitAServir;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 148)) {
        return m_montantImputationDroitAServir;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 148, m_montantImputationDroitAServir);
    }
    return m_montantImputationDroitAServir;
  }
  
  private static final boolean jdoGetm_estIgnorerAttribPrecCSR(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estIgnorerAttribPrecCSR;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 149)) {
        return m_estIgnorerAttribPrecCSR;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 149, m_estIgnorerAttribPrecCSR);
    }
    return m_estIgnorerAttribPrecCSR;
  }
  
  private static final boolean jdoGetm_estPCRCForceDroitCourant(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estPCRCForceDroitCourant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 150)) {
        return m_estPCRCForceDroitCourant;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 150, m_estPCRCForceDroitCourant);
    }
    return m_estPCRCForceDroitCourant;
  }
  
  private static final boolean jdoGetm_estPCRCForceDroitPrecedent(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estPCRCForceDroitPrecedent;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 151)) {
        return m_estPCRCForceDroitPrecedent;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 151, m_estPCRCForceDroitPrecedent);
    }
    return m_estPCRCForceDroitPrecedent;
  }
  
  private static final Damj jdoGetm_dateDepartICCP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDepartICCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 152)) {
        return m_dateDepartICCP;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 152, m_dateDepartICCP);
    }
    return m_dateDepartICCP;
  }
  
  private static final boolean jdoGetm_estDemarcheReintegrationEffectuee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDemarcheReintegrationEffectuee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 153)) {
        return m_estDemarcheReintegrationEffectuee;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 153, m_estDemarcheReintegrationEffectuee);
    }
    return m_estDemarcheReintegrationEffectuee;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 154)) {
        return m_dureeTheoriqueForcee;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 154, m_dureeTheoriqueForcee);
    }
    return m_dureeTheoriqueForcee;
  }
  
  protected static final Damj jdoGetm_dateExamenForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateExamenForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 155)) {
        return m_dateExamenForcee;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 155, m_dateExamenForcee);
    }
    return m_dateExamenForcee;
  }
  
  protected static final Damj jdoGetm_dateAttributionForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 156)) {
        return m_dateAttributionForcee;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 156, m_dateAttributionForcee);
    }
    return m_dateAttributionForcee;
  }
  
  protected static final Boolean jdoGetm_delaiAttenteForce(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_delaiAttenteForce;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 157)) {
        return m_delaiAttenteForce;
      }
      return (Boolean)sm.getObjectField(pc, jdoInheritedFieldCount + 157, m_delaiAttenteForce);
    }
    return m_delaiAttenteForce;
  }
  
  protected static final boolean jdoGetm_conditionChomageInvolontaireSatistaite(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_conditionChomageInvolontaireSatistaite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 158)) {
        return m_conditionChomageInvolontaireSatistaite;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 158, m_conditionChomageInvolontaireSatistaite);
    }
    return m_conditionChomageInvolontaireSatistaite;
  }
  
  protected static final boolean jdoGetm_droitOptionForce(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_droitOptionForce;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 159)) {
        return m_droitOptionForce;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 159, m_droitOptionForce);
    }
    return m_droitOptionForce;
  }
  
  protected static final Damj jdoGetm_djiDroitSpContexteRechargement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_djiDroitSpContexteRechargement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 160)) {
        return m_djiDroitSpContexteRechargement;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 160, m_djiDroitSpContexteRechargement);
    }
    return m_djiDroitSpContexteRechargement;
  }
  
  protected static final Damj jdoGetm_fgdDroitSpContexteRechargement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_fgdDroitSpContexteRechargement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 161)) {
        return m_fgdDroitSpContexteRechargement;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 161, m_fgdDroitSpContexteRechargement);
    }
    return m_fgdDroitSpContexteRechargement;
  }
  
  protected static final boolean jdoGetm_repriseForceeSurDemandeExpresse(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_repriseForceeSurDemandeExpresse;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 162)) {
        return m_repriseForceeSurDemandeExpresse;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 162, m_repriseForceeSurDemandeExpresse);
    }
    return m_repriseForceeSurDemandeExpresse;
  }
  
  protected static final BigDecimal jdoGetm_montantJournalierReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 163)) {
        return m_montantJournalierReliquat;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 163, m_montantJournalierReliquat);
    }
    return m_montantJournalierReliquat;
  }
  
  private static final BigDecimal jdoGetm_capitalReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 164)) {
        return m_capitalReliquat;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 164, m_capitalReliquat);
    }
    return m_capitalReliquat;
  }
  
  private static final boolean jdoGetm_estNonExecutable(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estNonExecutable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 165)) {
        return m_estNonExecutable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 165, m_estNonExecutable);
    }
    return m_estNonExecutable;
  }
  
  private static final Boolean jdoGetm_estDesactivationPnds(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDesactivationPnds;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 166)) {
        return m_estDesactivationPnds;
      }
      return (Boolean)sm.getObjectField(pc, jdoInheritedFieldCount + 166, m_estDesactivationPnds);
    }
    return m_estDesactivationPnds;
  }
  
  private static final Quantite jdoGetm_dureePostPrime(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureePostPrime;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 167)) {
        return m_dureePostPrime;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 167, m_dureePostPrime);
    }
    return m_dureePostPrime;
  }
  
  private static final Damj jdoGetm_dateFinDispositifCSP(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinDispositifCSP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 168)) {
        return m_dateFinDispositifCSP;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 168, m_dateFinDispositifCSP);
    }
    return m_dateFinDispositifCSP;
  }
  
  private static final String jdoGetm_motifEchecTraitement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_motifEchecTraitement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 169)) {
        return m_motifEchecTraitement;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 169, m_motifEchecTraitement);
    }
    return m_motifEchecTraitement;
  }
  
  private static final String jdoGetm_modeTraitementDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_modeTraitementDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 170)) {
        return m_modeTraitementDemande;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 170, m_modeTraitementDemande);
    }
    return m_modeTraitementDemande;
  }
  
  private static final BigDecimal jdoGetm_dureeImputation(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 171)) {
        return m_dureeImputation;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 171, m_dureeImputation);
    }
    return m_dureeImputation;
  }
  
  private static final BigDecimal jdoGetm_nbJoursAllongement(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursAllongement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 172)) {
        return m_nbJoursAllongement;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 172, m_nbJoursAllongement);
    }
    return m_nbJoursAllongement;
  }
  
  private static final Damj jdoGetm_dateLimiteIndemnisationDonneeForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateLimiteIndemnisationDonneeForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 173)) {
        return m_dateLimiteIndemnisationDonneeForcee;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 173, m_dateLimiteIndemnisationDonneeForcee);
    }
    return m_dateLimiteIndemnisationDonneeForcee;
  }
  
  private static final Damj jdoGetm_dateTraitementDemande(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateTraitementDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 174)) {
        return m_dateTraitementDemande;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 174, m_dateTraitementDemande);
    }
    return m_dateTraitementDemande;
  }
  
  private static final boolean jdoGetm_reliquatSecteurPublicEteintDonneesComplementaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatSecteurPublicEteintDonneesComplementaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 175)) {
        return m_reliquatSecteurPublicEteintDonneesComplementaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 175, m_reliquatSecteurPublicEteintDonneesComplementaires);
    }
    return m_reliquatSecteurPublicEteintDonneesComplementaires;
  }
  
  private static final boolean jdoGetm_reliquatSecteurPublicPrescritRejete(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatSecteurPublicPrescritRejete;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 176)) {
        return m_reliquatSecteurPublicPrescritRejete;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 176, m_reliquatSecteurPublicPrescritRejete);
    }
    return m_reliquatSecteurPublicPrescritRejete;
  }
  
  private static final boolean jdoGetm_leveeConditionCLCA(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_leveeConditionCLCA;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 177)) {
        return m_leveeConditionCLCA;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 177, m_leveeConditionCLCA);
    }
    return m_leveeConditionCLCA;
  }
  
  private static final String jdoGetm_identifiantObjetMetier(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantObjetMetier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 178)) {
        return m_identifiantObjetMetier;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 178, m_identifiantObjetMetier);
    }
    return m_identifiantObjetMetier;
  }
  
  private static final Boolean jdoGetm_conditionAffiliationSatisfaiteForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_conditionAffiliationSatisfaiteForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 179)) {
        return m_conditionAffiliationSatisfaiteForcee;
      }
      return (Boolean)sm.getObjectField(pc, jdoInheritedFieldCount + 179, m_conditionAffiliationSatisfaiteForcee);
    }
    return m_conditionAffiliationSatisfaiteForcee;
  }
  
  private static final Boolean jdoGetm_conditionAncienneteSatisfaiteForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_conditionAncienneteSatisfaiteForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 180)) {
        return m_conditionAncienneteSatisfaiteForcee;
      }
      return (Boolean)sm.getObjectField(pc, jdoInheritedFieldCount + 180, m_conditionAncienneteSatisfaiteForcee);
    }
    return m_conditionAncienneteSatisfaiteForcee;
  }
  
  private static final Damj jdoGetm_dateFinPeriodeAncienneteForcee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPeriodeAncienneteForcee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 181)) {
        return m_dateFinPeriodeAncienneteForcee;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 181, m_dateFinPeriodeAncienneteForcee);
    }
    return m_dateFinPeriodeAncienneteForcee;
  }
  
  private static final BigDecimal jdoGetm_nombreJourTotalA8A10Force(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourTotalA8A10Force;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 182)) {
        return m_nombreJourTotalA8A10Force;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 182, m_nombreJourTotalA8A10Force);
    }
    return m_nombreJourTotalA8A10Force;
  }
  
  private static final boolean jdoGetm_estRepriseStockSpectacle2016Faite(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estRepriseStockSpectacle2016Faite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 183)) {
        return m_estRepriseStockSpectacle2016Faite;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 183, m_estRepriseStockSpectacle2016Faite);
    }
    return m_estRepriseStockSpectacle2016Faite;
  }
  
  private static final boolean jdoGetm_attenteIncoherenceSalaireLevee(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_attenteIncoherenceSalaireLevee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 184)) {
        return m_attenteIncoherenceSalaireLevee;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 184, m_attenteIncoherenceSalaireLevee);
    }
    return m_attenteIncoherenceSalaireLevee;
  }
  
  private static final String jdoGetm_competenceFinanciereDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_competenceFinanciereDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 185)) {
        return m_competenceFinanciereDonneesTemporaires;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 185, m_competenceFinanciereDonneesTemporaires);
    }
    return m_competenceFinanciereDonneesTemporaires;
  }
  
  private static final String jdoGetm_employeurSecteurPublicCompetentDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_employeurSecteurPublicCompetentDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 186)) {
        return m_employeurSecteurPublicCompetentDonneesTemporaires;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 186, m_employeurSecteurPublicCompetentDonneesTemporaires);
    }
    return m_employeurSecteurPublicCompetentDonneesTemporaires;
  }
  
  private static final BigDecimal jdoGetm_montantIndemnitePreavisContribDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantIndemnitePreavisContribDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 187)) {
        return m_montantIndemnitePreavisContribDonneesTemporaires;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 187, m_montantIndemnitePreavisContribDonneesTemporaires);
    }
    return m_montantIndemnitePreavisContribDonneesTemporaires;
  }
  
  private static final BigDecimal jdoGetm_contributionAdhesionVolontaireDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contributionAdhesionVolontaireDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 188)) {
        return m_contributionAdhesionVolontaireDonneesTemporaires;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 188, m_contributionAdhesionVolontaireDonneesTemporaires);
    }
    return m_contributionAdhesionVolontaireDonneesTemporaires;
  }
  
  private static final BigDecimal jdoGetm_nombreMoisPreavisDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreMoisPreavisDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 189)) {
        return m_nombreMoisPreavisDonneesTemporaires;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 189, m_nombreMoisPreavisDonneesTemporaires);
    }
    return m_nombreMoisPreavisDonneesTemporaires;
  }
  
  private static final boolean jdoGetm_presenceDerniersSalairesDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDerniersSalairesDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 190)) {
        return m_presenceDerniersSalairesDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 190, m_presenceDerniersSalairesDonneesTemporaires);
    }
    return m_presenceDerniersSalairesDonneesTemporaires;
  }
  
  private static final boolean jdoGetm_droitInterimaireDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_droitInterimaireDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 191)) {
        return m_droitInterimaireDonneesTemporaires;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 191, m_droitInterimaireDonneesTemporaires);
    }
    return m_droitInterimaireDonneesTemporaires;
  }
  
  private static final BigDecimal jdoGetm_diviseurSjrDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_diviseurSjrDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 192)) {
        return m_diviseurSjrDonneesTemporaires;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 192, m_diviseurSjrDonneesTemporaires);
    }
    return m_diviseurSjrDonneesTemporaires;
  }
  
  private static final BigDecimal jdoGetm_dureeAllongementAREFDonneesTemporaires(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAllongementAREFDonneesTemporaires;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 193)) {
        return m_dureeAllongementAREFDonneesTemporaires;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 193, m_dureeAllongementAREFDonneesTemporaires);
    }
    return m_dureeAllongementAREFDonneesTemporaires;
  }
  
  private static final int jdoGetm_reliquatAllongementArefPossibleReliquat(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatAllongementArefPossibleReliquat;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 194)) {
        return m_reliquatAllongementArefPossibleReliquat;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 194, m_reliquatAllongementArefPossibleReliquat);
    }
    return m_reliquatAllongementArefPossibleReliquat;
  }
  
  private static final boolean jdoGetm_rejetConditionChomageInvolontaire(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_rejetConditionChomageInvolontaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 195)) {
        return m_rejetConditionChomageInvolontaire;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 195, m_rejetConditionChomageInvolontaire);
    }
    return m_rejetConditionChomageInvolontaire;
  }
  
  private static final Damj jdoGetm_dateDepotOrigineFormulaireAsu(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDepotOrigineFormulaireAsu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 196)) {
        return m_dateDepotOrigineFormulaireAsu;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 196, m_dateDepotOrigineFormulaireAsu);
    }
    return m_dateDepotOrigineFormulaireAsu;
  }
  
  private static final Boolean jdoGetm_leverConditionBeneficeAutreProduit(DemandePC pc)
  {
    if (jdoFlags <= 0) {
      return m_leverConditionBeneficeAutreProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 197)) {
        return m_leverConditionBeneficeAutreProduit;
      }
      return (Boolean)sm.getObjectField(pc, jdoInheritedFieldCount + 197, m_leverConditionBeneficeAutreProduit);
    }
    return m_leverConditionBeneficeAutreProduit;
  }
  
  protected static final Collection jdoGetm_listeObjectifsExamenDemande(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 198)) {
        return m_listeObjectifsExamenDemande;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 198, m_listeObjectifsExamenDemande);
    }
    return m_listeObjectifsExamenDemande;
  }
  
  protected static final Collection jdoGetm_listeMotifsReexamenDemande(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 199)) {
        return m_listeMotifsReexamenDemande;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 199, m_listeMotifsReexamenDemande);
    }
    return m_listeMotifsReexamenDemande;
  }
  
  protected static final Collection jdoGetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 200)) {
        return m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 200, m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    }
    return m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire;
  }
  
  protected static final Collection jdoGetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 201)) {
        return m_listePeriodesChomageSaisonnierRepContextuelleElementJustification;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 201, m_listePeriodesChomageSaisonnierRepContextuelleElementJustification);
    }
    return m_listePeriodesChomageSaisonnierRepContextuelleElementJustification;
  }
  
  public static final Collection jdoGetm_listePensionInvaliditeDonneeForcee(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 202)) {
        return m_listePensionInvaliditeDonneeForcee;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 202, m_listePensionInvaliditeDonneeForcee);
    }
    return m_listePensionInvaliditeDonneeForcee;
  }
  
  public static final Collection jdoGetm_forcageExecutionDemande(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 203)) {
        return m_forcageExecutionDemande;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 203, m_forcageExecutionDemande);
    }
    return m_forcageExecutionDemande;
  }
  
  public static final Collection jdoGetm_listeContextes(DemandePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 204)) {
        return m_listeContextes;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 204, m_listeContextes);
    }
    return m_listeContextes;
  }
  
  protected static final void jdoSetm_presenceDonneesReliquat(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesReliquat, newValue);
    } else {
      m_presenceDonneesReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesDonneesDAL(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesDonneesDAL = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesDonneesDAL, newValue);
    } else {
      m_presenceDonneesDonneesDAL = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesElementJustification(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesElementJustification = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesElementJustification, newValue);
    } else {
      m_presenceDonneesElementJustification = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesDemandeAssociee(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesDemandeAssociee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesDemandeAssociee, newValue);
    } else {
      m_presenceDonneesDemandeAssociee = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDonneesTypeContexte(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesTypeContexte = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesTypeContexte, newValue);
    } else {
      m_presenceDonneesTypeContexte = newValue;
    }
  }
  
  protected static final void jdoSetm_motifReexamenPrincipalDemande(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifReexamenPrincipalDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 5, m_motifReexamenPrincipalDemande, newValue);
    } else {
      m_motifReexamenPrincipalDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_demandeExpresseDemande(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_demandeExpresseDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_demandeExpresseDemande, newValue);
    } else {
      m_demandeExpresseDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_liquideeAvecConflitsDemande(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_liquideeAvecConflitsDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_liquideeAvecConflitsDemande, newValue);
    } else {
      m_liquideeAvecConflitsDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_estMigreeDemande(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_estMigreeDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 8, m_estMigreeDemande, newValue);
    } else {
      m_estMigreeDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_estDeneutralisable(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDeneutralisable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_estDeneutralisable, newValue);
    } else {
      m_estDeneutralisable = newValue;
    }
  }
  
  protected static final void jdoSetm_estNeutraliseeLiquidationDemande(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estNeutraliseeLiquidationDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_estNeutraliseeLiquidationDemande, newValue);
    } else {
      m_estNeutraliseeLiquidationDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_estNeutraliseeCalculDemande(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estNeutraliseeCalculDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_estNeutraliseeCalculDemande, newValue);
    } else {
      m_estNeutraliseeCalculDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_estLiquidableDemande(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estLiquidableDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 12, m_estLiquidableDemande, newValue);
    } else {
      m_estLiquidableDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_demandePivotDemande(DemandePC pc, DemandePivotPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_demandePivotDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_demandePivotDemande, newValue);
    } else {
      m_demandePivotDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_datePremiereValidationDemande(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_datePremiereValidationDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 14, m_datePremiereValidationDemande, newValue);
    } else {
      m_datePremiereValidationDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_dateDerniereValidationDemande(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDerniereValidationDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_dateDerniereValidationDemande, newValue);
    } else {
      m_dateDerniereValidationDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_dateDerniereNotificationDemande(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDerniereNotificationDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_dateDerniereNotificationDemande, newValue);
    } else {
      m_dateDerniereNotificationDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_demandeOrigineDemande(DemandePC pc, DemandePC newValue)
  {
    if (jdoFlags == 0)
    {
      m_demandeOrigineDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_demandeOrigineDemande, newValue);
    } else {
      m_demandeOrigineDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_dossierAffectationAdmissionDemande(DemandePC pc, DossierAffectationPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_dossierAffectationAdmissionDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 18, m_dossierAffectationAdmissionDemande, newValue);
    } else {
      m_dossierAffectationAdmissionDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_dossierAffectationRepriseDemande(DemandePC pc, DossierAffectationPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_dossierAffectationRepriseDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_dossierAffectationRepriseDemande, newValue);
    } else {
      m_dossierAffectationRepriseDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_classementAdministratifDemande(DemandePC pc, ClassementAdministratifPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_classementAdministratifDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_classementAdministratifDemande, newValue);
    } else {
      m_classementAdministratifDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_evenementReferenceExamen(DemandePC pc, EvenementReferenceExamenSpec newValue)
  {
    if (jdoFlags == 0)
    {
      m_evenementReferenceExamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_evenementReferenceExamen, newValue);
    } else {
      m_evenementReferenceExamen = newValue;
    }
  }
  
  protected static final void jdoSetm_commentaire(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_commentaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 22, m_commentaire, newValue);
    } else {
      m_commentaire = newValue;
    }
  }
  
  protected static final void jdoSetm_termePrcDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePrcDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_termePrcDonneesTemporaire, newValue);
    } else {
      m_termePrcDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_allongementDelaiDecheanceDonneesTemporaire(DemandePC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_allongementDelaiDecheanceDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_allongementDelaiDecheanceDonneesTemporaire, newValue);
    } else {
      m_allongementDelaiDecheanceDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_allongementDelaiForclusionDonneesTemporaire(DemandePC pc, DureeCalendaire newValue)
  {
    if (jdoFlags == 0)
    {
      m_allongementDelaiForclusionDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_allongementDelaiForclusionDonneesTemporaire, newValue);
    } else {
      m_allongementDelaiForclusionDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_inopposabiliteDelaiDecheanceDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_inopposabiliteDelaiDecheanceDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 26, m_inopposabiliteDelaiDecheanceDonneesTemporaire, newValue);
    } else {
      m_inopposabiliteDelaiDecheanceDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientSaisonnierDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnierDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_coefficientSaisonnierDonneesTemporaire, newValue);
    } else {
      m_coefficientSaisonnierDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 28, m_coefficientTempsPartielDonneesTemporaire, newValue);
    } else {
      m_coefficientTempsPartielDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 29, m_sjcDonneesTemporaire, newValue);
    } else {
      m_sjcDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_sjrDonneesTemporaire, newValue);
    } else {
      m_sjrDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_canAvecCentVingtTrimestresDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_canAvecCentVingtTrimestresDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 31, m_canAvecCentVingtTrimestresDonneesTemporaire, newValue);
    } else {
      m_canAvecCentVingtTrimestresDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_caractereSaisonnierForceDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_caractereSaisonnierForceDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 32, m_caractereSaisonnierForceDonneesTemporaire, newValue);
    } else {
      m_caractereSaisonnierForceDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 33, m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire, newValue);
    } else {
      m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_fortuiteCaractereSaisonnierParTypeDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 34, m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire, newValue);
    } else {
      m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionRaccordementDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionRaccordementDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 35, m_pensionRaccordementDonneesTemporaire, newValue);
    } else {
      m_pensionRaccordementDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_typeCaractereSaisonnierForceDonneesTemporaire(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCaractereSaisonnierForceDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 36, m_typeCaractereSaisonnierForceDonneesTemporaire, newValue);
    } else {
      m_typeCaractereSaisonnierForceDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalReliquatSecteurPublicDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalReliquatSecteurPublicDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 37, m_capitalReliquatSecteurPublicDonneesTemporaire, newValue);
    } else {
      m_capitalReliquatSecteurPublicDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dateDebutPIDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutPIDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 38, m_dateDebutPIDonneesTemporaire, newValue);
    } else {
      m_dateDebutPIDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinPIDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPIDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_dateFinPIDonneesTemporaire, newValue);
    } else {
      m_dateFinPIDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantPeriodeFctARetenirDonneesTemporaire(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantPeriodeFctARetenirDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 40, m_identifiantPeriodeFctARetenirDonneesTemporaire, newValue);
    } else {
      m_identifiantPeriodeFctARetenirDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAffiliationDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 41, m_quantiteAffiliationDonneesTemporaire, newValue);
    } else {
      m_quantiteAffiliationDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionDroitAnterieurSpDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionDroitAnterieurSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 42, m_dateAttributionDroitAnterieurSpDonneesTemporaire, newValue);
    } else {
      m_dateAttributionDroitAnterieurSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFgDroitAnterieurSpDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFgDroitAnterieurSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_dateFgDroitAnterieurSpDonneesTemporaire, newValue);
    } else {
      m_dateFgDroitAnterieurSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeInitialeDroitAnterieurSpDonneesTemporaire(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeInitialeDroitAnterieurSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 44, m_dureeInitialeDroitAnterieurSpDonneesTemporaire, newValue);
    } else {
      m_dureeInitialeDroitAnterieurSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_avisCommissionParitaireDonneesTemporaire(DemandePC pc, short newValue)
  {
    if (jdoFlags == 0)
    {
      m_avisCommissionParitaireDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setShortField(pc, jdoInheritedFieldCount + 45, m_avisCommissionParitaireDonneesTemporaire, newValue);
    } else {
      m_avisCommissionParitaireDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_montantAideDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantAideDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 46, m_montantAideDonneesTemporaire, newValue);
    } else {
      m_montantAideDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_natureMontantAideDonneesTemporaire(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_natureMontantAideDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 47, m_natureMontantAideDonneesTemporaire, newValue);
    } else {
      m_natureMontantAideDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJoursDiffereIccpConservatoireDonneesTemporaire(DemandePC pc, QuantiteJour newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 48, m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire, newValue);
    } else {
      m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientSaisonnierSpDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnierSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_coefficientSaisonnierSpDonneesTemporaire, newValue);
    } else {
      m_coefficientSaisonnierSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielSpDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 50, m_coefficientTempsPartielSpDonneesTemporaire, newValue);
    } else {
      m_coefficientTempsPartielSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrSPDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrSPDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 51, m_sjrSPDonneesTemporaire, newValue);
    } else {
      m_sjrSPDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_termePrcSpDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePrcSpDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 52, m_termePrcSpDonneesTemporaire, newValue);
    } else {
      m_termePrcSpDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_conditionCumulActiviteConserveeRemplieDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_conditionCumulActiviteConserveeRemplieDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 53, m_conditionCumulActiviteConserveeRemplieDonneesTemporaire, newValue);
    } else {
      m_conditionCumulActiviteConserveeRemplieDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_finPmcDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_finPmcDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_finPmcDonneesTemporaire, newValue);
    } else {
      m_finPmcDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_indentifiantFctPMCDonneesTemporaire(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_indentifiantFctPMCDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 55, m_indentifiantFctPMCDonneesTemporaire, newValue);
    } else {
      m_indentifiantFctPMCDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_pmcIndemnisableDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_pmcIndemnisableDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 56, m_pmcIndemnisableDonneesTemporaire, newValue);
    } else {
      m_pmcIndemnisableDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_accordPoursuite182JoursChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_accordPoursuite182JoursChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 57, m_accordPoursuite182JoursChomageTotalSansRupture, newValue);
    } else {
      m_accordPoursuite182JoursChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionCPChomageTotalSansRupture(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionCPChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_dateAttributionCPChomageTotalSansRupture, newValue);
    } else {
      m_dateAttributionCPChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_dateChomageTotalSansRupture(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 59, m_dateChomageTotalSansRupture, newValue);
    } else {
      m_dateChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 60, m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture, newValue);
    } else {
      m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_avisFavorableCPChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_avisFavorableCPChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 61, m_avisFavorableCPChomageTotalSansRupture, newValue);
    } else {
      m_avisFavorableCPChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_decisionCPRenseigneeChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_decisionCPRenseigneeChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 62, m_decisionCPRenseigneeChomageTotalSansRupture, newValue);
    } else {
      m_decisionCPRenseigneeChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_leveeCondition28JoursChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_leveeCondition28JoursChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 63, m_leveeCondition28JoursChomageTotalSansRupture, newValue);
    } else {
      m_leveeCondition28JoursChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_sinistreOuCalamiteNaturelleChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_sinistreOuCalamiteNaturelleChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 64, m_sinistreOuCalamiteNaturelleChomageTotalSansRupture, newValue);
    } else {
      m_sinistreOuCalamiteNaturelleChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_nouvelleDateAttributionChomageTotalSansRupture(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_nouvelleDateAttributionChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 65, m_nouvelleDateAttributionChomageTotalSansRupture, newValue);
    } else {
      m_nouvelleDateAttributionChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 66, m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture, newValue);
    } else {
      m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJoursDiffereChomageTotalSansRupture(DemandePC pc, QuantiteJour newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJoursDiffereChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 67, m_quantiteJoursDiffereChomageTotalSansRupture, newValue);
    } else {
      m_quantiteJoursDiffereChomageTotalSansRupture = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrPerteActConserveeDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrPerteActConserveeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 68, m_sjrPerteActConserveeDonneesTemporaire, newValue);
    } else {
      m_sjrPerteActConserveeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcPerteActConserveeDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcPerteActConserveeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 69, m_sjcPerteActConserveeDonneesTemporaire, newValue);
    } else {
      m_sjcPerteActConserveeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielActConserveeDonneesTemporaire(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielActConserveeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 70, m_coefficientTempsPartielActConserveeDonneesTemporaire, newValue);
    } else {
      m_coefficientTempsPartielActConserveeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantPeriodeActiviteConserveePerdue(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantPeriodeActiviteConserveePerdue = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 71, m_identifiantPeriodeActiviteConserveePerdue, newValue);
    } else {
      m_identifiantPeriodeActiviteConserveePerdue = newValue;
    }
  }
  
  protected static final void jdoSetm_estPrimoDemandeurA3A4A5(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estPrimoDemandeurA3A4A5 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 72, m_estPrimoDemandeurA3A4A5, newValue);
    } else {
      m_estPrimoDemandeurA3A4A5 = newValue;
    }
  }
  
  protected static final void jdoSetm_primoDemandeurA3A4A5Renseignee(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_primoDemandeurA3A4A5Renseignee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 73, m_primoDemandeurA3A4A5Renseignee, newValue);
    } else {
      m_primoDemandeurA3A4A5Renseignee = newValue;
    }
  }
  
  protected static final void jdoSetm_typeCoordinationEuropeenne(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCoordinationEuropeenne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 74, m_typeCoordinationEuropeenne, newValue);
    } else {
      m_typeCoordinationEuropeenne = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJourImputer(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJourImputer = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 75, m_nbJourImputer, newValue);
    } else {
      m_nbJourImputer = newValue;
    }
  }
  
  protected static final void jdoSetm_reglementApplicableSpectacleDonneesTemporaire(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_reglementApplicableSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 76, m_reglementApplicableSpectacleDonneesTemporaire, newValue);
    } else {
      m_reglementApplicableSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_rangAllongementPraSpectacleDonneesTemporaire(DemandePC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_rangAllongementPraSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 77, m_rangAllongementPraSpectacleDonneesTemporaire, newValue);
    } else {
      m_rangAllongementPraSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_sripSpectacleDonneesTemporaire(DemandePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sripSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 78, m_sripSpectacleDonneesTemporaire, newValue);
    } else {
      m_sripSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_totalRemunerationDansPRCDonneesTemporaire(DemandePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalRemunerationDansPRCDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 79, m_totalRemunerationDansPRCDonneesTemporaire, newValue);
    } else {
      m_totalRemunerationDansPRCDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_nbHeuresTravailEtenduSpectacleDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbHeuresTravailEtenduSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 80, m_nbHeuresTravailEtenduSpectacleDonneesTemporaire, newValue);
    } else {
      m_nbHeuresTravailEtenduSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_nbHeuresTravailPlafonneSpectacleDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 81, m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire, newValue);
    } else {
      m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJourContratSurPraSpectacleDonneesTemporaire(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJourContratSurPraSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 82, m_nbJourContratSurPraSpectacleDonneesTemporaire, newValue);
    } else {
      m_nbJourContratSurPraSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_saisieCasGeneralDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_saisieCasGeneralDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 83, m_saisieCasGeneralDonneesTemporaire, newValue);
    } else {
      m_saisieCasGeneralDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_saisieCasSpectacleDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_saisieCasSpectacleDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 84, m_saisieCasSpectacleDonneesTemporaire, newValue);
    } else {
      m_saisieCasSpectacleDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_idPecSigmaFormulaireAsu(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_idPecSigmaFormulaireAsu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 85, m_idPecSigmaFormulaireAsu, newValue);
    } else {
      m_idPecSigmaFormulaireAsu = newValue;
    }
  }
  
  protected static final void jdoSetm_referenceExterneFormulaireAsu(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_referenceExterneFormulaireAsu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 86, m_referenceExterneFormulaireAsu, newValue);
    } else {
      m_referenceExterneFormulaireAsu = newValue;
    }
  }
  
  protected static final void jdoSetm_typeExamenFormulaireAsu(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeExamenFormulaireAsu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 87, m_typeExamenFormulaireAsu, newValue);
    } else {
      m_typeExamenFormulaireAsu = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementFormulaireAsu(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementFormulaireAsu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 88, m_dateEvenementFormulaireAsu, newValue);
    } else {
      m_dateEvenementFormulaireAsu = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteReliquatReliquat(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteReliquatReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 89, m_quantiteReliquatReliquat, newValue);
    } else {
      m_quantiteReliquatReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteFormationReliquat(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteFormationReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 90, m_quantiteFormationReliquat, newValue);
    } else {
      m_quantiteFormationReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAideReliquat(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAideReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 91, m_quantiteAideReliquat, newValue);
    } else {
      m_quantiteAideReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_reliquatValideReliquat(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatValideReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 92, m_reliquatValideReliquat, newValue);
    } else {
      m_reliquatValideReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_cumulMoisActiviteReduiteReliquat(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_cumulMoisActiviteReduiteReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 93, m_cumulMoisActiviteReduiteReliquat, newValue);
    } else {
      m_cumulMoisActiviteReduiteReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteReliquatRenouvellementReliquat(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteReliquatRenouvellementReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 94, m_quantiteReliquatRenouvellementReliquat, newValue);
    } else {
      m_quantiteReliquatRenouvellementReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_categorieParticuliereDonneesDal(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_categorieParticuliereDonneesDal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 95, m_categorieParticuliereDonneesDal, newValue);
    } else {
      m_categorieParticuliereDonneesDal = newValue;
    }
  }
  
  protected static final void jdoSetm_prsRepriseContextuelleElementJustification(DemandePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_prsRepriseContextuelleElementJustification = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 96, m_prsRepriseContextuelleElementJustification, newValue);
    } else {
      m_prsRepriseContextuelleElementJustification = newValue;
    }
  }
  
  protected static final void jdoSetm_leveePmcDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_leveePmcDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 97, m_leveePmcDonneesTemporaires, newValue);
    } else {
      m_leveePmcDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_aBeneficeDroitAt12MoisDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_aBeneficeDroitAt12MoisDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 98, m_aBeneficeDroitAt12MoisDonneesTemporaires, newValue);
    } else {
      m_aBeneficeDroitAt12MoisDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeAncienneteIntermittantSpectacleDonneesTemporaires(DemandePC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAncienneteIntermittantSpectacleDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 99, m_dureeAncienneteIntermittantSpectacleDonneesTemporaires, newValue);
    } else {
      m_dureeAncienneteIntermittantSpectacleDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_estDemandeAtDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDemandeAtDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 100, m_estDemandeAtDonneesTemporaires, newValue);
    } else {
      m_estDemandeAtDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_estDemandeAfdDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDemandeAfdDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 101, m_estDemandeAfdDonneesTemporaires, newValue);
    } else {
      m_estDemandeAfdDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_comportmentDemandeMigree(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_comportmentDemandeMigree = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 102, m_comportmentDemandeMigree, newValue);
    } else {
      m_comportmentDemandeMigree = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinDroitSpecNonMigre(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinDroitSpecNonMigre = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 103, m_dateFinDroitSpecNonMigre, newValue);
    } else {
      m_dateFinDroitSpecNonMigre = newValue;
    }
  }
  
  protected static final void jdoSetm_saisieCasExpatriesDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_saisieCasExpatriesDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 104, m_saisieCasExpatriesDonneesTemporaire, newValue);
    } else {
      m_saisieCasExpatriesDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_rejetChomageVolontaireGARP(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_rejetChomageVolontaireGARP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 105, m_rejetChomageVolontaireGARP, newValue);
    } else {
      m_rejetChomageVolontaireGARP = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJourICCP(DemandePC pc, QuantiteJour newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourICCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 106, m_quantiteJourICCP, newValue);
    } else {
      m_quantiteJourICCP = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJourISLR(DemandePC pc, QuantiteJour newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourISLR = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 107, m_quantiteJourISLR, newValue);
    } else {
      m_quantiteJourISLR = newValue;
    }
  }
  
  protected static final void jdoSetm_identifiantFCTCarenceExpatries(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantFCTCarenceExpatries = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 108, m_identifiantFCTCarenceExpatries, newValue);
    } else {
      m_identifiantFCTCarenceExpatries = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJourImputationDroitPrecedent(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJourImputationDroitPrecedent = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 109, m_nbJourImputationDroitPrecedent, newValue);
    } else {
      m_nbJourImputationDroitPrecedent = newValue;
    }
  }
  
  protected static final void jdoSetm_topPremiereODARE(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_topPremiereODARE = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 110, m_topPremiereODARE, newValue);
    } else {
      m_topPremiereODARE = newValue;
    }
  }
  
  private static final void jdoSetm_montantContributionPourNonCTP(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantContributionPourNonCTP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 111, m_montantContributionPourNonCTP, newValue);
    } else {
      m_montantContributionPourNonCTP = newValue;
    }
  }
  
  private static final void jdoSetm_dateAttributionAide(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionAide = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 112, m_dateAttributionAide, newValue);
    } else {
      m_dateAttributionAide = newValue;
    }
  }
  
  protected static final void jdoSetm_estRetenirActSectPrive(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estRetenirActSectPrive = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 113, m_estRetenirActSectPrive, newValue);
    } else {
      m_estRetenirActSectPrive = newValue;
    }
  }
  
  protected static final void jdoSetm_motifExamen(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifExamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 114, m_motifExamen, newValue);
    } else {
      m_motifExamen = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinEvenement(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinEvenement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 115, m_dateFinEvenement, newValue);
    } else {
      m_dateFinEvenement = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteJourImputationDonneesForceesReliquat(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourImputationDonneesForceesReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 116, m_quantiteJourImputationDonneesForceesReliquat, newValue);
    } else {
      m_quantiteJourImputationDonneesForceesReliquat = newValue;
    }
  }
  
  protected static final void jdoSetm_leverBornageDureeEffectiveRetraite(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_leverBornageDureeEffectiveRetraite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 117, m_leverBornageDureeEffectiveRetraite, newValue);
    } else {
      m_leverBornageDureeEffectiveRetraite = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEffetActConserveeDonneesTemporaire(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEffetActConserveeDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 118, m_dateEffetActConserveeDonneesTemporaire, newValue);
    } else {
      m_dateEffetActConserveeDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAnnulationReexamen(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAnnulationReexamen = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 119, m_dateAnnulationReexamen, newValue);
    } else {
      m_dateAnnulationReexamen = newValue;
    }
  }
  
  protected static final void jdoSetm_modeLiquidation(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_modeLiquidation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 120, m_modeLiquidation, newValue);
    } else {
      m_modeLiquidation = newValue;
    }
  }
  
  protected static final void jdoSetm_typeContexteDemandeDonneesTemporaires(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeContexteDemandeDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 121, m_typeContexteDemandeDonneesTemporaires, newValue);
    } else {
      m_typeContexteDemandeDonneesTemporaires = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinPreavisLegal(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPreavisLegal = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 122, m_dateFinPreavisLegal, newValue);
    } else {
      m_dateFinPreavisLegal = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeFinancement(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeFinancement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 123, m_dureeFinancement, newValue);
    } else {
      m_dureeFinancement = newValue;
    }
  }
  
  protected static final void jdoSetm_typeContexteDemande(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeContexteDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 124, m_typeContexteDemande, newValue);
    } else {
      m_typeContexteDemande = newValue;
    }
  }
  
  public static final void jdoSetm_demandeAssociee(DemandePC pc, DemandePC newValue)
  {
    if (jdoFlags == 0)
    {
      m_demandeAssociee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 125, m_demandeAssociee, newValue);
    } else {
      m_demandeAssociee = newValue;
    }
  }
  
  protected static final void jdoSetm_saisieCasFinancementDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_saisieCasFinancementDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 126, m_saisieCasFinancementDonneesTemporaire, newValue);
    } else {
      m_saisieCasFinancementDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_entretien(DemandePC pc, EntretienPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_entretien = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 127, m_entretien, newValue);
    } else {
      m_entretien = newValue;
    }
  }
  
  protected static final void jdoSetm_fctDansLesDeuxMoisAvantFddAre(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_fctDansLesDeuxMoisAvantFddAre = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 128, m_fctDansLesDeuxMoisAvantFddAre, newValue);
    } else {
      m_fctDansLesDeuxMoisAvantFddAre = newValue;
    }
  }
  
  protected static final void jdoSetm_sousTypeContexteDemande(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_sousTypeContexteDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 129, m_sousTypeContexteDemande, newValue);
    } else {
      m_sousTypeContexteDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_dateDebutJustifContexte(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutJustifContexte = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 130, m_dateDebutJustifContexte, newValue);
    } else {
      m_dateDebutJustifContexte = newValue;
    }
  }
  
  protected static final void jdoSetm_dateFinJustifContexte(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinJustifContexte = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 131, m_dateFinJustifContexte, newValue);
    } else {
      m_dateFinJustifContexte = newValue;
    }
  }
  
  private static final void jdoSetm_saisieAntecedent(DemandePC pc, SaisieAntecedentPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_saisieAntecedent = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 132, m_saisieAntecedent, newValue);
    } else {
      m_saisieAntecedent = newValue;
    }
  }
  
  protected static final void jdoSetm_etatForcageDelaiAttente(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_etatForcageDelaiAttente = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 133, m_etatForcageDelaiAttente, newValue);
    } else {
      m_etatForcageDelaiAttente = newValue;
    }
  }
  
  private static final void jdoSetm_numeroConventionPE(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_numeroConventionPE = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 134, m_numeroConventionPE, newValue);
    } else {
      m_numeroConventionPE = newValue;
    }
  }
  
  private static final void jdoSetm_codeAffectationConvention(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeAffectationConvention = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 135, m_codeAffectationConvention, newValue);
    } else {
      m_codeAffectationConvention = newValue;
    }
  }
  
  private static final void jdoSetm_estDerogationCspDonneesTemporaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDerogationCspDonneesTemporaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 136, m_estDerogationCspDonneesTemporaire, newValue);
    } else {
      m_estDerogationCspDonneesTemporaire = newValue;
    }
  }
  
  private static final void jdoSetm_estSalarieHandicapeChomageTotalSansRupture(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSalarieHandicapeChomageTotalSansRupture = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 137, m_estSalarieHandicapeChomageTotalSansRupture, newValue);
    } else {
      m_estSalarieHandicapeChomageTotalSansRupture = newValue;
    }
  }
  
  private static final void jdoSetm_dureeImputationSP(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationSP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 138, m_dureeImputationSP, newValue);
    } else {
      m_dureeImputationSP = newValue;
    }
  }
  
  private static final void jdoSetm_djiSpFinDroit(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_djiSpFinDroit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 139, m_djiSpFinDroit, newValue);
    } else {
      m_djiSpFinDroit = newValue;
    }
  }
  
  private static final void jdoSetm_idExterneEmployeurSp(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_idExterneEmployeurSp = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 140, m_idExterneEmployeurSp, newValue);
    } else {
      m_idExterneEmployeurSp = newValue;
    }
  }
  
  protected static final void jdoSetm_estLeveeControlePANSSuiteARCEDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estLeveeControlePANSSuiteARCEDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 141, m_estLeveeControlePANSSuiteARCEDonneesTemporaires, newValue);
    } else {
      m_estLeveeControlePANSSuiteARCEDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_estLeveeConditionACMemeEmployeur(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estLeveeConditionACMemeEmployeur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 142, m_estLeveeConditionACMemeEmployeur, newValue);
    } else {
      m_estLeveeConditionACMemeEmployeur = newValue;
    }
  }
  
  private static final void jdoSetm_nbjImputationDroitAServir(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbjImputationDroitAServir = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 143, m_nbjImputationDroitAServir, newValue);
    } else {
      m_nbjImputationDroitAServir = newValue;
    }
  }
  
  private static final void jdoSetm_motifNbJourImputationDroitAServir(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifNbJourImputationDroitAServir = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 144, m_motifNbJourImputationDroitAServir, newValue);
    } else {
      m_motifNbJourImputationDroitAServir = newValue;
    }
  }
  
  private static final void jdoSetm_motifNbJourImputationDroitCourant(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifNbJourImputationDroitCourant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 145, m_motifNbJourImputationDroitCourant, newValue);
    } else {
      m_motifNbJourImputationDroitCourant = newValue;
    }
  }
  
  private static final void jdoSetm_motifNbJourImputationDroitPrecedent(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifNbJourImputationDroitPrecedent = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 146, m_motifNbJourImputationDroitPrecedent, newValue);
    } else {
      m_motifNbJourImputationDroitPrecedent = newValue;
    }
  }
  
  private static final void jdoSetm_motifMontantImputationDroitAServir(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifMontantImputationDroitAServir = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 147, m_motifMontantImputationDroitAServir, newValue);
    } else {
      m_motifMontantImputationDroitAServir = newValue;
    }
  }
  
  private static final void jdoSetm_montantImputationDroitAServir(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantImputationDroitAServir = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 148, m_montantImputationDroitAServir, newValue);
    } else {
      m_montantImputationDroitAServir = newValue;
    }
  }
  
  private static final void jdoSetm_estIgnorerAttribPrecCSR(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estIgnorerAttribPrecCSR = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 149, m_estIgnorerAttribPrecCSR, newValue);
    } else {
      m_estIgnorerAttribPrecCSR = newValue;
    }
  }
  
  private static final void jdoSetm_estPCRCForceDroitCourant(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estPCRCForceDroitCourant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 150, m_estPCRCForceDroitCourant, newValue);
    } else {
      m_estPCRCForceDroitCourant = newValue;
    }
  }
  
  private static final void jdoSetm_estPCRCForceDroitPrecedent(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estPCRCForceDroitPrecedent = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 151, m_estPCRCForceDroitPrecedent, newValue);
    } else {
      m_estPCRCForceDroitPrecedent = newValue;
    }
  }
  
  private static final void jdoSetm_dateDepartICCP(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDepartICCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 152, m_dateDepartICCP, newValue);
    } else {
      m_dateDepartICCP = newValue;
    }
  }
  
  private static final void jdoSetm_estDemarcheReintegrationEffectuee(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDemarcheReintegrationEffectuee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 153, m_estDemarcheReintegrationEffectuee, newValue);
    } else {
      m_estDemarcheReintegrationEffectuee = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueForcee(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 154, m_dureeTheoriqueForcee, newValue);
    } else {
      m_dureeTheoriqueForcee = newValue;
    }
  }
  
  protected static final void jdoSetm_dateExamenForcee(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateExamenForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 155, m_dateExamenForcee, newValue);
    } else {
      m_dateExamenForcee = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionForcee(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 156, m_dateAttributionForcee, newValue);
    } else {
      m_dateAttributionForcee = newValue;
    }
  }
  
  protected static final void jdoSetm_delaiAttenteForce(DemandePC pc, Boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_delaiAttenteForce = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 157, m_delaiAttenteForce, newValue);
    } else {
      m_delaiAttenteForce = newValue;
    }
  }
  
  protected static final void jdoSetm_conditionChomageInvolontaireSatistaite(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_conditionChomageInvolontaireSatistaite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 158, m_conditionChomageInvolontaireSatistaite, newValue);
    } else {
      m_conditionChomageInvolontaireSatistaite = newValue;
    }
  }
  
  protected static final void jdoSetm_droitOptionForce(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_droitOptionForce = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 159, m_droitOptionForce, newValue);
    } else {
      m_droitOptionForce = newValue;
    }
  }
  
  protected static final void jdoSetm_djiDroitSpContexteRechargement(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_djiDroitSpContexteRechargement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 160, m_djiDroitSpContexteRechargement, newValue);
    } else {
      m_djiDroitSpContexteRechargement = newValue;
    }
  }
  
  protected static final void jdoSetm_fgdDroitSpContexteRechargement(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_fgdDroitSpContexteRechargement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 161, m_fgdDroitSpContexteRechargement, newValue);
    } else {
      m_fgdDroitSpContexteRechargement = newValue;
    }
  }
  
  protected static final void jdoSetm_repriseForceeSurDemandeExpresse(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_repriseForceeSurDemandeExpresse = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 162, m_repriseForceeSurDemandeExpresse, newValue);
    } else {
      m_repriseForceeSurDemandeExpresse = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierReliquat(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 163, m_montantJournalierReliquat, newValue);
    } else {
      m_montantJournalierReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_capitalReliquat(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 164, m_capitalReliquat, newValue);
    } else {
      m_capitalReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_estNonExecutable(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estNonExecutable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 165, m_estNonExecutable, newValue);
    } else {
      m_estNonExecutable = newValue;
    }
  }
  
  private static final void jdoSetm_estDesactivationPnds(DemandePC pc, Boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDesactivationPnds = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 166, m_estDesactivationPnds, newValue);
    } else {
      m_estDesactivationPnds = newValue;
    }
  }
  
  private static final void jdoSetm_dureePostPrime(DemandePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureePostPrime = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 167, m_dureePostPrime, newValue);
    } else {
      m_dureePostPrime = newValue;
    }
  }
  
  private static final void jdoSetm_dateFinDispositifCSP(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinDispositifCSP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 168, m_dateFinDispositifCSP, newValue);
    } else {
      m_dateFinDispositifCSP = newValue;
    }
  }
  
  private static final void jdoSetm_motifEchecTraitement(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_motifEchecTraitement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 169, m_motifEchecTraitement, newValue);
    } else {
      m_motifEchecTraitement = newValue;
    }
  }
  
  private static final void jdoSetm_modeTraitementDemande(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_modeTraitementDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 170, m_modeTraitementDemande, newValue);
    } else {
      m_modeTraitementDemande = newValue;
    }
  }
  
  private static final void jdoSetm_dureeImputation(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 171, m_dureeImputation, newValue);
    } else {
      m_dureeImputation = newValue;
    }
  }
  
  private static final void jdoSetm_nbJoursAllongement(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursAllongement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 172, m_nbJoursAllongement, newValue);
    } else {
      m_nbJoursAllongement = newValue;
    }
  }
  
  private static final void jdoSetm_dateLimiteIndemnisationDonneeForcee(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateLimiteIndemnisationDonneeForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 173, m_dateLimiteIndemnisationDonneeForcee, newValue);
    } else {
      m_dateLimiteIndemnisationDonneeForcee = newValue;
    }
  }
  
  private static final void jdoSetm_dateTraitementDemande(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateTraitementDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 174, m_dateTraitementDemande, newValue);
    } else {
      m_dateTraitementDemande = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatSecteurPublicEteintDonneesComplementaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatSecteurPublicEteintDonneesComplementaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 175, m_reliquatSecteurPublicEteintDonneesComplementaires, newValue);
    } else {
      m_reliquatSecteurPublicEteintDonneesComplementaires = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatSecteurPublicPrescritRejete(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatSecteurPublicPrescritRejete = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 176, m_reliquatSecteurPublicPrescritRejete, newValue);
    } else {
      m_reliquatSecteurPublicPrescritRejete = newValue;
    }
  }
  
  private static final void jdoSetm_leveeConditionCLCA(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_leveeConditionCLCA = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 177, m_leveeConditionCLCA, newValue);
    } else {
      m_leveeConditionCLCA = newValue;
    }
  }
  
  private static final void jdoSetm_identifiantObjetMetier(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantObjetMetier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 178, m_identifiantObjetMetier, newValue);
    } else {
      m_identifiantObjetMetier = newValue;
    }
  }
  
  private static final void jdoSetm_conditionAffiliationSatisfaiteForcee(DemandePC pc, Boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_conditionAffiliationSatisfaiteForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 179, m_conditionAffiliationSatisfaiteForcee, newValue);
    } else {
      m_conditionAffiliationSatisfaiteForcee = newValue;
    }
  }
  
  private static final void jdoSetm_conditionAncienneteSatisfaiteForcee(DemandePC pc, Boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_conditionAncienneteSatisfaiteForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 180, m_conditionAncienneteSatisfaiteForcee, newValue);
    } else {
      m_conditionAncienneteSatisfaiteForcee = newValue;
    }
  }
  
  private static final void jdoSetm_dateFinPeriodeAncienneteForcee(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPeriodeAncienneteForcee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 181, m_dateFinPeriodeAncienneteForcee, newValue);
    } else {
      m_dateFinPeriodeAncienneteForcee = newValue;
    }
  }
  
  private static final void jdoSetm_nombreJourTotalA8A10Force(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourTotalA8A10Force = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 182, m_nombreJourTotalA8A10Force, newValue);
    } else {
      m_nombreJourTotalA8A10Force = newValue;
    }
  }
  
  private static final void jdoSetm_estRepriseStockSpectacle2016Faite(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estRepriseStockSpectacle2016Faite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 183, m_estRepriseStockSpectacle2016Faite, newValue);
    } else {
      m_estRepriseStockSpectacle2016Faite = newValue;
    }
  }
  
  private static final void jdoSetm_attenteIncoherenceSalaireLevee(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_attenteIncoherenceSalaireLevee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 184, m_attenteIncoherenceSalaireLevee, newValue);
    } else {
      m_attenteIncoherenceSalaireLevee = newValue;
    }
  }
  
  private static final void jdoSetm_competenceFinanciereDonneesTemporaires(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_competenceFinanciereDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 185, m_competenceFinanciereDonneesTemporaires, newValue);
    } else {
      m_competenceFinanciereDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_employeurSecteurPublicCompetentDonneesTemporaires(DemandePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_employeurSecteurPublicCompetentDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 186, m_employeurSecteurPublicCompetentDonneesTemporaires, newValue);
    } else {
      m_employeurSecteurPublicCompetentDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_montantIndemnitePreavisContribDonneesTemporaires(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantIndemnitePreavisContribDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 187, m_montantIndemnitePreavisContribDonneesTemporaires, newValue);
    } else {
      m_montantIndemnitePreavisContribDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_contributionAdhesionVolontaireDonneesTemporaires(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_contributionAdhesionVolontaireDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 188, m_contributionAdhesionVolontaireDonneesTemporaires, newValue);
    } else {
      m_contributionAdhesionVolontaireDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_nombreMoisPreavisDonneesTemporaires(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreMoisPreavisDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 189, m_nombreMoisPreavisDonneesTemporaires, newValue);
    } else {
      m_nombreMoisPreavisDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_presenceDerniersSalairesDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDerniersSalairesDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 190, m_presenceDerniersSalairesDonneesTemporaires, newValue);
    } else {
      m_presenceDerniersSalairesDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_droitInterimaireDonneesTemporaires(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_droitInterimaireDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 191, m_droitInterimaireDonneesTemporaires, newValue);
    } else {
      m_droitInterimaireDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_diviseurSjrDonneesTemporaires(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_diviseurSjrDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 192, m_diviseurSjrDonneesTemporaires, newValue);
    } else {
      m_diviseurSjrDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_dureeAllongementAREFDonneesTemporaires(DemandePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAllongementAREFDonneesTemporaires = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 193, m_dureeAllongementAREFDonneesTemporaires, newValue);
    } else {
      m_dureeAllongementAREFDonneesTemporaires = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatAllongementArefPossibleReliquat(DemandePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatAllongementArefPossibleReliquat = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 194, m_reliquatAllongementArefPossibleReliquat, newValue);
    } else {
      m_reliquatAllongementArefPossibleReliquat = newValue;
    }
  }
  
  private static final void jdoSetm_rejetConditionChomageInvolontaire(DemandePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_rejetConditionChomageInvolontaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 195, m_rejetConditionChomageInvolontaire, newValue);
    } else {
      m_rejetConditionChomageInvolontaire = newValue;
    }
  }
  
  private static final void jdoSetm_dateDepotOrigineFormulaireAsu(DemandePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDepotOrigineFormulaireAsu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 196, m_dateDepotOrigineFormulaireAsu, newValue);
    } else {
      m_dateDepotOrigineFormulaireAsu = newValue;
    }
  }
  
  private static final void jdoSetm_leverConditionBeneficeAutreProduit(DemandePC pc, Boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_leverConditionBeneficeAutreProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 197, m_leverConditionBeneficeAutreProduit, newValue);
    } else {
      m_leverConditionBeneficeAutreProduit = newValue;
    }
  }
  
  protected static final void jdoSetm_listeObjectifsExamenDemande(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 198, m_listeObjectifsExamenDemande, newValue);
    } else {
      m_listeObjectifsExamenDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_listeMotifsReexamenDemande(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 199, m_listeMotifsReexamenDemande, newValue);
    } else {
      m_listeMotifsReexamenDemande = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 200, m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire, newValue);
    } else {
      m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodesChomageSaisonnierRepContextuelleElementJustification(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 201, m_listePeriodesChomageSaisonnierRepContextuelleElementJustification, newValue);
    } else {
      m_listePeriodesChomageSaisonnierRepContextuelleElementJustification = newValue;
    }
  }
  
  public static final void jdoSetm_listePensionInvaliditeDonneeForcee(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 202, m_listePensionInvaliditeDonneeForcee, newValue);
    } else {
      m_listePensionInvaliditeDonneeForcee = newValue;
    }
  }
  
  public static final void jdoSetm_forcageExecutionDemande(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 203, m_forcageExecutionDemande, newValue);
    } else {
      m_forcageExecutionDemande = newValue;
    }
  }
  
  public static final void jdoSetm_listeContextes(DemandePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 204, m_listeContextes, newValue);
    } else {
      m_listeContextes = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesReliquat);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesDonneesDAL);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesElementJustification);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesDemandeAssociee);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesTypeContexte);
      break;
    case 5: 
      jdoStateManager.providedStringField(this, fieldNumber, m_motifReexamenPrincipalDemande);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_demandeExpresseDemande);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_liquideeAvecConflitsDemande);
      break;
    case 8: 
      jdoStateManager.providedIntField(this, fieldNumber, m_estMigreeDemande);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDeneutralisable);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estNeutraliseeLiquidationDemande);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estNeutraliseeCalculDemande);
      break;
    case 12: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estLiquidableDemande);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_demandePivotDemande);
      break;
    case 14: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_datePremiereValidationDemande);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDerniereValidationDemande);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDerniereNotificationDemande);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_demandeOrigineDemande);
      break;
    case 18: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dossierAffectationAdmissionDemande);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dossierAffectationRepriseDemande);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_classementAdministratifDemande);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_evenementReferenceExamen);
      break;
    case 22: 
      jdoStateManager.providedStringField(this, fieldNumber, m_commentaire);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePrcDonneesTemporaire);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_allongementDelaiDecheanceDonneesTemporaire);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_allongementDelaiForclusionDonneesTemporaire);
      break;
    case 26: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_inopposabiliteDelaiDecheanceDonneesTemporaire);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnierDonneesTemporaire);
      break;
    case 28: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielDonneesTemporaire);
      break;
    case 29: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcDonneesTemporaire);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrDonneesTemporaire);
      break;
    case 31: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_canAvecCentVingtTrimestresDonneesTemporaire);
      break;
    case 32: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_caractereSaisonnierForceDonneesTemporaire);
      break;
    case 33: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire);
      break;
    case 34: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire);
      break;
    case 35: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_pensionRaccordementDonneesTemporaire);
      break;
    case 36: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typeCaractereSaisonnierForceDonneesTemporaire);
      break;
    case 37: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalReliquatSecteurPublicDonneesTemporaire);
      break;
    case 38: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutPIDonneesTemporaire);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPIDonneesTemporaire);
      break;
    case 40: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantPeriodeFctARetenirDonneesTemporaire);
      break;
    case 41: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationDonneesTemporaire);
      break;
    case 42: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionDroitAnterieurSpDonneesTemporaire);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFgDroitAnterieurSpDonneesTemporaire);
      break;
    case 44: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeInitialeDroitAnterieurSpDonneesTemporaire);
      break;
    case 45: 
      jdoStateManager.providedShortField(this, fieldNumber, m_avisCommissionParitaireDonneesTemporaire);
      break;
    case 46: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantAideDonneesTemporaire);
      break;
    case 47: 
      jdoStateManager.providedIntField(this, fieldNumber, m_natureMontantAideDonneesTemporaire);
      break;
    case 48: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnierSpDonneesTemporaire);
      break;
    case 50: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielSpDonneesTemporaire);
      break;
    case 51: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrSPDonneesTemporaire);
      break;
    case 52: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePrcSpDonneesTemporaire);
      break;
    case 53: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_conditionCumulActiviteConserveeRemplieDonneesTemporaire);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_finPmcDonneesTemporaire);
      break;
    case 55: 
      jdoStateManager.providedStringField(this, fieldNumber, m_indentifiantFctPMCDonneesTemporaire);
      break;
    case 56: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_pmcIndemnisableDonneesTemporaire);
      break;
    case 57: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_accordPoursuite182JoursChomageTotalSansRupture);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionCPChomageTotalSansRupture);
      break;
    case 59: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateChomageTotalSansRupture);
      break;
    case 60: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
      break;
    case 61: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_avisFavorableCPChomageTotalSansRupture);
      break;
    case 62: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_decisionCPRenseigneeChomageTotalSansRupture);
      break;
    case 63: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_leveeCondition28JoursChomageTotalSansRupture);
      break;
    case 64: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_sinistreOuCalamiteNaturelleChomageTotalSansRupture);
      break;
    case 65: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nouvelleDateAttributionChomageTotalSansRupture);
      break;
    case 66: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture);
      break;
    case 67: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJoursDiffereChomageTotalSansRupture);
      break;
    case 68: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrPerteActConserveeDonneesTemporaire);
      break;
    case 69: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcPerteActConserveeDonneesTemporaire);
      break;
    case 70: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielActConserveeDonneesTemporaire);
      break;
    case 71: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantPeriodeActiviteConserveePerdue);
      break;
    case 72: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estPrimoDemandeurA3A4A5);
      break;
    case 73: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_primoDemandeurA3A4A5Renseignee);
      break;
    case 74: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typeCoordinationEuropeenne);
      break;
    case 75: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbJourImputer);
      break;
    case 76: 
      jdoStateManager.providedStringField(this, fieldNumber, m_reglementApplicableSpectacleDonneesTemporaire);
      break;
    case 77: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_rangAllongementPraSpectacleDonneesTemporaire);
      break;
    case 78: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sripSpectacleDonneesTemporaire);
      break;
    case 79: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalRemunerationDansPRCDonneesTemporaire);
      break;
    case 80: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbHeuresTravailEtenduSpectacleDonneesTemporaire);
      break;
    case 81: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire);
      break;
    case 82: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbJourContratSurPraSpectacleDonneesTemporaire);
      break;
    case 83: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_saisieCasGeneralDonneesTemporaire);
      break;
    case 84: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_saisieCasSpectacleDonneesTemporaire);
      break;
    case 85: 
      jdoStateManager.providedIntField(this, fieldNumber, m_idPecSigmaFormulaireAsu);
      break;
    case 86: 
      jdoStateManager.providedStringField(this, fieldNumber, m_referenceExterneFormulaireAsu);
      break;
    case 87: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeExamenFormulaireAsu);
      break;
    case 88: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementFormulaireAsu);
      break;
    case 89: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteReliquatReliquat);
      break;
    case 90: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteFormationReliquat);
      break;
    case 91: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAideReliquat);
      break;
    case 92: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_reliquatValideReliquat);
      break;
    case 93: 
      jdoStateManager.providedIntField(this, fieldNumber, m_cumulMoisActiviteReduiteReliquat);
      break;
    case 94: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteReliquatRenouvellementReliquat);
      break;
    case 95: 
      jdoStateManager.providedIntField(this, fieldNumber, m_categorieParticuliereDonneesDal);
      break;
    case 96: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prsRepriseContextuelleElementJustification);
      break;
    case 97: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_leveePmcDonneesTemporaires);
      break;
    case 98: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_aBeneficeDroitAt12MoisDonneesTemporaires);
      break;
    case 99: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeAncienneteIntermittantSpectacleDonneesTemporaires);
      break;
    case 100: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDemandeAtDonneesTemporaires);
      break;
    case 101: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDemandeAfdDonneesTemporaires);
      break;
    case 102: 
      jdoStateManager.providedIntField(this, fieldNumber, m_comportmentDemandeMigree);
      break;
    case 103: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinDroitSpecNonMigre);
      break;
    case 104: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_saisieCasExpatriesDonneesTemporaire);
      break;
    case 105: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_rejetChomageVolontaireGARP);
      break;
    case 106: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourICCP);
      break;
    case 107: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourISLR);
      break;
    case 108: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantFCTCarenceExpatries);
      break;
    case 109: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbJourImputationDroitPrecedent);
      break;
    case 110: 
      jdoStateManager.providedIntField(this, fieldNumber, m_topPremiereODARE);
      break;
    case 111: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantContributionPourNonCTP);
      break;
    case 112: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionAide);
      break;
    case 113: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estRetenirActSectPrive);
      break;
    case 114: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifExamen);
      break;
    case 115: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinEvenement);
      break;
    case 116: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourImputationDonneesForceesReliquat);
      break;
    case 117: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_leverBornageDureeEffectiveRetraite);
      break;
    case 118: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEffetActConserveeDonneesTemporaire);
      break;
    case 119: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAnnulationReexamen);
      break;
    case 120: 
      jdoStateManager.providedStringField(this, fieldNumber, m_modeLiquidation);
      break;
    case 121: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeContexteDemandeDonneesTemporaires);
      break;
    case 122: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPreavisLegal);
      break;
    case 123: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeFinancement);
      break;
    case 124: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeContexteDemande);
      break;
    case 125: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_demandeAssociee);
      break;
    case 126: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_saisieCasFinancementDonneesTemporaire);
      break;
    case 127: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_entretien);
      break;
    case 128: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_fctDansLesDeuxMoisAvantFddAre);
      break;
    case 129: 
      jdoStateManager.providedStringField(this, fieldNumber, m_sousTypeContexteDemande);
      break;
    case 130: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutJustifContexte);
      break;
    case 131: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinJustifContexte);
      break;
    case 132: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_saisieAntecedent);
      break;
    case 133: 
      jdoStateManager.providedStringField(this, fieldNumber, m_etatForcageDelaiAttente);
      break;
    case 134: 
      jdoStateManager.providedStringField(this, fieldNumber, m_numeroConventionPE);
      break;
    case 135: 
      jdoStateManager.providedStringField(this, fieldNumber, m_codeAffectationConvention);
      break;
    case 136: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDerogationCspDonneesTemporaire);
      break;
    case 137: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSalarieHandicapeChomageTotalSansRupture);
      break;
    case 138: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationSP);
      break;
    case 139: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_djiSpFinDroit);
      break;
    case 140: 
      jdoStateManager.providedStringField(this, fieldNumber, m_idExterneEmployeurSp);
      break;
    case 141: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estLeveeControlePANSSuiteARCEDonneesTemporaires);
      break;
    case 142: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estLeveeConditionACMemeEmployeur);
      break;
    case 143: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbjImputationDroitAServir);
      break;
    case 144: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifNbJourImputationDroitAServir);
      break;
    case 145: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifNbJourImputationDroitCourant);
      break;
    case 146: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifNbJourImputationDroitPrecedent);
      break;
    case 147: 
      jdoStateManager.providedIntField(this, fieldNumber, m_motifMontantImputationDroitAServir);
      break;
    case 148: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantImputationDroitAServir);
      break;
    case 149: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estIgnorerAttribPrecCSR);
      break;
    case 150: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estPCRCForceDroitCourant);
      break;
    case 151: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estPCRCForceDroitPrecedent);
      break;
    case 152: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDepartICCP);
      break;
    case 153: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDemarcheReintegrationEffectuee);
      break;
    case 154: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueForcee);
      break;
    case 155: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateExamenForcee);
      break;
    case 156: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionForcee);
      break;
    case 157: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_delaiAttenteForce);
      break;
    case 158: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_conditionChomageInvolontaireSatistaite);
      break;
    case 159: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_droitOptionForce);
      break;
    case 160: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_djiDroitSpContexteRechargement);
      break;
    case 161: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_fgdDroitSpContexteRechargement);
      break;
    case 162: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_repriseForceeSurDemandeExpresse);
      break;
    case 163: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierReliquat);
      break;
    case 164: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalReliquat);
      break;
    case 165: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estNonExecutable);
      break;
    case 166: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_estDesactivationPnds);
      break;
    case 167: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureePostPrime);
      break;
    case 168: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinDispositifCSP);
      break;
    case 169: 
      jdoStateManager.providedStringField(this, fieldNumber, m_motifEchecTraitement);
      break;
    case 170: 
      jdoStateManager.providedStringField(this, fieldNumber, m_modeTraitementDemande);
      break;
    case 171: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputation);
      break;
    case 172: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbJoursAllongement);
      break;
    case 173: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateLimiteIndemnisationDonneeForcee);
      break;
    case 174: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateTraitementDemande);
      break;
    case 175: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_reliquatSecteurPublicEteintDonneesComplementaires);
      break;
    case 176: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_reliquatSecteurPublicPrescritRejete);
      break;
    case 177: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_leveeConditionCLCA);
      break;
    case 178: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantObjetMetier);
      break;
    case 179: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_conditionAffiliationSatisfaiteForcee);
      break;
    case 180: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_conditionAncienneteSatisfaiteForcee);
      break;
    case 181: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPeriodeAncienneteForcee);
      break;
    case 182: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourTotalA8A10Force);
      break;
    case 183: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estRepriseStockSpectacle2016Faite);
      break;
    case 184: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_attenteIncoherenceSalaireLevee);
      break;
    case 185: 
      jdoStateManager.providedStringField(this, fieldNumber, m_competenceFinanciereDonneesTemporaires);
      break;
    case 186: 
      jdoStateManager.providedStringField(this, fieldNumber, m_employeurSecteurPublicCompetentDonneesTemporaires);
      break;
    case 187: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantIndemnitePreavisContribDonneesTemporaires);
      break;
    case 188: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_contributionAdhesionVolontaireDonneesTemporaires);
      break;
    case 189: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreMoisPreavisDonneesTemporaires);
      break;
    case 190: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDerniersSalairesDonneesTemporaires);
      break;
    case 191: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_droitInterimaireDonneesTemporaires);
      break;
    case 192: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_diviseurSjrDonneesTemporaires);
      break;
    case 193: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeAllongementAREFDonneesTemporaires);
      break;
    case 194: 
      jdoStateManager.providedIntField(this, fieldNumber, m_reliquatAllongementArefPossibleReliquat);
      break;
    case 195: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_rejetConditionChomageInvolontaire);
      break;
    case 196: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDepotOrigineFormulaireAsu);
      break;
    case 197: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_leverConditionBeneficeAutreProduit);
      break;
    case 198: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeObjectifsExamenDemande);
      break;
    case 199: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeMotifsReexamenDemande);
      break;
    case 200: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire);
      break;
    case 201: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodesChomageSaisonnierRepContextuelleElementJustification);
      break;
    case 202: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePensionInvaliditeDonneeForcee);
      break;
    case 203: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_forcageExecutionDemande);
      break;
    case 204: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeContextes);
      break;
    default: 
      if (relativeField < 0) {
        super.jdoProvideField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesReliquat = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesDonneesDAL = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesElementJustification = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesDemandeAssociee = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesTypeContexte = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_motifReexamenPrincipalDemande = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 6: 
      m_demandeExpresseDemande = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_liquideeAvecConflitsDemande = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_estMigreeDemande = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 9: 
      m_estDeneutralisable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_estNeutraliseeLiquidationDemande = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_estNeutraliseeCalculDemande = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_estLiquidableDemande = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 13: 
      m_demandePivotDemande = ((DemandePivotPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_datePremiereValidationDemande = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 15: 
      m_dateDerniereValidationDemande = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_dateDerniereNotificationDemande = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 17: 
      m_demandeOrigineDemande = ((DemandePC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_dossierAffectationAdmissionDemande = ((DossierAffectationPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 19: 
      m_dossierAffectationRepriseDemande = ((DossierAffectationPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_classementAdministratifDemande = ((ClassementAdministratifPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_evenementReferenceExamen = ((EvenementReferenceExamenSpec)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_commentaire = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 23: 
      m_termePrcDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_allongementDelaiDecheanceDonneesTemporaire = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_allongementDelaiForclusionDonneesTemporaire = ((DureeCalendaire)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_inopposabiliteDelaiDecheanceDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 27: 
      m_coefficientSaisonnierDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_coefficientTempsPartielDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 29: 
      m_sjcDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 30: 
      m_sjrDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_canAvecCentVingtTrimestresDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 32: 
      m_caractereSaisonnierForceDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 33: 
      m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 34: 
      m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 35: 
      m_pensionRaccordementDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 36: 
      m_typeCaractereSaisonnierForceDonneesTemporaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 37: 
      m_capitalReliquatSecteurPublicDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 38: 
      m_dateDebutPIDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 39: 
      m_dateFinPIDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_identifiantPeriodeFctARetenirDonneesTemporaire = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 41: 
      m_quantiteAffiliationDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 42: 
      m_dateAttributionDroitAnterieurSpDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 43: 
      m_dateFgDroitAnterieurSpDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_dureeInitialeDroitAnterieurSpDonneesTemporaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 45: 
      m_avisCommissionParitaireDonneesTemporaire = jdoStateManager.replacingShortField(this, fieldNumber);
      break;
    case 46: 
      m_montantAideDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 47: 
      m_natureMontantAideDonneesTemporaire = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 48: 
      m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire = ((QuantiteJour)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 49: 
      m_coefficientSaisonnierSpDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_coefficientTempsPartielSpDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 51: 
      m_sjrSPDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 52: 
      m_termePrcSpDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 53: 
      m_conditionCumulActiviteConserveeRemplieDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 54: 
      m_finPmcDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_indentifiantFctPMCDonneesTemporaire = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 56: 
      m_pmcIndemnisableDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 57: 
      m_accordPoursuite182JoursChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 58: 
      m_dateAttributionCPChomageTotalSansRupture = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 59: 
      m_dateChomageTotalSansRupture = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 60: 
      m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 61: 
      m_avisFavorableCPChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 62: 
      m_decisionCPRenseigneeChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 63: 
      m_leveeCondition28JoursChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 64: 
      m_sinistreOuCalamiteNaturelleChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 65: 
      m_nouvelleDateAttributionChomageTotalSansRupture = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 66: 
      m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 67: 
      m_quantiteJoursDiffereChomageTotalSansRupture = ((QuantiteJour)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 68: 
      m_sjrPerteActConserveeDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 69: 
      m_sjcPerteActConserveeDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 70: 
      m_coefficientTempsPartielActConserveeDonneesTemporaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 71: 
      m_identifiantPeriodeActiviteConserveePerdue = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 72: 
      m_estPrimoDemandeurA3A4A5 = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 73: 
      m_primoDemandeurA3A4A5Renseignee = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 74: 
      m_typeCoordinationEuropeenne = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 75: 
      m_nbJourImputer = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 76: 
      m_reglementApplicableSpectacleDonneesTemporaire = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 77: 
      m_rangAllongementPraSpectacleDonneesTemporaire = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 78: 
      m_sripSpectacleDonneesTemporaire = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 79: 
      m_totalRemunerationDansPRCDonneesTemporaire = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 80: 
      m_nbHeuresTravailEtenduSpectacleDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 81: 
      m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 82: 
      m_nbJourContratSurPraSpectacleDonneesTemporaire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 83: 
      m_saisieCasGeneralDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 84: 
      m_saisieCasSpectacleDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 85: 
      m_idPecSigmaFormulaireAsu = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 86: 
      m_referenceExterneFormulaireAsu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 87: 
      m_typeExamenFormulaireAsu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 88: 
      m_dateEvenementFormulaireAsu = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 89: 
      m_quantiteReliquatReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 90: 
      m_quantiteFormationReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 91: 
      m_quantiteAideReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 92: 
      m_reliquatValideReliquat = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 93: 
      m_cumulMoisActiviteReduiteReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 94: 
      m_quantiteReliquatRenouvellementReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 95: 
      m_categorieParticuliereDonneesDal = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 96: 
      m_prsRepriseContextuelleElementJustification = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 97: 
      m_leveePmcDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 98: 
      m_aBeneficeDroitAt12MoisDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 99: 
      m_dureeAncienneteIntermittantSpectacleDonneesTemporaires = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 100: 
      m_estDemandeAtDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 101: 
      m_estDemandeAfdDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 102: 
      m_comportmentDemandeMigree = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 103: 
      m_dateFinDroitSpecNonMigre = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 104: 
      m_saisieCasExpatriesDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 105: 
      m_rejetChomageVolontaireGARP = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 106: 
      m_quantiteJourICCP = ((QuantiteJour)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 107: 
      m_quantiteJourISLR = ((QuantiteJour)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 108: 
      m_identifiantFCTCarenceExpatries = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 109: 
      m_nbJourImputationDroitPrecedent = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 110: 
      m_topPremiereODARE = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 111: 
      m_montantContributionPourNonCTP = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 112: 
      m_dateAttributionAide = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 113: 
      m_estRetenirActSectPrive = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 114: 
      m_motifExamen = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 115: 
      m_dateFinEvenement = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 116: 
      m_quantiteJourImputationDonneesForceesReliquat = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 117: 
      m_leverBornageDureeEffectiveRetraite = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 118: 
      m_dateEffetActConserveeDonneesTemporaire = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 119: 
      m_dateAnnulationReexamen = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 120: 
      m_modeLiquidation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 121: 
      m_typeContexteDemandeDonneesTemporaires = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 122: 
      m_dateFinPreavisLegal = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 123: 
      m_dureeFinancement = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 124: 
      m_typeContexteDemande = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 125: 
      m_demandeAssociee = ((DemandePC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 126: 
      m_saisieCasFinancementDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 127: 
      m_entretien = ((EntretienPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 128: 
      m_fctDansLesDeuxMoisAvantFddAre = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 129: 
      m_sousTypeContexteDemande = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 130: 
      m_dateDebutJustifContexte = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 131: 
      m_dateFinJustifContexte = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 132: 
      m_saisieAntecedent = ((SaisieAntecedentPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 133: 
      m_etatForcageDelaiAttente = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 134: 
      m_numeroConventionPE = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 135: 
      m_codeAffectationConvention = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 136: 
      m_estDerogationCspDonneesTemporaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 137: 
      m_estSalarieHandicapeChomageTotalSansRupture = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 138: 
      m_dureeImputationSP = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 139: 
      m_djiSpFinDroit = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 140: 
      m_idExterneEmployeurSp = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 141: 
      m_estLeveeControlePANSSuiteARCEDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 142: 
      m_estLeveeConditionACMemeEmployeur = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 143: 
      m_nbjImputationDroitAServir = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 144: 
      m_motifNbJourImputationDroitAServir = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 145: 
      m_motifNbJourImputationDroitCourant = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 146: 
      m_motifNbJourImputationDroitPrecedent = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 147: 
      m_motifMontantImputationDroitAServir = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 148: 
      m_montantImputationDroitAServir = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 149: 
      m_estIgnorerAttribPrecCSR = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 150: 
      m_estPCRCForceDroitCourant = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 151: 
      m_estPCRCForceDroitPrecedent = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 152: 
      m_dateDepartICCP = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 153: 
      m_estDemarcheReintegrationEffectuee = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 154: 
      m_dureeTheoriqueForcee = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 155: 
      m_dateExamenForcee = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 156: 
      m_dateAttributionForcee = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 157: 
      m_delaiAttenteForce = ((Boolean)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 158: 
      m_conditionChomageInvolontaireSatistaite = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 159: 
      m_droitOptionForce = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 160: 
      m_djiDroitSpContexteRechargement = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 161: 
      m_fgdDroitSpContexteRechargement = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 162: 
      m_repriseForceeSurDemandeExpresse = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 163: 
      m_montantJournalierReliquat = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 164: 
      m_capitalReliquat = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 165: 
      m_estNonExecutable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 166: 
      m_estDesactivationPnds = ((Boolean)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 167: 
      m_dureePostPrime = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 168: 
      m_dateFinDispositifCSP = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 169: 
      m_motifEchecTraitement = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 170: 
      m_modeTraitementDemande = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 171: 
      m_dureeImputation = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 172: 
      m_nbJoursAllongement = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 173: 
      m_dateLimiteIndemnisationDonneeForcee = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 174: 
      m_dateTraitementDemande = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 175: 
      m_reliquatSecteurPublicEteintDonneesComplementaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 176: 
      m_reliquatSecteurPublicPrescritRejete = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 177: 
      m_leveeConditionCLCA = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 178: 
      m_identifiantObjetMetier = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 179: 
      m_conditionAffiliationSatisfaiteForcee = ((Boolean)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 180: 
      m_conditionAncienneteSatisfaiteForcee = ((Boolean)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 181: 
      m_dateFinPeriodeAncienneteForcee = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 182: 
      m_nombreJourTotalA8A10Force = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 183: 
      m_estRepriseStockSpectacle2016Faite = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 184: 
      m_attenteIncoherenceSalaireLevee = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 185: 
      m_competenceFinanciereDonneesTemporaires = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 186: 
      m_employeurSecteurPublicCompetentDonneesTemporaires = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 187: 
      m_montantIndemnitePreavisContribDonneesTemporaires = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 188: 
      m_contributionAdhesionVolontaireDonneesTemporaires = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 189: 
      m_nombreMoisPreavisDonneesTemporaires = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 190: 
      m_presenceDerniersSalairesDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 191: 
      m_droitInterimaireDonneesTemporaires = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 192: 
      m_diviseurSjrDonneesTemporaires = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 193: 
      m_dureeAllongementAREFDonneesTemporaires = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 194: 
      m_reliquatAllongementArefPossibleReliquat = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 195: 
      m_rejetConditionChomageInvolontaire = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 196: 
      m_dateDepotOrigineFormulaireAsu = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 197: 
      m_leverConditionBeneficeAutreProduit = ((Boolean)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 198: 
      m_listeObjectifsExamenDemande = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 199: 
      m_listeMotifsReexamenDemande = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 200: 
      m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 201: 
      m_listePeriodesChomageSaisonnierRepContextuelleElementJustification = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 202: 
      m_listePensionInvaliditeDonneeForcee = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 203: 
      m_forcageExecutionDemande = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 204: 
      m_listeContextes = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      if (relativeField < 0) {
        super.jdoReplaceField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    DemandePC pc = new DemandePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    DemandePC pc = new DemandePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 205;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof DemandePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    DemandePC other = (DemandePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesReliquat = m_presenceDonneesReliquat;
        break;
      case 1: 
        m_presenceDonneesDonneesDAL = m_presenceDonneesDonneesDAL;
        break;
      case 2: 
        m_presenceDonneesElementJustification = m_presenceDonneesElementJustification;
        break;
      case 3: 
        m_presenceDonneesDemandeAssociee = m_presenceDonneesDemandeAssociee;
        break;
      case 4: 
        m_presenceDonneesTypeContexte = m_presenceDonneesTypeContexte;
        break;
      case 5: 
        m_motifReexamenPrincipalDemande = m_motifReexamenPrincipalDemande;
        break;
      case 6: 
        m_demandeExpresseDemande = m_demandeExpresseDemande;
        break;
      case 7: 
        m_liquideeAvecConflitsDemande = m_liquideeAvecConflitsDemande;
        break;
      case 8: 
        m_estMigreeDemande = m_estMigreeDemande;
        break;
      case 9: 
        m_estDeneutralisable = m_estDeneutralisable;
        break;
      case 10: 
        m_estNeutraliseeLiquidationDemande = m_estNeutraliseeLiquidationDemande;
        break;
      case 11: 
        m_estNeutraliseeCalculDemande = m_estNeutraliseeCalculDemande;
        break;
      case 12: 
        m_estLiquidableDemande = m_estLiquidableDemande;
        break;
      case 13: 
        m_demandePivotDemande = m_demandePivotDemande;
        break;
      case 14: 
        m_datePremiereValidationDemande = m_datePremiereValidationDemande;
        break;
      case 15: 
        m_dateDerniereValidationDemande = m_dateDerniereValidationDemande;
        break;
      case 16: 
        m_dateDerniereNotificationDemande = m_dateDerniereNotificationDemande;
        break;
      case 17: 
        m_demandeOrigineDemande = m_demandeOrigineDemande;
        break;
      case 18: 
        m_dossierAffectationAdmissionDemande = m_dossierAffectationAdmissionDemande;
        break;
      case 19: 
        m_dossierAffectationRepriseDemande = m_dossierAffectationRepriseDemande;
        break;
      case 20: 
        m_classementAdministratifDemande = m_classementAdministratifDemande;
        break;
      case 21: 
        m_evenementReferenceExamen = m_evenementReferenceExamen;
        break;
      case 22: 
        m_commentaire = m_commentaire;
        break;
      case 23: 
        m_termePrcDonneesTemporaire = m_termePrcDonneesTemporaire;
        break;
      case 24: 
        m_allongementDelaiDecheanceDonneesTemporaire = m_allongementDelaiDecheanceDonneesTemporaire;
        break;
      case 25: 
        m_allongementDelaiForclusionDonneesTemporaire = m_allongementDelaiForclusionDonneesTemporaire;
        break;
      case 26: 
        m_inopposabiliteDelaiDecheanceDonneesTemporaire = m_inopposabiliteDelaiDecheanceDonneesTemporaire;
        break;
      case 27: 
        m_coefficientSaisonnierDonneesTemporaire = m_coefficientSaisonnierDonneesTemporaire;
        break;
      case 28: 
        m_coefficientTempsPartielDonneesTemporaire = m_coefficientTempsPartielDonneesTemporaire;
        break;
      case 29: 
        m_sjcDonneesTemporaire = m_sjcDonneesTemporaire;
        break;
      case 30: 
        m_sjrDonneesTemporaire = m_sjrDonneesTemporaire;
        break;
      case 31: 
        m_canAvecCentVingtTrimestresDonneesTemporaire = m_canAvecCentVingtTrimestresDonneesTemporaire;
        break;
      case 32: 
        m_caractereSaisonnierForceDonneesTemporaire = m_caractereSaisonnierForceDonneesTemporaire;
        break;
      case 33: 
        m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire = m_fortuiteCaractereSaisonnierParRythmeDonneesTemporaire;
        break;
      case 34: 
        m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire = m_fortuiteCaractereSaisonnierParTypeDonneesTemporaire;
        break;
      case 35: 
        m_pensionRaccordementDonneesTemporaire = m_pensionRaccordementDonneesTemporaire;
        break;
      case 36: 
        m_typeCaractereSaisonnierForceDonneesTemporaire = m_typeCaractereSaisonnierForceDonneesTemporaire;
        break;
      case 37: 
        m_capitalReliquatSecteurPublicDonneesTemporaire = m_capitalReliquatSecteurPublicDonneesTemporaire;
        break;
      case 38: 
        m_dateDebutPIDonneesTemporaire = m_dateDebutPIDonneesTemporaire;
        break;
      case 39: 
        m_dateFinPIDonneesTemporaire = m_dateFinPIDonneesTemporaire;
        break;
      case 40: 
        m_identifiantPeriodeFctARetenirDonneesTemporaire = m_identifiantPeriodeFctARetenirDonneesTemporaire;
        break;
      case 41: 
        m_quantiteAffiliationDonneesTemporaire = m_quantiteAffiliationDonneesTemporaire;
        break;
      case 42: 
        m_dateAttributionDroitAnterieurSpDonneesTemporaire = m_dateAttributionDroitAnterieurSpDonneesTemporaire;
        break;
      case 43: 
        m_dateFgDroitAnterieurSpDonneesTemporaire = m_dateFgDroitAnterieurSpDonneesTemporaire;
        break;
      case 44: 
        m_dureeInitialeDroitAnterieurSpDonneesTemporaire = m_dureeInitialeDroitAnterieurSpDonneesTemporaire;
        break;
      case 45: 
        m_avisCommissionParitaireDonneesTemporaire = m_avisCommissionParitaireDonneesTemporaire;
        break;
      case 46: 
        m_montantAideDonneesTemporaire = m_montantAideDonneesTemporaire;
        break;
      case 47: 
        m_natureMontantAideDonneesTemporaire = m_natureMontantAideDonneesTemporaire;
        break;
      case 48: 
        m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire = m_quantiteJoursDiffereIccpConservatoireDonneesTemporaire;
        break;
      case 49: 
        m_coefficientSaisonnierSpDonneesTemporaire = m_coefficientSaisonnierSpDonneesTemporaire;
        break;
      case 50: 
        m_coefficientTempsPartielSpDonneesTemporaire = m_coefficientTempsPartielSpDonneesTemporaire;
        break;
      case 51: 
        m_sjrSPDonneesTemporaire = m_sjrSPDonneesTemporaire;
        break;
      case 52: 
        m_termePrcSpDonneesTemporaire = m_termePrcSpDonneesTemporaire;
        break;
      case 53: 
        m_conditionCumulActiviteConserveeRemplieDonneesTemporaire = m_conditionCumulActiviteConserveeRemplieDonneesTemporaire;
        break;
      case 54: 
        m_finPmcDonneesTemporaire = m_finPmcDonneesTemporaire;
        break;
      case 55: 
        m_indentifiantFctPMCDonneesTemporaire = m_indentifiantFctPMCDonneesTemporaire;
        break;
      case 56: 
        m_pmcIndemnisableDonneesTemporaire = m_pmcIndemnisableDonneesTemporaire;
        break;
      case 57: 
        m_accordPoursuite182JoursChomageTotalSansRupture = m_accordPoursuite182JoursChomageTotalSansRupture;
        break;
      case 58: 
        m_dateAttributionCPChomageTotalSansRupture = m_dateAttributionCPChomageTotalSansRupture;
        break;
      case 59: 
        m_dateChomageTotalSansRupture = m_dateChomageTotalSansRupture;
        break;
      case 60: 
        m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
        break;
      case 61: 
        m_avisFavorableCPChomageTotalSansRupture = m_avisFavorableCPChomageTotalSansRupture;
        break;
      case 62: 
        m_decisionCPRenseigneeChomageTotalSansRupture = m_decisionCPRenseigneeChomageTotalSansRupture;
        break;
      case 63: 
        m_leveeCondition28JoursChomageTotalSansRupture = m_leveeCondition28JoursChomageTotalSansRupture;
        break;
      case 64: 
        m_sinistreOuCalamiteNaturelleChomageTotalSansRupture = m_sinistreOuCalamiteNaturelleChomageTotalSansRupture;
        break;
      case 65: 
        m_nouvelleDateAttributionChomageTotalSansRupture = m_nouvelleDateAttributionChomageTotalSansRupture;
        break;
      case 66: 
        m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
        break;
      case 67: 
        m_quantiteJoursDiffereChomageTotalSansRupture = m_quantiteJoursDiffereChomageTotalSansRupture;
        break;
      case 68: 
        m_sjrPerteActConserveeDonneesTemporaire = m_sjrPerteActConserveeDonneesTemporaire;
        break;
      case 69: 
        m_sjcPerteActConserveeDonneesTemporaire = m_sjcPerteActConserveeDonneesTemporaire;
        break;
      case 70: 
        m_coefficientTempsPartielActConserveeDonneesTemporaire = m_coefficientTempsPartielActConserveeDonneesTemporaire;
        break;
      case 71: 
        m_identifiantPeriodeActiviteConserveePerdue = m_identifiantPeriodeActiviteConserveePerdue;
        break;
      case 72: 
        m_estPrimoDemandeurA3A4A5 = m_estPrimoDemandeurA3A4A5;
        break;
      case 73: 
        m_primoDemandeurA3A4A5Renseignee = m_primoDemandeurA3A4A5Renseignee;
        break;
      case 74: 
        m_typeCoordinationEuropeenne = m_typeCoordinationEuropeenne;
        break;
      case 75: 
        m_nbJourImputer = m_nbJourImputer;
        break;
      case 76: 
        m_reglementApplicableSpectacleDonneesTemporaire = m_reglementApplicableSpectacleDonneesTemporaire;
        break;
      case 77: 
        m_rangAllongementPraSpectacleDonneesTemporaire = m_rangAllongementPraSpectacleDonneesTemporaire;
        break;
      case 78: 
        m_sripSpectacleDonneesTemporaire = m_sripSpectacleDonneesTemporaire;
        break;
      case 79: 
        m_totalRemunerationDansPRCDonneesTemporaire = m_totalRemunerationDansPRCDonneesTemporaire;
        break;
      case 80: 
        m_nbHeuresTravailEtenduSpectacleDonneesTemporaire = m_nbHeuresTravailEtenduSpectacleDonneesTemporaire;
        break;
      case 81: 
        m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire = m_nbHeuresTravailPlafonneSpectacleDonneesTemporaire;
        break;
      case 82: 
        m_nbJourContratSurPraSpectacleDonneesTemporaire = m_nbJourContratSurPraSpectacleDonneesTemporaire;
        break;
      case 83: 
        m_saisieCasGeneralDonneesTemporaire = m_saisieCasGeneralDonneesTemporaire;
        break;
      case 84: 
        m_saisieCasSpectacleDonneesTemporaire = m_saisieCasSpectacleDonneesTemporaire;
        break;
      case 85: 
        m_idPecSigmaFormulaireAsu = m_idPecSigmaFormulaireAsu;
        break;
      case 86: 
        m_referenceExterneFormulaireAsu = m_referenceExterneFormulaireAsu;
        break;
      case 87: 
        m_typeExamenFormulaireAsu = m_typeExamenFormulaireAsu;
        break;
      case 88: 
        m_dateEvenementFormulaireAsu = m_dateEvenementFormulaireAsu;
        break;
      case 89: 
        m_quantiteReliquatReliquat = m_quantiteReliquatReliquat;
        break;
      case 90: 
        m_quantiteFormationReliquat = m_quantiteFormationReliquat;
        break;
      case 91: 
        m_quantiteAideReliquat = m_quantiteAideReliquat;
        break;
      case 92: 
        m_reliquatValideReliquat = m_reliquatValideReliquat;
        break;
      case 93: 
        m_cumulMoisActiviteReduiteReliquat = m_cumulMoisActiviteReduiteReliquat;
        break;
      case 94: 
        m_quantiteReliquatRenouvellementReliquat = m_quantiteReliquatRenouvellementReliquat;
        break;
      case 95: 
        m_categorieParticuliereDonneesDal = m_categorieParticuliereDonneesDal;
        break;
      case 96: 
        m_prsRepriseContextuelleElementJustification = m_prsRepriseContextuelleElementJustification;
        break;
      case 97: 
        m_leveePmcDonneesTemporaires = m_leveePmcDonneesTemporaires;
        break;
      case 98: 
        m_aBeneficeDroitAt12MoisDonneesTemporaires = m_aBeneficeDroitAt12MoisDonneesTemporaires;
        break;
      case 99: 
        m_dureeAncienneteIntermittantSpectacleDonneesTemporaires = m_dureeAncienneteIntermittantSpectacleDonneesTemporaires;
        break;
      case 100: 
        m_estDemandeAtDonneesTemporaires = m_estDemandeAtDonneesTemporaires;
        break;
      case 101: 
        m_estDemandeAfdDonneesTemporaires = m_estDemandeAfdDonneesTemporaires;
        break;
      case 102: 
        m_comportmentDemandeMigree = m_comportmentDemandeMigree;
        break;
      case 103: 
        m_dateFinDroitSpecNonMigre = m_dateFinDroitSpecNonMigre;
        break;
      case 104: 
        m_saisieCasExpatriesDonneesTemporaire = m_saisieCasExpatriesDonneesTemporaire;
        break;
      case 105: 
        m_rejetChomageVolontaireGARP = m_rejetChomageVolontaireGARP;
        break;
      case 106: 
        m_quantiteJourICCP = m_quantiteJourICCP;
        break;
      case 107: 
        m_quantiteJourISLR = m_quantiteJourISLR;
        break;
      case 108: 
        m_identifiantFCTCarenceExpatries = m_identifiantFCTCarenceExpatries;
        break;
      case 109: 
        m_nbJourImputationDroitPrecedent = m_nbJourImputationDroitPrecedent;
        break;
      case 110: 
        m_topPremiereODARE = m_topPremiereODARE;
        break;
      case 111: 
        m_montantContributionPourNonCTP = m_montantContributionPourNonCTP;
        break;
      case 112: 
        m_dateAttributionAide = m_dateAttributionAide;
        break;
      case 113: 
        m_estRetenirActSectPrive = m_estRetenirActSectPrive;
        break;
      case 114: 
        m_motifExamen = m_motifExamen;
        break;
      case 115: 
        m_dateFinEvenement = m_dateFinEvenement;
        break;
      case 116: 
        m_quantiteJourImputationDonneesForceesReliquat = m_quantiteJourImputationDonneesForceesReliquat;
        break;
      case 117: 
        m_leverBornageDureeEffectiveRetraite = m_leverBornageDureeEffectiveRetraite;
        break;
      case 118: 
        m_dateEffetActConserveeDonneesTemporaire = m_dateEffetActConserveeDonneesTemporaire;
        break;
      case 119: 
        m_dateAnnulationReexamen = m_dateAnnulationReexamen;
        break;
      case 120: 
        m_modeLiquidation = m_modeLiquidation;
        break;
      case 121: 
        m_typeContexteDemandeDonneesTemporaires = m_typeContexteDemandeDonneesTemporaires;
        break;
      case 122: 
        m_dateFinPreavisLegal = m_dateFinPreavisLegal;
        break;
      case 123: 
        m_dureeFinancement = m_dureeFinancement;
        break;
      case 124: 
        m_typeContexteDemande = m_typeContexteDemande;
        break;
      case 125: 
        m_demandeAssociee = m_demandeAssociee;
        break;
      case 126: 
        m_saisieCasFinancementDonneesTemporaire = m_saisieCasFinancementDonneesTemporaire;
        break;
      case 127: 
        m_entretien = m_entretien;
        break;
      case 128: 
        m_fctDansLesDeuxMoisAvantFddAre = m_fctDansLesDeuxMoisAvantFddAre;
        break;
      case 129: 
        m_sousTypeContexteDemande = m_sousTypeContexteDemande;
        break;
      case 130: 
        m_dateDebutJustifContexte = m_dateDebutJustifContexte;
        break;
      case 131: 
        m_dateFinJustifContexte = m_dateFinJustifContexte;
        break;
      case 132: 
        m_saisieAntecedent = m_saisieAntecedent;
        break;
      case 133: 
        m_etatForcageDelaiAttente = m_etatForcageDelaiAttente;
        break;
      case 134: 
        m_numeroConventionPE = m_numeroConventionPE;
        break;
      case 135: 
        m_codeAffectationConvention = m_codeAffectationConvention;
        break;
      case 136: 
        m_estDerogationCspDonneesTemporaire = m_estDerogationCspDonneesTemporaire;
        break;
      case 137: 
        m_estSalarieHandicapeChomageTotalSansRupture = m_estSalarieHandicapeChomageTotalSansRupture;
        break;
      case 138: 
        m_dureeImputationSP = m_dureeImputationSP;
        break;
      case 139: 
        m_djiSpFinDroit = m_djiSpFinDroit;
        break;
      case 140: 
        m_idExterneEmployeurSp = m_idExterneEmployeurSp;
        break;
      case 141: 
        m_estLeveeControlePANSSuiteARCEDonneesTemporaires = m_estLeveeControlePANSSuiteARCEDonneesTemporaires;
        break;
      case 142: 
        m_estLeveeConditionACMemeEmployeur = m_estLeveeConditionACMemeEmployeur;
        break;
      case 143: 
        m_nbjImputationDroitAServir = m_nbjImputationDroitAServir;
        break;
      case 144: 
        m_motifNbJourImputationDroitAServir = m_motifNbJourImputationDroitAServir;
        break;
      case 145: 
        m_motifNbJourImputationDroitCourant = m_motifNbJourImputationDroitCourant;
        break;
      case 146: 
        m_motifNbJourImputationDroitPrecedent = m_motifNbJourImputationDroitPrecedent;
        break;
      case 147: 
        m_motifMontantImputationDroitAServir = m_motifMontantImputationDroitAServir;
        break;
      case 148: 
        m_montantImputationDroitAServir = m_montantImputationDroitAServir;
        break;
      case 149: 
        m_estIgnorerAttribPrecCSR = m_estIgnorerAttribPrecCSR;
        break;
      case 150: 
        m_estPCRCForceDroitCourant = m_estPCRCForceDroitCourant;
        break;
      case 151: 
        m_estPCRCForceDroitPrecedent = m_estPCRCForceDroitPrecedent;
        break;
      case 152: 
        m_dateDepartICCP = m_dateDepartICCP;
        break;
      case 153: 
        m_estDemarcheReintegrationEffectuee = m_estDemarcheReintegrationEffectuee;
        break;
      case 154: 
        m_dureeTheoriqueForcee = m_dureeTheoriqueForcee;
        break;
      case 155: 
        m_dateExamenForcee = m_dateExamenForcee;
        break;
      case 156: 
        m_dateAttributionForcee = m_dateAttributionForcee;
        break;
      case 157: 
        m_delaiAttenteForce = m_delaiAttenteForce;
        break;
      case 158: 
        m_conditionChomageInvolontaireSatistaite = m_conditionChomageInvolontaireSatistaite;
        break;
      case 159: 
        m_droitOptionForce = m_droitOptionForce;
        break;
      case 160: 
        m_djiDroitSpContexteRechargement = m_djiDroitSpContexteRechargement;
        break;
      case 161: 
        m_fgdDroitSpContexteRechargement = m_fgdDroitSpContexteRechargement;
        break;
      case 162: 
        m_repriseForceeSurDemandeExpresse = m_repriseForceeSurDemandeExpresse;
        break;
      case 163: 
        m_montantJournalierReliquat = m_montantJournalierReliquat;
        break;
      case 164: 
        m_capitalReliquat = m_capitalReliquat;
        break;
      case 165: 
        m_estNonExecutable = m_estNonExecutable;
        break;
      case 166: 
        m_estDesactivationPnds = m_estDesactivationPnds;
        break;
      case 167: 
        m_dureePostPrime = m_dureePostPrime;
        break;
      case 168: 
        m_dateFinDispositifCSP = m_dateFinDispositifCSP;
        break;
      case 169: 
        m_motifEchecTraitement = m_motifEchecTraitement;
        break;
      case 170: 
        m_modeTraitementDemande = m_modeTraitementDemande;
        break;
      case 171: 
        m_dureeImputation = m_dureeImputation;
        break;
      case 172: 
        m_nbJoursAllongement = m_nbJoursAllongement;
        break;
      case 173: 
        m_dateLimiteIndemnisationDonneeForcee = m_dateLimiteIndemnisationDonneeForcee;
        break;
      case 174: 
        m_dateTraitementDemande = m_dateTraitementDemande;
        break;
      case 175: 
        m_reliquatSecteurPublicEteintDonneesComplementaires = m_reliquatSecteurPublicEteintDonneesComplementaires;
        break;
      case 176: 
        m_reliquatSecteurPublicPrescritRejete = m_reliquatSecteurPublicPrescritRejete;
        break;
      case 177: 
        m_leveeConditionCLCA = m_leveeConditionCLCA;
        break;
      case 178: 
        m_identifiantObjetMetier = m_identifiantObjetMetier;
        break;
      case 179: 
        m_conditionAffiliationSatisfaiteForcee = m_conditionAffiliationSatisfaiteForcee;
        break;
      case 180: 
        m_conditionAncienneteSatisfaiteForcee = m_conditionAncienneteSatisfaiteForcee;
        break;
      case 181: 
        m_dateFinPeriodeAncienneteForcee = m_dateFinPeriodeAncienneteForcee;
        break;
      case 182: 
        m_nombreJourTotalA8A10Force = m_nombreJourTotalA8A10Force;
        break;
      case 183: 
        m_estRepriseStockSpectacle2016Faite = m_estRepriseStockSpectacle2016Faite;
        break;
      case 184: 
        m_attenteIncoherenceSalaireLevee = m_attenteIncoherenceSalaireLevee;
        break;
      case 185: 
        m_competenceFinanciereDonneesTemporaires = m_competenceFinanciereDonneesTemporaires;
        break;
      case 186: 
        m_employeurSecteurPublicCompetentDonneesTemporaires = m_employeurSecteurPublicCompetentDonneesTemporaires;
        break;
      case 187: 
        m_montantIndemnitePreavisContribDonneesTemporaires = m_montantIndemnitePreavisContribDonneesTemporaires;
        break;
      case 188: 
        m_contributionAdhesionVolontaireDonneesTemporaires = m_contributionAdhesionVolontaireDonneesTemporaires;
        break;
      case 189: 
        m_nombreMoisPreavisDonneesTemporaires = m_nombreMoisPreavisDonneesTemporaires;
        break;
      case 190: 
        m_presenceDerniersSalairesDonneesTemporaires = m_presenceDerniersSalairesDonneesTemporaires;
        break;
      case 191: 
        m_droitInterimaireDonneesTemporaires = m_droitInterimaireDonneesTemporaires;
        break;
      case 192: 
        m_diviseurSjrDonneesTemporaires = m_diviseurSjrDonneesTemporaires;
        break;
      case 193: 
        m_dureeAllongementAREFDonneesTemporaires = m_dureeAllongementAREFDonneesTemporaires;
        break;
      case 194: 
        m_reliquatAllongementArefPossibleReliquat = m_reliquatAllongementArefPossibleReliquat;
        break;
      case 195: 
        m_rejetConditionChomageInvolontaire = m_rejetConditionChomageInvolontaire;
        break;
      case 196: 
        m_dateDepotOrigineFormulaireAsu = m_dateDepotOrigineFormulaireAsu;
        break;
      case 197: 
        m_leverConditionBeneficeAutreProduit = m_leverConditionBeneficeAutreProduit;
        break;
      case 198: 
        m_listeObjectifsExamenDemande = m_listeObjectifsExamenDemande;
        break;
      case 199: 
        m_listeMotifsReexamenDemande = m_listeMotifsReexamenDemande;
        break;
      case 200: 
        m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire = m_listePeriodesRepriseActiviteMemeEmployeurDonneesTemporaire;
        break;
      case 201: 
        m_listePeriodesChomageSaisonnierRepContextuelleElementJustification = m_listePeriodesChomageSaisonnierRepContextuelleElementJustification;
        break;
      case 202: 
        m_listePensionInvaliditeDonneeForcee = m_listePensionInvaliditeDonneeForcee;
        break;
      case 203: 
        m_forcageExecutionDemande = m_forcageExecutionDemande;
        break;
      case 204: 
        m_listeContextes = m_listeContextes;
      }
    }
    super.jdoCopyFields(pc, fieldNumbers);
  }
}

/* Location:
 * Qualified Name:     DemandePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */