package fr.unedic.cali.asu.eur05.p01.calcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.ari.calcul.FacadeCalculProduitPourLiquidationAriSpec;
import fr.unedic.cali.ari.dom.ElementBaseIndemnisationAriSpec;
import fr.unedic.cali.calcul.FacadeCalculProduitPourLiquidationAbstraite;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.outilsfonctionnels.GestionnaireErreur;
import fr.unedic.cali.parcours.ResultatExecutionCalcul;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class FacadeCalculProduitPourLiquidationImpl
  extends FacadeCalculProduitPourLiquidationAbstraite
  implements FacadeCalculProduitPourLiquidationAriSpec
{
  public Periode determinerPeriodeAvantSansCalendrier(AttributionSpec p_attribution)
    throws ApplicativeException
  {
    return null;
  }
  
  public ResultatExecutionCalcul executerCalculDeterminationEtatDroit(AttributionSpec p_attributionAEtudier, Damj p_dateEtude, boolean p_priseEnCompteGaec, boolean p_determinationApres)
    throws ApplicativeException
  {
    GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_CALCUL_ABSENCE_ETAT_DROIT_PRODUIT");
    return null;
  }
  
  private ConstituantsIndemnisation initialiserConstituantsIndemnisation(ElementBaseIndemnisationAriSpec p_elementBaseIndemnisation)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    constituantsIndemnisation.setElementBaseIndemnisationCourant(p_elementBaseIndemnisation);
    
    return constituantsIndemnisation;
  }
  
  public MontantBaseSpec determinerMontant(IndividuSpec p_individu, ElementBaseIndemnisationAriSpec p_elementBaseIndemnisation, FormuleMontantSpec p_formuleMontant, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = initialiserConstituantsIndemnisation(p_elementBaseIndemnisation);
    return p_formuleMontant.calculer(constituantsIndemnisation, p_dateCalcul);
  }
  
  public Damj recupererDateFinDroitTheorique(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public MontantBaseSpec determinerMontant(AttributionSpec p_attribution, Damj p_dateCalcul)
    throws ApplicativeException
  {
    GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE");
    return null;
  }
  
  public Damj recupererDateDrv(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE");
    return null;
  }
  
  public Damj recupererDateEpuisementDuree(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE");
    return null;
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitPourLiquidationImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */