package fr.unedic.cali.asu.exp03.p01.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.Reliquat;
import fr.unedic.cali.asu.exp03.p01.liquidation.outilsfonctionnels.DeterminationDureeReglementaire;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionDureeReglementaireRepriseRevision
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen dossierExamen = (DossierExamen)demande.getDossierExamen();
    
    dossierExamen.getConstitutionElementsActifs().createConstitutionDurees();
    
    DeterminationDureeReglementaire.getInstance().determinerDureeReglementairePourRepriseRevision(demande);
    
    OutilTrace.tracerFinParcours();
    
    return new Resultat();
  }
  
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: constitution du Sjc impossible.");
    }
    DossierExamen dossierExamenCourant = (DossierExamen)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen();
    if (dossierExamenCourant == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_OD", "L'attribution courante est null: constitution du Sjc impossible.");
    }
    if ((DomLiquidationAssurance.getDemande(p_contexte).getReliquat() == null) || (!DomLiquidationAssurance.getDemande(p_contexte).getReliquat().estReliquatValide()) || (((DomLiquidationAssurance)p_contexte.getDonnees()).getContexteExamen() != 3)) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CONTEXTE", "Pas de reliquat pour cette demande d'assurance.");
    }
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureeReglementaireRepriseRevision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */