package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieActiviteConserveeApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieActiviteConserveeAvant;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieActiviteConserveeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieActiviteConservee
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_APPLICATION = new Damj(2012, 12, 1);
  private static FabriqueStrategieActiviteConservee s_instance = new FabriqueStrategieActiviteConservee();
  
  public static FabriqueStrategieActiviteConservee getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieActiviteConserveeSpec strategie = null;
    
    Damj datePivotRegleAC = p_critereStrategie.getDatePivot();
    if (datePivotRegleAC == null) {
      throw new UnsupportedOperationException("FabriqueStrategieActiviteConservee : la date pivot est null.");
    }
    if (datePivotRegleAC.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieActiviteConserveeApres();
    } else {
      strategie = new StrategieActiviteConserveeAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */