package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieConventionGestionPEApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieConventionGestionPEAvant;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieConventionGestionPE
  implements FabriqueStrategieSpec
{
  protected static final Damj DATE_PIVOT_CHANGEMENT_CONVENTION_GESTION_PE = new Damj(2014, 1, 1);
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieConventionGestionPE : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_PIVOT_CHANGEMENT_CONVENTION_GESTION_PE)) {
      strategie = getStrategieApres();
    } else {
      strategie = getStrategieAvant();
    }
    return strategie;
  }
  
  public StrategieSpec getStrategieAvant()
  {
    return new StrategieConventionGestionPEAvant();
  }
  
  public StrategieSpec getStrategieApres()
  {
    return new StrategieConventionGestionPEApres();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieConventionGestionPE
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */