package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieIslrApresMEP08SI1;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieIslrAvantMEP08SI1;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieIslrSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieIslr
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_MEP_08SI1 = new Damj(2008, 2, 23);
  private static FabriqueStrategieIslr s_instance = new FabriqueStrategieIslr();
  
  public static FabriqueStrategieIslr getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieIslrSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieIslr : la date pivot Islr est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_MEP_08SI1)) {
      strategie = new StrategieIslrApresMEP08SI1();
    } else {
      strategie = new StrategieIslrAvantMEP08SI1();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieIslr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */