package fr.unedic.cali.asu.fds12.p02.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.asu.fds12.p02.parametres.EvenementParametre;
import fr.unedic.cali.asu.fds12.p02.parametres.ParametresIndemnisation;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FormuleMontantAFDF
  extends FormuleMontantRegimeGeneral
{
  public static String getCode()
  {
    return "2";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    MontantAFDF montant = new MontantAFDF();
    
    ElementBaseIndemnisation coefficient = (ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    
    EvenementParametre parametres = ParametresIndemnisation.getParametresIndemnisation().getElementActif(p_dateCalcul);
    
    montant.setMontantBrut(new Quantite(parametres.getMontantForfaitaire(), UniteMonaitaire.get("Euros")));
    
    montant.setAvecPrecompteCRC(false);
    if ((coefficient.getCoefficientSanctionReduction() != null) && (!coefficient.getCoefficientSanctionReduction().equals(new BigDecimal("1.00"))))
    {
      BigDecimal mtApresPart = montant.getMontantBrut().getValeur();
      mtApresPart = mtApresPart.multiply(coefficient.getCoefficientSanctionReduction());
      mtApresPart = mtApresPart.add(montant.getCrc().getValeur());
      mtApresPart = Mathematiques.arrondiASup(mtApresPart, 2);
      montant.setMontantBrut(new Quantite(mtApresPart, UniteMonaitaire.EUROS));
    }
    if (((ElementBaseIndemnisationAREF)p_constituantsIndemnisation.getElementBaseIndemnisationCourant()).estEffectif()) {
      montant.setType("FORMATION EFFECTIVE");
    }
    return montant;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantAFDF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */