package fr.unedic.cali.asu.fds12.p02.calcul.pbjc;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiASU;
import fr.unedic.cali.asu.fds12.p02.calcul.dom.MontantAFDF;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.Somme;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.pbjc.dom.PbjcNcp;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FacadePBJCProduitImpl
  extends fr.unedic.cali.asu.spe02.p03.calcul.pbjc.FacadePBJCProduitImpl
{
  public void positionnerMontantSalaireRevalorisePlafonne(PbjcNcp pbjcNcp, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, MontantBaseSpec montant)
    throws CoucheLogiqueException
  {}
  
  public void ajouterGroupeMontantProduit(PbjcNcp pbjcNcp, String nomProduit, Somme somme, UniteTraitement ut)
  {
    if (((somme.getMontant() instanceof MontantAFDF)) && (OutilsMaintienEuropeenEessiASU.ajouterGroupeMontantFormation(ut.getConstituantsIndemnisationEnFinUT(), pbjcNcp.getDateFin()))) {
      ajouterGroupeMontantAREF(pbjcNcp, nomProduit, somme, ut);
    } else {
      pbjcNcp.ajouterGroupeMontants(nomProduit, 0, new BigDecimal("0"), somme.getMontant().getMontantBrut().getValeur(), new BigDecimal("1"), somme.getMontant().getMontantBrut().getValeur(), "");
    }
    if (pbjcNcp.isTopApplicationCRC()) {
      ajouterGroupeMontantPCRC(pbjcNcp, somme.getMontant());
    }
  }
  
  public ChronologiePeriodes creerChronologiePBJCsAvant(AttributionSpec attribution, Damj dateGeneration, Damj dateBlocageActualisation, String libelleBlocageActualisation)
    throws ApplicativeException
  {
    return new ChronologiePeriodes();
  }
  
  public void positionnerInfoConventionGestion(PbjcNcp pbjcNcp, AttributionSpec attribution)
  {
    pbjcNcp.setTopApplicationCRC(false);
  }
  
  public void positionnerDonneesAvantageVieillesse(PbjcNcp pbjcNcp, UniteTraitement ut, AttributionSpec attribution) {}
}

/* Location:
 * Qualified Name:     FacadePBJCProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */