package fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;

public class OutilDeterminationFiliere
{
  public static final int FILIERE_COURTE = 0;
  public static final int FILIERE_INTERMEDIAIRE = 1;
  public static final int FILIERE_LONGUE = 2;
  
  public static int determinerFiliere(DemandeAssuranceSpec p_demande)
    throws CoucheLogiqueException
  {
    Integer anciennete = determinerAnciennete(p_demande);
    if (anciennete == null) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_N_SAISIE_DUREE_ANCIENNETE_INTERMITTENT");
    }
    return determinerFiliere(anciennete);
  }
  
  public static int determinerFiliere(Integer p_dureeAnciennete)
  {
    if (p_dureeAnciennete.intValue() - Parametres.BORNE_MIN_FILIERE_INTERMEDIAIRE.intValue() < 0) {
      return 0;
    }
    if (p_dureeAnciennete.intValue() - Parametres.BORNE_MAX_FILIERE_INTERMEDIAIRE.intValue() > 0) {
      return 2;
    }
    return 1;
  }
  
  public static Integer determinerAnciennete(DemandeAssuranceSpec p_demande)
  {
    return p_demande.getDonneesTemporaires().getDureeAncienneteIntermittantSpectacle();
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationFiliere
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */