package fr.unedic.cali.asu.fds12.p02.parametres;

import fr.unedic.cali.calcul.dom.EvenementCalculSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoEvenementDebut;
import java.math.BigDecimal;

public class EvenementParametre
  extends ObjetChronoEvenementDebut
  implements EvenementCalculSpec
{
  private static final long serialVersionUID = 7103703795521053035L;
  private BigDecimal m_montantForfaitaire = null;
  private boolean m_nouveauMontantForfaitaire = false;
  private static final String FORFAIT = "Montant Forfaitaire";
  private Damj m_dateDeRecherche;
  
  private EvenementParametre() {}
  
  public EvenementParametre(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
    
    setDateDeRecherche(p_dateEvenement);
  }
  
  public void repercuter(EvenementParametre p_evtSource)
  {
    boolean memeDateEffet = getDateEffet().equals(p_evtSource.getDateEffet());
    if (m_montantForfaitaire == null)
    {
      m_montantForfaitaire = p_evtSource.getMontantForfaitaire(false);
      if (memeDateEffet) {
        m_nouveauMontantForfaitaire = p_evtSource.isNouveauMontantForfaitaire();
      }
    }
    else
    {
      setNouveauMontantForfaitaire(true);
    }
  }
  
  private void leverApplicativeRuntimeException(String p_nomParametre)
  {
    try
    {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("PR_CALI_L_ALERTE_A11MB12", new String[] { p_nomParametre, getDateDeRecherche().toString() }, 3);
    }
    catch (CoucheLogiqueException ex) {}
  }
  
  public BigDecimal getMontantForfaitaire(boolean p_leverException)
  {
    if ((m_montantForfaitaire == null) && (p_leverException)) {
      leverApplicativeRuntimeException("Montant Forfaitaire");
    }
    return m_montantForfaitaire;
  }
  
  public Damj getDateDeRecherche()
  {
    return m_dateDeRecherche;
  }
  
  public void setDateDeRecherche(Damj p_dateDeRecherche)
  {
    m_dateDeRecherche = p_dateDeRecherche;
  }
  
  public BigDecimal getMontantForfaitaire()
  {
    return m_montantForfaitaire;
  }
  
  public void setMontantForfaitaire(BigDecimal p_montantForfaitaire)
  {
    m_montantForfaitaire = p_montantForfaitaire;
  }
  
  public boolean isNouveauMontantForfaitaire()
  {
    return m_nouveauMontantForfaitaire;
  }
  
  public void setNouveauMontantForfaitaire(boolean p_nouveauMontantForfaitaire)
  {
    m_nouveauMontantForfaitaire = p_nouveauMontantForfaitaire;
  }
}

/* Location:
 * Qualified Name:     EvenementParametre
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */