package fr.unedic.cali.asu.fds12.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels.OutilConditionAffiliation;
import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.convention2017.ComportementAffiliationConvention2017;
import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.convention2017.ParametresAffiliationConvention2017;
import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.spec.IComportementAffiliationFPS;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.dom.ParametresCalculAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.DeterminationPeriodeReference;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.DeterminationPeriodeReferenceSPE02P05;
import fr.unedic.cali.dom.affectation.ProduitAsuFds12P03;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.DureeCalendaire;

public class OutilConditionAffiliationConvention2017
  extends OutilConditionAffiliation
{
  ParametresAffiliationConvention2017 parametresAffiliation;
  
  public OutilConditionAffiliationConvention2017()
  {
    parametresAffiliation = new ParametresAffiliationConvention2017();
  }
  
  protected ProduitSpec getProduit()
  {
    return ProduitAsuFds12P03.getInstance();
  }
  
  protected IComportementAffiliationFPS instancierComportementAffiliationFPS()
  {
    return new ComportementAffiliationConvention2017();
  }
  
  protected DeterminationPeriodeReference getOutilDeterminationPRA()
  {
    return DeterminationPeriodeReferenceSPE02P05.getInstance();
  }
  
  protected Quantite determinerAffiliationRequise(ParametresCalculAffiliation parametres)
  {
    return new Quantite(getParametresAffiliation().determinerQuantiteRequiseInitialPourReglement(parametres), Unite.getParCode("18"));
  }
  
  protected DureeCalendaire determinerDureePRA(ParametresCalculAffiliation parametres)
  {
    return getParametresAffiliation().determinerDureePeriodeReferenceInitialPourReglement(parametres);
  }
  
  protected ParametresAffiliationConvention2017 getParametresAffiliation()
  {
    return parametresAffiliation;
  }
}

/* Location:
 * Qualified Name:     OutilConditionAffiliationConvention2017
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */