package fr.unedic.cali.asu.fps.liquidation.outilsaffiliation;

import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.spec.IComportementAffiliationFPS;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.dom.ComportementCalculAffiliation;
import fr.unedic.cali.dom.affectation.Reglement;

public class ComportementAffiliationFPS
  extends ComportementCalculAffiliation
  implements IComportementAffiliationFPS
{
  private boolean calculAffiliationAssimilableMaladieLongueDuree;
  private boolean calculAffiliationAssimilableMaladieGrave;
  
  public static ComportementAffiliationFPS creerInstance()
  {
    return new ComportementAffiliationFPS();
  }
  
  public ComportementAffiliationFPS()
  {
    setOutilCalculAffiliationBase(new CalculAffiliationBaseFPS());
    setOutilCalculAffiliationSupplementaire(new CalculAffiliationSupplementaireFPS());
    setOutilCalculAssimilation(new CalculAssimilationFPS());
    setOutilConstructionChronologie(new ConstructionChronologieFPS());
    setOutilJustifierAffiliation(new JustifierAffiliationFPS());
    setOutilParametreAffiliation(new ParametresAffiliationFPS());
  }
  
  public void setCalculAffiliationAssimilable(boolean calculAffiliationAssimilable)
  {
    super.setCalculAffiliationAssimilable(calculAffiliationAssimilable);
    setCalculAffiliationAssimilableMaladieGrave(calculAffiliationAssimilable);
    setCalculAffiliationAssimilableMaladieLongueDuree(calculAffiliationAssimilable);
  }
  
  public boolean isCalculAffiliationAssimilableMaladieGrave()
  {
    return calculAffiliationAssimilableMaladieGrave;
  }
  
  public void setCalculAffiliationAssimilableMaladieGrave(boolean calculAffiliationAssimilableMaladieGrave)
  {
    this.calculAffiliationAssimilableMaladieGrave = calculAffiliationAssimilableMaladieGrave;
  }
  
  public boolean isCalculAffiliationAssimilableMaladieLongueDuree()
  {
    return calculAffiliationAssimilableMaladieLongueDuree;
  }
  
  public boolean estEnseignementApplicablePourReglement(Reglement reglement)
  {
    return true;
  }
  
  public void setCalculAffiliationAssimilableMaladieLongueDuree(boolean calculAffiliationAssimilableMaladieLongueDuree)
  {
    this.calculAffiliationAssimilableMaladieLongueDuree = calculAffiliationAssimilableMaladieLongueDuree;
  }
}

/* Location:
 * Qualified Name:     ComportementAffiliationFPS
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */