package fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.convention2017;

import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.CalculAssimilationFPS;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.spec.ComportementAffiliationSpec;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.CalculAssimilation;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.Collection;
import java.util.Map;

public class CalculAssimilationConvention2017
  extends CalculAssimilation
{
  public Quantite determinerAssimilation(IndividuSpec individu, ComportementAffiliationSpec comportementCalcul, JustificationAffiliation justification, Map chronologies, Collection collectionAlertesNonBloquantes)
    throws CoucheLogiqueException
  {
    ComportementAffiliationConvention2017 comportement = (ComportementAffiliationConvention2017)comportementCalcul;
    
    Quantite quantiteTotalAssimilation = super.determinerAssimilation(individu, comportementCalcul, justification, chronologies, collectionAlertesNonBloquantes);
    
    Quantite quantiteAssimilationMaladieLongueDuree = ZERO;
    if (comportement.isCalculAffiliationAssimilableMaladieLongueDuree())
    {
      recupererAncienOutil().verifierComportementMaladieLongueDuree(comportementCalcul);
      
      quantiteAssimilationMaladieLongueDuree = recupererAncienOutil().calculerAssimilationMaladieLongueDuree(comportementCalcul, justification, chronologies);
    }
    if (quantiteAssimilationMaladieLongueDuree != null) {
      quantiteTotalAssimilation = quantiteTotalAssimilation.ajouter(quantiteAssimilationMaladieLongueDuree);
    }
    return quantiteTotalAssimilation;
  }
  
  private CalculAssimilationFPS recupererAncienOutil()
  {
    return new CalculAssimilationFPS();
  }
}

/* Location:
 * Qualified Name:     CalculAssimilationConvention2017
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */