package fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.convention2017;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.spec.IParametresAffiliationFPS;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.dom.ParametresCalculAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.spec.ComportementAffiliationSpec;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation.ParametresAffiliation;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;

public class ParametresAffiliationConvention2017
  extends ParametresAffiliation
  implements IParametresAffiliationFPS
{
  public static final BigDecimal NOMBRE_HEURE_PAR_JOUR_MALADIE_LONGUE_DUREE = new BigDecimal(5);
  public static final BigDecimal NOMBRE_HEURE_PAR_JOUR_MALADIE_GRAVE = new BigDecimal(5);
  public static final Quantite PLAFOND_HEURE_ENSEIGNEMENT_FPS = new Quantite(new BigDecimal(120), UNITE_HEURE);
  private static final DureeCalendaire DUREE_PERIODE_SUITE_CRA = new DureeCalendaire(0, 0, 547);
  
  public Quantite determinerPlafondHeureEnseignement(IndividuSpec individu, ComportementAffiliationSpec comportementCalcul)
  {
    return PLAFOND_HEURE_ENSEIGNEMENT_FPS;
  }
  
  public Quantite calculerQuantiteHeureMaladieLongueDuree(int nombreJours)
  {
    return multiplierPourQuantiteHeure(NOMBRE_HEURE_PAR_JOUR_MALADIE_LONGUE_DUREE, nombreJours);
  }
  
  public Quantite calculerQuantiteHeureMaladieGrave(int nombreJours)
  {
    return multiplierPourQuantiteHeure(NOMBRE_HEURE_PAR_JOUR_MALADIE_GRAVE, nombreJours);
  }
  
  public DureeCalendaire determinerDureePeriodeReferenceInitialPourReglement(ParametresCalculAffiliation parametres)
  {
    DureeCalendaire dureeARetourner = DUREE_PERIODE;
    if ((parametres != null) && (parametres.getDemande().estEnContexteDemande("APSPOSTCRA"))) {
      dureeARetourner = DUREE_PERIODE_SUITE_CRA;
    }
    return dureeARetourner;
  }
}

/* Location:
 * Qualified Name:     ParametresAffiliationConvention2017
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */