package fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.ResultatTraitementReliquat;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class OutilTraitementReliquat
  extends fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.OutilTraitementReliquat
{
  private static OutilTraitementReliquat s_instance = null;
  
  public static fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.OutilTraitementReliquat getInstance()
  {
    if (s_instance == null) {
      s_instance = new OutilTraitementReliquat();
    }
    return s_instance;
  }
  
  protected Quantite determinerQuantiteReliquatApresImputation(Demande p_demande, DecisionSpec p_decisionPrecedente, ResultatExecutionCalculSpec p_resultatExecutionCalculPrecedent, Damj p_dateEtude, ResultatTraitementReliquat p_resultatTraitementReliquat)
    throws ApplicativeException
  {
    Quantite qteReliquatApresImputation = p_resultatExecutionCalculPrecedent.getReliquatAREAvecMaintien();
    
    Quantite nombreJoursImputes = determinerDureeImputationSuppressionTemporaireRevenuRemplacement(p_demande, p_resultatExecutionCalculPrecedent, p_dateEtude);
    
    Quantite nbJoursDonneesForcees = fr.unedic.cali.asu.outilsfonctionnels.OutilTraitementReliquat.determinerImputationNombreJoursDonneesForcees(p_demande);
    
    nombreJoursImputes = nombreJoursImputes.ajouter(nbJoursDonneesForcees);
    
    qteReliquatApresImputation = qteReliquatApresImputation.soustraire(nombreJoursImputes);
    if (qteReliquatApresImputation.getValeurEntiere() < ZERO.intValue()) {
      qteReliquatApresImputation = new Quantite(ZERO, UniteDuree.JOUR);
    }
    p_resultatTraitementReliquat.setTypeAide(null);
    p_resultatTraitementReliquat.setQuantiteFormation(new Quantite(ZERO, UniteDuree.JOUR));
    p_resultatTraitementReliquat.setQuantiteAide(new Quantite(ZERO, UniteDuree.JOUR));
    
    return qteReliquatApresImputation;
  }
}

/* Location:
 * Qualified Name:     OutilTraitementReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */