package fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels.convention17;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.DeterminationSalaireReferenceSPE02P05;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class DeterminationSalaireReference17
  extends DeterminationSalaireReferenceSPE02P05
{
  protected Periode determinerPeriodeReference(Demande demande, boolean estCalculSurPrf)
  {
    Periode periodePrc = null;
    ValidationProduit validationProduit = demande.getDossierAffectationAdmission().getValidationProduit();
    if (validationProduit != null)
    {
      periodePrc = (Periode)validationProduit.getPeriodePra().copie();
      Damj dateFaitGenerateurOdPrecedente = demande.getDateFaitGenerateurOdPrecedente();
      if ((estCalculSurPrf) && (dateFaitGenerateurOdPrecedente != null) && (dateFaitGenerateurOdPrecedente.lendemain().estApres(periodePrc.getDebut()))) {
        periodePrc.setDebut(dateFaitGenerateurOdPrecedente.lendemain());
      }
    }
    return periodePrc;
  }
}

/* Location:
 * Qualified Name:     DeterminationSalaireReference17
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */