package fr.unedic.cali.asu.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.ElementConditionAge;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.OutilConditionAge;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public class RechercheConditionAge
  extends OutilConditionAge
{
  public static final int CINQUANTE = 50;
  
  public static RechercheConditionAge getInstance()
  {
    return new RechercheConditionAge();
  }
  
  public ElementConditionAge rechercherConditionAge(Demande demande)
    throws CoucheLogiqueException
  {
    return verifierConditionAge(demande.getDemandeur(), demande.getDateExamen(), demande);
  }
  
  protected void alimenterEchecAgeSuperieurAgeMaximum(ElementConditionAge elementConditionAge)
  {
    elementConditionAge.setEtat(1);
    elementConditionAge.setCodeMotifEchec(61);
  }
  
  protected void alimenterEchecDateRetraiteAtteinte(ElementConditionAge elementConditionAge)
  {
    elementConditionAge.setEtat(1);
    elementConditionAge.setCodeMotifEchec(62);
  }
  
  protected void alimenterEchecDateRetraiteAnticipeeAtteinte(ElementConditionAge elementConditionAge)
  {
    elementConditionAge.setEtat(1);
    elementConditionAge.setCodeMotifEchec(625);
  }
  
  protected void effectuerTraitementSpecifique(ElementConditionAge elementConditionAge, IndividuSpec individu, Damj dateEffet, DemandeSpec demande)
  {
    Demande demandeAsu = (Demande)demande;
    DonneesTemporaires donneesTemporaires = demandeAsu.getDonneesTemporaires();
    if ((elementConditionAge.getAgeDemandeurEmploi().getAnnees() >= 50) && (donneesTemporaires.isCanAvecCentVingtTrimestres()) && (donneesTemporaires.isPensionRaccordement()))
    {
      elementConditionAge.setEtat(1);
      elementConditionAge.setCodeMotifEchec(64);
    }
  }
}

/* Location:
 * Qualified Name:     RechercheConditionAge
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */