package fr.unedic.cali.asu.may17.p02.calcul.dom;

import fr.unedic.cali.asu.may17.p02.calcul.dom.gen.DureeIndemnisationPremiereTrancheGen;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.cali.outilsfonctionnels.TracesBouchon;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeIndemnisationPremiereTranche
  extends DureeIndemnisationPremiereTrancheGen
  implements QuantiteIndemnisationSpec
{
  private static final long serialVersionUID = -776431572602816245L;
  private static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  public DureeIndemnisationPremiereTranche() {}
  
  public DureeIndemnisationPremiereTranche(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
    setCodeFormuleMontant(FormuleMontantPremiereTranche.getCode());
  }
  
  public DureeIndemnisationPremiereTranche(DomPCSpec p_indemnisationPC)
  {
    super(p_indemnisationPC);
  }
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
  
  public ObjetMetierSpec copie()
  {
    DureeIndemnisationPremiereTranche copie = new DureeIndemnisationPremiereTranche();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DureeIndemnisationPremiereTranche copie = (DureeIndemnisationPremiereTranche)p_copie;
    super.copieElements(copie);
    copie.setCodeFormuleMontant(getCodeFormuleMontant());
    TracesBouchon.ecrireTrace("Pourquoi devoir copier la formule montant ? Besoin du code lincp ? ");
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisationPremiereTranche
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */