package fr.unedic.cali.asu.may17.p02.calcul.dom;

import fr.unedic.cali.asu.may17.p02.calcul.dom.gen.MontantMAYFGen;
import fr.unedic.cali.asu.may17.p02.calcul.dom.pc.MontantMAYFPC;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public class MontantMAYF
  extends MontantMAYFGen
{
  private static final long serialVersionUID = -5083289462638107417L;
  public static final String MINI_FORMATION = "04";
  protected transient Quantite m_montantBrutARE;
  protected transient Quantite m_miniARE;
  
  private MontantMAYF() {}
  
  public MontantMAYF(MontantMAYFPC p_montantMAYPC)
  {
    super(p_montantMAYPC);
  }
  
  public MontantMAYF(Montant p_montant)
  {
    setAvecPrecompteCRC(false);
    setSjrNonReduit(p_montant.getSjrNonReduit());
    setBase(p_montant.getBase());
    setBaseCalculCrc(p_montant.getBaseCalculCrc());
    setCotisationContribution(p_montant.getCotisationContribution());
    setCrc(p_montant.getCrc());
    setCrds(p_montant.getCrds());
    setCsg(p_montant.getCsg());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setMini(p_montant.getMini());
    setMiniARE(p_montant.getMini());
    setMontantBrut(p_montant.getMontantBrut());
    setMontantBrutARE(p_montant.getMontantBrut());
    setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
    setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
    setMontantJournalierAvantageVieillesse(p_montant.getMontantJournalierAvantageVieillesse());
    setMontantJournalierAvantageVieillesseDeduit(p_montant.getMontantJournalierAvantageVieillesseDeduit());
    setMontantBrutSansAvantageVieillesseDeduit(p_montant.getMontantBrutSansAvantageVieillesseDeduit());
    setPlafond(p_montant.getPlafond());
    setPlancher(p_montant.getPlancher());
    setPositionExonerationCrc(p_montant.getPositionExonerationCrc());
    setTauxCrc(p_montant.getTauxCrc());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setType("FORMATION PREVISIONNELLE");
  }
  
  public ObjetMetierSpec copie()
  {
    MontantMAYF copie = new MontantMAYF();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    MontantMAYF copie = (MontantMAYF)p_copie;
    super.copieElements(copie);
    m_miniARE = getMiniARE();
    m_montantBrutARE = getMontantBrutARE();
  }
  
  public Quantite getMiniARE()
  {
    return m_miniARE;
  }
  
  public void setMiniARE(Quantite p_miniARE)
  {
    m_miniARE = p_miniARE;
  }
  
  public Quantite getMontantBrutARE()
  {
    return m_montantBrutARE;
  }
  
  public void setMontantBrutARE(Quantite p_montantBrutARE)
  {
    m_montantBrutARE = p_montantBrutARE;
  }
}

/* Location:
 * Qualified Name:     MontantMAYF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */