package fr.unedic.cali.asu.may17.p02.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.may17.p02.liquidation.dom.Admission;
import fr.unedic.cali.asu.outilsfonctionnels.CREM;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;
import java.util.Hashtable;

public class ConstitutionCREMConstituant
{
  private static final int NB_DECIMALES_ARRONDI_2 = 2;
  
  public static Hashtable recupererElementsConstituant(DossierExamenSpec p_dossierExamen)
    throws CoucheLogiqueException
  {
    Hashtable listeConstituant = CREM.getElementsConstitutantVides();
    if ((p_dossierExamen instanceof AttributionSpec))
    {
      Admission dossierExamen = (Admission)p_dossierExamen;
      if (dossierExamen.getMontantTranche1() != null)
      {
        BigDecimal montant1 = dossierExamen.getMontantTranche1();
        listeConstituant.put("Montant tranche 1", Mathematiques.arrondiASup(montant1, 2).toString());
      }
      if (dossierExamen.getMontantTranche2() != null)
      {
        BigDecimal montant2 = dossierExamen.getMontantTranche2();
        listeConstituant.put("Montant tranche 2", Mathematiques.arrondiASup(montant2, 2).toString());
      }
      if (dossierExamen.getMontantTranche3() != null)
      {
        BigDecimal montant3 = dossierExamen.getMontantTranche3();
        listeConstituant.put("Montant tranche 3", Mathematiques.arrondiASup(montant3, 2).toString());
      }
    }
    return listeConstituant;
  }
}

/* Location:
 * Qualified Name:     ConstitutionCREMConstituant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */