package fr.unedic.cali.asu.migration.controles;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.cohab.dom.CodesErreursMigration;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.migration.ControlerDonneesSpec;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.Collection;

public class ControleDelaisReportPji
  implements ControlerDonneesSpec
{
  public Collection controler(DemandeSpec p_demande)
  {
    Collection listeErreurs = new ArrayList();
    
    Demande demandeAsu = (Demande)p_demande;
    if ((demandeAsu.getDossierExamen() instanceof OdSpec))
    {
      DossierExamen dossierExamen = (DossierExamen)demandeAsu.getDossierExamen();
      if ((dossierExamen.getConstitutionPointDepartIndemnisation() != null) && (dossierExamen.getConstitutionPointDepartIndemnisation().getPji() != null))
      {
        Damj pji = dossierExamen.getConstitutionPointDepartIndemnisation().getPji();
        if (dossierExamen.getConstitutionDelais() != null)
        {
          ConstitutionDelais constitutionDelais = dossierExamen.getConstitutionDelais();
          
          Damj dateFinMax = Damj.NUIT_DES_TEMPS;
          if (constitutionDelais.getTermeCarenceDiffere() != null) {
            dateFinMax = Damj.max(dateFinMax, constitutionDelais.getTermeCarenceDiffere());
          }
          if (constitutionDelais.getTermeCarenceICCP() != null) {
            dateFinMax = Damj.max(dateFinMax, constitutionDelais.getTermeCarenceICCP());
          }
          if (constitutionDelais.getTermeCarenceISLR() != null) {
            dateFinMax = Damj.max(dateFinMax, constitutionDelais.getTermeCarenceISLR());
          }
          if (constitutionDelais.getTermePMC() != null) {
            dateFinMax = Damj.max(dateFinMax, constitutionDelais.getTermePMC());
          }
          if (!dateFinMax.coincideAvec(Damj.FIN_DES_TEMPS)) {
            if (!dateFinMax.lendemain().coincideAvec(pji)) {
              listeErreurs.add(CodesErreursMigration.getErreur(2, "LIQ_ASU_DELAIS_PJI"));
            }
          }
        }
      }
    }
    return listeErreurs;
  }
}

/* Location:
 * Qualified Name:     ControleDelaisReportPji
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */