package fr.unedic.cali.asu.migration.recalcul;

import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerCapitalDroitCourant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    Quantite nbJourIndemnisesEffectif = attribution.getConstitutionDurees().getDureeIndemnisation().getDureeEffective();
    Quantite montantBrutDP = attribution.getConstitutionMontantsBruts().getMontantJournalierBrut();
    
    Quantite capitalDroitCourant = new QuantiteEuro(nbJourIndemnisesEffectif.getValeur().multiply(montantBrutDP.getValeur()));
    
    attribution.getConstitutionMontantsBruts().setCapitalInitialBrut(capitalDroitCourant);
    
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerCapitalDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */