package fr.unedic.cali.asu.migration.recalcul;

import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionProduitResultant;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerConstituantsProduitResultant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    BigDecimal capitalResultant = null;
    BigDecimal montantBrutResultant = null;
    BigDecimal dureeEffectiveResultant = null;
    if (attribution.getConstitutionProduitResultant().getTypeCapitalRetenu() == 1) {
      capitalResultant = attribution.getConstitutionMontantsBruts().getCapitalInitialBrut().getValeur();
    } else {
      capitalResultant = attribution.getConstitutionProduitResultant().getCapitalDroitPrecedent().getValeur();
    }
    if (attribution.getConstitutionProduitResultant().getTypeMontantRetenu() == 1) {
      montantBrutResultant = attribution.getConstitutionMontantsBruts().getMontantJournalierBrut().getValeur();
    } else {
      montantBrutResultant = attribution.getConstitutionProduitResultant().getMontantDroitPrecedent().getValeur();
    }
    dureeEffectiveResultant = Mathematiques.diviseASup(capitalResultant, montantBrutResultant, 0);
    
    attribution.getConstitutionProduitResultant().setMontantJournalierBrut(new QuantiteEuro(montantBrutResultant));
    attribution.getConstitutionProduitResultant().setDureeTheorique(new QuantiteJour(dureeEffectiveResultant));
    attribution.getConstitutionProduitResultant().setDureeEffective(new QuantiteJour(dureeEffectiveResultant));
    
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerConstituantsProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */