package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.ConditionAgeMaintienGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionAgeMaintien
  extends ConditionAgeMaintienGen
  implements ConditionAttributionSpec
{
  private static final long serialVersionUID = -422960144288471861L;
  
  public ConditionAgeMaintien() {}
  
  public ConditionAgeMaintien(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (super.getResultatElementDroit() == null) {
      super.setResultatElementDroit(new ResultatElementDroit());
    }
    return super.getResultatElementDroit();
  }
  
  public boolean getEtatConditionAge()
  {
    return estSatisfait();
  }
  
  public void setEtatConditionAge(boolean p_conditionAge)
  {
    setEtatSatisfait(p_conditionAge);
  }
  
  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("ConditionAge:");
    
    sb.append("\n\tEtat Condition Age:");
    sb.append("\n\t" + getEtatConditionAge());
    if (getDateObtentionAgeMinimum() != null)
    {
      sb.append("\n\tDate Age Obtention âge minimum:");
      sb.append("\n\t" + getDateObtentionAgeMinimum());
    }
    return sb.toString();
  }
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getResultatElementDroit().estSatisfait();
  }
  
  public int getCodeMotifEchec()
  {
    return getResultatElementDroit().getCodeMotifEchec();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    getResultatElementDroit().setCodeMotifEchec(p_codeMotifEchec);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    getResultatElementDroit().setEtatSatisfait(p_etatSatisfait);
  }
  
  public ObjetMetierSpec copie()
  {
    ConditionAgeMaintien copie = new ConditionAgeMaintien();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionAgeMaintien copie = (ConditionAgeMaintien)p_copie;
    
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setDateObtentionAgeMinimum(getDateObtentionAgeMinimum());
    copie.setAgeMinimum(getAgeMinimum());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public void setEtat(int p_etat)
  {
    getResultatElementDroit().setEtat(p_etat);
  }
  
  public int getEtat()
  {
    return getResultatElementDroit().getEtat();
  }
}

/* Location:
 * Qualified Name:     ConditionAgeMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */