package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.DureeDetectionMaintienGen;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeDetectionMaintien
  extends DureeDetectionMaintienGen
{
  private static final long serialVersionUID = -60571438997287775L;
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  private DureeDetectionMaintien() {}
  
  public DureeDetectionMaintien(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeDetectionMaintien(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
  }
  
  public ObjetMetierSpec copie()
  {
    DureeDetectionMaintien copie = new DureeDetectionMaintien();
    copieElements(copie);
    return copie;
  }
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
}

/* Location:
 * Qualified Name:     DureeDetectionMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */