package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.mnt.dom.pc.DossierExamenPC;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;

public abstract class DossierExamenGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private DemandeSpec m_demande;
  private ConditionsAttributionAdmission m_conditionsAttributionAdmission;
  
  public DossierExamenGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DossierExamenGen() {}
  
  public DossierExamenGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected abstract DomPCSpec createPC();
  
  public DemandeSpec getDemande()
  {
    if (m_demande == null)
    {
      DomPCSpec demandePC = ((DossierExamenPC)getPC()).getDemande();
      if (demandePC != null) {
        m_demande = ((DemandeSpec)demandePC.createOM());
      }
    }
    return m_demande;
  }
  
  public void setDemande(DemandeSpec p_demande)
  {
    if (p_demande == null)
    {
      ((DossierExamenPC)getPC()).setDemande(null);
      m_demande = p_demande;
    }
    else if (!p_demande.equals(m_demande))
    {
      ((DossierExamenPC)getPC()).setDemande(((DomGenSpec)p_demande).getPC());
      m_demande = p_demande;
    }
  }
  
  public ConditionsAttributionAdmission getConditionsAttributionAdmission()
  {
    if (m_conditionsAttributionAdmission == null)
    {
      DomPCSpec conditionsAttributionAdmissionPC = ((DossierExamenPC)getPC()).getConditionsAttributionAdmission();
      if (conditionsAttributionAdmissionPC != null) {
        m_conditionsAttributionAdmission = ((ConditionsAttributionAdmission)conditionsAttributionAdmissionPC.createOM());
      }
    }
    return m_conditionsAttributionAdmission;
  }
  
  public void setConditionsAttributionAdmission(ConditionsAttributionAdmission p_conditionsAttributionAdmission)
  {
    if (p_conditionsAttributionAdmission == null)
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionAdmission(null);
      m_conditionsAttributionAdmission = p_conditionsAttributionAdmission;
    }
    else if (!p_conditionsAttributionAdmission.equals(m_conditionsAttributionAdmission))
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionAdmission(p_conditionsAttributionAdmission.getPC());
      m_conditionsAttributionAdmission = p_conditionsAttributionAdmission;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object conditionsAttributionAdmission = getConditionsAttributionAdmission();
    if ((conditionsAttributionAdmission != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionsAttributionAdmission))) {
      DomManager.supprimer(getConditionsAttributionAdmission(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DossierExamenGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */