package fr.unedic.cali.asu.mnt.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.util.temps.Damj;

public final class AlimenterBaseEchanges
{
  public static void alimenterDonneesGamme(DemandeSpec demandeCali, Decision demandeEchange)
    throws ApplicativeException
  {
    DemandeMaintien demandeCourante = (DemandeMaintien)demandeCali;
    if (demandeEchange == null) {
      demandeEchange = new Decision();
    }
    demandeEchange.setCodeSegment("LK1B");
    if ((demandeCourante.getClassementAdministratif() != null) && (demandeCali.getClassementAdministratif().estClassementValide()))
    {
      demandeEchange.setCompetenceAdministrative("AC");
    }
    else
    {
      Damj dateMaintien = demandeCourante.getDateExamen();
      if (dateMaintien == null) {
        dateMaintien = demandeCourante.getEvenementReferenceExamen().getDateDeclenchementExamen(demandeCourante);
      }
      demandeEchange.setDateTraitement(dateMaintien);
      if (demandeCourante.getAttributionAssurance() != null) {
        demandeEchange.setIdentifiantOd(Integer.parseInt(demandeCourante.getAttributionAssurance().getRsod()));
      }
      demandeEchange.setReferenceExterneDemande(demandeCourante.getFormulaire().getReferenceExterne());
      
      demandeEchange.setOrigineDecision(0);
      if ((demandeCourante.getDossierExamen() != null) && ((demandeCourante.getDossierExamen() instanceof DecisionSpec))) {
        demandeEchange.setNatureDecision(((DecisionSpec)demandeCourante.getDossierExamen()).getNatureDecision());
      }
    }
  }
}

/* Location:
 * Qualified Name:     AlimenterBaseEchanges
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */