package fr.unedic.cali.asu.mnt.parcours;

import fr.unedic.cali.asu.mnt.dom.Decision;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.parcours.DomLiquidationDemande;

public class DomLiquidationMaintien
  extends DomLiquidationDemande
{
  public static final int EXAMEN_INDETERMINE = -1;
  public static final int EXAMEN_AUTOMATIQUE = -2;
  private int m_typeExamenMaintien;
  
  public DomLiquidationMaintien()
  {
    m_typeExamenMaintien = -1;
  }
  
  public int determinerContexteExamenMaintien()
  {
    DemandeMaintien demande = (DemandeMaintien)getDemandeSpec();
    if (m_typeExamenMaintien == -1)
    {
      DossierExamen dossierExamen = demande.getDossierExamen();
      if ((dossierExamen != null) && ((dossierExamen instanceof Decision))) {
        m_typeExamenMaintien = ((Decision)dossierExamen).getNatureDecision();
      } else {
        m_typeExamenMaintien = 0;
      }
    }
    return m_typeExamenMaintien;
  }
  
  public void setTypeExamenMaintien(int p_typeExamenMaintien)
  {
    m_typeExamenMaintien = p_typeExamenMaintien;
  }
  
  public int getTypeExamenMaintien()
  {
    return m_typeExamenMaintien;
  }
  
  public boolean estExamenAutomatique()
  {
    return getTypeExamenMaintien() == -2;
  }
  
  public boolean estAttenteQuestionnaire()
  {
    return getTypeExamenMaintien() == 25;
  }
  
  public boolean estAttenteCP()
  {
    return getTypeExamenMaintien() == 24;
  }
  
  public boolean estAttenteDecision()
  {
    return getTypeExamenMaintien() == 0;
  }
  
  public boolean estAdmissionMaintien()
  {
    return getTypeExamenMaintien() == 23;
  }
  
  public boolean estRefusMaintien()
  {
    return getTypeExamenMaintien() == 16;
  }
}

/* Location:
 * Qualified Name:     DomLiquidationMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */