package fr.unedic.cali.asu.mnt.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.mnt.dom.FormulaireMaintien;
import fr.unedic.cali.autresdoms.cohab.sigma.demande.dom.spec.DemandeSpec;
import fr.unedic.cali.parcours.DomCreationFormulaires;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatCreationFormulaires;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class FabriquerFormulaireMaintien
  extends ParcoursCali
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    ResultatCreationFormulaires resultat = new ResultatCreationFormulaires();
    
    Collection collectionFormulairesCali = new ArrayList();
    
    DomCreationFormulaires dom = (DomCreationFormulaires)p_contexte.getDonnees();
    Collection collectionDemandesCojac = dom.getCollectionDemandesCojac();
    
    Iterator iterDemandesCojac = collectionDemandesCojac.iterator();
    while (iterDemandesCojac.hasNext())
    {
      DemandeSpec demande = (DemandeSpec)iterDemandesCojac.next();
      FormulaireMaintien formulaire = new FormulaireMaintien();
      
      formulaire.setReferenceExterne(demande.getIdentifiantDemande());
      formulaire.setDateDepot(demande.getDateDepot());
      formulaire.setRsodMaintenu(Integer.toString(demande.getIdentifiantPec()));
      
      formulaire.setNomGamme(demande.getGamme());
      formulaire.setNomProduit(demande.getProduit());
      formulaire.setNomLigne(demande.getLigne());
      formulaire.setMotifEnvoi(demande.getTypeExamen());
      
      collectionFormulairesCali.add(formulaire);
    }
    resultat.setCollectionFormulairesCali(collectionFormulairesCali);
    return resultat;
  }
}

/* Location:
 * Qualified Name:     FabriquerFormulaireMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */