package fr.unedic.cali.asu.occasionnel;

import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementAppelsContribCSP;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementContribOuvertureDroitCSP;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementControleDroitExecutable;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementICCPConservationSurLiquidationSimplifieeNPDE;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementPopulationDonneesForceesSecteurPublic;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementPopulationICCPConservatoire;
import fr.unedic.cali.asu.occasionnel.outilsfonctionnels.TraitementPopulationRepriseStockNCSpectacle17SI1;
import fr.unedic.cali.occasionnel.outilsfonctionnels.FabriqueTraitementPopulationAbstrait;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;

public class FabriqueTraitementPopulation
  extends FabriqueTraitementPopulationAbstrait
{
  protected TraitementPopulationSpec instancierOutilFonctionnel(String nomPopulation)
  {
    TraitementPopulationSpec outilTraitement = null;
    if ("15SI3CALI_ICCP_CONSERVATOIRE".equals(nomPopulation)) {
      outilTraitement = new TraitementPopulationICCPConservatoire();
    } else if ("12SI2CALI_DONNEES_FORCEES_SP".equals(nomPopulation)) {
      outilTraitement = new TraitementPopulationDonneesForceesSecteurPublic();
    } else if ("test droit executable".equals(nomPopulation)) {
      outilTraitement = new TraitementControleDroitExecutable();
    } else if ("IN0943473 - Iccp Conserv. sur Liq. Simplifiee NPDE".equals(nomPopulation)) {
      outilTraitement = new TraitementICCPConservationSurLiquidationSimplifieeNPDE();
    } else if ("APPELS_CONTRIB_CSP".equals(nomPopulation)) {
      outilTraitement = new TraitementAppelsContribCSP();
    } else if ("SNOW INC0180472 - Appel contribution OD CSP".equals(nomPopulation)) {
      outilTraitement = new TraitementContribOuvertureDroitCSP();
    } else if ("2016D045DD01 Mesures cibles A810".equals(nomPopulation)) {
      outilTraitement = new TraitementPopulationRepriseStockNCSpectacle17SI1();
    }
    return outilTraitement;
  }
}

/* Location:
 * Qualified Name:     FabriqueTraitementPopulation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */