package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.affectation.LigneSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDecisionPourProduit;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.temps.Damj;

public class OutilAtp
  extends fr.unedic.cali.outilsfonctionnels.OutilAtp
{
  public static AttributionSpec rechercherAttributionAtpPrecedent(DemandeSpec p_demande)
  {
    return rechercherAttributionAtpPrecedent(p_demande, p_demande.getDateDeclenchementExamen());
  }
  
  public static AttributionAssuranceSpec rechercherAttributionAtpPrecedent(DemandeSpec p_demande, Damj p_date)
  {
    FiltreET filtreAttributionAtp = new FiltreET();
    filtreAttributionAtp.ajouterFiltre(new FiltreAttributionStandardAssurance(true, true, false, false, null));
    filtreAttributionAtp.ajouterFiltre(new FiltreDecisionPourProduit(39));
    return (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(p_demande.getChronologieDemandesAssuranceSansCourante(), p_date.lendemain(), filtreAttributionAtp);
  }
  
  public static AttributionAssuranceSpec rechercherAttributionAtpOrigine(DemandeSpec p_demande, Damj p_date)
  {
    AttributionAssuranceSpec derniereAttributionAtp = rechercherAttributionAtpPrecedent(p_demande, p_date);
    if (derniereAttributionAtp != null) {
      return (AttributionAssuranceSpec)derniereAttributionAtp.getOuvertureDroit();
    }
    return null;
  }
  
  public static AttributionSpec rechercherDernierDroitAtp(DemandeSpec p_demande)
  {
    AttributionAssuranceSpec attributionPrecedente = rechercherAttributionAtpPrecedent(p_demande, p_demande.getDateDepot());
    if (attributionPrecedente == null) {
      return null;
    }
    String nomLigne = attributionPrecedente.getProduit().getLigne().getNomUnique();
    if (nomLigne.equals("ASU_CVE13")) {
      return attributionPrecedente;
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     OutilAtp
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */