package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.spec.ObjectifExamenAssuranceSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.Parametres;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.util.services.Contexte;

public final class OutilObjectifExamen
{
  public static ObjectifExamenAssuranceSpec recupererObjectifCourant(Contexte contexte)
  {
    ObjectifExamen objectifCourant = null;
    if ((contexte != null) && (contexte.getDonnees() != null)) {
      objectifCourant = DomLiquidationAssurance.getDemande(contexte).getObjectifCourant();
    }
    if ((objectifCourant != null) && (objectifCourant.getObjectifProduitActif() == null)) {
      objectifCourant.setObjectifProduitActif(recupererObjectifProduitActif(contexte, objectifCourant.getSousType()));
    }
    return objectifCourant;
  }
  
  private static ObjectifExamenSpec recupererObjectifProduitActif(Contexte contexte, int sousType)
  {
    DomLiquidationDemande domCourant = (DomLiquidationDemande)contexte.getDonnees();
    Demande demandeCourante = (Demande)domCourant.getDemandeSpec();
    ObjectifExamenSpec objectifCourantProduitActif = null;
    
    ProduitAsuSpec produitActif = recupererProduitAreActif(demandeCourante.getDossierExamen());
    if (produitActif != null) {
      objectifCourantProduitActif = (ObjectifExamenSpec)produitActif.creerObjectifExamen(sousType, demandeCourante.getListContexteDemande());
    }
    return objectifCourantProduitActif;
  }
  
  private static ProduitAsuSpec recupererProduitAreActif(DossierExamenSpec dossierExamen)
  {
    Demande demande = (Demande)dossierExamen.getDemande();
    ProduitAsuSpec produitRetour = null;
    
    ContexteDemandeSpec contexteAspPresent = OutilGestionContexteDemande.trouverUnContexteDemandeAssurancePresent(demande, 1);
    
    ContexteDemandeSpec contexteAspSurProduitCgePresent = OutilGestionContexteDemande.trouverUnContexteDemandeAssurancePresent(demande, 6);
    if (contexteAspPresent != null) {
      if (contexteAspSurProduitCgePresent != null)
      {
        produitRetour = OutilAsp.getInstance().recupererProduitReglementaire(demande);
      }
      else
      {
        String codeProduit = contexteAspPresent.getSousTypeContexteDemande();
        produitRetour = (ProduitAsuSpec)Parametres.getProduit(Integer.parseInt(codeProduit));
      }
    }
    return produitRetour;
  }
}

/* Location:
 * Qualified Name:     OutilObjectifExamen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */