package fr.unedic.cali.asu.outilsfonctionnels.crc;

import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.dom.Competences;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;

public final class OutilConstructionDonneesEntreesPcrc
{
  public static DonneesEntreesOutilPcrc contruireDonneesEntreesOutilPcrc(CompetenceSpec pCompetence)
  {
    DonneesEntreesOutilPcrc donneeesEntrees = new DonneesEntreesOutilPcrc();
    
    donneeesEntrees.setPrcForcee(estCrcForcee(pCompetence));
    donneeesEntrees.setCompetenceAdministrative(pCompetence.getCompetenceAdministrative());
    donneeesEntrees.setCompetenceFinanciere(pCompetence.getCompetenceFinanciere());
    if (pCompetence.getConventionGestion() != null) {
      donneeesEntrees.setEstPrecompteCrcSurConventionGestion(pCompetence.getConventionGestion().estPrecompteCRC());
    }
    return donneeesEntrees;
  }
  
  public static DonneesEntreesOutilPcrc contruireDonneesEntreesOutilPcrc(Competences pCompetence)
  {
    DonneesEntreesOutilPcrc donneeesEntrees = new DonneesEntreesOutilPcrc();
    
    donneeesEntrees.setPrcForcee(Boolean.valueOf(pCompetence.isEstPCRCForce()));
    donneeesEntrees.setCompetenceAdministrative(pCompetence.getCompetenceAdministrative());
    donneeesEntrees.setCompetenceFinanciere(pCompetence.getCompetenceFinanciere());
    if (pCompetence.getConventionGestion() != null) {
      donneeesEntrees.setEstPrecompteCrcSurConventionGestion(pCompetence.getConventionGestion().estPrecompteCRC());
    }
    return donneeesEntrees;
  }
  
  private static Boolean estCrcForcee(CompetenceSpec pCompetence)
  {
    Boolean estPrcForcee = Boolean.valueOf(false);
    if ((pCompetence instanceof Competence))
    {
      Competence competence = (Competence)pCompetence;
      if ((competence.getCompetenceAdministrative() == 2) && (competence.isEstPCRCForce())) {
        estPrcForcee = new Boolean(true);
      }
    }
    return estPrcForcee;
  }
}

/* Location:
 * Qualified Name:     OutilConstructionDonneesEntreesPcrc
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */