package fr.unedic.cali.asu.outilsfonctionnels.filtre;

import fr.unedic.cali.asu.parametres.AccesListeUnitesReglement;
import fr.unedic.cali.asu.parametres.ValeurListeUnitesReglement;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.PeriodeElementaire;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.FiltreTemporel;
import fr.unedic.util.temps.Temporel;
import java.util.ArrayList;

public class FiltrePeriodeElementairePlafonnementAffiliation
  implements FiltreTemporel
{
  private static final long serialVersionUID = -6135802433978986312L;
  
  public boolean accepter(Temporel p_temporel)
  {
    ActiviteSalarie activiteSalarie = null;
    if ((p_temporel.estType(PeriodeElementaire.class)) && (((PeriodeElementaire)p_temporel).getPeriodeActiviteOrigine() != null)) {
      activiteSalarie = ((PeriodeElementaire)p_temporel).getPeriodeActiviteOrigine();
    }
    if (p_temporel.estType(ActiviteSalarie.class)) {
      activiteSalarie = (ActiviteSalarie)p_temporel;
    }
    if (activiteSalarie != null) {
      return estActiviteParticipantAuPlafonnement(activiteSalarie);
    }
    return false;
  }
  
  public static boolean estActiviteParticipantAuPlafonnement(ActiviteSalarie p_activiteSalarie)
  {
    Reglement reglementActiviteOrigine = p_activiteSalarie.getReglement();
    if (reglementActiviteOrigine != null)
    {
      ArrayList listeUnitesAffiliationPossibles = AccesListeUnitesReglement.get(reglementActiviteOrigine, null).getListeUnites();
      if ((listeUnitesAffiliationPossibles != null) && (listeUnitesAffiliationPossibles.contains(UniteAffiliation.HEURE_TRAVAIL))) {
        return true;
      }
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     FiltrePeriodeElementairePlafonnementAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */