package fr.unedic.cali.asu.outilsfonctionnels.liquidationauto;

import fr.pe.cali.liquidation.outilsfonctionnels.liquidationautomatique.IOutilLiquidationAutomatique;
import fr.unedic.cali.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.parcours.DomCreationDemandePrestation;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;

public enum FabriqueOutilLiquidationAutomatique
{
  SINGLETON;
  
  private FabriqueOutilLiquidationAutomatique() {}
  
  public static FabriqueOutilLiquidationAutomatique getInstance()
  {
    return SINGLETON;
  }
  
  public IOutilLiquidationAutomatique recupererOutilLiquidationAutomatique(DonneesEntreeFabriqueLiquidationAutomatique donnees)
  {
    String typeExamen = donnees.getTypeExamenDemande();
    IOutilLiquidationAutomatique outilLiquidationAutomatique = new OutilLiquidationAutomatiqueNonActivee();
    if (donnees.estLiquidationAutomatiqueActive()) {
      if (OutilDemande.estUneDemandeFinDroitDeReconversion(typeExamen)) {
        outilLiquidationAutomatique = new OutilLiquidationAutomatiqueDemandeConversionFinDroit();
      } else if (("ASU_29".equals(typeExamen)) && (donnees.estDemandeEnAttenteDeDecision())) {
        outilLiquidationAutomatique = new OutilLiquidationAutomatiqueRechargement();
      } else if (("ASU_30".equals(typeExamen)) && ("TD".equals(donnees.getContexteEmission()))) {
        outilLiquidationAutomatique = new OutilLiquidationAutomatiqueDvFilEau();
      } else if ("ASU_28".equals(typeExamen)) {
        outilLiquidationAutomatique = new OutilLiquidationAutomatiqueRevision();
      } else if ((donnees.estPresenceDonneesNpde()) && (donnees.estTopDeploiementNpde())) {
        outilLiquidationAutomatique = new OutilLiquidationAutomatiqueDemandeNPDE();
      }
    }
    return outilLiquidationAutomatique;
  }
  
  protected boolean estTraitementBatch(Contexte contexte)
  {
    DomCreationDemandePrestation dom = (DomCreationDemandePrestation)contexte.getDonnees();
    return (dom.getContexteService() != null) && (dom.getContexteService().getContexteEmission() != null) && (dom.getContexteService().getContexteEmission().equals("TD"));
  }
}

/* Location:
 * Qualified Name:     FabriqueOutilLiquidationAutomatique
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */