package fr.unedic.cali.asu.outilsfonctionnels.liquidationsimplifiee.strategie;

import fr.unedic.cali.asu.dom.SituationDemandeur;
import fr.unedic.cali.asu.outilsfonctionnels.liquidationsimplifiee.Parametres;
import fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee;
import fr.unedic.cali.asu.produits.liquidation.parametres.CleAccesPRA;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.util.Iterator;
import java.util.List;

public class StrategieAffiliationLiquidationSimplifieeAvant
  implements StrategieAffiliationLiquidationSimplifieeSpec
{
  public ParametreLiquidationSimplifiee determinerPra(SituationDemandeur situation, Damj dateFCT, IndividuSpec individu)
  {
    ParametreLiquidationSimplifiee param = null;
    
    DureeCalendaire ageFG = individu.getAgeALaDate(dateFCT);
    
    CleAccesPRA cle = Parametres.construireCleAccesPRA(ageFG, dateFCT);
    
    List<ParametreLiquidationSimplifiee> listeParametre = Parametres.chargerParametres();
    
    Iterator<ParametreLiquidationSimplifiee> it = listeParametre.iterator();
    while (it.hasNext())
    {
      param = (ParametreLiquidationSimplifiee)it.next();
      if ((param.estApplicable(cle)) && (!param.isReliquatValide())) {
        break;
      }
    }
    return param;
  }
  
  public void alimenteDateDebutPra(SituationDemandeur situation, ParametreLiquidationSimplifiee param) {}
}

/* Location:
 * Qualified Name:     StrategieAffiliationLiquidationSimplifieeAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */