package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.parametres.EvenementParametre;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class StrategieBaseCalculSMICJournalierAvantMEP09SI3
  implements StrategieBaseCalculSMICJournalierSpec
{
  private static final BigDecimal SMIC_39_HEURES = new BigDecimal("39");
  private static final BigDecimal NB_JOURS_SEMAINE = new BigDecimal("7");
  
  public BigDecimal getSmicJournalier(Damj p_date)
  {
    return getSmicHoraire(p_date).multiply(SMIC_39_HEURES).divide(NB_JOURS_SEMAINE, 2, 4);
  }
  
  private static BigDecimal getSmicHoraire(Damj p_date)
  {
    return ParametresIndemnisation.getParametresIndemnisation().getElementActif(p_date).getSmicHoraire();
  }
}

/* Location:
 * Qualified Name:     StrategieBaseCalculSMICJournalierAvantMEP09SI3
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */