package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.cali.dom.DecisionAssuranceSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.affectation.GammeAsu;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDecisionPourGamme;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.CoucheLogiqueException;

public class StrategieControleDonneesSecteurPublicApres2016
  extends StrategieControleDonneesSecteurPublicAbstrait
{
  public void blocageDonneesSecteurPublic(Demande demandeCourante)
    throws CoucheLogiqueException
  {
    FiltreDecisionPourGamme filtre = new FiltreDecisionPourGamme(GammeAsu.getInstance().getNomUnique());
    DecisionAssuranceSpec decision = (DecisionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(demandeCourante.getChronologieDemandesAssuranceSansCourante(), demandeCourante, filtre);
    
    boolean bloquer = false;
    if (decision != null)
    {
      int competence = decision.getCompetenceAdministrative();
      if (competence == 1) {
        bloquer = true;
      }
    }
    if ("ASU_29".equals(demandeCourante.getEvenementReferenceExamen().getTypeExamen())) {
      bloquer = true;
    }
    if (bloquer) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_CONTEXTE_ABSENCE_ELEMENTS_DROIT");
    }
    bloquerSurDroitOption(estDroitOptionForce(demandeCourante));
    demandeCourante.ajouterBlocageLiquidation("ASU_PR_CALI_L_CONTEXTE_ABSENCE_ELEMENTS_DROIT");
    ContexteDemande contexte = new ContexteDemande();
    contexte.setTypeContexteDemande("ANTSPAUTOM");
    demandeCourante.ajouterContexteDemande(contexte);
  }
}

/* Location:
 * Qualified Name:     StrategieControleDonneesSecteurPublicApres2016
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */