package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.ReadmissionSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;
import java.util.Iterator;
import java.util.List;

public class StrategieReglesArSurCiPuisRepriseAsuAvantMEP10SI2
  implements StrategieReglesArSurCiPuisRepriseAsuSpec
{
  public void filtrePriseEnComptePeriodesActiviteSurUT(PeriodesPriseEnCompte p_periodesPriseEnCompte, Periode p_periodeUT, ContexteUT p_contexteUT, AttributionSpec p_attribution)
  {
    Iterator iterator = null;
    AttributionSpec candidate = null;
    ChronologiePeriodes chronoPriseEnComptePeriodesGelantes = p_periodesPriseEnCompte.getPeriodesParTypologie(4);
    
    List listeAttributions = p_attribution.getDemandeur().getListeAttributionsNeutralisees();
    listeAttributions.addAll(p_contexteUT.getListeOrdonneeCandidats());
    
    iterator = listeAttributions.iterator();
    while (iterator.hasNext())
    {
      candidate = (AttributionSpec)iterator.next();
      if ((!candidate.equals(p_attribution)) && (candidate.getGamme().getNomUnique().equals("ASU")))
      {
        ObjetChronoPeriodePriseEnCharge periodePEC = OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemande().getDemandeur(), candidate.getPji());
        if ((periodePEC != null) && 
          (candidate.getCalendrierExecutionCalcul() != null) && (p_periodeUT.chevauche(new Periode(candidate.getPji(), candidate.getCalendrierExecutionCalcul().getDernierJourIndemnisable()))))
        {
          Damj dateDebut = p_periodeUT.getDebut();
          Damj dateFin = p_periodeUT.getFin();
          if (candidate.getPji().estApres(dateDebut)) {
            dateDebut = candidate.getPji();
          }
          if (periodePEC.getDateFin().estAvant(dateFin)) {
            dateFin = periodePEC.getDateFin();
          }
          if (!(p_attribution instanceof ReadmissionSpec)) {
            chronoPriseEnComptePeriodesGelantes.ajouter(new ObjetChronoPeriodeConcrete(dateDebut, dateFin));
          } else if (((p_attribution instanceof ReadmissionSpec)) && (("ASU_CVA10_01".equals(candidate.getProduitExecution().getNom())) || ("ASU_CAA14_01".equals(candidate.getProduitExecution().getNom())))) {
            chronoPriseEnComptePeriodesGelantes.ajouter(new ObjetChronoPeriodeConcrete(dateDebut, dateFin));
          } else if (candidate.getDateAttribution().estApres(p_attribution.getDateAttribution())) {
            chronoPriseEnComptePeriodesGelantes.ajouter(new ObjetChronoPeriodeConcrete(dateDebut, dateFin));
          }
        }
      }
    }
  }
}

/* Location:
 * Qualified Name:     StrategieReglesArSurCiPuisRepriseAsuAvantMEP10SI2
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */