package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.affectation.parametres.AccesDecorReglementaire;
import fr.unedic.cali.affectation.parametres.CriteresQualification;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.DelaiRechercheProduit;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class AffectationDemandeASURevisionAdmission
  extends ParcoursAffectationDemandeAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    Resultat result = new Resultat();
    
    Demande demandeAssuranceExistante = getDemande(p_contexte);
    
    initialiserDemande(demandeAssuranceExistante);
    
    AttributionAssuranceSpec attributionPrecedente = demandeAssuranceExistante.rechercherAttributionPrecedenteDuMemeType();
    if (attributionPrecedente != null)
    {
      AttributionAssuranceSpec attributionMaitre = null;
      
      attributionMaitre = (AttributionAssuranceSpec)attributionPrecedente.getOuvertureDroit();
      
      alimenterDossierAffecte(attributionMaitre, demandeAssuranceExistante);
      result.setEtat(0);
    }
    OutilTrace.tracerFinParcours();
    return result;
  }
  
  private void alimenterDossierAffecte(AttributionAssuranceSpec p_attributionMaitre, Demande p_demandeAsuExistante)
  {
    DossierAffecte dossierAffecteAttributionAReviser = (DossierAffecte)p_attributionMaitre.getDossierAffecte();
    
    DossierAffecte dossierAffecte = (DossierAffecte)p_demandeAsuExistante.getDossierAffectation();
    if ((dossierAffecteAttributionAReviser.getValidationProduit() != null) && (dossierAffecteAttributionAReviser.getValidationProduit().isEstProduitValide())) {
      dossierAffecte.setValidationProduit((ValidationProduit)dossierAffecteAttributionAReviser.getValidationProduit().copie());
    }
    if (dossierAffecteAttributionAReviser.getDelaiRecherche() != null) {
      dossierAffecte.setDelaiRecherche((DelaiRechercheProduit)dossierAffecteAttributionAReviser.getDelaiRecherche().copie());
    }
    dossierAffecte.setDecorReglementaire(dossierAffecteAttributionAReviser.getDecorReglementaire());
    dossierAffecte.setProduitSecours(dossierAffecteAttributionAReviser.getProduitSecours());
    
    String idSinistre = null;
    if (p_demandeAsuExistante.getDonneesTemporaires() != null) {
      idSinistre = p_demandeAsuExistante.getDonneesTemporaires().getIdentifiantPeriodeActiviteConserveePerdue();
    }
    dossierAffecte.setIdentifiantSinistre(idSinistre);
    dossierAffecte.setJustificationAffectation(dossierAffecteAttributionAReviser.getJustificationAffectation());
    
    dossierAffecte.setProduitForce(dossierAffecteAttributionAReviser.getProduitForce());
    
    CriteresQualification criteresQualification = new CriteresQualification(dossierAffecte.getDecorReglementaire(), dossierAffecte.getSinistre(), p_demandeAsuExistante.getDonneesTemporaires().isEstCoordCee());
    
    AccesDecorReglementaire.getInstance().positionnerCriteresQualifSurPas(criteresQualification, (Individu)p_demandeAsuExistante.getDemandeur());
  }
}

/* Location:
 * Qualified Name:     AffectationDemandeASURevisionAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */