package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.dom.AgregatGaec;
import fr.unedic.cali.dom.AppelGaecReduit;
import fr.unedic.cali.dom.DonneesChargementGaec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.outilsfonctionnels.OutilAsr;
import fr.unedic.cali.parcours.AccesDonneesGaecException;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.util.ArrayList;
import java.util.Collection;

public class ParcoursLectureContexteExamen
  extends ParcoursContexteExamen
{
  public Resultat demarrerParcours(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultat = null;
    try
    {
      resultat = super.demarrerParcours(p_contexte);
      
      DemandeAssuranceSpec demandeAssuranceCourante = (DemandeAssuranceSpec)((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
      AttributionAssuranceSpec attributionAssurancePrecedente = rechercherAttributionPrecedente(demandeAssuranceCourante);
      if (OutilAsr.estFinDroitAsrNonInstalle(demandeAssuranceCourante, attributionAssurancePrecedente)) {
        ((ResultatContexteExamen)resultat).setContexteExamen(2);
      }
    }
    catch (Exception ex)
    {
      if (((ex instanceof ApplicativeException)) && ("HG_PR_CALI_L_ERREUR_SUR_REEXECUTION_OPTMISATION".equals(((ApplicativeException)ex).getCode()))) {
        throw ((ApplicativeException)ex);
      }
      resultat = new ResultatContexteExamen();
      resultat.setEtat(0);
      
      ((ResultatContexteExamen)resultat).setContexteExamen(1);
    }
    return resultat;
  }
  
  protected int getModeChargementDebrayageDossiersLourds(Individu p_individu)
  {
    return 2;
  }
  
  protected void alimenterAgregatGaec(Individu p_individu, String p_idDemande)
  {
    if (p_individu != null)
    {
      Collection typePeriodesGaec = new ArrayList();
      ajouterSiNouveau("999", typePeriodesGaec);
      
      p_individu.getDonneesChargementGaec().getAgregatGaec().setModeAppel(1);
      p_individu.getDonneesChargementGaec().getAgregatGaec().setTypePeriodesGaec(typePeriodesGaec);
    }
  }
  
  protected void controlerPostTraitement(Individu p_individu)
    throws AccesDonneesGaecException
  {
    AppelGaecReduit gaecReduit = p_individu.getDonneesChargementGaec().getAppelGaecReduit();
    
    controlerModeAppel(gaecReduit, 1);
    
    controlerTypePeriode(gaecReduit.getTypePeriodes(), "999");
  }
}

/* Location:
 * Qualified Name:     ParcoursLectureContexteExamen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */