package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConditionChomageInvolontaireGen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.PeriodeGaecSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.parcours.ContexteParcoursCali;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public class ConditionChomageInvolontaire
  extends ConditionChomageInvolontaireGen
  implements ConditionChomageInvolontaireSpec
{
  public static final int SITUATION_MOTIF_FG_DV = 1;
  public static final int SITUATION_AUCUN_DV = 2;
  public static final int SITUATION_DV_AFFI_SUFFISANTE = 3;
  public static final int SITUATION_DV_AFFI_INSUFFISANTE = 4;
  public static final int SITUATION_MOTIF_FG_DV_LEGITIME = 5;
  private PeriodeGaecSpec activiteDv = null;
  private static final long serialVersionUID = -241894027248218227L;
  
  public ConditionChomageInvolontaire(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ConditionChomageInvolontaire() {}
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public void setEtatSatisfait(boolean etatSatisfait)
  {
    if (etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConditionChomageInvolontaire copie = (ConditionChomageInvolontaire)pCopie;
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setSituationConditionChomageInvolontaire(getSituationConditionChomageInvolontaire());
    copie.setIdentifiantActivitePortantDV(getIdentifiantActivitePortantDV());
    copie.setDateDepartDelai121j(super.getDateDepartDelai121j());
    copie.setIntensiteHoraireSalarieAeDv(super.getIntensiteHoraireSalarieAeDv());
    copie.setDureeAeDv(super.getDureeAeDv());
    copie.setQuantiteAffiliationPrincipaleInopposabilite(super.getQuantiteAffiliationPrincipaleInopposabilite());
    copie.setQuantiteAffiliationSecondaireInopposabilite(super.getQuantiteAffiliationSecondaireInopposabilite());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Damj getDateFctAeDV()
  {
    Damj dateFCTDV = null;
    if (activiteDv == null)
    {
      if (getIdentifiantActivitePortantDV() != null)
      {
        Individu individuCourant = ContexteParcoursCali.getIndividuCourant();
        
        PeriodeGaecSpec activite = (ActiviteSalarie)individuCourant.rechercherPeriodePasseProfessionnel(getIdentifiantActivitePortantDV());
        activiteDv = activite;
        if (activite != null) {
          dateFCTDV = activite.getDateFin();
        }
      }
    }
    else {
      dateFCTDV = activiteDv.getDateFin();
    }
    return dateFCTDV;
  }
}

/* Location:
 * Qualified Name:     ConditionChomageInvolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */