package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConditionDureeNonNulleGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionDureeNonNulle
  extends ConditionDureeNonNulleGen
  implements ConditionAttributionSpec
{
  private static final long serialVersionUID = -2892020745839185850L;
  
  public ConditionDureeNonNulle(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConditionDureeNonNulle() {}
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    if (p_etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  /**
   * @deprecated
   */
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionDureeNonNulle copie = (ConditionDureeNonNulle)p_copie;
    copie.setEtatSatisfait(estSatisfait());
    copie.setCodeMotifEchec(getCodeMotifEchec());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ConditionDureeNonNulle
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */