package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionReglementApplicableGen;
import fr.unedic.cali.dom.affectation.Parametres;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionReglementApplicable
  extends ConstitutionReglementApplicableGen
  implements ReglementApplicableSpec
{
  private transient Reglement m_reglement;
  private static final long serialVersionUID = 4564417011482352172L;
  
  public ConstitutionReglementApplicable(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConstitutionReglementApplicable() {}
  
  /**
   * @deprecated
   */
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionReglementApplicable copie = (ConstitutionReglementApplicable)p_copie;
    copie.setReglement(getReglement());
    copie.setDroitInterimaire(isDroitInterimaire());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public Reglement getReglement()
  {
    if (m_reglement == null) {
      m_reglement = Parametres.getReglement(getNomReglement(), Parametres.getProduit(getCodeProduit()));
    }
    return m_reglement;
  }
  
  public void setReglement(Reglement p_reglement)
  {
    m_reglement = p_reglement;
    setNomReglement(p_reglement.getNomReglement());
    setCodeProduit(p_reglement.getProduit().getCode());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ConstitutionReglementApplicable
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */