package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.parametres.CleAccesDureeDroit;

public class DureeDroitPourPRA
{
  private int m_duree;
  private int m_ordre;
  private CleAccesDureeDroit m_cleAcces;
  
  private DureeDroitPourPRA() {}
  
  public DureeDroitPourPRA(int p_duree, int p_ordre)
  {
    m_duree = p_duree;
    m_ordre = p_ordre;
  }
  
  public int getDuree()
  {
    return m_duree;
  }
  
  protected void setDuree(int p_duree)
  {
    m_duree = p_duree;
  }
  
  public int getOrdre()
  {
    return m_ordre;
  }
  
  protected void setOrdre(int p_ordre)
  {
    m_ordre = p_ordre;
  }
  
  public boolean estApplicable(CleAccesDureeDroit p_cle)
  {
    return (p_cle != null) && (m_cleAcces.equals(p_cle));
  }
  
  public CleAccesDureeDroit getCleAcces()
  {
    return m_cleAcces;
  }
  
  public void setCleAcces(CleAccesDureeDroit p_cleAcces)
  {
    m_cleAcces = p_cleAcces;
  }
  
  public DureeDroitPourPRA copie()
  {
    DureeDroitPourPRA copie = new DureeDroitPourPRA();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(DureeDroitPourPRA p_copie)
  {
    p_copie.setDuree(getDuree());
    p_copie.setOrdre(getOrdre());
    if (getCleAcces() != null) {
      p_copie.setCleAcces(new CleAccesDureeDroit(getCleAcces().getCodeAge(), getCleAcces().getCodeNombreTrimestres()));
    }
  }
}

/* Location:
 * Qualified Name:     DureeDroitPourPRA
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */