package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.DureeReglementaireGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.DureeReglementaireSpec;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;

public abstract class DureeReglementaire
  extends DureeReglementaireGen
  implements ObjetPersistantSpec, DureeReglementaireSpec
{
  private static final long serialVersionUID = 1L;
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  public static final int DUREE_ZERO = 0;
  
  public DureeReglementaire(DomPCSpec pc)
  {
    super(pc);
  }
  
  public DureeReglementaire() {}
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    DureeReglementaire copieDureeReglementaire = (DureeReglementaire)copie;
    copieDureeReglementaire.setDureeEffective(getDureeEffective());
  }
}

/* Location:
 * Qualified Name:     DureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */