package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.JustificationSrGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import java.math.BigDecimal;

public class JustificationSr
  extends JustificationSrGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = -8627340176869108612L;
  private transient BigDecimal m_salaireReferencePlafonnne;
  private transient Chronologie m_listeActivitesSalarieesRetenues;
  
  private JustificationSr()
  {
    initTransientsJustificationSr();
    
    setTotalSalairesRetenus(new BigDecimal("0"));
    setTotalPrimesNormalesRetenues(new BigDecimal("0"));
    setTotalPrimesExceptionnellesRetenues(new BigDecimal("0"));
    setSalaireReferenceNonPlafonne(new BigDecimal("0"));
  }
  
  public JustificationSr(DomPCSpec p_cepAbstraitPC)
  {
    super(p_cepAbstraitPC);
    initTransientsJustificationSr();
  }
  
  protected void initTransientsJustificationSr()
  {
    m_listeActivitesSalarieesRetenues = new ChronologiePeriodes();
    setSalaireReferencePlafonnne(new BigDecimal("0"));
  }
  
  public BigDecimal getTotalSalairesRetenus()
  {
    if (rawGetTotalSalairesRetenus() == null) {
      setTotalSalairesRetenus(new BigDecimal("0"));
    }
    return super.getTotalSalairesRetenus();
  }
  
  public BigDecimal getTotalPrimesNormalesRetenues()
  {
    if (rawGetTotalPrimesNormalesRetenues() == null) {
      setTotalPrimesNormalesRetenues(new BigDecimal("0"));
    }
    return super.getTotalPrimesNormalesRetenues();
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenues()
  {
    if (rawGetTotalPrimesExceptionnellesRetenues() == null) {
      setTotalPrimesExceptionnellesRetenues(new BigDecimal("0"));
    }
    return super.getTotalPrimesExceptionnellesRetenues();
  }
  
  public BigDecimal getSalaireReferenceNonPlafonne()
  {
    if (rawGetSalaireReferenceNonPlafonne() == null) {
      setSalaireReferenceNonPlafonne(new BigDecimal("0"));
    }
    return super.getSalaireReferenceNonPlafonne();
  }
  
  public Chronologie getListeActivitesSalarieesRetenues()
  {
    return m_listeActivitesSalarieesRetenues;
  }
  
  public void setListeActivitesSalarieesRetenues(Chronologie p_listeActivitesSalarieesRetenues)
  {
    m_listeActivitesSalarieesRetenues = p_listeActivitesSalarieesRetenues;
  }
  
  public BigDecimal getSalaireReferencePlafonnne()
  {
    return m_salaireReferencePlafonnne;
  }
  
  public void setSalaireReferencePlafonnne(BigDecimal p_salaireReferencePlafonnne)
  {
    m_salaireReferencePlafonnne = p_salaireReferencePlafonnne;
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationSr copie = (JustificationSr)p_copie;
    copie.setListeActivitesSalarieesRetenues((Chronologie)getListeActivitesSalarieesRetenues().copie());
    copie.setSalaireReferenceNonPlafonne(getSalaireReferenceNonPlafonne());
    copie.setSalaireReferencePlafonnne(getSalaireReferencePlafonnne());
    copie.setTotalPrimesExceptionnellesRetenues(getTotalPrimesExceptionnellesRetenues());
    copie.setTotalPrimesNormalesRetenues(getTotalPrimesNormalesRetenues());
    copie.setTotalSalairesRetenus(getTotalSalairesRetenus());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
}

/* Location:
 * Qualified Name:     JustificationSr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */