package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;

public class JustificationSrPeriodeActiviteRetenue
  extends ObjetChronoPeriode
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = -2687164858342538537L;
  private transient String m_raisonSociale;
  private transient String m_reglement;
  private transient Chronologie m_listePeriodeRemunerationParticipante;
  
  public JustificationSrPeriodeActiviteRetenue()
  {
    m_listePeriodeRemunerationParticipante = new ChronologiePeriodes();
  }
  
  public JustificationSrPeriodeActiviteRetenue(Damj p_dateDebut, Damj p_dateFin)
  {
    super(p_dateDebut, p_dateFin);
    m_listePeriodeRemunerationParticipante = new ChronologiePeriodes();
  }
  
  public JustificationSrPeriodeActiviteRetenue(Periode p_periode)
  {
    super(p_periode);
    m_listePeriodeRemunerationParticipante = new ChronologiePeriodes();
  }
  
  public Chronologie getListePeriodeRemunerationParticipante()
  {
    return m_listePeriodeRemunerationParticipante;
  }
  
  public void setListePeriodeRemunerationParticipante(Chronologie p_listePeriodeRemunerationParticipante)
  {
    m_listePeriodeRemunerationParticipante = p_listePeriodeRemunerationParticipante;
  }
  
  public String getRaisonSociale()
  {
    return m_raisonSociale;
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    m_raisonSociale = p_raisonSociale;
  }
  
  public String getReglement()
  {
    return m_reglement;
  }
  
  public void setReglement(String p_reglement)
  {
    m_reglement = p_reglement;
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationSrPeriodeActiviteRetenue copie = new JustificationSrPeriodeActiviteRetenue();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationSrPeriodeActiviteRetenue copie = (JustificationSrPeriodeActiviteRetenue)p_copie;
    copie.setListePeriodeRemunerationParticipante((Chronologie)getListePeriodeRemunerationParticipante().copie());
    
    copie.setDateDebut(getDateDebut());
    copie.setDateFin(getDateFin());
    copie.setRaisonSociale(getRaisonSociale());
    copie.setReglement(getReglement());
  }
}

/* Location:
 * Qualified Name:     JustificationSrPeriodeActiviteRetenue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */