package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.PreavisLegalGen;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.ObjetChronoPeriode;

public class PreavisLegal
  extends PreavisLegalGen
{
  private static final long serialVersionUID = -3547984106831248076L;
  
  public PreavisLegal(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public PreavisLegal() {}
  
  public PreavisLegal(int p_jours)
  {
    super(p_jours);
  }
  
  public PreavisLegal(ObjetChronoPeriode p_periodeOrigine, int p_nombreJours)
  {
    super(p_nombreJours);
    if (p_periodeOrigine != null) {
      setDateFinPeriodeOrigine(p_periodeOrigine.getDateFin());
    }
    setOrigine(p_periodeOrigine);
    if ((p_periodeOrigine instanceof TravailSpec)) {
      setIdentifiantPeriodeOrigine(((TravailSpec)p_periodeOrigine).getIdentifiant());
    }
  }
  
  public String getTypeCarence()
  {
    return "PREAVIS_LEGAL";
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    PreavisLegal copie = (PreavisLegal)p_copie;
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    PreavisLegal copie = new PreavisLegal();
    copieElements(copie);
    return copie;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     PreavisLegal
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */