package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.SjripGen;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.ConstitutionElementsAdmissionPC;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.SjripSpec;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class Sjrip
  extends SjripGen
  implements ObjetPersistantSpec, SjripSpec
{
  private static final long serialVersionUID = 6913485441686134016L;
  
  public Sjrip(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Sjrip() {}
  
  public Sjrip(Damj p_dateEffet)
  {
    super(p_dateEffet);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getPrc());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Sjrip copie = (Sjrip)p_copie;
    
    copie.setDateEvenement(getDateEvenement());
    if (getPrc() != null) {
      copie.setPrc((Prc)getPrc().copie());
    }
    copie.setPlafondSjr(getPlafondSjr());
    copie.setSjrInitial(getSjrInitial());
    copie.setContexteParticulierSjr(getContexteParticulierSjr());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public BigDecimal getSjrip()
  {
    BigDecimal valeurSjrip = new BigDecimal("0");
    if ((getSjrInitial() != null) && (getPlafondSjr() != null)) {
      valeurSjrip = getSjrInitial().getValeur().min(getPlafondSjr().getValeur());
    } else if (getSjrInitial() != null) {
      valeurSjrip = getSjrInitial().getValeur();
    } else if (getPlafondSjr() != null) {
      valeurSjrip = getPlafondSjr().getValeur();
    }
    return valeurSjrip;
  }
  
  public static Sjrip createNonPersistent()
  {
    return new Sjrip(new ConstitutionElementsAdmissionPC());
  }
  
  public void setPrc(Prc prc)
  {
    DomManager.supprimer(super.getPrc(), prc);
    super.setPrc(prc);
  }
}

/* Location:
 * Qualified Name:     Sjrip
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */