package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConditionAncienneteGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  
  public ConditionAncienneteGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionAncienneteGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAnciennete();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAnciennete();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionAnciennete(p_codeMotifEchec);
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAnciennete();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAnciennete();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionAnciennete(p_etat);
  }
  
  protected boolean rawIsEstDeuxAnsAnciennete()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).isEstDeuxAnsAnciennete();
  }
  
  public boolean isEstDeuxAnsAnciennete()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).isEstDeuxAnsAnciennete();
  }
  
  public void setEstDeuxAnsAnciennete(boolean p_estDeuxAnsAnciennete)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEstDeuxAnsAnciennete(p_estDeuxAnsAnciennete);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setCodeMotifEchec(0);
    setEtat(0);
    setEstDeuxAnsAnciennete(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionAncienneteGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */