package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.Antecedent;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.PoursuitePC;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class PoursuiteGen
  extends Antecedent
  implements DomGenSpec
{
  public UniteTraitement m_uniteTraitement;
  public UniteTraitementAvant m_uniteTraitementAvant;
  
  public PoursuiteGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public PoursuiteGen() {}
  
  public PoursuiteGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected DomPCSpec createPC()
  {
    return new PoursuitePC();
  }
  
  public UniteTraitement getUniteTraitement()
  {
    if (m_uniteTraitement == null)
    {
      DomPCSpec uniteTraitementPC = ((PoursuitePC)getPC()).getUniteTraitement();
      if (uniteTraitementPC != null) {
        m_uniteTraitement = ((UniteTraitement)uniteTraitementPC.createOM());
      }
    }
    return m_uniteTraitement;
  }
  
  public void setUniteTraitement(UniteTraitement p_uniteTraitement)
  {
    if (p_uniteTraitement == null)
    {
      ((PoursuitePC)getPC()).setUniteTraitement(null);
      m_uniteTraitement = p_uniteTraitement;
    }
    else if (!p_uniteTraitement.equals(m_uniteTraitement))
    {
      ((PoursuitePC)getPC()).setUniteTraitement(p_uniteTraitement.getPC());
      m_uniteTraitement = p_uniteTraitement;
    }
  }
  
  public UniteTraitementAvant getUniteTraitementAvant()
  {
    if (m_uniteTraitementAvant == null)
    {
      DomPCSpec uniteTraitementAvantPC = ((PoursuitePC)getPC()).getUniteTraitementAvant();
      if (uniteTraitementAvantPC != null) {
        m_uniteTraitementAvant = ((UniteTraitementAvant)uniteTraitementAvantPC.createOM());
      }
    }
    return m_uniteTraitementAvant;
  }
  
  public void setUniteTraitementAvant(UniteTraitementAvant p_uniteTraitementAvant)
  {
    if (p_uniteTraitementAvant == null)
    {
      ((PoursuitePC)getPC()).setUniteTraitementAvant(null);
      m_uniteTraitementAvant = p_uniteTraitementAvant;
    }
    else if (!p_uniteTraitementAvant.equals(m_uniteTraitementAvant))
    {
      ((PoursuitePC)getPC()).setUniteTraitementAvant(p_uniteTraitementAvant.getPC());
      m_uniteTraitementAvant = p_uniteTraitementAvant;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object uniteTraitement = getUniteTraitement();
    if ((uniteTraitement != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(uniteTraitement))) {
      DomManager.supprimer(getUniteTraitement(), p_contexteSuppression);
    }
    Object uniteTraitementAvant = getUniteTraitementAvant();
    if ((uniteTraitementAvant != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(uniteTraitementAvant))) {
      DomManager.supprimer(getUniteTraitementAvant(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     PoursuiteGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */