package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.Decision;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.RejetPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class RejetGen
  extends Decision
  implements DomGenSpec
{
  public RejetGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public RejetGen() {}
  
  public RejetGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected DomPCSpec createPC()
  {
    return new RejetPC();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     RejetGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */