package fr.unedic.cali.asu.produits.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionElementsReprise;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionElementsReprisePC
  extends ConstitutionElementsAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConstitutionDateAttribution;
  protected boolean m_presenceDonneesConstitutionDelais;
  protected boolean m_presenceDonneesConstitutionReglementApplicable;
  protected boolean m_presenceDonneesConstitutionSjc;
  protected boolean m_presenceDonneesConstitutionSjr;
  protected boolean m_presenceDonneesConstitutionDurees;
  protected boolean m_presenceDonneesConstitutionCaractereSaisonnier;
  protected boolean m_presenceDonneesConstitutionCoefficientSaisonnier;
  protected boolean m_presenceDonneesConstitutionMontantsBruts;
  protected boolean m_presenceDonneesConstitutionCoefficientTempsPartiel;
  protected boolean m_presenceDonneesConstitutionPointDepartIndemnisation;
  protected boolean m_presenceDonneesConstitutionDateLimIndemn;
  private transient ConstitutionElementsReprise m_constitutionElementsRepriseOM;
  protected Quantite m_montantJournalierBrutConstitutionMontantsBruts;
  protected Quantite m_capitalInitialBrutConstitutionMontantsBruts;
  protected Quantite m_montantMiniConstitutionMontantsBruts;
  protected Quantite m_montantPlancherConstitutionMontantsBruts;
  protected Quantite m_montantPlafondConstitutionMontantsBruts;
  protected Quantite m_montantBaseConstitutionMontantsBruts;
  protected Quantite m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  protected Quantite m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  protected Quantite m_crcConstitutionMontantsBruts;
  protected Sjr m_sjrrpConstitutionSjr;
  protected int m_codeEmploiA2b;
  protected Periode m_periodeReference91joursConstitutionDelais;
  protected int m_typePmcConstitutionDelais;
  protected int m_nbJoursPMCConstitutionDelais;
  protected Damj m_debutPMCConstitutionDelais;
  protected Damj m_termePMCConstitutionDelais;
  protected int m_nbJoursCarenceICCPConstitutionDelais;
  protected Damj m_debutCarenceICCPConstitutionDelais;
  protected Damj m_termeCarenceICCPConstitutionDelais;
  protected int m_nbJoursCarenceISLRConstitutionDelais;
  protected Damj m_debutCarenceISLRConstitutionDelais;
  protected Damj m_termeCarenceISLRConstitutionDelais;
  protected int m_nbJoursCarenceDiffereConstitutionDelais;
  protected Damj m_debutCarenceDiffereConstitutionDelais;
  protected Damj m_termeCarenceDiffereConstitutionDelais;
  protected Sjc m_sjcrpConstitutionSjc;
  protected String m_nomReglementConstitutionReglementApplicable;
  protected int m_codeProduitConstitutionReglementApplicable;
  protected Damj m_dateAttributionConstitutionDateAttribution;
  protected Damj m_pjiConstitutionPointDepartIndemnisation;
  protected boolean m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  protected int m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  protected Periode m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
  protected Periode m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
  protected boolean m_activite3Sur5ConstitutionCaractereSaisonnier;
  protected BigDecimal m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
  protected Quantite m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
  protected BigDecimal m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  protected Quantite m_dureeTheoriqueConstitutionDurees;
  protected Quantite m_dureeImputationConstitutionDurees;
  protected Quantite m_dureeEffectiveConstitutionDurees;
  protected BigDecimal m_salaireReferenceNonPlafonneConstitutionSjr;
  protected BigDecimal m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  protected BigDecimal m_totalPrimesNormalesRetenuesConstitutionSjr;
  protected BigDecimal m_totalSalairesRetenusConstitutionSjr;
  protected PrcPC m_prcConstitutionSjr;
  protected QuantiteEuro m_plafondSjrConstitutionSjr;
  protected QuantiteEuro m_sjrInitialConstitutionSjr;
  protected Damj m_dateEvenementConstitutionSjr;
  protected QuantiteEuro m_plafondConstitutionSjc;
  protected QuantiteEuro m_sjcInitialConstitutionSjc;
  protected Damj m_dateEvenementConstitutionSjc;
  protected Sjr m_sjnprConstitutionSjr;
  protected boolean m_autresIndemnitesLegalesConstitutionDelais;
  protected boolean m_presenceTransactionConstitutionDelais;
  protected Quantite m_quantiteJourImputationForceConstitutionDurees;
  protected Quantite m_quantiteTotalJourImputationConstitutionDurees;
  protected boolean m_estAccordPlusDe182jCsrConstitutionDurees;
  protected Damj m_dateMaxiIndemnisationCsrConstitutionDurees;
  protected Damj m_debutCarencePreavisLegalConstitutionDelais;
  protected Damj m_termeCarencePreavisLegalConstitutionDelais;
  protected int m_nbJoursCarencePreavisLegalConstitutionDelais;
  protected Quantite m_montantDroitAssocieConstitutionMontantsBruts;
  private String m_typeMontantRetenuConstitutionMontantsBruts;
  private String m_contexteParticulierSjr;
  private String m_contexteParticulierSjc;
  private Damj m_dateLimiteIndem;
  private Damj m_dateDebutIndem;
  protected String m_contexteDateLimiteIndemnisation;
  protected boolean m_estDureeTheoriquePlafonneeConstitutionDurees;
  protected BigDecimal m_sommeMontantRevisionConstitutionSjr;
  private Quantite m_dureePostPrimeCspConstitutionDurees;
  private BigDecimal m_sjrMontantMaxAspConstitutionMontantsBruts;
  private Integer m_dureeImputationPostPrime;
  protected boolean m_eligibleAllongementAREFConstitutionDurees;
  protected int m_dureeAllongementAREFConstitutionDurees;
  private boolean m_droitInterimaireConstitutionReglementApplicable;
  private BigDecimal m_sjrTheoriqueConstitutionSjr;
  private BigDecimal m_coeffReducteurSjrConstitutionSjr;
  private BigDecimal m_plancherCoefficientSjrConstitutionSjr;
  private int m_dureeCalculeeConstitutionDurees;
  private int m_dureeMinimaleConstitutionDurees;
  private int m_dureeMaximaleConstitutionDurees;
  protected Collection m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
  protected Collection m_listeSjrActiviteConserveeConstitutionSjc;
  public Collection m_carences;
  protected Collection m_listePensionInvaliditeMontantBrut;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConstitutionDateAttribution", "m_presenceDonneesConstitutionDelais", "m_presenceDonneesConstitutionReglementApplicable", "m_presenceDonneesConstitutionSjc", "m_presenceDonneesConstitutionSjr", "m_presenceDonneesConstitutionDurees", "m_presenceDonneesConstitutionCaractereSaisonnier", "m_presenceDonneesConstitutionCoefficientSaisonnier", "m_presenceDonneesConstitutionMontantsBruts", "m_presenceDonneesConstitutionCoefficientTempsPartiel", "m_presenceDonneesConstitutionPointDepartIndemnisation", "m_presenceDonneesConstitutionDateLimIndemn", "m_montantJournalierBrutConstitutionMontantsBruts", "m_capitalInitialBrutConstitutionMontantsBruts", "m_montantMiniConstitutionMontantsBruts", "m_montantPlancherConstitutionMontantsBruts", "m_montantPlafondConstitutionMontantsBruts", "m_montantBaseConstitutionMontantsBruts", "m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts", "m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts", "m_crcConstitutionMontantsBruts", "m_sjrrpConstitutionSjr", "m_codeEmploiA2b", "m_periodeReference91joursConstitutionDelais", "m_typePmcConstitutionDelais", "m_nbJoursPMCConstitutionDelais", "m_debutPMCConstitutionDelais", "m_termePMCConstitutionDelais", "m_nbJoursCarenceICCPConstitutionDelais", "m_debutCarenceICCPConstitutionDelais", "m_termeCarenceICCPConstitutionDelais", "m_nbJoursCarenceISLRConstitutionDelais", "m_debutCarenceISLRConstitutionDelais", "m_termeCarenceISLRConstitutionDelais", "m_nbJoursCarenceDiffereConstitutionDelais", "m_debutCarenceDiffereConstitutionDelais", "m_termeCarenceDiffereConstitutionDelais", "m_sjcrpConstitutionSjc", "m_nomReglementConstitutionReglementApplicable", "m_codeProduitConstitutionReglementApplicable", "m_dateAttributionConstitutionDateAttribution", "m_pjiConstitutionPointDepartIndemnisation", "m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier", "m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier", "m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier", "m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier", "m_activite3Sur5ConstitutionCaractereSaisonnier", "m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier", "m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier", "m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel", "m_dureeTheoriqueConstitutionDurees", "m_dureeImputationConstitutionDurees", "m_dureeEffectiveConstitutionDurees", "m_salaireReferenceNonPlafonneConstitutionSjr", "m_totalPrimesExceptionnellesRetenuesConstitutionSjr", "m_totalPrimesNormalesRetenuesConstitutionSjr", "m_totalSalairesRetenusConstitutionSjr", "m_prcConstitutionSjr", "m_plafondSjrConstitutionSjr", "m_sjrInitialConstitutionSjr", "m_dateEvenementConstitutionSjr", "m_plafondConstitutionSjc", "m_sjcInitialConstitutionSjc", "m_dateEvenementConstitutionSjc", "m_sjnprConstitutionSjr", "m_autresIndemnitesLegalesConstitutionDelais", "m_presenceTransactionConstitutionDelais", "m_quantiteJourImputationForceConstitutionDurees", "m_quantiteTotalJourImputationConstitutionDurees", "m_estAccordPlusDe182jCsrConstitutionDurees", "m_dateMaxiIndemnisationCsrConstitutionDurees", "m_debutCarencePreavisLegalConstitutionDelais", "m_termeCarencePreavisLegalConstitutionDelais", "m_nbJoursCarencePreavisLegalConstitutionDelais", "m_montantDroitAssocieConstitutionMontantsBruts", "m_typeMontantRetenuConstitutionMontantsBruts", "m_contexteParticulierSjr", "m_contexteParticulierSjc", "m_dateLimiteIndem", "m_dateDebutIndem", "m_contexteDateLimiteIndemnisation", "m_estDureeTheoriquePlafonneeConstitutionDurees", "m_sommeMontantRevisionConstitutionSjr", "m_dureePostPrimeCspConstitutionDurees", "m_sjrMontantMaxAspConstitutionMontantsBruts", "m_dureeImputationPostPrime", "m_eligibleAllongementAREFConstitutionDurees", "m_dureeAllongementAREFConstitutionDurees", "m_droitInterimaireConstitutionReglementApplicable", "m_sjrTheoriqueConstitutionSjr", "m_coeffReducteurSjrConstitutionSjr", "m_plancherCoefficientSjrConstitutionSjr", "m_dureeCalculeeConstitutionDurees", "m_dureeMinimaleConstitutionDurees", "m_dureeMaximaleConstitutionDurees", "m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier", "m_listeSjrActiviteConserveeConstitutionSjc", "m_carences", "m_listePensionInvaliditeMontantBrut" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Sjr.class, Integer.TYPE, Periode.class, Integer.TYPE, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Sjc.class, String.class, Integer.TYPE, Damj.class, Damj.class, Boolean.TYPE, Integer.TYPE, Periode.class, Periode.class, Boolean.TYPE, BigDecimal.class, Quantite.class, BigDecimal.class, Quantite.class, Quantite.class, Quantite.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, PrcPC.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, Sjr.class, Boolean.TYPE, Boolean.TYPE, Quantite.class, Quantite.class, Boolean.TYPE, Damj.class, Damj.class, Damj.class, Integer.TYPE, Quantite.class, String.class, String.class, String.class, Damj.class, Damj.class, String.class, Boolean.TYPE, BigDecimal.class, Quantite.class, BigDecimal.class, Integer.class, Boolean.TYPE, Integer.TYPE, Boolean.TYPE, BigDecimal.class, BigDecimal.class, BigDecimal.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Collection.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionElementsReprisePC()
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, false);
    jdoSetm_presenceDonneesConstitutionDelais(this, false);
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, false);
    jdoSetm_presenceDonneesConstitutionSjc(this, false);
    jdoSetm_presenceDonneesConstitutionSjr(this, false);
    jdoSetm_presenceDonneesConstitutionDurees(this, false);
    jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(this, false);
    jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(this, false);
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, false);
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, false);
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, false);
    jdoSetm_presenceDonneesConstitutionDateLimIndemn(this, false);
    
    jdoSetm_crcConstitutionMontantsBruts(this, null);
    
    jdoSetm_typePmcConstitutionDelais(this, 1);
    
    jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, false);
    
    jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this, null);
    jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this, null);
    jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(this, false);
    
    jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this, null);
  }
  
  public Object createOM()
  {
    if (m_constitutionElementsRepriseOM == null) {
      m_constitutionElementsRepriseOM = new ConstitutionElementsReprise(this);
    }
    return m_constitutionElementsRepriseOM;
  }
  
  public boolean isPresenceDonneesConstitutionDateAttribution()
  {
    return jdoGetm_presenceDonneesConstitutionDateAttribution(this);
  }
  
  public final void setPresenceDonneesConstitutionDateAttribution(boolean p_presenceDonneesConstitutionDateAttribution)
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, p_presenceDonneesConstitutionDateAttribution);
  }
  
  public boolean isPresenceDonneesConstitutionDelais()
  {
    return jdoGetm_presenceDonneesConstitutionDelais(this);
  }
  
  public final void setPresenceDonneesConstitutionDelais(boolean p_presenceDonneesConstitutionDelais)
  {
    jdoSetm_presenceDonneesConstitutionDelais(this, p_presenceDonneesConstitutionDelais);
  }
  
  public boolean isPresenceDonneesConstitutionReglementApplicable()
  {
    return jdoGetm_presenceDonneesConstitutionReglementApplicable(this);
  }
  
  public final void setPresenceDonneesConstitutionReglementApplicable(boolean p_presenceDonneesConstitutionReglementApplicable)
  {
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, p_presenceDonneesConstitutionReglementApplicable);
  }
  
  public boolean isPresenceDonneesConstitutionSjc()
  {
    return jdoGetm_presenceDonneesConstitutionSjc(this);
  }
  
  public final void setPresenceDonneesConstitutionSjc(boolean p_presenceDonneesConstitutionSjc)
  {
    jdoSetm_presenceDonneesConstitutionSjc(this, p_presenceDonneesConstitutionSjc);
  }
  
  public boolean isPresenceDonneesConstitutionSjr()
  {
    return jdoGetm_presenceDonneesConstitutionSjr(this);
  }
  
  public final void setPresenceDonneesConstitutionSjr(boolean p_presenceDonneesConstitutionSjr)
  {
    jdoSetm_presenceDonneesConstitutionSjr(this, p_presenceDonneesConstitutionSjr);
  }
  
  public boolean isPresenceDonneesConstitutionDurees()
  {
    return jdoGetm_presenceDonneesConstitutionDurees(this);
  }
  
  public final void setPresenceDonneesConstitutionDurees(boolean p_presenceDonneesConstitutionDurees)
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, p_presenceDonneesConstitutionDurees);
  }
  
  public boolean isPresenceDonneesConstitutionCaractereSaisonnier()
  {
    return jdoGetm_presenceDonneesConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPresenceDonneesConstitutionCaractereSaisonnier(boolean p_presenceDonneesConstitutionCaractereSaisonnier)
  {
    jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(this, p_presenceDonneesConstitutionCaractereSaisonnier);
  }
  
  public boolean isPresenceDonneesConstitutionCoefficientSaisonnier()
  {
    return jdoGetm_presenceDonneesConstitutionCoefficientSaisonnier(this);
  }
  
  public final void setPresenceDonneesConstitutionCoefficientSaisonnier(boolean p_presenceDonneesConstitutionCoefficientSaisonnier)
  {
    jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(this, p_presenceDonneesConstitutionCoefficientSaisonnier);
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBruts()
  {
    return jdoGetm_presenceDonneesConstitutionMontantsBruts(this);
  }
  
  public final void setPresenceDonneesConstitutionMontantsBruts(boolean p_presenceDonneesConstitutionMontantsBruts)
  {
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, p_presenceDonneesConstitutionMontantsBruts);
  }
  
  public boolean isPresenceDonneesConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setPresenceDonneesConstitutionCoefficientTempsPartiel(boolean p_presenceDonneesConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, p_presenceDonneesConstitutionCoefficientTempsPartiel);
  }
  
  public boolean isPresenceDonneesConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPresenceDonneesConstitutionPointDepartIndemnisation(boolean p_presenceDonneesConstitutionPointDepartIndemnisation)
  {
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, p_presenceDonneesConstitutionPointDepartIndemnisation);
  }
  
  public boolean isPresenceDonneesConstitutionDateLimIndemn()
  {
    return jdoGetm_presenceDonneesConstitutionDateLimIndemn(this);
  }
  
  public final void setPresenceDonneesConstitutionDateLimIndemn(boolean p_presenceDonneesConstitutionDateLimIndemn)
  {
    jdoSetm_presenceDonneesConstitutionDateLimIndemn(this, p_presenceDonneesConstitutionDateLimIndemn);
  }
  
  public Quantite getMontantJournalierBrutConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierBrutConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierBrutConstitutionMontantsBruts(Quantite p_montantJournalierBrutConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierBrutConstitutionMontantsBruts(this, p_montantJournalierBrutConstitutionMontantsBruts);
  }
  
  public Quantite getCapitalInitialBrutConstitutionMontantsBruts()
  {
    return jdoGetm_capitalInitialBrutConstitutionMontantsBruts(this);
  }
  
  public final void setCapitalInitialBrutConstitutionMontantsBruts(Quantite p_capitalInitialBrutConstitutionMontantsBruts)
  {
    jdoSetm_capitalInitialBrutConstitutionMontantsBruts(this, p_capitalInitialBrutConstitutionMontantsBruts);
  }
  
  public Quantite getMontantMiniConstitutionMontantsBruts()
  {
    return jdoGetm_montantMiniConstitutionMontantsBruts(this);
  }
  
  public final void setMontantMiniConstitutionMontantsBruts(Quantite p_montantMiniConstitutionMontantsBruts)
  {
    jdoSetm_montantMiniConstitutionMontantsBruts(this, p_montantMiniConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlancherConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlancherConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlancherConstitutionMontantsBruts(Quantite p_montantPlancherConstitutionMontantsBruts)
  {
    jdoSetm_montantPlancherConstitutionMontantsBruts(this, p_montantPlancherConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlafondConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlafondConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlafondConstitutionMontantsBruts(Quantite p_montantPlafondConstitutionMontantsBruts)
  {
    jdoSetm_montantPlafondConstitutionMontantsBruts(this, p_montantPlafondConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBaseConstitutionMontantsBruts()
  {
    return jdoGetm_montantBaseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBaseConstitutionMontantsBruts(Quantite p_montantBaseConstitutionMontantsBruts)
  {
    jdoSetm_montantBaseConstitutionMontantsBruts(this, p_montantBaseConstitutionMontantsBruts);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts()
  {
    return jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this);
  }
  
  public final void setPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(Quantite p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts)
  {
    jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this, p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts()
  {
    return jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(Quantite p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts)
  {
    jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this, p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
  }
  
  public Quantite getCrcConstitutionMontantsBruts()
  {
    return jdoGetm_crcConstitutionMontantsBruts(this);
  }
  
  public final void setCrcConstitutionMontantsBruts(Quantite p_crcConstitutionMontantsBruts)
  {
    jdoSetm_crcConstitutionMontantsBruts(this, p_crcConstitutionMontantsBruts);
  }
  
  public Sjr getSjrrpConstitutionSjr()
  {
    return jdoGetm_sjrrpConstitutionSjr(this);
  }
  
  public final void setSjrrpConstitutionSjr(Sjr p_sjrrpConstitutionSjr)
  {
    jdoSetm_sjrrpConstitutionSjr(this, p_sjrrpConstitutionSjr);
  }
  
  public int getCodeEmploiA2b()
  {
    return jdoGetm_codeEmploiA2b(this);
  }
  
  public final void setCodeEmploiA2b(int p_codeEmploiA2b)
  {
    jdoSetm_codeEmploiA2b(this, p_codeEmploiA2b);
  }
  
  public Periode getPeriodeReference91joursConstitutionDelais()
  {
    return jdoGetm_periodeReference91joursConstitutionDelais(this);
  }
  
  public final void setPeriodeReference91joursConstitutionDelais(Periode p_periodeReference91joursConstitutionDelais)
  {
    jdoSetm_periodeReference91joursConstitutionDelais(this, p_periodeReference91joursConstitutionDelais);
  }
  
  public int getTypePmcConstitutionDelais()
  {
    return jdoGetm_typePmcConstitutionDelais(this);
  }
  
  public final void setTypePmcConstitutionDelais(int p_typePmcConstitutionDelais)
  {
    jdoSetm_typePmcConstitutionDelais(this, p_typePmcConstitutionDelais);
  }
  
  public int getNbJoursPMCConstitutionDelais()
  {
    return jdoGetm_nbJoursPMCConstitutionDelais(this);
  }
  
  public final void setNbJoursPMCConstitutionDelais(int p_nbJoursPMCConstitutionDelais)
  {
    jdoSetm_nbJoursPMCConstitutionDelais(this, p_nbJoursPMCConstitutionDelais);
  }
  
  public Damj getDebutPMCConstitutionDelais()
  {
    return jdoGetm_debutPMCConstitutionDelais(this);
  }
  
  public final void setDebutPMCConstitutionDelais(Damj p_debutPMCConstitutionDelais)
  {
    jdoSetm_debutPMCConstitutionDelais(this, p_debutPMCConstitutionDelais);
  }
  
  public Damj getTermePMCConstitutionDelais()
  {
    return jdoGetm_termePMCConstitutionDelais(this);
  }
  
  public final void setTermePMCConstitutionDelais(Damj p_termePMCConstitutionDelais)
  {
    jdoSetm_termePMCConstitutionDelais(this, p_termePMCConstitutionDelais);
  }
  
  public int getNbJoursCarenceICCPConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceICCPConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceICCPConstitutionDelais(int p_nbJoursCarenceICCPConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceICCPConstitutionDelais(this, p_nbJoursCarenceICCPConstitutionDelais);
  }
  
  public Damj getDebutCarenceICCPConstitutionDelais()
  {
    return jdoGetm_debutCarenceICCPConstitutionDelais(this);
  }
  
  public final void setDebutCarenceICCPConstitutionDelais(Damj p_debutCarenceICCPConstitutionDelais)
  {
    jdoSetm_debutCarenceICCPConstitutionDelais(this, p_debutCarenceICCPConstitutionDelais);
  }
  
  public Damj getTermeCarenceICCPConstitutionDelais()
  {
    return jdoGetm_termeCarenceICCPConstitutionDelais(this);
  }
  
  public final void setTermeCarenceICCPConstitutionDelais(Damj p_termeCarenceICCPConstitutionDelais)
  {
    jdoSetm_termeCarenceICCPConstitutionDelais(this, p_termeCarenceICCPConstitutionDelais);
  }
  
  public int getNbJoursCarenceISLRConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceISLRConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceISLRConstitutionDelais(int p_nbJoursCarenceISLRConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceISLRConstitutionDelais(this, p_nbJoursCarenceISLRConstitutionDelais);
  }
  
  public Damj getDebutCarenceISLRConstitutionDelais()
  {
    return jdoGetm_debutCarenceISLRConstitutionDelais(this);
  }
  
  public final void setDebutCarenceISLRConstitutionDelais(Damj p_debutCarenceISLRConstitutionDelais)
  {
    jdoSetm_debutCarenceISLRConstitutionDelais(this, p_debutCarenceISLRConstitutionDelais);
  }
  
  public Damj getTermeCarenceISLRConstitutionDelais()
  {
    return jdoGetm_termeCarenceISLRConstitutionDelais(this);
  }
  
  public final void setTermeCarenceISLRConstitutionDelais(Damj p_termeCarenceISLRConstitutionDelais)
  {
    jdoSetm_termeCarenceISLRConstitutionDelais(this, p_termeCarenceISLRConstitutionDelais);
  }
  
  public int getNbJoursCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceDiffereConstitutionDelais(int p_nbJoursCarenceDiffereConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceDiffereConstitutionDelais(this, p_nbJoursCarenceDiffereConstitutionDelais);
  }
  
  public Damj getDebutCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_debutCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setDebutCarenceDiffereConstitutionDelais(Damj p_debutCarenceDiffereConstitutionDelais)
  {
    jdoSetm_debutCarenceDiffereConstitutionDelais(this, p_debutCarenceDiffereConstitutionDelais);
  }
  
  public Damj getTermeCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_termeCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setTermeCarenceDiffereConstitutionDelais(Damj p_termeCarenceDiffereConstitutionDelais)
  {
    jdoSetm_termeCarenceDiffereConstitutionDelais(this, p_termeCarenceDiffereConstitutionDelais);
  }
  
  public Sjc getSjcrpConstitutionSjc()
  {
    return jdoGetm_sjcrpConstitutionSjc(this);
  }
  
  public final void setSjcrpConstitutionSjc(Sjc p_sjcrpConstitutionSjc)
  {
    jdoSetm_sjcrpConstitutionSjc(this, p_sjcrpConstitutionSjc);
  }
  
  public String getNomReglementConstitutionReglementApplicable()
  {
    return jdoGetm_nomReglementConstitutionReglementApplicable(this);
  }
  
  public final void setNomReglementConstitutionReglementApplicable(String p_nomReglementConstitutionReglementApplicable)
  {
    jdoSetm_nomReglementConstitutionReglementApplicable(this, p_nomReglementConstitutionReglementApplicable);
  }
  
  public int getCodeProduitConstitutionReglementApplicable()
  {
    return jdoGetm_codeProduitConstitutionReglementApplicable(this);
  }
  
  public final void setCodeProduitConstitutionReglementApplicable(int p_codeProduitConstitutionReglementApplicable)
  {
    jdoSetm_codeProduitConstitutionReglementApplicable(this, p_codeProduitConstitutionReglementApplicable);
  }
  
  public Damj getDateAttributionConstitutionDateAttribution()
  {
    return jdoGetm_dateAttributionConstitutionDateAttribution(this);
  }
  
  public final void setDateAttributionConstitutionDateAttribution(Damj p_dateAttributionConstitutionDateAttribution)
  {
    jdoSetm_dateAttributionConstitutionDateAttribution(this, p_dateAttributionConstitutionDateAttribution);
  }
  
  public Damj getPjiConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_pjiConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPjiConstitutionPointDepartIndemnisation(Damj p_pjiConstitutionPointDepartIndemnisation)
  {
    jdoSetm_pjiConstitutionPointDepartIndemnisation(this, p_pjiConstitutionPointDepartIndemnisation);
  }
  
  public boolean isCaractereSaisonnierRetenuConstitutionCaractereSaisonnier()
  {
    return jdoGetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this);
  }
  
  public final void setCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(boolean p_caractereSaisonnierRetenuConstitutionCaractereSaisonnier)
  {
    jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, p_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
  }
  
  public int getTypeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier()
  {
    return jdoGetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(this);
  }
  
  public final void setTypeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(int p_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier)
  {
    jdoSetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, p_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
  }
  
  public Periode getPeriodeReferenceSaisonnierConstitutionCaractereSaisonnier()
  {
    return jdoGetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPeriodeReferenceSaisonnierConstitutionCaractereSaisonnier(Periode p_periodeReferenceSaisonnierConstitutionCaractereSaisonnier)
  {
    jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this, p_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public Periode getPeriodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier()
  {
    return jdoGetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPeriodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(Periode p_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier)
  {
    jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this, p_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
  }
  
  public boolean isActivite3Sur5ConstitutionCaractereSaisonnier()
  {
    return jdoGetm_activite3Sur5ConstitutionCaractereSaisonnier(this);
  }
  
  public final void setActivite3Sur5ConstitutionCaractereSaisonnier(boolean p_activite3Sur5ConstitutionCaractereSaisonnier)
  {
    jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(this, p_activite3Sur5ConstitutionCaractereSaisonnier);
  }
  
  public BigDecimal getCoefficientSaisonnierRetenuConstitutionCoefficientSaissonier()
  {
    return jdoGetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(this);
  }
  
  public final void setCoefficientSaisonnierRetenuConstitutionCoefficientSaissonier(BigDecimal p_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier)
  {
    jdoSetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(this, p_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
  }
  
  public Quantite getJourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier()
  {
    return jdoGetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(this);
  }
  
  public final void setJourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(Quantite p_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier)
  {
    jdoSetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(this, p_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
  }
  
  public BigDecimal getCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this, p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
  }
  
  public Quantite getDureeTheoriqueConstitutionDurees()
  {
    return jdoGetm_dureeTheoriqueConstitutionDurees(this);
  }
  
  public final void setDureeTheoriqueConstitutionDurees(Quantite p_dureeTheoriqueConstitutionDurees)
  {
    jdoSetm_dureeTheoriqueConstitutionDurees(this, p_dureeTheoriqueConstitutionDurees);
  }
  
  public Quantite getDureeImputationConstitutionDurees()
  {
    return jdoGetm_dureeImputationConstitutionDurees(this);
  }
  
  public final void setDureeImputationConstitutionDurees(Quantite p_dureeImputationConstitutionDurees)
  {
    jdoSetm_dureeImputationConstitutionDurees(this, p_dureeImputationConstitutionDurees);
  }
  
  public Quantite getDureeEffectiveConstitutionDurees()
  {
    return jdoGetm_dureeEffectiveConstitutionDurees(this);
  }
  
  public final void setDureeEffectiveConstitutionDurees(Quantite p_dureeEffectiveConstitutionDurees)
  {
    jdoSetm_dureeEffectiveConstitutionDurees(this, p_dureeEffectiveConstitutionDurees);
  }
  
  public BigDecimal getSalaireReferenceNonPlafonneConstitutionSjr()
  {
    return jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(this);
  }
  
  public final void setSalaireReferenceNonPlafonneConstitutionSjr(BigDecimal p_salaireReferenceNonPlafonneConstitutionSjr)
  {
    jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(this, p_salaireReferenceNonPlafonneConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesExceptionnellesRetenuesConstitutionSjr(BigDecimal p_totalPrimesExceptionnellesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this, p_totalPrimesExceptionnellesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesNormalesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesNormalesRetenuesConstitutionSjr(BigDecimal p_totalPrimesNormalesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(this, p_totalPrimesNormalesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalSalairesRetenusConstitutionSjr()
  {
    return jdoGetm_totalSalairesRetenusConstitutionSjr(this);
  }
  
  public final void setTotalSalairesRetenusConstitutionSjr(BigDecimal p_totalSalairesRetenusConstitutionSjr)
  {
    jdoSetm_totalSalairesRetenusConstitutionSjr(this, p_totalSalairesRetenusConstitutionSjr);
  }
  
  public DomPCSpec getPrcConstitutionSjr()
  {
    return jdoGetm_prcConstitutionSjr(this);
  }
  
  public final void setPrcConstitutionSjr(DomPCSpec p_prcConstitutionSjr)
  {
    jdoSetm_prcConstitutionSjr(this, (PrcPC)p_prcConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondSjrConstitutionSjr()
  {
    return jdoGetm_plafondSjrConstitutionSjr(this);
  }
  
  public final void setPlafondSjrConstitutionSjr(QuantiteEuro p_plafondSjrConstitutionSjr)
  {
    jdoSetm_plafondSjrConstitutionSjr(this, p_plafondSjrConstitutionSjr);
  }
  
  public QuantiteEuro getSjrInitialConstitutionSjr()
  {
    return jdoGetm_sjrInitialConstitutionSjr(this);
  }
  
  public final void setSjrInitialConstitutionSjr(QuantiteEuro p_sjrInitialConstitutionSjr)
  {
    jdoSetm_sjrInitialConstitutionSjr(this, p_sjrInitialConstitutionSjr);
  }
  
  public Damj getDateEvenementConstitutionSjr()
  {
    return jdoGetm_dateEvenementConstitutionSjr(this);
  }
  
  public final void setDateEvenementConstitutionSjr(Damj p_dateEvenementConstitutionSjr)
  {
    jdoSetm_dateEvenementConstitutionSjr(this, p_dateEvenementConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondConstitutionSjc()
  {
    return jdoGetm_plafondConstitutionSjc(this);
  }
  
  public final void setPlafondConstitutionSjc(QuantiteEuro p_plafondConstitutionSjc)
  {
    jdoSetm_plafondConstitutionSjc(this, p_plafondConstitutionSjc);
  }
  
  public QuantiteEuro getSjcInitialConstitutionSjc()
  {
    return jdoGetm_sjcInitialConstitutionSjc(this);
  }
  
  public final void setSjcInitialConstitutionSjc(QuantiteEuro p_sjcInitialConstitutionSjc)
  {
    jdoSetm_sjcInitialConstitutionSjc(this, p_sjcInitialConstitutionSjc);
  }
  
  public Damj getDateEvenementConstitutionSjc()
  {
    return jdoGetm_dateEvenementConstitutionSjc(this);
  }
  
  public final void setDateEvenementConstitutionSjc(Damj p_dateEvenementConstitutionSjc)
  {
    jdoSetm_dateEvenementConstitutionSjc(this, p_dateEvenementConstitutionSjc);
  }
  
  public Sjr getSjnprConstitutionSjr()
  {
    return jdoGetm_sjnprConstitutionSjr(this);
  }
  
  public final void setSjnprConstitutionSjr(Sjr p_sjnprConstitutionSjr)
  {
    jdoSetm_sjnprConstitutionSjr(this, p_sjnprConstitutionSjr);
  }
  
  public boolean isAutresIndemnitesLegalesConstitutionDelais()
  {
    return jdoGetm_autresIndemnitesLegalesConstitutionDelais(this);
  }
  
  public final void setAutresIndemnitesLegalesConstitutionDelais(boolean p_autresIndemnitesLegalesConstitutionDelais)
  {
    jdoSetm_autresIndemnitesLegalesConstitutionDelais(this, p_autresIndemnitesLegalesConstitutionDelais);
  }
  
  public boolean isPresenceTransactionConstitutionDelais()
  {
    return jdoGetm_presenceTransactionConstitutionDelais(this);
  }
  
  public final void setPresenceTransactionConstitutionDelais(boolean p_presenceTransactionConstitutionDelais)
  {
    jdoSetm_presenceTransactionConstitutionDelais(this, p_presenceTransactionConstitutionDelais);
  }
  
  public Quantite getQuantiteJourImputationForceConstitutionDurees()
  {
    return jdoGetm_quantiteJourImputationForceConstitutionDurees(this);
  }
  
  public final void setQuantiteJourImputationForceConstitutionDurees(Quantite p_quantiteJourImputationForceConstitutionDurees)
  {
    jdoSetm_quantiteJourImputationForceConstitutionDurees(this, p_quantiteJourImputationForceConstitutionDurees);
  }
  
  public Quantite getQuantiteTotalJourImputationConstitutionDurees()
  {
    return jdoGetm_quantiteTotalJourImputationConstitutionDurees(this);
  }
  
  public final void setQuantiteTotalJourImputationConstitutionDurees(Quantite p_quantiteTotalJourImputationConstitutionDurees)
  {
    jdoSetm_quantiteTotalJourImputationConstitutionDurees(this, p_quantiteTotalJourImputationConstitutionDurees);
  }
  
  public boolean isEstAccordPlusDe182jCsrConstitutionDurees()
  {
    return jdoGetm_estAccordPlusDe182jCsrConstitutionDurees(this);
  }
  
  public final void setEstAccordPlusDe182jCsrConstitutionDurees(boolean p_estAccordPlusDe182jCsrConstitutionDurees)
  {
    jdoSetm_estAccordPlusDe182jCsrConstitutionDurees(this, p_estAccordPlusDe182jCsrConstitutionDurees);
  }
  
  public Damj getDateMaxiIndemnisationCsrConstitutionDurees()
  {
    return jdoGetm_dateMaxiIndemnisationCsrConstitutionDurees(this);
  }
  
  public final void setDateMaxiIndemnisationCsrConstitutionDurees(Damj p_dateMaxiIndemnisationCsrConstitutionDurees)
  {
    jdoSetm_dateMaxiIndemnisationCsrConstitutionDurees(this, p_dateMaxiIndemnisationCsrConstitutionDurees);
  }
  
  public Damj getDebutCarencePreavisLegalConstitutionDelais()
  {
    return jdoGetm_debutCarencePreavisLegalConstitutionDelais(this);
  }
  
  public final void setDebutCarencePreavisLegalConstitutionDelais(Damj p_debutCarencePreavisLegalConstitutionDelais)
  {
    jdoSetm_debutCarencePreavisLegalConstitutionDelais(this, p_debutCarencePreavisLegalConstitutionDelais);
  }
  
  public Damj getTermeCarencePreavisLegalConstitutionDelais()
  {
    return jdoGetm_termeCarencePreavisLegalConstitutionDelais(this);
  }
  
  public final void setTermeCarencePreavisLegalConstitutionDelais(Damj p_termeCarencePreavisLegalConstitutionDelais)
  {
    jdoSetm_termeCarencePreavisLegalConstitutionDelais(this, p_termeCarencePreavisLegalConstitutionDelais);
  }
  
  public int getNbJoursCarencePreavisLegalConstitutionDelais()
  {
    return jdoGetm_nbJoursCarencePreavisLegalConstitutionDelais(this);
  }
  
  public final void setNbJoursCarencePreavisLegalConstitutionDelais(int p_nbJoursCarencePreavisLegalConstitutionDelais)
  {
    jdoSetm_nbJoursCarencePreavisLegalConstitutionDelais(this, p_nbJoursCarencePreavisLegalConstitutionDelais);
  }
  
  public Quantite getMontantDroitAssocieConstitutionMontantsBruts()
  {
    return jdoGetm_montantDroitAssocieConstitutionMontantsBruts(this);
  }
  
  public final void setMontantDroitAssocieConstitutionMontantsBruts(Quantite p_montantDroitAssocieConstitutionMontantsBruts)
  {
    jdoSetm_montantDroitAssocieConstitutionMontantsBruts(this, p_montantDroitAssocieConstitutionMontantsBruts);
  }
  
  public String getTypeMontantRetenuConstitutionMontantsBruts()
  {
    return jdoGetm_typeMontantRetenuConstitutionMontantsBruts(this);
  }
  
  public final void setTypeMontantRetenuConstitutionMontantsBruts(String p_typeMontantRetenuConstitutionMontantsBruts)
  {
    jdoSetm_typeMontantRetenuConstitutionMontantsBruts(this, p_typeMontantRetenuConstitutionMontantsBruts);
  }
  
  public String getContexteParticulierSjr()
  {
    return jdoGetm_contexteParticulierSjr(this);
  }
  
  public final void setContexteParticulierSjr(String p_contexteParticulierSjr)
  {
    jdoSetm_contexteParticulierSjr(this, p_contexteParticulierSjr);
  }
  
  public String getContexteParticulierSjc()
  {
    return jdoGetm_contexteParticulierSjc(this);
  }
  
  public final void setContexteParticulierSjc(String p_contexteParticulierSjc)
  {
    jdoSetm_contexteParticulierSjc(this, p_contexteParticulierSjc);
  }
  
  public Damj getDateLimiteIndem()
  {
    return jdoGetm_dateLimiteIndem(this);
  }
  
  public final void setDateLimiteIndem(Damj p_dateLimiteIndem)
  {
    jdoSetm_dateLimiteIndem(this, p_dateLimiteIndem);
  }
  
  public Damj getDateDebutIndem()
  {
    return jdoGetm_dateDebutIndem(this);
  }
  
  public final void setDateDebutIndem(Damj p_dateDebutIndem)
  {
    jdoSetm_dateDebutIndem(this, p_dateDebutIndem);
  }
  
  public String getContexteDateLimiteIndemnisation()
  {
    return jdoGetm_contexteDateLimiteIndemnisation(this);
  }
  
  public final void setContexteDateLimiteIndemnisation(String p_contexteDateLimiteIndemnisation)
  {
    jdoSetm_contexteDateLimiteIndemnisation(this, p_contexteDateLimiteIndemnisation);
  }
  
  public boolean isEstDureeTheoriquePlafonneeConstitutionDurees()
  {
    return jdoGetm_estDureeTheoriquePlafonneeConstitutionDurees(this);
  }
  
  public final void setEstDureeTheoriquePlafonneeConstitutionDurees(boolean p_estDureeTheoriquePlafonneeConstitutionDurees)
  {
    jdoSetm_estDureeTheoriquePlafonneeConstitutionDurees(this, p_estDureeTheoriquePlafonneeConstitutionDurees);
  }
  
  public BigDecimal getSommeMontantRevisionConstitutionSjr()
  {
    return jdoGetm_sommeMontantRevisionConstitutionSjr(this);
  }
  
  public final void setSommeMontantRevisionConstitutionSjr(BigDecimal p_sommeMontantRevisionConstitutionSjr)
  {
    jdoSetm_sommeMontantRevisionConstitutionSjr(this, p_sommeMontantRevisionConstitutionSjr);
  }
  
  public Quantite getDureePostPrimeCspConstitutionDurees()
  {
    return jdoGetm_dureePostPrimeCspConstitutionDurees(this);
  }
  
  public final void setDureePostPrimeCspConstitutionDurees(Quantite p_dureePostPrimeCspConstitutionDurees)
  {
    jdoSetm_dureePostPrimeCspConstitutionDurees(this, p_dureePostPrimeCspConstitutionDurees);
  }
  
  public BigDecimal getSjrMontantMaxAspConstitutionMontantsBruts()
  {
    return jdoGetm_sjrMontantMaxAspConstitutionMontantsBruts(this);
  }
  
  public final void setSjrMontantMaxAspConstitutionMontantsBruts(BigDecimal p_sjrMontantMaxAspConstitutionMontantsBruts)
  {
    jdoSetm_sjrMontantMaxAspConstitutionMontantsBruts(this, p_sjrMontantMaxAspConstitutionMontantsBruts);
  }
  
  public Integer getDureeImputationPostPrime()
  {
    return jdoGetm_dureeImputationPostPrime(this);
  }
  
  public final void setDureeImputationPostPrime(Integer p_dureeImputationPostPrime)
  {
    jdoSetm_dureeImputationPostPrime(this, p_dureeImputationPostPrime);
  }
  
  public boolean isEligibleAllongementAREFConstitutionDurees()
  {
    return jdoGetm_eligibleAllongementAREFConstitutionDurees(this);
  }
  
  public final void setEligibleAllongementAREFConstitutionDurees(boolean p_eligibleAllongementAREFConstitutionDurees)
  {
    jdoSetm_eligibleAllongementAREFConstitutionDurees(this, p_eligibleAllongementAREFConstitutionDurees);
  }
  
  public int getDureeAllongementAREFConstitutionDurees()
  {
    return jdoGetm_dureeAllongementAREFConstitutionDurees(this);
  }
  
  public final void setDureeAllongementAREFConstitutionDurees(int p_dureeAllongementAREFConstitutionDurees)
  {
    jdoSetm_dureeAllongementAREFConstitutionDurees(this, p_dureeAllongementAREFConstitutionDurees);
  }
  
  public boolean isDroitInterimaireConstitutionReglementApplicable()
  {
    return jdoGetm_droitInterimaireConstitutionReglementApplicable(this);
  }
  
  public final void setDroitInterimaireConstitutionReglementApplicable(boolean p_droitInterimaireConstitutionReglementApplicable)
  {
    jdoSetm_droitInterimaireConstitutionReglementApplicable(this, p_droitInterimaireConstitutionReglementApplicable);
  }
  
  public BigDecimal getSjrTheoriqueConstitutionSjr()
  {
    return jdoGetm_sjrTheoriqueConstitutionSjr(this);
  }
  
  public final void setSjrTheoriqueConstitutionSjr(BigDecimal p_sjrTheoriqueConstitutionSjr)
  {
    jdoSetm_sjrTheoriqueConstitutionSjr(this, p_sjrTheoriqueConstitutionSjr);
  }
  
  public BigDecimal getCoeffReducteurSjrConstitutionSjr()
  {
    return jdoGetm_coeffReducteurSjrConstitutionSjr(this);
  }
  
  public final void setCoeffReducteurSjrConstitutionSjr(BigDecimal p_coeffReducteurSjrConstitutionSjr)
  {
    jdoSetm_coeffReducteurSjrConstitutionSjr(this, p_coeffReducteurSjrConstitutionSjr);
  }
  
  public BigDecimal getPlancherCoefficientSjrConstitutionSjr()
  {
    return jdoGetm_plancherCoefficientSjrConstitutionSjr(this);
  }
  
  public final void setPlancherCoefficientSjrConstitutionSjr(BigDecimal p_plancherCoefficientSjrConstitutionSjr)
  {
    jdoSetm_plancherCoefficientSjrConstitutionSjr(this, p_plancherCoefficientSjrConstitutionSjr);
  }
  
  public int getDureeCalculeeConstitutionDurees()
  {
    return jdoGetm_dureeCalculeeConstitutionDurees(this);
  }
  
  public final void setDureeCalculeeConstitutionDurees(int p_dureeCalculeeConstitutionDurees)
  {
    jdoSetm_dureeCalculeeConstitutionDurees(this, p_dureeCalculeeConstitutionDurees);
  }
  
  public int getDureeMinimaleConstitutionDurees()
  {
    return jdoGetm_dureeMinimaleConstitutionDurees(this);
  }
  
  public final void setDureeMinimaleConstitutionDurees(int p_dureeMinimaleConstitutionDurees)
  {
    jdoSetm_dureeMinimaleConstitutionDurees(this, p_dureeMinimaleConstitutionDurees);
  }
  
  public int getDureeMaximaleConstitutionDurees()
  {
    return jdoGetm_dureeMaximaleConstitutionDurees(this);
  }
  
  public final void setDureeMaximaleConstitutionDurees(int p_dureeMaximaleConstitutionDurees)
  {
    jdoSetm_dureeMaximaleConstitutionDurees(this, p_dureeMaximaleConstitutionDurees);
  }
  
  public final Collection getCollectionPeriodeChomageSaisonnier()
  {
    if (jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this) == null) {
      jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this, new ArrayList());
    }
    return jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this);
  }
  
  public final void ajouterPeriodeChomageSaisonnier(DomPCSpec p_periodesChomageSaisonnierConstitutionCaractereSaisonnier)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierConstitutionCaractereSaisonnier == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierConstitutionCaractereSaisonnier ne devrait pas être nul.", p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    getCollectionPeriodeChomageSaisonnier().add(p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public final void supprimerPeriodeChomageSaisonnier(DomPCSpec p_periodesChomageSaisonnierConstitutionCaractereSaisonnier)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierConstitutionCaractereSaisonnier == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierConstitutionCaractereSaisonnier ne devrait pas être nul.", p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    getCollectionPeriodeChomageSaisonnier().remove(p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public final Collection getCollectionSjrActiviteConservee()
  {
    if (jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this) == null) {
      jdoSetm_listeSjrActiviteConserveeConstitutionSjc(this, new ArrayList());
    }
    return jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this);
  }
  
  public final void ajouterSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().add(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  public final void supprimerSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().remove(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  public final Collection getCollectionCarences()
  {
    if (jdoGetm_carences(this) == null) {
      jdoSetm_carences(this, new ArrayList());
    }
    return jdoGetm_carences(this);
  }
  
  public final void ajouterCarences(DomPCSpec p_carences)
    throws NullPointerException
  {
    if (p_carences == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_carences ne devrait pas être nul.", p_carences);
    }
    getCollectionCarences().add(p_carences);
  }
  
  public final void supprimerCarences(DomPCSpec p_carences)
    throws NullPointerException
  {
    if (p_carences == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_carences ne devrait pas être nul.", p_carences);
    }
    getCollectionCarences().remove(p_carences);
  }
  
  public final Collection getCollectionMontantBrutPensionInvalidite()
  {
    if (jdoGetm_listePensionInvaliditeMontantBrut(this) == null) {
      jdoSetm_listePensionInvaliditeMontantBrut(this, new ArrayList());
    }
    return jdoGetm_listePensionInvaliditeMontantBrut(this);
  }
  
  public final void ajouterMontantBrutPensionInvalidite(DomPCSpec p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionMontantBrutPensionInvalidite().add(p_pensionInvaliditeMontantBrut);
  }
  
  public final void supprimerMontantBrutPensionInvalidite(DomPCSpec p_pensionInvaliditeMontantBrut)
    throws NullPointerException
  {
    if (p_pensionInvaliditeMontantBrut == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeMontantBrut ne devrait pas être nul.", p_pensionInvaliditeMontantBrut);
    }
    getCollectionMontantBrutPensionInvalidite().remove(p_pensionInvaliditeMontantBrut);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionElementsReprisePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionElementsReprisePC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConstitutionDateAttribution;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDateAttribution);
    }
    return m_presenceDonneesConstitutionDateAttribution;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConstitutionDelais;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionDelais);
    }
    return m_presenceDonneesConstitutionDelais;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConstitutionReglementApplicable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionReglementApplicable);
    }
    return m_presenceDonneesConstitutionReglementApplicable;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConstitutionSjc;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionSjc);
    }
    return m_presenceDonneesConstitutionSjc;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConstitutionSjr;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjr);
    }
    return m_presenceDonneesConstitutionSjr;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionDurees);
    }
    return m_presenceDonneesConstitutionDurees;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionCaractereSaisonnier);
    }
    return m_presenceDonneesConstitutionCaractereSaisonnier;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCoefficientSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCoefficientSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_presenceDonneesConstitutionCoefficientSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionCoefficientSaisonnier);
    }
    return m_presenceDonneesConstitutionCoefficientSaisonnier;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_presenceDonneesConstitutionMontantsBruts;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConstitutionMontantsBruts);
    }
    return m_presenceDonneesConstitutionMontantsBruts;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_presenceDonneesConstitutionCoefficientTempsPartiel;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConstitutionCoefficientTempsPartiel);
    }
    return m_presenceDonneesConstitutionCoefficientTempsPartiel;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_presenceDonneesConstitutionPointDepartIndemnisation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConstitutionPointDepartIndemnisation);
    }
    return m_presenceDonneesConstitutionPointDepartIndemnisation;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDateLimIndemn(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateLimIndemn;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_presenceDonneesConstitutionDateLimIndemn;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConstitutionDateLimIndemn);
    }
    return m_presenceDonneesConstitutionDateLimIndemn;
  }
  
  protected static final Quantite jdoGetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_montantJournalierBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 12, m_montantJournalierBrutConstitutionMontantsBruts);
    }
    return m_montantJournalierBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_capitalInitialBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_capitalInitialBrutConstitutionMontantsBruts);
    }
    return m_capitalInitialBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMiniConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_montantMiniConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 14, m_montantMiniConstitutionMontantsBruts);
    }
    return m_montantMiniConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlancherConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_montantPlancherConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_montantPlancherConstitutionMontantsBruts);
    }
    return m_montantPlancherConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_montantPlafondConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_montantPlafondConstitutionMontantsBruts);
    }
    return m_montantPlafondConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBaseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_montantBaseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_montantBaseConstitutionMontantsBruts);
    }
    return m_montantBaseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 18, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
    }
    return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
    }
    return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_crcConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_crcConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_crcConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 22, m_crcConstitutionMontantsBruts);
    }
    return m_crcConstitutionMontantsBruts;
  }
  
  protected static final Sjr jdoGetm_sjrrpConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrrpConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_sjrrpConstitutionSjr;
      }
      return (Sjr)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_sjrrpConstitutionSjr);
    }
    return m_sjrrpConstitutionSjr;
  }
  
  protected static final int jdoGetm_codeEmploiA2b(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeEmploiA2b;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_codeEmploiA2b;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 24, m_codeEmploiA2b);
    }
    return m_codeEmploiA2b;
  }
  
  protected static final Periode jdoGetm_periodeReference91joursConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeReference91joursConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_periodeReference91joursConstitutionDelais;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_periodeReference91joursConstitutionDelais);
    }
    return m_periodeReference91joursConstitutionDelais;
  }
  
  protected static final int jdoGetm_typePmcConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typePmcConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_typePmcConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 26, m_typePmcConstitutionDelais);
    }
    return m_typePmcConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursPMCConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_nbJoursPMCConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 27, m_nbJoursPMCConstitutionDelais);
    }
    return m_nbJoursPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutPMCConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_debutPMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 28, m_debutPMCConstitutionDelais);
    }
    return m_debutPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termePMCConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_termePMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 29, m_termePMCConstitutionDelais);
    }
    return m_termePMCConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_nbJoursCarenceICCPConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 30, m_nbJoursCarenceICCPConstitutionDelais);
    }
    return m_nbJoursCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_debutCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 31, m_debutCarenceICCPConstitutionDelais);
    }
    return m_debutCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_termeCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 32, m_termeCarenceICCPConstitutionDelais);
    }
    return m_termeCarenceICCPConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_nbJoursCarenceISLRConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 33, m_nbJoursCarenceISLRConstitutionDelais);
    }
    return m_nbJoursCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_debutCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_debutCarenceISLRConstitutionDelais);
    }
    return m_debutCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_termeCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 35, m_termeCarenceISLRConstitutionDelais);
    }
    return m_termeCarenceISLRConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_nbJoursCarenceDiffereConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 36, m_nbJoursCarenceDiffereConstitutionDelais);
    }
    return m_nbJoursCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_debutCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 37, m_debutCarenceDiffereConstitutionDelais);
    }
    return m_debutCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_termeCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 38, m_termeCarenceDiffereConstitutionDelais);
    }
    return m_termeCarenceDiffereConstitutionDelais;
  }
  
  protected static final Sjc jdoGetm_sjcrpConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcrpConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_sjcrpConstitutionSjc;
      }
      return (Sjc)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_sjcrpConstitutionSjc);
    }
    return m_sjcrpConstitutionSjc;
  }
  
  protected static final String jdoGetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nomReglementConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_nomReglementConstitutionReglementApplicable;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 40, m_nomReglementConstitutionReglementApplicable);
    }
    return m_nomReglementConstitutionReglementApplicable;
  }
  
  protected static final int jdoGetm_codeProduitConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduitConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_codeProduitConstitutionReglementApplicable;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 41, m_codeProduitConstitutionReglementApplicable);
    }
    return m_codeProduitConstitutionReglementApplicable;
  }
  
  protected static final Damj jdoGetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_dateAttributionConstitutionDateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 42, m_dateAttributionConstitutionDateAttribution);
    }
    return m_dateAttributionConstitutionDateAttribution;
  }
  
  protected static final Damj jdoGetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_pjiConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_pjiConstitutionPointDepartIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_pjiConstitutionPointDepartIndemnisation);
    }
    return m_pjiConstitutionPointDepartIndemnisation;
  }
  
  protected static final boolean jdoGetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 44, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
    }
    return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  }
  
  protected static final int jdoGetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 45, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
    }
    return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  }
  
  protected static final Periode jdoGetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 46, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
    }
    return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
  }
  
  protected static final Periode jdoGetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 47, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
    }
    return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
  }
  
  protected static final boolean jdoGetm_activite3Sur5ConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_activite3Sur5ConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_activite3Sur5ConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 48, m_activite3Sur5ConstitutionCaractereSaisonnier);
    }
    return m_activite3Sur5ConstitutionCaractereSaisonnier;
  }
  
  protected static final BigDecimal jdoGetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
    }
    return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
  }
  
  protected static final Quantite jdoGetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 50, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
    }
    return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 51, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
    }
    return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_dureeTheoriqueConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 52, m_dureeTheoriqueConstitutionDurees);
    }
    return m_dureeTheoriqueConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeImputationConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_dureeImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 53, m_dureeImputationConstitutionDurees);
    }
    return m_dureeImputationConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeEffectiveConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeEffectiveConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_dureeEffectiveConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_dureeEffectiveConstitutionDurees);
    }
    return m_dureeEffectiveConstitutionDurees;
  }
  
  protected static final BigDecimal jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceNonPlafonneConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_salaireReferenceNonPlafonneConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 55, m_salaireReferenceNonPlafonneConstitutionSjr);
    }
    return m_salaireReferenceNonPlafonneConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 56, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
    }
    return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesNormalesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_totalPrimesNormalesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 57, m_totalPrimesNormalesRetenuesConstitutionSjr);
    }
    return m_totalPrimesNormalesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalSalairesRetenusConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_totalSalairesRetenusConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_totalSalairesRetenusConstitutionSjr);
    }
    return m_totalSalairesRetenusConstitutionSjr;
  }
  
  protected static final PrcPC jdoGetm_prcConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_prcConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_prcConstitutionSjr;
      }
      return (PrcPC)sm.getObjectField(pc, jdoInheritedFieldCount + 59, m_prcConstitutionSjr);
    }
    return m_prcConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondSjrConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondSjrConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_plafondSjrConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 60, m_plafondSjrConstitutionSjr);
    }
    return m_plafondSjrConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_sjrInitialConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrInitialConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_sjrInitialConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 61, m_sjrInitialConstitutionSjr);
    }
    return m_sjrInitialConstitutionSjr;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_dateEvenementConstitutionSjr;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 62, m_dateEvenementConstitutionSjr);
    }
    return m_dateEvenementConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_plafondConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 63, m_plafondConstitutionSjc);
    }
    return m_plafondConstitutionSjc;
  }
  
  protected static final QuantiteEuro jdoGetm_sjcInitialConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcInitialConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_sjcInitialConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 64, m_sjcInitialConstitutionSjc);
    }
    return m_sjcInitialConstitutionSjc;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_dateEvenementConstitutionSjc;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 65, m_dateEvenementConstitutionSjc);
    }
    return m_dateEvenementConstitutionSjc;
  }
  
  protected static final Sjr jdoGetm_sjnprConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjnprConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_sjnprConstitutionSjr;
      }
      return (Sjr)sm.getObjectField(pc, jdoInheritedFieldCount + 66, m_sjnprConstitutionSjr);
    }
    return m_sjnprConstitutionSjr;
  }
  
  protected static final boolean jdoGetm_autresIndemnitesLegalesConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_autresIndemnitesLegalesConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_autresIndemnitesLegalesConstitutionDelais;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 67, m_autresIndemnitesLegalesConstitutionDelais);
    }
    return m_autresIndemnitesLegalesConstitutionDelais;
  }
  
  protected static final boolean jdoGetm_presenceTransactionConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceTransactionConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_presenceTransactionConstitutionDelais;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 68, m_presenceTransactionConstitutionDelais);
    }
    return m_presenceTransactionConstitutionDelais;
  }
  
  protected static final Quantite jdoGetm_quantiteJourImputationForceConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourImputationForceConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_quantiteJourImputationForceConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 69, m_quantiteJourImputationForceConstitutionDurees);
    }
    return m_quantiteJourImputationForceConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_quantiteTotalJourImputationConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteTotalJourImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_quantiteTotalJourImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 70, m_quantiteTotalJourImputationConstitutionDurees);
    }
    return m_quantiteTotalJourImputationConstitutionDurees;
  }
  
  protected static final boolean jdoGetm_estAccordPlusDe182jCsrConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estAccordPlusDe182jCsrConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_estAccordPlusDe182jCsrConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 71, m_estAccordPlusDe182jCsrConstitutionDurees);
    }
    return m_estAccordPlusDe182jCsrConstitutionDurees;
  }
  
  protected static final Damj jdoGetm_dateMaxiIndemnisationCsrConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateMaxiIndemnisationCsrConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 72)) {
        return m_dateMaxiIndemnisationCsrConstitutionDurees;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 72, m_dateMaxiIndemnisationCsrConstitutionDurees);
    }
    return m_dateMaxiIndemnisationCsrConstitutionDurees;
  }
  
  protected static final Damj jdoGetm_debutCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarencePreavisLegalConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 73)) {
        return m_debutCarencePreavisLegalConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 73, m_debutCarencePreavisLegalConstitutionDelais);
    }
    return m_debutCarencePreavisLegalConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarencePreavisLegalConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 74)) {
        return m_termeCarencePreavisLegalConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 74, m_termeCarencePreavisLegalConstitutionDelais);
    }
    return m_termeCarencePreavisLegalConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarencePreavisLegalConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 75)) {
        return m_nbJoursCarencePreavisLegalConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 75, m_nbJoursCarencePreavisLegalConstitutionDelais);
    }
    return m_nbJoursCarencePreavisLegalConstitutionDelais;
  }
  
  protected static final Quantite jdoGetm_montantDroitAssocieConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantDroitAssocieConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 76)) {
        return m_montantDroitAssocieConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 76, m_montantDroitAssocieConstitutionMontantsBruts);
    }
    return m_montantDroitAssocieConstitutionMontantsBruts;
  }
  
  private static final String jdoGetm_typeMontantRetenuConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeMontantRetenuConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 77)) {
        return m_typeMontantRetenuConstitutionMontantsBruts;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 77, m_typeMontantRetenuConstitutionMontantsBruts);
    }
    return m_typeMontantRetenuConstitutionMontantsBruts;
  }
  
  private static final String jdoGetm_contexteParticulierSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteParticulierSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 78)) {
        return m_contexteParticulierSjr;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 78, m_contexteParticulierSjr);
    }
    return m_contexteParticulierSjr;
  }
  
  private static final String jdoGetm_contexteParticulierSjc(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteParticulierSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 79)) {
        return m_contexteParticulierSjc;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 79, m_contexteParticulierSjc);
    }
    return m_contexteParticulierSjc;
  }
  
  private static final Damj jdoGetm_dateLimiteIndem(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateLimiteIndem;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 80)) {
        return m_dateLimiteIndem;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 80, m_dateLimiteIndem);
    }
    return m_dateLimiteIndem;
  }
  
  private static final Damj jdoGetm_dateDebutIndem(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutIndem;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 81)) {
        return m_dateDebutIndem;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 81, m_dateDebutIndem);
    }
    return m_dateDebutIndem;
  }
  
  protected static final String jdoGetm_contexteDateLimiteIndemnisation(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteDateLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 82)) {
        return m_contexteDateLimiteIndemnisation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 82, m_contexteDateLimiteIndemnisation);
    }
    return m_contexteDateLimiteIndemnisation;
  }
  
  protected static final boolean jdoGetm_estDureeTheoriquePlafonneeConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDureeTheoriquePlafonneeConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 83)) {
        return m_estDureeTheoriquePlafonneeConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 83, m_estDureeTheoriquePlafonneeConstitutionDurees);
    }
    return m_estDureeTheoriquePlafonneeConstitutionDurees;
  }
  
  protected static final BigDecimal jdoGetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sommeMontantRevisionConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 84)) {
        return m_sommeMontantRevisionConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 84, m_sommeMontantRevisionConstitutionSjr);
    }
    return m_sommeMontantRevisionConstitutionSjr;
  }
  
  private static final Quantite jdoGetm_dureePostPrimeCspConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureePostPrimeCspConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 85)) {
        return m_dureePostPrimeCspConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 85, m_dureePostPrimeCspConstitutionDurees);
    }
    return m_dureePostPrimeCspConstitutionDurees;
  }
  
  private static final BigDecimal jdoGetm_sjrMontantMaxAspConstitutionMontantsBruts(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrMontantMaxAspConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 86)) {
        return m_sjrMontantMaxAspConstitutionMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 86, m_sjrMontantMaxAspConstitutionMontantsBruts);
    }
    return m_sjrMontantMaxAspConstitutionMontantsBruts;
  }
  
  private static final Integer jdoGetm_dureeImputationPostPrime(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationPostPrime;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 87)) {
        return m_dureeImputationPostPrime;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 87, m_dureeImputationPostPrime);
    }
    return m_dureeImputationPostPrime;
  }
  
  protected static final boolean jdoGetm_eligibleAllongementAREFConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_eligibleAllongementAREFConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 88)) {
        return m_eligibleAllongementAREFConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 88, m_eligibleAllongementAREFConstitutionDurees);
    }
    return m_eligibleAllongementAREFConstitutionDurees;
  }
  
  protected static final int jdoGetm_dureeAllongementAREFConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAllongementAREFConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 89)) {
        return m_dureeAllongementAREFConstitutionDurees;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 89, m_dureeAllongementAREFConstitutionDurees);
    }
    return m_dureeAllongementAREFConstitutionDurees;
  }
  
  private static final boolean jdoGetm_droitInterimaireConstitutionReglementApplicable(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_droitInterimaireConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 90)) {
        return m_droitInterimaireConstitutionReglementApplicable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 90, m_droitInterimaireConstitutionReglementApplicable);
    }
    return m_droitInterimaireConstitutionReglementApplicable;
  }
  
  private static final BigDecimal jdoGetm_sjrTheoriqueConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrTheoriqueConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 91)) {
        return m_sjrTheoriqueConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 91, m_sjrTheoriqueConstitutionSjr);
    }
    return m_sjrTheoriqueConstitutionSjr;
  }
  
  private static final BigDecimal jdoGetm_coeffReducteurSjrConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_coeffReducteurSjrConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 92)) {
        return m_coeffReducteurSjrConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 92, m_coeffReducteurSjrConstitutionSjr);
    }
    return m_coeffReducteurSjrConstitutionSjr;
  }
  
  private static final BigDecimal jdoGetm_plancherCoefficientSjrConstitutionSjr(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_plancherCoefficientSjrConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 93)) {
        return m_plancherCoefficientSjrConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 93, m_plancherCoefficientSjrConstitutionSjr);
    }
    return m_plancherCoefficientSjrConstitutionSjr;
  }
  
  private static final int jdoGetm_dureeCalculeeConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeCalculeeConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 94)) {
        return m_dureeCalculeeConstitutionDurees;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 94, m_dureeCalculeeConstitutionDurees);
    }
    return m_dureeCalculeeConstitutionDurees;
  }
  
  private static final int jdoGetm_dureeMinimaleConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeMinimaleConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 95)) {
        return m_dureeMinimaleConstitutionDurees;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 95, m_dureeMinimaleConstitutionDurees);
    }
    return m_dureeMinimaleConstitutionDurees;
  }
  
  private static final int jdoGetm_dureeMaximaleConstitutionDurees(ConstitutionElementsReprisePC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeMaximaleConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 96)) {
        return m_dureeMaximaleConstitutionDurees;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 96, m_dureeMaximaleConstitutionDurees);
    }
    return m_dureeMaximaleConstitutionDurees;
  }
  
  protected static final Collection jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 97)) {
        return m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 97, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    return m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
  }
  
  protected static final Collection jdoGetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 98)) {
        return m_listeSjrActiviteConserveeConstitutionSjc;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 98, m_listeSjrActiviteConserveeConstitutionSjc);
    }
    return m_listeSjrActiviteConserveeConstitutionSjc;
  }
  
  public static final Collection jdoGetm_carences(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 99)) {
        return m_carences;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 99, m_carences);
    }
    return m_carences;
  }
  
  protected static final Collection jdoGetm_listePensionInvaliditeMontantBrut(ConstitutionElementsReprisePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 100)) {
        return m_listePensionInvaliditeMontantBrut;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 100, m_listePensionInvaliditeMontantBrut);
    }
    return m_listePensionInvaliditeMontantBrut;
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDateAttribution, newValue);
    } else {
      m_presenceDonneesConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDelais(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionDelais, newValue);
    } else {
      m_presenceDonneesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionReglementApplicable, newValue);
    } else {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjc(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionSjc, newValue);
    } else {
      m_presenceDonneesConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjr(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjr, newValue);
    } else {
      m_presenceDonneesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDurees(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionDurees, newValue);
    } else {
      m_presenceDonneesConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionCaractereSaisonnier, newValue);
    } else {
      m_presenceDonneesConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCoefficientSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionCoefficientSaisonnier, newValue);
    } else {
      m_presenceDonneesConstitutionCoefficientSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConstitutionMontantsBruts, newValue);
    } else {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDateLimIndemn(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateLimIndemn = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConstitutionDateLimIndemn, newValue);
    } else {
      m_presenceDonneesConstitutionDateLimIndemn = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 12, m_montantJournalierBrutConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_capitalInitialBrutConstitutionMontantsBruts, newValue);
    } else {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMiniConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 14, m_montantMiniConstitutionMontantsBruts, newValue);
    } else {
      m_montantMiniConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlancherConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_montantPlancherConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlancherConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_montantPlafondConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlafondConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBaseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_montantBaseConstitutionMontantsBruts, newValue);
    } else {
      m_montantBaseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 18, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts, newValue);
    } else {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts, newValue);
    } else {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_crcConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_crcConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 22, m_crcConstitutionMontantsBruts, newValue);
    } else {
      m_crcConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrrpConstitutionSjr(ConstitutionElementsReprisePC pc, Sjr newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrrpConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_sjrrpConstitutionSjr, newValue);
    } else {
      m_sjrrpConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_codeEmploiA2b(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeEmploiA2b = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 24, m_codeEmploiA2b, newValue);
    } else {
      m_codeEmploiA2b = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeReference91joursConstitutionDelais(ConstitutionElementsReprisePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeReference91joursConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_periodeReference91joursConstitutionDelais, newValue);
    } else {
      m_periodeReference91joursConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_typePmcConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typePmcConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 26, m_typePmcConstitutionDelais, newValue);
    } else {
      m_typePmcConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursPMCConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 27, m_nbJoursPMCConstitutionDelais, newValue);
    } else {
      m_nbJoursPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutPMCConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 28, m_debutPMCConstitutionDelais, newValue);
    } else {
      m_debutPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termePMCConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 29, m_termePMCConstitutionDelais, newValue);
    } else {
      m_termePMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 30, m_nbJoursCarenceICCPConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 31, m_debutCarenceICCPConstitutionDelais, newValue);
    } else {
      m_debutCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 32, m_termeCarenceICCPConstitutionDelais, newValue);
    } else {
      m_termeCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 33, m_nbJoursCarenceISLRConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_debutCarenceISLRConstitutionDelais, newValue);
    } else {
      m_debutCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 35, m_termeCarenceISLRConstitutionDelais, newValue);
    } else {
      m_termeCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 36, m_nbJoursCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 37, m_debutCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_debutCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 38, m_termeCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_termeCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcrpConstitutionSjc(ConstitutionElementsReprisePC pc, Sjc newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcrpConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_sjcrpConstitutionSjc, newValue);
    } else {
      m_sjcrpConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_nomReglementConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 40, m_nomReglementConstitutionReglementApplicable, newValue);
    } else {
      m_nomReglementConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_codeProduitConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduitConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 41, m_codeProduitConstitutionReglementApplicable, newValue);
    } else {
      m_codeProduitConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 42, m_dateAttributionConstitutionDateAttribution, newValue);
    } else {
      m_dateAttributionConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_pjiConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 44, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier, newValue);
    } else {
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 45, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier, newValue);
    } else {
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 46, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier, newValue);
    } else {
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 47, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier, newValue);
    } else {
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_activite3Sur5ConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 48, m_activite3Sur5ConstitutionCaractereSaisonnier, newValue);
    } else {
      m_activite3Sur5ConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier, newValue);
    } else {
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = newValue;
    }
  }
  
  protected static final void jdoSetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 50, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier, newValue);
    } else {
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 51, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 52, m_dureeTheoriqueConstitutionDurees, newValue);
    } else {
      m_dureeTheoriqueConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeImputationConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 53, m_dureeImputationConstitutionDurees, newValue);
    } else {
      m_dureeImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeEffectiveConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeEffectiveConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_dureeEffectiveConstitutionDurees, newValue);
    } else {
      m_dureeEffectiveConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 55, m_salaireReferenceNonPlafonneConstitutionSjr, newValue);
    } else {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 56, m_totalPrimesExceptionnellesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 57, m_totalPrimesNormalesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalSalairesRetenusConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_totalSalairesRetenusConstitutionSjr, newValue);
    } else {
      m_totalSalairesRetenusConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_prcConstitutionSjr(ConstitutionElementsReprisePC pc, PrcPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_prcConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 59, m_prcConstitutionSjr, newValue);
    } else {
      m_prcConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondSjrConstitutionSjr(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondSjrConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 60, m_plafondSjrConstitutionSjr, newValue);
    } else {
      m_plafondSjrConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrInitialConstitutionSjr(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrInitialConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 61, m_sjrInitialConstitutionSjr, newValue);
    } else {
      m_sjrInitialConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjr(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 62, m_dateEvenementConstitutionSjr, newValue);
    } else {
      m_dateEvenementConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondConstitutionSjc(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 63, m_plafondConstitutionSjc, newValue);
    } else {
      m_plafondConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcInitialConstitutionSjc(ConstitutionElementsReprisePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcInitialConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 64, m_sjcInitialConstitutionSjc, newValue);
    } else {
      m_sjcInitialConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjc(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 65, m_dateEvenementConstitutionSjc, newValue);
    } else {
      m_dateEvenementConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_sjnprConstitutionSjr(ConstitutionElementsReprisePC pc, Sjr newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjnprConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 66, m_sjnprConstitutionSjr, newValue);
    } else {
      m_sjnprConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_autresIndemnitesLegalesConstitutionDelais(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_autresIndemnitesLegalesConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 67, m_autresIndemnitesLegalesConstitutionDelais, newValue);
    } else {
      m_autresIndemnitesLegalesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceTransactionConstitutionDelais(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceTransactionConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 68, m_presenceTransactionConstitutionDelais, newValue);
    } else {
      m_presenceTransactionConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJourImputationForceConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourImputationForceConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 69, m_quantiteJourImputationForceConstitutionDurees, newValue);
    } else {
      m_quantiteJourImputationForceConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteTotalJourImputationConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteTotalJourImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 70, m_quantiteTotalJourImputationConstitutionDurees, newValue);
    } else {
      m_quantiteTotalJourImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_estAccordPlusDe182jCsrConstitutionDurees(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estAccordPlusDe182jCsrConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 71, m_estAccordPlusDe182jCsrConstitutionDurees, newValue);
    } else {
      m_estAccordPlusDe182jCsrConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dateMaxiIndemnisationCsrConstitutionDurees(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateMaxiIndemnisationCsrConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 72, m_dateMaxiIndemnisationCsrConstitutionDurees, newValue);
    } else {
      m_dateMaxiIndemnisationCsrConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarencePreavisLegalConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 73, m_debutCarencePreavisLegalConstitutionDelais, newValue);
    } else {
      m_debutCarencePreavisLegalConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarencePreavisLegalConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 74, m_termeCarencePreavisLegalConstitutionDelais, newValue);
    } else {
      m_termeCarencePreavisLegalConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarencePreavisLegalConstitutionDelais(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarencePreavisLegalConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 75, m_nbJoursCarencePreavisLegalConstitutionDelais, newValue);
    } else {
      m_nbJoursCarencePreavisLegalConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_montantDroitAssocieConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantDroitAssocieConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 76, m_montantDroitAssocieConstitutionMontantsBruts, newValue);
    } else {
      m_montantDroitAssocieConstitutionMontantsBruts = newValue;
    }
  }
  
  private static final void jdoSetm_typeMontantRetenuConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeMontantRetenuConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 77, m_typeMontantRetenuConstitutionMontantsBruts, newValue);
    } else {
      m_typeMontantRetenuConstitutionMontantsBruts = newValue;
    }
  }
  
  private static final void jdoSetm_contexteParticulierSjr(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteParticulierSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 78, m_contexteParticulierSjr, newValue);
    } else {
      m_contexteParticulierSjr = newValue;
    }
  }
  
  private static final void jdoSetm_contexteParticulierSjc(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteParticulierSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 79, m_contexteParticulierSjc, newValue);
    } else {
      m_contexteParticulierSjc = newValue;
    }
  }
  
  private static final void jdoSetm_dateLimiteIndem(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateLimiteIndem = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 80, m_dateLimiteIndem, newValue);
    } else {
      m_dateLimiteIndem = newValue;
    }
  }
  
  private static final void jdoSetm_dateDebutIndem(ConstitutionElementsReprisePC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutIndem = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 81, m_dateDebutIndem, newValue);
    } else {
      m_dateDebutIndem = newValue;
    }
  }
  
  protected static final void jdoSetm_contexteDateLimiteIndemnisation(ConstitutionElementsReprisePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteDateLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 82, m_contexteDateLimiteIndemnisation, newValue);
    } else {
      m_contexteDateLimiteIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_estDureeTheoriquePlafonneeConstitutionDurees(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDureeTheoriquePlafonneeConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 83, m_estDureeTheoriquePlafonneeConstitutionDurees, newValue);
    } else {
      m_estDureeTheoriquePlafonneeConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sommeMontantRevisionConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 84, m_sommeMontantRevisionConstitutionSjr, newValue);
    } else {
      m_sommeMontantRevisionConstitutionSjr = newValue;
    }
  }
  
  private static final void jdoSetm_dureePostPrimeCspConstitutionDurees(ConstitutionElementsReprisePC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureePostPrimeCspConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 85, m_dureePostPrimeCspConstitutionDurees, newValue);
    } else {
      m_dureePostPrimeCspConstitutionDurees = newValue;
    }
  }
  
  private static final void jdoSetm_sjrMontantMaxAspConstitutionMontantsBruts(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrMontantMaxAspConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 86, m_sjrMontantMaxAspConstitutionMontantsBruts, newValue);
    } else {
      m_sjrMontantMaxAspConstitutionMontantsBruts = newValue;
    }
  }
  
  private static final void jdoSetm_dureeImputationPostPrime(ConstitutionElementsReprisePC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationPostPrime = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 87, m_dureeImputationPostPrime, newValue);
    } else {
      m_dureeImputationPostPrime = newValue;
    }
  }
  
  protected static final void jdoSetm_eligibleAllongementAREFConstitutionDurees(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_eligibleAllongementAREFConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 88, m_eligibleAllongementAREFConstitutionDurees, newValue);
    } else {
      m_eligibleAllongementAREFConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeAllongementAREFConstitutionDurees(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAllongementAREFConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 89, m_dureeAllongementAREFConstitutionDurees, newValue);
    } else {
      m_dureeAllongementAREFConstitutionDurees = newValue;
    }
  }
  
  private static final void jdoSetm_droitInterimaireConstitutionReglementApplicable(ConstitutionElementsReprisePC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_droitInterimaireConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 90, m_droitInterimaireConstitutionReglementApplicable, newValue);
    } else {
      m_droitInterimaireConstitutionReglementApplicable = newValue;
    }
  }
  
  private static final void jdoSetm_sjrTheoriqueConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrTheoriqueConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 91, m_sjrTheoriqueConstitutionSjr, newValue);
    } else {
      m_sjrTheoriqueConstitutionSjr = newValue;
    }
  }
  
  private static final void jdoSetm_coeffReducteurSjrConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coeffReducteurSjrConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 92, m_coeffReducteurSjrConstitutionSjr, newValue);
    } else {
      m_coeffReducteurSjrConstitutionSjr = newValue;
    }
  }
  
  private static final void jdoSetm_plancherCoefficientSjrConstitutionSjr(ConstitutionElementsReprisePC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_plancherCoefficientSjrConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 93, m_plancherCoefficientSjrConstitutionSjr, newValue);
    } else {
      m_plancherCoefficientSjrConstitutionSjr = newValue;
    }
  }
  
  private static final void jdoSetm_dureeCalculeeConstitutionDurees(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeCalculeeConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 94, m_dureeCalculeeConstitutionDurees, newValue);
    } else {
      m_dureeCalculeeConstitutionDurees = newValue;
    }
  }
  
  private static final void jdoSetm_dureeMinimaleConstitutionDurees(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeMinimaleConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 95, m_dureeMinimaleConstitutionDurees, newValue);
    } else {
      m_dureeMinimaleConstitutionDurees = newValue;
    }
  }
  
  private static final void jdoSetm_dureeMaximaleConstitutionDurees(ConstitutionElementsReprisePC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeMaximaleConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 96, m_dureeMaximaleConstitutionDurees, newValue);
    } else {
      m_dureeMaximaleConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 97, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier, newValue);
    } else {
      m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 98, m_listeSjrActiviteConserveeConstitutionSjc, newValue);
    } else {
      m_listeSjrActiviteConserveeConstitutionSjc = newValue;
    }
  }
  
  public static final void jdoSetm_carences(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 99, m_carences, newValue);
    } else {
      m_carences = newValue;
    }
  }
  
  protected static final void jdoSetm_listePensionInvaliditeMontantBrut(ConstitutionElementsReprisePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 100, m_listePensionInvaliditeMontantBrut, newValue);
    } else {
      m_listePensionInvaliditeMontantBrut = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateAttribution);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDelais);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionReglementApplicable);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjc);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjr);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDurees);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCaractereSaisonnier);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCoefficientSaisonnier);
      break;
    case 8: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionMontantsBruts);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCoefficientTempsPartiel);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionPointDepartIndemnisation);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateLimIndemn);
      break;
    case 12: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutConstitutionMontantsBruts);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrutConstitutionMontantsBruts);
      break;
    case 14: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMiniConstitutionMontantsBruts);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlancherConstitutionMontantsBruts);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionMontantsBruts);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBaseConstitutionMontantsBruts);
      break;
    case 18: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
      break;
    case 22: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_crcConstitutionMontantsBruts);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrrpConstitutionSjr);
      break;
    case 24: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeEmploiA2b);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeReference91joursConstitutionDelais);
      break;
    case 26: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typePmcConstitutionDelais);
      break;
    case 27: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursPMCConstitutionDelais);
      break;
    case 28: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutPMCConstitutionDelais);
      break;
    case 29: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePMCConstitutionDelais);
      break;
    case 30: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceICCPConstitutionDelais);
      break;
    case 31: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceICCPConstitutionDelais);
      break;
    case 32: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceICCPConstitutionDelais);
      break;
    case 33: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceISLRConstitutionDelais);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceISLRConstitutionDelais);
      break;
    case 35: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceISLRConstitutionDelais);
      break;
    case 36: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceDiffereConstitutionDelais);
      break;
    case 37: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceDiffereConstitutionDelais);
      break;
    case 38: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceDiffereConstitutionDelais);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcrpConstitutionSjc);
      break;
    case 40: 
      jdoStateManager.providedStringField(this, fieldNumber, m_nomReglementConstitutionReglementApplicable);
      break;
    case 41: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduitConstitutionReglementApplicable);
      break;
    case 42: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionConstitutionDateAttribution);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pjiConstitutionPointDepartIndemnisation);
      break;
    case 44: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
      break;
    case 45: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
      break;
    case 46: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
      break;
    case 47: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
      break;
    case 48: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_activite3Sur5ConstitutionCaractereSaisonnier);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
      break;
    case 50: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
      break;
    case 51: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
      break;
    case 52: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueConstitutionDurees);
      break;
    case 53: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationConstitutionDurees);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeEffectiveConstitutionDurees);
      break;
    case 55: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireReferenceNonPlafonneConstitutionSjr);
      break;
    case 56: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
      break;
    case 57: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesNormalesRetenuesConstitutionSjr);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalSalairesRetenusConstitutionSjr);
      break;
    case 59: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prcConstitutionSjr);
      break;
    case 60: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondSjrConstitutionSjr);
      break;
    case 61: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrInitialConstitutionSjr);
      break;
    case 62: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjr);
      break;
    case 63: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondConstitutionSjc);
      break;
    case 64: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcInitialConstitutionSjc);
      break;
    case 65: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjc);
      break;
    case 66: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjnprConstitutionSjr);
      break;
    case 67: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_autresIndemnitesLegalesConstitutionDelais);
      break;
    case 68: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceTransactionConstitutionDelais);
      break;
    case 69: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourImputationForceConstitutionDurees);
      break;
    case 70: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteTotalJourImputationConstitutionDurees);
      break;
    case 71: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estAccordPlusDe182jCsrConstitutionDurees);
      break;
    case 72: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateMaxiIndemnisationCsrConstitutionDurees);
      break;
    case 73: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarencePreavisLegalConstitutionDelais);
      break;
    case 74: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarencePreavisLegalConstitutionDelais);
      break;
    case 75: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarencePreavisLegalConstitutionDelais);
      break;
    case 76: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantDroitAssocieConstitutionMontantsBruts);
      break;
    case 77: 
      jdoStateManager.providedStringField(this, fieldNumber, m_typeMontantRetenuConstitutionMontantsBruts);
      break;
    case 78: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteParticulierSjr);
      break;
    case 79: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteParticulierSjc);
      break;
    case 80: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateLimiteIndem);
      break;
    case 81: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutIndem);
      break;
    case 82: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteDateLimiteIndemnisation);
      break;
    case 83: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDureeTheoriquePlafonneeConstitutionDurees);
      break;
    case 84: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sommeMontantRevisionConstitutionSjr);
      break;
    case 85: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureePostPrimeCspConstitutionDurees);
      break;
    case 86: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrMontantMaxAspConstitutionMontantsBruts);
      break;
    case 87: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationPostPrime);
      break;
    case 88: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_eligibleAllongementAREFConstitutionDurees);
      break;
    case 89: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeAllongementAREFConstitutionDurees);
      break;
    case 90: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_droitInterimaireConstitutionReglementApplicable);
      break;
    case 91: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrTheoriqueConstitutionSjr);
      break;
    case 92: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coeffReducteurSjrConstitutionSjr);
      break;
    case 93: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plancherCoefficientSjrConstitutionSjr);
      break;
    case 94: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeCalculeeConstitutionDurees);
      break;
    case 95: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeMinimaleConstitutionDurees);
      break;
    case 96: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeMaximaleConstitutionDurees);
      break;
    case 97: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier);
      break;
    case 98: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSjrActiviteConserveeConstitutionSjc);
      break;
    case 99: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_carences);
      break;
    case 100: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePensionInvaliditeMontantBrut);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConstitutionDateAttribution = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConstitutionDelais = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConstitutionReglementApplicable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConstitutionSjc = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConstitutionSjr = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_presenceDonneesConstitutionCoefficientSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_presenceDonneesConstitutionMontantsBruts = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 9: 
      m_presenceDonneesConstitutionCoefficientTempsPartiel = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_presenceDonneesConstitutionPointDepartIndemnisation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_presenceDonneesConstitutionDateLimIndemn = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_montantJournalierBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 13: 
      m_capitalInitialBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_montantMiniConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 15: 
      m_montantPlancherConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_montantPlafondConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 17: 
      m_montantBaseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 19: 
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_crcConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 23: 
      m_sjrrpConstitutionSjr = ((Sjr)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_codeEmploiA2b = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 25: 
      m_periodeReference91joursConstitutionDelais = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_typePmcConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 27: 
      m_nbJoursPMCConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 28: 
      m_debutPMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 29: 
      m_termePMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 30: 
      m_nbJoursCarenceICCPConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 31: 
      m_debutCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 32: 
      m_termeCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 33: 
      m_nbJoursCarenceISLRConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 34: 
      m_debutCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_termeCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 36: 
      m_nbJoursCarenceDiffereConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 37: 
      m_debutCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 38: 
      m_termeCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 39: 
      m_sjcrpConstitutionSjc = ((Sjc)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_nomReglementConstitutionReglementApplicable = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 41: 
      m_codeProduitConstitutionReglementApplicable = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 42: 
      m_dateAttributionConstitutionDateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 43: 
      m_pjiConstitutionPointDepartIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 45: 
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 46: 
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 47: 
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 48: 
      m_activite3Sur5ConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 49: 
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 51: 
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 52: 
      m_dureeTheoriqueConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 53: 
      m_dureeImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 54: 
      m_dureeEffectiveConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_salaireReferenceNonPlafonneConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 56: 
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 57: 
      m_totalPrimesNormalesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 58: 
      m_totalSalairesRetenusConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 59: 
      m_prcConstitutionSjr = ((PrcPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 60: 
      m_plafondSjrConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 61: 
      m_sjrInitialConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 62: 
      m_dateEvenementConstitutionSjr = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 63: 
      m_plafondConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 64: 
      m_sjcInitialConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 65: 
      m_dateEvenementConstitutionSjc = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 66: 
      m_sjnprConstitutionSjr = ((Sjr)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 67: 
      m_autresIndemnitesLegalesConstitutionDelais = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 68: 
      m_presenceTransactionConstitutionDelais = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 69: 
      m_quantiteJourImputationForceConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 70: 
      m_quantiteTotalJourImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 71: 
      m_estAccordPlusDe182jCsrConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 72: 
      m_dateMaxiIndemnisationCsrConstitutionDurees = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 73: 
      m_debutCarencePreavisLegalConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 74: 
      m_termeCarencePreavisLegalConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 75: 
      m_nbJoursCarencePreavisLegalConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 76: 
      m_montantDroitAssocieConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 77: 
      m_typeMontantRetenuConstitutionMontantsBruts = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 78: 
      m_contexteParticulierSjr = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 79: 
      m_contexteParticulierSjc = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 80: 
      m_dateLimiteIndem = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 81: 
      m_dateDebutIndem = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 82: 
      m_contexteDateLimiteIndemnisation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 83: 
      m_estDureeTheoriquePlafonneeConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 84: 
      m_sommeMontantRevisionConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 85: 
      m_dureePostPrimeCspConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 86: 
      m_sjrMontantMaxAspConstitutionMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 87: 
      m_dureeImputationPostPrime = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 88: 
      m_eligibleAllongementAREFConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 89: 
      m_dureeAllongementAREFConstitutionDurees = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 90: 
      m_droitInterimaireConstitutionReglementApplicable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 91: 
      m_sjrTheoriqueConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 92: 
      m_coeffReducteurSjrConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 93: 
      m_plancherCoefficientSjrConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 94: 
      m_dureeCalculeeConstitutionDurees = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 95: 
      m_dureeMinimaleConstitutionDurees = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 96: 
      m_dureeMaximaleConstitutionDurees = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 97: 
      m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 98: 
      m_listeSjrActiviteConserveeConstitutionSjc = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 99: 
      m_carences = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 100: 
      m_listePensionInvaliditeMontantBrut = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionElementsReprisePC pc = new ConstitutionElementsReprisePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionElementsReprisePC pc = new ConstitutionElementsReprisePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 101;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionElementsReprisePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionElementsReprisePC other = (ConstitutionElementsReprisePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConstitutionDateAttribution = m_presenceDonneesConstitutionDateAttribution;
        break;
      case 1: 
        m_presenceDonneesConstitutionDelais = m_presenceDonneesConstitutionDelais;
        break;
      case 2: 
        m_presenceDonneesConstitutionReglementApplicable = m_presenceDonneesConstitutionReglementApplicable;
        break;
      case 3: 
        m_presenceDonneesConstitutionSjc = m_presenceDonneesConstitutionSjc;
        break;
      case 4: 
        m_presenceDonneesConstitutionSjr = m_presenceDonneesConstitutionSjr;
        break;
      case 5: 
        m_presenceDonneesConstitutionDurees = m_presenceDonneesConstitutionDurees;
        break;
      case 6: 
        m_presenceDonneesConstitutionCaractereSaisonnier = m_presenceDonneesConstitutionCaractereSaisonnier;
        break;
      case 7: 
        m_presenceDonneesConstitutionCoefficientSaisonnier = m_presenceDonneesConstitutionCoefficientSaisonnier;
        break;
      case 8: 
        m_presenceDonneesConstitutionMontantsBruts = m_presenceDonneesConstitutionMontantsBruts;
        break;
      case 9: 
        m_presenceDonneesConstitutionCoefficientTempsPartiel = m_presenceDonneesConstitutionCoefficientTempsPartiel;
        break;
      case 10: 
        m_presenceDonneesConstitutionPointDepartIndemnisation = m_presenceDonneesConstitutionPointDepartIndemnisation;
        break;
      case 11: 
        m_presenceDonneesConstitutionDateLimIndemn = m_presenceDonneesConstitutionDateLimIndemn;
        break;
      case 12: 
        m_montantJournalierBrutConstitutionMontantsBruts = m_montantJournalierBrutConstitutionMontantsBruts;
        break;
      case 13: 
        m_capitalInitialBrutConstitutionMontantsBruts = m_capitalInitialBrutConstitutionMontantsBruts;
        break;
      case 14: 
        m_montantMiniConstitutionMontantsBruts = m_montantMiniConstitutionMontantsBruts;
        break;
      case 15: 
        m_montantPlancherConstitutionMontantsBruts = m_montantPlancherConstitutionMontantsBruts;
        break;
      case 16: 
        m_montantPlafondConstitutionMontantsBruts = m_montantPlafondConstitutionMontantsBruts;
        break;
      case 17: 
        m_montantBaseConstitutionMontantsBruts = m_montantBaseConstitutionMontantsBruts;
        break;
      case 18: 
        m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
        break;
      case 19: 
        m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
        break;
      case 20: 
        m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
        break;
      case 21: 
        m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
        break;
      case 22: 
        m_crcConstitutionMontantsBruts = m_crcConstitutionMontantsBruts;
        break;
      case 23: 
        m_sjrrpConstitutionSjr = m_sjrrpConstitutionSjr;
        break;
      case 24: 
        m_codeEmploiA2b = m_codeEmploiA2b;
        break;
      case 25: 
        m_periodeReference91joursConstitutionDelais = m_periodeReference91joursConstitutionDelais;
        break;
      case 26: 
        m_typePmcConstitutionDelais = m_typePmcConstitutionDelais;
        break;
      case 27: 
        m_nbJoursPMCConstitutionDelais = m_nbJoursPMCConstitutionDelais;
        break;
      case 28: 
        m_debutPMCConstitutionDelais = m_debutPMCConstitutionDelais;
        break;
      case 29: 
        m_termePMCConstitutionDelais = m_termePMCConstitutionDelais;
        break;
      case 30: 
        m_nbJoursCarenceICCPConstitutionDelais = m_nbJoursCarenceICCPConstitutionDelais;
        break;
      case 31: 
        m_debutCarenceICCPConstitutionDelais = m_debutCarenceICCPConstitutionDelais;
        break;
      case 32: 
        m_termeCarenceICCPConstitutionDelais = m_termeCarenceICCPConstitutionDelais;
        break;
      case 33: 
        m_nbJoursCarenceISLRConstitutionDelais = m_nbJoursCarenceISLRConstitutionDelais;
        break;
      case 34: 
        m_debutCarenceISLRConstitutionDelais = m_debutCarenceISLRConstitutionDelais;
        break;
      case 35: 
        m_termeCarenceISLRConstitutionDelais = m_termeCarenceISLRConstitutionDelais;
        break;
      case 36: 
        m_nbJoursCarenceDiffereConstitutionDelais = m_nbJoursCarenceDiffereConstitutionDelais;
        break;
      case 37: 
        m_debutCarenceDiffereConstitutionDelais = m_debutCarenceDiffereConstitutionDelais;
        break;
      case 38: 
        m_termeCarenceDiffereConstitutionDelais = m_termeCarenceDiffereConstitutionDelais;
        break;
      case 39: 
        m_sjcrpConstitutionSjc = m_sjcrpConstitutionSjc;
        break;
      case 40: 
        m_nomReglementConstitutionReglementApplicable = m_nomReglementConstitutionReglementApplicable;
        break;
      case 41: 
        m_codeProduitConstitutionReglementApplicable = m_codeProduitConstitutionReglementApplicable;
        break;
      case 42: 
        m_dateAttributionConstitutionDateAttribution = m_dateAttributionConstitutionDateAttribution;
        break;
      case 43: 
        m_pjiConstitutionPointDepartIndemnisation = m_pjiConstitutionPointDepartIndemnisation;
        break;
      case 44: 
        m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
        break;
      case 45: 
        m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
        break;
      case 46: 
        m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
        break;
      case 47: 
        m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
        break;
      case 48: 
        m_activite3Sur5ConstitutionCaractereSaisonnier = m_activite3Sur5ConstitutionCaractereSaisonnier;
        break;
      case 49: 
        m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
        break;
      case 50: 
        m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
        break;
      case 51: 
        m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
        break;
      case 52: 
        m_dureeTheoriqueConstitutionDurees = m_dureeTheoriqueConstitutionDurees;
        break;
      case 53: 
        m_dureeImputationConstitutionDurees = m_dureeImputationConstitutionDurees;
        break;
      case 54: 
        m_dureeEffectiveConstitutionDurees = m_dureeEffectiveConstitutionDurees;
        break;
      case 55: 
        m_salaireReferenceNonPlafonneConstitutionSjr = m_salaireReferenceNonPlafonneConstitutionSjr;
        break;
      case 56: 
        m_totalPrimesExceptionnellesRetenuesConstitutionSjr = m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
        break;
      case 57: 
        m_totalPrimesNormalesRetenuesConstitutionSjr = m_totalPrimesNormalesRetenuesConstitutionSjr;
        break;
      case 58: 
        m_totalSalairesRetenusConstitutionSjr = m_totalSalairesRetenusConstitutionSjr;
        break;
      case 59: 
        m_prcConstitutionSjr = m_prcConstitutionSjr;
        break;
      case 60: 
        m_plafondSjrConstitutionSjr = m_plafondSjrConstitutionSjr;
        break;
      case 61: 
        m_sjrInitialConstitutionSjr = m_sjrInitialConstitutionSjr;
        break;
      case 62: 
        m_dateEvenementConstitutionSjr = m_dateEvenementConstitutionSjr;
        break;
      case 63: 
        m_plafondConstitutionSjc = m_plafondConstitutionSjc;
        break;
      case 64: 
        m_sjcInitialConstitutionSjc = m_sjcInitialConstitutionSjc;
        break;
      case 65: 
        m_dateEvenementConstitutionSjc = m_dateEvenementConstitutionSjc;
        break;
      case 66: 
        m_sjnprConstitutionSjr = m_sjnprConstitutionSjr;
        break;
      case 67: 
        m_autresIndemnitesLegalesConstitutionDelais = m_autresIndemnitesLegalesConstitutionDelais;
        break;
      case 68: 
        m_presenceTransactionConstitutionDelais = m_presenceTransactionConstitutionDelais;
        break;
      case 69: 
        m_quantiteJourImputationForceConstitutionDurees = m_quantiteJourImputationForceConstitutionDurees;
        break;
      case 70: 
        m_quantiteTotalJourImputationConstitutionDurees = m_quantiteTotalJourImputationConstitutionDurees;
        break;
      case 71: 
        m_estAccordPlusDe182jCsrConstitutionDurees = m_estAccordPlusDe182jCsrConstitutionDurees;
        break;
      case 72: 
        m_dateMaxiIndemnisationCsrConstitutionDurees = m_dateMaxiIndemnisationCsrConstitutionDurees;
        break;
      case 73: 
        m_debutCarencePreavisLegalConstitutionDelais = m_debutCarencePreavisLegalConstitutionDelais;
        break;
      case 74: 
        m_termeCarencePreavisLegalConstitutionDelais = m_termeCarencePreavisLegalConstitutionDelais;
        break;
      case 75: 
        m_nbJoursCarencePreavisLegalConstitutionDelais = m_nbJoursCarencePreavisLegalConstitutionDelais;
        break;
      case 76: 
        m_montantDroitAssocieConstitutionMontantsBruts = m_montantDroitAssocieConstitutionMontantsBruts;
        break;
      case 77: 
        m_typeMontantRetenuConstitutionMontantsBruts = m_typeMontantRetenuConstitutionMontantsBruts;
        break;
      case 78: 
        m_contexteParticulierSjr = m_contexteParticulierSjr;
        break;
      case 79: 
        m_contexteParticulierSjc = m_contexteParticulierSjc;
        break;
      case 80: 
        m_dateLimiteIndem = m_dateLimiteIndem;
        break;
      case 81: 
        m_dateDebutIndem = m_dateDebutIndem;
        break;
      case 82: 
        m_contexteDateLimiteIndemnisation = m_contexteDateLimiteIndemnisation;
        break;
      case 83: 
        m_estDureeTheoriquePlafonneeConstitutionDurees = m_estDureeTheoriquePlafonneeConstitutionDurees;
        break;
      case 84: 
        m_sommeMontantRevisionConstitutionSjr = m_sommeMontantRevisionConstitutionSjr;
        break;
      case 85: 
        m_dureePostPrimeCspConstitutionDurees = m_dureePostPrimeCspConstitutionDurees;
        break;
      case 86: 
        m_sjrMontantMaxAspConstitutionMontantsBruts = m_sjrMontantMaxAspConstitutionMontantsBruts;
        break;
      case 87: 
        m_dureeImputationPostPrime = m_dureeImputationPostPrime;
        break;
      case 88: 
        m_eligibleAllongementAREFConstitutionDurees = m_eligibleAllongementAREFConstitutionDurees;
        break;
      case 89: 
        m_dureeAllongementAREFConstitutionDurees = m_dureeAllongementAREFConstitutionDurees;
        break;
      case 90: 
        m_droitInterimaireConstitutionReglementApplicable = m_droitInterimaireConstitutionReglementApplicable;
        break;
      case 91: 
        m_sjrTheoriqueConstitutionSjr = m_sjrTheoriqueConstitutionSjr;
        break;
      case 92: 
        m_coeffReducteurSjrConstitutionSjr = m_coeffReducteurSjrConstitutionSjr;
        break;
      case 93: 
        m_plancherCoefficientSjrConstitutionSjr = m_plancherCoefficientSjrConstitutionSjr;
        break;
      case 94: 
        m_dureeCalculeeConstitutionDurees = m_dureeCalculeeConstitutionDurees;
        break;
      case 95: 
        m_dureeMinimaleConstitutionDurees = m_dureeMinimaleConstitutionDurees;
        break;
      case 96: 
        m_dureeMaximaleConstitutionDurees = m_dureeMaximaleConstitutionDurees;
        break;
      case 97: 
        m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
        break;
      case 98: 
        m_listeSjrActiviteConserveeConstitutionSjc = m_listeSjrActiviteConserveeConstitutionSjc;
        break;
      case 99: 
        m_carences = m_carences;
        break;
      case 100: 
        m_listePensionInvaliditeMontantBrut = m_listePensionInvaliditeMontantBrut;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsReprisePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */