package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.outilsfonctionnels.OutilFinDroit;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnChargeSansFiltre;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.spec.EvenementReferenceExamenFinDroitSpec;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class DeterminationDateAttribution
{
  public static DeterminationDateAttribution getInstance()
  {
    return new DeterminationDateAttribution();
  }
  
  public Damj determinerDateAttributionTheoriquePourAdmission(Demande p_demande)
  {
    return p_demande.getDateExamen();
  }
  
  public Damj determinerDateAttributionTheoriquePourAdmissionCsr(Demande p_demande)
  {
    Damj dateAttribution = p_demande.getDonneesTemporaires().getNouvelleDateAttributionChomageTotalSansRupture();
    if (dateAttribution == null) {
      dateAttribution = p_demande.getDateExamen();
    }
    return dateAttribution;
  }
  
  public Damj determinerDateAttributionTheoriquePourReprise(Demande p_demande)
    throws CoucheLogiqueException
  {
    return p_demande.getDateExamen();
  }
  
  public Damj determinerDateAttributionTheoriquePourRevision(Demande p_demande)
    throws CoucheLogiqueException
  {
    if (p_demande.getDonneesTemporaires().getDateEffetActConserveeDonneesTemporaire() != null) {
      return p_demande.getDonneesTemporaires().getDateEffetActConserveeDonneesTemporaire();
    }
    return p_demande.getDateExamen();
  }
  
  public Damj determinerDateAttributionTheoriquePourFinDroit(Demande demande)
  {
    Damj dodTheorique = null;
    if (OutilFinDroit.estUneDemandeFinDroitSuiteSP(demande))
    {
      dodTheorique = demande.getDonneesTemporaires().getDjiSpFinDroit().lendemain();
    }
    else
    {
      EvenementReferenceExamenFinDroitSpec ere = (EvenementReferenceExamenFinDroitSpec)demande.getEvenementReferenceExamen();
      dodTheorique = ere.calculerDateExamenHorsLiquidation(demande);
    }
    return dodTheorique;
  }
  
  public Damj determinerDateAttributionTheoriquePourFinancementBasculeCrpCtp(Demande p_demande)
  {
    Damj dodTheorique = null;
    
    ObjetChronoPeriodePriseEnChargeSansFiltre periodePEC = OutillagePEC.getPeriodePEC(p_demande.getDemandeur(), p_demande.getFormulaire().getIdPec());
    if (periodePEC != null) {
      dodTheorique = periodePEC.getDateDebut();
    }
    return dodTheorique;
  }
}

/* Location:
 * Qualified Name:     DeterminationDateAttribution
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */