package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.dom.QuantiteDroit;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.util.Quantite;
import java.util.List;

public class RechercheConditionDureeNonNulle
{
  public static RechercheConditionDureeNonNulle getInstance()
  {
    return new RechercheConditionDureeNonNulle();
  }
  
  public ResultatElementDroit rechercherConditionDureeNonNulle(Demande p_demande)
  {
    DossierAffectation dossierAffectation = (DossierAffectation)p_demande.getDossierAffectation();
    AttributionAssuranceSpec attribution = (AttributionAssuranceSpec)dossierAffectation.getDossierExamen();
    
    ResultatElementDroit resultatElementDroit = new ResultatElementDroit();
    
    int premiereDuree = 0;
    Quantite dureeReglementaireProduitResultantARE = ((QuantiteDroit)attribution.getListeDurees().get(premiereDuree)).getQuantiteInitial();
    if ((dureeReglementaireProduitResultantARE != null) && (dureeReglementaireProduitResultantARE.getValeurEntiere() == 0))
    {
      if (p_demande.estUneDemandeFinDroitAtp())
      {
        resultatElementDroit.setEtatSatisfait(false);
        resultatElementDroit.setCodeMotifEchec(802);
      }
      else if (p_demande.estUneDemandeFinDroitAsp())
      {
        resultatElementDroit.setEtatSatisfait(false);
        resultatElementDroit.setCodeMotifEchec(803);
      }
      else
      {
        resultatElementDroit.setEtatSatisfait(false);
        resultatElementDroit.setCodeMotifEchec(801);
      }
    }
    else {
      resultatElementDroit.setEtatSatisfait(true);
    }
    return resultatElementDroit;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionDureeNonNulle
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */