package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.fabriques.FabriqueConventionTransitoire2014;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieDureeDelaiRechercheApresARE14;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieDureeDelaiRechercheAvantARE14;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieDelaiRechercheConventionTransitoire2014
  extends FabriqueConventionTransitoire2014
{
  private static FabriqueStrategieDelaiRechercheConventionTransitoire2014 s_instance = new FabriqueStrategieDelaiRechercheConventionTransitoire2014();
  
  public static FabriqueStrategieDelaiRechercheConventionTransitoire2014 getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieISLR : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = new StrategieDureeDelaiRechercheApresARE14();
    } else {
      retour = new StrategieDureeDelaiRechercheAvantARE14();
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDelaiRechercheConventionTransitoire2014
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */