package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.novation;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ConstitutionSjcSpec;
import fr.unedic.cali.asu.dom.ElementBaseActiviteReduite;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.SjrActiviteConserveeSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilMappingSjmSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.SjcipSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public final class OutilConstitutionSjc
{
  public static void alimenterSjcPourReprise(AttributionAssuranceSpec atribution, ConstitutionSjcSpec constitutionSjc, SjcipSpec sjcip, ProduitAsuSpec produitCourant)
  {
    AttributionAssuranceSpec attributionPrecedente = atribution.getAttributionPrecedente();
    if (attributionPrecedente != null)
    {
      ElementBaseActiviteReduite ebacAttributionPrecedente = atribution.getElementBaseActiviteReduite();
      
      Sjc sjcAttributionPrecedente = ebacAttributionPrecedente.getSjc();
      if (sjcAttributionPrecedente != null)
      {
        Damj dateEffet = sjcAttributionPrecedente.getDateDepart();
        BigDecimal sjcInitial = sjcAttributionPrecedente.getSalaire();
        sjcip.setDateEvenement(dateEffet);
        sjcip.setSjcInitial(new QuantiteEuro(sjcInitial));
        
        Collection<SjrActiviteConserveeSpec> listeActivitesConservees = atribution.getElementBaseActiviteReduite().getListeSjrActiviteConservee();
        if (listeActivitesConservees != null)
        {
          Iterator<SjrActiviteConserveeSpec> itActiviteConservee = listeActivitesConservees.iterator();
          while (itActiviteConservee.hasNext()) {
            sjcip.ajouterSjrActiviteConservee((SjrActiviteConserveeSpec)((SjrActiviteConserveeSpec)itActiviteConservee.next()).copie());
          }
        }
        Sjc sjcrpCalcule = OutilMappingSjmSjr.convertirSjc(((ProduitAsuSpec)attributionPrecedente.getProduit()).getSalaireConserve(attributionPrecedente, atribution.getDateAttribution()));
        
        constitutionSjc.setSjcrp(sjcrpCalcule);
      }
    }
  }
}

/* Location:
 * Qualified Name:     OutilConstitutionSjc
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */