package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieExtinctionReliquatSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreDemandeDecisionneeOuClasseeSP;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.temps.Damj;
import org.apache.commons.lang.StringUtils;

public class StrategieExtinctionReliquatAvantARE2014
  implements StrategieExtinctionReliquatSpec
{
  public Damj determinerDateExtinctionReliquatSurObjectifReprise(DemandeSpec p_demande)
  {
    ConditionQuantiteAffiliationSpec conditionQuantiteAffiliation = null;
    
    Demande demandePrecedente = (Demande)OutilRecherche.rechercherDemandePrecedente(p_demande.getChronologieDemandesAssuranceSansCourante(), p_demande, new FiltreDemandeDecisionneeOuClasseeSP());
    if (demandePrecedente != null)
    {
      if ((demandePrecedente.getDossierExamen() instanceof AttributionSpec)) {
        return null;
      }
      if ((demandePrecedente.getDossierExamen() instanceof RejetSpec))
      {
        conditionQuantiteAffiliation = ((DossierExamenAssuranceSpec)demandePrecedente.getDossierExamen()).getConditionQuantiteAffiliation();
        if ((conditionQuantiteAffiliation == null) || (!conditionQuantiteAffiliation.estSatisfait())) {
          return determinerDateExtinctionReliquatSurObjectifReprise(demandePrecedente);
        }
        if (conditionQuantiteAffiliation.estSatisfait()) {
          return demandePrecedente.getDateRecherche();
        }
        return determinerDateExtinctionReliquatSurObjectifReprise(demandePrecedente);
      }
      if ((demandePrecedente.getClassementAdministratif() != null) && (!estClasseSP(demandePrecedente))) {
        return determinerDateExtinctionReliquatSurObjectifReprise(demandePrecedente);
      }
    }
    return null;
  }
  
  private boolean estClasseSP(Demande p_demande)
  {
    if (StringUtils.equalsIgnoreCase("SP", p_demande.getClassementAdministratif().getTypeClassement())) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     StrategieExtinctionReliquatAvantARE2014
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */