package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConditionFaitGenerateurGen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.parcours.ContexteParcoursCali;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class ConditionFaitGenerateur
  extends ConditionFaitGenerateurGen
  implements FaitGenerateurSpec
{
  private static final long serialVersionUID = 1L;
  private transient ActiviteSalarie m_periodeFaitGenerateur = null;
  
  private ConditionFaitGenerateur() {}
  
  public ConditionFaitGenerateur(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionFaitGenerateur copie = (ConditionFaitGenerateur)p_copie;
    super.copieElements(copie);
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setAgeIndividuDateFG(getAgeIndividuDateFG());
    copie.setDateEvenement(getDateEvenement());
    copie.setDateFinPeriodeFG(getDateFinPeriodeFG());
    copie.setIdentifiantPeriodeFG(getIdentifiantPeriodeFG());
    copie.setMotifFinPeriodeFG(getMotifFinPeriodeFG());
    copie.setRefusAdhesionFne(getRefusAdhesionFne());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    if (p_etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public Damj getDateEngagementProcedure()
  {
    return null;
  }
  
  public Damj getDateFaitGenerateur()
  {
    return getDateFinPeriodeFG();
  }
  
  public String getMotifFinPeriode()
  {
    return getMotifFinPeriodeFG();
  }
  
  public Quantite getNombreJoursFaitGenerateur()
  {
    return new Quantite(0, Unite.getParCode("4"));
  }
  
  public ActiviteSalarie getPeriodeFaitGenerateur()
  {
    if (m_periodeFaitGenerateur == null)
    {
      Individu individuCourant = ContexteParcoursCali.getIndividuCourant();
      
      m_periodeFaitGenerateur = ((ActiviteSalarie)individuCourant.rechercherPeriodePasseProfessionnel(getIdentifiantPeriodeFG()));
    }
    return m_periodeFaitGenerateur;
  }
  
  public BigDecimal getRefusFne()
  {
    if ((getPeriodeFaitGenerateur() != null) && (getPeriodeFaitGenerateur().getContrat() != null)) {
      return getPeriodeFaitGenerateur().getContrat().getRefusFne();
    }
    return null;
  }
  
  public void setPeriodeFaitGenerateur(ActiviteSalarie p_periodeFaitGenerateur)
  {
    m_periodeFaitGenerateur = p_periodeFaitGenerateur;
    if (p_periodeFaitGenerateur != null)
    {
      setIdentifiantPeriodeFG(p_periodeFaitGenerateur.getIdentifiant());
      setMotifFinPeriodeFG(p_periodeFaitGenerateur.getMotifFin());
      setDateFinPeriodeFG(p_periodeFaitGenerateur.getDateFin());
    }
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public int getCodeBassinCtp()
  {
    return 0;
  }
  
  public String getIdentifiantPeriodeFaitGenerateur()
  {
    return getIdentifiantPeriodeFG();
  }
  
  public void setIdentifiantPeriodeFaitGenerateur(String p_identifiant)
  {
    setIdentifiantPeriodeFG(p_identifiant);
  }
}

/* Location:
 * Qualified Name:     ConditionFaitGenerateur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */