package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConditionQuantiteAffiliationGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;

public class ConditionQuantiteAffiliation
  extends ConditionQuantiteAffiliationGen
  implements ConditionQuantiteAffiliationSpec
{
  private transient ValidationProduit m_validationProduit;
  
  private ConditionQuantiteAffiliation() {}
  
  public ConditionQuantiteAffiliation(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionQuantiteAffiliation copie = (ConditionQuantiteAffiliation)p_copie;
    super.copieElements(copie);
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setEtatPndsPourCalculAffi(getEtatPndsPourCalculAffi());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    if (p_etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public Quantite getQuantiteAppartenance()
  {
    Quantite qteRetour = new Quantite(0, Unite.get("jour d'affiliation"));
    if ((m_validationProduit != null) && (m_validationProduit.getQuantiteAcquise() != null)) {
      qteRetour = m_validationProduit.getQuantiteAcquise();
    }
    return qteRetour;
  }
  
  public Quantite getQuantiteAppartenanceSecondaire()
  {
    return new Quantite(0, Unite.get("jour d'affiliation"));
  }
  
  public ValidationProduit getValidationProduit()
  {
    return m_validationProduit;
  }
  
  public void setValidationProduit(ValidationProduit p_validationProduit)
  {
    m_validationProduit = p_validationProduit;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ConditionQuantiteAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */