package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.JustificationSRPeriodeActiviteGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.Iterator;

public class JustificationSRPeriodeActivite
  extends JustificationSRPeriodeActiviteGen
  implements ObjetPersistantSpec
{
  public JustificationSRPeriodeActivite() {}
  
  public JustificationSRPeriodeActivite(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationSRPeriodeActivite copie = new JustificationSRPeriodeActivite();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationSRPeriodeActivite copie = (JustificationSRPeriodeActivite)p_copie;
    super.copieElements(copie);
    copie.setPeriode(getPeriode() != null ? new Periode(getPeriode().getDebut(), getPeriode().getFin()) : null);
    
    copie.setRaisonSociale(getRaisonSociale());
    copie.setReglement(getReglement());
    copie.setMontantPlafond(getMontantPlafond());
    copie.setMontantSalairePlafonne(getMontantSalairePlafonne());
    copie.setMontantSalaireNonPlafonne(getMontantSalaireNonPlafonne());
    Iterator iter = getCollectionPeriodeRemuneration().iterator();
    while (iter.hasNext())
    {
      JustificationSRPeriodeRemuneration salaireACloner = (JustificationSRPeriodeRemuneration)iter.next();
      if (salaireACloner != null)
      {
        JustificationSRPeriodeRemuneration salaireClone = (JustificationSRPeriodeRemuneration)salaireACloner.copie();
        copie.ajouterPeriodeRemuneration(salaireClone);
      }
    }
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getCollectionPeriodeRemuneration());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void remplacerCollectionPeriodeRemuneration(Collection collectionACopier)
  {
    for (Iterator iter = super.getCollectionPeriodeRemuneration().iterator(); iter.hasNext();)
    {
      JustificationSRPeriodeRemuneration element = (JustificationSRPeriodeRemuneration)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionPeriodeRemuneration(collectionACopier);
  }
}

/* Location:
 * Qualified Name:     JustificationSRPeriodeActivite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */