package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class ConditionAncienneteGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  private Damj m_dateDernierEvtEtudie;
  
  public ConditionAncienneteGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionAncienneteGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAnciennete();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAnciennete();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionAnciennete(p_etat);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAnciennete();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAnciennete();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionAnciennete(p_codeMotifEchec);
  }
  
  protected Damj rawGetDateDernierEvtEtudie()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateDernierEvenementEtudieConditionAnciennete();
  }
  
  public Damj getDateDernierEvtEtudie()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateDernierEvenementEtudieConditionAnciennete();
  }
  
  public void setDateDernierEvtEtudie(Damj p_dateDernierEvtEtudie)
  {
    if ((m_dateDernierEvtEtudie == null) || (p_dateDernierEvtEtudie == null))
    {
      m_dateDernierEvtEtudie = p_dateDernierEvtEtudie;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateDernierEvenementEtudieConditionAnciennete(p_dateDernierEvtEtudie);
    }
    else if ((m_dateDernierEvtEtudie != null) && (p_dateDernierEvtEtudie != null) && (!p_dateDernierEvtEtudie.equals(m_dateDernierEvtEtudie)))
    {
      m_dateDernierEvtEtudie = p_dateDernierEvtEtudie;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateDernierEvenementEtudieConditionAnciennete(p_dateDernierEvtEtudie);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setEtat(0);
    setCodeMotifEchec(0);
    setDateDernierEvtEtudie(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionAncienneteGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */