package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConstitutionReglementApplicableGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private String m_nomReglement;
  
  public ConstitutionReglementApplicableGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionReglementApplicableGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected String rawGetNomReglement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNomReglementConstitutionReglementApplicable();
  }
  
  public String getNomReglement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNomReglementConstitutionReglementApplicable();
  }
  
  public void setNomReglement(String p_nomReglement)
  {
    if ((m_nomReglement == null) || (p_nomReglement == null))
    {
      m_nomReglement = p_nomReglement;
      ((ConstitutionElementsAbstraitPC)getPC()).setNomReglementConstitutionReglementApplicable(p_nomReglement);
    }
    else if ((m_nomReglement != null) && (p_nomReglement != null) && (!p_nomReglement.equals(m_nomReglement)))
    {
      m_nomReglement = p_nomReglement;
      ((ConstitutionElementsAbstraitPC)getPC()).setNomReglementConstitutionReglementApplicable(p_nomReglement);
    }
  }
  
  protected int rawGetCodeProduitReglement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCodeProduitReglementConstitutionReglementApplicable();
  }
  
  public int getCodeProduitReglement()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCodeProduitReglementConstitutionReglementApplicable();
  }
  
  public void setCodeProduitReglement(int p_codeProduitReglement)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setCodeProduitReglementConstitutionReglementApplicable(p_codeProduitReglement);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setNomReglement(null);
    setCodeProduitReglement(0);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionReglementApplicableGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */