package fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.spec;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.PeriodeElementaireAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.dom.ParametresCalculAffiliation;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;

public abstract interface ParametresAffiliationSpec
  extends OutilFonctionnel
{
  public abstract BigDecimal determinerQuantiteAffiliationRequise(ParametresCalculAffiliation paramParametresCalculAffiliation);
  
  public abstract DureeCalendaire determinerDureePeriodeReference(ParametresCalculAffiliation paramParametresCalculAffiliation);
  
  public abstract BigDecimal determinerPlafondHeureApplicable(PeriodeElementaireAffiliation paramPeriodeElementaireAffiliation, Chronologie paramChronologie);
  
  public abstract BigDecimal determinerPlafondCachetSurPeriodeElementaire(PeriodeElementaireAffiliation paramPeriodeElementaireAffiliation);
  
  public abstract Quantite determinerPlafondHeureEnseignement(IndividuSpec paramIndividuSpec, ComportementAffiliationSpec paramComportementAffiliationSpec);
  
  public abstract Quantite determinerPlafondHeureFormation(ComportementAffiliationSpec paramComportementAffiliationSpec, Quantite paramQuantite);
  
  public abstract Quantite calculerQuantiteHeureMaterniteAdoptionAccidentTravail(int paramInt);
  
  public abstract Quantite calculerQuantiteHeureSuspension(int paramInt);
  
  public abstract Quantite calculerQuantiteHeureNonExecution(int paramInt);
  
  public abstract void determinerPlafondMonoEmployeur(PeriodeElementaireAffiliation paramPeriodeElementaireAffiliation);
}

/* Location:
 * Qualified Name:     ParametresAffiliationSpec
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */