package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategieDelaisReportApres1erDecembre2010;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategieDelaisReportAvant1erDecembre2010;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategieDelaisReportSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieDelaisReport
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_PIVOT = new Damj(2010, 12, 1);
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieDelaisReportSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieActiviteReduitePansConservee : la date pivot delais report spectacle est nulle.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_PIVOT)) {
      strategie = new StrategieDelaisReportApres1erDecembre2010();
    } else {
      strategie = new StrategieDelaisReportAvant1erDecembre2010();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDelaisReport
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */