package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategiePensionInvaliditeApres1erJuin2011;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategiePensionInvaliditeAvant1erJuin2011;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategiePensionInvaliditeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategiePensionInvalidite
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_PIVOT = new Damj(2011, 6, 1);
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategiePensionInvaliditeSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategiePensionInvalidite : la date pivot spectacle est nulle.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_PIVOT)) {
      strategie = new StrategiePensionInvaliditeApres1erJuin2011();
    } else {
      strategie = new StrategiePensionInvaliditeAvant1erJuin2011();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategiePensionInvalidite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */