package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.OutilDeterminationDelaisReportSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieDelaisReport;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;

public class ConstitutionDelaisReport
  extends ParcoursCali
  implements ParcoursAssurance
{
  private Damj pjiSuiteAppelCalcul = null;
  
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA08 = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    OutilDeterminationDelaisReportSpec outilDeterminationDelaisReport = getOutilDeterminationDelaisReport(demande);
    
    outilDeterminationDelaisReport.determinerCarencePourAdmission(demande);
    
    ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamenCourant, null, false);
    
    setPjiSuiteAppelCalcul(resultatCalcul.getPji());
    
    outilDeterminationDelaisReport.alimenterCEPAvecResultatCalcul(demande, resultatCalcul);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA08;
  }
  
  protected OutilDeterminationDelaisReportSpec getOutilDeterminationDelaisReport(Demande demande)
    throws CoucheLogiqueException
  {
    Damj dateFaitGenerateur = ((DossierExamen)demande.getDossierExamen()).getConditionFaitGenerateur().getDateFaitGenerateur();
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(dateFaitGenerateur);
    FabriqueStrategieDelaisReport fabrique = new FabriqueStrategieDelaisReport();
    return (OutilDeterminationDelaisReportSpec)fabrique.getStrategie(critere);
  }
  
  public void setPjiSuiteAppelCalcul(Damj pjiSuiteAppelCalcul)
  {
    this.pjiSuiteAppelCalcul = pjiSuiteAppelCalcul;
  }
  
  public Damj getPjiSuiteAppelCalcul()
  {
    return pjiSuiteAppelCalcul;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaisReport
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */