package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.OutilDeterminationDelaisReportSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategieDelaisReportApres1erDecembre2010;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.util.List;

public class ConstitutionDelaisReportPourReprise
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA08 = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    DomLiquidationAssurance dom = (DomLiquidationAssurance)p_contexte.getDonnees();
    
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    List listeCarenceEffectives = null;
    
    listeCarenceEffectives = dom.getResultatExecutionCalculDroitPrecedent().getListeCarencesEffectives();
    
    getOutilDeterminationDelaisReport().determinerCarencePourReprise(demande, listeCarenceEffectives);
    
    ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamenCourant, null, false);
    
    getOutilDeterminationDelaisReport().alimenterCEPAvecResultatCalcul(demande, resultatCalcul);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA08;
  }
  
  protected OutilDeterminationDelaisReportSpec getOutilDeterminationDelaisReport()
  {
    return StrategieDelaisReportApres1erDecembre2010.getInstance();
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaisReportPourReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */