package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class ConstitutionPointDepartIndemnisation
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultatCEPA16 = new Resultat(0);
    
    ecrireTrace(Niveau.DEBUG, "demarrer", "\t\t******** Début Parcours ConstitutionPointDepartIndemnisation ********");
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamenCourant, null, false);
    
    fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionPointDepartIndemnisation cepa = dossierExamenCourant.getConstitutionElementsActifs().createConstitutionPointDepartIndemnisation();
    
    cepa.setPointDepartIndemnisation(resultatCalcul.getPji());
    
    ecrireTrace(Niveau.DEBUG, "demarrer", "\t\t******** Résultat Parcours ConstitutionPointDepartIndemnisation ********\n" + resultatCEPA16);
    
    ecrireTrace(Niveau.DEBUG, "demarrer", "\t\t******** Fin Parcours ConstitutionPointDepartIndemnisation ********\n");
    
    return resultatCEPA16;
  }
}

/* Location:
 * Qualified Name:     ConstitutionPointDepartIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */