package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.RechercheConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionCumulPrestationFamiliale
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: determination condition Cumul Prestation familiale impossible.");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getDemandeur() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Le demandeur est null: determination condition Cumul Prestation familiale impossible.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCapa17 = new Resultat(1);
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demandeCourante.getDossierExamen();
    
    ResultatElementDroit capa17 = RechercheConditionCumulPrestationFamiliale.getInstance().rechercherConditionCumulPrestationFamiliale(demandeCourante);
    
    ConditionCumulPrestationFamiliale conditionCumulPrestationFamiliale = dossierExamenCourant.getConditionsAttributionActives().createConditionCumulPrestationFamiliale();
    
    conditionCumulPrestationFamiliale.setEtatSatisfait(capa17.estSatisfait());
    conditionCumulPrestationFamiliale.setCodeMotifEchec(capa17.getCodeMotifEchec());
    resultatCapa17.setEtat(capa17.getEtat());
    resultatCapa17.setMessageErreur(Integer.toString(capa17.getCodeMotifEchec()));
    
    OutilTrace.tracerFinParcours();
    
    return resultatCapa17;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionCumulPrestationFamiliale
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */