package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.mnt.dom.ConditionDecisionCPMaintien;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DonneesForcees;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionDecisionCPPourMaintien
  extends ParcoursCali
  implements ParcoursAssurance
{
  public static DemandeSpec getDemande(Contexte p_contexte)
  {
    return ((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    Resultat resultatCam05 = new Resultat(1);
    DemandeMaintien demandeMaintien = (DemandeMaintien)getDemande(p_contexte);
    
    OutilTrace.tracerDebutParcours();
    
    ConditionDecisionCPMaintien conditionDecisionCP = new ConditionDecisionCPMaintien();
    
    conditionDecisionCP.setEtatSatisfait(true);
    if (demandeMaintien.getDonneesForcees().getDecisionCPFavorable() != 0)
    {
      conditionDecisionCP.setDepartVolontaire(demandeMaintien.getDonneesForcees().estMotifDepartVolontaire());
      conditionDecisionCP.setDecisionCPFavorable(demandeMaintien.getDonneesForcees().estDecisionCPFavorable());
      if (!demandeMaintien.getDonneesForcees().estDecisionCPFavorable())
      {
        conditionDecisionCP.setCodeMotifEchec(986);
        conditionDecisionCP.setEtatSatisfait(false);
      }
    }
    if (conditionDecisionCP.estSatisfait())
    {
      resultatCam05.setEtat(0);
    }
    else
    {
      resultatCam05.setEtat(1);
      resultatCam05.setMessageErreur(Integer.toString(conditionDecisionCP.getCodeMotifEchec()));
    }
    demandeMaintien.getDossierExamen().setConditionDecisionCP(conditionDecisionCP);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCam05;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionDecisionCPPourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */