package fr.unedic.cali.asu.spe02.p03.migration.graphes.recalcul;

import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.Montant;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerMontantBrutDroitCourant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    MontantAsuSpec montantBrut = null;
    try
    {
      GammeAsuSpec gamme = (GammeAsuSpec)attribution.getGamme();
      DonneesEntreesRecuperationMontant donneesEntreesRecuperationMontant = gamme.mapperDonneesEntreesRecuperationMontant(attribution);
      donneesEntreesRecuperationMontant.setDateCalculMontant(attribution.getDateEffet());
      montantBrut = (Montant)DeterminationMontant.determinerMontant(donneesEntreesRecuperationMontant);
    }
    catch (CoucheLogiqueException ex)
    {
      throw new ApplicativeRuntimeException("", ex);
    }
    QuantiteEuro montantBrutEuros = new QuantiteEuro(montantBrut.getMontantPrecompteEffectif().getValeur());
    attribution.getConstitutionMontantsBruts().setMontantJournalierBrut(montantBrutEuros);
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerMontantBrutDroitCourant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */