package fr.unedic.cali.asu.spe02.p04;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.spe02.p04.liquidation.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.spe02.p04.liquidation.outilsfonctionnels.OutilCalculDiffereStandard;
import fr.unedic.cali.asu.spe02.p04.parametres.Parametres;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.PasAssezInformationException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;

public class ProduitDelegue
  extends fr.unedic.cali.asu.spe02.p03.ProduitDelegue
{
  public DureeCalendaire getAgeMinimumObtentionMaintien(DemandeSpec p_demande)
  {
    DureeCalendaire dc = null;
    switch (p_demande.getDemandeur().getDateNaissance().getAnnee())
    {
    case 1953: 
      dc = Parametres.AGE_MINIMUM_MAINTIEN_61_ANS_2_MOIS;
      break;
    case 1954: 
      dc = Parametres.AGE_MINIMUM_MAINTIEN_61_ANS_7_MOIS;
      break;
    default: 
      dc = Parametres.AGE_MINIMUM_MAINTIEN_62_ANS;
    }
    return dc;
  }
  
  public Quantite getDiffereStandard(DemandeSpec p_demande, BigDecimal p_remuneration)
    throws PasAssezInformationException
  {
    return new OutilCalculDiffereStandard().calculerDiffereStandard((DemandeAssuranceSpec)p_demande, null, p_remuneration);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec p_dossierExamen, DemandePivot p_demandePivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    AlimentationBasePivot.getInstance().alimenterDonneesProduit(p_dossierExamen, p_demandePivot);
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */