package fr.unedic.cali.asu.spe02.p05.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.asu.parametres.EvenementParametre;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.Montant;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.MontantAREF;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantAREFSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FormuleMontantAREF
  extends FormuleMontantRegimeGeneral
  implements FormuleMontantAREFSpec
{
  public static String getCode()
  {
    return "2";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation constituantsIndemnisation, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    Montant montant = null;
    MontantAREF montantAREF = null;
    EvenementParametre evenementParametre = null;
    
    evenementParametre = ParametresIndemnisation.getParametresIndemnisation().getElementActif(dateCalcul);
    
    montant = (Montant)super.calculer(constituantsIndemnisation, dateCalcul);
    
    montantAREF = new MontantAREF(montant);
    
    montantAREF.setMini(new Quantite(evenementParametre.getSeuilMinimalAREF(), UniteMonaitaire.EUROS));
    montantAREF.setMontantBrut(new Quantite(montant.getMontantBrut().getValeur().max(montantAREF.getMini().getValeur()), UniteMonaitaire.EUROS));
    if (montantAREF.getMontantBrut().equals(montantAREF.getMini())) {
      montantAREF.setJustificationCalculMontant("04");
    }
    if (((constituantsIndemnisation.getElementBaseIndemnisationCourant() instanceof ElementBaseIndemnisationAREF)) && (((ElementBaseIndemnisationAREF)constituantsIndemnisation.getElementBaseIndemnisationCourant()).estEffectif())) {
      montantAREF.setType("FORMATION EFFECTIVE");
    }
    return montantAREF;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantAREF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */