package fr.unedic.cali.asu.spe02.p05.liquidation.dom;

import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import java.util.List;

public class FabriqueObjectifExamen
  implements FabriqueObjectifExamenSpec
{
  private static FabriqueObjectifExamenSpec instanceUnique = null;
  
  public ObjectifExamen creerObjectif(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    ObjectifExamen objectif = null;
    if (estAdmission(sousType)) {
      objectif = creerObjectifAdmission(contexteDemande);
    } else if (estReprise(sousType)) {
      objectif = creerObjectifReprise(contexteDemande);
    } else {
      throw new UnsupportedOperationException("FabriqueObjectifExamen : le sous-type " + sousType + " est inconnu.");
    }
    objectif.setSousType(sousType);
    return objectif;
  }
  
  protected ObjectifExamen creerObjectifAdmission(List<ContexteDemandeSpec> contexteDemande)
  {
    return new ObjectifExamenAdmission(contexteDemande);
  }
  
  protected ObjectifExamen creerObjectifReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    return new ObjectifExamenReprise(contexteDemande);
  }
  
  public static FabriqueObjectifExamenSpec getInstance()
  {
    if (instanceUnique == null) {
      instanceUnique = new FabriqueObjectifExamen();
    }
    return instanceUnique;
  }
  
  protected boolean estAdmission(int sousType)
  {
    boolean estAdmission = false;
    if ((10 == sousType) || (11 == sousType) || (12 == sousType) || (26 == sousType)) {
      estAdmission = true;
    }
    return estAdmission;
  }
  
  protected boolean estReprise(int sousType)
  {
    return NaturesDecisions.estdeTypeReprise(sousType);
  }
}

/* Location:
 * Qualified Name:     FabriqueObjectifExamen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */