package fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation;

import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Pra;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ValidationProduit;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.dom.ParametresCalculAffiliation;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpe02P05;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.CalculDelais;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;

public final class ConstructionPra
{
  public static Pra determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    ValidationProduit vp = (ValidationProduit)((DossierAffectation)demandeCourante.getDossierAffectation()).getValidationProduit();
    if ((vp != null) && (vp.getPeriodePra() != null)) {
      return new Pra(vp.getPeriodePra());
    }
    ParametresCalculAffiliation parametres = new ParametresCalculAffiliation();
    parametres.setRangEtude(0);
    parametres.setReglementEtudie(ProduitAsuSpe02P05.getInstance().getReglement("A10"));
    DureeCalendaire dureeCalendairePra = new ParametresAffiliation().determinerDureePeriodeReference(parametres);
    Periode periodePra = CalculDelais.determinerDelaiCalendaire(periodeFctCourante.getDateFin(), dureeCalendairePra);
    return new Pra(periodePra);
  }
}

/* Location:
 * Qualified Name:     ConstructionPra
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */