package fr.unedic.cali.asu.spe02.p05.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpectacleSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class ParcoursObjectifAdmission
  extends fr.unedic.cali.asu.parcours.ParcoursObjectifAdmission
{
  protected boolean verifierCapa(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)getDemande(contexte);
    IndividuSpec individu = demande.getDemandeur();
    
    boolean capaSatisfaites = false;
    
    Resultat resultatCapa04 = null;
    Resultat resultatCapa06 = null;
    Resultat resultatCapa07 = null;
    Resultat resultatCapa14 = null;
    Resultat resultatCapa26 = null;
    
    ProduitAsuSpectacleSpec produitCourant = (ProduitAsuSpectacleSpec)getProduit(contexte);
    
    Resultat resultatCapa01 = produitCourant.verifierConditionRechercheEmploi(contexte);
    if (resultatCapa01.estSatisfait())
    {
      resultatCapa04 = produitCourant.verifierConditionFaitGenerateur(contexte);
      
      resultatCapa06 = produitCourant.verifierConditionAge(contexte);
      
      resultatCapa07 = verifierCapa07(resultatCapa04, demande, contexte, individu, produitCourant);
      
      resultatCapa14 = produitCourant.verifierConditionBeneficeAutreProduit(contexte);
      if ((resultatCapa04.estSatisfait()) && (resultatCapa07.estSatisfait()))
      {
        resultatCapa09 = produitCourant.verifierConditionChomageInvolontaire(contexte);
      }
      else
      {
        resultatCapa09 = new Resultat();
        resultatCapa09.setEtat(2);
      }
      resultatCapa26 = produitCourant.verifierConditionAnciennete(contexte);
    }
    boolean capaSatisfaite = (resultatCapa01.estSatisfait()) && (resultatCapa04.estSatisfait()) && (resultatCapa06.estSatisfait()) && (resultatCapa14.estSatisfait());
    if (capaSatisfaite) {
      if (((resultatCapa07.estSatisfait() | resultatCapa07.getEtat() == 2)) && (resultatCapa26.estSatisfait())) {
        capaSatisfaites = true;
      }
    }
    return capaSatisfaites;
  }
  
  private Resultat verifierCapa07(Resultat resultatCapa04, Demande demande, Contexte contexte, IndividuSpec individu, ProduitAsuSpectacleSpec produitCourant)
    throws ApplicativeException
  {
    Resultat resultatCapa07 = new Resultat();
    if (!resultatCapa04.estSatisfait())
    {
      resultatCapa07.setEtat(2);
    }
    else
    {
      activerExclusionChronoPasseProPourLiquidationFCTRevision(demande, individu);
      resultatCapa07 = produitCourant.verifierConditionQuantiteAffiliation(contexte);
      desactiverExclusionChronoPasseProPourLiquidationFCTRevision(demande, individu);
    }
    return resultatCapa07;
  }
  
  protected Resultat verifierConditionAnciennete(Contexte contexte, ProduitAsuSpec produitCourant)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
}

/* Location:
 * Qualified Name:     ParcoursObjectifAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */