package fr.unedic.cali.asu.ssp07.p03;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.FabriqueObjectifExamenSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ValidationProduit;
import fr.unedic.cali.asu.ssp07.p03.liquidation.dom.FabriqueObjectifExamen;
import fr.unedic.cali.asu.ssp07.p03.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSsp07P03;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;
import java.util.List;

public class ProduitDelegue
  extends fr.unedic.cali.asu.fps.ProduitDelegue
{
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    FabriqueObjectifExamenSpec fabrique = FabriqueObjectifExamen.getInstance();
    return fabrique.creerObjectif(sousType, contexteDemande);
  }
  
  public FormuleMontantSpec getFormuleMontant(String p_code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(p_code);
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie p_activiteSalarie, IndividuSpec p_individu, DemandeSpec p_demande, boolean p_avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    ValidationProduit validationProduit = new ValidationProduit();
    validationProduit.setProduitValide(ProduitAsuSsp07P03.getInstance());
    validationProduit.setEstProduitValide(true);
    return validationProduit;
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec p_resultatExecutionCalcul, Damj p_dateEtude)
    throws ApplicativeException
  {
    return fr.unedic.cali.asu.ssp07.p03.liquidation.outilsfonctionnels.OutilTraitementReliquat.getInstance().traiterReliquat(p_resultatExecutionCalcul, p_dateEtude);
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte p_contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */