package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCAOAUMEnumeration
{
  public static final SRCAOAUMEnumeration E_ECRIT = new SRCAOAUMEnumeration("Ecriture d'une ligne de table", "ECRIT");
  public static final SRCAOAUMEnumeration E_MAJ = new SRCAOAUMEnumeration("Mise Ã  jour d'une ligne de table", "MAJ");
  public static final SRCAOAUMEnumeration E_SUPP = new SRCAOAUMEnumeration("Suppression d'une ligne de table", "SUPP");
  static final SRCAOAUMEnumeration[] LISTE_ENUM = { E_ECRIT, E_MAJ, E_SUPP };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCAOAUMEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCAOAUMEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCAOAUMEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCAOAUMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCAOAUMEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCAOAUMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCAOAUMEnumeration getPourValeur(String pValeur)
  {
    SRCAOAUMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCAOAUMEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCAOAUMEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */