package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDMAIEnumeration
{
  public static final SRCDMAIEnumeration E_E = new SRCDMAIEnumeration("ENTRANT : DE vers conseiller", "E");
  public static final SRCDMAIEnumeration E_S = new SRCDMAIEnumeration("SORTANT : Conseiller vers DE", "S");
  static final SRCDMAIEnumeration[] LISTE_ENUM = { E_E, E_S };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDMAIEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDMAIEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDMAIEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDMAIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDMAIEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDMAIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDMAIEnumeration getPourValeur(String pValeur)
  {
    SRCDMAIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDMAIEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDMAIEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */