package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDNDEEnumeration
{
  public static final SRCDNDEEnumeration E_000 = new SRCDNDEEnumeration("SalariÃ©", "000");
  public static final SRCDNDEEnumeration E_001 = new SRCDNDEEnumeration("Candidat", "001");
  public static final SRCDNDEEnumeration E_002 = new SRCDNDEEnumeration("BÃ©nÃ©ficiaire de services hors IDE", "002");
  public static final SRCDNDEEnumeration E_006 = new SRCDNDEEnumeration("Candidat en attente de primo identification", "006");
  public static final SRCDNDEEnumeration E_009 = new SRCDNDEEnumeration("ArchivÃ©", "009");
  static final SRCDNDEEnumeration[] LISTE_ENUM = { E_000, E_001, E_002, E_006, E_009 };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDNDEEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDNDEEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDNDEEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDNDEEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDNDEEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDNDEEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDNDEEnumeration getPourValeur(String pValeur)
  {
    SRCDNDEEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDNDEEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDNDEEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */