package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDRBI2Enumeration
{
  public static final SRCDRBI2Enumeration E_RIB = new SRCDRBI2Enumeration("Utilisation RIB", "RIB");
  public static final SRCDRBI2Enumeration E_BIC = new SRCDRBI2Enumeration("Utilisation BIC-IBAN", "BIC");
  static final SRCDRBI2Enumeration[] LISTE_ENUM = { E_RIB, E_BIC };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDRBI2Enumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDRBI2Enumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDRBI2Enumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDRBI2Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDRBI2Enumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDRBI2Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDRBI2Enumeration getPourValeur(String pValeur)
  {
    SRCDRBI2Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDRBI2Enumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDRBI2Enumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */