package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCIPCPEnumeration
{
  public static final SRCIPCPEnumeration E_N = new SRCIPCPEnumeration("Non prescrit", "N");
  public static final SRCIPCPEnumeration E_P = new SRCIPCPEnumeration("Prescrit", "P");
  static final SRCIPCPEnumeration[] LISTE_ENUM = { E_N, E_P };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCIPCPEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCIPCPEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCIPCPEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCIPCPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIPCPEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCIPCPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIPCPEnumeration getPourValeur(String pValeur)
  {
    SRCIPCPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIPCPEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCIPCPEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */