package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCIVADEnumeration
{
  public static final SRCIVADEnumeration E_C = new SRCIVADEnumeration("Creation", "C");
  public static final SRCIVADEnumeration E_S = new SRCIVADEnumeration("Suppression", "S");
  static final SRCIVADEnumeration[] LISTE_ENUM = { E_C, E_S };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCIVADEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCIVADEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCIVADEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCIVADEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVADEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCIVADEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVADEnumeration getPourValeur(String pValeur)
  {
    SRCIVADEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVADEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCIVADEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */