package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCKNIREnumeration
{
  public static final SRCKNIREnumeration E_0 = new SRCKNIREnumeration("NON RENSEIGNE", "0");
  public static final SRCKNIREnumeration E_1 = new SRCKNIREnumeration("NON ATTESTE", "1");
  public static final SRCKNIREnumeration E_2 = new SRCKNIREnumeration("ATTESTE", "2");
  static final SRCKNIREnumeration[] LISTE_ENUM = { E_0, E_1, E_2 };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCKNIREnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCKNIREnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCKNIREnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCKNIREnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCKNIREnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCKNIREnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCKNIREnumeration getPourValeur(String pValeur)
  {
    SRCKNIREnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCKNIREnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCKNIREnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */