package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCPERIEnumeration
{
  public static final SRCPERIEnumeration E_L = new SRCPERIEnumeration("recherche sur l'assedic locale seulement", "L");
  public static final SRCPERIEnumeration E_N = new SRCPERIEnumeration("recherche sur la base nationale complete", "N");
  public static final SRCPERIEnumeration E_R = new SRCPERIEnumeration("recherche sur la region complete", "R");
  static final SRCPERIEnumeration[] LISTE_ENUM = { E_L, E_N, E_R };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCPERIEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCPERIEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCPERIEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCPERIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCPERIEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCPERIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCPERIEnumeration getPourValeur(String pValeur)
  {
    SRCPERIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCPERIEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCPERIEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */