package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCSCIVEnumeration
{
  public static final SRCSCIVEnumeration E_MR = new SRCSCIVEnumeration("Monsieur", "MR");
  public static final SRCSCIVEnumeration E_MME = new SRCSCIVEnumeration("Madame", "MME");
  public static final SRCSCIVEnumeration E_MLLE = new SRCSCIVEnumeration("Mademoiselle", "MLLE");
  static final SRCSCIVEnumeration[] LISTE_ENUM = { E_MR, E_MME, E_MLLE };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCSCIVEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCSCIVEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCSCIVEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCSCIVEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCIVEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCSCIVEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCIVEnumeration getPourValeur(String pValeur)
  {
    SRCSCIVEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCIVEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCSCIVEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */