package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCSCV1Enumeration
{
  public static final SRCSCV1Enumeration E_AFC = new SRCSCV1Enumeration("Convention AFC", "AFC");
  public static final SRCSCV1Enumeration E_OPCA = new SRCSCV1Enumeration("Convention OPCA", "OPCA");
  public static final SRCSCV1Enumeration E_AIF = new SRCSCV1Enumeration("Convention AIF", "AIF");
  public static final SRCSCV1Enumeration E_AIFOPCA = new SRCSCV1Enumeration("Convention AIF-OPCA", "AIFOPCA");
  public static final SRCSCV1Enumeration E_NC = new SRCSCV1Enumeration("Non conventionnÃ©e", "NC");
  public static final SRCSCV1Enumeration E_AFPR = new SRCSCV1Enumeration("Convention AFPR", "AFPR");
  public static final SRCSCV1Enumeration E_POE = new SRCSCV1Enumeration("Convention POE", "POE");
  static final SRCSCV1Enumeration[] LISTE_ENUM = { E_AFC, E_OPCA, E_AIF, E_AIFOPCA, E_NC, E_AFPR, E_POE };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCSCV1Enumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCSCV1Enumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCSCV1Enumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCSCV1Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCV1Enumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCSCV1Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCV1Enumeration getPourValeur(String pValeur)
  {
    SRCSCV1Enumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCV1Enumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCSCV1Enumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */