package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCSTOREEnumeration
{
  public static final SRCSTOREEnumeration E_A = new SRCSTOREEnumeration("UNEDIC ou GIA", "A");
  public static final SRCSTOREEnumeration E_N = new SRCSTOREEnumeration("DRTE", "N");
  public static final SRCSTOREEnumeration E_P = new SRCSTOREEnumeration("DRA", "P");
  public static final SRCSTOREEnumeration E_C = new SRCSTOREEnumeration("ASSEDIC", "C");
  public static final SRCSTOREEnumeration E_U = new SRCSTOREEnumeration("AGS", "U");
  static final SRCSTOREEnumeration[] LISTE_ENUM = { E_A, E_N, E_P, E_C, E_U };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCSTOREEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCSTOREEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCSTOREEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCSTOREEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSTOREEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCSTOREEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSTOREEnumeration getPourValeur(String pValeur)
  {
    SRCSTOREEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSTOREEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCSTOREEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */