package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCXOSAEnumeration
{
  public static final SRCXOSAEnumeration E_DBS = new SRCXOSAEnumeration("Origine DNA demande identification (BS)", "DBS");
  public static final SRCXOSAEnumeration E_DAE = new SRCXOSAEnumeration("Origine DNA AE", "DAE");
  public static final SRCXOSAEnumeration E_ETT = new SRCXOSAEnumeration("Origine ETT", "ETT");
  public static final SRCXOSAEnumeration E_AEM = new SRCXOSAEnumeration("Origine AEM", "AEM");
  public static final SRCXOSAEnumeration E_GUS = new SRCXOSAEnumeration("Origine GUSO", "GUS");
  public static final SRCXOSAEnumeration E_GUM = new SRCXOSAEnumeration("Origine Migration GUSO", "GUM");
  public static final SRCXOSAEnumeration E_GUA = new SRCXOSAEnumeration("Origine Applicatif GUSO", "GUA");
  public static final SRCXOSAEnumeration E_GUW = new SRCXOSAEnumeration("Origine WEB GUSO", "GUW");
  static final SRCXOSAEnumeration[] LISTE_ENUM = { E_DBS, E_DAE, E_ETT, E_AEM, E_GUS, E_GUM, E_GUA, E_GUW };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCXOSAEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCXOSAEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCXOSAEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCXOSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCXOSAEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCXOSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCXOSAEnumeration getPourValeur(String pValeur)
  {
    SRCXOSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCXOSAEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCXOSAEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */