package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFIAEMEnumeration
{
  public static final SRFIAEMEnumeration E_N = new SRFIAEMEnumeration("Non", "N");
  public static final SRFIAEMEnumeration E_O = new SRFIAEMEnumeration("Oui", "O");
  static final SRFIAEMEnumeration[] LISTE_ENUM = { E_N, E_O };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFIAEMEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFIAEMEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFIAEMEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFIAEMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAEMEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFIAEMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAEMEnumeration getPourValeur(String pValeur)
  {
    SRFIAEMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAEMEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFIAEMEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */