package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFSSIGEnumeration
{
  public static final SRFSSIGEnumeration E_S = new SRFSSIGEnumeration("Appel de Signature", "S");
  public static final SRFSSIGEnumeration E_F = new SRFSSIGEnumeration("Appel de Fin", "F");
  static final SRFSSIGEnumeration[] LISTE_ENUM = { E_S, E_F };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFSSIGEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFSSIGEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFSSIGEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFSSIGEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFSSIGEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFSSIGEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFSSIGEnumeration getPourValeur(String pValeur)
  {
    SRFSSIGEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFSSIGEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFSSIGEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */